; ------------------------------------------------------------------------------------------------------------- ;
; (Championship)Lode Runner Game Variables
; ------------------------------------------------------------------------------------------------------------- ;
; C64 Machine
; ------------------------------------------------------------------------------------------------------------- ;
C64_KeyFlag       = $028d                         ; $01=shift $02=commodore $04=ctrl
C64_PtrIRQ        = $0314                         ; C64 IRQ Vector
C64_PtrNMI        = $0318                         ; C64 NMI Vector
C64_IRQ           = $ea31                         ; C64 System IRQ
C64_IRQExit       = $ea7e                         ; C64 System IRQ exit - clear timer/restore regs/rti
; ------------------------------------------------------------------------------------------------------------- ;
; Tables and Screens
; ------------------------------------------------------------------------------------------------------------- ;
LR_ScrnMultColor  = $0400                         ; multi colors - text  screen
LR_LevelTileData  = $0800                         ; expanded play level data
LR_LevelCtrlData  = $0a00                         ; expanded ctrl level data
LR_SpriteStore01  = $0c00                         ; sprite data store 1
LR_SpriteStore02  = $0d00                         ; sprite data store 2
LR_TabOffHiresLo  = $0e00                         ; ptr hires lo
LR_TabOffHiresHi  = $0f00                         ; ptr hires hi
LR_LvlDataSavLod  = $1000                         ; Level Data  Save/Load
LR_ScoreSavLod    = $1100                         ; high scores save/load area
LR_DynValueTab    = $1200                         ; game dynamic values
LR_InGameVars     = $1300                         ; game variables
CR_StartGfx       = $13b0                         ; start graphic chlr
LR_StartGfx       = $1400                         ; start graphic
LR_ScrnHiReDisp   = $2000                         ; display hires screen
LR_ScrnHiRePrep   = $4000                         ; prepare hires screen for direct output
LR_TunePlayTime   = $c000                         ; tune times
LR_TuneDataPtrV2  = $c100                         ; tune data pointer voice 2
LR_TuneDataPtrV3  = $c200                         ; tune data pointer voice 3
LR_TuneSuReVol    = $c300                         ; tune s/r/volume  (not used)
LR_SaveList       = $c400                         ; save games list
LR_RandomField    = $c500                         ; field with non selected level numbers for random selection
LR_HiddenLdrs     = $c600                         ; enlarged hidden ladders tab
LR_WorkBuffer     = $c800                         ; temp store

LR_HiScoreOld     = $c800                         ; high score working sets -> .hbu010. - removed
LR_HiScoreNew     = $c900                         ; high score working sets -> .hbu010. - removed
; ------------------------------------------------------------------------------------------------------------- ;
; Lode Runner Level Data Tiles
; ------------------------------------------------------------------------------------------------------------- ;
LR_TileEmpty      = $00
LR_TileWallSoft   = $01
LR_TileWallHard   = $02
LR_TileLadder     = $03
LR_TilePole       = $04
LR_TileWallTrap   = $05
LR_TileLadderXit  = $06
LR_TileGold       = $07
LR_TileEnemy      = $08
LR_TileLR         = $09
;
LR_TileValid      = LR_TileLR + 1                 ; valid byte range is $00-$09
; ------------------------------------------------------------------------------------------------------------- ;
; Hires Color Positions
; ------------------------------------------------------------------------------------------------------------- ;
LR_ScrnMCPage0    = LR_ScrnMultColor + $0000      ; 
LR_ScrnMCPage1    = LR_ScrnMultColor + $0100      ; 
LR_ScrnMCPage2    = LR_ScrnMultColor + $0200      ; 
LR_ScrnMCPage3    = LR_ScrnMultColor + $026e      ; 
LR_ScrnMCStatus   = LR_ScrnMultColor + $0370      ;
LR_ScrnMCTitle    = LR_ScrnMultColor + $0398      ; title scores
LR_ScrnMCMsg      = LR_ScrnMultColor + $03aa      ; message
                  
LR_ColRamPage0    = COLORAM + $0000               ;
LR_ColRamPage1    = COLORAM + $0100               ; 
LR_ColRamPage2    = COLORAM + $0200               ; 
LR_ColRamPage3    = COLORAM + $0300               ; 
LR_ColRamStatus   = COLORAM + $03b0               ;
; ------------------------------------------------------------------------------------------------------------- ;
; Misc
; ------------------------------------------------------------------------------------------------------------- ;
LR_ScoreGold      = $0150                         ; 2 byte bcd - score for picking up gold
LR_ScoreDigIn     = $0020                         ; 2 byte bcd - score for gigging in enemies
LR_ScoreRebirth   = $0015                         ; 2 byte bcd - score for enemy rebirth
LR_ScoreFinLevel  = $0750                         ; 2 byte bcd - score for successfully finish a level
LR_ScoreFinGame   = $7500                         ; 2 byte bcd - score for successfully finish the game

LR_SoreValStart   = $40                           ; for score up tune
LR_SoreValSub     = $0e                           ; for score up tune
CR_SoreValSub     = $13                           ; for score up tune ChLR 

LR_ScrnMinCols    = $00                           ; screen position - max left
LR_ScrnMaxCols    = $1b                           ; screen position - max right
LR_ScrnMinRows    = $00                           ; screen position - max up
LR_ScrnMaxRows    = $0f                           ; screen position - max down

LR_BEDLvlLenMax   = $02                           ; max 3 digits level no input
LR_BEDCmdLinMax   = $09                           ; max 9 cmd screen rows
LR_BEDLvlModYes   = $00                           ; edited level data modified
LR_BEDLvlModNo    = $01                           ; edited level data not modified

LR_DiskRead       = $01                           ; read  flag
LR_DiskWrite      = $02                           ; write flag
LR_DiskInit       = $04                           ; init  flag

LR_BasLinRowStat  = $10                           ; row offset for status output in base line
LR_BasLinColScr   = $05                           ; column offset for score output in base line
LR_BasLinColMsg   = $0d                           ; column offset for victory msg  in base line
LR_BasLinColLve   = $10                           ; column offset for lives output in base line
LR_BasLinColLvl   = $19                           ; column offset for level output in base line

LR_FlipSpeedMin   = $32                           ; .hbu000. - min speed flip sign
CR_FlipSpeedMin   = $64                           ; min speed flip sign

LR_LevelDataMax   = $53                           ; pure level data without message and ids
CR_LevelDataMax   = $e1                           ; pure level data without message and ids
CR_SerialNoLen    = $05                           ; ChLr serial number length

LR_SavColRnd      = $0a                           ; column offset for rnd marker
LR_SavColName     = $0b                           ; column offset for save    entry name

LR_LodColName     = $0c                           ; column offset for load    entry name
LR_DelColName     = $0d                           ; column offset for delete  entry name
CR_DelSavColName  = $0d                           ; column offset for delete  entry name

LR_IRQTitleTop    = $ea                           ; 
LR_IRQTitleBot    = $f8                           ; 

LR_ColorTopName   = HR_LtRedLtRed                 ; special colors
LR_ColorTopScore  = HR_YellowCyan
LR_ColorVicMsg    = HR_YellowCyan
; ------------------------------------------------------------------------------------------------------------- ;
; Joystick Action
; ------------------------------------------------------------------------------------------------------------- ;
LR_JoyMoveNone    = $00
LR_JoyMoveUp      = $21
LR_JoyMoveDo      = $25
LR_JoyMoveLe      = $22
LR_JoyMoveRi      = $2a
LR_JoyFireLe      = $1e
LR_JoyFireRi      = $26
; ------------------------------------------------------------------------------------------------------------- ;
; Enemy Move Directions
; ------------------------------------------------------------------------------------------------------------- ;
LR_EnemyMoveNo    = $00
LR_EnemyMoveLe    = $01
LR_EnemyMoveRi    = $02
LR_EnemyMoveUp    = $03
LR_EnemyMoveDo    = $04
; ------------------------------------------------------------------------------------------------------------- ;
; Sprite Pointers
; ------------------------------------------------------------------------------------------------------------- ;
LR_SpritePtr00    = LR_ScrnMultColor + $03f8      ; sprite 0 data at $0c00
LR_SpritePtr02    = LR_ScrnMultColor + $03fa      ; sprite 2 data at $0c40
LR_SpritePtr03    = LR_ScrnMultColor + $03fb      ; sprite 3 data at $0c80
LR_SpritePtr04    = LR_ScrnMultColor + $03fc      ; sprite 4 data at $0cc0
LR_SpritePtr06    = LR_ScrnMultColor + $03fe      ; sprite 6 data at $0d00
LR_SpritePtr07    = LR_ScrnMultColor + $03ff      ; sprite 7 data at $0d40
                                                  ; 
LR_SpriteData00   = LR_SpriteStore01 + $0000      ; sprite data store 0
LR_SpriteData01   = LR_SpriteStore01 + $0040      ; sprite data store 1
LR_SpriteData02   = LR_SpriteStore01 + $0080      ; sprite data store 2
LR_SpriteData03   = LR_SpriteStore01 + $00c0      ; sprite data store 3
LR_SpriteData04   = LR_SpriteStore01 + $0100      ; sprite data store 4
LR_SpriteData05   = LR_SpriteStore01 + $0140      ; sprite data store 5
LR_SpriteData06   = LR_SpriteStore01 + $0180      ; sprite data store 6 - not used
LR_SpriteData07   = LR_SpriteStore01 + $01c0      ; sprite data store 7 - not used
; ------------------------------------------------------------------------------------------------------------- ;
; Level Success Message
; ------------------------------------------------------------------------------------------------------------- ;
LR_LevelXtra     = LR_LvlDataSavLod + $e0        ; non level data portion            .hbu007.
LR_LevelMsg      = LR_LvlDataSavLod + $e2        ; victory message text              .hbu007.
LR_LevelMsgLen     = $0e                         ; max 15 chrs                       .hbu007.
LR_LevelMsgLenCo   = $17                         ; max 24 color positions            .hbu007.
LR_LevelMsgID    = LR_LvlDataSavLod + $f1        ; 00 00 00 LODE RUNNEr              .hbu007.
LR_LevelMsgIDLen   = $0d                         ;                                   .hbu007.
; ------------------------------------------------------------------------------------------------------------- ;
; Save game list in LR_LevelDiskSave
; ------------------------------------------------------------------------------------------------------------- ;
LR_SavList       = LR_SaveList                   ; 
LR_SavListIdLen    = $08                         ; 
LR_SavListRowLen   = $10                         ; 
LR_SavListMaxLen   = $a0                         ; 
LR_SavListName   = LR_SavList                    ; 
LR_SavListLevelG = LR_SavList   + $08            ; game level no
LR_SavListLevelD = LR_SavList   + $09            ; disk level no
LR_SavListLives  = LR_SavList   + $0a            ; 
LR_SavListScHi   = LR_SavList   + $0b            ; 
LR_SavListScMiHi = LR_SavList   + $0c            ; 
LR_SavListScMiLo = LR_SavList   + $0d            ; 
LR_SavListScLo   = LR_SavList   + $0e            ; 
LR_SavListRnd    = LR_SavList   + $0f            ; random mode

LR_SavListId     = LR_SavList   + $f0            ; if valid must be set to "HBU"
LR_SavListId1    = LR_SavListId                  ; "H"
LR_SavListId2    = LR_SavListId + $01            ; "B"
LR_SavListId3    = LR_SavListId + $02            ; "U"

CR_SavList       = LR_LvlDataSavLod              ; 
CR_SavListIdLen    = $08                         ; 
CR_SavListRowLen   = $10                         ; 
CR_SavListMaxLen   = $a0                         ; 
CR_SavListName   = CR_SavList                    ; 
CR_SavListLevelG = CR_SavList   + $08            ; game level no
CR_SavListLevelD = CR_SavList   + $09            ; disk level no
CR_SavListLives  = CR_SavList   + $0a            ; 
CR_SavListScHi   = CR_SavList   + $0b            ; 
CR_SavListScMiHi = CR_SavList   + $0c            ; 
CR_SavListScMiLo = CR_SavList   + $0d            ; 
CR_SavListScLo   = CR_SavList   + $0e            ; 
CR_SavListRnd    = CR_SavList   + $0f            ; random mode

CR_SavListId     = CR_SavList   + $f0            ; if valid must be set to "DJB"
CR_SavListId1    = CR_SavListId                  ; "D"
CR_SavListId2    = CR_SavListId + $01            ; "J"
CR_SavListId3    = CR_SavListId + $02            ; "B"
; ------------------------------------------------------------------------------------------------------------- ;
; High Scores Save/Load - $97 152 - (t=$0c s=$07)
; ------------------------------------------------------------------------------------------------------------- ;
LR_HiScore        = LR_ScoreSavLod                ; high score entry
LR_HiScoreNamLen    = $07                         ; high scorers name length           .hbu010.
LR_HiScoreName    = LR_ScoreSavLod + $00          ; high scorers name part 1 - chr 1-3 .hbu010.
LR_HiScoreNam1    = LR_ScoreSavLod + $00          ; high scorers name part 1 - chr 1-3 .hbu010.
LR_HiScoreNam2    = LR_ScoreSavLod + $50          ; high scorers name part 2 - chr 4-8 .hbu010.
LR_HiScoreMen     = LR_ScoreSavLod + $55          ; high scorers men left              .hbu010.

LR_HiScoreLen       = $7f
LR_HiScoreMain    = LR_ScoreSavLod + $00          ; Old high score part
LR_HiScoreXtra    = LR_ScoreSavLod + $50          ; New high score part 

CR_HiScoreNam     = LR_ScoreSavLod + $00          ; 8 chr id name
CR_HiScoreNamLen    = $08
CR_HiScoreLevel   = LR_ScoreSavLod + $08          ; level reached - sort crit 01
CR_HiScoreHi      = LR_ScoreSavLod + $09          ; score reached - sort crit 02
CR_HiScoreMidHi   = LR_ScoreSavLod + $0a
CR_HiScoreMidLo   = LR_ScoreSavLod + $0b
CR_HiScoreLo      = LR_ScoreSavLod + $0c

LR_HiScoreAka     = LR_ScoreSavLod + $00          ; 3 chr id name
LR_HiScoreAka1    = LR_ScoreSavLod + $00
LR_HiScoreAka2    = LR_ScoreSavLod + $01
LR_HiScoreAka3    = LR_ScoreSavLod + $02
LR_HiScoreLevel   = LR_ScoreSavLod + $03          ; level reached - sort crit 01
LR_HiScoreHi      = LR_ScoreSavLod + $04          ; score reached - sort crit 02
LR_HiScoreMidHi   = LR_ScoreSavLod + $05
LR_HiScoreMidLo   = LR_ScoreSavLod + $06
LR_HiScoreLo      = LR_ScoreSavLod + $07
LR_HiScoreLEntry    = $08
LR_HiScoreMaxIDs    = $0a                         ; max 10 entries
LR_HiScoreMovUp   = LR_ScoreSavLod + $08          ; move high score data one pos up to prepare insertion
CR_BestMsg        = LR_ScoreSavLod + $b0          ; best scorers message
CR_BestMsgLen       = $13                         ; best scorers message length
CR_BestLo         = LR_ScoreSavLod + $c4          ; best scorers score
CR_BestMiLo       = LR_ScoreSavLod + $c5          ; 
CR_BestMiHi       = LR_ScoreSavLod + $c6          ; 
CR_BestHi         = LR_ScoreSavLod + $c7          ; 
CR_BestScrLen       = $04                         ; best scorers score length
CR_HiScoreCount   = LR_ScoreSavLod + $ee          ; counter serial no enters
CR_HiScoreUPID    = LR_ScoreSavLod + $ef          ; unique play id
LR_HiScoreDiskId  = LR_ScoreSavLod + $f0          ; DANE BIGHAM
LR_HiScoreIdLen     = $0a                         ; machine length
LR_HiScoreDiskUM  = LR_ScoreSavLod + $fb          ; user/master indicator  $00=user disk $01=master disk
LR_DiskNoData       = $00                         ; no LR data disk
LR_DiskMaster       = $01                         ; LR master disk
LR_DiskData         = $ff                         ; LR data disk
; ------------------------------------------------------------------------------------------------------------- ;
LR_HiScRowOff1St  = $04                           ; row    offset first score entry (no of header rows)
LR_HiScColOffNam  = $03                           ; column offset name     in high score list
LR_HiScColOffID   = $07                           ; column offset score ID in high score list

LR_HiScIDMaxLen   = $03                           ; maximum length of each high score ID
; ------------------------------------------------------------------------------------------------------------- ;
; Dynamic Value Tables (exit ladders/enemies/open holes) - One Block
; ------------------------------------------------------------------------------------------------------------- ;
LR_TabXitLdrLen     = $7f                               ; .hbu016. - hidden ladders max entries
LR_TabXitLdrCol   = LR_HiddenLdrs                       ; .hbu016. - hidden ladders col
LR_TabXitLdrRow   = LR_TabXitLdrCol  + LR_TabXitLdrLen  ; .hbu016. - hidden ladders row

CR_TabXitLdrLen     = $30                               ; hidden ladders max entries
CR_TabXitLdrCol   = LR_DynValueTab                      ; hidden ladders col
CR_TabXitLdrRow   = CR_TabXitLdrCol  + CR_TabXitLdrLen  ; hidden ladders row

LR_TabEnemyLen      = $08                               ; enemies
LR_TabEnemyCol    = CR_TabXitLdrRow  + CR_TabXitLdrLen  ; actual col enemy positions
LR_TabEnemyRow    = LR_TabEnemyCol   + LR_TabEnemyLen   ; actual row enemy positions
LR_TabEnemyGold   = LR_TabEnemyRow   + LR_TabEnemyLen   ; indicator enemy carries gold
LR_TabEnemyPosLR  = LR_TabEnemyGold  + LR_TabEnemyLen   ; actual enemy position on image left/right
LR_TabEnemyPosUD  = LR_TabEnemyPosLR + LR_TabEnemyLen   ; actual enemy position on image up/down
LR_TabEnemySprNo  = LR_TabEnemyPosUD + LR_TabEnemyLen   ; actual enemy sprite number
LR_TabEnemySpr__  = LR_TabEnemySprNo + LR_TabEnemyLen   ; ???
LR_TabEnemyBirtT  = LR_TabEnemySpr__ + LR_TabEnemyLen   ; actual enemy rebirth step time
LR_TabEnemyBMax     = $05                               ; 0 - 5 = max 6 entries
LR_TabEnemyBirt1    = $13                               ; 1st mark to rebirth the enemy a bit
LR_TabEnemyBirt2    = $0a                               ; 1st mark to rebirth the enemy a bit
LR_TabHoleMax       = $1e                               ; max entries
LR_TabHoleLen       = $20                               ;     open holes max entries
LR_TabHoleCol     = LR_TabEnemyBirtT + LR_TabEnemyLen   ; col open holes
LR_TabHoleRow     = LR_TabHoleCol    + LR_TabHoleLen    ; row open holes
LR_TabHoleOpenT   = LR_TabHoleRow    + LR_TabHoleLen    ; actual hole open time
LR_TabHoleOpenI     = $b4                               ; initial value
LR_TabHoleOpenT1    = $14                               ; 1st mark to close the hole a bit
LR_TabHoleOpenT2    = $0a                               ; 2nd mark to close the hole a bit
; ------------------------------------------------------------------------------------------------------------- ;
; In Game Vaiables
; ------------------------------------------------------------------------------------------------------------- ;
LR_LevelCtrl      = LR_InGameVars + $00           ; level display control  $00=prepared copy already at $4000-$5fff
LR_LevelPrep        = $00
LR_LevelLoad        = $01                         ; force level reload/reinit
LR_NumXitLadders  = LR_InGameVars + $01
LR_NumXitLdrsMax    = LR_TabXitLdrLen             ; .hbu016. - 128
CR_NumXitLdrsMax    = CR_TabXitLdrLen - $03       ; 45 - $2d
LR_FallBeep       = LR_InGameVars + $02
LR_FallBeepIni      = $53
LR_ColorSetEenmy  = LR_InGameVars + $03           ; actual colorset no for enemy rebirth coloring
CR_NoFunction     = LR_InGameVars + $04
LR_GoldCollected  = LR_InGameVars + $04           ; $00 if all gold was collected
LR_CtrlCircle     = LR_InGameVars + $04           ; not used anymore
LR_CircleOn         = $ff
LR_CircleOff        = $00
LR_LevelNoGame    = LR_InGameVars + $05           ; 001-250
LR_LevelNoMin       = $01
CR_LevelNoMax       = $33                         ; championship 051
LR_LevelNoMax       = $96                         ; do not use a value greater 250 ($fa) - load/save/scores cannot be written otherwise
CR_LevelNoMaxDmo    = $03                         ; maximum no of demo levels .hbu005.
LR_LevelNoMaxDmo    = $04                         ; maximum no of demo levels .hbu005.
LR_GameCtrl       = LR_InGameVars + $06           ; $00=start $01=demo $02=game $03=play_level $05=edit
LR_GameStart        = $00
LR_GameDemo         = $01
LR_GameGame         = $02
LR_GamePlay         = $03
LR_GameEdit         = $05
LR_Digit100       = LR_InGameVars + $07
LR_Digit10        = LR_InGameVars + $08
LR_Digit1         = LR_InGameVars + $09
LR_ScoreLo        = LR_InGameVars + $0a
LR_ScoreMidLo     = LR_InGameVars + $0b
LR_ScoreMidHi     = LR_InGameVars + $0c
LR_ScoreHi        = LR_InGameVars + $0d
LR_Gold2Get       = LR_InGameVars + $0e
LR_ControllerTyp  = LR_InGameVars + $0f
LR_Joystick         = $ca
LR_Keyboard         = $cb
LR_LevelNoDisk    = LR_InGameVars + $10           ;
LR_LevelDiskMin     = $00                         ; 000
LR_LevelDiskMax     = LR_LevelNoMax   - $01       ; 149
LR_LevelDiskScor    = LR_LevelDiskMax + $02       ; 151 - highscores disk level - disk level 150 must be blank for restart
LR_LevelDiskSave    = LR_LevelDiskMax + $03       ; 152 - save games block
LR_LevelDiskRnd     = LR_LevelDiskMax + $04       ; 153 - random mode level block
CR_LevelDiskSave    = LR_LevelDiskMax + $06       ; 155 - save games block
LR_CntSpeedLaps   = LR_InGameVars + $11
LR_CntSpeedMax      = $09
LR_NumLives       = LR_InGameVars + $12
LR_NumLivesInit     = $05
LR_Volume         = LR_InGameVars + $13
LR_VolumeMax        = $ff
LR_Alive          = LR_InGameVars + $14
LR_Death            = $00
LR_Life             = $01
LR_FallsDown      = LR_InGameVars + $15           ; $00=fall $20=no fall $ff=init
LR_Falls            = $00
LR_FallsNo          = $20
LR_Shoots         = LR_InGameVars + $16           ; $00=no $01=right $ff=left
LR_ShootsNo         = $00
LR_ShootsRi         = $01
LR_ShootsLe         = $ff
LR_ShootSound     = LR_InGameVars + $17
LR_ShootSoundIni    = $00
LR_ShootSoundSub    = $20
LR_Cheated        = LR_InGameVars + $18           ; $01=no
LR_CheatedYes       = $00
LR_CheatedNo        = $01
LR_JoyUpDo        = LR_InGameVars + $19
LR_JoyLeRi        = LR_InGameVars + $1a
LR_GameSpeed      = LR_InGameVars + $1b
LR_SpeedMin         = $03
LR_SpeedNormal      = $05
LR_SpeedMax         = $08
LR_EnmyNo         = LR_InGameVars + $1c
LR_EnmyNoMax        = $05
LR_GetGold        = LR_InGameVars + $1d           ; get gold  0=just gets it
LR_GetGoldGet       = $00
LR_GetGoldGot       = $01
LR_EnmyBirthCol   = LR_InGameVars + $1e
LR_EnmyBColMax      = $1c
LR_NoEnemy2Move   = LR_InGameVars + $1f
LR_NoEnemy2MvMin    = $01
LR_EnmyHoleTime   = LR_InGameVars + $20           ; init values dynamically taken from in game:TabEnmyHoleTime
LR_EnmyHoleTI       = $00
LR_EnmyShivStart    = $0d                         ; enemy in hole time - start to shiver if lower
LR_EnmyShivStop     = $07                         ; enemy in hole time - stop  to shiver if lower
LR_StartCycle     = LR_InGameVars + $21           ; $00=off $ff=on
LR_WaitTimeLo     = LR_InGameVars + $22
LR_WaitTimeHi     = LR_InGameVars + $23

CR_WaitTimeLo     = LR_InGameVars + $21           ; moved one up in chlr - LR_StartCycle not needed anymore
CR_WaitTimeHi     = LR_InGameVars + $22           ; moved one up in chlr - LR_StartCycle not needed anymore
CR_WaitImageNo    = LR_InGameVars + $23           ; image number to blink - new in chlr

LR_DisplayChr     = LR_InGameVars + $24
LR_GfxAddLo       = LR_InGameVars + $25
LR_GfxAddHi       = LR_InGameVars + $26

CR_GfxAddLo       = LR_InGameVars + $24           ; moved one up in chlr - LR_DisplayChr not needed anymore
CR_GfxAddHi       = LR_InGameVars + $25           ; moved one up in chlr - LR_DisplayChr not needed anymore
CR_Work           = LR_InGameVars + $26           ; new in chlr

LR_Counter        = LR_InGameVars + $27
LR_KeyNew         = LR_InGameVars + $28
LR_KeyNewNone       = $00
LR_KeyOld         = LR_InGameVars + $29
LR_DeathTune      = LR_InGameVars + $2a
LR_DeathTuneSub     = $04
LR_DeathTuneVal     = $38
LR_Work           = LR_InGameVars + $2b
LR_SprtPosCtrl    = LR_InGameVars + $2c
LR_CountIRQs      = LR_InGameVars + $2d
LR_IRQsDflt         = $03
LR_PtrTuneToPlay  = LR_InGameVars + $2e
LR_PtrNxtTunePos  = LR_InGameVars + $2f           ; in buffers
LR_Mirror         = LR_InGameVars + $30           ; $01=no
LR_MirrorNo         = $00
LR_MirrorYes        = $01
LR_RandomAc       = LR_InGameVars + $31
LR_MelodyNo       = LR_InGameVars + $32
LR_MelodyHeight   = LR_InGameVars + $33
LR_ScoreShown     = LR_InGameVars + $34           ; avoid score redisplay in score
LR_Random         = LR_InGameVars + $35
LR_RasterBeamPos  = LR_InGameVars + $36
LR_WaveVoice2     = LR_InGameVars + $37
LR_WaveVoice3     = LR_InGameVars + $38
LR_ShootMode      = LR_InGameVars + $39
LR_DiskAction     = LR_InGameVars + $3a           ; store read/write/init
LR_LvlReload      = LR_InGameVars + $3b           ; level will be reloaded <> LR_LevelNoDisk

CR_InputBufPtr    = LR_InGameVars + $3c           ; 
CR_InputBuf       = LR_InGameVars + $3d           ; for del/sav entries
CR_InputBufLen      = $13                         ; length - max=$50
CR_SerialNo       = LR_InGameVars + $3d           ; serial number
CR_SerialNoPos1   = LR_InGameVars + $3d           ; serial no 01
CR_SerialNoPos2   = LR_InGameVars + $3e           ; serial no 02
CR_SerialNoPos3   = LR_InGameVars + $3f           ; serial no 03
CR_SerialNoPos4   = LR_InGameVars + $40           ; serial no 04
CR_SerialNoPos5   = LR_InGameVars + $41           ; serial no 05

CR_SaveNoDisk     = LR_InGameVars + $51           ; save LR_LevelNoDisk
CR_DiskStatus     = LR_InGameVars + $52           ; 
CR_NoUse          = LR_InGameVars + $53           ; not used but initialzed
CR_InputBufMax    = LR_InGameVars + $54           ; 
CR_UniquePID      = LR_InGameVars + $55           ; unique playid
CR_StatusColor    = LR_InGameVars + $56           ; lrNewLevelColor
CR_LevelColor     = LR_InGameVars + $57           ; lrNewStatusColor
CR_ScoreOffset    = LR_InGameVars + $58           ; 
CR_InputControl   = LR_InGameVars + $59           ; 
CR_Cheat          = LR_InGameVars + $5a           ; allow extra lives

LR_ExpertMode     = LR_InGameVars + $5a           ; expert mode
LR_ExpertModeOff    = $00
LR_ExpertModeOn     = $ff
LR_LevelNoXmit    = LR_InGameVars + $5b           ; number target level drive 9 for xmit

LR_RND            = LR_InGameVars + $5c           ; random number
LR_RNDMax         = LR_InGameVars + $5d           ; upper bound
LR_RNDLevel       = LR_InGameVars + $5e           ; level counter
LR_RNDMode        = LR_InGameVars + $5f           ; flag random level mode
LR_RNDModeOff       = $00
LR_RNDModeOn        = $ff

LR_ScoreOldLo     = LR_InGameVars + $60           ; .hbu019.
LR_ScoreOldMidLo  = LR_InGameVars + $61
LR_ScoreOldMidHi  = LR_InGameVars + $62
LR_ScoreOldHi     = LR_InGameVars + $63

LR_DiscCmdDriveNo = LR_InGameVars + $64
LR_DiscCmdLevel   = LR_InGameVars + $65

LR_WrkCurrentPos  = LR_InGameVars + $66
LR_WrkScreenCol   = LR_InGameVars + $67
LR_MoveLvlNoFrom  = LR_InGameVars + $68
LR_MoveLvlNoTo    = LR_InGameVars + $69

CR_CheckSum       = LR_InGameVars + $af           ; protect copy protection
; ------------------------------------------------------------------------------------------------------------- ;
; Status Line in Hires Display Screen
; ------------------------------------------------------------------------------------------------------------- ;
LR_StatsLinLeD01  = LR_ScrnHiReDisp  + $1b90
LR_StatsLinLeD02  = LR_StatsLinLeD01 + $0001
LR_StatsLinLeD03  = LR_StatsLinLeD01 + $0002
LR_StatsLinLeD04  = LR_StatsLinLeD01 + $0003
LR_StatsLinMiD    = LR_StatsLinLeD01 + $0008
LR_StatsLinRiD01  = LR_StatsLinLeD01 + $0118
LR_StatsLinRiD02  = LR_StatsLinLeD01 + $0119
LR_StatsLinRiD03  = LR_StatsLinLeD01 + $011a
LR_StatsLinRiD04  = LR_StatsLinLeD01 + $011b
; ------------------------------------------------------------------------------------------------------------- ;
; Status Line in Hires Preparation Screen
; ------------------------------------------------------------------------------------------------------------- ;
LR_StatsLinLeP01  = LR_ScrnHiRePrep  + $1b90
LR_StatsLinLeP02  = LR_StatsLinLeP01 + $0001
LR_StatsLinLeP03  = LR_StatsLinLeP01 + $0002
LR_StatsLinLeP04  = LR_StatsLinLeP01 + $0003
LR_StatsLinMiP    = LR_StatsLinLeP01 + $0008
LR_StatsLinRiP01  = LR_StatsLinLeP01 + $0118
LR_StatsLinRiP02  = LR_StatsLinLeP01 + $0119
LR_StatsLinRiP03  = LR_StatsLinLeP01 + $011a
LR_StatsLinRiP04  = LR_StatsLinLeP01 + $011b
; ------------------------------------------------------------------------------------------------------------- ;
