; ------------------------------------------------------------------------------------------------------------- ;
; Kernel jump table
; ------------------------------------------------------------------------------------------------------------- ;
                ; Errors: Carry Set / Code in AC
                ; 1 = TOO MANY FILES
                ; 2 = FILE OPEN
                ; 3 = FILE NOT OPEN
                ; 4 = FILE NOT FOUND
                ; 5 = DEVICE NOT PRESENT
                ; 6 = NOT INPUT FILE
                ; 7 = NOT OUTPUT FILE
                ; 8 = MISSING FILE NAME
                ; 9 = ILLEGAL DEVICE NUMBER
; ------------------------------------------------------------------------------------------------------------- ;
CINT    = $FF81 ; initialize screen editor and video chip ................. $FF5B
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
IOINIT  = $FF84 ; initialize I/O devices .................................. $FDA3
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
RAMTAS  = $FF87 ; initialize RAM, tape buffer, screen ..................... $FD50
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
RESTOR  = $FF8A ; restore default I/O vectors ............................. $FD15
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
VECTOR  = $FF8D ; read/set I/O vector table ............................... $FD1A
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
SETMSG  = $FF90 ; set Kernal message control flag ......................... $FE18
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
SECOND  = $FF93 ; send secondary address after LISTEN ..................... $EDB9
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
TKSA    = $FF96 ; send secondary address after TALK ....................... $EDC7
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
MEMTOP  = $FF99 ; read/set top of memory pointer .......................... $FE25
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
MEMBOT  = $FF9C ; read/set bottom of memory pointer ....................... $FE34
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
SCNKEY  = $FF9F ; scan the keyboard ....................................... $EA87
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
SETTMO  = $FFA2 ; set time-out flag for IEEE bus .......................... $FE21
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
ACPTR   = $FFA5 ; input byte from serial bus .............................. $FE13
                ;   Regs used: A
                ;   Regs modi: A, X
                ;   Prep     : TALK, TKSA
                ;   Errors   : 
CIOUT   = $FFA8 ; output byte to serial bus ............................... $EDDD
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
UNTLK   = $FFAB ; command serial bus device to UNTALK ..................... $EDEF
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
UNLSN   = $FFAE ; command serial bus device to UNLISTEN ................... $EDFE
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
LISTEN  = $FFB1 ; command serial bus device to LISTEN ..................... $ED0C
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
TALK    = $FFB4 ; command serial bus device to TALK ....................... $ED09
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
READST  = $FFB7 ; read I/O status word .................................... $FE07
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
                ;
                ;   Bit 7 = Device not present/End of Tape
                ;   Bit 6 = End of File
                ;   Bit 5 = Checksum Error
                ;   Bit 4 = Error
                ;   Bit 3 = Too many Bytes
                ;   Bit 2 = Too few Bytes
                ;   Bit 1 = Timeout Read
                ;   Bit 0 = Timeout Write
                ;
SETLFS  = $FFBA ; set logical file parameters ............................. $FE00
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
SETNAM  = $FFBD ; set filename parameters ................................. $FDF9
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
OPEN    = $FFC0 ; open a logical file ..................................... via $31A to $F34A
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
CLOSE   = $FFC3 ; close a logical file .................................... via $31C to $F291
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
CHKIN   = $FFC6 ; define an input channel ................................. via $31E to $F20E
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
CHKOUT  = $FFC9 ; define an output channel ................................ via $320 to $F250
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
CLRCHN  = $FFCC ; restore default devices ................................. via $322 to $F333
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
CHRIN   = $FFCF ; input a character ....................................... via $324 to $F157
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
CHROUT  = $FFD2 ; output a character ...................................... via $326 to $F1CA
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
LOAD    = $FFD5 ; load from device ........................................ via $330 to $F49E
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
SAVE    = $FFD8 ; save to a device ........................................ via $332 to $F5DD
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
SETTIM  = $FFDB ; set the software clock .................................. $F6E4
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
RDTIM   = $FFDE ; read the software clock ................................. $F6DD
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
STOP    = $FFE1 ; check the STOP key ...................................... via $328 to $F6ED
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
GETIN   = $FFE4 ; get a character ......................................... via $32A to $F13E
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
CLALL   = $FFE7 ; close all files ......................................... via $32C to $F32F
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
UDTIM   = $FFEA ; update the software clock ............................... $F69B
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
SCREEN  = $FFED ; read number of screen rows and columns .................. $E505
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
PLOT    = $FFF0 ; read/set position of cursor on screen ................... $E50A
                ;   Regs used: 
                ;   Regs modi: 
                ;   Prep     : 
                ;   Errors   : 
IOBASE  = $FFF3 ; read base address of I/O devices ........................ $E500

VNMI    = $FFFA ; Non-Maskable Interrupt Hardware Vector .................. $FE43
VRES    = $FFFC ; System Reset (RES) Hardware Vector ...................... $FCE2
VBRK    = $FFFE ; Maskable Interrupt Request and Break Hardware Vectors ... $FF48
