; ------------------------------------------------------------------------------------------------------------- ;
; Championship Lode Runner - IT.PRG
; ------------------------------------------------------------------------------------------------------------- ;
; Memory Map
; ------------------------------------------------------------------------------------------------------------- ;
; $0000 - $00ff:  Zero Page Values
; $0200 - $02ff:  <not used>
; $0300 - $03ff:  <not used>
; $0400 - $04f7:  Multi Color Screen
; $04f8 - $04ff:  Sprite Pointers
; $0800 - $09c3:  expanded level data row pointer
; $0a00 - $0bc3:  expanded level data row pointer - play level control
; $0c00 - $0cff:  Sprite Store 01
; $0d00 - $0dff:  Sprite Store 02
; $0e00 - $0ec7:  Tab Offsets HiRes Lo
; $0f00 - $0fc7:  Tab Offsets HiRes Hi
; $1000 - $10ff:  Level Data Save/Load
; $1100 - $11ff:  High Score Save/Load
; $1200 - $12ff:  Tables for Dynamic Value
; $1300 - $133b:  In Game Variables
; $1400 - $1fff:  Data Start Graphic
; $2000 - $3fff:  HighRes Display Screen
; $4000 - $5fff:  HighRes Prepare Screen
; $c000 - $c0ff:  Tunes Play Time
; $c100 - $c1ff:  Tunes Data Ptr Voice 2
; $c200 - $c2ff:  Tunes Data Ptr Voice 3
; $c300 - $c3ff:  Tunes Sustain/Release/Volume (not used)
; $c800 - $c8ff:  High Score Work Old
; $c900 - $c9ff:  High Score Work New
; ------------------------------------------------------------------------------------------------------------- ;
                  * = $6000                       ; Start address
; ------------------------------------------------------------------------------------------------------------- ;
; compiler settings                                                                                             ;
; ------------------------------------------------------------------------------------------------------------- ;
                  incdir   ..\..\inc      

C64CIA1           include  cia1.asm               ; Complex Interface Adapter (CIA) #1 Registers  $DC00-$DC0F
C64CIA2           include  cia2.asm               ; Complex Interface Adapter (CIA) #2 Registers  $DD00-$DD0F
C64SID            include  sid.asm                ; Sound Interface Device (SID) Registers        $D400-$D41C
C64VicII          include  vic.asm                ; Video Interface Chip (VIC-II) Registers       $D000-$D02E
C64Kernel         include  kernel.asm             ; Kernel Vectors
C64Colors         include  color.asm              ; Colour RAM Address / Colours
;
InGameVars        include  inc\LR_Vars.asm        ; Game Variables
InZeroPageVars    include  inc\LR_Zpg.asm         ; Zero Page Variables
; ------------------------------------------------------------------------------------------------------------- ;
Start           lda #$00                          ;
                sta CR_135a                       ;
                sta LR_Volume                     ; lrVolume
                lda #$ca                          ;
                sta LR_ControllerTyp              ; lrControl (ca=joystick  cb=keyboard)
                jsr S_656f                        ; ColdStartInit
                jsr S_9356                        ; DiskFiddling
                lda #$01                          ; load
                jsr S_6e8c                        ; GetPutScore  ($1100-$11ff) - ac: 1=load 2=store 81= 82=
B_6018          jsr S_656f                        ; ColdStartInit      <ColdStart>
                lda #$ff                          ;
                sta LR_Volume                     ; lrVolume
                sta LR_FallsDown                  ; lrFallDown  (00=fall 20=no fall ff=init
                sta LR_DeathTune                  ; lrDeadTune
                sta LR_ShootMode                  ; lrShootMode
                lda #$00                          ;
                sta CR_1356                       ; lrNewStatusColor
                sta CR_1353                       ;
                sta LR_PtrNxtTunePos              ; lrPtrSoundStack
                sta LR_PtrTuneToPlay              ; lrScoreToPlay
                sta LR_Shoots                     ; lrShootDir (00=no  01=shoot right  ff=shoot left)
                sta LR_DeathTune                  ; lrDeadTune
                sta LR_KeyNew                     ; lrNewKey
                sta LR_KeyOld                     ; lrOldKey
                sta LR_SprtPosCtrl                ;
                lda #$10                          ;
                sta LR_7014                       ; set disk get to $1000 - DiskLevel
                sta LR_702e                       ; set disk put to $1000 - DiskLevel
                sta LR_Random                     ; lrLastRndNum
                lda $c5                           ;
                sta LR_KeyOld                     ; lrOldKey
                lda #$40                          ;
                sta $c5                           ;
                lda #$05                          ;
                sta LR_GameSpeed                  ; lrGameSpeed
                lda #$00                          ;
                sta LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)
                jmp B_62cd                        ; StartGrafic
B_6067          lda #$00                          ;       <StartNewGame>
                sta LR_ScoreLo                    ; lrScoreLow
                sta LR_ScoreMidLo                 ; lrScoreMidLow
                sta LR_ScoreMidHi                 ; lrScoreMidHigh
                sta LR_ScoreHi                    ; lrScoreHigh
                sta LR_CntSpeedLaps               ; lrGameSpeed
                sta CR_1304                       ;
                sta LR_EnmyBirthCol               ;
                sta $58                           ;
                sta $55                           ;
                lda #$b1                          ;
                sta $56                           ;
                sta LR_LvlReload                  ; lrOldDiskLvl (000-049) - reload if <> 1310
                lda #$05                          ;
                sta LR_NumLives                   ; lrNumLives
                lda #$20                          ;
                sta $51                           ; lrzTargetOutput  (20=2000 [display] 40=4000 [hidden])
                jsr S_6477                        ; InitVictoryTune
                jsr S_8be1                        ; InitBothScreens  +  InitStatusLines
                jsr S_6d01                        ; SetNewColors (new colors any 10th level)
                lda CR_1357                       ; lrNewLevelColor
                jsr S_6610                        ; SetMultiColours ac=color1 and color 2
                jsr S_6c8e                        ; SetUniquePlayId
B_60a4          lda #$00                          ;       <StartNewLevel>
                sta CR_1356                       ; lrNewStatusColor
                ldx #$01                          ; load new level from disk
                jsr S_6d3a                        ; InitLevel
                sta LR_PtrTuneToPlay              ; lrScoreToPlay
                sta LR_PtrNxtTunePos              ; lrPtrSoundStack
                ldy LR_EnmyNo                     ; lrNumEnemy
                lda T_663e,y                      ; lrtEnableEnemy
                sta SPENA                         ; VIC 2 - $D015 = Sprite Enable
                lda #$00                          ;
                sta LR_JoyUpDo                    ; lrMoveUD
                sta LR_JoyLeRi                    ; lrMoveLR
                lda LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)
                lsr a                             ;
                beq B_6117                        ; => MainLoopInit
B_60cb          lda SPENA                         ; VIC 2 - $D015 = Sprite Enable  <snlWaitUser>  (flicker sprite 0 meanwhile)
                and #$fe                          ; lr sprite off
                sta SPENA                         ; VIC 2 - $D015 = Sprite Enable
                ldy #$90                          ; init wait
                ldx #$00                          ;
B_60d7          dex                               ;       <snlLrOff>
                jsr S_8ec1                        ; => ChkUserAction (carry set= yes/carry clear = no)
                bcs B_60fc                        ; => snlGo
                bne B_60d7                        ; => snlLrOff
                dey                               ;
                bne B_60d7                        ; => snlLrOff
                lda SPENA                         ; VIC 2 - $D015 = Sprite Enable
                ora #$01                          ; lr sprite on
                sta SPENA                         ; VIC 2 - $D015 = Sprite Enable
                ldy #$90                          ; init wait
                ldx #$00                          ;
B_60ee          dex                               ;       <snlLrOn>
                jsr S_8ec1                        ; => ChkUserAction (carry set= yes/carry clear = no)
                bcs B_60fc                        ; => snlGo
                bne B_60ee                        ; => snlLrOn
                dey                               ;
                bne B_60ee                        ; => snlLrOn
                jmp B_60cb                        ; => snlWaitUser
B_60fc          lda SPENA                         ; VIC 2 - $D015 = Sprite Enable <snlGo>
                ora #$01                          ;
                sta SPENA                         ; VIC 2 - $D015 = Sprite Enable
                lda LR_KeyNew                     ; lrNewKey
                cmp #$8d                          ; ctrl+s
                bne B_6117                        ; => MainLoopInit
                jsr S_6746                        ; => SaveGame
                ldy LR_EnmyNo                     ; lrNumEnemy
                lda T_663e,y                      ; lrtEnableEnemy
                sta SPENA                         ; VIC 2 - $D015 = Sprite Enable
B_6117          ldx #$00                          ;       <MainLoopInit>
                stx LR_Shoots                     ; lrShootDir (00=no  01=shoot right  ff=shoot left)
                lda LR_CntSpeedLaps               ; lrGameSpeed
                clc                               ;
                adc LR_EnmyNo                     ; lrNumEnemy
                tay                               ;
                ldx T_62ad,y                      ;
                lda T_8089,x                      ;
                sta $32                           ;
                lda T_808a,x                      ;
                sta $33                           ;
                lda T_808b,x                      ;
                sta $34                           ;
                ldy LR_CntSpeedLaps               ; lrGameSpeed
                lda LR_62b8,y                     ;
                sta LR_EnmyHoleTime               ; lrEnemyHoleTime
B_613f          jsr $78b3                         ; MoveLodeRunner      <MainLoop> .honz
                lda LR_Alive                      ; lrStillAlive  (0=killed)
                beq B_616e                        ; ==> mlLrDead
                lda LR_GoldToGet                  ; lrGoldToFind      <>
                bne B_6155                        ; => mlChkLrPos
                jsr S_64a1                        ; CopyVictoryTune      <>
                jsr S_92db                        ; SecretLaddersOut
                jsr S_6c4a                        ; VictoryMsgOut
B_6155          lda $04                           ; lrzLRPosRow      <mlChkLrPos>
                bne B_6168                        ; => mlChkHoles - lode runner not on top of the screen
                lda $06                           ; zlrPosOnImageUD      <>
                cmp #$02                          ;
                bne B_6168                        ; => mlChkHoles - lode runner not centerd
                lda LR_GoldToGet                  ; lrGoldToFind      <>
                beq B_6188                        ; => mlNextLevel
                cmp #$ff                          ;
                beq B_6188                        ; => mlNextLevel
B_6168          jsr S_89f7                        ;       <mlChkHoles>
                lda LR_Alive                      ; lrStillAlive  (0=killed)
B_616e          beq B_61d7                        ; => mlLrDead      <>
                jsr S_8062                        ; MoveEnemies      <>
                lda LR_Alive                      ; lrStillAlive  (0=killed)
                beq B_61d7                        ; => mlLrDead
B_6178          lda LR_CountIRQs                  ; lrWaitCounter  (inc any IRQ)      <mlChkSpeed>
                cmp LR_GameSpeed                  ; lrGameSpeed
                bcc B_6178                        ; => mlChkSpeed
                lda #$03                          ;       <>
                sta LR_CountIRQs                  ; lrWaitCounter  (inc any IRQ)
                jmp B_613f                        ; => MainLoop
B_6188          inc LR_LevelNoGame                ; lrNumPlayLvl      <mlNextLevel>
                inc LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
B_618e          lda LR_PtrNxtTunePos              ; lrPtrSoundStack      <mlNextLevelTune>
                cmp LR_PtrTuneToPlay              ; lrScoreToPlay
                bne B_618e                        ; => mlNextLevelTune
                jsr S_6484                        ; SetVictoryTune      <>
                inc LR_NumLives                   ; lrNumLives
                bne B_61a1                        ; => mlScore
                dec LR_NumLives                   ; lrNumLives - max 255
B_61a1          lda #$13                          ; 19      <mlScore>
                sta $2f                           ;
                sei                               ; no interrupts
B_61a6          lda #$40                          ;       <mlScoreTune>
                sec                               ;
                sbc $2f                           ;
                sta FREHI1                        ; SID - $D401 = Oscillator 1 Frequency Control (High Byte)
                ldy #$2c                          ;       <>
B_61b0          ldx #$00                          ;       <mlScoreInitX>
B_61b2          dex                               ;       <mlScoreHoldX>
                bne B_61b2                        ; => mlScoreHoldX
                dey                               ;
                bne B_61b0                        ; => mlScoreInitX
                sty FREHI1                        ; SID - $D401 = Oscillator 1 Frequency Control (High Byte)
                tya                               ; 00
                iny                               ; 01
                jsr S_8d09                        ; AddDisplayScore (ac=1s yr=100s)
                dec $2f                           ;
                bpl B_61a6                        ; => mlScoreTune - 20 loops for 2000 points
                cli                               ;       <>
                lda CR_1352                       ; lrdANE_BIGHAM
                bmi B_61d4                        ; ==> StartNewLevel
                lda LR_LevelNoGame                ; lrNumPlayLvl      <>
                cmp #$33                          ; 51
                bcc B_61d4                        ; ==> StartNewLevel
                jmp B_6207                        ; mlGameOver      <>
B_61d4          jmp B_60a4                        ; => StartNewLevel
B_61d7          dec LR_NumLives                   ; lrNumLives      <mlLrDead>
                lda LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)
                lsr a                             ;
                bne B_61e3                        ; => mlLrDeadTune
                jmp B_626b                        ; => mlSetVolume
B_61e3          lda #$38                          ;       <mlLrDeadTune>
                sta LR_DeathTune                  ; lrDeadTune
B_61e8          lda LR_PtrNxtTunePos              ; lrPtrSoundStack      <mlPlayAllTunes>
                cmp LR_PtrTuneToPlay              ; lrScoreToPlay
                bne B_61e8                        ; => mlPlayAllTunes
                lda #$00                          ;       <>
                sta LR_Shoots                     ; lrShootDir (00=no  01=shoot right  ff=shoot left)
                lda #$20                          ;
                sta LR_FallsDown                  ; lrFallDown  (00=fall 20=no fall ff=init
                jsr S_8cc8                        ; StatusOutLives
B_61fd          lda LR_DeathTune                  ; lrDeadTune      <mlWaitDeadTune>
                bne B_61fd                        ; => mlWaitDeadTune
                lda LR_NumLives                   ; lrNumLives      <>
                bne B_61d4                        ; ==> StartNewLevel
B_6207          jsr S_71cf                        ; CheckHighScore      <mlGameOver>
                jsr S_7557                        ; CheckNewChamp
                bcs B_6212                        ; new champ => WaitSomeTime
                jsr $93d6                         ; FlipSign .honz
B_6212          ldx #$ff                          ;       <WaitSomeTime>
                ldy #$ff                          ;
                bcs B_621d                        ; user break during flip => wstSetLoops
                lda #$00                          ;
                sta LR_KeyNew                     ; lrNewKey
B_621d          lda #$03                          ;       <wstSetLoops>
                sta $50                           ; lrzScreenRow  (00-0f)
B_6221          lda CIAPRA                        ; CIA 1 - <WaitForUserKey> $DC00 = Data Port A - cia#1 port a (joyport2):  bit4=fire  bit3=right  bit2=left  bit1=down  bit0=up
                and #$10                          ; isolate fire button
                beq B_6294                        ; =>GameRestartInit
                lda LR_KeyNew                     ; lrNewKey
                cmp #$aa                          ; CTRL+l
                bne B_6232                        ; => wfukNext
                jsr S_6a65                        ; => LoadPlayGame
B_6232          cmp #$01                          ; ENTER      <wfukNext>
                beq B_6277                        ; => mlScores
                cmp #$94                          ; CTRL+c
                beq B_628e                        ; => ClearHighScore
                cmp #$3c                          ; SPACE
                beq B_6294                        ; => GameRestartInit
                dex                               ; wait x
                bne B_6221                        ; =>WaitForUserKey
                dey                               ; wait y
                bne B_6221                        ; =>WaitForUserKey
                dec $50                           ; wait a (lrzScreenRow  (00-0f))
                bne B_6221                        ; =>WaitForUserKey
                lda LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)      <>
                bne B_6273                        ; => mlChkDemo
                ldx #$01                          ;
                stx LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)
                stx LR_LevelNoGame                ; lrNumPlayLvl
                stx $59                           ;
                stx LR_Cheated                    ;
                ldx LR_Volume                     ; lrVolume
                stx LR_626c                       ;
                lda #$00                          ;
                sta LR_Volume                     ; lrVolume
                sta LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                jmp B_6067                        ; => StartNewGame
B_626b          lda #$00                          ;       <mlSetVolume>
                sta LR_Volume                     ; lrVolume
                jmp B_6212                        ; WaitSomeTime
B_6273          cmp #$01                          ; demo mode?      <mlChkDemo>
                bne B_6283                        ; => mlStartScreen
B_6277          jsr S_7308                        ; ShowScores      <mlScores>
                lda #$02                          ;
                sta LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)
                clc                               ;
                jmp B_6212                        ; => WaitSomeTime
B_6283          lda #$00                          ;       <mlStartScreen>
                sta LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                sta LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)
                jmp B_62cd                        ; StartGrafic
B_628e          jsr S_6b60                        ; ClearScores      <>
                jmp B_6277                        ; => mlScores
B_6294          ldx #$00                          ;       <GameRestartInit>
                stx LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                inx                               ;
                stx LR_LevelNoGame                ; lrNumPlayLvl
                stx LR_Cheated                    ; flag:
                lda #$02                          ;
                sta LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)
                lda #$ff                          ;
                sta LR_Volume                     ; lrVolume
                jmp B_6067                        ; => StartNewGame
T_62ad          .byte $00
                .byte $03
                .byte $06
                .byte $09
                .byte $0c
                .byte $0f
                .byte $12
                .byte $15
                .byte $18
                .byte $1b
                .byte $1e
                .byte $26
                .byte $26
                .byte $2e
                .byte $44
                .byte $47
                .byte $49
                .byte $4a
                .byte $4b
                .byte $4c
                .byte $4d
                .byte $4e
                .byte $4f
                .byte $50
                .byte $51
                .byte $52
                .byte $53
                .byte $54
                .byte $55
                .byte $56
                .byte $57
                .byte $58
B_62cd          jsr S_9289                        ; ClearDisplay20      <StartGrafic>
                lda #$00                          ;
                jsr S_6610                        ; SetMultiColours ac=color1 and color 2
                lda SCROLY                        ; VIC 2 - $D011 = VIC Control Register 1
                ora #$20                          ; set bitmap mode
                sta SCROLY                        ; VIC 2 - $D011 = VIC Control Register 1
                lda VMCSB                         ; VIC 2 - $D018 = Chip Memory Control
                and #$f0                          ; chr generator
                ora #$08                          ;   to video base + 2000-3fff
                sta VMCSB                         ; VIC 2 - $D018 = Chip Memory Control
                lda #$00                          ;
                sta LR_Counter                    ;
B_62ec          ldx LR_Counter                    ;       <sgGetNextColor>
                inc LR_Counter                    ;
                lda T_6312,x                      ;
                sta LR_6308                       ; sgAdrLo
                lda T_6319,x                      ;
                sta LR_6309                       ; sgAdrHi
                lda T_6320,x                      ; sgAmount
                tay                               ;
                lda T_6327,x                      ; sgColor
                beq B_632f                        ; => sgCopyPicture
B_6307          sta LR_ScrnMultColor,y            ; color target      <sgCopyColors>
                dey                               ;
                cpy #$ff                          ;
                bne B_6307                        ; => sgCopyColors
                jmp B_62ec                        ; => sgGetNextColor
T_6312          .byte $05  ; tab: Color Target Address Lo
                .byte $05
                .byte $21
                .byte $21
                .byte $ba
T_6317          .byte $27
                .byte $7c
T_6319          .byte $04 ; tab: Color Target Address Hi
                .byte $05
                .byte $05
                .byte $06
                .byte $06
                .byte $07
                .byte $07
T_6320          .byte $ff ; tab: Color Amount
                .byte $09
                .byte $ff
                .byte $82
                .byte $68
                .byte $41
                .byte $37
T_6327          .byte $30 ; tab: Color Value
                .byte $30
                .byte $10
                .byte $10
                .byte $70
                .byte $30
                .byte $f0
                .byte $00
B_632f          lda SCROLX                        ; VIC 2 - $D016 = Control Register 2 (and Horizontal Fine Scrolling) <sgCopyPicture>
                and #$ef                          ; reset multi color mode
                sta SCROLX                        ; VIC 2 - $D016 = Control Register 2 (and Horizontal Fine Scrolling)
                lda #$b0                          ;
                sta $0f                           ;
B_633b          lda #$13                          ;
                sta $10                           ; from 13b0
                lda #$ff                          ;
                sta $0d                           ;
                lda #$1f                          ; to 2000
                sta $0e                           ;
B_6347          ldy #$00                          ;       <sgcpGetData>
                lda ($0f),y                       ;
                sta $1e                           ; first byte is counter
                iny                               ;
                lda ($0f),y                       ;
                sta $1f                           ; second byte is data
                lda $0f                           ;       <sgcpNextFrom>
                clc                               ;
                adc #$02                          ;
                sta $0f                           ;
B_6359          bcc B_635d                        ; => sgcpInit
                inc $10                           ;
B_635d          lda $1e                           ;       <sgcpInit>
                tay                               ;
                lda $1f                           ;
B_6362          sta ($0d),y                       ;       <sgcpOut>
                dey                               ;
                bne B_6362                        ; => sgcpOut
                lda $0d                           ;       <sgcpNextTo>
                clc                               ;
                adc $1e                           ;
                sta $0d                           ;
                bcc B_6372                        ; => sgcpCheckEnd
                inc $0e                           ;
B_6372          lda $0e                           ;       <sgcpCheckEnd>
                cmp #$3f                          ; max 3fff
                bcc B_6347                        ; sgcpGetdata
                lda #$0d                          ;       <>
                jsr $74a4                         ; .honz
                jmp B_6212                        ; WaitSomeTime
S_6380          ldx LR_PtrTuneToPlay              ; lrScoreToPlay      <IrqSounds>
                cpx LR_PtrNxtTunePos              ; lrPtrSoundStack
                beq B_63f7                        ; nothingmore to play => isReset
                lda #$11                          ;
                sta LR_WaveVoice2                 ; lrSid2Ctrl
                sta LR_WaveVoice3                 ; lrSid3Ctrl
                lda LR_TuneSuReVol,x              ;
                lda #$f0                          ;
                and LR_Volume                     ; lrVolume
                sta SUREL2                        ; SID - $D40D = Oscillator 2 Sustain/Release
                sta SUREL3                        ; SID - $D414 = Oscillator 3 Sustain/Release
                lda LR_TuneDataPtrV2,x            ;
                bne B_63a6                        ; => isVoice2
                sta LR_WaveVoice2                 ; lrSid2Ctrl - 00
B_63a6          tay                               ;       <isVoice2>
                lda LR_b821,y                     ;
                sta FRELO2                        ; SID - $D407 = Oscillator 2 Frequency Control (Low Byte)
                lda T_b846,y                      ;
                sta FREHI2                        ; SID - $D408 = Oscillator 2 Frequency Control (High Byte)
                lda LR_TuneDataPtrV3,x            ;
                bpl B_63d0                        ; => isNext
                lda LR_TuneDataPtrV2,x            ;
                tay                               ;
                sec                               ;
                lda LR_b821,y                     ;
                sbc #$80                          ;
                sta FRELO3                        ; SID - $D40E = Oscillator 3 Frequency Control (Low Byte)
                lda T_b846,y                      ;
                sbc #$00                          ;
                sta FREHI3                        ; SID - $D40F = Oscillator 3 Frequency Control (High Byte)
                jmp B_63e2                        ; => isPLay
B_63d0          bne B_63d5                        ; => isVoice3      <isNext>
                sta LR_WaveVoice3                 ; lrSid3Ctrl - 00
B_63d5          tay                               ;       <isVoice3>
                lda LR_b821,y                     ;
                sta FRELO3                        ; SID - $D40E = Oscillator 3 Frequency Control (Low Byte)
                lda T_b846,y                      ;
                sta FREHI3                        ; SID - $D40F = Oscillator 3 Frequency Control (High Byte)
B_63e2          lda LR_WaveVoice2                 ; lrSid2Ctrl      <isPlay>
                sta VCREG2                        ; SID - $D40B = Oscillator 2 Control
                lda LR_WaveVoice3                 ; lrSid3Ctrl
                sta VCREG3                        ; SID - $D412 = Oscillator 3 Control
                dec LR_TunePlayTime,x             ; SoundStack0 - score duration
                bne B_63f6                        ; => isX
                inc LR_PtrTuneToPlay              ; lrScoreToPlay
B_63f6          rts                               ; isX
B_63f7          lda #$00                          ; <isReset>
                sta VCREG2                        ; SID - $D40B = Oscillator 2 Control
                sta VCREG3                        ; SID - $D412 = Oscillator 3 Control
                rts                               ;
S_6400          pla                               ; <CopyGoldTune>
                sta $7d                           ; lrzLoSoundFrom
                pla                               ;
                sta $7e                           ; lrzHiSoundFrom
                bne B_6439                        ; always => cgtNext
B_6408          sei                               ;       <cgtCopy>
                ldy #$00                          ;
                lda ($7d),y                       ; lrzVecSoundFrom
                beq B_6441                        ; => cgtReturn
                ldx LR_PtrNxtTunePos              ; lrPtrSoundStack
                sta LR_TunePlayTime,x             ; SoundStack0 - score duration
                iny                               ;
                lda ($7d),y                       ; lrzVecSoundFrom
                sta LR_TuneDataPtrV2,x            ;
                iny                               ;
                lda ($7d),y                       ; lrzVecSoundFrom
                sta LR_TuneDataPtrV3,x            ;
                iny                               ;
                lda ($7d),y                       ; lrzVecSoundFrom
                sta LR_TuneSuReVol,x              ;
                inc LR_PtrNxtTunePos              ; lrPtrSoundStack
                lda $7d                           ; lrzLoSoundFrom
                clc                               ;
                adc #$04                          ;
                sta $7d                           ; lrzLoSoundFrom
                lda $7e                           ; lrzHiSoundFrom
                adc #$00                          ;
                sta $7e                           ; lrzHiSoundFrom
                bne B_6408                        ; always to GoldSoundCopy
B_6439          inc $7d                           ; lrzLoSoundFrom      <cgtNext>
                bne B_6408                        ;
                inc $7e                           ; lrzHiSoundFrom
                bne B_6408                        ; => cgtCopy
B_6441          lda $7e                           ; lrzHiSoundFrom      <cgtReturn>
                pha                               ;
                lda $7d                           ; lrzLoSoundFrom
                pha                               ;
                cli                               ;
                rts                               ; cgtX
S_6449          sta LR_RandomAc                   ; lrRndSaveAC (x=VicLow y=VicHigh a=RndLow) <GetRndNum>
B_644c          lda RASTER                        ; VIC 2 - $D012 = Read: Raster Scan Line/ Write: Line for Raster IRQ <grnPickOne>
                sta LR_RasterBeamPos              ; lrRndNum
                cpx LR_RasterBeamPos              ; lrRndNum
                bcc B_645c                        ; lower => grnCheckUB
                beq B_645c                        ; equal => grnCheckUB
                jmp B_644c                        ; higher => grnPickOne
B_645c          cpy LR_RasterBeamPos              ; lrRndNum      <grnCheckUB>
                bcc B_644c                        ; lower => get next value
                sec                               ;
                sbc LR_Random                     ; lrLastRndNum
                bcs B_646b                        ; => grnCheckRnd
                eor #$ff                          ;
                adc #$01                          ;
B_646b          cmp LR_RandomAc                   ; lrRndSaveAC      <grnCheckRnd>
                bcc B_644c                        ; => grnPickOne
                lda LR_RasterBeamPos              ; lrRndNum
                sta LR_Random                     ; lrLastRndNum
                rts                               ; grnX
S_6477          lda T_b800                        ; => 09 <InitVictoryTune>
                sta LR_MelodyNo                   ; lrMelodyNo (00-09)
                lda LR_b801                       ; => 02
                sta LR_MelodyHeight               ; lrMelodyAdd (02-0b)
                rts                               ;
S_6484          dec LR_MelodyNo                   ; lrMelodyNo (00-09) <SetVictoryTune>
                bpl B_64a0                        ; => svtX
                inc LR_MelodyHeight               ; lrMelodyAdd (02-0b)
                lda LR_MelodyHeight               ; lrMelodyAdd (02-0b)
                cmp B_b802                        ; => 0c
                bcc B_649a                        ;
                lda LR_b801                       ; => 02
                sta LR_MelodyHeight               ; lrMelodyAdd (02-0b)
B_649a          lda T_b800                        ; => 09      <>
                sta LR_MelodyNo                   ; lrMelodyNo (00-09)
B_64a0          rts                               ; svtX
S_64a1          lda LR_MelodyNo                   ; lrMelodyNo (00-09) <CopyVictoryTune>
                asl a                             ; *2
                tax                               ;
                lda T_b803,x                      ;
                sta $7d                           ; lrzLoSoundFrom
                lda LR_b804,x                     ;
                sta $7e                           ; lrzHiSoundFrom
B_64b0          sei                               ;       <cvtPick>
                ldy #$00                          ;
                lda ($7d),y                       ; lrzVecSoundFrom
                beq B_64ef                        ; => cvtReturn
                ldx LR_PtrNxtTunePos              ; lrPtrSoundStack
                sta LR_TunePlayTime,x             ; SoundStack0 - score duration      <cvtStoreC0>
                iny                               ;
                lda ($7d),y                       ; lrzVecSoundFrom
                beq B_64c6                        ; => cvtStoreC1
                clc                               ;
                adc LR_MelodyHeight               ; lrMelodyAdd (02-0b)
B_64c6          sta LR_TuneDataPtrV2,x            ;       <cvtStoreC1>
                iny                               ;
                lda ($7d),y                       ; lrzVecSoundFrom
                beq B_64d4                        ;
                bmi B_64d4                        ; => cvtStoreC2
                clc                               ;
                adc LR_MelodyHeight               ; lrMelodyAdd (02-0b)
B_64d4          sta LR_TuneDataPtrV3,x            ;       <cvtStoreC2>
                iny                               ;
                lda ($7d),y                       ; lrzVecSoundFrom
                sta LR_TuneSuReVol,x              ;       <cvtStoreC3>
                inc LR_PtrNxtTunePos              ; lrPtrSoundStack
                lda $7d                           ; lrzLoSoundFrom      <cvtNext4>
                clc                               ;
                adc #$04                          ;
                sta $7d                           ; lrzLoSoundFrom
                lda $7e                           ; lrzHiSoundFrom
                adc #$00                          ;
                sta $7e                           ; lrzHiSoundFrom
                bne B_64b0                        ; always => cvtPick
B_64ef          cli                               ;       <cvtReturn>
                rts                               ; cvtX
                inc LR_CountIRQs                  ; lrWaitCounter  (inc any IRQ) <IRQ>
                lda #$00                          ;
                sta $7c                           ;
                lda LR_Volume                     ; lrVolume
                and #$0f                          ;
                sta SIGVOL                        ; SID - $D418 = Volume and Filter Select
                lda LR_FallsDown                  ; lrFallDown  (00=fall 20=no fall ff=init
                bne B_650d                        ;
                ldx LR_FallBeep                   ; lrFallTune
                stx $7c                           ;
                jmp B_6512                        ;
B_650d          lda #$53                          ;       <>
                sta LR_FallBeep                   ; lrFallTune
B_6512          lda LR_Shoots                     ; lrShootDir (00=no  01=shoot right  ff=shoot left)      <>
                beq B_6527                        ;
                lda LR_ShootSound                 ;
                sec                               ;
                sbc #$20                          ;
                sta LR_ShootSound                 ;
                sta $7c                           ;
                beq B_6527                        ;
                jmp B_652c                        ;
B_6527          lda #$00                          ;       <>
                sta LR_ShootSound                 ;
B_652c          lda LR_DeathTune                  ; lrDeadTune
                beq B_6539                        ;
                sec                               ;
                sbc #$04                          ;
                sta $7c                           ;
                sta LR_DeathTune                  ; lrDeadTune
B_6539          lda $7c                           ;
                sta FREHI1                        ; SID - $D401 = Oscillator 1 Frequency Control (High Byte)
                jsr S_6380                        ; IrqSounds
                lda $c5                           ;
                bne B_6547                        ;
                lda #$07                          ;
B_6547          cmp #$40                          ;
                bne B_6553                        ;
                lda #$00                          ;
                sta LR_KeyOld                     ; lrOldKey
                jmp C64_IRQ                       ; Sytem IRQ
B_6553          pha                               ;       <>
                lda C64_KeyFlag                   ;
                and #$04                          ;
                tax                               ;
                pla                               ;
                cpx #$04                          ;
                bne B_6561                        ;
                ora #$80                          ;
B_6561          cmp LR_KeyOld                     ; lrOldKey
                beq B_656c                        ;
                sta LR_KeyOld                     ; lrOldKey
                sta LR_KeyNew                     ; lrNewKey
B_656c          jmp C64_IRQ                       ;
S_656f          lda $01                           ;       <ColdStartInit>
                and #$fe                          ;
                sta $01                           ;
                lda #$00                          ;
                sta $1e                           ;
                lda #$00                          ;
                sta $1f                           ;
                ldy #$00                          ;
                lda #$19                          ;
                sta LR_GfxAddHi                   ;
B_6584          ldx #$08                          ;
B_6586          lda $1f                           ;
                sta LR_TabOffHiresHi,y            ;
                lda $1e                           ;
                sta LR_TabOffHiresLo,y            ;
                inc $1e                           ;
                iny                               ;
                dex                               ;
                bne B_6586                        ;
                clc                               ;
                adc #$39                          ;
                sta $1e                           ;
                lda $1f                           ;
                adc #$01                          ;
                sta $1f                           ;
                dec LR_GfxAddHi                   ;
                bne B_6584                        ;
                lda #$3d                          ;
                sta C64_PtrNMI                    ;
                lda #$66                          ;
                sta C64_PtrNMI+1                  ;
                jsr S_9289                        ; ClearDisplay20
                lda #$00                          ; black
                sta BGCOL0                        ; VIC 2 - $D021 = BackGround Color 0
                sta EXTCOL                        ; VIC 2 - $D020 = Border Color
                sei                               ;
                lda #$f1                          ;
                sta C64_PtrIRQ                    ;
                lda #$64                          ;
                sta C64_PtrIRQ+1                  ; irq routine to 64f1
                cli                               ;
                lda #$b0                          ;
                sta SUREL1                        ; SID - $D406 = Oscillator 1 Sustain/Release
                lda #$11                          ;
                sta VCREG1                        ; SID - $D404 = Oscillator 1 Control
                ldx #$30                          ;
                stx LR_07f8                       ;
                inx                               ;
                stx LR_07fa                       ;
                inx                               ;
                stx LR_07fb                       ;
                inx                               ;
                stx LR_07fc                       ;
                inx                               ;
                stx LR_07fe                       ;
                inx                               ;
                stx LR_07ff                       ;
                lda #$00                          ;
                sta SPBGPR                        ; VIC 2 - $D01B = Sprite to Foreground Priority
                tay                               ;
B_65f0          sta $0002,y                       ;
                sta LR_SpriteStore01,y            ;
                sta LR_SpriteStore02,y            ;
                iny                               ;
                bne B_65f0                        ;
                lda #$ff                          ;
                sta SPENA                         ; VIC 2 - $D015 = Sprite Enable
                lda #$03                          ;
S_6603          ldy #$07                          ;       <csiSpriteColor>
B_6605          sta SP0COL,y                      ; VIC 2 - $D027 - Color Sprite 0      <csiSpriteColors>
                dey                               ;
                bne B_6605                        ; => csiSpriteColors
                iny                               ;
                sty SP0COL                        ; VIC 2 - $D027 - Color Sprite 0
                rts                               ;
S_6610          sta LR_661e                       ; ac contains colours ac=color1 and color 2 <SetMultiColours>
                lda SCROLX                        ; VIC 2 - $D016 = Control Register 2 (and Horizontal Fine Scrolling)
                ora #$10                          ; set multicolour bitmapping mode
                sta SCROLX                        ; VIC 2 - $D016 = Control Register 2 (and Horizontal Fine Scrolling)
                ldy #$00                          ;
B_661d          lda #$86                          ; modified by ac value
                sta LR_ScrnMultColor,y            ; screen - colours 1 & 2
                sta LR_ScrnMultColor+$0100,y      ;
                sta LR_ScrnMultColor+$0200,y      ;
                sta LR_ScrnMultColor+$02f8,y      ;
                lda #$01                          ; white
                sta COLORAM,y                     ; colour ram - colour 3
                sta COLORAM+$0100,y                     ;
                sta COLORAM+$0200,y                     ;
                sta COLORAM+$0300,y                     ;
                dey                               ;
                bne B_661d                        ;
                rts                               ; smcX
                rti                               ;
T_663e          .byte $01 ; lrtEnableEnemy
                .byte $05
                .byte $0d
                .byte $1d
                .byte $5d
                .byte $dd
                lda #$20                          ;       <lrtEnableEnemy>
                sta $51                           ; lrzTargetOutput  (20=2000 [display] 40=4000 [hidden])
                lda #$9b                          ;
                sta LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                lda #$08                          ;
                sta CR_1354                       ;
                lda #$02                          ;
                sta LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)
                lda #$01                          ;
                jsr S_6e5a                        ; GetPutCtrl - ac: 1=load 2=store
                jsr S_6bf3                        ;
                jsr S_9289                        ; ClearDisplay20
                lda #$73                          ;
                jsr S_6610                        ; SetMultiColours ac=color1 and color 2
                lda #$00                          ;
                sta $4f                           ; lrzScreenCol (00-1b)
                lda #$04                          ;
                sta $50                           ; lrzScreenRow  (00-0f)
                jsr S_8e39                        ; TextOut
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $ce ; N
                .byte $c1 ; A
                .byte $cd ; M
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $cc ; L
                .byte $c5 ; E
                .byte $d6 ; V
                .byte $c5 ; E
                .byte $cc ; L
                .byte $a0 ; <blank>
                .byte $cd ; M
                .byte $c5 ; E
                .byte $ce ; N
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $d3 ; S
                .byte $c3 ; C
                .byte $cf ; O
                .byte $d2 ; R
                .byte $c5 ; E
                .byte $8d ; <newline>
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $a0 ; <blank>
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $a0 ; <blank>
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $a0 ; <blank>
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $8d ; <newline>
                .byte $00 ; EndOfText
                ldy #$00                          ;
                sty $1c                           ;
B_66ad          lda #$08                          ;
                sta $1d                           ;
B_66b1          ldy $1c                           ;
                lda LR_LvlDataSavLod,y            ;
                jsr S_8e03                        ;
                inc $1c                           ;
                dec $1d                           ;
                bne B_66b1                        ;
                inc $4f                           ; lrzScreenCol (00-1b)
                inc $4f                           ; lrzScreenCol (00-1b)
                ldy $1c                           ;
                inc $1c                           ;
                inc $1c                           ;
                lda LR_LvlDataSavLod,y            ;
                cmp #$a0                          ;
                bne B_66d3                        ;
                jmp B_6735                        ;
B_66d3          jsr S_8d86                        ; Hex2Dec  (1307=100 1308=10 1309=1)      <>
                lda LR_Digit100                   ; lrDec100
                jsr S_8da8                        ; Digits2Screen
                lda LR_Digit10                    ; lrDec10
                jsr S_8da8                        ; Digits2Screen
                lda LR_Digit1                     ; lrDec1
                jsr S_8da8                        ; Digits2Screen
                inc $4f                           ; lrzScreenCol (00-1b)
                inc $4f                           ; lrzScreenCol (00-1b)
                ldy $1c                           ;
                inc $1c                           ;
                lda LR_LvlDataSavLod,y            ;
                jsr S_8d86                        ; Hex2Dec  (1307=100 1308=10 1309=1)
                lda LR_Digit100                   ; lrDec100
                jsr S_8da8                        ; Digits2Screen
                lda LR_Digit10                    ; lrDec10
                jsr S_8da8                        ; Digits2Screen
                lda LR_Digit1                     ; lrDec1
                jsr S_8da8                        ; Digits2Screen
                inc $4f                           ; lrzScreenCol (00-1b)
                ldy $1c                           ;
                inc $1c                           ;
                lda LR_LvlDataSavLod,y            ;
                jsr S_6c3a                        ;
                ldy $1c                           ;
                inc $1c                           ;
                lda LR_LvlDataSavLod,y            ;
                jsr S_6c3a                        ;
                ldy $1c                           ;
                inc $1c                           ;
                lda LR_LvlDataSavLod,y            ;
                jsr S_6c3a                        ;
                ldy $1c                           ;
                lda LR_LvlDataSavLod,y            ;
                jsr S_6c3a                        ;
                lda #$8d                          ;
                jsr S_8e03                        ;
B_6735          lda $1c                           ;
                and #$f0                          ;
                clc                               ;
                adc #$10                          ;
                sta $1c                           ;
                cmp #$a0                          ;
                beq B_6745                        ;
                jmp B_66ad                        ;
B_6745          rts                               ;       <>
S_6746          jsr S_6c28                        ; <SaveGame>
                bcs B_6745                        ;
                jsr S_6ca8                        ; ChkUniquePlayId
                lda LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                sta CR_1351                       ;
B_6754          jsr $6644                         ; .honz
                lda #$20                          ;
                sta $51                           ; lrzTargetOutput  (20=2000 [display] 40=4000 [hidden])
                jsr S_8be7                        ; InitStatusLines
B_675e          lda #$00                          ;
                sta $50                           ; lrzScreenRow  (00-0f)
                sta $4f                           ; lrzScreenCol (00-1b)
                jsr S_8e39                        ; TextOut
                .byte $a0 ; <blank>
                .byte $d3 ; S
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $d4 ; T
                .byte $cf ; O
                .byte $a0 ; <blank>
                .byte $d3 ; S
                .byte $c1 ; A
                .byte $d6 ; V
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $c7 ; G
                .byte $c1 ; A
                .byte $cd ; M
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $c9 ; I
                .byte $ce ; N
                .byte $a0 ; <blank>
                .byte $d0 ; P
                .byte $d2 ; R
                .byte $cf ; O
                .byte $c7 ; G
                .byte $d2 ; R
                .byte $c5 ; E
                .byte $d3 ; S
                .byte $d3 ; S
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $c4 ; D
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $d4 ; T
                .byte $cf ; O
                .byte $a0 ; <blank>
                .byte $c4 ; D
                .byte $c5 ; E
                .byte $cc ; L
                .byte $c5 ; E
                .byte $d4 ; T
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $c1 ; A
                .byte $ce ; N
                .byte $a0 ; <blank>
                .byte $c5 ; E
                .byte $ce ; N
                .byte $d4 ; T
                .byte $d2 ; R
                .byte $d9 ; Y
                .byte $a0 ; <blank>
                .byte $c2 ; B
                .byte $c5 ; E
                .byte $cc ; L
                .byte $cf ; O
                .byte $d7 ; W
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $bc ; <
                .byte $d2 ; R
                .byte $af ; /
                .byte $d3 ; S
                .byte $be ; >
                .byte $a0 ; <blank>
                .byte $d4 ; T
                .byte $cf ; O
                .byte $a0 ; <blank>
                .byte $c3 ; C
                .byte $cf ; O
                .byte $ce ; N
                .byte $d4 ; T
                .byte $c9 ; I
                .byte $ce ; N
                .byte $d5 ; U
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $c7 ; G
                .byte $c1 ; A
                .byte $cd ; M
                .byte $c5 ; E
                .byte $00 ; EndOfText
                lda #$00                          ;
                sta LR_KeyNew                     ; lrNewKey
                jsr S_8e6e                        ;
                ldx #$00                          ;
                stx LR_KeyNew                     ; lrNewKey
                cmp #$0d                          ;
                bne B_67cf                        ;
                jmp B_6856                        ;
B_67cf          cmp #$12                          ;       <>
                beq B_67e0                        ;
                cmp #$3f                          ;
                bne B_67da                        ;
                jmp B_6922                        ;
B_67da          jsr S_8e59                        ;       <>
                jmp B_675e                        ;
B_67e0          lda #$00                          ;       <>
                sta $50                           ; lrzScreenRow  (00-0f)
                sta $4f                           ; lrzScreenCol (00-1b)
                jsr S_8e39                        ; TextOut
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $c4 ; D
                .byte $c5 ; E
                .byte $cc ; L
                .byte $c5 ; E
                .byte $d4 ; T
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $c1 ; A
                .byte $ce ; N
                .byte $a0 ; <blank>
                .byte $c5 ; E
                .byte $ce ; N
                .byte $d4 ; T
                .byte $d2 ; R
                .byte $d9 ; Y
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $ce ; N
                .byte $c1 ; A
                .byte $cd ; M
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $be ; <
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $bc ; >
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $bc ; <
                .byte $d2 ; R
                .byte $af ; /
                .byte $d3 ; S
                .byte $be ; >
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $d4 ; T
                .byte $cf ; O
                .byte $a0 ; <blank>
                .byte $c1 ; A
                .byte $c2 ; B
                .byte $cf ; O
                .byte $d2 ; R
                .byte $d4 ; T
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $00 ; EndOfText
                dec $50                           ; lrzScreenRow  (00-0f)      <>
                lda #$0d                          ;
                sta $4f                           ; lrzScreenCol (00-1b)
                jsr S_6964                        ;
                jsr S_6941                        ;
                cpx #$00                          ;
                beq B_6853                        ;
                jmp B_6754                        ;
B_6853          jmp B_675e                        ;       <>
B_6856          lda #$00                          ;       <>
                sta $50                           ; lrzScreenRow  (00-0f)
                sta $4f                           ; lrzScreenCol (00-1b)
                jsr S_8e39                        ; TextOut
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $d3 ; S
                .byte $c1 ; A
                .byte $d6 ; V
                .byte $c5 ; E
                .byte $a0 ; <newline>
                .byte $c7 ; G
                .byte $c1 ; A
                .byte $cd ; M
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $c9 ; I
                .byte $ce ; N
                .byte $a0 ; <blank>
                .byte $d0 ; P
                .byte $d2 ; R
                .byte $cf ; O
                .byte $c7 ; G
                .byte $d2 ; R
                .byte $c5 ; E
                .byte $d3 ; S
                .byte $d3 ; S
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $ce ; N
                .byte $c1 ; A
                .byte $cd ; M
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $be ; <
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $bc ; >
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $bc ; <
                .byte $d2 ; R
                .byte $af ; /
                .byte $d3 ; S
                .byte $be ; >
                .byte $a0 ; <blank>
                .byte $d4 ; T
                .byte $cf ; O
                .byte $a0 ; <blank>
                .byte $c1 ; A
                .byte $c2 ; B
                .byte $cf ; O
                .byte $d2 ; R
                .byte $d4 ; T
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $00 ; EndOfText
                dec $50                           ; lrzScreenRow  (00-0f)      <>
                lda #$0b                          ;
                sta $4f                           ; lrzScreenCol (00-1b)
                jsr S_6964                        ;
                beq B_68cf                        ;
                jsr S_6a1a                        ;
                bcs B_68d2                        ;
                jsr S_6a3e                        ;
                bcs B_68d2                        ;
                jsr S_8e59                        ; ???
                jsr S_8e59                        ; ???
B_68cf          jmp B_675e                        ;
B_68d2          tay                               ;       <>
                ldx #$00                          ;
B_68d5          lda CR_133d,x                     ;
                sta LR_LvlDataSavLod,y            ;
                iny                               ;
                inx                               ;
                cpx #$08                          ;
                bcc B_68d5                        ;
                lda LR_LevelNoGame                ; lrNumPlayLvl
                sta LR_LvlDataSavLod,y            ;
                iny                               ;
                lda CR_1351                       ;
                sta LR_LvlDataSavLod,y            ;
                iny                               ;
                lda LR_NumLives                   ; lrNumLives
                sta LR_LvlDataSavLod,y            ;
                iny                               ;
                lda LR_ScoreHi                    ; lrScoreHigh
                sta LR_LvlDataSavLod,y            ;
                iny                               ;
                lda LR_ScoreMidHi                 ; lrScoreMidHigh
                sta LR_LvlDataSavLod,y            ;
                iny                               ;
                lda LR_ScoreMidLo                 ; lrScoreMidLow
                sta LR_LvlDataSavLod,y            ;
                iny                               ;
                lda LR_ScoreLo                    ; lrScoreLow
                sta LR_LvlDataSavLod,y            ;
                jsr S_6ca8                        ; ChkUniquePlayId
                lda #$02                          ;
                jsr S_6e5a                        ; GetPutCtrl - ac: 1=load 2=store
                jsr LR_6644                       ; 
                lsr LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)
                jmp B_6212                        ; WaitSomeTime
B_6922          jsr S_9289                        ; ClearDisplay20      <>
                lda CR_1357                       ; lrNewLevelColor
                jsr S_6610                        ; SetMultiColours ac=color1 and color 2
                jsr S_8be7                        ; InitStatusLines
                lda #$00                          ;
                sta CR_1304                       ;
                lda CR_1351                       ;
                sta LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                lda #$ff                          ;
                sta LR_LvlReload                  ; lrOldDiskLvl (000-049) - reload if <> 1310
                jmp B_60a4                        ; StartNewLevel
S_6941          jsr S_6a1a                        ;       <>
                bcc B_695c                        ;
                tay                               ;
B_6947          lda LR_LvlDataSavLod+$10,y        ;
                sta LR_LvlDataSavLod,y            ;
                iny                               ;
                cpy #$a0                          ;
                bcc B_6947                        ;
                jsr S_6ca8                        ; ChkUniquePlayId
                lda #$02                          ;
                jsr S_6e5a                        ; GetPutCtrl - ac: 1=load 2=store
                clc                               ;
                rts                               ;
B_695c          jsr S_8e59                        ;
                jsr S_8e59                        ;
                clc                               ;
                rts                               ;
S_6964          lda #$c0                          ;
S_6966          sta CR_1359                       ;
                ldx #$13                          ;
                lda #$a0                          ; shift blank
B_696d          sta CR_133d,x                     ;
                dex                               ;
                bpl B_696d                        ;
                inx                               ;
                stx CR_133c                       ;
                stx LR_KeyNew                     ; lrNewKey
B_697a          ldx CR_133c                       ;       <>
                lda CR_133d,x                     ;
                jsr S_8dc1                        ;
                jsr S_8e6e                        ;
                ldx #$00                          ;
                stx LR_KeyNew                     ; lrNewKey
                cmp #$3f                          ;
                beq B_69e9                        ;
                jsr S_7508                        ;
                bit CR_1359                       ;
                bpl B_699f                        ;
                cmp #$b0                          ;
                bcc B_699f                        ;
                cmp #$ba                          ;
                bcc B_69c0                        ;
B_699f          cmp #$8d                          ;
                beq B_69dc                        ;
                cmp #$88                          ;
                beq B_69f1                        ;
                cmp #$95                          ;
                beq B_6a00                        ;
                cmp #$a0                          ;
                beq B_69c0                        ;
                bit CR_1359                       ;
                bvc B_6a11                        ;
                cmp #$ae                          ;
                beq B_69c0                        ;
                cmp #$c1                          ;
                bcc B_6a11                        ;
                cmp #$db                          ;
                bcs B_6a11                        ;
B_69c0          ldx CR_133c                       ;
                sta CR_133d,x                     ;
                jsr S_8e03                        ;
                inc CR_133c                       ;
                lda CR_133c                       ;
                cmp CR_1354                       ;
                bcc B_697a                        ;
                dec CR_133c                       ;
                dec $4f                           ; lrzScreenCol (00-1b)
                jmp B_697a                        ;
B_69dc          ldx CR_1354                       ;       <>
B_69df          lda CR_133d,x                     ;       <CheckLoop>
                cmp #$a0                          ;
                bne B_69ed                        ;
                dex                               ;
                bpl B_69df                        ; => CheckLoop
B_69e9          sec                               ;       <>
                ldx #$00                          ;
                rts                               ;
B_69ed          sec                               ;
                ldx #$01                          ;
                rts                               ;
B_69f1          dec $4f                           ; lrzScreenCol (00-1b)
                dec CR_133c                       ;
                bpl B_697a                        ;
                inc $4f                           ; lrzScreenCol (00-1b)
                inc CR_133c                       ;
                jmp B_6a11                        ;
B_6a00          ldx CR_133c                       ;       <>
                inx                               ;
                cpx CR_1354                       ;
                bcs B_6a11                        ;
                inc $4f                           ; lrzScreenCol (00-1b)
                inc CR_133c                       ;
                jmp B_697a                        ;
B_6a11          jsr S_8e59                        ;       <>
                jsr S_8e59                        ;
                jmp B_697a                        ;
S_6a1a          ldy #$00                          ;       <>
B_6a1c          ldx #$00                          ;
B_6a1e          lda LR_LvlDataSavLod,y            ;
                cmp CR_133d,x                     ;
                bne B_6a31                        ;
                iny                               ;
                inx                               ;
                cpx #$08                          ;
                bne B_6a1e                        ;
                tya                               ;
                and #$f0                          ;
                sec                               ;
                rts                               ;
B_6a31          tya                               ;
                and #$f0                          ;
                clc                               ;
                adc #$10                          ;
                tay                               ;
                cmp #$a0                          ;
                bne B_6a1c                        ;
                clc                               ;
                rts                               ;
S_6a3e          ldy #$00                          ;
B_6a40          ldx #$08                          ;
                lda #$a0                          ;
B_6a44          cmp LR_LvlDataSavLod,y            ;
                bne B_6a52                        ;
                iny                               ;
                dex                               ;
                bne B_6a44                        ;
                tya                               ;
                and #$f0                          ;
                sec                               ;
                rts                               ;
B_6a52          tya                               ;
                and #$f0                          ;
                clc                               ;
                adc #$10                          ;
B_6a58          tay                               ;
                cmp #$a0                          ;
                bne B_6a40                        ;
                clc                               ;
                rts                               ;
B_6a5f          lsr LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)
                jmp B_6212                        ; WaitSomeTime
S_6a65          jsr S_6c28                        ;       <LoadPlayGame>
                bcs B_6a5f                        ;
                lda #$02                          ;
                sta LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)
                jsr S_6c8e                        ; SetUniquePlayId
                jsr LR_6644                       ; 
                lda #$00                          ;
                sta $4f                           ; lrzScreenCol (00-1b)
                sta $50                           ; lrzScreenRow  (00-0f)
                jsr S_8e39                        ; TextOut
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $cc ; L
                .byte $cf ; O
                .byte $c1 ; A
                .byte $c4 ; D
                .byte $a0 ; <blank>
                .byte $c1 ; A
                .byte $ce ; N
                .byte $c4 ; D
                .byte $a0 ; <blank>
                .byte $d0 ; P
                .byte $cc ; L
                .byte $c1 ; A
                .byte $d9 ; Y
                .byte $a0 ; <blank>
                .byte $c1 ; A
                .byte $a0 ; <blank>
                .byte $c7 ; G
                .byte $c1 ; A
                .byte $cd ; M
                .byte $c5 ; E
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $ce ; N
                .byte $c1 ; A
                .byte $cd ; M
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $be ; <
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $bc ; >
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $bc ; <
                .byte $d2 ; R
                .byte $af ; /
                .byte $d3 ; S
                .byte $be ; >
                .byte $a0 ; <blank>
                .byte $d4 ; T
                .byte $cf ; O
                .byte $a0 ; <blank>
                .byte $c1 ; A
                .byte $c2 ; B
                .byte $cf ; O
                .byte $d2 ; R
                .byte $d4 ; T
                .byte $00 ; <newline>
                lda #$0c                          ;       <>
                dec $50                           ; lrzScreenRow  (00-0f)
                sta $4f                           ; lrzScreenCol (00-1b)
                jsr S_6964                        ;
                bcc S_6a65                        ; =>LoadPlayGame
                beq B_6a5f                        ; =>
                jsr S_6a1a                        ;       <>
                bcs B_6add                        ;
                jsr S_8e59                        ;       <>
                jsr S_8e59                        ;
                jmp S_6a65                        ; LoadPlayGame
B_6add          clc                               ;       <>
                adc #$08                          ;
                tay                               ;
                lda LR_LvlDataSavLod,y            ;
                sta LR_LevelNoGame                ; lrNumPlayLvl
                lda LR_LvlDataSavLod+1,y          ;
                pha                               ;
                lda LR_LvlDataSavLod+2,y          ;
                sta LR_NumLives                   ; lrNumLives
                sec                               ;
                sbc #$01                          ;
                sta LR_LvlDataSavLod+2,y          ;
                lda LR_LvlDataSavLod+3,y          ;
                sta LR_ScoreHi                    ; lrScoreHigh
                lda LR_LvlDataSavLod+4,y          ;
                sta LR_ScoreMidHi                 ; lrScoreMidHigh
                lda LR_LvlDataSavLod+5,y          ;
                sta LR_ScoreMidLo                 ; lrScoreMidLow
                lda LR_LvlDataSavLod+6,y          ;
                sta LR_ScoreLo                    ; lrScoreLow
                lda LR_NumLives                   ; lrNumLives
                cmp #$01                          ;
                bne B_6b19                        ;
                jsr S_6941                        ;
B_6b19          jsr S_6ca8                        ; ChkUniquePlayId
                lda #$02                          ;
                jsr S_6e5a                        ; GetPutCtrl - ac: 1=load 2=store
                jsr S_9289                        ; ClearDisplay20
                jsr S_9294                        ; ClearDisplay40
                pla                               ;
                sta LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                jsr S_6d01                        ; SetNewColors (new colors any 10th level)
                lda CR_1357                       ; lrNewLevelColor
                jsr S_6610                        ; SetMultiColours ac=color1 and color 2
                lda #$00                          ;
                sta CR_1356                       ; lrNewStatusColor
                lda #$20                          ;
                sta $51                           ; lrzTargetOutput  (20=2000 [display] 40=4000 [hidden])
                jsr S_8be7                        ; InitStatusLines
                lda #$40                          ;
                sta $51                           ; lrzTargetOutput  (20=2000 [display] 40=4000 [hidden])
                jsr S_8be7                        ; InitStatusLines
                jsr S_6477                        ; InitVictoryTune
                lda #$00                          ;
                sta LR_CntSpeedLaps               ; lrGameSpeed
                sta LR_EnmyBirthCol               ;
                lda #$ff                          ;
                sta LR_Volume                     ; lrVolume
                sta LR_LvlReload                  ; lrOldDiskLvl (000-049) - reload if <> 1310
                jsr S_6c8e                        ; SetUniquePlayId
                jmp B_60a4                        ; StartNewLevel
S_6b60          jsr S_9289                        ; ClearDisplay20      <ClearScores>
B_6b63          lda $c5                           ;
                cmp #$40                          ;
                bne B_6b63                        ;
                lda #$00                          ;
                sta LR_KeyNew                     ; lrNewKey
                lda #$20                          ;
                sta $51                           ; lrzTargetOutput  (20=2000 [display] 40=4000 [hidden])
                lda #$73                          ;
                jsr S_6610                        ; SetMultiColours ac=color1 and color 2
                lda #$00                          ;
                sta $4f                           ; lrzScreenCol (00-1b)
                sta $50                           ; lrzScreenRow  (00-0f)
                jsr S_8e39                        ; TextOut
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $d4 ; T
                .byte $c8 ; H
                .byte $c9 ; I
                .byte $d3 ; S
                .byte $a0 ; <blank>
                .byte $c3 ; C
                .byte $cc ; L
                .byte $c5 ; E
                .byte $c1 ; A
                .byte $d2 ; R
                .byte $d3 ; S
                .byte $a0 ; <Sblank>
                .byte $d4 ; T
                .byte $c8 ; H
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $c8 ; H
                .byte $c9 ; I
                .byte $c7 ; G
                .byte $c8 ; H
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $d3 ; S
                .byte $c3 ; C
                .byte $cf ; O
                .byte $d2 ; R
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $c6 ; F
                .byte $c9 ; I
                .byte $cc ; L
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $cf ; O
                .byte $c6 ; F
                .byte $a0 ; <blank>
                .byte $c1 ; A
                .byte $cc ; L
                .byte $cc ; L
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $c5 ; E
                .byte $ce ; N
                .byte $d4 ; T
                .byte $d2 ; R
                .byte $c9 ; I
                .byte $c5 ; E
                .byte $d3 ; S
                .byte $ae ; .
                .byte $8d ; <newline>
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $c1 ; A
                .byte $d2 ; R
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $d9 ; Y
                .byte $cf ; O
                .byte $d5 ; U
                .byte $a0 ; <blank>
                .byte $d3 ; S
                .byte $d5 ; U
                .byte $d2 ; R
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $a8 ; (
                .byte $d9 ; Y
                .byte $af ; /
                .byte $ce ; N
                .byte $a9 ; )
                .byte $a0 ; <blank>
                .byte $00 ; EndOfText
                lda #$00                          ;       <>
                jsr S_8e6e                        ;
                ldx #$00                          ;
                stx LR_KeyNew                     ; lrNewKey
                cmp #$19                          ;
                bne B_6bf2                        ;
                lda #$81                          ;
                jsr S_6e8c                        ; GetPutScore  ($1100-$11ff) - ac: 1=load 2=store 81= 82=
                ldy #$83                          ;
                lda #$00                          ;
B_6be4          sta LR_LvlDataSavLod+$ff,y        ;
                dey                               ;
                bne B_6be4                        ;
                lsr LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                lda #$82                          ;
                jsr S_6e8c                        ; GetPutScore  ($1100-$11ff) - ac: 1=load 2=store 81= 82=
B_6bf2          rts                               ;
S_6bf3          lda LR_LvlDataSavLod+$f0          ;
                cmp #$c4                          ;
                bne B_6c09                        ;
                lda LR_LvlDataSavLod+$f1          ;
                cmp #$ca                          ;
                bne B_6c09                        ;
                lda LR_LvlDataSavLod+$f2          ;
                cmp #$c2                          ;
                bne B_6c09                        ;
                rts                               ;
B_6c09          lda #$a0                          ;
                ldx #$00                          ;
B_6c0d          sta LR_LvlDataSavLod,x            ;
                inx                               ;
                bne B_6c0d                        ;
                lda #$c4                          ;
                sta LR_LvlDataSavLod+$f0          ;
                lda #$ca                          ;
                sta LR_LvlDataSavLod+$f1          ;
                lda #$c2                          ;
                sta LR_LvlDataSavLod+$f2          ;
                lda #$02                          ;
                jsr S_6e5a                        ; GetPutCtrl - ac: 1=load 2=store
                rts                               ;
S_6c28          lda #$02                          ;
                sta LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)
                lda #$01                          ;
                jsr S_6e8c                        ; GetPutScore  ($1100-$11ff) - ac: 1=load 2=store 81= 82=
                cmp #$00                          ;
                bne B_6c38                        ;
                sec                               ;
                rts                               ;
B_6c38          clc                               ; <vmoReturn>
                rts                               ;
S_6c3a          jsr S_8d73                        ;
                lda LR_Digit10                    ; lrDec10
                jsr S_8da8                        ; Digits2Screen
                lda LR_Digit1                     ; lrDec1
                jsr S_8da8                        ; Digits2Screen
                rts                               ;
S_6c4a          lda CR_1352                       ; lrdANE_BIGHAM <VictoryMsgOut>
                bmi B_6c38                        ; => vmoReturn
                lda LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)      <>
                lsr a                             ;
                beq B_6c38                        ; => vmoReturn - demo
                ldx #$0e                          ; length victory msg      <>
                stx LR_GfxAddHi                   ;
B_6c5a          lda LR_LvlDataSavLod+$e2,x        ; lrtVictoryMsgLvl      <vmoCopy>
                beq B_6c62                        ; <end of vmsg>
                sta T_6c70,x                      ; lrtVictoryMsgBuf
B_6c62          dex                               ;
                bpl B_6c5a                        ; => vmoCopy
                lda #$10                          ;       <vmoOut>
                sta $50                           ; lrzScreenRow  (00-0f)
                lda #$0d                          ;
                sta $4f                           ; lrzScreenCol (00-1b)
                jsr S_8e39                        ; TextOut
T_6c70          .byte $a0 ; <blank>                                ; (filled with level message)
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $00 ; EndOfText
                lda #$77                          ; yellow/yellow
                sta CR_1356                       ; lrNewStatusColor
                ldx #$17                          ;
B_6c87          sta LR_07aa,x                     ;       <vmoColor>
                dex                               ;
                bpl B_6c87                        ; => vmoColor
                rts                               ; vmoX
S_6c8e          lda LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play) <SetUniquePlayId>
                lsr a                             ;
                beq B_6ca7                        ; => supiX - demo
                lda #$01                          ; load
                jsr S_6e8c                        ; GetPutScore  ($1100-$11ff) - ac: 1=load 2=store 81= 82=
                lda RASTER                        ; VIC 2 - $D012 = Read: Raster Scan Line/ Write: Line for Raster IRQ
                sta CR_1355                       ; lrUniquePlayId
                sta LR_11ef                       ; diskUniquePlayId
                lda #$02                          ; store
                jsr S_6e8c                        ; GetPutScore  ($1100-$11ff) - ac: 1=load 2=store 81= 82=
B_6ca7          rts                               ; supiX
S_6ca8          lda LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play) <ChkUniquePlayId>
                lsr a                             ;
                beq B_6ca7                        ; => supiX
                lda #$01                          ;
                jsr S_6e8c                        ; GetPutScore  ($1100-$11ff) - ac: 1=load 2=store 81= 82=
                lda LR_11ef                       ; diskUniquePlayId
                cmp CR_1355                       ; lrUniquePlayId
                beq B_6ca7                        ; => supiX
                jsr S_9289                        ; ClearDisplay20
                lda #$20                          ;
                sta $51                           ; lrzTargetOutput  (20=2000 [display] 40=4000 [hidden])
                lda #$73                          ;
                jsr S_6610                        ; SetMultiColours ac=color1 and color 2
                lda #$00                          ;
                sta $50                           ; lrzScreenRow  (00-0f)
                sta $4f                           ; lrzScreenCol (00-1b)
                jsr S_8e39                        ; TextOut
                .byte $c4 ; D
                .byte $c9 ; I
                .byte $d3 ; S
                .byte $cb ; K
                .byte $a0 ; <blank>
                .byte $d3 ; S
                .byte $d7 ; W
                .byte $c1 ; A
                .byte $d0 ; P
                .byte $a0 ; <blank>
                .byte $ce ; N
                .byte $cf ; O
                .byte $d4 ; T
                .byte $a0 ; <blank>
                .byte $c1 ; A
                .byte $cc ; L
                .byte $cc ; L
                .byte $cf ; O
                .byte $d7 ; W
                .byte $c5 ; E
                .byte $c4 ; D
                .byte $ae ; .
                .byte $8d ; <newline>
                .byte $8d ; <newline>
                .byte $c8 ; H
                .byte $c9 ; I
                .byte $d4 ; T
                .byte $a0 ; <blank>
                .byte $c1 ; A
                .byte $ce ; N
                .byte $d9 ; Y
                .byte $a0 ; <blank>
                .byte $cb ; K
                .byte $c5 ; E
                .byte $d9 ; Y
                .byte $00 ; EndOfText
                lda #$00                          ;
                jsr S_8e6e                        ;
                lda #$00                          ;
                sta LR_KeyNew                     ; lrNewKey
                jmp B_6018                        ; ColdStart
S_6d01          lda CR_1352                       ; lrdANE_BIGHAM      <SetNewColors (new colors any 10th level)>
                bmi B_6d25                        ; => sncReset
                lda LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)      <>
                lsr a                             ;
                beq B_6d25                        ; => sncX - demo
                lda LR_LevelNoDisk                ; lrNumDiskLvl (000-049)      <>
                ldx #$ff                          ;
B_6d11          inx                               ;       <sncCount>
                sec                               ;
                sbc #$0a                          ;
                bcs B_6d11                        ; => sncCount
                lda T_6d2a,x                      ; levelColorT      <>
B_6d1a          sta CR_1357                       ; lrNewLevelColor      <sncOut>
                lsr a                             ;
T_6d1e          lsr a                             ;
                lsr a                             ;
                lsr a                             ;
                jsr S_6603                        ; csiSpriteColors
                rts                               ; sncX
B_6d25          lda #$32                          ; cyan/red <sncReset>
                jmp B_6d1a                        ; => sncOut
T_6d2a          .byte $32 ;                                 ; tab: LevelCcolors      <>
                .byte $5a ;
                .byte $38 ;
                .byte $45 ;
                .byte $4e ;
T_6d2f          .byte $44 ; d                             ; dane bigham      <>
                .byte $41 ; a
                .byte $4e ; n
                .byte $45 ; e
                .byte $20 ; <blank>
                .byte $42 ; b
                .byte $49 ; i
                .byte $47 ; g
                .byte $48 ; h
                .byte $41 ; a
                .byte $4d ; m
S_6d3a          stx LR_LevelCtrl                  ; lrLevelGetCtrl (00=prepared copy already at 4000-5fff)      <InitLevel>
                ldx #$ff                          ;
                stx $03                           ; lrzLRPosCol
                inx                               ; 00
                stx LR_NumXitLadders              ; lrNumSecrtLadder
                stx LR_GoldToGet                  ; lrGoldToFind
                stx LR_EnmyNo                     ; lrNumEnemy
                stx LR_NoEnemy2Move               ; lrNumEnemy2Move
                stx $54                           ;
                stx $53                           ; lrzLvlDataOffset
                stx $1e                           ; lrzDataHalfByte
                stx $50                           ; lrzScreenRow  (00-0f)
                txa                               ; 00
                ldx #$1e                          ; 30
B_6d59          sta LR_12e0,x                     ; tab: hole open times      <ilHoleOpenT>
                dex                               ;
                bpl B_6d59                        ; => ilHoleOpenT
                ldx #$05                          ;       <>
B_6d61          sta LR_1298,x                     ; tab: enemy rebirth step times      <ilEnemyRebirthT>
                dex                               ;
                bpl B_6d61                        ; => ilEnemyRebirthT
                lda #$01                          ;       <>
                sta LR_Alive                      ; lrStillAlive  (0=killed)
                lda LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                cmp LR_LvlReload                  ; lrOldDiskLvl (000-049) - reload if <> 1310
                beq B_6d9b                        ; => ilInitUnpack - no level load required
                lda #$01                          ; load      <ilLevelLoad>
                jsr S_6e5a                        ; GetPutCtrl - ac: 1=load 2=store
                jsr S_6ca8                        ; ChkUniquePlayId
                lda CR_1352                       ; lrdANE_BIGHAM
                bmi B_6d9b                        ; => ilInitUnpack
                lda LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)      <>
                lsr a                             ;
                beq B_6d9b                        ; => ilInitUnpack
                lda LR_LevelNoDisk                ; lrNumDiskLvl (000-049)      <>
                cmp #$33                          ; 51
                bcs B_6d9b                        ; => ilInitUnpack
                ldx #$e1                          ; length level data      <>
B_6d90          lda LR_0fff,x                     ;       <ilLvlDataConvert>
                eor #$ff                          ; flip all bits
                sta LR_0fff,x                     ;
                dex                               ;
                bne B_6d90                        ; => ilLvlDataConvert
B_6d9b          lda LR_LevelNoDisk                ; lrNumDiskLvl (000-049)      <ilInitUnpack>
                sta LR_LvlReload                  ; lrOldDiskLvl (000-049) - reload if <> 1310
                jsr S_6d01                        ; SetNewColors (new colors any 10th level)
                ldy $50                           ; lrzScreenRow  (00-0f)
B_6da6          lda T_92ab,y                      ; tab: LoRow2PlayLvlDat      <ilPlayLevelRow>
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                lda #$00                          ;
                sta $4f                           ; lrzScreenCol (00-1b)
B_6dbb          lda $1e                           ; lrzDataHalfByte      <ilPlayLevelCol>
                lsr a                             ;
                ldy $53                           ; lrzLvlDataOffset
                lda LR_LvlDataSavLod,y            ;
                bcs B_6dc9                        ; => ilDataRight
                and #$0f                          ;       <ilDataLeft>
                bpl B_6dcf                        ;
B_6dc9          lsr a                             ;       <ilDataRight>
                lsr a                             ;
                lsr a                             ;
                lsr a                             ;
                inc $53                           ; lrzLvlDataOffset      <>
B_6dcf          inc $1e                           ; lrzDataHalfByte
                ldy $4f                           ; lrzScreenCol (00-1b)
                cmp #$0a                          ; valid codes 00-09      <ilChkLvlData>
                bcc B_6dd9                        ; => ilSetPlayLvlDat
                lda #$00                          ; clear illegal contents
B_6dd9          sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)      <ilSetPlayLvlDat>
                sta ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
T_6ddd          inc $4f                           ; lrzScreenCol (00-1b)
                lda $4f                           ; lrzScreenCol (00-1b)
                cmp #$1c                          ; 28 columns
                bcc B_6dbb                        ; => ilPlayLevelCol
                inc $50                           ; lrzScreenRow  (00-0f)      <>
                ldy $50                           ; lrzScreenRow  (00-0f)
                cpy #$10                          ; 6 rows
                bcc B_6da6                        ; => ilPlayLevelRow
                jsr S_7094                        ; CountLvlDataOut      <>
                bcc B_6e0f                        ;
                lda CR_1352                       ; lrdANE_BIGHAM
                bpl B_6e10                        ;
                lda LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                beq B_6e10                        ;
                ldx #$00                          ;
                stx LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                lda LR_CntSpeedLaps               ; lrGameSpeed
                cmp #$0a                          ;
                bcs B_6e0b                        ;
                inc LR_CntSpeedLaps               ; lrGameSpeed
B_6e0b          dex                               ;
                jmp S_6d3a                        ; InitLevel
B_6e0f          rts                               ; ilX      <>
B_6e10          jmp B_6018                        ; ColdStart
                lda #$00                          ;       <>
                sta $53                           ; lrzLvlDataOffset
                sta $1e                           ; lrzDataHalfByte
                sta $50                           ; lrzScreenRow  (00-0f)
B_6e1b          ldy $50                           ; lrzScreenRow  (00-0f)
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                ldy #$00                          ;
                sty $4f                           ; lrzScreenCol (00-1b)
B_6e2b          lda $1e                           ; lrzDataHalfByte
                lsr a                             ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                bcs B_6e36                        ;
                sta $23                           ;
                bpl B_6e43                        ;
B_6e36          asl a                             ;
                asl a                             ;
                asl a                             ;
                asl a                             ;
                ora $23                           ;
                ldy $53                           ; lrzLvlDataOffset
                sta LR_LvlDataSavLod,y            ;
                inc $53                           ; lrzLvlDataOffset
B_6e43          inc $1e                           ; lrzDataHalfByte
                inc $4f                           ; lrzScreenCol (00-1b)
                ldy $4f                           ; lrzScreenCol (00-1b)
                cpy #$1c                          ;
                bcc B_6e2b                        ;
                inc $50                           ; lrzScreenRow  (00-0f)
                lda $50                           ; lrzScreenRow  (00-0f)
                cmp #$10                          ;
                bcc B_6e1b                        ;
                lda #$02                          ;
                jmp S_6e5a                        ; GetPutCtrl - ac: 1=load 2=store
S_6e5a          pha                               ; ac: 1=load 2=store <GetPutCtrl>
                bpl B_6e64                        ; 01/02 => GetPutCheckDemo
                pla                               ; 81/82
                and #$7f                          ;
                pha                               ;
                jmp B_6f2e                        ; GetPutDisk
B_6e64          lda LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)      <GetPutCheckDemo>
                lsr a                             ;
                beq B_6e6d                        ; GetDemoLevel
                jmp B_6f2e                        ; GetPutDisk
B_6e6d          pla                               ;       <GetDemoLevel>
                lda LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                cmp #$03                          ; max 2 demo levels
                bcc B_6e7a                        ; => gdlInit
                lda #$00                          ;
                sta LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
B_6e7a          clc                               ;       <gdlInit>
                adc #$b5                          ; b500 or b600
                sta LR_6e84                       ; modify load adress
                ldy #$00                          ;
B_6e82          lda LR_b500,y                     ;       <gdlLoop>
                sta LR_LvlDataSavLod,y            ;
                iny                               ;
                bne B_6e82                        ; => gdlLoop
                rts                               ; gdlX
S_6e8c          tax                               ; GetPutScore  ($1100-$11ff) - ac: 1=load 2=store 81= 82=
                lda LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                pha                               ; save
                inc LR_7014                       ; set disk get to $1100 - HighScores
                inc LR_702e                       ; set disk put to $1100 - HighScores
                lda #$97                          ; disk level 151 contains the high scores
                sta LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                txa                               ;
                jsr S_6e5a                        ; GetPutCtrl - ac: 1=load 2=store
                pla                               ;
                sta LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                dec LR_7014                       ; set disk get to $1000 - DiskLevel
                dec LR_702e                       ; set disk put to $1000 - DiskLevel
                ldy #$0a                          ; length
                lda #$00                          ;
                sta $25                           ;       <gphsCheckLoop>
B_6eb0          lda LR_HiScoreDiskId,y            ; dANE BIGHAM
                sta CR_1352                       ; lrdANE_BIGHAM
                and #$7f                          ; to lower
                eor T_6d2f,y                      ; dane bigham
                ora $25                           ;
                sta $25                           ;
                dey                               ;
                bpl B_6eb0                        ; => gphsCheckLoop
                lda $25                           ;
                beq B_6f18                        ; => gphsGood
                lda #$00                          ;       <gphsBad>
                lda #$20                          ;
                sta $51                           ; lrzTargetOutput  (20=2000 [display] 40=4000 [hidden])
                lda #$00                          ;
                sta $50                           ; lrzScreenRow  (00-0f)
                sta $4f                           ; lrzScreenCol (00-1b)
                jsr S_9289                        ; ClearDisplay20
                lda #$73                          ;
                jsr S_6610                        ; SetMultiColours ac=color1 and color 2
                jsr S_8e39                        ; TextOut
                .byte $c4 ; D
                .byte $c9 ; I
                .byte $d3 ; S
                .byte $cb ; K
                .byte $c5 ; E
                .byte $d4 ; T
                .byte $d4 ; T
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $c9 ; I
                .byte $ce ; N
                .byte $a0 ; <blank>
                .byte $c4 ; D
                .byte $d2 ; R
                .byte $c9 ; I
                .byte $d6 ; V
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $c9 ; I
                .byte $d3 ; S
                .byte $8d ; <newline>
                .byte $ce ; N
                .byte $cf ; O
                .byte $d4 ; T
                .byte $a0 ; <blank>
                .byte $c1 ; A
                .byte $a0 ; <blank>
                .byte $cc ; L
                .byte $cf ; O
                .byte $c4 ; D
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $d2 ; R
                .byte $d5 ; U
                .byte $ce ; N
                .byte $ce ; N
                .byte $c5 ; E
                .byte $d2 ; R
                .byte $a0 ; <blank>
                .byte $c4 ; D
                .byte $c9 ; I
                .byte $d3 ; S
                .byte $cb ; K
                .byte $ae ; .
                .byte $00 ; EndOfText
                lda #$4b                          ;
                sta LR_CountIRQs                  ; lrWaitCounter  (inc any IRQ)
B_6f0f          lda LR_CountIRQs                  ; lrWaitCounter  (inc any IRQ)
                bne B_6f0f                        ;
                jmp B_6018                        ; ColdStart
                rts                               ;       <>
B_6f18          ldx #$03                          ; gphsGood
                lda CR_1352                       ; lrdANE_BIGHAM
                bmi B_6f21                        ;
                ldx #$08                          ;
B_6f21          stx CR_1358                       ;
                lda #$01                          ;
                ldx LR_HiScoreDiskUM              ;
                bne B_6f2d                        ;
                lda #$ff                          ;
B_6f2d          rts                               ;
B_6f2e          lda #$00                          ; GetPutDisk
                sta SPENA                         ; VIC 2 - $D015 = Sprite Enable
                jsr CLALL                         ; KERNAL - $FFE7 = Close all Files
                ldx #$30                          ; "0"
                lda LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                and #$0f                          ; isolate right nybble
                cmp #$0a                          ;
                bcc B_6f46                        ; >10
                ldx #$31                          ; "1"
                sec                               ;
                sbc #$0a                          ; convert hex 0a-0f  to  bin 00-05
B_6f46          stx LR_705e                       ; u1:02 0 03 00 - Disk Sector Hi      <>
                clc                               ;
                adc #$30                          ; "0" - convert to string
                sta LR_705f                       ; u1:02 0 03 00 - Disk Sector Lo
                lda LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                lsr a                             ; isolate left nybble
                lsr a                             ;
                lsr a                             ;
                lsr a                             ;
                clc                               ;
                adc #$03                          ; disk level data starts at Track 03 Sector 00
                jsr S_8d86                        ; Hex2Dec  (1307=100 1308=10 1309=1)
                lda LR_Digit10                    ; lrDec10
                clc                               ;
                adc #$30                          ; convert to string
                sta T_705b                        ; u1:02 0 03 00 - Disk Track Hi
                lda LR_Digit1                     ; lrDec1
                clc                               ;
                adc #$30                          ; convert to string
                sta LR_705c                       ; u1:02 0 03 00 - Disk Track Lo
                lda #$00                          ;
                jsr SETNAM                        ; KERNAL - $FFBD = Set Filename Parameters
                lda #$0f                          ; 15, 8 ,15 - command channel
                ldx #$08                          ;
                ldy #$0f                          ;
                jsr SETLFS                        ; KERNAL - $FFBA = Set Logical File Parameters
                jsr OPEN                          ; KERNAL - $FFC0 = Open a Logical File
                bcs B_6fda                        ; error => DiskError
                lda #$01                          ; length file name
                ldx #$52                          ; adr lo file name - #
                ldy #$70                          ; adr hi file name - #
                jsr SETNAM                        ; KERNAL - $FFBD = Set Filename Parameters
                lda #$02                          ; 2 , 8, 2
                ldx #$08                          ;
                ldy #$02                          ;
                jsr SETLFS                        ; KERNAL - $FFBA = Set Logical File Parameters
                jsr OPEN                          ; KERNAL - $FFC0 = Open a Logical File
                bcs B_6fda                        ; error => DiskError
                pla                               ; 1=load 2=store
                lsr a                             ;
                bcs B_6fe0                        ; => GetDisk - load level data
                lsr a                             ;
                bcc B_6fa2                        ; bad command => BadDisk
                jmp B_701b                        ; => PutDisk - store level data
B_6fa2          ldy #$00                          ;       <BadDisk (clears disk and memory / writes empty score with id)>
                tya                               ;
B_6fa5          sta LR_ScoreSavLod,y              ; clear scores      <bdClearMem>
                sta LR_LvlDataSavLod,y            ; clear level
                iny                               ;
                bne B_6fa5                        ; => bdClearMem
                lda #$95                          ; 149 - max num disk level      <>
                sta LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                jsr CLALL                         ; KERNAL - $FFE7 = Close all Files
B_6fb6          lda #$02                          ; store      <bdClearDisk>
                jsr S_6e5a                        ; GetPutCtrl - ac: 1=load 2=store
                dec LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                lda LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                cmp #$ff                          ;
                bne B_6fb6                        ; => bdClearDisk      <>
                ldy #$0a                          ;
B_6fc7          lda T_6d2f,y                      ; dane bigham      <bdSetId>
                sta LR_HiScoreDiskId,y            ;
                dey                               ;
                bpl B_6fc7                        ; => bdSetId
                iny                               ; 00
                sty LR_HiScoreDiskUM              ;
                lda #$02                          ; store
                jsr S_6e8c                        ; GetPutScore  ($1100-$11ff) - ac: 1=load 2=store 81= 82=
                rts                               ; bdX
B_6fda          jsr S_7087                        ; DiskCloseAll <DiskError>
                jmp B_62cd                        ; StartGrafic
B_6fe0          lda #$31                          ; "1" - load command      <GetDisk>
                sta LR_7054                       ; u1:02 0 03 00
                jsr CLRCHN                        ; KERNAL - $FFCC = Restore Default Devices
                ldx #$0f                          ; 15 = command channel
                jsr CHKOUT                        ; KERNAL - $FFC9 = Define an Output Channel
                bcs B_6fda                        ; error => DiskError
                ldy #$00                          ;
B_6ff1          lda T_7053,y                      ; command string - u1:02 0 03 00      <gdTransCmd>
                beq B_6ffd                        ; <end of string>
                jsr CHROUT                        ; KERNAL - $FFD2 = Output a Character
                iny                               ;
                jmp B_6ff1                        ; => gdTransCmd
B_6ffd          jsr LR_7062                       ; DiskErrCodeMsg     
                jsr CLRCHN                        ; KERNAL - $FFCC = Restore Default Devices
                ldx #$02                          ; 2 = data channel
                jsr CHKIN                         ; KERNAL - $FFC6 = Define an Input Channel
                bcs B_6fda                        ; error => DiskError
                jsr CHRIN                         ; KERNAL - $FFCF = Input a Character
                ldy #$00                          ;
B_700f          jsr CHRIN                         ; KERNAL - $FFCF = Input a Character <gdGetData>
                sta LR_LvlDataSavLod,y            ;
                iny                               ;
                bne B_700f                        ; => gdGetData
                jmp S_7087                        ; DiskCloseAll
B_701b          lda #$32                          ; "2" - store command      <PutDisk>
                sta LR_7054                       ; u1:02 0 03 00
                jsr CLRCHN                        ; KERNAL - $FFCC = Restore Default Devices
                ldx #$02                          ; 2 = data channel
                jsr CHKOUT                        ; KERNAL - $FFC9 = Define an Output Channel
                bcs B_6fda                        ; error => DiskError
                ldy #$00                          ;
B_702c          lda LR_LvlDataSavLod,y            ;       <pdPutData>
                jsr CHROUT                        ; KERNAL - $FFD2 = Output a Character
                iny                               ;
                bne B_702c                        ; => pdPutData
                jsr CLRCHN                        ; KERNAL - $FFCC = Restore Default Devices
                ldx #$0f                          ; 15 = command channel
                jsr CHKOUT                        ; KERNAL - $FFC9 = Define an Output Channel
                ldy #$00                          ;
B_703f          lda T_7053,y                      ; command string - u2:02 0 03 00      <pdTransCmd>
                beq B_704b                        ; <end of string>
                jsr CHROUT                        ; KERNAL - $FFD2 = Output a Character
                iny                               ;
                jmp B_703f                        ; => pdTransCmd
B_704b          jsr LR_7062                       ; DiskErrCodeMsg     
                jmp S_7087                        ; DiskCloseAll
                .byte $00
                .byte $23
T_7053          .byte $55
                .byte $31
                .byte $3a
                .byte $30
                .byte $32
                .byte $20
                .byte $30
                .byte $20
T_705b          .byte $30
                .byte $33
                .byte $20
                .byte $30
                .byte $30
                .byte $0d
                .byte $00
                jsr CLRCHN                        ; KERNAL - $FFCC = Restore Default Devices
                ldx #$0f                          ; 15 - command channel      <CLRCHN - Restore I/O Vector [f333]>
                jsr CHKIN                         ; KERNAL - $FFC6 = Define an Input Channel
                jsr CHRIN                         ; KERNAL - $FFCF = Input a Character
                sta $1e                           ;
                jsr CHRIN                         ; KERNAL - $FFCF = Input a Character
                ora $1e                           ;
                sta $1e                           ;
B_7076          jsr CHRIN                         ; KERNAL - $FFCF = Input a Character  <decmGetMsg>
                cmp #$0d                          ; <return>
                bne B_7076                        ; => decmGetMsg
                lda $1e                           ;       <>
                cmp #$30                          ; "0"
                beq B_7086                        ; => decmX
                jmp B_6018                        ; error => ColdStart
B_7086          rts                               ;       <decmX>
S_7087          lda #$0f                          ; 15 - command channel <DiskCloseAll>
                jsr CLOSE                         ; KERNAL - $FFC3 = Close a Logical File
                lda #$02                          ; 2 - data channel
                jsr CLOSE                         ; KERNAL - $FFC3 = Close a Logical File
                jmp CLALL                         ; KERNAL - $FFE7 = Close all Files
S_7094          ldy #$0f                          ; max row      <CountLvlDataOut>
                sty $50                           ; lrzScreenRow  (00-0f)
                lda #$00                          ;
                sta SPENA                         ; VIC 2 - $D015 = Sprite Enable
B_709d          lda T_92ab,y                      ; tab: LoRow2PlayLvlDat      <cldoSet>
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy #$1b                          ; max col
                sty $4f                           ; lrzScreenCol (00-1b)
B_70b2          lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)      <cldoGet>
                ldx LR_LevelCtrl                  ; lrLevelGetCtrl (00=prepared copy already at 4000-5fff)
                beq B_70d7                        ; ==> cldoDisplay
                cmp #$06                          ; lrdSecretLadder      <>
                bne B_70d9                        ; => cldoGold
                ldx LR_NumXitLadders              ; lrNumSecrtLadder      <>
                cpx #$2d                          ; max 45
                bcs B_70d1                        ; => cldoHide
                inc LR_NumXitLadders              ; lrNumSecrtLadder      <>
                inx                               ;
                lda $50                           ; lrzScreenRow  (00-0f)
                sta LR_1230,x                     ;
                tya                               ;
                sta LR_DynValueTab,x              ;
B_70d1          lda #$00                          ; hide ladder in level control data      <cldoHide>
                sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                sta ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
B_70d7          beq B_7149                        ; always => cldoDisplay      <>
B_70d9          cmp #$07                          ; lrdGold      <cldoGold>
                bne B_70e2                        ; => cldoEnemy
                inc LR_GoldToGet                  ; lrGoldToFind      <>
                bne B_7149                        ; always => cldoDisplay
B_70e2          cmp #$08                          ; lrdEnemy      <>
                bne B_711e                        ; => cldoLodeRunner
                ldx LR_EnmyNo                     ; lrNumEnemy      <>
                cpx #$05                          ; max 5 enemies
                bcs B_70d1                        ; => cldoHide
                inc LR_NoEnemy2Move               ; lrNumEnemy2Move      <>
                inc LR_EnmyNo                     ; lrNumEnemy
                inx                               ;
                tya                               ;
                sta LR_1260,x                     ;
                lda $50                           ; lrzScreenRow  (00-0f)
                sta LR_1268,x                     ;
                lda #$00                          ;       <>
                sta LR_1270,x                     ;
                sta LR_1288,x                     ;
                lda #$02                          ;
                sta LR_1278,x                     ;
                sta LR_1280,x                     ;
                lda #$00                          ;       <>
                sta ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                lda #$00                          ;
                jsr S_8ee0                        ; HiddenScreenOut (4000)
                lda #$08                          ; lrdEnemy
                bne B_7149                        ; always => cldoDisplay
B_711a          bpl B_709d                        ; => cldoSet      <>
B_711c          bpl B_70b2                        ; => cldoGet
B_711e          cmp #$09                          ; lrdLodeRunner      <cldoLodeRunner>
                bne B_7143                        ; => cldoTrapWall
                ldx $03                           ; lrzLRPosCol      <>
                bpl B_70d1                        ; => cldoHide
                sty $03                           ; lrzLRPosCol      <>
                ldx $50                           ; lrzScreenRow  (00-0f)
                stx $04                           ; lrzLRPosRow
                ldx #$02                          ; center      <>
                stx $05                           ; zlrPosOnImageLR
                stx $06                           ; zlrPosOnImageUD
                ldx #$08                          ;
                stx $07                           ; lrzSpriteNoLR
                lda #$00                          ;
                sta ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                lda #$00                          ;
                jsr S_8ee0                        ; HiddenScreenOut (4000)
                lda #$09                          ; lrdLodeRunner
                bne B_7149                        ; always => cldoDisplay
B_7143          cmp #$05                          ; lrdTrapWall      <cldoTrapWall>
                bne B_7149                        ; => cldoDisplay - simple output for rest of data
                lda #$01                          ; lrdWall      <>
B_7149          jsr S_8ee0                        ; HiddenScreenOut (4000)      <cldoDisplay>
                dec $4f                           ; lrzScreenCol (00-1b)      <>
                ldy $4f                           ; lrzScreenCol (00-1b)
                bpl B_711c                        ; ==> cldoGet
                dec $50                           ; lrzScreenRow  (00-0f)      <>
                ldy $50                           ; lrzScreenRow  (00-0f)
                bpl B_711a                        ; ==> cldoSet
                lda LR_LevelCtrl                  ; lrLevelGetCtrl (00=prepared copy already at 4000-5fff)      <>
                beq S_7163                        ; => cldoCopy2Display
                lda $03                           ; lrzLRPosCol      <>
                bpl B_719b                        ; ==> cldoStatus
                sec                               ; error - no lode runner found      <>
                rts                               ; cldoErrX
S_7163          lda CR_1357                       ; lrNewLevelColor <cldoCopy2Display>
                jsr S_6610                        ; SetMultiColours ac=color1 and color 2
                lda #$20                          ; 2000 - display screen
                sta $12                           ;
                lda #$40                          ; 4000 - hidden screen
                sta $10                           ;
                lda #$00                          ;
                sta $11                           ;
                sta $0f                           ;
                tay                               ;
B_7178          lda ($0f),y                       ; from 4000 - hidden screen      <cldoCopy>
                sta ($11),y                       ; to 2000 - display screen
                iny                               ;
                bne B_7178                        ; => cldoCopy
                inc $12                           ;
                inc $10                           ;
                ldx $10                           ;
                cpx #$60                          ; end at 59ff
                bcc B_7178                        ; => cldoCopy
                clc                               ; no errors
                rts                               ; cldoX
B_718b          lda #$40                          ; cldoStatus
                sta $51                           ; lrzTargetOutput  (20=2000 [display] 40=4000 [hidden])
                jsr S_8be7                        ; InitStatusLines
                jsr S_7163                        ; => cldoCopy2Display
                lda #$20                          ;
                sta $51                           ; lrzTargetOutput  (20=2000 [display] 40=4000 [hidden])
                bne B_71a0                        ; always => cldoClear
B_719b          jmp B_718b                        ; => cldoStatus      <>
                beq B_718b                        ; => cldoStatus
B_71a0          ldy #$0f                          ;       <cldoClear>
                sty $50                           ; lrzScreenRow  (00-0f)
B_71a4          lda T_92ab,y                      ; tab: LoRow2PlayLvlDat      <cldoClearSet>
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                ldy #$1b                          ;
                sty $4f                           ; lrzScreenCol (00-1b)
B_71b2          lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)      <cldoClearGet>
                cmp #$09                          ; lrdLodeRunner
                beq B_71bc                        ; => cldoClear89
                cmp #$08                          ; lrdEnemy
                bne B_71c1                        ; => cldoClearNext
B_71bc          lda #$00                          ;       <cldoClear89>
                jsr S_8ee0                        ; HiddenScreenOut (4000)
B_71c1          dec $4f                           ; lrzScreenCol (00-1b)      <cldoClearNext>
                ldy $4f                           ; lrzScreenCol (00-1b)
                bpl B_71b2                        ; => cldoClearGet
                dec $50                           ; lrzScreenRow  (00-0f)
                ldy $50                           ; lrzScreenRow  (00-0f)
                bpl B_71a4                        ; => cldoClearSet
                clc                               ; no errors
                rts                               ;
S_71cf          jsr S_7557                        ; CheckNewChamp <CheckHighScore>
                lda LR_ScoreLo                    ; lrScoreLow
                ora LR_ScoreMidLo                 ; lrScoreMidLow
                ora LR_ScoreMidHi                 ; lrScoreMidHigh
                ora LR_ScoreHi                    ; lrScoreHigh
                beq B_7234                        ; => chsX
                lda #$01                          ;
                jsr S_6e8c                        ; GetPutScore  ($1100-$11ff) - ac: 1=load 2=store 81= 82=
                beq B_7234                        ; => chsX
                ldy #$00                          ;
B_71e9          lda LR_ScoreSavLod,y              ;       <chsCopy>
                sta LR_HiScoreOld,y               ;
                iny                               ;
                bne B_71e9                        ; => chsCopy
                ldy #$01                          ;
B_71f4          jsr S_7483                        ;
                txa                               ;
                clc                               ;
                adc CR_1358                       ;
                tax                               ;
                lda LR_LevelNoGame                ; lrNumPlayLvl
                cmp LR_ScoreSavLod,x              ;
                bcc B_722f                        ; => chsNextEntry
                bne B_7235                        ;
                lda LR_ScoreHi                    ; lrScoreHigh
                cmp LR_ScoreSavLod+1,x            ;
                bcc B_722f                        ; => chsNextEntry
                bne B_7235                        ;
                lda LR_ScoreMidHi                 ; lrScoreMidHigh
                cmp LR_ScoreSavLod+2,x            ;
                bcc B_722f                        ; => chsNextEntry
                bne B_7235                        ;
                lda LR_ScoreMidLo                 ; lrScoreMidLow
                cmp LR_ScoreSavLod+3,x            ;
                bcc B_722f                        ; => chsNextEntry
                bne B_7235                        ;
                lda LR_ScoreLo                    ; lrScoreLow
                cmp LR_ScoreSavLod+4,x                     ;
                bcc B_722f                        ; => chsNextEntry
                bne B_7235                        ;
B_722f          iny                               ;       <chsNextEntry>
                cpy #$0b                          ; max 10 entries
                bcc B_71f4                        ;
B_7234          rts                               ; chsX
B_7235          cpy #$0a                          ;
                beq B_725d                        ;
                sty $29                           ;
                ldy #$09                          ;
B_723d          jsr S_7483                        ;
                lda CR_1358                       ;
                clc                               ;
                adc #$05                          ;
                sta $22                           ;
                sta LR_724f                       ;
B_724b          lda LR_ScoreSavLod,x              ;
                sta LR_ScoreSavLod,x              ;
                inx                               ;
                dec $22                           ;
                bne B_724b                        ;
                cpy $29                           ;
                beq B_725d                        ;
                dey                               ;
                bne B_723d                        ;
B_725d          jsr S_7483                        ;
                lda CR_1358                       ;
                sta CR_133c                       ;
B_7266          lda #$a0                          ;
                sta LR_ScoreSavLod,x              ;
                inx                               ;
                dec CR_133c                       ;
                bne B_7266                        ;
                lda LR_LevelNoGame                ; lrNumPlayLvl
                sta LR_ScoreSavLod,x              ;
                lda LR_ScoreHi                    ; lrScoreHigh
                sta LR_ScoreSavLod+1,x                     ;
                lda LR_ScoreMidHi                 ; lrScoreMidHigh
                sta LR_ScoreSavLod+2,x                     ;
                lda LR_ScoreMidLo                 ; lrScoreMidLow
                sta LR_ScoreSavLod+3,x                     ;
                lda LR_ScoreLo                    ; lrScoreLow
                sta LR_ScoreSavLod+4,x                     ;
                sty $39                           ;
                jsr S_7308                        ; ShowScores
                lda $39                           ;
                clc                               ;
                adc #$04                          ;
                sta $50                           ; lrzScreenRow  (00-0f)
                ldx #$40                          ;
                lda #$07                          ;
                ldy CR_1352                       ; lrdANE_BIGHAM
                bmi B_72a9                        ;
                sec                               ;
                sbc #$03                          ;
                ldx #$c0                          ;
B_72a9          sta $4f                           ; lrzScreenCol (00-1b)
                lda CR_1358                       ;
                sta CR_1354                       ;
                txa                               ;
                jsr S_6966                        ;
                ldy $39                           ;
                jsr S_7483                        ;
                stx LR_72c5                       ;
                ldx CR_1358                       ;
                dex                               ;
B_72c1          lda CR_133d,x                     ;
                sta LR_ScoreSavLod,x              ;
                dex                               ;
                bpl B_72c1                        ;
                ldy #$00                          ;
B_72cc          lda LR_ScoreSavLod,y              ;
                sta LR_HiScoreNew,y               ;
                iny                               ;
                bne B_72cc                        ;
                lda #$01                          ;
                jsr S_6e8c                        ; GetPutScore  ($1100-$11ff) - ac: 1=load 2=store 81= 82=
                beq B_72f7                        ;
                ldy #$00                          ;
B_72de          lda LR_ScoreSavLod,y              ;
                cmp LR_HiScoreOld,y               ;
                bne B_72fa                        ;
                iny                               ;
                bne B_72de                        ;
B_72e9          lda LR_HiScoreNew,y               ;
                sta LR_ScoreSavLod,y              ;
                iny                               ;
B_72f0          bne B_72e9                        ;
                lda #$02                          ;
                jsr S_6e8c                        ; GetPutScore  ($1100-$11ff) - ac: 1=load 2=store 81= 82=
B_72f7          jmp B_6212                        ; WaitSomeTime
B_72fa          ldy #$00                          ;       <>
B_72fc          lda LR_HiScoreOld,y               ;
                sta LR_ScoreSavLod,y              ;
                iny                               ;
                bne B_72fc                        ;
                jmp B_6212                        ; WaitSomeTime
S_7308          jsr S_9289                        ; ClearDisplay20      <ShowScores>
                lda #$73                          ;
                jsr S_6610                        ; SetMultiColours ac=color1 and color 2
                lda #$20                          ;
                sta $51                           ; lrzTargetOutput  (20=2000 [display] 40=4000 [hidden])
                lda #$00                          ;
                sta $4f                           ; lrzScreenCol (00-1b)
                sta $50                           ; lrzScreenRow  (00-0f)
                jsr S_8e39                        ; TextOut
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $c3 ; C
                .byte $c8 ; H
                .byte $c1 ; A
                .byte $cd ; M
                .byte $d0 ; P
                .byte $c9 ; I
                .byte $cf ; O
                .byte $ce ; N
                .byte $d3 ; S
                .byte $c8 ; H
                .byte $c9 ; I
                .byte $d0 ; P
                .byte $a0 ; <blank>
                .byte $cc ; L
                .byte $cf ; O
                .byte $c4 ; D
                .byte $c5 ; E
                .byte $d2 ; R
                .byte $d5 ; U
                .byte $ce ; N
                .byte $ce ; N
                .byte $c5 ; E
                .byte $d2 ; R
                .byte $a0 ; <blank>
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $c8 ; H
                .byte $c9 ; I
                .byte $c7 ; G
                .byte $c8 ; H
                .byte $a0 ; <blank>
                .byte $d3 ; S
                .byte $c3 ; C
                .byte $cf ; O
                .byte $d2 ; R
                .byte $c5 ; E
                .byte $d3 ; S
                .byte $8d ; <newline>
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $ce ; N
                .byte $c1 ; A
                .byte $cd ; M
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $cc ; L
                .byte $c5 ; E
                .byte $d6 ; V
                .byte $c5 ; E
                .byte $cc ; L
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $d3 ; S
                .byte $c3 ; C
                .byte $cf ; O
                .byte $d2 ; R
                .byte $c5 ; E
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $a0 ; <blank>
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $a0 ; <blank>
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $8d ; <newline>
                .byte $00 ; EndOfText
                lda #$01                          ;
                sta $28                           ;
B_738c          cmp #$0a                          ;
                bne B_739d                        ;
                lda #$01                          ;
                jsr S_8da8                        ; Digits2Screen
                lda #$00                          ;
                jsr S_8da8                        ; Digits2Screen
                jmp B_73a7                        ;
B_739d          lda #$a0                          ;       <>
                jsr S_8e03                        ;
                lda $28                           ;
                jsr S_8da8                        ; Digits2Screen
B_73a7          lda #$ae                          ;
                jsr S_8e03                        ;
                ldy #$01                          ;
                lda CR_1352                       ; lrdANE_BIGHAM
                bpl B_73b5                        ;
                ldy #$04                          ;
B_73b5          sty CR_133c                       ;
B_73b8          lda #$a0                          ;
                jsr S_8e03                        ;
                dec CR_133c                       ;
                bne B_73b8                        ;
                ldy $28                           ;
                jsr S_7483                        ;
                stx $29                           ;
                lda CR_1358                       ;
                sta CR_133c                       ;
                clc                               ;
                adc $29                           ;
                tay                               ;
                lda LR_ScoreSavLod,y              ;
                bne B_73db                        ;
                jmp B_7470                        ;
B_73db          ldy $29                           ;       <>
                lda LR_ScoreSavLod,y              ;
                jsr S_8e03                        ;
                inc $29                           ;
                dec CR_133c                       ;
                bne B_73db                        ;
                ldy #$02                          ;
                lda CR_1352                       ; lrdANE_BIGHAM
                bpl B_73f3                        ;
                ldy #$04                          ;
B_73f3          sty CR_133c                       ;
B_73f6          lda #$a0                          ;
                jsr S_8e03                        ;
                dec CR_133c                       ;
                bne B_73f6                        ;
                ldy $29                           ;
                lda LR_ScoreSavLod,y              ;
                jsr S_8d86                        ; Hex2Dec  (1307=100 1308=10 1309=1)
                lda LR_Digit100                   ; lrDec100
                jsr S_8da8                        ; Digits2Screen
                lda LR_Digit10                    ; lrDec10
                jsr S_8da8                        ; Digits2Screen
                lda LR_Digit1                     ; lrDec1
                jsr S_8da8                        ; Digits2Screen
                jsr S_8e39                        ; TextOut
                ldy #$a0                          ;
                brk                               ;
                ldy $29                           ;
                lda LR_ScoreSavLod+1,y            ;
                jsr S_8d73                        ;
                lda LR_Digit10                    ; lrDec10
                jsr S_8da8                        ; Digits2Screen
                lda LR_Digit1                     ; lrDec1
                jsr S_8da8                        ; Digits2Screen
                ldy $29                           ;
                lda LR_ScoreSavLod+2,y            ;
                jsr S_8d73                        ;
                lda LR_Digit10                    ; lrDec10
                jsr S_8da8                        ; Digits2Screen
                lda LR_Digit1                     ; lrDec1
                jsr S_8da8                        ; Digits2Screen
                ldy $29                           ;
                lda LR_ScoreSavLod+3,y            ;
                jsr S_8d73                        ;
                lda LR_Digit10                    ; lrDec10
                jsr S_8da8                        ; Digits2Screen
                lda LR_Digit1                     ; lrDec1
                jsr S_8da8                        ; Digits2Screen
                ldy $29                           ;
                lda LR_ScoreSavLod+4,y            ;
                jsr S_8d73                        ;
                lda LR_Digit10                    ; lrDec10
                jsr S_8da8                        ; Digits2Screen
                lda LR_Digit1                     ; lrDec1
                jsr S_8da8                        ; Digits2Screen
B_7470          jsr S_8e1c                        ; => NextScreenPos
                inc $28                           ;
                lda $28                           ;
                cmp #$0b                          ;
                bcs B_747e                        ;
                jmp B_738c                        ;
B_747e          lda #$10                          ;       <>
                jmp LR_74a4                       ; 
S_7483          lda CR_1352                       ; lrdANE_BIGHAM      <>
                bpl B_748c                        ;
                ldx T_748f,y                      ;
                rts                               ;
B_748c          ldx T_7499,y                      ;
T_748f          .byte $60
                .byte $00
                .byte $08
                .byte $10
                .byte $18
                .byte $20
                .byte $28
                .byte $30
                .byte $38
                .byte $40
T_7499          .byte $48
                .byte $00
                .byte $0d
                .byte $1a
                .byte $27
                .byte $34
                .byte $41
                .byte $4e
                .byte $5b
                .byte $68
                .byte $75
                .byte $85
                .byte $50
                .byte $ad
                .byte $52
                .byte $13
                .byte $30
                .byte $51
                lda LR_11c7                       ;
                ora LR_11c6                       ;       <>
                ora LR_11c5                       ;
                ora LR_11c4                       ;
                beq B_74fc                        ;
                ldx #$00                          ;
                stx LR_GfxAddHi                   ;
                stx $4f                           ; lrzScreenCol (00-1b)
                stx $1e                           ;
                lda #$20                          ;
                sta $51                           ; lrzTargetOutput  (20=2000 [display] 40=4000 [hidden])
B_74c6          lda LR_11b0,x                     ;
                pha                               ;
                eor #$a0                          ;
                ora $1e                           ;
                sta $1e                           ;
                pla                               ;
                jsr S_8e03                        ;
                inc LR_GfxAddHi                   ;
                ldx LR_GfxAddHi                   ;
                cpx #$13                          ;
                bcc B_74c6                        ;
                lda $1e                           ;
                beq B_74fc                        ;
                inc $4f                           ; lrzScreenCol (00-1b)
                lda LR_11c7                       ;
                jsr S_6c3a                        ;
                lda LR_11c6                       ;
                jsr S_6c3a                        ;
                lda LR_11c5                       ;
                jsr S_6c3a                        ;
                lda LR_11c4                       ;
                jsr S_6c3a                        ;
B_74fc          rts                               ;
                .byte $00
                .byte $00
                .byte $08
                .byte $10
                .byte $18
                .byte $20
                .byte $28
                .byte $30
                .byte $38
                .byte $40
                .byte $48
S_7508          cmp #$82                          ;
                bne B_750e                        ;
                lda #$07                          ;
B_750e          tay                               ;
                lda T_7515,y                      ;
                ora #$80                          ;
                rts                               ;
T_7515          .byte $00
                .byte $0d
                .byte $15
                .byte $ff
                .byte $ff
B_751a          .byte $ff
                .byte $ff
                .byte $08
                .byte $33
                .byte $57
                .byte $41
                .byte $34
                .byte $5a
                .byte $53
                .byte $45
                .byte $ff
                .byte $35
                .byte $52
                .byte $44
                .byte $36
                .byte $43
                .byte $46
                .byte $54
                .byte $58
                .byte $37
                .byte $59
                .byte $47
                .byte $38
                .byte $42
                .byte $48
                .byte $55
                .byte $56
                .byte $39
                .byte $49
                .byte $4a
                .byte $30
                .byte $4d
                .byte $4b
                .byte $4f
                .byte $4e
                .byte $2b
                .byte $50
                .byte $4c
                .byte $2d
                .byte $2e
                .byte $3a
                .byte $ff
                .byte $2c
                .byte $5c
                .byte $2a
                .byte $3b
                .byte $ff
                .byte $ff
                .byte $3d
                .byte $ff
                .byte $2f
                .byte $31
                .byte $ff
                .byte $ff
                .byte $32
                .byte $20
                .byte $ff
                .byte $51
                .byte $ff
B_7555          clc                               ;       <cncRetBad>
                rts                               ;
S_7557          jsr S_6ca8                        ; ChkUniquePlayId <CheckNewChamp>
                lda CR_1352                       ; lrdANE_BIGHAM
                bmi B_7555                        ; => cncRetBad
                lda LR_LevelNoGame                ; lrNumPlayLvl
                cmp #$33                          ;
                bcc B_7555                        ; => cncRetBad
                jsr S_9289                        ; ClearDisplay20
                lda #$20                          ;
                sta $51                           ; lrzTargetOutput  (20=2000 [display] 40=4000 [hidden])
                lda #$73                          ;
                jsr S_6610                        ; SetMultiColours ac=color1 and color 2
                lda #$00                          ;
                sta $4f                           ; lrzScreenCol (00-1b)
                sta $50                           ; lrzScreenRow  (00-0f)
                jsr S_8e39                        ; TextOut
                .byte $8d ; <newline>
                .byte $8d ; <newline>
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $a0 ; <blank>
                .byte $c3 ; C
                .byte $cf ; O
                .byte $ce ; N
                .byte $c7 ; G
                .byte $d2 ; R
                .byte $c1 ; A
                .byte $d4 ; T
                .byte $d5 ; U
                .byte $cc ; L
                .byte $c1 ; A
                .byte $d4 ; T
                .byte $c9 ; I
                .byte $cf ; O
                .byte $ce ; N
                .byte $d3 ; D
                .byte $a0 ; <blank>
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $8d ; <newline>
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
T_759e          .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $d9 ; Y
                .byte $cf ; O
                .byte $d5 ; U
                .byte $a0 ; <blank>
                .byte $c1 ; A
                .byte $d2 ; R
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $c1 ; A
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $cc ; L
                .byte $cf ; O
                .byte $c4 ; D
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $d2 ; R
                .byte $d5 ; U
                .byte $ce ; N
                .byte $ce ; N
                .byte $c5 ; E
                .byte $d2 ; R
                .byte $a0 ; <blank>
                .byte $c3 ; C
                .byte $c8 ; H
                .byte $c1 ; A
                .byte $cd ; M
                .byte $d0 ; P
                .byte $c9 ; I
                .byte $cf ; O
                .byte $ce ; N
                .byte $8d ; <newline>
                .byte $8d ; <newline>
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $a0 ; <blank>
                .byte $c3 ; C
                .byte $cf ; O
                .byte $ce ; N
                .byte $c7 ; G
                .byte $d2 ; R
                .byte $c1 ; A
                .byte $d4 ; T
                .byte $d5 ; U
                .byte $cc ; L
                .byte $c1 ; A
                .byte $d4 ; T
                .byte $c9 ; I
                .byte $cf ; O
                .byte $ce ; N
                .byte $d3 ; S
                .byte $a0 ; <blank>
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $ad ; -
                .byte $00 ; EndOfText
                lda LR_11c7                       ;       <cncChkHighScore>
                cmp LR_ScoreHi                    ; lrScoreHigh
                beq B_75ef                        ; => cncChkHighMH
                bcs B_7611                        ; ==> cncPassWord
                jmp B_7614                        ; => cncNewHighScore
B_75ef          lda LR_11c6                       ;       <ncChkHighMH>
                cmp LR_ScoreMidHi                 ; lrScoreMidHigh
                beq B_75fc                        ; => cncChkHighML
                bcs B_7611                        ; ==> cncPassWord
                jmp B_7614                        ; => cncNewHighScore
B_75fc          lda LR_11c5                       ;       <ncChkHighML>
                cmp LR_ScoreMidLo                 ; lrScoreMidLow
                beq B_7609                        ; => cncChkHighL
                bcs B_7611                        ; ==> cncPassWord
                jmp B_7614                        ; => cncNewHighScore
B_7609          lda LR_11c4                       ;       <cncChkHighL>
                cmp LR_ScoreLo                    ; lrScoreLow
                bcc B_7614                        ; => cncNewHighScore
B_7611          jmp B_76b4                        ; => cncPassWord
B_7614          lda #$20                          ;       <cncNewHighScore>
                lda #$55                          ;
                ldx #$a0                          ;
B_761a          sta LR_04c8,x                     ;
                dex                               ;
                bne B_761a                        ;
                lda #$00                          ;
                sta $4f                           ; lrzScreenCol (00-1b)
                lda #$09                          ;
                sta $50                           ; lrzScreenRow  (00-0f)
                jsr S_8e39                        ; TextOut
                .byte $d9 ; Y
                .byte $cf ; O
                .byte $d5 ; U
                .byte $d2 ; R
                .byte $a0 ; <blank>
                .byte $d3 ; S
                .byte $c3 ; C
                .byte $cf ; O
                .byte $d2 ; R
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $c9 ; I
                .byte $d3 ; S
                .byte $a0 ; <blank>
                .byte $d4 ; T
                .byte $c8 ; H
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $c2 ; B
                .byte $c5 ; E
                .byte $d3 ; S
                .byte $d4 ; T
                .byte $a0 ; <blank>
                .byte $c5 ; E
                .byte $d6 ; V
                .byte $c5 ; E
                .byte $d2 ; R
                .byte $8d ; <newline>
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $c5 ; E
                .byte $ce ; N
                .byte $d4 ; T
                .byte $c5 ; E
                .byte $d2 ; R
                .byte $a0 ; <blank>
                .byte $d9 ; Y
                .byte $cf ; O
                .byte $d5 ; U
                .byte $d2 ; R
                .byte $a0 ; <blank>
                .byte $d6 ; V
                .byte $c9 ; I
                .byte $c3 ; C
                .byte $d4 ; T
                .byte $cf ; O
                .byte $d2 ; R
                .byte $d9 ; Y
                .byte $a0 ; <blank>
                .byte $cd ; M
                .byte $c5 ; E
                .byte $d3 ; S
                .byte $d3 ; S
                .byte $c1 ; A
                .byte $c7 ; G
                .byte $c5 ; E
                .byte $8d ; <newline>
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $be ; <
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $bc ; >
                .byte $00 ; EndOfText
                lda #$04                          ;
                sta $4f                           ; lrzScreenCol (00-1b)
                lda #$13                          ;
                sta CR_1354                       ;
                jsr S_6964                        ;
                beq B_76b4                        ; => cncPassWord
                ldx #$13                          ; len msg
B_768e          lda CR_133d,x                     ;       <cncCopyMsg>
                sta LR_11b0,x                     ;
                dex                               ;
                bpl B_768e                        ; => cncCopyMsg
                lda LR_ScoreLo                    ; lrScoreLow
                sta LR_11c4                       ;
                lda LR_ScoreMidLo                 ; lrScoreMidLow
                sta LR_11c5                       ;
                lda LR_ScoreMidHi                 ; lrScoreMidHigh
                sta LR_11c6                       ;
                lda LR_ScoreHi                    ; lrScoreHigh
                sta LR_11c7                       ;
                lda #$02                          ;
                jsr S_6e8c                        ; GetPutScore  ($1100-$11ff) - ac: 1=load 2=store 81= 82=
B_76b4          lda #$09                          ;       <cncPassWord>
                jsr S_8e23                        ;
                lda #$0b                          ;
                jsr S_8e23                        ;
                lda #$0d                          ;
                jsr S_8e23                        ;
                lda #$0a                          ;
                sta $50                           ; lrzScreenRow  (00-0f)
                jsr S_8e39                        ; TextOut
                .byte $8d ; <newline>
                .byte $c4 ; D
                .byte $cf ; O
                .byte $a0 ; <blank>
                .byte $d9 ; Y
                .byte $cf ; O
                .byte $d5 ; U
                .byte $a0 ; <blank>
                .byte $d7 ; W
                .byte $c1 ; A
                .byte $ce ; N
                .byte $d4 ; T
                .byte $a0 ; <blank>
                .byte $d4 ; T
                .byte $cf ; O
                .byte $a0 ; <blank>
                .byte $cb ; K
                .byte $ce ; N
                .byte $cf ; O
                .byte $d7 ; W
                .byte $a0 ; <blank>
                .byte $d9 ; Y
                .byte $cf ; O
                .byte $d5 ; U
                .byte $d2 ; R
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $d3 ; S
                .byte $c5 ; E
                .byte $c3 ; C
                .byte $d2 ; R
                .byte $c5 ; E
                .byte $d4 ; T
                .byte $a0 ; <blank>
                .byte $d0 ; P
                .byte $c1 ; A
                .byte $d3 ; S
                .byte $d3 ; S
                .byte $d7 ; W
                .byte $cf ; O
                .byte $d2 ; R
                .byte $c4 ; D
                .byte $a0 ; <blank>
                .byte $a8 ; (
                .byte $d9 ; Y
                .byte $af ; /
                .byte $ce ; N
                .byte $a9 ; )
                .byte $00 ; EndOfText
                lda #$00                          ;
                jsr S_8e6e                        ;
                ldx #$00                          ;
                stx LR_KeyNew                     ; lrNewKey
                cmp #$19                          ; y
                beq B_770b                        ;
                sec                               ; n
                rts                               ; ncX1
B_770b          lda #$0a                          ; cncGetPassword
                sta $50                           ; lrzScreenRow  (00-0f)
                jsr S_8e39                        ; TextOut
                .byte $8d ; <newline>
                .byte $c3 ; C
                .byte $c1 ; A
                .byte $d2 ; R
                .byte $c5 ; E
                .byte $c6 ; F
                .byte $d5 ; U
                .byte $cc ; L
                .byte $cc ; L
                .byte $d9 ; Y
                .byte $a0 ; <blank>
                .byte $d4 ; T
                .byte $d9 ; Y
                .byte $d0 ; P
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $c9 ; I
                .byte $ce ; N
                .byte $a0 ; <blank>
                .byte $d4 ; T
                .byte $c8 ; H
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $d3 ; S
                .byte $c5 ; E
                .byte $d2 ; R
                .byte $c9 ; I
                .byte $c1 ; A
                .byte $cc ; L
                .byte $8d ; <newline>
                .byte $ce ; N
                .byte $d5 ; U
                .byte $cd ; M
                .byte $c2 ; B
                .byte $c5 ; E
                .byte $d2 ; R
                .byte $a0 ; <blank>
                .byte $cf ; O
                .byte $ce ; N
                .byte $a0 ; <blank>
                .byte $d9 ; Y
                .byte $cf ; O
                .byte $d5 ; U
                .byte $d2 ; R
                .byte $a0 ; <blank>
                .byte $c3 ; C
                .byte $c8 ; H
                .byte $c1 ; A
                .byte $cd ; M
                .byte $d0 ; P
                .byte $c9 ; I
                .byte $cf ; O
                .byte $ce ; N
                .byte $d3 ; S
                .byte $c8 ; H
                .byte $c9 ; I
                .byte $d0 ; P
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $d2 ; R
                .byte $c5 ; E
                .byte $c7 ; G
                .byte $c9 ; I
                .byte $d3 ; S
                .byte $d4 ; T
                .byte $d2 ; R
                .byte $c1 ; A
                .byte $d4 ; T
                .byte $c9 ; I
                .byte $cf ; O
                .byte $ce ; N
                .byte $a0 ; <blank>
                .byte $c3 ; C
                .byte $c1 ; A
                .byte $d2 ; R
                .byte $c4 ; D
                .byte $a0 ; <blank>
                .byte $8d ; <newline>
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $be ; <
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $bc ; >
                .byte $00 ; EndOfText
                lda #$0b                          ;
                sta $4f                           ; lrzScreenCol (00-1b)
                lda #$05                          ;
                sta CR_1354                       ;
                lda #$80                          ;
                jsr S_6966                        ;
                jsr S_6ca8                        ; ChkUniquePlayId
                lda LR_11ee                       ;
                cmp #$02                          ;
                bcs B_77dc                        ;
                inc LR_11ee                       ;
                lda #$02                          ;
                jsr S_6e8c                        ; GetPutScore  ($1100-$11ff) - ac: 1=load 2=store 81= 82=
                ldx #$03                          ;
B_7798          lda CR_133e,x                     ;
                sec                               ;
                sbc #$b0                          ;
                sta CR_133e,x                     ;
                dex                               ;
                bpl B_7798                        ;
                lda CR_133e                       ;
                clc                               ;
                adc CR_133f                       ;
                tax                               ;
                lda T_78a0,x                      ;
                sta T_787a                        ;
                lda CR_133f                       ;
                clc                               ;
                adc CR_1340                       ;
                tax                               ;
                lda T_78a0,x                      ;
                sta LR_787b                       ;
                lda CR_1340                       ;
                clc                               ;
                adc CR_1341                       ;
                tax                               ;
                lda T_78a0,x                      ;
                sta T_787c                        ;
                lda CR_1341                       ;
                clc                               ;
                adc CR_133e                       ;
                tax                               ;
                lda T_78a0,x                      ;
                sta LR_787d                       ;
B_77dc          jsr S_9289                        ; ClearDisplay20
                lda #$06                          ;
                sta $50                           ; lrzScreenRow  (00-0f)
                jsr S_8e39                        ; TextOut
                .byte $8d ; <newline>
                .byte $c2 ; B
                .byte $c5 ; E
                .byte $cc ; L
                .byte $cf ; O
                .byte $d7 ; W
                .byte $a0 ; <blank>
                .byte $c9 ; I
                .byte $d3 ; S
                .byte $a0 ; <blank>
                .byte $d9 ; Y
                .byte $cf ; O
                .byte $d5 ; U
                .byte $d2 ; R
                .byte $a0 ; <blank>
                .byte $d5 ; U
                .byte $ce ; N
                .byte $c9 ; I
                .byte $d1 ; Q
                .byte $d5 ; U
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $d3 ; S
                .byte $c5 ; E
                .byte $c3 ; C
                .byte $d2 ; R
                .byte $c5 ; E
                .byte $d4 ; T
                .byte $8d ; <newline>
                .byte $d0 ; P
                .byte $c1 ; A
                .byte $d3 ; S
                .byte $d3 ; S
                .byte $d7 ; W
                .byte $cf ; O
                .byte $d2 ; R
                .byte $c4 ; D
                .byte $ae ; .
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $d7 ; W
                .byte $d2 ; R
                .byte $c9 ; I
                .byte $d4 ; T
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $c9 ; I
                .byte $d4 ; T
                .byte $a0 ; <blank>
                .byte $cf ; O
                .byte $ce ; N
                .byte $a0 ; <blank>
                .byte $d9 ; Y
                .byte $cf ; O
                .byte $d5 ; U
                .byte $d2 ; R
                .byte $8d ; <newline>
                .byte $d2 ; R
                .byte $c5 ; E
                .byte $c7 ; G
                .byte $c9 ; I
                .byte $d3 ; S
                .byte $d4 ; T
                .byte $d2 ; R
                .byte $c1 ; A
                .byte $d4 ; T
                .byte $c9 ; I
                .byte $cf ; O
                .byte $ce ; N
                .byte $a0 ; <blank>
                .byte $c3 ; C
                .byte $c1 ; A
                .byte $d2 ; R
                .byte $c4 ; D
                .byte $a0 ; <blank>
                .byte $d2 ; R
                .byte $c9 ; I
                .byte $c7 ; G
                .byte $c8 ; H
                .byte $d4 ; T
                .byte $a0 ; <blank>
                .byte $ce ; N
                .byte $cf ; O
                .byte $d7 ; W
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $c1 ; A
                .byte $ce ; N
                .byte $c4 ; D
                .byte $a0 ; <blank>
                .byte $cd ; M
                .byte $c1 ; A
                .byte $c9 ; I
                .byte $cc ; L
                .byte $a0 ; <blank>
                .byte $c9 ; I
                .byte $d4 ; T
                .byte $a0 ; <blank>
                .byte $d4 ; T
                .byte $cf ; O
                .byte $a0 ; <blank>
                .byte $c2 ; B
                .byte $d2 ; R
                .byte $cf ; O
                .byte $c4 ; D
                .byte $c5 ; E
                .byte $d2 ; R
                .byte $c2 ; B
                .byte $d5 ; U
                .byte $ce ; N
                .byte $c4 ; D
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $c1 ; A
                .byte $d3 ; S
                .byte $a0 ; <blank>
                .byte $d3 ; S
                .byte $cf ; O
                .byte $cf ; O
                .byte $ce ; N
                .byte $a0 ; <blank>
                .byte $c1 ; A
                .byte $d3 ; S
                .byte $a0 ; <blank>
                .byte $d0 ; P
                .byte $cf ; O
                .byte $d3 ; S
                .byte $d3 ; S
                .byte $c9 ; I
                .byte $c2 ; B
                .byte $cc ; L
                .byte $c5 ; E
                .byte $8d ; <newline>
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $be ; <
                .byte $c3 ; C
T_787a          .byte $d1 ; Q
                .byte $c1 ; A
T_787c          .byte $c4 ; D
                .byte $c9 ; I
                .byte $bc ; >
                .byte $8d ; <newline>
                .byte $8d ; <newline>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $c8 ; H
                .byte $c9 ; I
                .byte $d4 ; T
                .byte $a0 ; <blank>
                .byte $c1 ; A
                .byte $a0 ; <blank>
                .byte $cb ; K
                .byte $c5 ; E
                .byte $d9 ; Y
                .byte $a0 ; <blank>
                .byte $00 ; EndOfText
                lda #$00                          ;
                jsr S_8e6e                        ;
                lda #$00                          ;
                sta LR_KeyNew                     ; lrNewKey
                sec                               ;
                rts                               ; cncX2
T_78a0          .byte $c1 ; A
                .byte $d0 ; P
                .byte $d0 ; P
                .byte $cc ; L
                .byte $c5 ; E
                .byte $c3 ; C
                .byte $cf ; O
                .byte $cd ; M
                .byte $cd ; M
                .byte $cf ; O
                .byte $c4 ; D
                .byte $cf ; O
                .byte $d2 ; R
                .byte $c5 ; E
                .byte $c1 ; A
                .byte $d4 ; T
                .byte $c1 ; A
                .byte $d2 ; R
                .byte $c9 ; I
                lda #$01                          ;       <MoveLodeRunner>
                sta LR_GetGold                    ;
                lda LR_Shoots                     ; lrShootDir (00=no  01=shoot right  ff=shoot left)
                beq B_78c5                        ;
                bpl B_78c2                        ;
                jmp B_7be1                        ;
B_78c2          jmp B_7ca0                        ;       <>
B_78c5          ldy $04                           ; lrzLRPosRow      <>
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $03                           ; lrzLRPosCol
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$03                          ;
                beq B_791a                        ;
                cmp #$04                          ;
                bne B_78e3                        ;
                lda $06                           ; zlrPosOnImageUD
                cmp #$02                          ; center
                beq B_791a                        ;
B_78e3          lda $06                           ; zlrPosOnImageUD
                cmp #$02                          ; center
                bcc B_791d                        ;
                ldy $04                           ; lrzLRPosRow
                cpy #$0f                          ;
                beq B_791a                        ;
                lda T_92ac,y                      ;
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92bc,y                      ;
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda T_92cc,y                      ;
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $03                           ; lrzLRPosCol
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$00                          ;
                beq B_791d                        ;
                cmp #$08                          ;
                beq B_791a                        ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                beq B_791a                        ;
                cmp #$02                          ;
                beq B_791a                        ;
                cmp #$03                          ;
                bne B_791d                        ;
B_791a          jmp B_7980                        ;
B_791d          lda #$00                          ;       <>
                sta LR_FallsDown                  ; lrFallDown  (00=fall 20=no fall ff=init
                dec LR_FallBeep                   ; lrFallTune
                jsr S_7f01                        ;
                jsr S_8f64                        ;
                lda #$07                          ;
                ldx $08                           ;
                bmi B_7933                        ;
                lda #$0f                          ;
B_7933          sta $07                           ; lrzSpriteNoLR
                jsr S_7fbb                        ;
                inc $06                           ;
                lda $06                           ; zlrPosOnImageUD
                cmp #$05                          ;
                bcs B_7946                        ;
                jsr S_7f19                        ;
                jmp S_7fa8                        ;
B_7946          lda #$00                          ;       <>
                sta $06                           ; zlrPosOnImageUD
                ldy $04                           ; lrzLRPosRow
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $03                           ; lrzLRPosCol
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                bne B_7967                        ;
                lda #$00                          ;
B_7967          sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                inc $04                           ; lrzLRPosRow
                ldy $04                           ; lrzLRPosRow
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                ldy $03                           ; lrzLRPosCol
                lda #$09                          ;
                sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                jmp S_7fa8                        ;
B_7980          lda LR_FallsDown                  ; lrFallDown  (00=fall 20=no fall ff=init      <>
                bne B_7985                        ;
B_7985          lda #$20                          ;
                sta LR_FallsDown                  ; lrFallDown  (00=fall 20=no fall ff=init
                jsr S_7de6                        ;
                lda LR_JoyUpDo                    ; lrMoveUD
                cmp #$21                          ;
                bne B_799a                        ;
                jsr S_7ab4                        ;
                bcs B_79b8                        ;
                rts                               ;
B_799a          cmp #$25                          ;
                bne B_79a4                        ;
                jsr S_7b5d                        ;
                bcs B_79b8                        ;
                rts                               ;
B_79a4          cmp #$1e                          ;
                bne B_79ae                        ;
                jsr S_7bd2                        ;
                bcs B_79b8                        ;
                rts                               ;
B_79ae          cmp #$26                          ;
                bne B_79b8                        ;
                jsr S_7c91                        ;
                bcs B_79b8                        ;
                rts                               ;
B_79b8          lda LR_JoyLeRi                    ; lrMoveLR
                cmp #$22                          ;
                bne B_79c2                        ;
                jmp B_79ca                        ;
B_79c2          cmp #$2a                          ;       <>
                bne B_79c9                        ;
                jmp B_7a3c                        ;       <>
B_79c9          rts                               ;
B_79ca          ldy $04                           ; lrzLRPosRow
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldx $05                           ; zlrPosOnImageLR
                cpx #$03                          ;
                bcs B_79f7                        ;
                ldy $03                           ; lrzLRPosCol
                beq B_79f6                        ;
                dey                               ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$02                          ;
                beq B_79f6                        ;
                cmp #$01                          ;
                beq B_79f6                        ;
                cmp #$05                          ;
                bne B_79f7                        ;
B_79f6          rts                               ;
B_79f7          jsr S_7f01                        ;
                jsr S_8f64                        ;
                lda #$ff                          ;
                sta $08                           ;
                jsr S_7fce                        ;
                dec $05                           ; zlrPosOnImageLR
                bpl B_7a21                        ;
                ldy $03                           ; lrzLRPosCol
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                bne B_7a12                        ;
                lda #$00                          ;
B_7a12          sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                dec $03                           ; lrzLRPosCol
                dey                               ;
                lda #$09                          ;
                sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                lda #$04                          ;
                sta $05                           ; zlrPosOnImageLR
                bne B_7a24                        ;
B_7a21          jsr S_7f19                        ;
B_7a24          ldy $03                           ; lrzLRPosCol
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$04                          ;
                beq B_7a32                        ;
                lda #$00                          ;
                ldx #$02                          ;
                bne B_7a36                        ;
B_7a32          lda #$03                          ;
                ldx #$05                          ;
B_7a36          jsr S_7f9a                        ;
                jmp S_7fa8                        ;
B_7a3c          ldy $04                           ; lrzLRPosRow      <>
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldx $05                           ; zlrPosOnImageLR
                cpx #$02                          ;
                bcc B_7a6b                        ;
                ldy $03                           ; lrzLRPosCol
                cpy #$1b                          ;
                beq B_7a6a                        ;
                iny                               ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$02                          ;
                beq B_7a6a                        ;
                cmp #$01                          ;
                beq B_7a6a                        ;
                cmp #$05                          ;
                bne B_7a6b                        ;
B_7a6a          rts                               ;
B_7a6b          jsr S_7f01                        ;
                jsr S_8f64                        ;
                lda #$01                          ;
                sta $08                           ;
                jsr S_7fce                        ;
                inc $05                           ; zlrPosOnImageLR
                lda $05                           ; zlrPosOnImageLR
                cmp #$05                          ;
                bcc B_7a99                        ;
                ldy $03                           ; lrzLRPosCol
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                bne B_7a8a                        ;
                lda #$00                          ;
B_7a8a          sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                inc $03                           ; lrzLRPosCol
                iny                               ;
                lda #$09                          ;
                sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                lda #$00                          ;
                sta $05                           ; zlrPosOnImageLR
                beq B_7a9c                        ;
B_7a99          jsr S_7f19                        ;
B_7a9c          ldy $03                           ; lrzLRPosCol
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$04                          ;
                beq B_7aaa                        ;
                lda #$08                          ;
                ldx #$0a                          ;
                bne B_7aae                        ;
B_7aaa          lda #$0b                          ;
                ldx #$0d                          ;
B_7aae          jsr S_7f9a                        ;
                jmp S_7fa8                        ;
S_7ab4          ldy $04                           ; lrzLRPosRow      <>
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $03                           ; lrzLRPosCol
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$03                          ;
                beq B_7ae4                        ;
                ldy $06                           ; zlrPosOnImageUD
                cpy #$03                          ;
                bcc B_7ae2                        ;
                ldy $04                           ; lrzLRPosRow
                lda T_92ac,y                      ;
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92cc,y                      ;
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $03                           ; lrzLRPosCol
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$03                          ;
                beq B_7b08                        ;
B_7ae2          sec                               ;
                rts                               ;
B_7ae4          ldy $06                           ; zlrPosOnImageUD
                cpy #$03                          ;
                bcs B_7b08                        ;
                ldy $04                           ; lrzLRPosRow
                beq B_7ae2                        ;
                lda T_92aa,y                      ;
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                lda T_92ba,y                      ;
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                ldy $03                           ; lrzLRPosCol
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$01                          ;
                beq B_7ae2                        ;
                cmp #$02                          ;
                beq B_7ae2                        ;
                cmp #$05                          ;
                beq B_7ae2                        ;
B_7b08          jsr S_7f01                        ;
                jsr S_8f64                        ;
                ldy $04                           ; lrzLRPosRow
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                jsr S_7fbb                        ;
                dec $06                           ; zlrPosOnImageUD
                bpl B_7b4e                        ;
                ldy $03                           ; lrzLRPosCol
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                bne B_7b32                        ;
                lda #$00                          ;
B_7b32          sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                dec $04                           ; lrzLRPosRow
                ldy $04                           ; lrzLRPosRow
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                ldy $03                           ; lrzLRPosCol
                lda #$09                          ;
                sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                lda #$04                          ;
                sta $06                           ; zlrPosOnImageUD
                bne B_7b51                        ;
B_7b4e          jsr S_7f19                        ;
B_7b51          lda #$10                          ;
                ldx #$11                          ;
                jsr S_7f9a                        ;
                jsr S_7fa8                        ;
                clc                               ;
                rts                               ;
S_7b5d          ldy $06                           ; zlrPosOnImageUD
                cpy #$02                          ;
                bcc B_7b81                        ;
                ldy $04                           ; lrzLRPosRow
                cpy #$0f                          ;
                bcs B_7b7f                        ;
                lda T_92ac,y                      ;
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                lda T_92bc,y                      ;
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                ldy $03                           ; lrzLRPosCol
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$02                          ;
                beq B_7b7f                        ;
                cmp #$01                          ;
                bne B_7b81                        ;
B_7b7f          sec                               ;
                rts                               ;
B_7b81          jsr S_7f01                        ;
                jsr S_8f64                        ;
                ldy $04                           ; lrzLRPosRow
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                jsr S_7fbb                        ;
                inc $06                           ; zlrPosOnImageUD
                lda $06                           ; zlrPosOnImageUD
                cmp #$05                          ;
                bcc B_7bcc                        ;
                ldy $03                           ; lrzLRPosCol
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                bne B_7baf                        ;
                lda #$00                          ;
B_7baf          sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                inc $04                           ; lrzLRPosRow
                ldy $04                           ; lrzLRPosRow
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                ldy $03                           ; lrzLRPosCol
                lda #$09                          ;
                sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                lda #$00                          ;
                sta $06                           ; zlrPosOnImageUD
                jmp B_7b51                        ;
B_7bcc          jmp B_7b4e                        ;       <>
B_7bcf          jmp B_7c81                        ;       <>
S_7bd2          lda #$ff                          ;       <>
                sta LR_Shoots                     ; lrShootDir (00=no  01=shoot right  ff=shoot left)
                sta LR_JoyUpDo                    ; lrMoveUD
                sta LR_JoyLeRi                    ; lrMoveLR
                lda #$00                          ;
                sta $54                           ;
B_7be1          ldy $04                           ; lrzLRPosRow
                cpy #$0f                          ;
                bcs B_7bcf                        ;
                iny                               ;
                jsr S_9232                        ;
                ldy $03                           ; lrzLRPosCol
                beq B_7bcf                        ;
                dey                               ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$01                          ;
                bne B_7bcf                        ;
                ldy $04                           ; lrzLRPosRow
                jsr S_9232                        ;
                ldy $03                           ; lrzLRPosCol
                dey                               ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$00                          ;
                bne B_7c5d                        ;
                jsr S_7f01                        ;
                jsr S_8f64                        ;
                jsr S_7fbb                        ;
                jsr S_7fce                        ;
                ldx $54                           ;
                lda #$00                          ;
                cpx #$06                          ;
                bcs B_7c1a                        ;
                lda #$06                          ;
B_7c1a          sta $07                           ; lrzSpriteNoLR
                jsr S_7fa8                        ;
                ldx $54                           ;
                cpx #$0c                          ;
                beq B_7c88                        ;
                cpx #$00                          ;
                beq B_7c3b                        ;
                lda LR_7d62,x                     ;
                pha                               ;
                ldx $03                           ; lrzLRPosCol
                dex                               ;
                ldy $04                           ; lrzLRPosRow
                jsr S_9179                        ; RowCol2ScreenPos
                pla                               ;
                jsr S_8f64                        ;
                ldx $54                           ;
B_7c3b          lda LR_7d63,x                     ;
                pha                               ;
                ldx $03                           ; lrzLRPosCol
                dex                               ;
                stx $4f                           ; lrzScreenCol (00-1b)
                ldy $04                           ; lrzLRPosRow
                sty $50                           ; lrzScreenRow  (00-0f)
                jsr S_9179                        ; RowCol2ScreenPos
                pla                               ;
                jsr S_8fd8                        ;
                ldx $54                           ;
                lda T_7d7b,x                      ;
                inc $50                           ; lrzScreenRow  (00-0f)
                jsr S_8eda                        ; DisplayScreenOut (2000)
                inc $54                           ;
                clc                               ;
                rts                               ;
B_7c5d          ldy $04                           ; lrzLRPosRow
                iny                               ;
                sty $50                           ; lrzScreenRow  (00-0f)
                ldy $03                           ; lrzLRPosCol
                dey                               ;
                sty $4f                           ; lrzScreenCol (00-1b)
                lda #$01                          ;
                jsr S_8eda                        ; DisplayScreenOut (2000)
                ldx $54                           ;
                beq B_7c81                        ;
                dex                               ;
                lda LR_7d63,x                     ;
                pha                               ;
                ldy $04                           ; lrzLRPosRow
                ldx $03                           ; lrzLRPosCol
                dex                               ;
                jsr S_9179                        ; RowCol2ScreenPos
                pla                               ;
                jsr S_8f64                        ;
B_7c81          lda #$00                          ;
                sta LR_Shoots                     ; lrShootDir (00=no  01=shoot right  ff=shoot left)
                sec                               ;
                rts                               ;
B_7c88          ldx $03                           ; lrzLRPosCol
                dex                               ;
                jmp B_7fe1                        ;
B_7c8e          jmp B_7d44                        ;       <>
S_7c91          lda #$01                          ;       <>
                sta LR_Shoots                     ; lrShootDir (00=no  01=shoot right  ff=shoot left)
                sta LR_JoyUpDo                    ; lrMoveUD
                sta LR_JoyLeRi                    ; lrMoveLR
                lda #$0c                          ;
                sta $54                           ;
B_7ca0          ldy $04                           ; lrzLRPosRow
                cpy #$0f                          ;
                bcs B_7c8e                        ;
                iny                               ;
                jsr S_9232                        ;
                ldy $03                           ; lrzLRPosCol
                cpy #$1b                          ;
                bcs B_7c8e                        ;
                iny                               ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$01                          ;
                bne B_7c8e                        ;
                ldy $04                           ; lrzLRPosRow
                jsr S_9232                        ;
                ldy $03                           ; lrzLRPosCol
                iny                               ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$00                          ;
                bne B_7d1e                        ;
                jsr S_7f01                        ;
                jsr S_8f64                        ;
                jsr S_7fbb                        ;
                jsr S_7fce                        ;
                ldx $54                           ;
                lda #$08                          ;
                cpx #$12                          ;
                bcs B_7cdb                        ;
                lda #$0e                          ;
B_7cdb          sta $07                           ; lrzSpriteNoLR
                jsr S_7fa8                        ;
                ldx $54                           ;
                cpx #$18                          ;
                beq B_7d4b                        ;
                cpx #$0c                          ;
                beq B_7cfc                        ;
                lda LR_7d62,x                     ;
                pha                               ;
                ldx $03                           ; lrzLRPosCol
                inx                               ;
                ldy $04                           ; lrzLRPosRow
                jsr S_9179                        ; RowCol2ScreenPos
                pla                               ;
                jsr S_8f64                        ;
                ldx $54                           ;
B_7cfc          lda LR_7d63,x                     ;
                pha                               ;
                ldx $03                           ; lrzLRPosCol
                inx                               ;
                stx $4f                           ; lrzScreenCol (00-1b)
                ldy $04                           ; lrzLRPosRow
                sty $50                           ; lrzScreenRow  (00-0f)
                jsr S_9179                        ; RowCol2ScreenPos
                pla                               ;
                jsr S_8fd8                        ;
                inc $50                           ; lrzScreenRow  (00-0f)
                ldx $54                           ;
                lda T_7d6f,x                      ;
                jsr S_8eda                        ; DisplayScreenOut (2000)
                inc $54                           ;
                clc                               ;
                rts                               ;
B_7d1e          ldy $04                           ; lrzLRPosRow
                iny                               ;
                sty $50                           ; lrzScreenRow  (00-0f)
                ldy $03                           ; lrzLRPosCol
                iny                               ;
                sty $4f                           ; lrzScreenCol (00-1b)
                lda #$01                          ;
                jsr S_8eda                        ; DisplayScreenOut (2000)
                ldx $54                           ;
                cpx #$0c                          ;
                beq B_7d44                        ;
                dex                               ;
                lda LR_7d63,x                     ;
                pha                               ;
                ldx $03                           ; lrzLRPosCol
                inx                               ;
                ldy $04                           ; lrzLRPosRow
                jsr S_9179                        ; RowCol2ScreenPos
                pla                               ;
                jsr S_8f64                        ;
B_7d44          lda #$00                          ;
                sta LR_Shoots                     ; lrShootDir (00=no  01=shoot right  ff=shoot left)
                sec                               ;
                rts                               ;
B_7d4b          ldx $03                           ; lrzLRPosCol
                inx                               ;
                jmp B_7fe1                        ;
T_7d51          .byte $0b
                .byte $0c
                .byte $0d
                .byte $18
                .byte $19
                .byte $1a
                .byte $0f
                .byte $13
                .byte $09
                .byte $10
                .byte $11
                .byte $15
                .byte $16
                .byte $17
                .byte $25
                .byte $14
                .byte $0e
                .byte $12
                .byte $1b
                .byte $1b
                .byte $1c
                .byte $1c
                .byte $1d
                .byte $1d
                .byte $1e
                .byte $1e
                .byte $00
                .byte $00
                .byte $00
                .byte $00
T_7d6f          .byte $26
                .byte $26
                .byte $27
                .byte $27
                .byte $1d
                .byte $1d
                .byte $1e
                .byte $1e
                .byte $00
                .byte $00
                .byte $00
                .byte $00
T_7d7b          .byte $1f
                .byte $1f
                .byte $20
                .byte $20
                .byte $21
                .byte $21
                .byte $22
                .byte $22
                .byte $23
                .byte $23
                .byte $24
                .byte $24
B_7d87          lda LR_KeyNew                     ; lrNewKey
                bne B_7d93                        ;
                lda CIAPRA                        ; CIA 1 - $DC00 = Data Port A
                and #$10                          ;
                bne B_7da9                        ;
B_7d93          lsr $59                           ;
                lsr LR_Alive                      ; lrStillAlive  (0=killed)
                cmp #$aa                          ;
                beq B_7da0                        ;
                cmp #$01                          ;
                bne B_7da3                        ;
B_7da0          jmp B_6221                        ; WaitForUserKey
B_7da3          lda #$01                          ;       <>
                sta LR_NumLives                   ; lrNumLives
                rts                               ;
B_7da9          lda $58                           ;
                bne B_7dc5                        ;
                ldy #$00                          ;
                lda ($55),y                       ;
                sta $57                           ;
                iny                               ;
                lda ($55),y                       ;
                sta $58                           ;
                lda $55                           ;
                clc                               ;
                adc #$02                          ;
                sta $55                           ;
                lda $56                           ;
                adc #$00                          ;
                sta $56                           ;
B_7dc5          lda $57                           ;
                and #$0f                          ;
                tax                               ;
                lda T_7de0,x                      ;
                sta LR_JoyUpDo                    ; lrMoveUD
                lda $57                           ;
                lsr a                             ;
                lsr a                             ;
                lsr a                             ;
                lsr a                             ;
                tax                               ;
                lda T_7de0,x                      ;
                sta LR_JoyLeRi                    ; lrMoveLR
                dec $58                           ;
                rts                               ;
T_7de0          .byte $21
                .byte $22
                .byte $25
                .byte $2a
                .byte $26
                .byte $1e
S_7de6          lda LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)      <>
                cmp #$01                          ;
                beq B_7d87                        ;
                ldx LR_KeyNew                     ; lrNewKey
                bne B_7dfc                        ;
                lda LR_ControllerTyp              ; lrControl (ca=joystick  cb=keyboard)
                cmp #$cb                          ;
                beq B_7e2a                        ; => rts
B_7df9          jmp B_7e82                        ;
B_7dfc          lda #$00                          ;       <>
                sta LR_KeyNew                     ; lrNewKey
                stx $23                           ;
                ldy #$ff                          ;
B_7e05          iny                               ;
                lda T_7ee2,y                      ;
                beq B_7e1b                        ;
                cmp $23                           ;
                bne B_7e05                        ;
                tya                               ;
                asl a                             ;
                tay                               ;
                lda T_7eee,y                      ;
                pha                               ;
                lda T_7eed,y                      ;
                pha                               ;
                rts                               ;
B_7e1b          lda LR_ControllerTyp              ; lrControl (ca=joystick  cb=keyboard)
                cmp #$ca                          ;
                beq B_7df9                        ;
                ldx $23                           ;
                stx LR_JoyUpDo                    ; lrMoveUD
                stx LR_JoyLeRi                    ; lrMoveLR
B_7e2a          rts                               ;
                inc LR_CntSpeedLaps               ; lrGameSpeed
                inc LR_NumLives                   ; lrNumLives
                lsr LR_Alive                      ; lrStillAlive  (0=killed)
                rts                               ;
B_7e35          jsr S_934b                        ;
                cmp #$03                          ;
                bne B_7e3f                        ;
                sta CR_135a                       ;
B_7e3f          cmp #$3f                          ;
                bne B_7e35                        ;
                jmp S_7de6                        ;
                jmp B_6207                        ; mlGameOver      <>
                lsr LR_Alive                      ; lrStillAlive  (0=killed)      <>
T_7e4c          rts                               ;
                lda #$ca                          ;
                sta LR_ControllerTyp              ; lrControl (ca=joystick  cb=keyboard)
                jmp S_7de6                        ;
                lda #$cb                          ;       <>
                sta LR_ControllerTyp              ; lrControl (ca=joystick  cb=keyboard)
                jmp S_7de6                        ;
                lda LR_GameSpeed                  ; lrGameSpeed      <>
                cmp #$03                          ;
                beq B_7e74                        ;
                dec LR_GameSpeed                  ; lrGameSpeed
                jmp S_7de6                        ;
                lda LR_GameSpeed                  ; lrGameSpeed      <>
                cmp #$08                          ;
                beq B_7e74                        ;
                inc LR_GameSpeed                  ; lrGameSpeed
B_7e74          jmp S_7de6                        ;
                lda LR_ShootMode                  ; lrShootMode      <>
                eor #$ff                          ;
                sta LR_ShootMode                  ; lrShootMode
                jmp S_7de6                        ;
B_7e82          lda CIAPRA                        ; CIA 1 - $DC00 = Data Port A
                and #$10                          ;
                bne B_7ea2                        ;
                lda $08                           ;
                eor LR_ShootMode                  ; lrShootMode
                bpl B_7e99                        ;
                lda #$26                          ; fire right
                sta LR_JoyUpDo                    ; lrMoveUD
                sta LR_JoyLeRi                    ; lrMoveLR
                rts                               ;
B_7e99          lda #$1e                          ; fire left
                sta LR_JoyUpDo                    ; lrMoveUD
                sta LR_JoyLeRi                    ; lrMoveLR
                rts                               ;
B_7ea2          lda CIAPRA                        ; CIA 1 - $DC00 = Data Port A
                sta $1e                           ;
                and #$02                          ;
                beq B_7ebf                        ;
                lda $1e                           ;
                and #$01                          ;
                beq B_7eb8                        ;
                ldx #$00                          ;
                stx LR_JoyUpDo                    ; lrMoveUD
                beq B_7ec4                        ;
B_7eb8          ldx #$21                          ;
                stx LR_JoyUpDo                    ; lrMoveUD
                bne B_7ec4                        ;
B_7ebf          ldx #$25                          ;
                stx LR_JoyUpDo                    ; lrMoveUD
B_7ec4          lda $1e                           ;
                and #$08                          ;
                beq B_7ed6                        ;
                lda $1e                           ;
                and #$04                          ;
                beq B_7edc                        ;
                ldx #$00                          ;
                stx LR_JoyLeRi                    ; lrMoveLR
                rts                               ;
B_7ed6          ldx #$2a                          ;
                stx LR_JoyLeRi                    ; lrMoveLR
                rts                               ;
B_7edc          ldx #$22                          ;
                stx LR_JoyLeRi                    ; lrMoveLR
                rts                               ;
T_7ee2          .byte $3f
                .byte $91
                .byte $8a
                .byte $a2
                .byte $a5
                .byte $2b
                .byte $28
                .byte $92
                .byte $b9
                .byte $b6
                .byte $00
T_7eed          .byte $34
T_7eee          .byte $7e
                .byte $45
                .byte $7e
                .byte $48
                .byte $7e
                .byte $4c
                .byte $7e
                .byte $54
                .byte $7e
                .byte $69
                .byte $7e
                .byte $5c
                .byte $7e
                .byte $76
                .byte $7e
                .byte $45
                .byte $80
                .byte $2a
                .byte $80
S_7f01          ldx $03                           ; lrzLRPosCol
                ldy $05                           ; zlrPosOnImageLR
                jsr LR_91b1                       ; 
                stx $23                           ;
                ldy $04                           ; lrzLRPosRow
                ldx $06                           ; zlrPosOnImageUD
                jsr S_91c4                        ;
                ldx $07                           ; lrzSpriteNoLR
                lda T_7d51,x                      ;
                ldx $23                           ;
                rts                               ;
S_7f19          lda $05                           ; zlrPosOnImageLR
                cmp #$02                          ; center
                bne B_7f99                        ; => rts
                lda $06                           ; zlrPosOnImageUD
                cmp #$02                          ; center
                bne B_7f99                        ; => rts
                ldy $04                           ; lrzLRPosRow
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $03                           ; lrzLRPosCol
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$07                          ; Gold
                bne B_7f99                        ; => rts
                lsr LR_GetGold                    ;
                ldx #$10                          ;
                ldy #$20                          ;
                lda #$04                          ;
                jsr S_6449                        ; GetRndNum (x=VicLow y=VicHigh a=RndLow)
                sta T_7f64                        ;
                lda #$04                          ;
                jsr S_6449                        ; GetRndNum (x=VicLow y=VicHigh a=RndLow)
                sta T_7f68                        ;
                lda #$04                          ;
                jsr S_6449                        ; GetRndNum (x=VicLow y=VicHigh a=RndLow)
                sta B_7f6c                        ;
                lda #$04                          ;
                jsr S_6449                        ; GetRndNum (x=VicLow y=VicHigh a=RndLow)
                sta T_7f70                        ;
                jsr S_6400                        ; CopyGoldTune
                .byte $04
T_7f64          .byte $00
                .byte $ff
                .byte $b0
                .byte $04
T_7f68          .byte $00
                .byte $ff
                .byte $a0
                .byte $04
B_7f6c          .byte $00
                .byte $ff
                .byte $90
                .byte $04
T_7f70          .byte $00
                .byte $ff
                .byte $a0
                .byte $00
B_7f74          dec LR_GoldToGet                  ; lrGoldToFind      <>
                ldy $04                           ; lrzLRPosRow
                sty $50                           ; lrzScreenRow  (00-0f)
                ldy $03                           ; lrzLRPosCol
                sty $4f                           ; lrzScreenCol (00-1b)
                lda #$00                          ;
                sta ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                jsr S_8ee0                        ; HiddenScreenOut (4000)
                ldy $50                           ; lrzScreenRow  (00-0f)
                ldx $4f                           ; lrzScreenCol (00-1b)
                jsr S_9179                        ; RowCol2ScreenPos
                lda #$07                          ;
                jsr S_8f64                        ;
                ldy #$05                          ;
                lda #$00                          ;
                jsr S_8d09                        ; AddDisplayScore (ac=1s yr=100s)
B_7f99          rts                               ;
S_7f9a          inc $07                           ; lrzSpriteNoLR
                cmp $07                           ; lrzSpriteNoLR
                bcc B_7fa3                        ;
B_7fa0          sta $07                           ; lrzSpriteNoLR
                rts                               ;
B_7fa3          cpx $07                           ; lrzSpriteNoLR
                bcc B_7fa0                        ;
                rts                               ;
S_7fa8          jsr S_7f01                        ;
                jsr S_8fd8                        ;
                lda $27                           ;
                beq B_7fba                        ;
                lda LR_GetGold                    ;
                beq B_7fba                        ;
                lsr LR_Alive                      ; lrStillAlive  (0=killed)
B_7fba          rts                               ;
S_7fbb          lda $05                           ; zlrPosOnImageLR
                cmp #$02                          ;
                bcc B_7fc8                        ;
                beq B_7fcd                        ;
                dec $05                           ; zlrPosOnImageLR
                jmp S_7f19                        ;
B_7fc8          inc $05                           ; zlrPosOnImageLR
                jmp S_7f19                        ;
B_7fcd          rts                               ;
S_7fce          lda $06                           ; zlrPosOnImageUD
                cmp #$02                          ;
                bcc B_7fdb                        ;
                beq B_7fe0                        ;
                dec $06                           ; zlrPosOnImageUD
                jmp S_7f19                        ;
B_7fdb          inc $06                           ; zlrPosOnImageUD
                jmp S_7f19                        ;
B_7fe0          rts                               ;
B_7fe1          lda #$00                          ;
                sta LR_Shoots                     ; lrShootDir (00=no  01=shoot right  ff=shoot left)
                ldy $04                           ; lrzLRPosRow
                iny                               ;
                stx $4f                           ; lrzScreenCol (00-1b)
                sty $50                           ; lrzScreenRow  (00-0f)
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda #$00                          ;
                ldy $4f                           ; lrzScreenCol (00-1b)
                sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                jsr S_8eda                        ; DisplayScreenOut (2000)
T_8000          lda #$00                          ;
                jsr S_8ee0                        ; HiddenScreenOut (4000)
                dec $50                           ; lrzScreenRow  (00-0f)
T_8007          lda #$00                          ;
                jsr S_8eda                        ; DisplayScreenOut (2000)
                inc $50                           ; lrzScreenRow  (00-0f)
                ldx #$ff                          ;
B_8010          inx                               ;
                cpx #$1e                          ;
                beq B_802a                        ;
                lda LR_12e0,x                     ;
                bne B_8010                        ;
                lda $50                           ; lrzScreenRow  (00-0f)
                sta LR_12c0,x                     ;
                lda $4f                           ; lrzScreenCol (00-1b)
                sta LR_12a0,x                     ;
                lda #$b4                          ;
                sta LR_12e0,x                     ;
                sec                               ;
B_802a          rts                               ;
                lda C64_KeyFlag                   ;
                and #$06                          ;
                cmp #$06                          ;
                bne B_8045                        ;
                lda CR_135a                       ;
                beq B_8045                        ;
                inc LR_NumLives                   ; lrNumLives
                inc LR_LevelNoGame                ; lrNumPlayLvl
                inc LR_LevelNoDisk                ; lrNumDiskLvl (000-049)
                lsr LR_Alive                      ; lrStillAlive  (0=killed)
B_8045          rts                               ;
                lda C64_KeyFlag                   ;
                and #$06                          ;
                cmp #$06                          ;
                bne B_805f                        ;
                lda CR_135a                       ;
                beq B_805f                        ;
                inc LR_NumLives                   ; lrNumLives
                bne B_805c                        ;
                dec LR_NumLives                   ; lrNumLives
B_805c          jsr S_8cc8                        ; StatusOutLives
B_805f          jmp S_7de6                        ;
S_8062          ldx LR_EnmyNo                     ; lrNumEnemy      <MoveEnemies>
                beq B_8088                        ;
                inc $36                           ;
                ldy $36                           ;
                cpy #$03                          ;
                bcc B_8073                        ;
                ldy #$00                          ;
                sty $36                           ;
B_8073          lda $0032,y                     ;
                sta $35                           ;
B_8078          lsr $35                           ;
                bcc B_8084                        ;
                jsr S_80d8                        ;
                lda LR_Alive                      ; lrStillAlive  (0=killed)
                beq B_8088                        ;
B_8084          lda $35                           ;
                bne B_8078                        ;
B_8088          rts
T_8089          .byte $00
T_808a          .byte $00
T_808b          .byte $00
                .byte $00
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $03
                .byte $01
                .byte $01
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $07
                .byte $03
                .byte $07
                .byte $07
                .byte $07
                .byte $07
                .byte $07
                .byte $07
                .byte $07
                .byte $0f
                .byte $07
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $1f
                .byte $0f
                .byte $1f
                .byte $1f
                .byte $1f
                .byte $1f
                .byte $1f
                .byte $1f
                .byte $1f
                .byte $3f
                .byte $1f
                .byte $3f
                .byte $3f
                .byte $3f
                .byte $3f
                .byte $3f
                .byte $3f
                .byte $3f
                .byte $7f
                .byte $3f
                .byte $7f
                .byte $7f
                .byte $7f
                .byte $7f
                .byte $7f
T_80c8          .byte $08
                .byte $2b
                .byte $2c
                .byte $30
                .byte $31
                .byte $32
                .byte $36
                .byte $28
                .byte $29
                .byte $2a
                .byte $2d
                .byte $2e
                .byte $2f
                .byte $35
                .byte $33
                .byte $34
S_80d8          inc LR_NoEnemy2Move               ; lrNumEnemy2Move
                ldx LR_EnmyNo                     ; lrNumEnemy
                cpx LR_NoEnemy2Move               ; lrNumEnemy2Move
                bcs B_80e8                        ;
                ldx #$01                          ;
                stx LR_NoEnemy2Move               ; lrNumEnemy2Move
B_80e8          jsr S_89d0                        ;
                lda $19                           ;
                bmi B_810a                        ;
                beq B_810a                        ;
                dec $19                           ;
                ldy $19                           ;
                cpy #$0d                          ;
                bcs B_80fc                        ;
                jmp B_8261                        ;
B_80fc          ldx LR_NoEnemy2Move               ; lrNumEnemy2Move
                lda LR_1298,x                     ;
                beq B_8107                        ;
                jmp B_89a9                        ;
B_8107          jmp B_81b1                        ;
B_810a          ldy $16                           ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $15                           ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$03                          ;
                beq B_8163                        ;
                cmp #$04                          ;
                bne B_8128                        ;
                lda $1b                           ;
                cmp #$02                          ;
                beq B_8163                        ;
B_8128          lda $1b                           ;
                cmp #$02                          ;
                bcc B_8166                        ;
                ldy $16                           ;
                cpy #$0f                          ;
                beq B_8163                        ;
                lda T_92ac,y                      ;
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92cc,y                      ;
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                lda T_92bc,y                      ;
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                ldy $15                           ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$00                          ;
                beq B_8166                        ;
                cmp #$09                          ;
                beq B_8166                        ;
                cmp #$08                          ;
                beq B_8163                        ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                beq B_8163                        ;
                cmp #$02                          ;
                beq B_8163                        ;
                cmp #$03                          ;
                bne B_8166                        ;
B_8163          jmp LR_8281                       ; 
B_8166          jsr S_88df                        ;
                jsr S_8f64                        ;
                jsr S_8983                        ;
                lda #$06                          ;
                ldy $18                           ;
                bmi B_8177                        ;
                lda #$0d                          ;
B_8177          sta $17                           ;
                inc $1b                           ;
                lda $1b                           ;
                cmp #$05                          ;
                bcs B_81ba                        ;
                lda $1b                           ;
                cmp #$02                          ;
                bne B_81b1                        ;
                jsr S_88f7                        ;
                ldy $16                           ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $15                           ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                bne B_81b1                        ;
                lda $19                           ;
                bpl B_81a5                        ;
                dec LR_GoldToGet                  ; lrGoldToFind
B_81a5          lda LR_EnmyHoleTime               ; lrEnemyHoleTime
                sta $19                           ;
                ldy #$01                          ;
                lda #$00                          ;
                jsr S_8d09                        ; AddDisplayScore (ac=1s yr=100s)
B_81b1          jsr S_88df                        ;
                jsr S_8fd8                        ;
                jmp B_89a9                        ;
B_81ba          lda #$00                          ;
                sta $1b                           ;
                ldy $16                           ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $15                           ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                bne B_81db                        ;
                lda #$00                          ;
B_81db          sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                inc $16                           ;
                ldy $16                           ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $15                           ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$09                          ;
                bne B_81fd                        ;
                lsr LR_Alive                      ; lrStillAlive  (0=killed)
B_81fd          lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                bne B_8254                        ;
                lda $19                           ;
                bpl B_8254                        ;
                ldy $16                           ;
                dey                               ;
                sty $50                           ; lrzScreenRow  (00-0f)
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $15                           ;
                sty $4f                           ; lrzScreenCol (00-1b)
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$00                          ;
                beq B_822d                        ;
                dec LR_GoldToGet                  ; lrGoldToFind
                jmp B_8242                        ;
B_822d          lda #$07                          ;
                sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                sta ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                jsr S_8ee0                        ; HiddenScreenOut (4000)
                ldy $50                           ; lrzScreenRow  (00-0f)
                ldx $4f                           ; lrzScreenCol (00-1b)
                jsr S_9179                        ; RowCol2ScreenPos
                lda #$07                          ;
                jsr S_8fd8                        ;
B_8242          ldy $16                           ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda #$00                          ;
                sta $19                           ;
                ldy $15                           ;
B_8254          lda #$08                          ;
                sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                jsr S_88df                        ;
                jsr S_8fd8                        ;
                jmp B_89a9                        ;
B_8261          cpy #$07                          ;
                bcc LR_8281                       ; 
                jsr S_88df                        ;
                jsr S_8f64                        ;
                ldy $19                           ;
                lda LR_8274,y                     ;
                sta $1a                           ;
                jsr S_88df                        ;
                jsr S_8fd8                        ;
                jmp B_89a9                        ;
                .byte $02
                .byte $01
                .byte $02
                .byte $03
                .byte $02
                .byte $01
                .byte $a6
S_8282          ora $a4,x                         ;
                asl $20,x                         ;
                cld                               ;
                sty $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                tay                               ;
                lda T_8294,y                      ;
                pha                               ;
                lda T_8293,y                      ;
                pha                               ;
                rts                               ;
T_8293          .byte $a8
T_8294          .byte $89      
                .byte $b9 
                .byte $83 
                .byte $45
                .byte $84 
                .byte $a7   
                .byte $82      
                .byte $35 
                .byte $83   
B_829d          lda $19                           ;
                beq B_82a5                        ;
                bmi B_82a5                        ;
                inc $19                           ;
B_82a5          jmp B_89a9                        ;
                ldy $1b                           ;
                cpy #$03                          ;
                bcs B_82d1                        ;
                ldy $16                           ;
                beq B_829d                        ;
                dey                               ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                ldy $15                           ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$01                          ;
                beq B_829d                        ;
                cmp #$02                          ;
                beq B_829d                        ;
                cmp #$05                          ;
                beq B_829d                        ;
                cmp #$08                          ;
                beq B_829d                        ;
B_82d1          jsr S_88df                        ;
                jsr S_8f64                        ;
                jsr S_8983                        ;
                ldy $16                           ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                dec $1b                           ;
                bpl B_8323                        ;
                jsr S_893f                        ;
                ldy $15                           ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                bne B_82fe                        ;
                lda #$00                          ;
B_82fe          sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                dec $16                           ;
                ldy $16                           ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                ldy $15                           ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$09                          ;
                bne B_8319                        ;
                lsr LR_Alive                      ; lrStillAlive  (0=killed)
B_8319          lda #$08                          ;
                sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                lda #$04                          ;
                sta $1b                           ;
                bne B_8326                        ;
B_8323          jsr S_88f7                        ;
B_8326          lda #$0e                          ;
                ldx #$0f                          ;
                jsr S_8975                        ;
                jsr S_88df                        ;
                jsr S_8fd8                        ;
                jmp B_89a9                        ;
                ldy $1b                           ;
                cpy #$02                          ;
                bcc B_8360                        ;
                ldy $16                           ;
                cpy #$0f                          ;
                bcs B_835d                        ;
                iny                               ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                ldy $15                           ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$02                          ;
                beq B_835d                        ;
                cmp #$08                          ;
                beq B_835d                        ;
                cmp #$01                          ;
                bne B_8360                        ;
B_835d          jmp B_89a9                        ;
B_8360          jsr S_88df                        ;
                jsr S_8f64                        ;
                jsr S_8983                        ;
                ldy $16                           ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                inc $1b                           ;
                lda $1b                           ;
                cmp #$05                          ;
                bcc B_83b7                        ;
                jsr S_893f                        ;
                ldy $15                           ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                bne B_8391                        ;
                lda #$00                          ;
B_8391          sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                inc $16                           ;
                ldy $16                           ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                ldy $15                           ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$09                          ;
                bne B_83ac                        ;
                lsr LR_Alive                      ; lrStillAlive  (0=killed)
B_83ac          lda #$08                          ;
                sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                lda #$00                          ;
                sta $1b                           ;
                jmp B_8326                        ;
B_83b7          jmp B_8323                        ;
                ldy $16                           ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldx $1a                           ;
                cpx #$03                          ;
                bcs B_83ef                        ;
                ldy $15                           ;
                beq B_83ec                        ;
                dey                               ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$08                          ;
                beq B_83ec                        ;
                cmp #$02                          ;
                beq B_83ec                        ;
                cmp #$01                          ;
                beq B_83ec                        ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$05                          ;
                bne B_83ef                        ;
B_83ec          jmp B_89a9                        ;
B_83ef          jsr S_88df                        ;
                jsr S_8f64                        ;
                jsr S_8996                        ;
                lda #$ff                          ;
                sta $18                           ;
                dec $1a                           ;
                bpl B_8425                        ;
                jsr S_893f                        ;
                ldy $15                           ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                bne B_840d                        ;
                lda #$00                          ;
B_840d          sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                dec $15                           ;
                dey                               ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$09                          ;
                bne B_841b                        ;
                lsr LR_Alive                      ; lrStillAlive  (0=killed)
B_841b          lda #$08                          ;
                sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                lda #$04                          ;
                sta $1a                           ;
                bne B_8428                        ;
B_8425          jsr S_88f7                        ;
B_8428          ldy $15                           ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$04                          ;
                beq B_8436                        ;
                lda #$00                          ;
                ldx #$02                          ;
                bne B_843a                        ;
B_8436          lda #$03                          ;
                ldx #$05                          ;
B_843a          jsr S_8975                        ;
                jsr S_88df                        ;
                jsr S_8fd8                        ;
                jmp B_89a9                        ;
                ldy $16                           ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldx $1a                           ;
                cpx #$02                          ;
                bcc B_847d                        ;
                ldy $15                           ;
                cpy #$1b                          ;
                beq B_847a                        ;
                iny                               ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$08                          ;
                beq B_847a                        ;
                cmp #$02                          ;
                beq B_847a                        ;
                cmp #$01                          ;
                beq B_847a                        ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$05                          ;
                bne B_847d                        ;
B_847a          jmp B_89a9                        ;
B_847d          jsr S_88df                        ;
                jsr S_8f64                        ;
                jsr S_8996                        ;
                lda #$01                          ;
                sta $18                           ;
                inc $1a                           ;
                lda $1a                           ;
                cmp #$05                          ;
                bcc B_84b7                        ;
                jsr S_893f                        ;
                ldy $15                           ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                bne B_849f                        ;
                lda #$00                          ;
B_849f          sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                inc $15                           ;
                iny                               ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$09                          ;
                bne B_84ad                        ;
                lsr LR_Alive                      ; lrStillAlive  (0=killed)
B_84ad          lda #$08                          ;
                sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                lda #$00                          ;
                sta $1a                           ;
                beq B_84ba                        ;
B_84b7          jsr S_88f7                        ;
B_84ba          ldy $15                           ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$04                          ;
                beq B_84c8                        ;
                lda #$07                          ;
                ldx #$09                          ;
                bne B_84cc                        ;
B_84c8          lda #$0a                          ;
                ldx #$0c                          ;
B_84cc          jsr S_8975                        ;
                jsr S_88df                        ;
                jsr S_8fd8                        ;
                jmp B_89a9                        ;
                stx $28                           ;
                sty $29                           ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $28                           ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                bne B_84f7                        ;
                lda $19                           ;
                beq B_84f7                        ;
                bmi B_84f7                        ;
                lda #$03                          ;
                rts                               ;
B_84f7          ldy $29                           ;
                cpy $04                           ;
                beq B_8500                        ;
                jmp B_8586                        ; lrzLRPosRow
B_8500          ldy $28                           ;
                sty $2a                           ;
                cpy $03                           ;
                bcs B_8547                        ;
B_8508          inc $2a                           ; lrzLRPosCol
                ldy $29                           ;
                lda T_92ab,y                      ;
                sta $0b                           ;
                lda LR_92cb,y                     ; tab: LoRow2PlayLvlDat
                sta $0c                           ; lrzLoPlayLvlDat (0a00-0bc3)
                ldy $2a                           ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                lda ($0b),y                       ; lrzHiPlayLvlDat (0a00-0bc3)
                cmp #$03                          ;
                beq B_853e                        ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$04                          ;
                beq B_853e                        ;
                ldy $29                           ;
                cpy #$0f                          ;
                beq B_853e                        ;
                lda T_92ac,y                      ;
                sta $0b                           ;
                lda T_92cc,y                      ;
                sta $0c                           ; lrzLoPlayLvlDat (0a00-0bc3)
                ldy $2a                           ;
                lda ($0b),y                       ; lrzHiPlayLvlDat (0a00-0bc3)
                cmp #$00                          ;
                beq B_8586                        ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$05                          ;
                beq B_8586                        ;
B_853e          ldy $2a                           ;
                cpy $03                           ;
                bne B_8508                        ;
                lda #$02                          ; lrzLRPosCol
                rts                               ;
B_8547          dec $2a                           ;
                ldy $29                           ;
                lda T_92ab,y                      ;
                sta $0b                           ;
                lda LR_92cb,y                     ; tab: LoRow2PlayLvlDat
                sta $0c                           ; lrzLoPlayLvlDat (0a00-0bc3)
                ldy $2a                           ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                lda ($0b),y                       ; lrzHiPlayLvlDat (0a00-0bc3)
                cmp #$03                          ;
                beq B_857d                        ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$04                          ;
                beq B_857d                        ;
                ldy $29                           ;
                cpy #$0f                          ;
                beq B_857d                        ;
                lda T_92ac,y                      ;
                sta $0b                           ;
                lda T_92cc,y                      ;
                sta $0c                           ; lrzLoPlayLvlDat (0a00-0bc3)
                ldy $2a                           ;
                lda ($0b),y                       ; lrzHiPlayLvlDat (0a00-0bc3)
                cmp #$00                          ;
                beq B_8586                        ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$05                          ;
                beq B_8586                        ;
B_857d          ldy $2a                           ;
                cpy $03                           ;
                bne B_8547                        ;
                lda #$01                          ; lrzLRPosCol
                rts                               ;
B_8586          lda #$00                          ;
                sta $2b                           ;
                lda #$ff                          ;
                sta $2c                           ;
                ldx $28                           ;
                ldy $29                           ;
                jsr S_883e                        ;
                jsr S_8675                        ;
                jsr S_85a2                        ;
                jsr S_860c                        ;
                lda $2b                           ;
                rts                               ;
B_85a1          rts                               ;
S_85a2          ldy $2d                           ;
                cpy $28                           ;
                beq B_85a1                        ;
                ldy $29                           ;
                cpy #$0f                          ;
                beq B_85da                        ;
                lda T_92ac,y                      ;
                sta $0b                           ;
                lda T_92cc,y                      ;
                sta $0c                           ; lrzLoPlayLvlDat (0a00-0bc3)
                ldy $2d                           ;
                lda ($0b),y                       ; lrzHiPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                beq B_85da                        ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$02                          ;
                beq B_85da                        ;
                ldx $2d                           ;
                ldy $29                           ;
                jsr S_879d                        ;
                ldx $2d                           ;
                jsr S_86d4                        ;
                cmp $2c                           ;
                bcs B_85da                        ;
                sta $2c                           ;
                lda #$01                          ;
                sta $2b                           ;
B_85da          ldy $29                           ;
                beq B_8606                        ;
                lda T_92ab,y                      ;
                sta $0b                           ;
                lda LR_92cb,y                     ; tab: LoRow2PlayLvlDat
                sta $0c                           ; lrzLoPlayLvlDat (0a00-0bc3)
                ldy $2d                           ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                lda ($0b),y                       ; lrzHiPlayLvlDat (0a00-0bc3)
                cmp #$03                          ;
                bne B_8606                        ; lrzVecPlayLvlDat (0a00-0bc3)
                ldy $29                           ;
                ldx $2d                           ;
                jsr S_8700                        ;
                ldx $2d                           ;
                jsr S_86d4                        ;
                cmp $2c                           ;
                bcs B_8606                        ;
                sta $2c                           ;
                lda #$01                          ;
                sta $2b                           ;
B_8606          inc $2d                           ;
                jmp S_85a2                        ;
B_860b          rts                               ;
S_860c          ldy $2e                           ;
                cpy $28                           ;
                beq B_860b                        ;
                ldy $29                           ;
                cpy #$0f                          ;
                beq B_8644                        ;
                lda T_92ac,y                      ;
                sta $0b                           ;
                lda T_92cc,y                      ;
                sta $0c                           ; lrzLoPlayLvlDat (0a00-0bc3)
                ldy $2e                           ;
                lda ($0b),y                       ; lrzHiPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                beq B_8644                        ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$02                          ;
                beq B_8644                        ;
                ldx $2e                           ;
                ldy $29                           ;
                jsr S_879d                        ;
                ldx $2e                           ;
                jsr S_86d4                        ;
                cmp $2c                           ;
                bcs B_8644                        ;
                sta $2c                           ;
                lda #$02                          ;
                sta $2b                           ;
B_8644          ldy $29                           ;
                beq B_8670                        ;
                lda T_92ab,y                      ;
                sta $0b                           ;
                lda LR_92cb,y                     ; tab: LoRow2PlayLvlDat
                sta $0c                           ; lrzLoPlayLvlDat (0a00-0bc3)
                ldy $2e                           ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                lda ($0b),y                       ; lrzHiPlayLvlDat (0a00-0bc3)
                cmp #$03                          ;
                bne B_8670                        ; lrzVecPlayLvlDat (0a00-0bc3)
                ldy $29                           ;
                ldx $2e                           ;
                jsr S_8700                        ;
                ldx $2e                           ;
                jsr S_86d4                        ;
                cmp $2c                           ;
                bcs B_8670                        ;
                sta $2c                           ;
                lda #$02                          ;
                sta $2b                           ;
B_8670          dec $2e                           ;
                jmp S_860c                        ;
S_8675          ldy $29                           ;
                cpy #$0f                          ;
                beq B_86a7                        ;
                lda T_92ac,y                      ;
                sta $0b                           ;
                lda T_92cc,y                      ;
                sta $0c                           ; lrzLoPlayLvlDat (0a00-0bc3)
                ldy $28                           ;
                lda ($0b),y                       ; lrzHiPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                beq B_86a7                        ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$02                          ;
                beq B_86a7                        ;
                ldx $28                           ;
                ldy $29                           ;
                jsr S_879d                        ;
                ldx $28                           ;
                jsr S_86d4                        ;
                cmp $2c                           ;
                bcs B_86a7                        ;
                sta $2c                           ;
                lda #$04                          ;
                sta $2b                           ;
B_86a7          ldy $29                           ;
                beq B_86d3                        ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $28                           ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$03                          ;
                bne B_86d3                        ;
                ldx $28                           ;
                ldy $29                           ;
                jsr S_8700                        ;
                ldx $28                           ;
                jsr S_86d4                        ;
                cmp $2c                           ;
                bcs B_86d3                        ;
                sta $2c                           ;
                lda #$03                          ;
                sta $2b                           ;
B_86d3          rts                               ;
S_86d4          sta $1e                           ;
                cmp $04                           ; lrzLRPosRow
                bne B_86eb                        ;
                cpx $15                           ;
                bcc B_86e3                        ;
                txa                               ;
                sec                               ;
                sbc $15                           ;
                rts                               ;
B_86e3          stx $1e                           ;
                lda $15                           ;
                sec                               ;
                sbc $1e                           ;
                rts                               ;
B_86eb          bcc B_86f4                        ;
                sec                               ;
                sbc $04                           ; lrzLRPosRow
                clc                               ;
                adc #$c8                          ;
                rts                               ;
B_86f4          lda $04                           ; lrzLRPosRow
                sec                               ;
                sbc $1e                           ;
                clc                               ;
                adc #$64                          ;
                rts                               ;
B_86fd          lda $31                           ;
                rts                               ;
S_8700          sty $31                           ;
                stx $30                           ;
B_8704          lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $30                           ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$03                          ;
                bne B_86fd                        ;
                dec $31                           ;
                ldy $30                           ;
                beq B_874a                        ;
                dey                               ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                beq B_8740                        ;
                cmp #$02                          ;
                beq B_8740                        ;
                cmp #$03                          ;
                beq B_8740                        ;
                ldy $31                           ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $30                           ;
                dey                               ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$04                          ;
                bne B_874a                        ;
B_8740          ldy $31                           ;
                sty $2f                           ;
                cpy $04                           ; lrzLRPosRow
                bcc B_8797                        ;
                beq B_8797                        ;
B_874a          ldy $30                           ;
                cpy #$1b                          ;
                beq B_878c                        ;
                ldy $31                           ;
                lda T_92ac,y                      ;
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92cc,y                      ;
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $30                           ;
                iny                               ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                beq B_8782                        ;
                cmp #$02                          ;
                beq B_8782                        ;
                cmp #$03                          ;
                beq B_8782                        ;
                ldy $31                           ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $30                           ;
                iny                               ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$04                          ;
                bne B_878c                        ;
B_8782          ldy $31                           ;
                sty $2f                           ;
                cpy $04                           ; lrzLRPosRow
                bcc B_8797                        ;
                beq B_8797                        ;
B_878c          ldy $31                           ;
                cpy #$01                          ;
                bcc B_8795                        ;
                jmp B_8704                        ;
B_8795          tya                               ;
                rts                               ;
B_8797          lda $2f                           ;
                rts                               ;
B_879a          lda $31                           ;
                rts                               ;
S_879d          sty $31                           ;
                stx $30                           ;
B_87a1          lda T_92ac,y                      ;
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92cc,y                      ;
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $30                           ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                beq B_879a                        ;
                cmp #$02                          ;
                beq B_879a                        ;
                ldy $31                           ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $30                           ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$00                          ;
                beq B_882d                        ;
                cpy #$00                          ;
                beq B_87fb                        ;
                dey                               ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$04                          ;
                beq B_87f3                        ;
                ldy $31                           ;
                lda T_92ac,y                      ;
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92cc,y                      ;
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $30                           ;
                dey                               ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                beq B_87f3                        ;
                cmp #$02                          ;
                beq B_87f3                        ;
                cmp #$03                          ;
                bne B_87fb                        ;
B_87f3          ldy $31                           ;
                sty $2f                           ;
                cpy $04                           ; lrzLRPosRow
                bcs B_883b                        ;
B_87fb          ldy $30                           ;
                cpy #$1b                          ;
                bcs B_882d                        ;
                iny                               ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$04                          ;
                beq B_8825                        ;
S_8808          ldy $31                           ;
                lda T_92ac,y                      ;
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92cc,y                      ;
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $30                           ;
                iny                               ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                beq B_8825                        ;
                cmp #$03                          ;
                beq B_8825                        ;
                cmp #$02                          ;
                bne B_882d                        ;
B_8825          ldy $31                           ;
                sty $2f                           ;
                cpy $04                           ; lrzLRPosRow
                bcs B_883b                        ;
B_882d          inc $31                           ;
                ldy $31                           ;
                cpy #$10                          ;
                bcs B_8838                        ;
                jmp B_87a1                        ;
B_8838          lda #$0f                          ;
                rts                               ;
B_883b          lda $2f                           ;
                rts                               ;
S_883e          stx $2d                           ;
                stx $2e                           ;
                sty $20                           ;
B_8844          lda $2d                           ;
                beq B_8890                        ;
                ldy $20                           ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                ldy $2d                           ;
                dey                               ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$01                          ;
                beq B_8890                        ;
                cmp #$02                          ;
                beq B_8890                        ;
                cmp #$03                          ;
                beq B_888a                        ;
                cmp #$04                          ;
                beq B_888a                        ;
                ldy $20                           ;
                cpy #$0f                          ;
                beq B_888a                        ;
                lda T_92ac,y                      ;
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92cc,y                      ;
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $2d                           ;
                dey                               ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                beq B_888a                        ;
                cmp #$02                          ;
                beq B_888a                        ;
                cmp #$03                          ;
                bne B_888e                        ;
B_888a          dec $2d                           ;
                bpl B_8844                        ;
B_888e          dec $2d                           ;
B_8890          lda $2e                           ;
                cmp #$1b                          ;
                beq B_88de                        ;
                ldy $20                           ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                ldy $2e                           ;
                iny                               ;
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$01                          ;
                beq B_88de                        ;
                cmp #$02                          ;
                beq B_88de                        ;
                cmp #$03                          ;
                beq B_88d8                        ;
                cmp #$04                          ;
                beq B_88d8                        ;
                ldy $20                           ;
                cpy #$0f                          ;
                beq B_88d8                        ;
                lda T_92ac,y                      ;
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92cc,y                      ;
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $2e                           ;
                iny                               ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$01                          ;
                beq B_88d8                        ;
                cmp #$02                          ;
                beq B_88d8                        ;
                cmp #$03                          ;
                bne B_88dc                        ;
B_88d8          inc $2e                           ;
                bpl B_8890                        ;
B_88dc          inc $2e                           ;
B_88de          rts                               ;
S_88df          ldx $15                           ;
                ldy $1a                           ;
                jsr LR_91b1                       ; 
                stx $23                           ;
                ldy $16                           ;
                ldx $1b                           ;
                jsr S_91c4                        ;
                ldx $17                           ;
                lda T_80c8,x                      ;
                ldx $23                           ;
                rts                               ;
S_88f7          lda $1a                           ;
                cmp #$02                          ;
                bne B_893e                        ;
                lda $1b                           ;
                cmp #$02                          ;
                bne B_893e                        ;
                ldy $16                           ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $15                           ;
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$07                          ;
                bne B_893e                        ;
                lda $19                           ;
                bmi B_893e                        ;
                lda #$ff                          ;
                sec                               ;
                sbc LR_EnmyBirthCol               ;
                sta $19                           ;
                lda #$00                          ;
                sta ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                ldy $16                           ;
                sty $50                           ; lrzScreenRow  (00-0f)
                ldy $15                           ;
                sty $4f                           ; lrzScreenCol (00-1b)
                jsr S_8ee0                        ; HiddenScreenOut (4000)
                ldy $50                           ; lrzScreenRow  (00-0f)
                ldx $4f                           ; lrzScreenCol (00-1b)
                jsr S_9179                        ; RowCol2ScreenPos
                lda #$07                          ;
                jmp S_8f64                        ;
B_893e          rts                               ;
S_893f          lda $19                           ;
                bpl B_8974                        ;
                inc $19                           ;
                bne B_8974                        ;
                ldy $16                           ;
                sty $50                           ; lrzScreenRow  (00-0f)
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $15                           ;
                sty $4f                           ; lrzScreenCol (00-1b)
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$00                          ;
                bne B_8972                        ;
                lda #$07                          ;
                sta ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                jsr S_8ee0                        ; HiddenScreenOut (4000)
                ldy $50                           ; lrzScreenRow  (00-0f)
                ldx $4f                           ; lrzScreenCol (00-1b)
                jsr S_9179                        ; RowCol2ScreenPos
                lda #$07                          ;
                jmp S_8fd8                        ;
B_8972          dec $19                           ;
B_8974          rts                               ;
S_8975          inc $17                           ;
                cmp $17                           ;
                bcc B_897e                        ;
B_897b          sta $17                           ;
                rts                               ;
B_897e          cpx $17                           ;
                bcc B_897b                        ;
                rts                               ;
S_8983          lda $1a                           ;
                cmp #$02                          ;
                bcc B_8990                        ;
                beq B_8995                        ;
                dec $1a                           ;
                jmp S_88f7                        ;
B_8990          inc $1a                           ;
                jmp S_88f7                        ;
B_8995          rts                               ;
S_8996          lda $1b                           ;
                cmp #$02                          ;
                bcc B_89a3                        ;
                beq B_89a8                        ;
                dec $1b                           ;
                jmp S_88f7                        ;
B_89a3          inc $1b                           ;
                jmp S_88f7                        ;
B_89a8          rts                               ;
B_89a9          ldx LR_NoEnemy2Move               ; lrNumEnemy2Move
                lda $15                           ;
                sta LR_1260,x                     ;
                lda $16                           ;
                sta LR_1268,x                     ;
                lda $1a                           ;
                sta LR_1278,x                     ;
                lda $1b                           ;
                sta LR_1280,x                     ;
                lda $19                           ;
                sta LR_1270,x                     ;
                lda $18                           ;
                sta LR_1290,x                     ;
                lda $17                           ;
                sta LR_1288,x                     ;
                rts                               ;
S_89d0          ldx LR_NoEnemy2Move               ; lrNumEnemy2Move
                lda LR_1260,x                     ;
                sta $15                           ;
                lda LR_1268,x                     ;
                sta $16                           ;
                lda LR_1278,x                     ;
                sta $1a                           ;
                lda LR_1280,x                     ;
                sta $1b                           ;
                lda LR_1288,x                     ;
                sta $17                           ;
                lda LR_1290,x                     ;
                sta $18                           ;
                lda LR_1270,x                     ;
                sta $19                           ;
                rts                               ;
S_89f7          jsr S_8b35                        ;
                inc LR_EnmyBirthCol               ;
                lda LR_EnmyBirthCol               ;
                cmp #$1c                          ;
                bcc B_8a09                        ;
                lda #$00                          ;
                sta LR_EnmyBirthCol               ;
B_8a09          ldx #$1e                          ;
B_8a0b          lda LR_12e0,x                     ;
                stx $52                           ;
                bne B_8a15                        ;
                jmp B_8b2c                        ;
B_8a15          dec LR_12e0,x                     ;
                beq B_8a47                        ;
                lda LR_12a0,x                     ;
                sta $4f                           ; lrzScreenCol (00-1b)
                lda LR_12c0,x                     ;
                sta $50                           ; lrzScreenRow  (00-0f)
                lda LR_12e0,x                     ;
                cmp #$14                          ;
                bne B_8a3f                        ;
                lda #$37                          ;
B_8a2d          jsr S_8ee0                        ; HiddenScreenOut (4000)
                ldx $4f                           ; lrzScreenCol (00-1b)
                ldy $50                           ; lrzScreenRow  (00-0f)
                jsr S_9179                        ; RowCol2ScreenPos
                lda #$00                          ;
                jsr S_8f64                        ;
B_8a3c          jmp B_8b2c                        ;
B_8a3f          cmp #$0a                          ;
                bne B_8a3c                        ;
                lda #$38                          ;
                bne B_8a2d                        ;
B_8a47          ldx $52                           ;
                ldy LR_12c0,x                     ;
                sty $50                           ; lrzScreenRow  (00-0f)
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy LR_12a0,x                     ;
                sty $4f                           ; lrzScreenCol (00-1b)
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                cmp #$00                          ;
                bne B_8a6d                        ;
                jmp B_8b20                        ;
B_8a6d          cmp #$09                          ;
                bne B_8a74                        ;
                lsr LR_Alive                      ; lrStillAlive  (0=killed)
B_8a74          cmp #$08                          ;
                beq B_8a82                        ;
                cmp #$07                          ;
                bne B_8a7f                        ;
                dec LR_GoldToGet                  ; lrGoldToFind
B_8a7f          jmp B_8b20                        ;
B_8a82          lda #$01                          ;
                sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                sta ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                jsr S_8eda                        ; DisplayScreenOut (2000)
                lda #$01                          ;
                jsr S_8ee0                        ; HiddenScreenOut (4000)
                ldx LR_EnmyNo                     ; lrNumEnemy
B_8a93          lda LR_1260,x                     ;
                cmp $4f                           ; lrzScreenCol (00-1b)
                beq B_8a9d                        ;
                jmp B_8b1a                        ;
B_8a9d          lda LR_1268,x                     ;
                cmp $50                           ; lrzScreenRow  (00-0f)
                bne B_8b1a                        ;
                lda T_8bdb,x                      ;
                and SPENA                         ; VIC 2 - $D015 = Sprite Enable
                sta SPENA                         ; VIC 2 - $D015 = Sprite Enable
                lda LR_1270,x                     ;
                bpl B_8ab5                        ;
                dec LR_GoldToGet                  ; lrGoldToFind
B_8ab5          lda #$7f                          ;
                sta LR_1270,x                     ;
                stx LR_NoEnemy2Move               ; lrNumEnemy2Move
                jsr S_89d0                        ;
                jsr S_88df                        ;
                jsr S_8f64                        ;
                ldx LR_NoEnemy2Move               ; lrNumEnemy2Move
                ldy #$01                          ;
                sty $50                           ; lrzScreenRow  (00-0f)
B_8acd          ldy $50                           ; lrzScreenRow  (00-0f)
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy LR_EnmyBirthCol               ;
B_8adc          lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                cmp #$00                          ;
                beq B_8af5                        ;
                inc LR_EnmyBirthCol               ;
                ldy LR_EnmyBirthCol               ;
                cpy #$1c                          ;
                bcc B_8adc                        ;
                inc $50                           ; lrzScreenRow  (00-0f)
                lda #$00                          ;
                sta LR_EnmyBirthCol               ;
                beq B_8acd                        ;
B_8af5          tya                               ;
                sta LR_1260,x                     ;
                lda $50                           ; lrzScreenRow  (00-0f)
                sta LR_1268,x                     ;
                lda #$14                          ;
                sta LR_1298,x                     ;
                lda #$02                          ;
                sta LR_1280,x                     ;
                sta LR_1278,x                     ;
                lda #$00                          ;
                sta LR_1288,x                     ;
                ldy #$01                          ;
                lda #$00                          ;
                jsr S_8d09                        ; AddDisplayScore (ac=1s yr=100s)
                jmp B_8b2c                        ;
B_8b1a          dex                               ;
                beq B_8b20                        ;
                jmp B_8a93                        ;
B_8b20          lda #$01                          ;
                sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                jsr S_8eda                        ; DisplayScreenOut (2000)
                lda #$01                          ;
                jsr S_8ee0                        ; HiddenScreenOut (4000)
B_8b2c          ldx $52                           ;
                dex                               ;
                bmi B_8b34                        ;
                jmp B_8a0b                        ;
B_8b34          rts                               ;
S_8b35          ldx LR_EnmyNo                     ; lrNumEnemy
                beq B_8b34                        ;
                lda LR_NoEnemy2Move               ; lrNumEnemy2Move
                pha                               ;
B_8b3e          lda LR_1298,x                     ;
                beq B_8b88                        ;
                stx LR_NoEnemy2Move               ; lrNumEnemy2Move
                jsr S_89d0                        ;
                lda #$7f                          ;
                sta LR_1270,x                     ;
                lda LR_1260,x                     ;
                sta $4f                           ; lrzScreenCol (00-1b)
                lda LR_1268,x                     ;
                sta $50                           ; lrzScreenRow  (00-0f)
                dec LR_1298,x                     ;
                beq B_8b90                        ;
                lda LR_1298,x                     ;
                cmp #$13                          ;
                bne B_8b74                        ;
                lda #$39                          ;
                jsr S_8ee0                        ; HiddenScreenOut (4000)
                jsr S_88df                        ;
                lda #$39                          ;
                jsr S_8fd8                        ;
                jmp B_8b85                        ;
B_8b74          cmp #$0a                          ;
                bne B_8b88                        ;
                lda #$3a                          ;
                jsr S_8ee0                        ; HiddenScreenOut (4000)
                jsr S_88df                        ;
                lda #$3a                          ;
                jsr S_8fd8                        ;
B_8b85          ldx LR_NoEnemy2Move               ; lrNumEnemy2Move
B_8b88          dex                               ;
                bne B_8b3e                        ;
                pla                               ;
                sta LR_NoEnemy2Move               ; lrNumEnemy2Move
                rts                               ;
B_8b90          ldy $50                           ; lrzScreenRow  (00-0f)
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                ldx LR_NoEnemy2Move               ; lrNumEnemy2Move
                inc LR_1298,x                     ;
                ldy $4f                           ; lrzScreenCol (00-1b)
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                bne B_8b88                        ;
                lda #$08                          ;
                sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                lda #$00                          ;
                jsr S_8ee0                        ; HiddenScreenOut (4000)
                lda #$00                          ;
                jsr S_8eda                        ; DisplayScreenOut (2000)
                lda #$00                          ;
                ldx LR_NoEnemy2Move               ; lrNumEnemy2Move
                sta LR_1270,x                     ;
                sta LR_1298,x                     ;
                lda #$08                          ;
                jsr S_8eda                        ; DisplayScreenOut (2000)
                ldx LR_NoEnemy2Move               ; lrNumEnemy2Move
                lda T_8bd5,x                      ;
                ora SPENA                         ; VIC 2 - $D015 = Sprite Enable
                sta SPENA                         ; VIC 2 - $D015 = Sprite Enable
                jmp B_8b88                        ;
T_8bd5          .byte $00                                ; tab: Enable Enemy Sprites
                .byte $04
                .byte $08
                .byte $10
                .byte $40
                .byte $80
T_8bdb          .byte $00                                ; tab: Disable Enemy Sprites
                .byte $fb
                .byte $f7
                .byte $ef
                .byte $bf
                .byte $7f
S_8be1          jsr S_9289                        ; ClearDisplay20      <InitBothScreens>
                jsr S_9294                        ; ClearDisplay40
S_8be7          ldx #$22                          ;       <InitStatusLines>
                lda #$93                          ;
                sta LR_8ca7                       ;
                lda $51                           ; lrzTargetOutput  (20=2000 [display] 40=4000 [hidden])      <islSeparator>
                cmp #$40                          ;
                beq B_8c37                        ; => islSep40
                lda #$0a                          ; grafic byte left end seperation line      <islSep20>
                sta LR_3b90                       ;   left end 0
                sta LR_3b91                       ;   left end 1
                sta LR_3b92                       ;   left end 2
                sta LR_3b93                       ;   left end 3
                lda #$a0                          ; grafic byte right end seperation line
                sta LR_3ca8                       ;   right end 0
                sta LR_3ca9                       ;   right end 1
                sta LR_3caa                       ;   right end 2
                sta LR_3cab                       ;   right end 3
B_8c10          ldy #$03                          ;       <islSep20MidInit>
                lda #$aa                          ; grafic byte middle part seperation line
B_8c14          sta LR_3b98,y                     ; address modified      <islSep20Mid>
                dey                               ;
                bpl B_8c14                        ; => islSep20Mid
B_8c1a          lda LR_8c15                       ;       <islMid20Adr>
                clc                               ;
                adc #$08                          ; next position
                sta LR_8c15                       ;
                bcc B_8c28                        ; => islSep20Discount
                inc LR_8c16                       ;
B_8c28          dex                               ;       <islSep20Discount>
                bne B_8c10                        ; => islSep20MidInit
                lda #$3b                          ;       <islSep20Restore>
                sta LR_8c16                       ;
                lda #$98                          ;
                sta LR_8c15                       ;
                bne B_8c78                        ; always => islStatus
B_8c37          lda #$0a                          ; grafic byte left end seperation line      <islSep40>
                sta LR_5b90                       ;   left end 0
                sta LR_5b91                       ;   left end 1
                sta LR_5b92                       ;   left end 2
                sta LR_5b93                       ;   left end 3
                lda #$a0                          ; grafic byte right end seperation line
                sta LR_5ca8                       ;   right end 0
                sta LR_5ca9                       ;   right end 1
                sta LR_5caa                       ;   right end 2
                sta LR_5cab                       ;   right end 3
B_8c53          ldy #$03                          ;       <islSep40MidInit>
                lda #$aa                          ; grafic byte middle part seperation line
B_8c57          sta LR_5b98,y                     ; address modified      <islSep40Mid>
                dey                               ;
                bpl B_8c57                        ; => islSep40Mid
                lda LR_8c58                       ;       <islMid40Adr>
                clc                               ;
                adc #$08                          ; next position
                sta LR_8c58                       ;
                bcc B_8c6b                        ; => islSep40Discount
                inc LR_8c59                       ;
B_8c6b          dex                               ;       <islSep40Discount>
                bne B_8c53                        ; => islSep40MidInit
                lda #$5b                          ;       <islSep40Restore>
                sta LR_8c59                       ;
                lda #$98                          ;
                sta LR_8c58                       ;
B_8c78          lda #$10                          ; row 16      <islStatus>
                sta $50                           ; lrzScreenRow  (00-0f)
                lda #$00                          ; col 00
                sta $4f                           ; lrzScreenCol (00-1b)
                jsr S_8e39                        ; TextOut
                .byte $d3 ; S
                .byte $c3 ; C
                .byte $cf ; O
                .byte $d2 ; R
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $cd ; M
                .byte $c5 ; E
                .byte $ce ; N
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $cc ; L
                .byte $c5 ; E
                .byte $d6 ; V
                .byte $c5 ; E
                .byte $cc ; L
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $00 ; EndOfText
                ldy #$08                          ;
                lda #$db                          ;
B_8ca4          clc                               ;       <islStatusAdd>
                adc LR_8dbf,y                     ; address Hi modified - 93bf
                eor #$01                          ;
                dey                               ;
                bpl B_8ca4                        ; => islStatusAdd
                sta CR_13af                       ;       <>
                cmp #$d5                          ; 213
                beq B_8cb7                        ;
                inc LR_9046                       ;
B_8cb7          lda $a8                           ;       <islStatusValues>
                sta LR_8ca7                       ; restore address
                jsr S_8cc8                        ; StatusOutLives
                jsr S_8ced                        ; StatusOutLevel
                lda #$00                          ;
                tay                               ;
                jmp S_8d09                        ; AddDisplayScore (ac=1s yr=100s) - display only - no score to add
S_8cc8          lda CR_1356                       ; lrNewStatusColor      <StatusOutLives>
                bne B_8d08                        ; => islX
                lda LR_NumLives                   ; lrNumLives      <solGet>
                ldx #$10                          ;
B_8cd2          stx $4f                           ; lrzScreenCol (00-1b)      <StatusOutValue>
                jsr S_8d86                        ; Hex2Dec  (1307=100 1308=10 1309=1)
                lda #$10                          ;
                sta $50                           ; lrzScreenRow  (00-0f)
                lda LR_Digit100                   ; lrDec100
                jsr S_8da8                        ; Digits2Screen
                lda LR_Digit10                    ; lrDec10
                jsr S_8da8                        ; Digits2Screen
                lda LR_Digit1                     ; lrDec1
                jmp S_8da8                        ; Digits2Screen
S_8ced          lda LR_LevelNoGame                ; lrNumPlayLvl      <StatusOutLevel>
                ldx #$19                          ;
                bne B_8cd2                        ; always => StatusOutValue
                lda #$14                          ;       <StatusResLevel>
                sta $4f                           ; lrzScreenCol (00-1b)
                lda #$10                          ;
                sta $50                           ; lrzScreenRow  (00-0f)
                jsr S_8e39                        ; TextOut
                .byte $cc                                ; LEVEL
                .byte $c5
                .byte $d6
                .byte $c5
                .byte $cc
                .byte $00
                jmp S_8ced                        ; StatusOutLevel
B_8d08          rts                               ; islX      <>
S_8d09          clc                               ; AddDisplayScore (ac=1s yr=100s)
                sed                               ;
                adc LR_ScoreLo                    ; lrScoreLow
                sta LR_ScoreLo                    ; lrScoreLow
                tya                               ;
                adc LR_ScoreMidLo                 ; lrScoreMidLow
                sta LR_ScoreMidLo                 ; lrScoreMidLow
                lda #$00                          ;
                adc LR_ScoreMidHi                 ; lrScoreMidHigh
                sta LR_ScoreMidHi                 ; lrScoreMidHigh
                lda #$00                          ;
                adc LR_ScoreHi                    ; lrScoreHigh
                sta LR_ScoreHi                    ; lrScoreHigh
                cld                               ;
                lda #$05                          ;       <idcDisplay>
                sta $4f                           ; lrzScreenCol (00-1b)
                lda #$10                          ;
                sta $50                           ; lrzScreenRow  (00-0f)
                lda LR_ScoreHi                    ; lrScoreHigh
                jsr S_8d73                        ;
                lda LR_Digit1                     ; lrDec1
                jsr S_8da8                        ; Digits2Screen
                lda LR_ScoreMidHi                 ; lrScoreMidHigh
                jsr S_8d73                        ;
                lda LR_Digit10                    ; lrDec10
                jsr S_8da8                        ; Digits2Screen
                lda LR_Digit1                     ; lrDec1
                jsr S_8da8                        ; Digits2Screen
                lda LR_ScoreMidLo                 ; lrScoreMidLow
                jsr S_8d73                        ;
                lda LR_Digit10                    ; lrDec10
                jsr S_8da8                        ; Digits2Screen
                lda LR_Digit1                     ; lrDec1
                jsr S_8da8                        ; Digits2Screen
                lda LR_ScoreLo                    ; lrScoreLow
                jsr S_8d73                        ;
                lda LR_Digit10                    ; lrDec10
                jsr S_8da8                        ; Digits2Screen
                lda LR_Digit1                     ; lrDec1
                jmp S_8da8                        ; Digits2Screen
S_8d73          sta LR_Digit10                    ; lrDec10
                and #$0f                          ;
                sta LR_Digit1                     ; lrDec1
                lda LR_Digit10                    ; lrDec10
                lsr a                             ;
                lsr a                             ;
                lsr a                             ;
                lsr a                             ;
                sta LR_Digit10                    ; lrDec10
                rts                               ; idcX
S_8d86          ldx #$00                          ; Hex2Dec  (1307=100 1308=10 1309=1)
                stx LR_Digit10                    ; lrDec10
                stx LR_Digit100                   ; lrDec100
B_8d8e          cmp #$64                          ; 100      <h2d100>
                bcc B_8d99                        ; => h2d10
                inc LR_Digit100                   ; lrDec100 - count number of hundreds
                sbc #$64                          ;
                bne B_8d8e                        ; => h2d100 - try for the next 100
B_8d99          cmp #$0a                          ; 10      <h2d10>
                bcc B_8da4                        ; => h2d1
                inc LR_Digit10                    ; lrDec10 - count number of tens
                sbc #$0a                          ;
                bne B_8d99                        ; => h2d10 - try fr the next 10
B_8da4          sta LR_Digit1                     ; lrDec1 - count ones      <h2d1>
                rts                               ;
S_8da8          clc                               ; Digits2Screen
                adc #$3b                          ;
                ldx $51                           ; lrzTargetOutput  (20=2000 [display] 40=4000 [hidden])
T_8dad          cpx #$40                          ;
                beq B_8db7                        ; => d2s40
                jsr S_8eda                        ; DisplayScreenOut (2000)      <d2s20>
                inc $4f                           ; lrzScreenCol (00-1b)
                rts                               ;
B_8db7          jsr S_8ee0                        ; HiddenScreenOut (4000) <d2s40>
                inc $4f                           ; lrzScreenCol (00-1b)
                rts                               ;
B_8dbd          sec                               ;
                sbc #$75                          ;
                rts                               ;
S_8dc1          cmp #$b0                          ;
                bcc B_8dc9                        ;
T_8dc5          cmp #$ba                          ;
                bcc B_8dbd                        ;
B_8dc9          cmp #$c1                          ;
                bcc B_8dd1                        ;
                cmp #$db                          ;
                bcc B_8dff                        ;
B_8dd1          ldx #$7c                          ;
                cmp #$a0                          ;
                beq B_8dfe                        ;
T_8dd7          ldx #$db                          ;
                cmp #$be                          ;
                beq B_8dfe                        ;
                inx                               ;
                cmp #$ae                          ;
                beq B_8dfe                        ;
                inx                               ;
                cmp #$a8                          ;
                beq B_8dfe                        ;
                inx                               ;
                cmp #$a9                          ;
                beq B_8dfe                        ;
                inx                               ;
                cmp #$af                          ;
                beq B_8dfe                        ;
                inx                               ;
                cmp #$ad                          ;
                beq B_8dfe                        ;
                inx                               ;
                cmp #$bc                          ;
                beq B_8dfe                        ;
                lda #$10                          ;
                rts                               ;
B_8dfe          txa                               ;
B_8dff          sec                               ;
                sbc #$7c                          ;
                rts                               ;
S_8e03          cmp #$8d                          ;
                beq S_8e1c                        ; => NextScreenPos
                jsr S_8dc1                        ;
                ldx $51                           ; lrzTargetOutput  (20=2000 [display] 40=4000 [hidden])
                cpx #$40                          ;
                beq B_8e16                        ;
                jsr S_8eda                        ; DisplayScreenOut (2000)
                inc $4f                           ; lrzScreenCol (00-1b)
                rts                               ;
B_8e16          jsr S_8ee0                        ; HiddenScreenOut (4000)
                inc $4f                           ; lrzScreenCol (00-1b)
                rts                               ;
S_8e1c          inc $50                           ; lrzScreenRow  (00-0f) <NextScreenPos>
                lda #$00                          ;
                sta $4f                           ; lrzScreenCol (00-1b)
                rts                               ;
S_8e23          sta $50                           ; lrzScreenRow  (00-0f)
                lda #$00                          ;
                sta $4f                           ; lrzScreenCol (00-1b)
                lda #$1c                          ;
                sta LR_GfxAddHi                   ;
B_8e2e          lda #$a0                          ;
                jsr S_8e03                        ;
                dec LR_GfxAddHi                   ;
                bne B_8e2e                        ;
                rts                               ;
S_8e39          pla                               ; TextOut
                sta $13                           ;
                pla                               ;
                sta $14                           ;
                bne B_8e4a                        ; => toNextPos
B_8e41          ldy #$00                          ;       <toGet>
                lda ($13),y                       ;
                beq B_8e52                        ; <end_of_text> => toRet
                jsr S_8e03                        ;
B_8e4a          inc $13                           ;       <toNextPos>
                bne B_8e41                        ; => toGet
                inc $14                           ;
                bne B_8e41                        ; => toGet
B_8e52          lda $14                           ; actual text pointer       <toRet>
                pha                               ;
                lda $13                           ; as return address
                pha                               ;
                rts                               ; toX
S_8e59          sei                               ;
                lda #$60                          ;
                sta FREHI1                        ; SID - $D401 = Oscillator 1 Frequency Control (High Byte)
                ldy #$38                          ;
                ldx #$00                          ;
B_8e63          dex                               ;
                bne B_8e63                        ;
                dey                               ;
                bne B_8e63                        ;
                sty FREHI1                        ; SID - $D401 = Oscillator 1 Frequency Control (High Byte)
                cli                               ;
                rts                               ;
S_8e6e          sta LR_WaitTimeHi                 ;
B_8e71          lda #$00                          ;
                sta CR_1321                       ;
                lda #$0a                          ;
                sta LR_WaitTimeLo                 ;
                lda #$00                          ;
                ldx LR_WaitTimeHi                 ;
                bne B_8e84                        ;
                lda #$0a                          ;
B_8e84          jsr S_8eda                        ; DisplayScreenOut (2000)
B_8e87          jsr S_8ec1                        ; => ChkUserAction (carry set= yes/carry clear = no)
                bcs B_8eb8                        ;
                dec CR_1321                       ;
                bne B_8e87                        ;
                dec LR_WaitTimeLo                 ;
                bne B_8e87                        ;
                lda LR_WaitTimeHi                 ;
                jsr S_8eda                        ; DisplayScreenOut (2000)
                lda #$00                          ;
                sta CR_1321                       ;
                lda #$0a                          ;
                sta LR_WaitTimeLo                 ;
B_8ea6          jsr S_8ec1                        ; => ChkUserAction (carry set= yes/carry clear = no)
                bcs B_8eb8                        ;
                dec CR_1321                       ;
                bne B_8ea6                        ;
                dec LR_WaitTimeLo                 ;
                bne B_8ea6                        ;
                jmp B_8e71                        ;
B_8eb8          pha                               ;
                lda LR_WaitTimeHi                 ;
                jsr S_8eda                        ; DisplayScreenOut (2000)
                pla                               ;
                rts                               ;
S_8ec1          lda CIAPRA                        ; CIA 1 - $DC00 = Data Port A <ChkUserAction>
                and #$0f                          ;
                eor #$0f                          ;
                bne B_8ed8                        ; => cuaYes
                lda CIAPRA                        ; CIA 1 - $DC00 = Data Port A
                and #$10                          ;
                beq B_8ed8                        ; => cuaYes
                lda LR_KeyNew                     ; lrNewKey
                bne B_8ed8                        ; => cuaYes
                clc                               ;
                rts                               ; cuaNo
B_8ed8          sec                               ; cuaYes
                rts                               ;
S_8eda          sta $23                           ; DisplayScreenOut (2000)
                lda #$20                          ;
                bne B_8ee4                        ;
S_8ee0          sta $23                           ;       <HiddenScreenOut (4000)>
                lda #$40                          ;
B_8ee4          sta $24                           ;       <ScreenOut>
                ldy $50                           ; lrzScreenRow  (00-0f)
                ldx $4f                           ; lrzScreenCol (00-1b)
                jsr S_9179                        ; RowCol2ScreenPos
                sty $20                           ;
                jsr S_90a1                        ;
                jsr S_921d                        ;
                stx $41                           ;
                lda T_8f5c,x                      ;
                sta $25                           ;
                lda T_8f60,x                      ;
                sta $26                           ;
                jsr S_903d                        ;
                lda #$0b                          ;
                sta $22                           ;
                ldx #$00                          ;
                lda $41                           ;
                cmp #$05                          ;
                bcs B_8f33                        ;
B_8f10          ldy $20                           ;
                jsr S_924c                        ;
                ldy #$00                          ;
                lda ($0f),y                       ;
                and $25                           ;
                ora $5b,x                         ;
                sta ($0f),y                       ;
                inx                               ;
                ldy #$08                          ;
                lda ($0f),y                       ;
                and $26                           ;
                ora $5b,x                         ;
                sta ($0f),y                       ;
                inx                               ;
                inx                               ;
                inc $20                           ;
                dec $22                           ;
                bne B_8f10                        ;
                rts                               ; soX
B_8f33          ldy $20                           ;
                jsr S_924c                        ;
                ldy #$00                          ;
                lda ($0f),y                       ;
                and $25                           ;
                ora $5b,x                         ;
                sta ($0f),y                       ;
                inx                               ;
                ldy #$08                          ;
                lda $5b,x                         ;
                sta ($0f),y                       ;
                inx                               ;
                ldy #$10                          ;
                lda ($0f),y                       ;
                and $26                           ;
                ora $5b,x                         ;
                sta ($0f),y                       ;
                inx                               ;
                inc $20                           ;
                dec $22                           ;
                bne B_8f33                        ;
                rts                               ;
T_8f5c          .byte $00
                .byte $c0
                .byte $f0
                .byte $fc
T_8f60          .byte $3f
                .byte $0f
                .byte $03
                .byte $00
S_8f64          sty $20                           ;
                sta $23                           ;
                jsr S_921d                        ;
                sta $21                           ;
                stx $41                           ;
                jsr S_903d                        ;
                ldx #$0b                          ;
                stx $22                           ;
                ldx #$00                          ;
                lda $41                           ;
                cmp #$05                          ;
                bcs B_8fa5                        ;
B_8f7e          ldy $20                           ;
                jsr S_926f                        ;
                ldy #$00                          ;
                lda $5b,x                         ;
                eor #$ff                          ;
                and ($0f),y                       ;
                ora ($11),y                       ;
                sta ($0f),y                       ;
                inx                               ;
                ldy #$08                          ;
                lda $5b,x                         ;
                eor #$ff                          ;
                and ($0f),y                       ;
                ora ($11),y                       ;
                sta ($0f),y                       ;
                inx                               ;
                inx                               ;
                inc $20                           ;
                dec $22                           ;
                bne B_8f7e                        ;
                rts                               ;
B_8fa5          ldy $20                           ;
                jsr S_926f                        ;
                ldy #$00                          ;
                lda $5b,x                         ;
                eor #$ff                          ;
                and ($0f),y                       ;
                ora ($11),y                       ;
                sta ($0f),y                       ;
                inx                               ;
                ldy #$08                          ;
                lda $5b,x                         ;
                eor #$ff                          ;
                and ($0f),y                       ;
                ora ($11),y                       ;
                sta ($0f),y                       ;
                inx                               ;
                ldy #$10                          ;
                lda $5b,x                         ;
                eor #$ff                          ;
                and ($0f),y                       ;
                ora ($11),y                       ;
                sta ($0f),y                       ;
                inx                               ;
                inc $20                           ;
                dec $22                           ;
                bne B_8fa5                        ;
                rts                               ;
S_8fd8          sty $20                           ;
                sta $23                           ;
                jsr S_90a1                        ;
                jsr S_921d                        ;
                sta $21                           ;
                stx $41                           ;
                jsr S_903d                        ;
                lda #$0b                          ;
                sta $22                           ;
                ldx #$00                          ;
                stx $27                           ;
                lda $41                           ;
                cmp #$05                          ;
                bcs B_9016                        ;
B_8ff7          ldy $20                           ;
                jsr S_926f                        ;
                ldy #$00                          ;
                lda $5b,x                         ;
                ora ($0f),y                       ;
                sta ($0f),y                       ;
                inx                               ;
                ldy #$08                          ;
T_9007          lda $5b,x                         ;
                ora ($0f),y                       ;
                sta ($0f),y                       ;
                inx                               ;
                inx                               ;
                inc $20                           ;
                dec $22                           ;
                bne B_8ff7                        ;
                rts                               ;
B_9016          ldy $20                           ;
                jsr S_926f                        ;
                ldy #$00                          ;
                lda $5b,x                         ;
                ora ($0f),y                       ;
                sta ($0f),y                       ;
                inx                               ;
                ldy #$08                          ;
                lda $5b,x                         ;
                ora ($0f),y                       ;
                sta ($0f),y                       ;
                inx                               ;
                ldy #$10                          ;
                lda $5b,x                         ;
                ora ($0f),y                       ;
                sta ($0f),y                       ;
                inx                               ;
                inc $20                           ;
                dec $22                           ;
                bne B_9016                        ;
                rts                               ;
S_903d          lda #$0b                          ;
                sta $22                           ;
                lda #$00                          ;
                sta $0d                           ;
                lda #$a8                          ;
                sta $0e                           ;
                ldy T_909d,x                      ;
                sty LR_9062                       ;
                sty LR_907e                       ;
                iny                               ;
                sty LR_9067                       ;
                sty LR_9085                       ;
                ldx #$00                          ;
B_905b          ldy $23                           ;
                lda ($0d),y                       ;
                tay                               ;
                lda T_a000,y                      ;
                sta $5b,x                         ;
                lda T_a000,y                      ;
                sta $5c,x                         ;
                lda $0d                           ;
                clc                               ;
                adc #$68                          ;
                sta $0d                           ;
                lda $0e                           ;
                adc #$00                          ;
                sta $0e                           ;
                ldy $23                           ;
                lda ($0d),y                       ;
                tay                               ;
                lda T_a000,y                      ;
                ora $5c,x                         ;
                sta $5c,x                         ;
                lda T_a000,y                      ;
                sta $5d,x                         ;
                lda $0d                           ;
                clc                               ;
                adc #$68                          ;
                sta $0d                           ;
                lda $0e                           ;
                adc #$00                          ;
                sta $0e                           ;
                inx                               ;
                inx                               ;
                inx                               ;
                dec $22                           ;
                bne B_905b                        ;
                rts                               ;
T_909d          ldy #$a2                          ;
                ldy $a6                           ;
S_90a1          lda LR_SprtPosCtrl                ;
                bne B_90ee                        ; => rts
                lda $23                           ;
                cmp #$39                          ;
                bcs B_90ee                        ; => rts
                tay                               ;
                lda T_90ff,y                      ;
                bmi B_90ee                        ; => rts
                beq B_90b6                        ;
                sta $23                           ;
B_90b6          stx $21                           ;
                jsr S_9138                        ;
                lda $21                           ;
                clc                               ;
                adc #$0c                          ;
                asl a                             ;
                and #$f8                          ;
                sta SP0X,x                        ; VIC 2 - $D000 = Sprite 0 PosX (Bits 70 - Bit 8 is stored in MSIGX = $D010)
                bcc B_90d4                        ;
                lda T_90ef,x                      ;
                ora MSIGX                         ; VIC 2 - $D010 = MSBs Sprites 0-7 PosX
                sta MSIGX                         ; VIC 2 - $D010 = MSBs Sprites 0-7 PosX
                jmp B_90dd                        ;
B_90d4          lda LR_90f0,x                     ;       <>
                and MSIGX                         ; VIC 2 - $D010 = MSBs Sprites 0-7 PosX
                sta MSIGX                         ; VIC 2 - $D010 = MSBs Sprites 0-7 PosX
B_90dd          lda $20                           ;       <>
                clc                               ;
                adc #$32                          ;
                sta SP0Y,x                        ; VIC 2 - $D001 = Sprite 0 PosY
                lda SPSPCL                        ; VIC 2 - $D01E = Sprite/Sprite Collision
B_90e8          and #$01                          ;
                sta $27                           ;
                pla                               ;
                pla                               ;
B_90ee          rts                               ;
T_90ef          .byte $01
                .byte $fe
                .byte $02
                .byte $fd
                .byte $04
                .byte $fb
                .byte $08
                .byte $f7
                .byte $10
                .byte $ef
                .byte $20
                .byte $df
                .byte $40
                .byte $bf
                .byte $80
                .byte $7f
T_90ff          .byte $ff
                .byte $ff
                .byte $ff
                .byte $ff
                .byte $ff
                .byte $ff
                .byte $ff
                .byte $ff
                .byte $0b
                .byte $00
                .byte $ff
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $ff
                .byte $ff
                .byte $ff
                .byte $ff
                .byte $ff
                .byte $ff
                .byte $ff
                .byte $ff
                .byte $ff
                .byte $ff
                .byte $00
                .byte $ff
                .byte $ff
                .byte $09
                .byte $10
                .byte $11
                .byte $0c
                .byte $0d
                .byte $15
                .byte $16
                .byte $17
                .byte $18
                .byte $19
                .byte $1a
                .byte $0e
                .byte $12
                .byte $14
                .byte $13
                .byte $ff
                .byte $ff
S_9138          pha                               ;
                lda $21                           ;
                and #$03                          ;
                tax                               ;
                jsr S_903d                        ;
                pla                               ;
                beq B_9147                        ;
                lda LR_NoEnemy2Move               ; lrNumEnemy2Move
B_9147          tax                               ;
                lda T_9167,x                      ;
                sta LR_915e                       ;
                lda T_916d,x                      ;
                sta LR_915f                       ;
                lda LR_9173,x                     ;
                tax                               ;
                ldy #$20                          ;
B_915a          lda $005b,y                       ;
T_915d          sta T_915d,y                      ;
                dey                               ;
                bpl B_915a                        ;
                txa                               ;
                asl a                             ;
                tax                               ;
                rts                               ;
T_9167          .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
T_916d          .byte $0c
                .byte $0c
                .byte $0c
                .byte $0c
                .byte $0d
                .byte $0d
                .byte $00
                .byte $02
                .byte $03
                .byte $04
                .byte $06
                .byte $07
S_9179          lda T_9184,y                      ; tab: Row2Screen      <RowCol2ScreenPos>
                pha                               ;
                lda T_9195,x                      ; tab: Col2Screen
                tax                               ;
                pla                               ;
                tay                               ;
                rts                               ; rc2spX
T_9184          .byte $00
                .byte $0b
                .byte $16
                .byte $21
                .byte $2c
                .byte $37
                .byte $42
                .byte $4d
                .byte $58
                .byte $63
                .byte $6e
                .byte $79
                .byte $84
                .byte $8f
                .byte $9a
                .byte $a5
                .byte $b5
T_9195          .byte $0a
                .byte $0f
                .byte $14
                .byte $19
                .byte $1e
                .byte $23
                .byte $28
                .byte $2d
                .byte $32
                .byte $37
                .byte $3c
                .byte $41
                .byte $46
                .byte $4b
                .byte $50
                .byte $55
                .byte $5a
                .byte $5f
                .byte $64
                .byte $69
                .byte $6e
                .byte $73
                .byte $78
                .byte $7d
                .byte $82
                .byte $87
                .byte $8c
                .byte $91
                .byte $98
                pha
                jsr S_9179
                pla
                tay
                txa
                clc
                adc T_91bf,y
                tax
                rts
T_91bf          .byte $fe
                .byte $ff
                .byte $00
                .byte $01
                .byte $02
S_91c4          txa                               ;
                pha                               ;
                jsr S_9179                        ;
                pla                               ;
                tax                               ;
                tya                               ;
                clc                               ;
                adc T_91d2,x
                tay
                rts
T_91d2          .byte $fb
                .byte $fd
                .byte $00
                .byte $02
                .byte $04
                .byte $bd
                .byte $e1
                .byte $91
                .byte $48
                .byte $bd
                .byte $ff
                .byte $91
                .byte $aa
                .byte $68
                .byte $60
T_91e1          .byte $02
                .byte $03
                .byte $05
                .byte $06
                .byte $07
                .byte $08
                .byte $0a
                .byte $0b
                .byte $0c
                .byte $0d
                .byte $0f
                .byte $10
                .byte $11
                .byte $12
                .byte $14
                .byte $15
                .byte $16
                .byte $17
                .byte $19
                .byte $1a
                .byte $1b
                .byte $1c
                .byte $1e
                .byte $1f
                .byte $20
T_91fa          .byte $21
                .byte $23
                .byte $24
                .byte $25
                .byte $26
                .byte $02
                .byte $03
                .byte $00
                .byte $01
                .byte $02
                .byte $03
                .byte $00
                .byte $01
                .byte $02
                .byte $03
                .byte $00
                .byte $01
                .byte $02
                .byte $03
                .byte $00
                .byte $01
                .byte $02
                .byte $03
                .byte $00
                .byte $01
                .byte $02
                .byte $03
                .byte $00
                .byte $01
                .byte $02
                .byte $03
                .byte $00
                .byte $01
                .byte $02
                .byte $03
S_921d          lda #$00
                sta LR_GfxAddLo
                txa
                pha
                and #$03
                tax
                pla
                asl a
                rol LR_GfxAddLo
                and #$f8
                sta LR_DisplayChr
                rts
S_9232          lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                rts                               ;
S_9244          lda #$00                          ;
T_9246          sta LR_DisplayChr                 ;
                sta LR_GfxAddLo                   ;
S_924c          lda LR_TabOffHiresLo,y            ;
                clc                               ;
                adc LR_DisplayChr                 ;
                sta $0f                           ;
                lda LR_TabOffHiresHi,y            ;
                adc LR_GfxAddLo                   ;
                ora $24                           ;
                sta $10                           ;
                rts                               ;
                lda #$00                          ;
                sta LR_GfxAddLo                   ;
                txa                               ;
                asl a                             ;
                asl a                             ;
                asl a                             ;
                rol LR_GfxAddLo                   ;
                sta LR_DisplayChr                 ;
S_926f          lda LR_TabOffHiresLo,y            ;
                clc                               ;
                adc LR_DisplayChr                 ;
                sta $0f                           ;
                sta $11                           ;
                lda LR_TabOffHiresHi,y            ;
                adc LR_GfxAddLo                   ;
                ora #$20                          ;
                sta $10                           ;
                eor #$60                          ;
                sta $12                           ;
                rts                               ;
S_9289          lda #$20                          ;  ClearDisplay20
                ldx #$00                          ;
                stx SPENA                         ;  VIC 2 - $D015 = Sprite Enable
                ldx #$40                          ;  2000-4000
                bne B_9298                        ;  always => ClearDisplay
S_9294          lda #$40                          ;  4000-6000      <ClearDisplay40>
                ldx #$60                          ;
B_9298          sta $10                           ;        <ClearDisplay>
                ldy #$00                          ;
                sty $0f                           ;
                tya                               ;
B_929f          sta ($0f),y                       ;        <cdLoop>
                iny                               ;
                bne B_929f                        ;  => cdLoop      <>
                inc $10                           ;
                cpx $10                           ;
                bne B_929f                        ;  => cdLoop
T_92aa          rts                               ;  cdX
T_92ab          .byte $00
T_92ac          .byte $1c
                .byte $38
                .byte $54
                .byte $70
                .byte $8c
                .byte $a8
                .byte $c4
                .byte $e0
                .byte $00
                .byte $1c
                .byte $38
                .byte $54
                .byte $70
                .byte $8c
T_92ba          .byte $a8
T_92bb          .byte $08
T_92bc          .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $09
                .byte $09
                .byte $09
                .byte $09
                .byte $09
                .byte $09
                .byte $09
                .byte $0a
T_92cc          .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0b
S_92db          lda #$00                          ;       <SecretLaddersOut>
                sta LR_DynValueTab                ;
                ldx LR_NumXitLadders              ; lrNumSecrtLadder
                stx T_934a                        ; NumSecretLadders
B_92e6          ldx T_934a                        ; NumSecretLadders      <sloNext>
                beq B_9341                        ; => sloReturn
                lda LR_DynValueTab,x              ;
                bmi B_933b                        ; already shown => sloDec
                sta $4f                           ; lrzScreenCol (00-1b)
                lda LR_1230,x                     ;
                sta $50                           ; lrzScreenRow  (00-0f)
                tay                               ;
                lda T_92ab,y                      ; tab: LoRow2PlayLvlDat
                sta $09                           ; lrzLoPlayLvlDat (0800-09c3)
                sta $0b                           ; lrzLoPlayLvlDat (0a00-0bc3)
                lda T_92bb,y                      ; tab: HiRow2PlayLvlDat (0800-09c3)
                sta $0a                           ; lrzHiPlayLvlDat (0800-09c3)
                lda LR_92cb,y                     ; tab: HiRow2PlayLvlDat (0a00-0bc3)
                sta $0c                           ; lrzHiPlayLvlDat (0a00-0bc3)
                ldy $4f                           ; lrzScreenCol (00-1b)
                lda ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                bne B_9336                        ; not empty => sloSet (Gold)
                lda #$03                          ; lrdLadder
                sta ($0b),y                       ; lrzVecPlayLvlDat (0a00-0bc3)
                lda ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
                bne B_931b                        ; => slo2Display
                lda #$03                          ; lrdLadder
                sta ($09),y                       ; lrzVecPlayLvlDat (0800-09c3)
B_931b          lda #$03                          ; lrdLadder      <slo2Display>
                jsr S_8ee0                        ; HiddenScreenOut (4000)
                ldx $4f                           ; lrzScreenCol (00-1b)
                ldy $50                           ; lrzScreenRow  (00-0f)
                jsr S_9179                        ; RowCol2ScreenPos
                lda #$03                          ; lrdLadder
                jsr S_8fd8                        ;
                ldx T_934a                        ; NumSecretLadders
                lda #$ff                          ;
                sta LR_DynValueTab,x              ; mark as shown
                bmi B_933b                        ; always => sloDec
B_9336          lda #$01                          ;       <sloSet (gold)>
                sta LR_DynValueTab                ;
B_933b          dec T_934a                        ; NumSecretLadders      <sloDec>
                jmp B_92e6                        ; => sloNext
B_9341          lda LR_DynValueTab                ;       <sloReturn>
                bne B_9349                        ; => sloX
                dec LR_GoldToGet                  ; lrGoldToFind      <>
B_9349          rts                               ; sloX
T_934a          brk                               ; NumSecretLadders
S_934b          lda LR_KeyNew                     ; lrNewKey      <>
                beq S_934b                        ;
                ldx #$00                          ;
                stx LR_KeyNew                     ; lrNewKey
                rts                               ;
S_9356          lda #$02                          ; 2, 8, 2 <DiskFiddling>
                ldx #$08                          ;
                ldy #$02                          ;
                jsr SETLFS                        ; KERNAL - $FFBA = Set Logical File Parameters
                ldx #$bc                          ; <name1:  #0<enter>
                ldy #$93                          ; >name1:  #0<enter>
                lda #$03                          ; length name1
                jsr SETNAM                        ; KERNAL - $FFBD = Set Filename Parameters
                jsr OPEN                          ; KERNAL - $FFC0 = Open a Logical File
                lda #$01                          ; 1, 8, 15
                ldx #$08                          ;
                ldy #$0f                          ;
                jsr SETLFS                        ; KERNAL - $FFBA = Set Logical File Parameters
                ldx #$bf                          ; <name2
                ldy #$93                          ; >name2
                lda #$0e                          ; length name2
                jsr SETNAM                        ; KERNAL - $FFBD = Set Filename Parameters
                jsr OPEN                          ; KERNAL - $FFC0 = Open a Logical File
                lda #$01                          ;
                jsr CLOSE                         ; KERNAL - $FFC3 = Close a Logical File
                lda #$02                          ;
                jsr CLOSE                         ; KERNAL - $FFC3 = Close a Logical File
                jsr CLALL                         ; KERNAL - $FFE7 = Close all Files
                lda #$01                          ; 1,8,15
                ldx #$08                          ;
                ldy #$0f                          ;
                jsr SETLFS                        ; KERNAL - $FFBA = Set Logical File Parameters
                lda #$07                          ; length name3
                ldx #$ce                          ; <name3
                ldy #$93                          ; >name3
                jsr SETNAM                        ; KERNAL - $FFBD = Set Filename Parameters
                jsr OPEN                          ; KERNAL - $FFC0 = Open a Logical File
                ldx #$01                          ;
                jsr CHKIN                         ; KERNAL - $FFC6 = Define an Input Channel
                ldy #$00                          ;
B_93a9          jsr CHRIN                         ; KERNAL - $FFCF = Input a Character <dfGet>
                nop                               ;
                nop                               ;
                nop                               ;
                iny                               ;
                cpy #$10                          ;
                bne B_93a9                        ; => dfGet
                lda #$01                          ;
                jsr CLOSE                         ; KERNAL - $FFC3 = Close a Logical File
                jmp CLALL                         ; KERNAL - $FFE7 = Close all Files
                .byte $23 ; name1: #0
                .byte $30 ; 
                .byte $0d ; <enter>
                .byte $05 ; name2
                .byte $74 ; 
                .byte $05 ; 
                .byte $74 ; 
                .byte $09 ; 
                .byte $74 ; 
                .byte $09 ; 
                .byte $74 ; 
                .byte $0d ; <enter>
                .byte $0d ; <enter>
                .byte $0d ; <enter>
                .byte $0d ; <enter>
                .byte $0d ; <enter>
                .byte $0d ; <enter>
                .byte $0d ; <enter>
                .byte $0d ; <enter>
                .byte $2d ; name 3
                .byte $52 ; 
                .byte $c0 ; 
                .byte $03 ; 
                .byte $08 ; 
                .byte $0d ; <enter>
                .byte $00 ; EndOfText
                lda #$01                          ; fastest      <FlipSign>
                sta LR_95f6                       ; fsSpeed
                lda #$20                          ;
                sta $24                           ;
B_93df          jsr S_948b                        ;       <sfLoop>
                jsr S_947a                        ;
                jsr S_9469                        ;
                jsr S_9458                        ;
                jsr S_9447                        ;
                jsr S_9436                        ;
                jsr S_9447                        ;
                jsr S_9458                        ;
                jsr S_9469                        ;
                jsr S_947a                        ;
                jsr S_948b                        ;
                jsr S_94e0                        ;
                jsr S_94cf                        ;
                jsr S_94be                        ;
                jsr S_94ad                        ;
                jsr S_949c                        ;
                jsr S_94ad                        ;
                jsr S_94be                        ;
                jsr S_94cf                        ;
                jsr S_94e0                        ;
                lda T_95f6                        ; fsSpeed
                cmp #$64                          ; slowest
                bcc B_93df                        ; => sfLoop
                jsr S_948b                        ;
                jsr S_947a                        ;
                jsr S_9469                        ;
                jsr S_9458                        ;
                jsr S_9447                        ;
                jsr S_9436                        ;
                clc                               ;
                rts                               ; sfX
S_9436          jsr LR_958b                       ; FlipSignOut
                .byte $00        
                .byte $01 
                .byte $02     
                .byte $03        
                .byte $04        
                .byte $05 
                .byte $06     
                .byte $07        
                .byte $08        
                .byte $09 
                .byte $0a     
                .byte $02        
                .byte $01 
                .byte $00     
S_9447          jsr LR_958b                        ; FlipSignOut
                .byte $00        
                .byte $00        
                .byte $01 
                .byte $02     
                .byte $03        
                .byte $04        
                .byte $05 
                .byte $07     
                .byte $09 
                .byte $0a     
                .byte $02        
                .byte $01 
                .byte $00     
                .byte $00        
S_9458          jsr LR_958b                       ; FlipSignOut
                .byte $00       
                .byte $00        
                .byte $00        
                .byte $01 
                .byte $02     
                .byte $03        
                .byte $04        
                .byte $09 
                .byte $0a     
                .byte $02        
                .byte $01 
                .byte $00     
                .byte $00        
                .byte $00        
S_9469          jsr LR_958b                         ; FlipSignOut
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $01 
                .byte $02     
                .byte $03        
                .byte $0a        
                .byte $02        
                .byte $01 
                .byte $00     
                .byte $00        
                .byte $00        
                .byte $00        
S_947a          jsr LR_958b                         ; FlipSignOut
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $01 
                .byte $03     
                .byte $0a        
                .byte $01 
                .byte $00     
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
S_948b          jsr LR_958b                         ; FlipSignOut
                .byte $00        
                .byte $00        
T_9490          .byte $00       
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $01 
                .byte $01     
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
S_949c          jsr LR_958b                         ; FlipSignOut
                .byte $00        
                .byte $01 
                .byte $02     
                .byte $0a        
                .byte $09 
                .byte $08     
                .byte $07        
                .byte $06 
                .byte $05     
                .byte $04        
                .byte $03        
                .byte $02        
                .byte $01 
                .byte $00     
S_94ad          jsr LR_958b                          ; FlipSignOut
                .byte $00        
                .byte $00        
                .byte $01 
                .byte $02     
                .byte $0a        
                .byte $09 
                .byte $07     
                .byte $05 
                .byte $04     
                .byte $03        
                .byte $02        
                .byte $01 
                .byte $00     
                .byte $00        
S_94be          jsr LR_958b                         ; FlipSignOut
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $01 
                .byte $02     
                .byte $0a        
                .byte $09 
                .byte $04     
                .byte $03        
                .byte $02        
                .byte $01 
                .byte $00     
                .byte $00        
                .byte $00        
S_94cf          jsr LR_958b                         ; FlipSignOut
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $01 
                .byte $02     
                .byte $0a        
                .byte $03        
                .byte $02        
                .byte $01 
                .byte $00     
                .byte $00        
                .byte $00        
                .byte $00        
S_94e0          jsr LR_958b                         ; FlipSignOut
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $01 
                .byte $0a     
                .byte $03        
                .byte $01 
                .byte $00     
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $0a        
                .byte $aa        
                .byte $aa        
                .byte $aa        
                .byte $aa        
                .byte $aa        
                .byte $aa        
                .byte $aa        
                .byte $aa        
                .byte $aa        
                .byte $aa        
                .byte $80        
                .byte $20 
                .byte $00 
                .byte $00  
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $20 
                .byte $22 
                .byte $a8  
                .byte $a8        
                .byte $aa        
                .byte $8a        
                .byte $a0 
                .byte $2a     
                .byte $8a        
                .byte $22        
                .byte $a8        
                .byte $aa        
                .byte $20 
                .byte $22 
                .byte $08  
                .byte $88        
                .byte $a8        
                .byte $8a        
                .byte $00        
                .byte $22        
                .byte $8a        
                .byte $22        
                .byte $a8        
                .byte $82        
                .byte $20 
                .byte $22 
                .byte $00  
                .byte $88        
                .byte $88        
                .byte $8a        
                .byte $00        
                .byte $22        
                .byte $8a        
                .byte $22        
                .byte $80        
T_9537          .byte $82       
                .byte $20 
                .byte $22 
                .byte $00  
                .byte $88        
                .byte $88        
                .byte $8a        
                .byte $a0 
                .byte $22     
                .byte $8a        
                .byte $22        
                .byte $a0 
                .byte $aa     
                .byte $20 
                .byte $22 
                .byte $28  
                .byte $a8        
                .byte $88        
                .byte $8a        
                .byte $a0 
                .byte $20     
                .byte $8a        
                .byte $22        
                .byte $00        
                .byte $a8        
                .byte $20 
                .byte $22 
                .byte $08  
                .byte $88        
                .byte $88        
                .byte $88        
                .byte $00        
                .byte $20 
                .byte $8a 
                .byte $a2  
                .byte $00        
                .byte $a8        
                .byte $20 
                .byte $22 
                .byte $08  
                .byte $88        
                .byte $88        
                .byte $88        
                .byte $00        
                .byte $20 
                .byte $82 
                .byte $82  
                .byte $00        
                .byte $a2 
                .byte $20     
                .byte $22        
                .byte $a8        
                .byte $88        
                .byte $88        
                .byte $8a        
                .byte $a0 
                .byte $2a     
                .byte $82        
                .byte $02        
                .byte $a8        
                .byte $a2 
                .byte $20     
T_9575          .byte $e3       
T_9576          .byte $94 
                .byte $ef    
                .byte $94 
                .byte $fb     
                .byte $94 
                .byte $07     
                .byte $95 
                .byte $13     
                .byte $95 
                .byte $1f     
                .byte $95 
                .byte $2b     
                .byte $95 
                .byte $37     
                .byte $95 
                .byte $43     
                .byte $95 
                .byte $4f     
                .byte $95 
                .byte $5b     
                .byte $95
                pla                               ;       <FlipSignOut>
                sta $0d                           ;
                pla                               ;
                sta $0e                           ;
                ldy #$50                          ;
                sty $50                           ; lrzScreenRow  (00-0f)
                bne B_95cc                        ; always => fsoNextScreenPos
B_9597          jsr S_9244                        ;       <fsoGetCtrlByte>
                ldy #$00                          ;
                lda ($0d),y                       ; get sign control byte
                asl a                             ; *2
                tax                               ;
                lda T_9575,x                      ; lrtAdrSignDataLo
                sta LR_95b9                       ;
                lda T_9576,x                      ; lrtAdrSignDataHi
                sta LR_95ba                       ;
                ldy #$70                          ;
                sty $20                           ;
                ldy #$0e                          ;
                sty $1e                           ;
B_95b4          ldy $1e                           ;       <fsoDataOut>
                inc $1e                           ;
T_95b8          lda T_95b8,y                      ; modified SignData address
                lsr a                             ;
                ldy $20                           ;
                sta ($0f),y                       ;
                tya                               ;
                clc                               ;
                adc #$08                          ;
                sta $20                           ;
                ldy $1e                           ;
                cpy #$1a                          ;
                bcc B_95b4                        ; => fsoDataOut
B_95cc          jsr S_95f7                        ; IncCtrlPtr      <fsoNextScreenPos>
                inc $50                           ; lrzScreenRow  (00-0f)
                ldy $50                           ; lrzScreenRow  (00-0f)
                cpy #$5f                          ;
                bcc B_9597                        ; => fsoGetCtrlByte
                ldx T_95f6                        ; fsSpeed - wait loop counter      <>
                ldy #$ff                          ;
B_95dc          dey                               ;       <fsoWait>
                bne B_95dc                        ; => fsoWait
                dex                               ;
                bne B_95dc                        ; => fsoWait
                inc T_95f6                        ; fsSpeed + 1      <fsoSpeed>
                lda CIAPRA                        ; CIA 1 - $DC00 = Data Port A <fsoChkFire>
                and #$10                          ;
B_95ea          beq B_95f2                        ; => fsoRet
                lda LR_KeyNew                     ; lrNewKey      <fsoChkKey>
B_95ef          bne B_95f2                        ; => fsoRet
                rts                               ;
B_95f2          pla                               ; stopp flipping on <fsoRet>
                pla                               ; user action
B_95f4          sec                               ;
                rts                               ;
T_95f6          brk                               ; fsSpeed
S_95f7          inc $0d                           ;       <IncCtrlPtr>
B_95f9          bne B_95fd                        ; => ifcpX
                inc $0e                           ;
B_95fd          rts                               ; ifcpX
                .byte $74        
                .byte $32        
                .byte $cd 
                .byte $cf 
                .byte $ce  
                .byte $ac 
                .byte $c3 
                .byte $ac  
                .byte $c9 
                .byte $ac     
                .byte $cf        
                .byte $8d 
                .byte $c2 
                .byte $d2  
                .byte $d5 
                .byte $ce     
                .byte $a0 
                .byte $d8     
                .byte $c6 
                .byte $c5     
                .byte $d2        
                .byte $8d 
                .byte $c2 
                .byte $cc  
                .byte $cf        
                .byte $c1 
                .byte $c4     
B_9619          .byte $a0 
                .byte $cc    
                .byte $d2        
                .byte $ae 
                .byte $c4 
                .byte $c1  
                .byte $d4        
                .byte $ac 
                .byte $c1 
                .byte $a4  
                .byte $b7        
                .byte $b0 
                .byte $b0     
                .byte $b0 
                .byte $8d     
                .byte $c2        
                .byte $cc 
                .byte $cf 
                .byte $c1  
                .byte $c4 
                .byte $a0     
                .byte $d4        
                .byte $d5 
                .byte $ce     
                .byte $c5 
                .byte $d3     
                .byte $ac 
                .byte $c1 
                .byte $a4  
                .byte $b8        
                .byte $b8        
                .byte $b0 
                .byte $b0     
                .byte $8d 
                .byte $c1 
                .byte $b0  
                .byte $b0 
                .byte $b0     
                .byte $bc 
                .byte $b7 
                .byte $b0  
                .byte $b0 
                .byte $b0     
                .byte $ae 
                .byte $b8 
                .byte $c5  
                .byte $b0 
                .byte $b0     
                .byte $99 
                .byte $d7 
                .byte $8d  
                .byte $c2        
                .byte $cc 
                .byte $cf 
                .byte $c1  
                .byte $c4 
                .byte $a0     
                .byte $cc 
                .byte $d2 
                .byte $b1  
                .byte $8d 
                .byte $c2 
                .byte $cc  
                .byte $cf        
                .byte $c1 
                .byte $c4     
                .byte $a0 
                .byte $cc     
                .byte $d2        
                .byte $b2        
                .byte $8d 
                .byte $b6 
                .byte $b0  
                .byte $b0 
                .byte $b0     
                .byte $bc 
                .byte $b6 
                .byte $b0  
                .byte $b0 
                .byte $b0     
                .byte $ae 
                .byte $b9 
                .byte $c6  
                .byte $c6 
                .byte $c6     
                .byte $99 
                .byte $d7 
                .byte $8d  
                .byte $00        
                .byte $8d 
                .byte $00 
                .byte $00  
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $06 
                .byte $05     
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $07        
                .byte $0a        
                .byte $07        
                .byte $0a        
                .byte $00        
                .byte $06 
                .byte $05     
                .byte $01 
                .byte $af     
                .byte $7a        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $7a        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $01 
                .byte $00     
                .byte $00        
                .byte $71 
                .byte $00     
                .byte $01 
                .byte $00     
                .byte $71 
                .byte $00     
                .byte $00        
                .byte $00        
                .byte $02        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $40        
                .byte $02        
                .byte $ff        
                .byte $11 
                .byte $00     
                .byte $00        
                .byte $00        
                .byte $c7        
                .byte $cf        
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $a0
                .byte $00
                .byte $98
                .byte $00
                .byte $97        
                .byte $00        
                .byte $96 
                .byte $00     
                .byte $00        
T_9853          .byte $87       
                .byte $7d 
                .byte $77 
                .byte $18  
B_9857          lda LR_KeyNew                     ; lrNewKey
                bne B_9863                        ;
                lda CIAPRA                        ; CIA 1 - $DC00 = Data Port A
                and #$10                          ;
                bne B_9879                        ;
B_9863          lsr $59                           ;
                lsr LR_Alive                      ; lrStillAlive  (0=killed)
                cmp #$aa                          ;
                beq B_9870                        ;
                cmp #$01                          ;
                bne B_9873                        ;
B_9870          jmp B_6221                        ; WaitForUserKey
B_9873          lda #$01                          ;
                sta LR_NumLives                   ; lrNumLives
                rts                               ;
B_9879          lda $58                           ;
                bne B_9895                        ;
                ldy #$00                          ;
                lda ($55),y                       ;
                sta $57                           ;
                iny                               ;
                lda ($55),y                       ;
                sta $58                           ;
                lda $55                           ;
                clc                               ;
                adc #$02                          ;
                sta $55                           ;
                lda $56                           ;
T_9891          adc #$00                          ;
                sta $56                           ;
B_9895          lda $57                           ;
                and #$0f                          ;
                tax                               ;
                lda T_7de0,x                      ;
                sta LR_JoyUpDo                    ; lrMoveUD
                lda $57                           ;
                lsr a                             ;
                lsr a                             ;
                lsr a                             ;
                lsr a                             ;
                tax                               ;
                lda T_7de0,x                      ;
                sta LR_JoyLeRi                    ; lrMoveLR
                dec $58                           ;
                rts                               ;
                and ($22,x)                       ;
                and $2a                           ;
                rol $1e                           ;
                lda LR_GameCtrl                   ; lrFlag  (0=Init 1=demo 2=play)
                cmp #$01                          ;
                beq B_9857                        ;
                ldx LR_KeyNew                     ; lrNewKey
                bne B_98cc                        ;
                lda LR_ControllerTyp              ; lrControl (ca=joystick  cb=keyboard)
                cmp #$cb                          ;
                beq B_98fa                        ;
B_98c9          jmp B_7e82                        ;
B_98cc          lda #$00                          ;
                sta LR_KeyNew                     ; lrNewKey
                stx $23                           ;
                ldy #$ff                          ;
B_98d5          iny                               ;
                lda T_7ee2,y                      ;
                beq B_98eb                        ;
                cmp $23                           ;
                bne B_98d5                        ;
                tya                               ;
                asl a                             ;
                tay                               ;
                lda T_7eee,y                      ;
                pha                               ;
                lda T_7eed,y                      ;
                pha                               ;
                rts                               ;
B_98eb          lda LR_ControllerTyp              ; lrControl (ca=joystick  cb=keyboard)
                cmp #$ca                          ;
                beq B_98c9                        ;
                ldx $23                           ;
                stx LR_JoyUpDo                    ; lrMoveUD
                stx LR_JoyLeRi                    ; lrMoveLR
B_98fa          rts                               ;
                inc LR_CntSpeedLaps               ; lrGameSpeed
                inc LR_NumLives                   ; lrNumLives
                lsr LR_Alive                      ; lrStillAlive  (0=killed)
                rts                               ;
B_9905          jsr S_934b                        ;
                cmp #$03                          ;
                bne B_990f                        ;
                sta CR_135a                       ;
B_990f          cmp #$3f                          ;
                bne B_9905                        ;
                jmp S_7de6                        ;
                jmp B_6207                        ; mlGameOver
                lsr LR_Alive                      ; lrStillAlive  (0=killed)
                rts                               ;
                lda #$ca                          ;
                sta LR_ControllerTyp              ; lrControl (ca=joystick  cb=keyboard)
                jmp S_7de6                        ;
                lda #$cb                          ;       <>
                sta LR_ControllerTyp              ; lrControl (ca=joystick  cb=keyboard)
                jmp S_7de6                        ;
                lda LR_GameSpeed                  ; lrGameSpeed      <>
                cmp #$03                          ;
                beq B_9944                        ;
                dec LR_GameSpeed                  ; lrGameSpeed
                jmp S_7de6                        ;
                lda LR_GameSpeed                  ; lrGameSpeed      <>
                cmp #$08                          ;
                beq B_9944                        ;
                inc LR_GameSpeed                  ; lrGameSpeed
B_9944          jmp S_7de6                        ;
                lda LR_ShootMode                  ; lrShootMode      <>
                eor #$ff                          ;
                sta LR_ShootMode                  ; lrShootMode
                jmp S_7de6                        ;
                lda T_9537                        ;       <>
                .byte $43                         ; .honz
                sta $4f,x                         ;
                sta $5b,x                         ;
                sta $68,x                         ;
                sta $0d                           ;
                pla                               ;
                sta $0e                           ;
                ldy #$50                          ;
                sty $50                           ; lrzScreenRow  (00-0f)
                bne B_999c                        ;
B_9967          jsr S_9244                        ;       <>
                ldy #$00                          ;
                lda ($0d),y                       ;
                asl a                             ;
                tax                               ;
                lda T_9575,x                      ;
                sta LR_95b9                       ;
                lda T_9576,x                      ;
                sta LR_95ba                       ;
                ldy #$70                          ;
                sty $20                           ;
                ldy #$0e                          ;
                sty $1e                           ;
B_9984          ldy $1e                           ;
                inc $1e                           ;
                lda T_95b8,y                      ;
                lsr a                             ;
                ldy $20                           ;
                sta ($0f),y                       ;
                tya                               ;
                clc                               ;
                adc #$08                          ;
                sta $20                           ;
                ldy $1e                           ;
                cpy #$1a                          ;
                bcc B_9984                        ;
B_999c          jsr S_95f7                        ; IncCtrlPtr
                inc $50                           ; lrzScreenRow  (00-0f)
                ldy $50                           ; lrzScreenRow  (00-0f)
                cpy #$5f                          ;
                bcc B_9967                        ;
                ldx T_95f6                        ;
                ldy #$ff                          ;
B_99ac          dey                               ;
                bne B_99ac                        ;
                dex                               ;
                bne B_99ac                        ;
                inc T_95f6                        ;
                lda CIAPRA                        ; CIA 1 - $DC00 = Data Port A
                and #$10                          ;
                beq B_99c2                        ;
                lda LR_KeyNew                     ; lrNewKey
                bne B_99c2                        ;
                rts                               ;
B_99c2          pla                               ;
                pla                               ;
                sec                               ;
                rts                               ;
                brk                               ;
                inc $0d                           ;
                bne B_99cd                        ;
                inc $0e                           ;
B_99cd          rts                               ;
                ldy #$d0                          ;
                ora ($60,x)                       ;
                pla                               ;
                pla                               ;
                sec                               ;
                rts                               ;
                brk                               ;
                inc $0d                           ;
                bne B_99dd                        ;
                inc $0e                           ;
B_99dd          rts                               ;
                ora ($0e,x)                       ;
                rts                               ;
                .byte $13
                ldy #$ff                          ;
B_99e4          dey                               ;
                bne B_99e4                        ;
                dex                               ;
                bne B_99e4                        ;
                inc LR_9601                       ;
                lda CIAPRA                        ; CIA 1 - $DC00 = Data Port A
                and #$10                          ;
                beq B_99fa                        ;
                lda LR_KeyNew                     ; lrNewKey
                bne B_99fa                        ;
                rts                               ;
B_99fa          pla                               ;
                pla                               ;
                sec                               ;
                rts                               ;
                brk                               ;
                inc $0d                           ;
                bne B_9a05                        ;
                inc $0e                           ;
B_9a05          rts                               ;
                asl $60                           ;
                pla                               ;
                pla                               ;
                sec                               ;
                rts                               ;
                brk                               ;
                inc $0d                           ;
                bne B_9a13                        ;
                inc $0e                           ;
B_9a13          rts                               ;
                .byte $04        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $15 
                .byte $0d     
                .byte $15 
                .byte $0d     
                .byte $00        
                .byte $15 
                .byte $0c     
                .byte $04        
                .byte $8c 
                .byte $7a 
                .byte $00  
                .byte $00        
                .byte $00        
                .byte $7a        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $01 
                .byte $00     
                .byte $00        
                .byte $04        
                .byte $00        
                .byte $01 
                .byte $00     
                .byte $04        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $1a        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $04        
                .byte $40        
                .byte $02        
                .byte $ff        
                .byte $11 
                .byte $00     
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $d2        
                .byte $b2        
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $53     
                .byte $9a        
                .byte $53        
                sta T_9853,y                      ;
                and LR_3798                       ;
                sta $43,x                         ;
                sta $4f,x                         ;
                sta $5b,x                         ;
                sta $68,x                         ;
                sta $0d                           ;
                pla                               ;
                sta $0e                           ;
                ldy #$50                          ;
                sty $50                           ; lrzScreenRow  (00-0f)
                bne B_9aef                        ;
B_9aba          jsr S_9244                        ;
                ldy #$00                          ;
                lda ($0d),y                       ;
                asl a                             ;
                tax                               ;
                lda T_9575,x                      ;
                sta LR_95b9                       ;
                lda T_9576,x                      ;
                sta LR_95ba                       ;
                ldy #$70                          ;
                sty $20                           ;
                ldy #$0e                          ;
                sty $1e                           ;
B_9ad7          ldy $1e                           ;
                inc $1e                           ;
                lda T_95b8,y                      ;
                lsr a                             ;
                ldy $20                           ;
                sta ($0f),y                       ;
                tya                               ;
                clc                               ;
                adc #$08                          ;
                sta $20                           ;
                ldy $1e                           ;
                cpy #$1a                          ;
                bcc B_9ad7                        ;
B_9aef          jsr S_95f7                        ; IncCtrlPtr
                inc $50                           ; lrzScreenRow  (00-0f)
                ldy $50                           ; lrzScreenRow  (00-0f)
                cpy #$5f                          ;
                bcc B_9aba                        ;
                ldx T_95f6                        ;
                ldy #$ff                          ;
B_9aff          dey                               ;
                bne B_9aff                        ;
                dex                               ;
                bne B_9aff                        ;
                inc T_95f6                        ;
                lda CIAPRA                        ; CIA 1 - $DC00 = Data Port A
                and #$10                          ;
                beq B_9b15                        ;
                lda LR_KeyNew                     ; lrNewKey
                bne B_9b15                        ;
                rts                               ;
B_9b15          pla                               ;
                pla                               ;
                sec                               ;
                rts                               ;
                brk                               ;
                inc $0d                           ;
                bne B_9b20                        ;
                inc $0e                           ;
B_9b20          rts                               ;
                ldy #$d0                          ;
                ora ($60,x)                       ;
                pla                               ;
                pla                               ;
                sec                               ;
                rts                               ;
                brk                               ;
                inc $0d                           ;
                bne B_9b30                        ;
                inc $0e                           ;
B_9b30          rts                               ;
                ora ($0e,x)                       ;
                rts                               ;
                .byte $13
                ldy #$ff                          ;
B_9b37          dey                               ;
                bne B_9b37                        ;
                dex                               ;
                bne B_9b37                        ;
                inc LR_9601                       ;
                lda CIAPRA                        ; CIA 1 - $DC00 = Data Port A
                and #$10                          ;
                beq B_9b4d                        ;
                lda LR_KeyNew                     ; lrNewKey
                bne B_9b4d                        ;
                rts                               ;
B_9b4d          pla                               ;
                pla                               ;
                sec                               ;
                rts                               ;
                brk                               ;
                inc $0d                           ;
                bne B_9b58                        ;
                inc $0e                           ;
B_9b58          rts                               ;
                asl $60                           ;
                pla                               ;
                pla                               ;
                sec                               ;
                rts                               ;
                brk                               ;
                inc $0d                           ;
                bne B_9b66                        ;
                inc $0e                           ;
B_9b66          rts                               ;
                .byte $04        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
T_9b9a          .byte $00       
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $15 
                .byte $0c     
                .byte $15 
                .byte $0b     
                .byte $15 
                .byte $0a     
                .byte $15 
                .byte $09     
                .byte $15 
                .byte $08     
                .byte $15 
                .byte $07     
                .byte $15 
                .byte $06     
                .byte $15 
                .byte $05     
                .byte $15 
                .byte $04     
                .byte $15 
                .byte $03     
                .byte $15 
                .byte $02     
                .byte $15 
                .byte $01     
                .byte $15 
                .byte $00     
                .byte $12        
                .byte $04        
                .byte $12        
                .byte $03        
                .byte $12        
                .byte $02        
                .byte $12        
                .byte $01 
                .byte $12     
                .byte $00        
                .byte $16 
                .byte $0d     
                .byte $16 
                .byte $0c     
                .byte $16 
                .byte $0b     
                .byte $16 
                .byte $0a     
                .byte $16 
                .byte $09     
                .byte $16 
                .byte $08     
                .byte $16 
                .byte $07     
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $15 
                .byte $0d     
                .byte $15 
                .byte $0d     
                .byte $00        
                .byte $16 
                .byte $07     
                .byte $04        
                .byte $8c 
                .byte $7a 
                .byte $00  
                .byte $00        
                .byte $00        
                .byte $7a        
                .byte $00        
                .byte $18        
                .byte $00        
                .byte $00        
                .byte $01 
                .byte $19     
                .byte $00        
                .byte $00        
                .byte $00        
T_9cbd          .byte $77       
                .byte $18        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $1a        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
B_9cca          .byte $00       
                .byte $04        
                .byte $40        
                .byte $02        
                .byte $ff        
                .byte $11 
                .byte $00     
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $d2        
                .byte $b2        
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a0     
                .byte $a0 
                .byte $a6     
                .byte $9c        
                .byte $a6 
                .byte $9b     
                .byte $a6 
                .byte $9a     
                .byte $80        
                .byte $9a        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $00        
                .byte $d3        
                .byte $9c        
                .byte $81 
                .byte $9e     
                .byte $bd 
                .byte $9e 
                .byte $75  
                .byte $aa        
                .byte $93        
                .byte $aa        
                .byte $60        
                .byte $aa        
                .byte $00        
                .byte $9d 
                .byte $bb 
                .byte $b5  
T_9d10          .byte $ea       
T_9d11          .byte $9e       
                .byte $11 
                .byte $9f     
                .byte $22        
                .byte $9f        
                .byte $2e 
                .byte $9f 
                .byte $51  
                .byte $9f        
                .byte $60        
                .byte $9f        
                .byte $70 
                .byte $9f     
                .byte $4e 
                .byte $a5 
                .byte $12  
                .byte $a4 
                .byte $96     
                .byte $a3        
                .byte $d0 
                .byte $a4     
                .byte $ef        
                .byte $a4 
                .byte $62     
                .byte $a2 
                .byte $70     
                .byte $a2 
                .byte $74     
                .byte $a2 
                .byte $e9     
                .byte $a2 
                .byte $1a     
                .byte $a5 
                .byte $c5     
                .byte $a5 
                .byte $0f     
                .byte $a5 
                .byte $dc     
                .byte $a5 
                .byte $a2     
                .byte $a2 
                .byte $97     
                .byte $a2 
                .byte $80     
                .byte $a2 
                .byte $6d     
                .byte $a5 
                .byte $32     
                .byte $a2 
                .byte $3c     
                .byte $a2 
                .byte $28     
                .byte $a2 
                .byte $2d     
                .byte $a2 
                .byte $50     
                .byte $a2 
                .byte $79     
                .byte $a5 
                .byte $9d     
                .byte $a5 
                .byte $30     
                .byte $a3        
                .byte $5c        
                .byte $a3        
                .byte $8d 
                .byte $a3 
                .byte $7c  
T_9d55          .byte $a2 
                .byte $fc    
                .byte $a4 
                .byte $fc     
                .byte $a4 
                .byte $65     
                .byte $d8        
                .byte $00        
                .byte $e0 
                .byte $3c     
                .byte $d4        
                .byte $f2        
T_9d61          .byte $d4       
                .byte $36 
                .byte $e8     
                .byte $e5 
                .byte $a4     
                .byte $e3        
                .byte $e3        
                .byte $00        
                .byte $e0 
                .byte $03     
T_9d6b          .byte $e0 
                .byte $fc    
                .byte $a4 
                .byte $fc     
                .byte $a4 
                .byte $65     
                .byte $d8        
                .byte $00        
                .byte $e0 
                .byte $3c     
                .byte $d4        
                .byte $f2        
T_9d77          .byte $d4       
                .byte $06 
                .byte $a5     
                .byte $06 
                .byte $a5     
                .byte $67        
                .byte $10 
                .byte $84     
                .byte $9d 
                .byte $3c 
                .byte $0c  
                .byte $f2        
                .byte $0c        
B_9d84          lda T_b7e9                        ;
                lsr a                             ;
                lsr a                             ;
                lsr a                             ;
                lsr a                             ;
                sta T_aa6a                        ;
                lda T_b7ea                        ;
                sta T_aa68                        ;
                lda LR_e000                       ;
                eor #$20                          ;
                bne B_9dac                        ;
                sta T_aab6                        ;
                ldx #$0a                          ;
B_9da0          lda T_9d61,x                      ;
                sta T_9d55,x                      ;
                dex                               ;
                bne B_9da0                        ;
                jmp B_9dbc                        ;
B_9dac          lda #$40                          ;
                sta T_aab6                        ;
                ldx #$0c                          ;
B_9db3          lda T_9d6b,x                      ;
                sta T_9d55,x                      ;
                dex                               ;
                bne B_9db3                        ;
B_9dbc          sec                               ;
                bcs B_9dd1                        ;
B_9dbf          lda T_aab6                        ;
                bne B_9dc8                        ;
                lda #$20                          ;
                bne B_9dcd                        ;
B_9dc8          asl a                             ;
                bpl B_9dd0                        ;
                lda #$4c                          ;
B_9dcd          jsr LR_a5b2                       ; 
B_9dd0          clc                               ;
B_9dd1          php                               ;
                jsr S_a851                        ;
                lda #$00                          ;
                sta T_aa5e                        ;
                sta T_aa52                        ;
                plp                               ;
                ror a                             ;
                sta T_aa51                        ;
                bmi B_9de7                        ;
                jmp ($9d5e)                       ;
B_9de7          jmp ($9d5c)                       ;
S_9dea          asl a                             ;
                bpl B_9e06                        ;
                sta T_aab6                        ;
                ldx #$0c                          ;
B_9df2          lda T_9d77,x                      ;
                sta T_9d55,x                      ;
                dex                               ;
                bne B_9df2                        ;
                ldx #$1d                          ;
B_9dfd          lda T_aa93,x                      ;
                sta T_aa75,x                      ;
                dex                               ;
                bpl B_9dfd                        ;
B_9e06          lda T_aab1                        ;
                sta T_aa57                        ;
                jsr LR_a7d4                       ;  
                lda T_aab3                        ;
                beq B_9e1d                        ;
                pha                               ;
                jsr S_a69d                        ;
                pla                               ;
                ldy #$00                          ;
                sta ($40),y                       ;
B_9e1d          jsr S_a75b                        ;
                lda T_aa5f                        ;
                bne B_9e45                        ;
                ldx #$25                          ;
B_9e27          lda T_9e51,x                      ;
                sta LR_03d0,x                     ;
                dex                               ;
                bpl B_9e27                        ;
                lda LR_9e53                       ;
                sta LR_03f3                       ;
                eor #$a5                          ;
                sta LR_03f4                       ;
                lda LR_9e52                       ;
                sta LR_03f2                       ;
                lda #$00                          ;
                bne B_9e4a                        ;
B_9e45          lda T_aa62                        ;
                beq B_9e50                        ;
B_9e4a          sta T_aa5f                        ;
                jmp B_a180                        ;
B_9e50          rts                               ;
T_9e51          jmp B_9dbf                        ;
                jmp B_9d84                        ;
                jmp B_aafd                        ;
                jmp B_b7b5                        ;
                lda LR_9d0f                       ;
                ldy LR_9d0e                       ;
                rts                               ;
                lda T_aac2                        ;
                ldy T_aac1                        ;
                rts                               ;
                jmp S_a851                        ;
                sbc #$c4                          ;
                jmp $fa59                         ; .honz
                jmp $ff65                         ; .honz
                jmp $c4e9                         ; .honz
                jmp $c4f2                         ; .honz
                jmp $ff65                         ; .honz
                adc $ff                           ;
                jsr S_9ed1                        ;
                lda T_aa51                        ;
                beq B_9e9e                        ;
                pha                               ;
                lda T_aa5c                        ;
                sta ($28),y                       ;
                pla                               ;
                bmi B_9e95                        ;
                jmp B_a626                        ;
B_9e95          jsr S_9dea                        ;
                ldy $24                           ;
                lda #$60                          ;
                sta ($28),y                       ;
B_9e9e          lda T_aab3                        ;
                beq B_9ea6                        ;
                jsr S_a682                        ;
B_9ea6          lda #$03                          ;
                sta T_aa52                        ;
                jsr S_9fba                        ;
                jsr S_9eba                        ;
                sta T_aa5c                        ;
                stx T_aa5a                        ;
                jmp B_9fb3                        ;
S_9eba          jmp ($0038)                       ;
                jsr S_9ed1                        ;
                lda T_aa52                        ;
                asl a                             ;
                tax                               ;
                lda T_9d11,x                      ;
                pha                               ;
                lda T_9d10,x                      ;
                pha                               ;
                lda T_aa5c                        ;
                rts                               ;
S_9ed1          sta T_aa5c                        ;
                stx T_aa5a                        ;
                sty T_aa5b                        ;
                tsx                               ;
                inx                               ;
                inx                               ;
                stx T_aa59                        ;
                ldx #$03                          ;
B_9ee2          lda T_aa53,x                      ;
                sta $36,x                         ;
                dex                               ;
                bpl B_9ee2                        ;
                rts                               ;
B_9eeb          ldx T_aab7                        ;
                beq B_9ef3                        ;
                jmp B_9f78                        ;
B_9ef3          ldx T_aa51                        ;
                beq B_9f00                        ;
                cmp #$bf                          ;
                beq B_9f71                        ;
                cmp $33                           ;
                beq B_9f27                        ;
B_9f00          ldx #$02                          ;
                stx T_aa52                        ;
                cmp LR_aab2                       ;
                bne B_9f23                        ;
                dex                               ;
                stx T_aa52                        ;
                dex                               ;
                stx T_aa5d                        ;
                ldx T_aa5d                        ;
B_9f15          sta LR_0200,x                     ;
                inx                               ;
                stx T_aa5d                        ;
                cmp #$8d                          ;
                bne B_9f95                        ;
                jmp B_9fcd                        ;
B_9f23          cmp #$8d                          ;
                bne B_9fa4                        ;
B_9f27          ldx #$00                          ;
                stx T_aa52                        ;
                jmp B_9fa4                        ;
                ldx #$00                          ;
                stx T_aa52                        ;
                cmp #$8d                          ;
                beq B_9f3f                        ;
B_9f38          lda T_aab3                        ;
                beq B_9fa4                        ;
                bne B_9f9d                        ;
B_9f3f          pha                               ;
                sec                               ;
                lda T_aab3                        ;
                bne B_9f49                        ;
                jsr S_a65e                        ;
B_9f49          pla                               ;
                bcc B_9f38                        ;
                ldx T_aa5a                        ;
                jmp B_9f15                        ;
B_9f52          cmp #$8d                          ;
                bne B_9f5b                        ;
                lda #$05                          ;
                sta T_aa52                        ;
B_9f5b          jsr S_a60e                        ;
                jmp B_9f99                        ;
                cmp LR_aab2                       ;
                beq B_9eeb                        ;
                cmp #$8a                          ;
                beq B_9f5b                        ;
                ldx #$04                          ;
                stx T_aa52                        ;
                bne B_9f52                        ;
B_9f71          lda #$00                          ;
                sta T_aa52                        ;
                beq B_9f9d                        ;
B_9f78          lda #$00                          ;
                sta T_aab7                        ;
                jsr S_a851                        ;
                jmp B_a4dc                        ;
                lda LR_0200                       ;
                cmp LR_aab2                       ;
                beq B_9f95                        ;
                lda #$8d                          ;
                sta LR_0200                       ;
                ldx #$00                          ;
                stx T_aa5a                        ;
B_9f95          lda #$40                          ;
                bne B_9f9f                        ;
B_9f99          lda #$10                          ;
                bne B_9f9f                        ;
B_9f9d          lda #$20                          ;
B_9f9f          and T_aa5e                        ;
                beq B_9fb3                        ;
B_9fa4          jsr S_9fba                        ;
                jsr S_9fc5                        ;
                sta T_aa5c                        ;
                sty T_aa5b                        ;
                stx T_aa5a                        ;
B_9fb3          jsr S_a851                        ;
                ldx T_aa59                        ;
                txs                               ;
S_9fba          lda T_aa5c                        ;
                ldy T_aa5b                        ;
                ldx T_aa5a                        ;
                sec                               ;
                rts                               ;
S_9fc5          jmp ($0036)                       ;
                lda #$8d                          ;
                jmp S_9fc5                        ;
B_9fcd          ldy #$ff                          ;
                sty T_aa5f                        ;
                iny                               ;
                sty T_aa62                        ;
B_9fd6          inc T_aa5f                        ;
                ldx #$00                          ;
                php                               ;
                lda LR_0200,x                     ;
                cmp LR_aab2                       ;
                bne B_9fe5                        ;
                inx                               ;
B_9fe5          stx T_aa5d                        ;
B_9fe8          jsr S_a1a4                        ;
                and #$7f                          ;
                eor T_a884,y                      ;
                iny                               ;
                asl a                             ;
                beq B_9ff6                        ;
                pla                               ;
                php                               ;
B_9ff6          bcc B_9fe8                        ;
                plp                               ;
                beq $a01b                         ; .honz
                lda T_a884,y                      ;
                bne B_9fd6                        ;
T_a000          .byte $00
                .byte $01
                .byte $02
                .byte $03
                .byte $04
                .byte $05
                .byte $06
                .byte $07
                .byte $08
                .byte $09
                .byte $0a
                .byte $0b
                .byte $0c
                .byte $0d
                .byte $0e
                .byte $0f
                .byte $10
                .byte $11
                .byte $12
                .byte $13
                .byte $14
                .byte $15
                .byte $16
                .byte $17
                .byte $18
                .byte $19
                .byte $1a
                .byte $1b
                .byte $1c
                .byte $1d
                .byte $1e
                .byte $1f
                .byte $20
                .byte $21
                .byte $22
                .byte $23
                .byte $24
                .byte $25
                .byte $26
                .byte $27
                .byte $28
                .byte $29
                .byte $2a
                .byte $2b
                .byte $2c
                .byte $2d
                .byte $2e
                .byte $2f
                .byte $30
                .byte $31
                .byte $32
                .byte $33
                .byte $34
                .byte $35
                .byte $36
                .byte $37
                .byte $38
                .byte $39
                .byte $3a
                .byte $3b
                .byte $3c
                .byte $3d
                .byte $3e
                .byte $3f
                .byte $40
                .byte $41
                .byte $42
                .byte $43
                .byte $44
                .byte $45
                .byte $46
                .byte $47
                .byte $48
                .byte $49
                .byte $4a
                .byte $4b
                .byte $4c
                .byte $4d
                .byte $4e
                .byte $4f
                .byte $50
                .byte $51
                .byte $52
                .byte $53
                .byte $54
                .byte $55
                .byte $56
                .byte $57
                .byte $58
                .byte $59
                .byte $5a
                .byte $5b
                .byte $5c
                .byte $5d
                .byte $5e
                .byte $5f
                .byte $60
                .byte $61
                .byte $62
                .byte $63
                .byte $64
                .byte $65
                .byte $66
                .byte $67
                .byte $68
                .byte $69
                .byte $6a
                .byte $6b
                .byte $6c
                .byte $6d
                .byte $6e
                .byte $6f
                .byte $70
                .byte $71
                .byte $72
                .byte $73
                .byte $74
                .byte $75
                .byte $76
                .byte $77
                .byte $78
                .byte $79
                .byte $7a
                .byte $7b
                .byte $7c
                .byte $7d
                .byte $7e
                .byte $7f
                .byte $80
                .byte $81
                .byte $82
                .byte $83
                .byte $84
                .byte $85
                .byte $86
                .byte $87
                .byte $88
                .byte $89
                .byte $8a
                .byte $8b
                .byte $8c
                .byte $8d
                .byte $8e
                .byte $8f
                .byte $90
                .byte $91
                .byte $92
                .byte $93
                .byte $94
                .byte $95
                .byte $96
                .byte $97
                .byte $98
                .byte $99
                .byte $9a
                .byte $9b
                .byte $9c
                .byte $9d
                .byte $9e
                .byte $9f
                .byte $a0
                .byte $a1
                .byte $a2
                .byte $a3
                .byte $a4
                .byte $a5
                .byte $a6
                .byte $a7
                .byte $a8
                .byte $a9
                .byte $aa
                .byte $ab
                .byte $ac
                .byte $ad
                .byte $ae
                .byte $af
                .byte $b0
                .byte $b1
                .byte $b2
                .byte $b3
                .byte $b4
                .byte $b5
                .byte $b6
                .byte $b7
                .byte $b8
                .byte $b9
                .byte $ba
                .byte $bb
                .byte $bc
                .byte $bd
                .byte $be
                .byte $bf
                .byte $c0
                .byte $c1
                .byte $c2
                .byte $c3
                .byte $c4
                .byte $c5
                .byte $c6
                .byte $c7
                .byte $c8
                .byte $c9
                .byte $ca
                .byte $cb
                .byte $cc
                .byte $cd
                .byte $ce
                .byte $cf
                .byte $d0
                .byte $d1
                .byte $d2
                .byte $d3
                .byte $d4
                .byte $d5
                .byte $d6
                .byte $d7
                .byte $d8
                .byte $d9
                .byte $da
                .byte $db
                .byte $dc
                .byte $dd
                .byte $de
                .byte $df
                .byte $e0
                .byte $e1
                .byte $e2
                .byte $e3
                .byte $e4
                .byte $e5
                .byte $e6
                .byte $e7
                .byte $e8
                .byte $e9
                .byte $ea
                .byte $eb
                .byte $ec
                .byte $ed
                .byte $ee
                .byte $ef
                .byte $f0
                .byte $f1
                .byte $f2
                .byte $f3
                .byte $f4
                .byte $f5
                .byte $f6
                .byte $f7
                .byte $f8
                .byte $f9
                .byte $fa
                .byte $fb
                .byte $fc
                .byte $fd
                .byte $fe
                .byte $ff
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
B_a180          .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
S_a1a4          .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $04
                .byte $04
                .byte $04
                .byte $04
                .byte $05
                .byte $05
                .byte $05
                .byte $05
                .byte $06
                .byte $06
                .byte $06
                .byte $06
                .byte $07
                .byte $07
                .byte $07
                .byte $07
                .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $09
                .byte $09
                .byte $09
                .byte $09
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0c
                .byte $0c
                .byte $0c
                .byte $0c
                .byte $0d
                .byte $0d
                .byte $0d
                .byte $0d
                .byte $0e
                .byte $0e
                .byte $0e
                .byte $0e
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $10
                .byte $10
                .byte $10
                .byte $10
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $12
                .byte $12
                .byte $12
                .byte $12
                .byte $13
                .byte $13
                .byte $13
                .byte $13
                .byte $14
                .byte $14
                .byte $14
                .byte $14
                .byte $15
                .byte $15
                .byte $15
                .byte $15
                .byte $16
                .byte $16
                .byte $16
                .byte $16
                .byte $17
                .byte $17
                .byte $17
                .byte $17
                .byte $18
                .byte $18
                .byte $18
                .byte $18
                .byte $19
                .byte $19
                .byte $19
                .byte $19
                .byte $1a
                .byte $1a
                .byte $1a
                .byte $1a
                .byte $1b
                .byte $1b
                .byte $1b
                .byte $1b
                .byte $1c
                .byte $1c
                .byte $1c
                .byte $1c
                .byte $1d
                .byte $1d
                .byte $1d
                .byte $1d
                .byte $1e
                .byte $1e
                .byte $1e
                .byte $1e
                .byte $1f
                .byte $1f
                .byte $1f
                .byte $1f
                .byte $20
                .byte $20
                .byte $20
                .byte $20
                .byte $21
                .byte $21
                .byte $21
                .byte $21
                .byte $22
                .byte $22
                .byte $22
                .byte $22
                .byte $23
                .byte $23
                .byte $23
                .byte $23
                .byte $24
                .byte $24
                .byte $24
                .byte $24
                .byte $25
                .byte $25
                .byte $25
                .byte $25
                .byte $26
                .byte $26
                .byte $26
                .byte $26
                .byte $27
                .byte $27
                .byte $27
                .byte $27
                .byte $28
                .byte $28
                .byte $28
                .byte $28
                .byte $29
                .byte $29
                .byte $29
                .byte $29
                .byte $2a
                .byte $2a
                .byte $2a
                .byte $2a
                .byte $2b
                .byte $2b
                .byte $2b
                .byte $2b
                .byte $2c
                .byte $2c
                .byte $2c
                .byte $2c
                .byte $2d
                .byte $2d
                .byte $2d
                .byte $2d
                .byte $2e
                .byte $2e
                .byte $2e
                .byte $2e
                .byte $2f
                .byte $2f
                .byte $2f
                .byte $2f
                .byte $30
                .byte $30
                .byte $30
                .byte $30
                .byte $31
                .byte $31
                .byte $31
                .byte $31
                .byte $32
                .byte $32
                .byte $32
                .byte $32
                .byte $33
                .byte $33
                .byte $33
                .byte $33
                .byte $34
                .byte $34
                .byte $34
                .byte $34
                .byte $35
                .byte $35
                .byte $35
                .byte $35
                .byte $36
                .byte $36
                .byte $36
                .byte $36
                .byte $37
                .byte $37
                .byte $37
                .byte $37
                .byte $38
                .byte $38
                .byte $38
                .byte $38
                .byte $39
                .byte $39
                .byte $39
                .byte $39
                .byte $3a
                .byte $3a
                .byte $3a
                .byte $3a
                .byte $3b
                .byte $3b
                .byte $3b
                .byte $3b
                .byte $3c
                .byte $3c
                .byte $3c
                .byte $3c
                .byte $3d
                .byte $3d
                .byte $3d
                .byte $3d
                .byte $3e
                .byte $3e
                .byte $3e
                .byte $3e
                .byte $3f
                .byte $3f
                .byte $3f
                .byte $3f
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $40
                .byte $80
                .byte $c0
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $04
                .byte $04
                .byte $04
                .byte $04
                .byte $04
                .byte $04
                .byte $04
                .byte $04
                .byte $04
                .byte $04
                .byte $04
                .byte $04
                .byte $04
                .byte $04
                .byte $04
                .byte $04
                .byte $05
                .byte $05
                .byte $05
                .byte $05
                .byte $05
                .byte $05
                .byte $05
                .byte $05
                .byte $05
                .byte $05
                .byte $05
                .byte $05
                .byte $05
                .byte $05
                .byte $05
                .byte $05
                .byte $06
                .byte $06
                .byte $06
                .byte $06
                .byte $06
                .byte $06
                .byte $06
                .byte $06
                .byte $06
                .byte $06
                .byte $06
                .byte $06
                .byte $06
                .byte $06
                .byte $06
                .byte $06
                .byte $07
                .byte $07
                .byte $07
                .byte $07
                .byte $07
                .byte $07
                .byte $07
                .byte $07
                .byte $07
                .byte $07
                .byte $07
                .byte $07
                .byte $07
                .byte $07
                .byte $07
                .byte $07
                .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $08
                .byte $09
                .byte $09
                .byte $09
                .byte $09
                .byte $09
                .byte $09
                .byte $09
                .byte $09
                .byte $09
                .byte $09
                .byte $09
                .byte $09
                .byte $09
                .byte $09
                .byte $09
                .byte $09
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0a
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0b
                .byte $0c
T_a4c1          .byte $0c
                .byte $0c
                .byte $0c
                .byte $0c
                .byte $0c
                .byte $0c
                .byte $0c
                .byte $0c
                .byte $0c
                .byte $0c
                .byte $0c
                .byte $0c
                .byte $0c
                .byte $0c
                .byte $0c
                .byte $0d
                .byte $0d
                .byte $0d
                .byte $0d
                .byte $0d
                .byte $0d
                .byte $0d
                .byte $0d
                .byte $0d
                .byte $0d
                .byte $0d
                .byte $0d
B_a4dc          .byte $0d
                .byte $0d
                .byte $0d
                .byte $0d
                .byte $0e
                .byte $0e
                .byte $0e
                .byte $0e
                .byte $0e
                .byte $0e
                .byte $0e
                .byte $0e
                .byte $0e
                .byte $0e
                .byte $0e
                .byte $0e
                .byte $0e
                .byte $0e
                .byte $0e
                .byte $0e
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $0f
                .byte $00
                .byte $10
                .byte $20
                .byte $30
                .byte $40
                .byte $50
                .byte $60
                .byte $70
                .byte $80
                .byte $90
                .byte $a0
                .byte $b0
                .byte $c0
                .byte $d0
                .byte $e0
                .byte $f0
                .byte $00
                .byte $10
                .byte $20
                .byte $30
                .byte $40
                .byte $50
                .byte $60
                .byte $70
                .byte $80
                .byte $90
                .byte $a0
                .byte $b0
                .byte $c0
                .byte $d0
                .byte $e0
                .byte $f0
                .byte $00
                .byte $10
                .byte $20
                .byte $30
                .byte $40
                .byte $50
                .byte $60
                .byte $70
                .byte $80
                .byte $90
                .byte $a0
                .byte $b0
                .byte $c0
                .byte $d0
                .byte $e0
                .byte $f0
                .byte $00
                .byte $10
                .byte $20
                .byte $30
                .byte $40
                .byte $50
                .byte $60
                .byte $70
                .byte $80
                .byte $90
                .byte $a0
                .byte $b0
                .byte $c0
                .byte $d0
                .byte $e0
                .byte $f0
                .byte $00
                .byte $10
                .byte $20
                .byte $30
                .byte $40
                .byte $50
                .byte $60
                .byte $70
                .byte $80
                .byte $90
                .byte $a0
                .byte $b0
                .byte $c0
                .byte $d0
                .byte $e0
                .byte $f0
                .byte $00
                .byte $10
                .byte $20
                .byte $30
                .byte $40
                .byte $50
                .byte $60
                .byte $70
                .byte $80
                .byte $90
                .byte $a0
                .byte $b0
                .byte $c0
                .byte $d0
                .byte $e0
                .byte $f0
                .byte $00
                .byte $10
                .byte $20
                .byte $30
                .byte $40
                .byte $50
                .byte $60
                .byte $70
                .byte $80
                .byte $90
                .byte $a0
                .byte $b0
                .byte $c0
                .byte $d0
                .byte $e0
                .byte $f0
                .byte $00
                .byte $10
                .byte $20
                .byte $30
                .byte $40
                .byte $50
                .byte $60
                .byte $70
                .byte $80
                .byte $90
                .byte $a0
                .byte $b0
                .byte $c0
                .byte $d0
                .byte $e0
                .byte $f0
                .byte $00
                .byte $10
                .byte $20
                .byte $30
                .byte $40
                .byte $50
                .byte $60
                .byte $70
                .byte $80
                .byte $90
                .byte $a0
                .byte $b0
                .byte $c0
                .byte $d0
                .byte $e0
                .byte $f0
                .byte $00
                .byte $10
                .byte $20
                .byte $30
                .byte $40
                .byte $50
                .byte $60
                .byte $70
                .byte $80
                .byte $90
                .byte $a0
                .byte $b0
                .byte $c0
                .byte $d0
                .byte $e0
                .byte $f0
                .byte $00
                .byte $10
                .byte $20
                .byte $30
                .byte $40
                .byte $50
                .byte $60
                .byte $70
                .byte $80
                .byte $90
                .byte $a0
                .byte $b0
                .byte $c0
                .byte $d0
                .byte $e0
                .byte $f0
                .byte $00
                .byte $10
                .byte $20
                .byte $30
                .byte $40
                .byte $50
                .byte $60
                .byte $70
                .byte $80
                .byte $90
                .byte $a0
                .byte $b0
                .byte $c0
                .byte $d0
                .byte $e0
                .byte $f0
                .byte $00
                .byte $10
                .byte $20
                .byte $30
                .byte $40
                .byte $50
                .byte $60
                .byte $70
                .byte $80
                .byte $90
                .byte $a0
                .byte $b0
                .byte $c0
                .byte $d0
                .byte $e0
                .byte $f0
                .byte $00
                .byte $10
                .byte $20
                .byte $30
                .byte $40
                .byte $50
                .byte $60
T_a5d7          .byte $70
                .byte $80
                .byte $90
                .byte $a0
                .byte $b0
                .byte $c0
                .byte $d0
                .byte $e0
B_a5df          .byte $f0
                .byte $00
B_a5e1          .byte $10
                .byte $20
B_a5e3          .byte $30
                .byte $40
B_a5e5          .byte $50
                .byte $60
T_a5e7          .byte $70
                .byte $80
                .byte $90
                .byte $a0
                .byte $b0
                .byte $c0
                .byte $d0
                .byte $e0
                .byte $f0
                .byte $00
B_a5f1          .byte $10
                .byte $20
B_a5f3          .byte $30
                .byte $40
                .byte $50
                .byte $60
                .byte $70
                .byte $80
                .byte $90
                .byte $a0
                .byte $b0
                .byte $c0
                .byte $d0
                .byte $e0
                .byte $f0
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
S_a60e          .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
B_a626          .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
S_a65e          .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $01
                .byte $02
                .byte $02
S_a682          .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
S_a69d          .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $02
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $03
                .byte $00
                .byte $04
                .byte $08
                .byte $0c
                .byte $10
                .byte $14
                .byte $18
                .byte $1c
                .byte $20
                .byte $24
                .byte $28
                .byte $2c
                .byte $30
                .byte $34
                .byte $38
                .byte $3c
                .byte $40
                .byte $44
                .byte $48
                .byte $4c
                .byte $50
                .byte $54
                .byte $58
                .byte $5c
                .byte $60
                .byte $64
                .byte $68
                .byte $6c
                .byte $70
                .byte $74
                .byte $78
                .byte $7c
                .byte $80
                .byte $84
                .byte $88
                .byte $8c
                .byte $90
                .byte $94
                .byte $98
                .byte $9c
                .byte $a0
                .byte $a4
                .byte $a8
                .byte $ac
                .byte $b0
                .byte $b4
                .byte $b8
                .byte $bc
                .byte $c0
                .byte $c4
                .byte $c8
                .byte $cc
                .byte $d0
                .byte $d4
                .byte $d8
                .byte $dc
                .byte $e0
                .byte $e4
                .byte $e8
                .byte $ec
                .byte $f0
                .byte $f4
                .byte $f8
                .byte $fc
                .byte $00
                .byte $04
                .byte $08
                .byte $0c
                .byte $10
                .byte $14
                .byte $18
                .byte $1c
                .byte $20
                .byte $24
                .byte $28
                .byte $2c
                .byte $30
                .byte $34
                .byte $38
                .byte $3c
                .byte $40
                .byte $44
                .byte $48
                .byte $4c
                .byte $50
                .byte $54
                .byte $58
                .byte $5c
                .byte $60
                .byte $64
                .byte $68
S_a75b          .byte $6c
                .byte $70
                .byte $74
                .byte $78
                .byte $7c
                .byte $80
                .byte $84
                .byte $88
                .byte $8c
                .byte $90
                .byte $94
                .byte $98
                .byte $9c
                .byte $a0
                .byte $a4
                .byte $a8
                .byte $ac
                .byte $b0
                .byte $b4
                .byte $b8
                .byte $bc
                .byte $c0
                .byte $c4
                .byte $c8
                .byte $cc
                .byte $d0
                .byte $d4
                .byte $d8
                .byte $dc
                .byte $e0
                .byte $e4
                .byte $e8
                .byte $ec
                .byte $f0
                .byte $f4
                .byte $f8
                .byte $fc
                .byte $00
                .byte $04
                .byte $08
                .byte $0c
                .byte $10
                .byte $14
                .byte $18
                .byte $1c
                .byte $20
                .byte $24
                .byte $28
                .byte $2c
                .byte $30
                .byte $34
                .byte $38
                .byte $3c
                .byte $40
                .byte $44
                .byte $48
                .byte $4c
                .byte $50
                .byte $54
                .byte $58
                .byte $5c
                .byte $60
                .byte $64
                .byte $68
                .byte $6c
                .byte $70
                .byte $74
                .byte $78
                .byte $7c
                .byte $80
                .byte $84
                .byte $88
                .byte $8c
                .byte $90
                .byte $94
                .byte $98
                .byte $9c
                .byte $a0
                .byte $a4
                .byte $a8
                .byte $ac
                .byte $b0
                .byte $b4
                .byte $b8
                .byte $bc
                .byte $c0
                .byte $c4
                .byte $c8
                .byte $cc
                .byte $d0
                .byte $d4
                .byte $d8
                .byte $dc
                .byte $e0
                .byte $e4
                .byte $e8
                .byte $ec
                .byte $f0
                .byte $f4
                .byte $f8
                .byte $fc
                .byte $00
                .byte $04
                .byte $08
                .byte $0c
                .byte $10
                .byte $14
                .byte $18
                .byte $1c
                .byte $20
                .byte $24
                .byte $28
                .byte $2c
                .byte $30
                .byte $34
                .byte $38
                .byte $3c
                .byte $40
                .byte $44
                .byte $48
                .byte $4c
                .byte $50
                .byte $54
                .byte $58
                .byte $5c
                .byte $60
                .byte $64
                .byte $68
                .byte $6c
                .byte $70
                .byte $74
                .byte $78
                .byte $7c
                .byte $80
                .byte $84
                .byte $88
                .byte $8c
                .byte $90
                .byte $94
                .byte $98
                .byte $9c
                .byte $a0
                .byte $a4
                .byte $a8
                .byte $ac
                .byte $b0
                .byte $b4
                .byte $b8
                .byte $bc
                .byte $c0
                .byte $c4
                .byte $c8
                .byte $cc
                .byte $d0
                .byte $d4
                .byte $d8
                .byte $dc
                .byte $e0
                .byte $e4
                .byte $e8
                .byte $ec
                .byte $f0
                .byte $f4
                .byte $f8
                .byte $fc
                .byte $00
                .byte $a8
                .byte $aa
                .byte $c3
                .byte $00
                .byte $aa
                .byte $c0
                .byte $00
                .byte $08
                .byte $02
                .byte $ff
                .byte $10
                .byte $10
                .byte $10
                .byte $0c
                .byte $02
                .byte $02
                .byte $02
                .byte $0c
                .byte $64
                .byte $c9
                .byte $61
                .byte $06
                .byte $18
                .byte $61
                .byte $18
                .byte $06
                .byte $00
                .byte $00
                .byte $08
                .byte $00
                .byte $a4
                .byte $04
                .byte $00
S_a822          .byte $00
                .byte $00
                .byte $00
                .byte $08
                .byte $00
                .byte $00
                .byte $02
                .byte $02
                .byte $02
                .byte $08
                .byte $08
                .byte $41
                .byte $04
                .byte $10
                .byte $41
                .byte $10
                .byte $04
                .byte $04
                .byte $04
                .byte $44
                .byte $44
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
S_a851          .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
T_a884          .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $40
                .byte $40
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $a8
                .byte $aa
                .byte $c3
                .byte $ff
                .byte $aa
                .byte $c0
                .byte $00
                .byte $14
                .byte $07
                .byte $ff
                .byte $38
                .byte $38
                .byte $38
                .byte $0c
                .byte $07
                .byte $07
                .byte $07
                .byte $8c
                .byte $6e
                .byte $dd
                .byte $61
                .byte $06
                .byte $18
                .byte $61
                .byte $18
                .byte $06
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $a8
                .byte $14
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $1c
                .byte $00
                .byte $00
                .byte $05
                .byte $05
                .byte $05
                .byte $14
                .byte $14
                .byte $41
                .byte $04
                .byte $10
                .byte $41
                .byte $10
                .byte $04
                .byte $04
                .byte $84
                .byte $44
                .byte $44
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $80
                .byte $00
                .byte $c0
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $00
                .byte $00
                .byte $00
                .byte $40
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $40
                .byte $00
                .byte $40
                .byte $40
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $a8
                .byte $aa
                .byte $ff
                .byte $00
                .byte $00
                .byte $ff
                .byte $00
                .byte $14
                .byte $07
                .byte $ff
                .byte $38
                .byte $38
                .byte $38
                .byte $0f
                .byte $07
                .byte $07
                .byte $07
                .byte $fc
                .byte $6e
                .byte $dd
                .byte $6d
                .byte $1e
                .byte $1e
                .byte $6d
                .byte $1e
                .byte $1e
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $a8
                .byte $80
                .byte $14
                .byte $00
                .byte $00
                .byte $00
                .byte $1c
                .byte $00
                .byte $00
                .byte $05
                .byte $05
                .byte $05
                .byte $14
                .byte $14
                .byte $45
                .byte $14
                .byte $14
                .byte $51
                .byte $14
                .byte $14
                .byte $05
                .byte $d4
                .byte $44
                .byte $44
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $40
                .byte $00
                .byte $40
                .byte $40
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
T_aa51          .byte $00
T_aa52          .byte $00
T_aa53          .byte $00
                .byte $00
                .byte $00
                .byte $00
T_aa57          .byte $00
                .byte $00
T_aa59          .byte $00
T_aa5a          .byte $00
T_aa5b          .byte $00
T_aa5c          .byte $00
T_aa5d          .byte $00
T_aa5e          .byte $00
T_aa5f          .byte $00
                .byte $00
                .byte $00
T_aa62          .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
T_aa68          .byte $00
                .byte $00
T_aa6a          .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $a8
                .byte $aa
                .byte $c3
                .byte $00
T_aa75          .byte $3f
                .byte $c3
                .byte $00
                .byte $04
                .byte $0e
                .byte $ff
                .byte $1c
                .byte $18
                .byte $18
                .byte $4e
                .byte $03
                .byte $06
                .byte $06
                .byte $1c
                .byte $3f
                .byte $7f
                .byte $6f
                .byte $1c
                .byte $0e
                .byte $3d
                .byte $0e
                .byte $dc
                .byte $00
                .byte $08
                .byte $00
                .byte $08
                .byte $a8
                .byte $a8
                .byte $94
                .byte $04
T_aa93          .byte $00
                .byte $00
                .byte $18
                .byte $00
                .byte $08
                .byte $04
                .byte $04
                .byte $04
                .byte $04
                .byte $04
                .byte $45
                .byte $14
                .byte $04
                .byte $51
                .byte $14
                .byte $10
                .byte $44
                .byte $14
                .byte $15
                .byte $15
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $55
                .byte $14
                .byte $55
                .byte $55
                .byte $51
                .byte $55
T_aab1          .byte $55
                .byte $55
T_aab3          .byte $15
                .byte $55
                .byte $2a
T_aab6          .byte $a8
T_aab7          .byte $aa
                .byte $a8
                .byte $aa
                .byte $aa
                .byte $aa
                .byte $82
                .byte $20
                .byte $08
                .byte $82
                .byte $80
T_aac1          .byte $82
T_aac2          .byte $82
                .byte $aa
                .byte $aa
                .byte $aa
                .byte $aa
                .byte $aa
                .byte $aa
                .byte $82
                .byte $a2
                .byte $82
                .byte $82
                .byte $8a
                .byte $aa
                .byte $80
                .byte $00
                .byte $28
                .byte $28
                .byte $02
                .byte $00
                .byte $02
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $00
B_aafd          .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $40
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $aa
                .byte $c3
                .byte $00
                .byte $0c
                .byte $03
                .byte $00
                .byte $15
                .byte $37
                .byte $ff
                .byte $3b
                .byte $1c
                .byte $5e
                .byte $7e
                .byte $0f
                .byte $0e
                .byte $1e
                .byte $1f
                .byte $06
                .byte $18
                .byte $3c
                .byte $78
                .byte $07
                .byte $0f
                .byte $07
                .byte $78
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $14
                .byte $00
                .byte $00
                .byte $7e
                .byte $00
                .byte $00
                .byte $15
                .byte $14
                .byte $15
                .byte $05
                .byte $15
                .byte $14
                .byte $50
                .byte $05
                .byte $14
                .byte $05
                .byte $50
                .byte $54
                .byte $15
                .byte $04
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $41
                .byte $14
                .byte $41
                .byte $41
                .byte $51
                .byte $40
                .byte $41
                .byte $05
                .byte $11
                .byte $41
                .byte $22
                .byte $88
                .byte $82
                .byte $82
                .byte $a0
                .byte $a0
                .byte $82
                .byte $82
                .byte $20
                .byte $08
                .byte $8a
                .byte $80
                .byte $a2
                .byte $82
                .byte $8a
                .byte $82
                .byte $8a
                .byte $82
                .byte $82
                .byte $20
                .byte $82
                .byte $a2
                .byte $82
                .byte $82
                .byte $8a
                .byte $82
                .byte $a0
                .byte $00
                .byte $28
                .byte $28
                .byte $02
                .byte $00
                .byte $0a
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $00
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $8a
                .byte $aa
                .byte $c3
                .byte $00
                .byte $0c
                .byte $03
                .byte $ff
                .byte $44
                .byte $6c
                .byte $ff
                .byte $cd
                .byte $3e
                .byte $7b
                .byte $0e
                .byte $5b
                .byte $1f
                .byte $37
                .byte $1c
                .byte $06
                .byte $18
                .byte $18
                .byte $d8
                .byte $06
                .byte $06
                .byte $06
                .byte $18
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $8a
                .byte $8a
                .byte $8a
                .byte $15
                .byte $04
                .byte $00
                .byte $5b
                .byte $00
                .byte $00
                .byte $44
                .byte $15
                .byte $45
                .byte $15
                .byte $14
                .byte $10
                .byte $50
                .byte $04
                .byte $04
                .byte $05
                .byte $10
                .byte $04
                .byte $14
                .byte $04
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $41
                .byte $04
                .byte $01
                .byte $01
                .byte $51
                .byte $40
                .byte $40
                .byte $05
                .byte $11
                .byte $41
                .byte $22
                .byte $88
                .byte $80
                .byte $82
                .byte $a0
                .byte $a0
                .byte $80
                .byte $82
                .byte $20
                .byte $08
                .byte $88
                .byte $80
                .byte $aa
                .byte $a2
                .byte $8a
                .byte $82
                .byte $8a
                .byte $82
                .byte $80
                .byte $20
                .byte $82
                .byte $a2
                .byte $82
                .byte $82
                .byte $8a
                .byte $82
                .byte $28
                .byte $00
                .byte $a0
                .byte $0a
                .byte $08
                .byte $aa
                .byte $28
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $40
                .byte $c0
                .byte $c0
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $40
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $80
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $40
                .byte $00
                .byte $80
                .byte $40
                .byte $00
                .byte $00
                .byte $00
                .byte $40
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
T_acc3          .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $8a
                .byte $aa
                .byte $c3
                .byte $00
                .byte $0c
                .byte $03
                .byte $eb
                .byte $06
                .byte $0c
                .byte $ff
                .byte $0c
                .byte $de
                .byte $18
                .byte $0e
                .byte $43
                .byte $1e
                .byte $06
                .byte $1c
                .byte $1e
                .byte $1e
                .byte $18
                .byte $18
                .byte $06
                .byte $06
                .byte $06
                .byte $18
                .byte $08
                .byte $80
                .byte $88
                .byte $00
                .byte $8a
                .byte $8a
                .byte $8a
                .byte $00
                .byte $05
                .byte $00
                .byte $18
                .byte $08
                .byte $a0
                .byte $0c
                .byte $06
                .byte $06
                .byte $4c
                .byte $0c
                .byte $10
                .byte $10
                .byte $04
                .byte $04
                .byte $04
                .byte $10
                .byte $0e
                .byte $1c
                .byte $0f
                .byte $1e
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $41
                .byte $04
                .byte $55
                .byte $15
                .byte $55
                .byte $55
                .byte $40
                .byte $05
                .byte $55
                .byte $55
                .byte $aa
                .byte $aa
                .byte $80
                .byte $82
                .byte $a8
                .byte $a8
                .byte $80
                .byte $aa
                .byte $28
                .byte $0a
                .byte $a8
                .byte $80
                .byte $aa
                .byte $aa
                .byte $82
                .byte $aa
                .byte $82
                .byte $aa
                .byte $aa
                .byte $20
                .byte $82
                .byte $a2
                .byte $82
                .byte $28
                .byte $aa
                .byte $08
                .byte $0a
                .byte $00
                .byte $a0
                .byte $0a
                .byte $08
                .byte $aa
                .byte $a0
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $40
                .byte $00
                .byte $00
                .byte $00
                .byte $40
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $8a
                .byte $aa
                .byte $ff
                .byte $00
                .byte $0c
                .byte $c3
                .byte $eb
                .byte $15
                .byte $0e
                .byte $ff
                .byte $1c
                .byte $38
                .byte $3c
                .byte $1b
                .byte $07
                .byte $07
                .byte $0f
                .byte $36
                .byte $36
                .byte $1b
                .byte $78
                .byte $38
                .byte $0e
                .byte $07
                .byte $07
                .byte $1c
                .byte $02
                .byte $20
                .byte $00
                .byte $00
                .byte $8a
                .byte $8a
                .byte $8a
                .byte $8a
                .byte $95
                .byte $04
                .byte $1c
                .byte $22
                .byte $40
                .byte $0e
                .byte $07
                .byte $0f
                .byte $1c
                .byte $1e
                .byte $78
                .byte $38
                .byte $0e
                .byte $0f
                .byte $0e
                .byte $38
                .byte $1b
                .byte $36
                .byte $0d
                .byte $36
                .byte $00
                .byte $80
                .byte $00
                .byte $14
                .byte $45
                .byte $04
                .byte $40
                .byte $01
                .byte $01
                .byte $05
                .byte $55
                .byte $14
                .byte $41
                .byte $05
                .byte $82
                .byte $82
                .byte $a0
                .byte $a2
                .byte $80
                .byte $80
                .byte $8a
                .byte $a2
                .byte $28
                .byte $0a
                .byte $aa
                .byte $a0
                .byte $82
                .byte $aa
                .byte $82
                .byte $a0
                .byte $82
                .byte $a8
                .byte $0a
                .byte $28
                .byte $a2
                .byte $a2
                .byte $aa
                .byte $28
                .byte $28
                .byte $28
                .byte $0a
                .byte $00
                .byte $a0
                .byte $0a
                .byte $20
                .byte $aa
                .byte $a0
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $40
                .byte $00
                .byte $80
                .byte $80
                .byte $80
                .byte $80
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $8a
                .byte $aa
                .byte $c3
                .byte $00
                .byte $aa
                .byte $ff
                .byte $eb
                .byte $15
                .byte $7b
                .byte $ff
                .byte $37
                .byte $3c
                .byte $66
                .byte $1b
                .byte $0d
                .byte $0f
                .byte $19
                .byte $76
                .byte $36
                .byte $1b
                .byte $d8
                .byte $6c
                .byte $1b
                .byte $06
                .byte $0d
                .byte $36
                .byte $20
                .byte $0a
                .byte $80
                .byte $00
                .byte $8a
                .byte $8a
                .byte $8a
                .byte $8a
                .byte $80
                .byte $14
                .byte $36
                .byte $48
                .byte $4a
                .byte $7b
                .byte $0f
                .byte $19
                .byte $1e
                .byte $33
                .byte $d8
                .byte $6c
                .byte $1b
                .byte $0d
                .byte $1b
                .byte $6c
                .byte $1b
                .byte $76
                .byte $0d
                .byte $36
                .byte $80
                .byte $80
                .byte $14
                .byte $55
                .byte $45
                .byte $04
                .byte $40
                .byte $01
                .byte $01
                .byte $05
                .byte $45
                .byte $10
                .byte $41
                .byte $05
                .byte $82
                .byte $82
                .byte $a0
                .byte $a2
                .byte $80
                .byte $80
                .byte $8a
                .byte $a2
                .byte $28
                .byte $0a
                .byte $a2
                .byte $a0
                .byte $82
                .byte $8a
                .byte $82
                .byte $a0
                .byte $82
                .byte $a8
                .byte $0a
                .byte $28
                .byte $a2
                .byte $aa
                .byte $aa
                .byte $82
                .byte $28
                .byte $80
                .byte $28
                .byte $28
                .byte $a0
                .byte $0a
                .byte $20
                .byte $aa
                .byte $28
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $40
                .byte $00
                .byte $c0
                .byte $80
                .byte $00
                .byte $00
                .byte $80
                .byte $80
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $80
                .byte $00
                .byte $40
                .byte $40
                .byte $00
                .byte $00
                .byte $80
                .byte $80
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $80
                .byte $00
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $8a
                .byte $aa
                .byte $c3
                .byte $00
                .byte $aa
                .byte $c0
                .byte $ff
                .byte $10
                .byte $03
                .byte $ff
                .byte $30
                .byte $0e
                .byte $63
                .byte $18
                .byte $0d
                .byte $1c
                .byte $31
                .byte $06
                .byte $36
                .byte $1b
                .byte $d8
                .byte $6c
                .byte $1b
                .byte $06
                .byte $0d
                .byte $36
                .byte $09
                .byte $21
                .byte $20
                .byte $00
                .byte $8a
                .byte $8a
                .byte $8a
                .byte $8a
                .byte $8a
                .byte $15
                .byte $36
                .byte $50
                .byte $11
                .byte $03
                .byte $1c
                .byte $31
                .byte $07
                .byte $31
                .byte $d8
                .byte $6c
                .byte $1b
                .byte $0d
                .byte $1b
                .byte $6c
                .byte $18
                .byte $06
                .byte $0d
                .byte $36
                .byte $80
                .byte $80
                .byte $55
                .byte $55
                .byte $45
                .byte $15
                .byte $45
                .byte $41
                .byte $01
                .byte $05
                .byte $45
                .byte $10
                .byte $41
                .byte $05
                .byte $8a
                .byte $82
                .byte $a2
                .byte $a2
                .byte $80
                .byte $80
                .byte $82
                .byte $a2
                .byte $28
                .byte $8a
                .byte $a2
                .byte $a0
                .byte $82
                .byte $82
                .byte $82
                .byte $a0
                .byte $88
                .byte $a2
                .byte $8a
                .byte $28
                .byte $a2
                .byte $28
                .byte $a2
                .byte $82
                .byte $28
                .byte $8a
                .byte $a0
                .byte $28
                .byte $28
                .byte $28
                .byte $80
                .byte $00
                .byte $0a
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $80
                .byte $00
                .byte $00
                .byte $40
                .byte $00
                .byte $00
                .byte $80
                .byte $80
                .byte $80
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $80
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $c3
                .byte $00
                .byte $00
                .byte $c0
                .byte $00
                .byte $10
                .byte $03
                .byte $ff
                .byte $30
                .byte $0c
                .byte $03
                .byte $38
                .byte $0d
                .byte $0c
                .byte $30
                .byte $07
                .byte $06
                .byte $18
                .byte $b0
                .byte $6c
                .byte $1b
                .byte $03
                .byte $0d
                .byte $36
                .byte $01
                .byte $09
                .byte $02
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $36
                .byte $10
                .byte $11
                .byte $03
                .byte $0c
                .byte $30
                .byte $06
                .byte $01
                .byte $b0
                .byte $0c
                .byte $1b
                .byte $06
                .byte $1b
                .byte $6c
                .byte $38
                .byte $07
                .byte $0c
                .byte $06
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $55
                .byte $15
                .byte $55
                .byte $55
                .byte $01
                .byte $55
                .byte $55
                .byte $10
                .byte $55
                .byte $05
                .byte $8a
                .byte $aa
                .byte $aa
                .byte $a8
                .byte $aa
                .byte $80
                .byte $aa
                .byte $a2
                .byte $28
                .byte $aa
                .byte $a2
                .byte $aa
                .byte $82
                .byte $82
                .byte $aa
                .byte $a0
                .byte $a2
                .byte $a2
                .byte $aa
                .byte $28
                .byte $aa
                .byte $20
                .byte $82
                .byte $82
                .byte $28
                .byte $aa
                .byte $80
                .byte $28
                .byte $28
                .byte $28
                .byte $80
                .byte $00
                .byte $02
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $c0
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $40
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $00
T_b0b6          .byte $00
T_b0b7          .byte $00
                .byte $80
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
T_b0c1          .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $44
                .byte $01
                .byte $33
                .byte $03
                .byte $11
                .byte $06
                .byte $33
                .byte $27
                .byte $00
                .byte $1d
                .byte $33
                .byte $2d
                .byte $11
                .byte $1f
                .byte $55
                .byte $01
                .byte $11
                .byte $03
                .byte $44
                .byte $01
                .byte $22
                .byte $04
                .byte $44
                .byte $01
                .byte $22
                .byte $13
                .byte $11
                .byte $0b
                .byte $55
                .byte $01
                .byte $33
                .byte $0a
                .byte $22
                .byte $1f
                .byte $00
                .byte $13
                .byte $44
                .byte $01
                .byte $00
                .byte $33
                .byte $33
                .byte $05
                .byte $44
                .byte $01
                .byte $33
                .byte $03
                .byte $11
                .byte $09
                .byte $00
                .byte $9d
                .byte $33
                .byte $31
                .byte $44
                .byte $01
                .byte $11
                .byte $04
                .byte $44
                .byte $01
                .byte $11
                .byte $09
                .byte $33
                .byte $10
                .byte $44
                .byte $01
                .byte $11
                .byte $04
                .byte $44
                .byte $01
                .byte $11
                .byte $10
                .byte $33
                .byte $0b
                .byte $44
                .byte $01
                .byte $11
                .byte $05
                .byte $44
                .byte $01
                .byte $11
                .byte $0e
                .byte $33
                .byte $0b
                .byte $44
                .byte $01
                .byte $11
                .byte $05
                .byte $44
                .byte $01
                .byte $11
                .byte $14
                .byte $33
                .byte $0b
                .byte $44
                .byte $01
                .byte $11
                .byte $04
                .byte $44
                .byte $01
                .byte $11
                .byte $13
                .byte $33
                .byte $0b
                .byte $44
                .byte $01
                .byte $11
                .byte $05
                .byte $44
                .byte $01
                .byte $11
                .byte $10
                .byte $33
                .byte $08
                .byte $44
                .byte $01
                .byte $11
                .byte $21
                .byte $33
                .byte $03
                .byte $22
                .byte $46
                .byte $33
                .byte $03
                .byte $11
                .byte $0b
                .byte $55
                .byte $01
                .byte $33
                .byte $07
                .byte $55
                .byte $01
                .byte $66
                .byte $05
                .byte $33
                .byte $01
                .byte $55
                .byte $01
                .byte $33
                .byte $04
                .byte $55
                .byte $01
                .byte $66
                .byte $bd
                .byte $11
                .byte $0e
                .byte $44
                .byte $01
                .byte $22
                .byte $04
                .byte $44
                .byte $01
                .byte $66
                .byte $04
                .byte $33
                .byte $08
                .byte $00
                .byte $04
                .byte $33
                .byte $05
                .byte $00
                .byte $7e
                .byte $11
                .byte $22
                .byte $00
                .byte $0e
                .byte $11
                .byte $19
                .byte $55
                .byte $01
                .byte $33
                .byte $05
                .byte $55
                .byte $01
                .byte $33
                .byte $04
                .byte $55
                .byte $01
                .byte $11
                .byte $07
                .byte $44
                .byte $01
                .byte $22
                .byte $04
                .byte $44
                .byte $01
                .byte $66
                .byte $03
                .byte $00
                .byte $0e
                .byte $11
                .byte $03
                .byte $33
                .byte $1e
                .byte $00
                .byte $47
                .byte $11
                .byte $2a
                .byte $00
                .byte $07
                .byte $55
                .byte $01
                .byte $11
                .byte $36
                .byte $33
                .byte $04
                .byte $55
                .byte $01
                .byte $11
                .byte $03
                .byte $33
                .byte $2c
                .byte $00
                .byte $0d
                .byte $33
                .byte $11
                .byte $11
                .byte $04
                .byte $00
                .byte $0b
                .byte $55
                .byte $01
                .byte $22
                .byte $04
                .byte $44
                .byte $01
                .byte $33
                .byte $0d
                .byte $00
                .byte $03
                .byte $33
                .byte $17
                .byte $11
                .byte $0f
                .byte $00
                .byte $03
                .byte $11
                .byte $21
                .byte $00
                .byte $0f
                .byte $33
                .byte $12
                .byte $00
                .byte $0f
                .byte $33
                .byte $0a
                .byte $00
                .byte $5a
                .byte $33
                .byte $19
                .byte $00
                .byte $0a
                .byte $44
                .byte $01
                .byte $66
                .byte $02
                .byte $33
                .byte $03
                .byte $11
                .byte $06
                .byte $33
                .byte $22
                .byte $55
                .byte $01
                .byte $33
                .byte $03
                .byte $55
                .byte $01
                .byte $33
                .byte $04
                .byte $55
                .byte $01
                .byte $66
                .byte $1f
                .byte $00
                .byte $1a
                .byte $33
                .byte $22
                .byte $55
                .byte $01
                .byte $33
                .byte $04
                .byte $55
                .byte $01
                .byte $11
                .byte $15
                .byte $44
                .byte $01
                .byte $66
                .byte $7b
                .byte $10
                .byte $1f
                .byte $60
                .byte $07
                .byte $30
                .byte $09
                .byte $36
                .byte $33
                .byte $66
                .byte $04
                .byte $10
                .byte $09
                .byte $16
                .byte $08
                .byte $12
                .byte $01
                .byte $62
                .byte $0c
                .byte $32
                .byte $01
                .byte $36
                .byte $32
                .byte $44
                .byte $01
                .byte $16
                .byte $0b
                .byte $44
                .byte $01
                .byte $16
                .byte $09
                .byte $44
                .byte $01
                .byte $10
                .byte $2c
                .byte $60
                .byte $04
                .byte $30
                .byte $03
                .byte $36
                .byte $0a
                .byte $44
                .byte $01
                .byte $16
                .byte $05
                .byte $44
                .byte $01
                .byte $36
                .byte $03
                .byte $44
                .byte $01
                .byte $36
                .byte $03
                .byte $44
                .byte $01
                .byte $66
                .byte $03
                .byte $36
                .byte $03
                .byte $55
                .byte $01
                .byte $36
                .byte $08
                .byte $55
                .byte $01
                .byte $66
                .byte $4c
                .byte $16
                .byte $09
                .byte $10
                .byte $15
                .byte $44
                .byte $01
                .byte $10
                .byte $2f
                .byte $16
                .byte $09
                .byte $12
                .byte $03
                .byte $16
                .byte $12
                .byte $66
                .byte $02
                .byte $36
                .byte $06
                .byte $66
                .byte $2d
                .byte $55
                .byte $01
                .byte $16
                .byte $03
                .byte $10
                .byte $1c
                .byte $55
                .byte $01
                .byte $16
                .byte $03
                .byte $44
                .byte $01
                .byte $36
                .byte $03
                .byte $32
                .byte $15
                .byte $36
                .byte $0b
                .byte $30
                .byte $0b
                .byte $60
                .byte $0c
                .byte $44
                .byte $01
                .byte $62
                .byte $0d
                .byte $12
                .byte $02
                .byte $16
                .byte $0d
                .byte $44
                .byte $01
                .byte $66
                .byte $20
                .byte $36
                .byte $04
                .byte $30
                .byte $17
                .byte $36
                .byte $1e
                .byte $44
                .byte $01
                .byte $36
                .byte $2f
                .byte $30
                .byte $08
                .byte $60
                .byte $03
                .byte $10
                .byte $22
                .byte $16
                .byte $1b
                .byte $66
                .byte $26
                .byte $55
                .byte $07
                .byte $16
                .byte $03
                .byte $55
                .byte $01
                .byte $66
                .byte $1d
                .byte $16
                .byte $02
                .byte $10
                .byte $85
                .byte $60
                .byte $02
                .byte $30
                .byte $03
                .byte $36
                .byte $03
                .byte $32
                .byte $0f
                .byte $36
                .byte $03
                .byte $30
                .byte $0c
                .byte $36
                .byte $20
                .byte $66
                .byte $01
                .byte $16
                .byte $0a
                .byte $60
                .byte $06
                .byte $66
                .byte $02
                .byte $36
                .byte $08
                .byte $30
                .byte $05
                .byte $60
                .byte $02
                .byte $66
                .byte $02
                .byte $16
                .byte $08
                .byte $10
                .byte $01
                .byte $60
                .byte $06
                .byte $66
                .byte $01
                .byte $36
                .byte $08
                .byte $30
                .byte $04
                .byte $60
                .byte $03
                .byte $66
                .byte $01
                .byte $16
                .byte $08
                .byte $10
                .byte $02
                .byte $60
                .byte $03
                .byte $30
                .byte $01
                .byte $36
                .byte $08
                .byte $30
                .byte $03
                .byte $60
                .byte $03
                .byte $16
                .byte $09
                .byte $10
                .byte $02
                .byte $60
                .byte $03
                .byte $30
                .byte $03
                .byte $36
                .byte $07
                .byte $30
                .byte $03
                .byte $60
                .byte $02
                .byte $10
                .byte $02
                .byte $16
                .byte $08
                .byte $10
                .byte $01
                .byte $60
                .byte $02
                .byte $30
                .byte $02
                .byte $36
                .byte $0a
                .byte $30
                .byte $02
                .byte $60
                .byte $02
                .byte $10
                .byte $03
                .byte $16
                .byte $04
                .byte $10
                .byte $03
                .byte $60
                .byte $05
                .byte $30
                .byte $02
                .byte $36
                .byte $07
                .byte $66
                .byte $16
                .byte $36
                .byte $02
                .byte $66
                .byte $33
                .byte $55
                .byte $01
                .byte $36
                .byte $05
                .byte $55
                .byte $01
                .byte $36
                .byte $04
                .byte $55
                .byte $01
                .byte $36
                .byte $03
                .byte $55
                .byte $01
                .byte $36
                .byte $03
                .byte $55
                .byte $01
                .byte $66
                .byte $a9
                .byte $62
                .byte $0c
                .byte $66
                .byte $07
                .byte $60
                .byte $0f
                .byte $55
                .byte $01
                .byte $66
                .byte $18
                .byte $16
                .byte $2a
                .byte $55
                .byte $01
                .byte $16
                .byte $03
                .byte $66
                .byte $01
                .byte $60
                .byte $07
                .byte $66
                .byte $03
                .byte $36
                .byte $03
                .byte $30
                .byte $1b
                .byte $36
                .byte $08
                .byte $44
                .byte $01
                .byte $66
                .byte $18
                .byte $36
                .byte $0f
                .byte $66
                .byte $08
                .byte $44
                .byte $01
                .byte $66
                .byte $38
                .byte $30
                .byte $0e
                .byte $66
                .byte $11
                .byte $60
                .byte $04
                .byte $66
                .byte $49
                .byte $37
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $33
                .byte $07
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $37
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $33
                .byte $07
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $37
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $33
                .byte $07
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $37
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $09
                .byte $00
                .byte $33
                .byte $07
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $03
                .byte $00
                .byte $30
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $03
                .byte $00
                .byte $30
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $d1
                .byte $d5
                .byte $a0
                .byte $a4
                .byte $b1
                .byte $c3
                .byte $b3
                .byte $b5
                .byte $8d
                .byte $f9
                .byte $f4
                .byte $e1
                .byte $e2
                .byte $ec
                .byte $e5
                .byte $a0
                .byte $c5
                .byte $d1
                .byte $d5
                .byte $a0
                .byte $a4
                .byte $b1
                .byte $c3
                .byte $b5
                .byte $b1
                .byte $8d
                .byte $e2
                .byte $f9
                .byte $f4
                .byte $e1
                .byte $e2
                .byte $ec
                .byte $e5
                .byte $a0
                .byte $c5
                .byte $d1
                .byte $d5
                .byte $a0
                .byte $a4
                .byte $b1
                .byte $c3
                .byte $b6
                .byte $b2
                .byte $8d
                .byte $e2
                .byte $e9
                .byte $f4
                .byte $e1
                .byte $e2
                .byte $ec
                .byte $e5
                .byte $a0
                .byte $c5
                .byte $d1
                .byte $d5
                .byte $a0
                .byte $a4
                .byte $b1
                .byte $c3
                .byte $b7
                .byte $c5
                .byte $8d
                .byte $f8
                .byte $e2
                .byte $f9
                .byte $f4
                .byte $e1
                .byte $e2
                .byte $ec
                .byte $e5
                .byte $a0
                .byte $c5
                .byte $d1
                .byte $d5
                .byte $a0
                .byte $a4
                .byte $b1
                .byte $c3
                .byte $b9
                .byte $c1
                .byte $8d
                .byte $f8
                .byte $e2
                .byte $e9
                .byte $f4
                .byte $e1
                .byte $e2
                .byte $ec
                .byte $e5
                .byte $a0
                .byte $c5
                .byte $d1
                .byte $d5
                .byte $a0
                .byte $a4
                .byte $b1
                .byte $c4
                .byte $b2
                .byte $b6
                .byte $8d
                .byte $e2
                .byte $ef
                .byte $ef
                .byte $f4
                .byte $a0
                .byte $c5
                .byte $d1
                .byte $d5
                .byte $a0
                .byte $a4
                .byte $b1
                .byte $c4
                .byte $c2
                .byte $b2
                .byte $8d
                .byte $f3
                .byte $e3
                .byte $ef
                .byte $f2
                .byte $e5
                .byte $e2
                .byte $f5
                .byte $e6
                .byte $a0
                .byte $c5
                .byte $d1
                .byte $d5
                .byte $a0
                .byte $a4
                .byte $b1
                .byte $c6
                .byte $b0
                .byte $b0
                .byte $8d
                .byte $e3
                .byte $e8
                .byte $e1
                .byte $f2
                .byte $e4
                .byte $e1
                .byte $f4
                .byte $e1
                .byte $a0
                .byte $c5
                .byte $d1
                .byte $d5
                .byte $a0
                .byte $a4
                .byte $c1
                .byte $c4
                .byte $b0
                .byte $b0
                .byte $8d
                .byte $8d
                .byte $f2
                .byte $f7
                .byte $f4
                .byte $f3
                .byte $f0
                .byte $e1
                .byte $f2
                .byte $ed
                .byte $a0
                .byte $c5
                .byte $d1
                .byte $d5
                .byte $a0
                .byte $a4
                .byte $c2
                .byte $b7
                .byte $c5
                .byte $b8
                .byte $8d
                .byte $f2
                .byte $f7
                .byte $f4
                .byte $f3
                .byte $f6
                .byte $ef
                .byte $ec
                .byte $ed
                .byte $a0
                .byte $c5
                .byte $d1
                .byte $d5
                .byte $a0
                .byte $a4
                .byte $c2
                .byte $b7
                .byte $c5
                .byte $c2
                .byte $8d
                .byte $f2
                .byte $f7
                .byte $f4
                .byte $f3
                .byte $f4
                .byte $f2
                .byte $e3
                .byte $eb
                .byte $a0
                .byte $c5
                .byte $d1
                .byte $d5
                .byte $a0
                .byte $a4
                .byte $c2
                .byte $b7
                .byte $c5
                .byte $c3
                .byte $8d
                .byte $f2
                .byte $f7
                .byte $f4
                .byte $f3
                .byte $f3
                .byte $e5
                .byte $e3
                .byte $f4
                .byte $a0
                .byte $c5
                .byte $d1
                .byte $d5
                .byte $a0
                .byte $a4
                .byte $c2
                .byte $b7
                .byte $c5
                .byte $c4
                .byte $8d
                .byte $f2
                .byte $f7
                .byte $f4
                .byte $f3
                .byte $e2
                .byte $f5
                .byte $e6
                .byte $e6
                .byte $a0
                .byte $c5
                .byte $d1
                .byte $d5
                .byte $a0
                .byte $a4
                .byte $c2
                .byte $b7
                .byte $c6
                .byte $b0
                .byte $8d
                .byte $f2
                .byte $f7
                .byte $f4
                .byte $f3
                .byte $e3
                .byte $ed
                .byte $ee
                .byte $09
                .byte $81
                .byte $88
                .byte $18
                .byte $00
                .byte $00
                .byte $07
                .byte $00
                .byte $70
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $11
                .byte $41
                .byte $44
                .byte $14
                .byte $13
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $61
                .byte $11
                .byte $11
                .byte $01
                .byte $00
                .byte $00
                .byte $01
                .byte $00
                .byte $10
                .byte $13
                .byte $00
                .byte $00
                .byte $04
                .byte $00
                .byte $60
                .byte $00
                .byte $04
                .byte $40
                .byte $00
                .byte $00
                .byte $07
                .byte $00
                .byte $10
                .byte $13
                .byte $13
                .byte $11
                .byte $16
                .byte $11
                .byte $71
                .byte $11
                .byte $10
                .byte $01
                .byte $11
                .byte $11
                .byte $01
                .byte $00
                .byte $10
                .byte $13
                .byte $13
                .byte $17
                .byte $16
                .byte $11
                .byte $11
                .byte $17
                .byte $01
                .byte $11
                .byte $10
                .byte $33
                .byte $00
                .byte $00
                .byte $10
                .byte $13
                .byte $13
                .byte $10
                .byte $06
                .byte $00
                .byte $10
                .byte $71
                .byte $11
                .byte $10
                .byte $01
                .byte $33
                .byte $00
                .byte $00
                .byte $30
                .byte $13
                .byte $13
                .byte $11
                .byte $06
                .byte $00
                .byte $00
                .byte $11
                .byte $17
                .byte $01
                .byte $11
                .byte $33
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $13
                .byte $00
                .byte $06
                .byte $00
                .byte $00
                .byte $10
                .byte $71
                .byte $11
                .byte $10
                .byte $11
                .byte $01
                .byte $00
                .byte $10
                .byte $11
                .byte $13
                .byte $00
                .byte $06
                .byte $00
                .byte $00
                .byte $00
                .byte $11
                .byte $17
                .byte $01
                .byte $22
                .byte $22
                .byte $22
                .byte $22
                .byte $22
                .byte $11
                .byte $16
                .byte $11
                .byte $11
                .byte $11
                .byte $03
                .byte $10
                .byte $71
                .byte $11
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $16
                .byte $37
                .byte $01
                .byte $00
                .byte $03
                .byte $00
                .byte $11
                .byte $10
                .byte $07
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $31
                .byte $16
                .byte $00
                .byte $01
                .byte $00
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $31
                .byte $11
                .byte $11
                .byte $22
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $13
                .byte $31
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $01
                .byte $00
                .byte $10
                .byte $30
                .byte $07
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $00
                .byte $00
                .byte $53
                .byte $03
                .byte $70
                .byte $11
                .byte $11
                .byte $71
                .byte $30
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $51
                .byte $13
                .byte $00
                .byte $00
                .byte $c4
                .byte $c9
                .byte $c4
                .byte $a0
                .byte $d9
                .byte $cf
                .byte $d5
                .byte $a0
                .byte $c7
                .byte $c5
                .byte $d4
                .byte $a0
                .byte $d4
                .byte $c8
                .byte $c1
                .byte $d4
                .byte $00
                .byte $00
                .byte $cc
                .byte $cf
                .byte $c4
                .byte $c5
                .byte $a0
                .byte $d2
                .byte $d5
                .byte $ce
                .byte $ce
                .byte $c5
                .byte $52
                .byte $00
                .byte $09
                .byte $81
                .byte $88
                .byte $18
                .byte $00
                .byte $00
                .byte $07
                .byte $00
                .byte $70
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $11
                .byte $41
                .byte $44
                .byte $14
                .byte $13
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $61
                .byte $11
                .byte $11
                .byte $01
                .byte $00
                .byte $00
                .byte $01
                .byte $00
                .byte $10
                .byte $13
                .byte $00
                .byte $00
                .byte $04
                .byte $00
                .byte $60
                .byte $00
                .byte $04
                .byte $40
                .byte $00
                .byte $00
                .byte $07
                .byte $00
                .byte $10
                .byte $13
                .byte $13
                .byte $11
                .byte $16
                .byte $11
                .byte $71
                .byte $11
                .byte $10
                .byte $01
                .byte $11
                .byte $11
                .byte $01
                .byte $00
                .byte $10
                .byte $13
                .byte $13
                .byte $17
                .byte $16
                .byte $11
                .byte $11
                .byte $17
                .byte $01
                .byte $11
                .byte $10
                .byte $33
                .byte $00
                .byte $00
                .byte $10
                .byte $13
                .byte $13
                .byte $10
                .byte $06
                .byte $00
                .byte $10
                .byte $71
                .byte $11
                .byte $10
                .byte $01
                .byte $33
                .byte $00
                .byte $00
                .byte $30
                .byte $13
                .byte $13
                .byte $11
                .byte $06
                .byte $00
                .byte $00
                .byte $11
                .byte $17
                .byte $01
                .byte $11
                .byte $33
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $13
                .byte $00
                .byte $06
                .byte $00
                .byte $00
                .byte $10
                .byte $71
                .byte $11
                .byte $10
                .byte $11
                .byte $01
                .byte $00
                .byte $10
                .byte $11
                .byte $13
                .byte $00
                .byte $06
                .byte $00
                .byte $00
                .byte $00
                .byte $11
                .byte $17
                .byte $01
                .byte $22
                .byte $22
                .byte $22
                .byte $22
                .byte $22
                .byte $11
                .byte $16
                .byte $11
                .byte $11
                .byte $11
                .byte $03
                .byte $10
                .byte $71
                .byte $11
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $16
                .byte $37
                .byte $01
                .byte $00
                .byte $03
                .byte $00
                .byte $11
                .byte $10
                .byte $07
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $31
                .byte $16
                .byte $00
                .byte $01
                .byte $00
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $31
                .byte $11
                .byte $11
                .byte $22
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $13
                .byte $31
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $01
                .byte $00
                .byte $10
                .byte $30
                .byte $07
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $00
                .byte $00
                .byte $53
                .byte $03
                .byte $70
                .byte $11
                .byte $11
                .byte $71
                .byte $30
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $51
                .byte $13
                .byte $00
                .byte $00
                .byte $c4
                .byte $c9
                .byte $c4
                .byte $a0
                .byte $d9
                .byte $cf
                .byte $d5
                .byte $a0
                .byte $c7
                .byte $c5
                .byte $d4
                .byte $a0
                .byte $d4
                .byte $c8
                .byte $c1
                .byte $d4
                .byte $00
                .byte $00
                .byte $cc
                .byte $cf
                .byte $c4
                .byte $c5
                .byte $a0
                .byte $d2
                .byte $d5
                .byte $ce
                .byte $ce
                .byte $c5
                .byte $52
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $80
                .byte $07
                .byte $00
                .byte $30
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $70
                .byte $08
                .byte $13
                .byte $81
                .byte $07
                .byte $30
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $70
                .byte $18
                .byte $31
                .byte $03
                .byte $10
                .byte $01
                .byte $30
                .byte $11
                .byte $11
                .byte $36
                .byte $11
                .byte $11
                .byte $31
                .byte $00
                .byte $10
                .byte $01
                .byte $30
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $33
                .byte $07
                .byte $00
                .byte $30
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $37
                .byte $03
                .byte $00
                .byte $30
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $33
                .byte $07
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $37
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $33
                .byte $07
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $37
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $33
                .byte $07
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $37
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $33
                .byte $07
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
B_b7b5          .byte $30
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $37
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $03
                .byte $00
                .byte $00
                .byte $00
                .byte $09
                .byte $00
                .byte $33
                .byte $07
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $30
                .byte $03
                .byte $00
                .byte $30
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $11
                .byte $03
                .byte $00
                .byte $30
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
T_b7e9          .byte $00
T_b7ea          .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
T_b800          .byte $09
                .byte $02
B_b802          .byte $0c
T_b803          .byte $91
                .byte $ba
                .byte $b8
                .byte $bb
                .byte $f5
                .byte $b8
                .byte $24
                .byte $ba
                .byte $22
                .byte $bb
                .byte $9c
                .byte $b8
                .byte $32
                .byte $b9
                .byte $67
                .byte $bb
                .byte $6f
                .byte $b9
                .byte $6b
                .byte $b8
                .byte $3d
                .byte $bc
                .byte $3d
                .byte $bc
                .byte $3d
                .byte $bc
                .byte $3d
                .byte $bc
                .byte $3d
                .byte $bc
                .byte $00
                .byte $e1
                .byte $68
                .byte $f7
                .byte $8f
                .byte $30
                .byte $da
                .byte $8f
                .byte $4e
                .byte $18
                .byte $ef
                .byte $d2
                .byte $c3
                .byte $c3
                .byte $d1
                .byte $ef
                .byte $1f
                .byte $60
                .byte $b5
                .byte $1e
                .byte $9c
                .byte $31
                .byte $df
                .byte $a5
                .byte $87
                .byte $86
                .byte $a2
                .byte $df
                .byte $3e
                .byte $c1
                .byte $6b
                .byte $3c
                .byte $39
                .byte $63
                .byte $be
                .byte $4b
                .byte $0f
T_b846          .byte $00
                .byte $08
                .byte $09
                .byte $09
                .byte $0a
                .byte $0b
                .byte $0b
                .byte $0c
                .byte $0d
                .byte $0e
                .byte $0e
                .byte $0f
                .byte $10
                .byte $11
                .byte $12
                .byte $13
                .byte $15
                .byte $16
                .byte $17
                .byte $19
                .byte $1a
                .byte $1c
                .byte $1d
                .byte $1f
                .byte $21
                .byte $23
                .byte $25
                .byte $27
                .byte $2a
                .byte $2c
                .byte $2f
                .byte $32
                .byte $35
                .byte $38
                .byte $3b
                .byte $3f
                .byte $43
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $08
                .byte $07
                .byte $ff
                .byte $a0
                .byte $08
                .byte $0c
                .byte $ff
                .byte $a0
                .byte $08
                .byte $10
                .byte $ff
                .byte $a0
                .byte $04
                .byte $13
                .byte $ff
                .byte $d0
                .byte $0c
                .byte $00
                .byte $00
                .byte $00
                .byte $08
                .byte $10
                .byte $ff
                .byte $a0
                .byte $06
                .byte $13
                .byte $ff
                .byte $d0
                .byte $06
                .byte $13
                .byte $ff
                .byte $a0
                .byte $06
                .byte $13
                .byte $ff
                .byte $70
                .byte $10
                .byte $13
                .byte $ff
                .byte $40
                .byte $10
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $13
                .byte $ff
                .byte $c0
                .byte $04
                .byte $12
                .byte $ff
                .byte $a0
                .byte $04
                .byte $11
                .byte $ff
                .byte $a0
                .byte $04
                .byte $10
                .byte $ff
                .byte $a0
                .byte $04
                .byte $0f
                .byte $ff
                .byte $a0
                .byte $04
                .byte $14
                .byte $ff
                .byte $a0
                .byte $04
                .byte $13
                .byte $ff
                .byte $a0
                .byte $04
                .byte $12
                .byte $ff
                .byte $a0
                .byte $04
                .byte $13
                .byte $ff
                .byte $d0
                .byte $04
                .byte $12
                .byte $ff
                .byte $a0
                .byte $04
                .byte $11
                .byte $ff
                .byte $a0
                .byte $04
                .byte $10
                .byte $ff
                .byte $a0
                .byte $04
                .byte $0f
                .byte $ff
                .byte $a0
                .byte $04
                .byte $10
                .byte $ff
                .byte $a0
                .byte $04
                .byte $11
                .byte $ff
                .byte $a0
                .byte $04
                .byte $12
                .byte $ff
                .byte $a0
                .byte $03
                .byte $13
                .byte $ff
                .byte $d0
                .byte $03
                .byte $13
                .byte $ff
                .byte $a0
                .byte $03
                .byte $13
                .byte $ff
                .byte $70
                .byte $04
                .byte $13
                .byte $ff
                .byte $40
                .byte $10
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $05
                .byte $02
                .byte $1c
                .byte $a0
                .byte $05
                .byte $04
                .byte $17
                .byte $a0
                .byte $05
                .byte $05
                .byte $15
                .byte $a0
                .byte $05
                .byte $07
                .byte $13
                .byte $a0
                .byte $05
                .byte $09
                .byte $11
                .byte $a0
                .byte $05
                .byte $0b
                .byte $10
                .byte $a0
                .byte $05
                .byte $0c
                .byte $0c
                .byte $a0
                .byte $05
                .byte $10
                .byte $0b
                .byte $a0
                .byte $05
                .byte $11
                .byte $09
                .byte $a0
                .byte $05
                .byte $13
                .byte $07
                .byte $a0
                .byte $05
                .byte $15
                .byte $05
                .byte $a0
                .byte $05
                .byte $17
                .byte $04
                .byte $a0
                .byte $05
                .byte $1c
                .byte $02
                .byte $a0
                .byte $10
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $0c
                .byte $ff
                .byte $c0
                .byte $08
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $07
                .byte $ff
                .byte $a0
                .byte $04
                .byte $06
                .byte $ff
                .byte $a0
                .byte $04
                .byte $07
                .byte $ff
                .byte $a0
                .byte $04
                .byte $08
                .byte $ff
                .byte $a0
                .byte $08
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $07
                .byte $ff
                .byte $a0
                .byte $08
                .byte $00
                .byte $00
                .byte $00
                .byte $0c
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $17
                .byte $11
                .byte $a0
                .byte $08
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $18
                .byte $10
                .byte $a0
                .byte $10
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $07
                .byte $ff
                .byte $a0
                .byte $01
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $07
                .byte $ff
                .byte $a0
                .byte $01
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $07
                .byte $ff
                .byte $a0
                .byte $05
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $07
                .byte $ff
                .byte $a0
                .byte $01
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $07
                .byte $ff
                .byte $a0
                .byte $01
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $07
                .byte $ff
                .byte $a0
                .byte $05
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $07
                .byte $ff
                .byte $a0
                .byte $01
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $07
                .byte $ff
                .byte $a0
                .byte $01
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $0c
                .byte $ff
                .byte $b0
                .byte $05
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $0e
                .byte $ff
                .byte $b0
                .byte $05
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $10
                .byte $ff
                .byte $b0
                .byte $05
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $07
                .byte $ff
                .byte $a0
                .byte $01
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $07
                .byte $ff
                .byte $a0
                .byte $01
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $07
                .byte $ff
                .byte $a0
                .byte $05
                .byte $00
                .byte $00
                .byte $a0
                .byte $03
                .byte $07
                .byte $ff
                .byte $a0
                .byte $01
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $07
                .byte $ff
                .byte $a0
                .byte $01
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $07
                .byte $ff
                .byte $a0
                .byte $05
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $0c
                .byte $ff
                .byte $a0
                .byte $01
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $10
                .byte $ff
                .byte $a0
                .byte $01
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $0e
                .byte $ff
                .byte $b0
                .byte $05
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $0b
                .byte $ff
                .byte $b0
                .byte $05
                .byte $00
                .byte $00
                .byte $00
                .byte $03
                .byte $07
                .byte $ff
                .byte $b0
                .byte $10
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $07
                .byte $ff
                .byte $a0
                .byte $04
                .byte $0c
                .byte $ff
                .byte $a0
                .byte $04
                .byte $10
                .byte $ff
                .byte $a0
                .byte $04
                .byte $13
                .byte $ff
                .byte $d0
                .byte $08
                .byte $00
                .byte $00
                .byte $00
                .byte $02
                .byte $13
                .byte $ff
                .byte $a0
                .byte $02
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $13
                .byte $ff
                .byte $a0
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $10
                .byte $ff
                .byte $d0
                .byte $08
                .byte $00
                .byte $00
                .byte $00
                .byte $02
                .byte $10
                .byte $ff
                .byte $a0
                .byte $02
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $10
                .byte $ff
                .byte $a0
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $0c
                .byte $ff
                .byte $a0
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $10
                .byte $ff
                .byte $a0
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $0c
                .byte $ff
                .byte $a0
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $06
                .byte $07
                .byte $ff
                .byte $d0
                .byte $06
                .byte $07
                .byte $ff
                .byte $a0
                .byte $06
                .byte $07
                .byte $ff
                .byte $70
                .byte $06
                .byte $07
                .byte $ff
                .byte $50
                .byte $10
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $02
                .byte $13
                .byte $10
                .byte $d0
                .byte $06
                .byte $13
                .byte $10
                .byte $a0
                .byte $08
                .byte $11
                .byte $0e
                .byte $a0
                .byte $06
                .byte $10
                .byte $0c
                .byte $a0
                .byte $02
                .byte $10
                .byte $0c
                .byte $40
                .byte $08
                .byte $10
                .byte $0c
                .byte $a0
                .byte $08
                .byte $11
                .byte $0e
                .byte $a0
                .byte $06
                .byte $10
                .byte $0c
                .byte $a0
                .byte $02
                .byte $10
                .byte $0c
                .byte $40
                .byte $08
                .byte $0e
                .byte $07
                .byte $a0
                .byte $08
                .byte $10
                .byte $0c
                .byte $a0
                .byte $06
                .byte $0e
                .byte $07
                .byte $a0
                .byte $02
                .byte $0e
                .byte $07
                .byte $40
                .byte $04
                .byte $0e
                .byte $07
                .byte $d0
                .byte $04
                .byte $0e
                .byte $07
                .byte $b0
                .byte $04
                .byte $0e
                .byte $07
                .byte $a0
                .byte $04
                .byte $0e
                .byte $07
                .byte $90
                .byte $04
                .byte $0e
                .byte $07
                .byte $80
                .byte $04
                .byte $0e
                .byte $07
                .byte $70
                .byte $08
                .byte $0e
                .byte $07
                .byte $a0
                .byte $08
                .byte $10
                .byte $0c
                .byte $a0
                .byte $06
                .byte $0e
                .byte $07
                .byte $a0
                .byte $02
                .byte $0e
                .byte $07
                .byte $40
                .byte $04
                .byte $0e
                .byte $07
                .byte $d0
                .byte $04
                .byte $0e
                .byte $07
                .byte $b0
                .byte $04
                .byte $0e
                .byte $07
                .byte $a0
                .byte $04
                .byte $0e
                .byte $07
                .byte $90
                .byte $04
                .byte $0e
                .byte $07
                .byte $80
                .byte $04
                .byte $0e
                .byte $07
                .byte $70
                .byte $04
                .byte $0e
                .byte $07
                .byte $60
                .byte $04
                .byte $0e
                .byte $07
                .byte $50
                .byte $04
                .byte $0e
                .byte $07
                .byte $40
                .byte $04
                .byte $0e
                .byte $07
                .byte $30
                .byte $08
                .byte $0e
                .byte $07
                .byte $20
                .byte $10
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $10
                .byte $ff
                .byte $a0
                .byte $04
                .byte $13
                .byte $ff
                .byte $a0
                .byte $04
                .byte $18
                .byte $ff
                .byte $a0
                .byte $04
                .byte $15
                .byte $ff
                .byte $a0
                .byte $04
                .byte $11
                .byte $ff
                .byte $a0
                .byte $04
                .byte $0e
                .byte $ff
                .byte $a0
                .byte $04
                .byte $13
                .byte $ff
                .byte $a0
                .byte $04
                .byte $11
                .byte $ff
                .byte $a0
                .byte $04
                .byte $0e
                .byte $ff
                .byte $a0
                .byte $04
                .byte $0c
                .byte $ff
                .byte $a0
                .byte $0c
                .byte $00
                .byte $00
                .byte $00
                .byte $02
                .byte $18
                .byte $ff
                .byte $a0
                .byte $02
                .byte $13
                .byte $ff
                .byte $a0
                .byte $02
                .byte $10
                .byte $ff
                .byte $a0
                .byte $04
                .byte $0c
                .byte $ff
                .byte $a0
                .byte $10
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $18
                .byte $ff
                .byte $a0
                .byte $04
                .byte $17
                .byte $ff
                .byte $a0
                .byte $04
                .byte $16
                .byte $ff
                .byte $a0
                .byte $04
                .byte $15
                .byte $ff
                .byte $a0
                .byte $04
                .byte $14
                .byte $ff
                .byte $a0
                .byte $04
                .byte $13
                .byte $ff
                .byte $a0
                .byte $04
                .byte $12
                .byte $ff
                .byte $a0
                .byte $04
                .byte $11
                .byte $ff
                .byte $a0
                .byte $04
                .byte $10
                .byte $ff
                .byte $a0
                .byte $04
                .byte $0f
                .byte $ff
                .byte $a0
                .byte $04
                .byte $0e
                .byte $ff
                .byte $a0
                .byte $04
                .byte $0d
                .byte $ff
                .byte $a0
                .byte $04
                .byte $0c
                .byte $ff
                .byte $a0
                .byte $0c
                .byte $00
                .byte $00
                .byte $00
                .byte $02
                .byte $0c
                .byte $ff
                .byte $a0
                .byte $02
                .byte $10
                .byte $ff
                .byte $a0
                .byte $02
                .byte $13
                .byte $ff
                .byte $a0
                .byte $04
                .byte $18
                .byte $ff
                .byte $a0
                .byte $10
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $10
                .byte $ff
                .byte $a0
                .byte $04
                .byte $13
                .byte $ff
                .byte $a0
                .byte $04
                .byte $18
                .byte $ff
                .byte $a0
                .byte $04
                .byte $13
                .byte $ff
                .byte $a0
                .byte $04
                .byte $10
                .byte $ff
                .byte $a0
                .byte $04
                .byte $13
                .byte $ff
                .byte $a0
                .byte $04
                .byte $18
                .byte $ff
                .byte $a0
                .byte $04
                .byte $13
                .byte $ff
                .byte $a0
                .byte $04
                .byte $15
                .byte $ff
                .byte $d0
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $02
                .byte $11
                .byte $ff
                .byte $a0
                .byte $02
                .byte $11
                .byte $ff
                .byte $80
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $02
                .byte $11
                .byte $ff
                .byte $a0
                .byte $02
                .byte $11
                .byte $ff
                .byte $80
                .byte $0c
                .byte $00
                .byte $00
                .byte $00
                .byte $04
                .byte $12
                .byte $ff
                .byte $a0
                .byte $04
                .byte $15
                .byte $ff
                .byte $a0
                .byte $04
                .byte $1f
                .byte $0f
                .byte $a0
                .byte $04
                .byte $15
                .byte $ff
                .byte $a0
                .byte $04
                .byte $12
                .byte $ff
                .byte $a0
                .byte $04
                .byte $15
                .byte $ff
                .byte $a0
                .byte $04
                .byte $1f
                .byte $0f
                .byte $a0
                .byte $04
                .byte $15
                .byte $ff
                .byte $a0
                .byte $04
                .byte $17
                .byte $ff
                .byte $d0
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $02
                .byte $13
                .byte $ff
                .byte $a0
                .byte $02
                .byte $13
                .byte $ff
                .byte $80
                .byte $04
                .byte $00
                .byte $00
                .byte $00
                .byte $02
                .byte $13
                .byte $ff
                .byte $a0
                .byte $02
                .byte $13
                .byte $ff
                .byte $80
                .byte $10
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $00
                .byte $5b
                
                sta $5b92
                sta $5b93
                lda #$a0
                sta $5ca8
                sta $5ca9
                sta $5caa
                sta $5cab
                ldy #$03
                lda #$aa
                sta $5b98,y
                dey
                bpl $bc57
                lda $8c58
                clc
                adc #$08
                sta $8c58
                bcc $bc6b
                inc $8c59
                dex
                bne $bc53
                lda #$5b
                sta $8c59
                lda #$98
                sta $8c58
                lda #$10
                sta $50                           ; lrzScreenRow  (00-0f)
                lda #$00
                sta $4f                           ; lrzScreenCol (00-1b)
                jsr $8e39                         ; TextOut
                .byte $d3 ; S
                .byte $c3 ; C
                .byte $cf ; O
                .byte $d2 ; R
                .byte $c5 ; E
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $cd ; M
                .byte $c5 ; E
                .byte $ce ; N
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $cc ; L
                .byte $c5 ; E
                .byte $d6 ; V
                .byte $c5 ; E
                .byte $cc ; L
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $a0 ; <blank>
                .byte $00 ; EndOfText
                ldy #$08                          ;
                lda #$db                          ;
B8ca4           clc                               ;       <islStatusAdd>
                adc LR_8dbf,y                     ; address Hi modified - 93bf
                eor #$01                          ;
                dey                               ;
                bpl B8ca4                         ; => islStatusAdd
                sta CR_13af                       ;       <>
                cmp #$d5                          ; 213
                beq B8cb7                         ;
                inc LR_9046                       ;
B8cb7           lda $a8                           ;       <islStatusValues>
                sta LR_8ca7                       ; restore address
                jsr S_8cc8                        ; StatusOutLives
                jsr S_8ced                        ; StatusOutLevel
                lda #$00                          ;
                tay                               ;
                jmp $8d09                         ; AddDisplayScore (ac=1s yr=100s)
                lda $1356                         ; lrNewStatusColor
                bne $bd08                         ;
                lda $1312                         ; lrNumLives
                ldx #$10                          ;
                stx $4f                           ; lrzScreenCol (00-1b)
                jsr $8d86                         ; Hex2Dec  (1307=100 1308=10 1309=1)
                lda #$10                          ;
                sta $50                           ; lrzScreenRow  (00-0f)
                lda $1307                         ; lrDec100
                jsr $8da8                         ; Digits2Screen
                lda $1308                         ; lrDec10
                jsr $8da8                         ; Digits2Screen
                lda $1309                         ; lrDec1
                jmp $8da8                         ; Digits2Screen
                lda $1305                         ; lrNumPlayLvl
                ldx #$19
                bne $bcd2
                lda #$14
                sta $4f                           ; lrzScreenCol (00-1b)
                lda #$10                          ;
                sta $50                           ; lrzScreenRow  (00-0f)
                jsr $8e39                         ; TextOut
                .byte $cc ; L
                .byte $c5 ; E
                .byte $d6 ; V
                .byte $c5 ; E
                .byte $cc ; L
                .byte $00 ; EndOfText
                jmp $8ced                         ; StatusOutLevel      <>
                rts
                
                clc
                sed
                adc $130a                         ; lrScoreLow
                sta $130a                         ; lrScoreLow
                tya
                adc $130b                         ; lrScoreMidLow
                sta $130b                         ; lrScoreMidLow
                lda #$00                           ;
                adc $130c                         ; lrScoreMidHigh
                sta $130c                         ; lrScoreMidHigh
                lda #$00                           ;
                adc $130d                         ; lrScoreHigh
                sta $130d                         ; lrScoreHigh
                cld
                lda #$05                          ;
                sta $4f                           ; lrzScreenCol (00-1b)
                lda #$10                          ;
                sta $50                           ; lrzScreenRow  (00-0f)
                lda $130d                         ; lrScoreHigh
                jsr $8d73                         ;
                lda $1309                         ; lrDec1
                jsr $8da8                         ; Digits2Screen
                lda $130c                         ; lrScoreMidHigh
                jsr $8d73                         ;
                lda $1308                         ; lrDec10
                jsr $8da8                         ; Digits2Screen
                lda $1309                         ; lrDec1
                jsr $8da8                         ; Digits2Screen
                lda $130b                         ; lrScoreMidLow
                jsr $8d73                         ;
                lda $1308                         ; lrDec10
                jsr $8da8                         ; Digits2Screen
                lda $1309                         ; lrDec1
                jsr $8da8                         ; Digits2Screen
                lda $130a                         ; lrScoreLow
                jsr $8d73                         ;
                lda $1308                         ; lrDec10
                jsr $8da8                         ; Digits2Screen
                lda $1309                         ; lrDec1
                jmp $8da8                         ; Digits2Screen
                sta $1308                         ; lrDec10
                and #$0f
                sta $1309                         ; lrDec1
                lda $1308                         ; lrDec10
                lsr a
                lsr a
                lsr a
                lsr a
                sta $1308                         ; lrDec10
                rts
                
                ldx #$00
                stx $1308                         ; lrDec10
                stx $1307                         ; lrDec100
                cmp #$64
                bcc $bd99
                inc $1307                         ; lrDec100
                sbc #$64
                bne $bd8e
                cmp #$0a
                bcc $bda4
                inc $1308                         ; lrDec10
                sbc #$0a
                bne $bd99
                sta $1309                         ; lrDec1
                rts
                
                clc
                adc #$3b
                ldx $51                           ; lrzTargetOutput  (20=2000 [display] 40=4000 [hidden])
                cpx #$40
                beq $bdb7                         ;
                jsr $8eda                         ; DisplayScreenOut (2000)
                inc $4f                           ; lrzScreenCol (00-1b)
                rts
                
                jsr $8ee0                         ; HiddenScreenOut (4000)
                inc $4f                           ; lrzScreenCol (00-1b)
                rts
                
                
                sec
                sbc #$75
                rts
                
                
                cmp #$b0
                bcc $bdc9
                cmp #$ba
                bcc $bdbd
                cmp #$c1
                bcc $bdd1
                cmp #$db
                bcc $bdff
                ldx #$7c
                cmp #$a0
                beq $bdfe
                ldx #$db
                cmp #$be
                beq $bdfe
                inx
                cmp #$ae
                beq $bdfe
                inx
                cmp #$a8
                beq $bdfe
                inx
                cmp #$a9
                beq $bdfe
                inx
                cmp #$af
                beq $bdfe
                inx
                cmp #$ad
                beq $bdfe
                inx
                cmp #$bc
                beq $bdfe
                lda #$10
                rts
                
                
                txa
                sec
