; ------------------------------------------------------------------------------------------------------------- ;
; CommandTables     Function: In game command tables
;                   Parms   : 
;                   Returns : The routines start addresses will be put on the stack and called with RTS afterwards
; ------------------------------------------------------------------------------------------------------------- ;
TabInGameCmdChr     dc.b $9e ; U                          - Try Next Level
                    dc.b $a9 ; P                          - Try Previous Level
                    dc.b $be ; Q - Quit                   - Quit level test and return to editor
                    dc.b $95 ; F                          - Inc Number of Lives
                    dc.b $3f ; <run/stop>                 - Pause game
                    dc.b $91 ; R                          - Resign
                    dc.b $8a ; A                          - Restart Level
                    dc.b $a2 ; J                          - Set Joystick Control
                    dc.b $a5 ; K                          - Set Keyboard Control
                    dc.b $a4 ; M                          - Load Level Mirrored
                    dc.b $aa ; L                          - Load Game
                    dc.b $8d ; S                          - Save Game
                    dc.b $97 ; X                          - Transmit level to a slot of drive 9
                    dc.b $9a ; G                          - Set all Gold collected in expert mode
                    dc.b $8c ; Z                          - Random (Zufall) level mode
                    dc.b $92 ; D                          - Toggle Shoot Mode
                    dc.b $28 ; +                          - Inc Game Speed
                    dc.b $a8 ; + plus <commodore>         - Inc Game Speed + <commodore> key
                    dc.b $2b ; -                          - Dec Game Speed
                    dc.b $ab ; - plus <commodore>         - Dec Game Speed + <commodore> key
                    dc.b $00 ; <end_of_tab>
                    
TabInGameCmdSub     dc.w IGC_NextLvl     - 1 ; U          - Try Next Level
                    dc.w IGC_PrevLvl     - 1 ; P          - Try Previous Level
                    dc.w IGC_QuitLvl     - 1 ; Q          - Quit level test and return to editor 
                    dc.w IGC_IncNumLife  - 1 ; F          - Inc Number of Lives
                    dc.w IGC_Pause       - 1 ; <run/stop> - Pause game
                    dc.w IGC_Resign      - 1 ; R          - Resign
                    dc.w IGC_Suicide     - 1 ; A          - Restart Level
                    dc.w IGC_SetJoy      - 1 ; J          - Set Joystick Control
                    dc.w IGC_SetKey      - 1 ; K          - Set Keyboard Control
                    dc.w IGC_SetMirror   - 1 ; M          - Load Level Mirrored
                    dc.w IGC_SetLoad     - 1 ; L          - Load Game
                    dc.w IGC_SetSave     - 1 ; S          - Save Game
                    dc.w IGC_Xmit        - 1 ; X          - Transmit level to a slot of drive 9
                    dc.w IGC_Success     - 1 ; G          - Set all Gold collected in expert mode
                    dc.w IGC_Random      - 1 ; Z          - Random (Zufall) level mode
                    dc.w IGC_ShootMode   - 1 ; D          - Toggle Shoot Mode
                    dc.w IGC_IncSpeed    - 1 ; +          - Inc Game Speed
                    dc.w IGC_IncSpeed    - 1 ; +          - Inc Game Speed + <commodore> key
                    dc.w IGC_DecSpeed    - 1 ; -          - Dec Game Speed
                    dc.w IGC_DecSpeed    - 1 ; -          - Dec Game Speed + <commodore> key
; ------------------------------------------------------------------------------------------------------------- ;
TabBoardEdCmdChr    dc.b $29 ; p - Play  level
                    dc.b $14 ; c - Clear level
                    dc.b $0e ; e - Edit  level
                    dc.b $24 ; m - Move  level
                    dc.b $17 ; x - Swap  level
                    dc.b $21 ; i - Initialize disk
                    dc.b $0d ; s - Show  high scores - .hbu011.
                    dc.b $8d ; S - Clear high scores - .hbu011.
                    dc.b $00 ; EndOfCmds
                    
TabBoardEdCmdSub    dc.w BED_PlayLevel   - 1
                    dc.w BED_ClearLevel  - 1
                    dc.w BED_Edit        - 1
                    dc.w BED_MoveLevel   - 1
                    dc.w BED_SwapLevels  - 1
                    dc.w BED_InitDisk    - 1
                    dc.w BED_ShowScore   - 1        ; .hbu011.
                    dc.w BED_ClearScore  - 1        ; .hbu011.
; ------------------------------------------------------------------------------------------------------------- ;
TabLevelEdCmdChr    dc.b $21 ; i - up
                    dc.b $24 ; m - down
                    dc.b $22 ; j - left
                    dc.b $25 ; k - right
                    
                    dc.b $87 ; <cursor up>          ; .hbu009.
                    dc.b $07 ; <cursor down>        ; .hbu009.
                    dc.b $82 ; <cursor left>        ; .hbu009.
                    dc.b $02 ; <cursor right>       ; .hbu009.
                    
                    dc.b $8d ; S - Save 
                    dc.b $96 ; T - Test     level   ; .hbu009.
                    dc.b $8a ; A - Reload   level   ; .hbu009.
                    dc.b $95 ; F - Forward  level 
                    dc.b $9e ; U - Forward  level   ; .hbu009.
                    dc.b $9c ; B - Backward level 
                    dc.b $a9 ; P - Backward level   ; .hbu009.
                    dc.b $97 ; X - Transmit level   ; .hbu017.
                    dc.b $a4 ; M - Mirror   level   ; .hbu012.
                    dc.b $16 ; t - edit msg text    ; .hbu009.
                    dc.b $be ; Q - Quit 
                    dc.b $00 ; EndOfCmdTab
                    
TabLevelEdCmdSub    dc.w LED_CurUp     - 1
                    dc.w LED_CurDo     - 1
                    dc.w LED_CurLe     - 1
                    dc.w LED_CurRi     - 1
                    
                    dc.w LED_CurUp     - 1          ; .hbu009.
                    dc.w LED_CurDo     - 1          ; .hbu009.
                    dc.w LED_CurLe     - 1          ; .hbu009.
                    dc.w LED_CurRi     - 1          ; .hbu009.
                    
                    dc.w LED_SaveLvl   - 1
                    dc.w LED_TestLvl   - 1          ; .hbu023.
                    dc.w LED_SameLvl   - 1          ; .hbu009.
                    dc.w LED_NextLvl   - 1
                    dc.w LED_NextLvl   - 1
                    dc.w LED_PrevLvl   - 1
                    dc.w LED_PrevLvl   - 1
                    dc.w LED_XmitLvl   - 1          ; .hbu017.
                    dc.w LED_MirrorLvl - 1          ; .hbu012.
                    dc.w LED_MsgTxtLvl - 1          ; .hbu009.
                    dc.w LED_Quit      - 1
; ------------------------------------------------------------------------------------------------------------- ;
TabWaitColor        dc.b WHITE
                    dc.b LT_GREY
                    dc.b GREY
                    dc.b DK_GREY
                    dc.b BLACK
                    dc.b DK_GREY
                    dc.b GREY
                    dc.b LT_GREY
; ------------------------------------------------------------------------------------------------------------- ;
; TabSpriteGame     Function: Game sprite substitution table
;                           : All entries correspond to their positions in DatImages
;                           : Sprite $00 entries will be positionally corrected
;                           : Sprite $ff entries will be ignored
;                           : Sprite $nn entries will replace their corresponding position number
;                   Parms   : ac=Sprite ID
;                   Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
TabSpriteGame       dc.b $ff                        ; $00 (not_used)
                    dc.b $ff                        ; $01 (not_used)
                    dc.b $ff                        ; $02 (not_used)
                    dc.b $ff                        ; $03 (not_used)
                    dc.b $ff                        ; $04 (not_used)
                    dc.b $ff                        ; $05 (not_used)
                    dc.b $ff                        ; $06 (not_used)
                    dc.b $ff                        ; $07 (not_used)
                    dc.b NoSprite_RuLe00            ; $08 - enemy      - replace MC tile in game mode
                    dc.b $00                        ; $09 - LodeRunner - if set to NoSprite_RuRi00 - lr is misplaced in many levels - why??
                    dc.b $ff                        ; $0a (not_used)
                    dc.b $00                        ; $0b --> sprite run    left  01
                    dc.b $00                        ; $0c --> sprite run    left  02
                    dc.b $00                        ; $0d --> sprite run    left  03
                    dc.b $00                        ; $0e --> sprite ladder u/d   01
                    dc.b $00                        ; $0f --> sprite fire   left    
                    dc.b $00                        ; $10 --> sprite run    right 01 - .hbu008.
                    dc.b $00                        ; $11 --> sprite run    right 02
                    dc.b $00                        ; $12 --> sprite run    right 03
                    dc.b $00                        ; $13 --> sprite ladder u/d   02
                    dc.b $00                        ; $14 --> sprite fall   left    
                    dc.b $00                        ; $15 --> sprite fall   right   
                    dc.b $00                        ; $16 --> sprite pole   right 01
                    dc.b $00                        ; $17 --> sprite pole   right 02
                    dc.b $00                        ; $18 --> sprite pole   right 03
                    dc.b $00                        ; $19 --> sprite pole   left  01
                    dc.b $00                        ; $1a --> sprite pole   left  02
                    dc.b $00                        ; $1b --> sprite pole   left  03
                    dc.b $ff                        ; $1c (not_used)
                    dc.b $ff                        ; $1d (not_used)
                    dc.b $ff                        ; $1e (not_used)
                    dc.b $ff                        ; $1f (not_used)
                    dc.b $ff                        ; $20 (not_used)
                    dc.b $ff                        ; $21 (not_used)
                    dc.b $ff                        ; $22 (not_used)
                    dc.b $ff                        ; $23 (not_used)
                    dc.b $ff                        ; $24 (not_used)
                    dc.b $ff                        ; $25 (not_used)
                    dc.b $00                        ; $26 --> sprite fire   right
                    dc.b $ff                        ; $27 (not_used)
                    dc.b $ff                        ; $28 (not_used)
                    dc.b NoSprite_RuRi00            ; $29 - 
                    dc.b NoSprite_RuRi01            ; $2a - 
                    dc.b NoSprite_RuRi02            ; $2b - 
                    dc.b NoSprite_RuLe01            ; $2c - 
                    dc.b NoSprite_RuLe02            ; $2d - 
                    dc.b NoSprite_PoRi00            ; $2e - 
                    dc.b NoSprite_PoRi01            ; $2f - 
                    dc.b NoSprite_PoRi02            ; $30 - 
                    dc.b NoSprite_PoLe00            ; $31 - 
                    dc.b NoSprite_PoLe01            ; $32 - 
                    dc.b NoSprite_PoLe02            ; $33 - 
                    dc.b NoSprite_Ladr00            ; $34 - 
                    dc.b NoSprite_Ladr01            ; $35 - 
                    dc.b NoSprite_FallRi            ; $36 - 
                    dc.b NoSprite_FallLe            ; $37 - 
                    dc.b $ff                        ; $38 (not_used)
                    dc.b $ff                        ; $39 (not_used)
; ------------------------------------------------------------------------------------------------------------- ;
TabSetSprtMSB       dc.b $01 ; .......#  set   - sprite x pos msb tab
TabClrSprtMSB       dc.b $fe ; #######.  clear - sprite x pos msb tab
                    
                    dc.b $02 ; ......#.  set   - sprite x pos msb tab
                    dc.b $fd ; ######.#  clear - sprite x pos msb tab
                    
                    dc.b $04 ; .....#..  set   - sprite x pos msb tab
                    dc.b $fb ; #####.##  clear - sprite x pos msb tab
                    
                    dc.b $08 ; ....#...  set   - sprite x pos msb tab
                    dc.b $f7 ; ####.###  clear - sprite x pos msb tab
                    
                    dc.b $10 ; ...#....  set   - sprite x pos msb tab
                    dc.b $ef ; ###.####  clear - sprite x pos msb tab
                    
                    dc.b $20 ; ..#.....  set   - sprite x pos msb tab
                    dc.b $df ; ##.#####  clear - sprite x pos msb tab
                    
                    dc.b $40 ; .#......  set   - sprite x pos msb tab
                    dc.b $bf ; #.######  clear - sprite x pos msb tab
                    
                    dc.b $80 ; #.......  set   - sprite x pos msb tab
                    dc.b $7f ; .#######  clear - sprite x pos msb tab
; ------------------------------------------------------------------------------------------------------------- ;
TabSprtDatPtrLo     dc.b <LR_SpriteData00           ; sprite data pos low tab
                    dc.b <LR_SpriteData01
                    dc.b <LR_SpriteData02
                    dc.b <LR_SpriteData03
                    dc.b <LR_SpriteData04
                    dc.b <LR_SpriteData05
; ------------------------------------------------------------------------------------------------------------- ;
TabSprtDatPtrHi     dc.b >LR_SpriteData00           ; sprite data pos high tab
                    dc.b >LR_SpriteData01
                    dc.b >LR_SpriteData02
                    dc.b >LR_SpriteData03
                    dc.b >LR_SpriteData04
                    dc.b >LR_SpriteData05
; ------------------------------------------------------------------------------------------------------------- ;
TabSpriteNum        dc.b $00                        ; filler  - LR_NoEnemy2Move counter from 1-5
                    dc.b $02                        ; enemy 1 - color table pos
                    dc.b $03                        ; enemy 2 - color table pos
                    dc.b $04                        ; enemy 3 - color table pos
                    dc.b $06                        ; enemy 4 - color table pos
                    dc.b $07                        ; enemy 5 - color table pos
; ------------------------------------------------------------------------------------------------------------- ;
TabSubstRowHighS    dc.b $00 ; 00                   ; new high score grouped row positions
                    dc.b $0a ; 01
                    dc.b $15 ; 02
                    dc.b $20 ; 03
                    dc.b $2b ; 04
                    dc.b $35 ; 05
                    dc.b $41 ; 06
                    dc.b $4d ; 07
                    dc.b $5c ; 08
                    dc.b $67 ; 09
                    dc.b $72 ; 0a
                    dc.b $81 ; 0b
                    dc.b $8c ; 0c
                    dc.b $97 ; 0d
                    dc.b $a6 ; 0e
                    dc.b $b1 ; 0f
                    dc.b $bc ; 10
; ------------------------------------------------------------------------------------------------------------- ;
TabSubstRow         dc.b $00 ; 00                   ; game row positions
                    dc.b $0b ; 01
                    dc.b $16 ; 02
                    dc.b $21 ; 03
                    dc.b $2c ; 04
                    dc.b $37 ; 05
                    dc.b $42 ; 06
                    dc.b $4d ; 07
                    dc.b $58 ; 08
                    dc.b $63 ; 09
                    dc.b $6e ; 0a
                    dc.b $79 ; 0b
                    dc.b $84 ; 0c
                    dc.b $8f ; 0d
                    dc.b $9a ; 0e
                    dc.b $a5 ; 0f
                    dc.b $b5 ; 10
; ------------------------------------------------------------------------------------------------------------- ;
TabSubstCol         dc.b $0a ; 01: ....#.   #.   - rightmost two bits isolated for GetImageBytes - position type 0-3
                    dc.b $0f ; 02: ....##   ##
                    dc.b $14 ; 03: ...#.#   ..
                    dc.b $19 ; 04: ...##.   .#
                    dc.b $1e ; 05: ...###   #.
                    dc.b $23 ; 06: ..#...   ##
                    dc.b $28 ; 07: ..#.#.   ..
                    dc.b $2d ; 08: ..#.##   .#
                    dc.b $32 ; 09: ..##..   #.
                    dc.b $37 ; 0a: ..##.#   ##
                    dc.b $3c ; 0b: ..####   ..
                    dc.b $41 ; 0c: .#....   .#
                    dc.b $46 ; 0d: .#...#   #.
                    dc.b $4b ; 0e: .#..#.   ##
                    dc.b $50 ; 0f: .#.#..   ..
                    dc.b $55 ; 10: .#.#.#   .#
                    dc.b $5a ; 11: .#.##.   #.
                    dc.b $5f ; 12: .#.###   ##
                    dc.b $64 ; 13: .##..#   ..
                    dc.b $69 ; 14: .##.#.   .#
                    dc.b $6e ; 15: .##.##   #.
                    dc.b $73 ; 16: .###..   ##
                    dc.b $78 ; 17: .####.   ..
                    dc.b $7d ; 18: .#####   .#
                    dc.b $82 ; 19: #.....   #.
                    dc.b $87 ; 1a: #....#   ##
                    dc.b $8c ; 1b: #...##   ..
                    dc.b $91 ; 1c: #..#..   .#
; ------------------------------------------------------------------------------------------------------------- ;
TabOffsetsX         dc.b $fe ; -2
                    dc.b $ff ; -1
                    dc.b $00 ;  0
                    dc.b $01 ; +1
                    dc.b $02 ; +2
; ------------------------------------------------------------------------------------------------------------- ;
TabOffsetsY         dc.b $fb ; -4
                    dc.b $fd ; -2
                    dc.b $00 ;  0
                    dc.b $02 ; +2
                    dc.b $04 ; +4
; ------------------------------------------------------------------------------------------------------------- ;
TabSpColorSets      equ *
TabSpColorStart     dc.b WHITE  ,BLACK  ,CYAN     ,CYAN     ,CYAN      ,BLACK  ,CYAN     ,CYAN     ; .hbu004.
                    
TabSpColorSet010    dc.b WHITE  ,BLACK  ,YELLOW   ,LT_GREEN ,LT_RED    ,BLACK  ,LT_GREY  ,CYAN     ; .hbu004.
TabSpColorSet020    dc.b WHITE  ,BLACK  ,LT_RED   ,LT_BLUE  ,PURPLE    ,BLACK  ,YELLOW   ,LT_GREY  ; .hbu004.
TabSpColorSet030    dc.b WHITE  ,BLACK  ,LT_GREEN ,LT_RED   ,YELLOW    ,BLACK  ,CYAN     ,LT_GREY  ; .hbu004.
TabSpColorSet040    dc.b WHITE  ,BLACK  ,YELLOW   ,PURPLE   ,LT_BLUE   ,BLACK  ,LT_GREEN ,LT_GREY  ; .hbu004.
TabSpColorSet050    dc.b WHITE  ,BLACK  ,LT_RED   ,LT_BLUE  ,PURPLE    ,BLACK  ,LT_GREY  ,CYAN     ; .hbu004.
TabSpColorSet060    dc.b WHITE  ,BLACK  ,LT_BLUE  ,YELLOW   ,LT_GREEN  ,BLACK  ,CYAN     ,LT_GREY  ; .hbu004.
TabSpColorSet070    dc.b WHITE  ,BLACK  ,YELLOW   ,LT_RED   ,LT_BLUE   ,BLACK  ,PURPLE   ,LT_GREY  ; .hbu004.
TabSpColorSet080    dc.b WHITE  ,BLACK  ,CYAN     ,YELLOW   ,LT_GREEN  ,BLACK  ,LT_RED   ,LT_BLUE  ; .hbu004.
TabSpColorSet090    dc.b WHITE  ,BLACK  ,LT_BLUE  ,PURPLE   ,YELLOW    ,BLACK  ,CYAN     ,LT_RED   ; .hbu004.
TabSpColorSet100    dc.b WHITE  ,BLACK  ,YELLOW   ,LT_GREEN ,LT_RED    ,BLACK  ,LT_GREY  ,CYAN     ; .hbu004.
TabSpColorSet110    dc.b WHITE  ,BLACK  ,LT_GREEN ,CYAN     ,LT_BLUE   ,BLACK  ,PURPLE   ,YELLOW   ; .hbu004.
TabSpColorSet120    dc.b WHITE  ,BLACK  ,YELLOW   ,PURPLE   ,LT_RED    ,BLACK  ,LT_GREY  ,CYAN     ; .hbu004.
TabSpColorSet130    dc.b WHITE  ,BLACK  ,LT_GREY  ,LT_BLUE  ,CYAN      ,BLACK  ,YELLOW   ,LT_GREEN ; .hbu004.
TabSpColorSet140    dc.b WHITE  ,BLACK  ,PURPLE   ,LT_RED   ,LT_BLUE   ,BLACK  ,CYAN     ,LT_GREY  ; .hbu004.
TabSpColorSet150    dc.b WHITE  ,BLACK  ,LT_GREEN ,LT_RED   ,CYAN      ,BLACK  ,YELLOW   ,LT_GREY  ; .hbu004.
                    
TabSpColorDemo      dc.b WHITE  ,BLACK  ,YELLOW   ,LT_GREEN ,LT_RED    ,BLACK  ,LT_BLUE  ,PURPLE   ; .hbu004.
; ------------------------------------------------------------------------------------------------------------- ;
NoSpColorDemo       equ  (TabSpColorDemo - TabSpColorSets) / (TabSpColorSet020 - TabSpColorSet010)
; ------------------------------------------------------------------------------------------------------------- ;
TabLevelColor       dc.b HR_CyanRed                ; 00 .hbu001. - start
                    dc.b HR_CyanPurple             ; 01 .hbu001.
                    dc.b HR_CyanLtGreen            ; 02 .hbu001.
                    dc.b HR_CyanBlue               ; 03 .hbu001.
                    dc.b HR_CyanOrange             ; 04 .hbu001.
                    dc.b HR_CyanYellow             ; 05 .hbu001.
                    dc.b HR_CyanLtRed              ; 06 .hbu001.
                    dc.b HR_CyanGreen              ; 07 .hbu001.
                    dc.b HR_CyanPurple             ; 08 .hbu001.
                    dc.b HR_CyanLtGreen            ; 09 .hbu001.
                    dc.b HR_CyanBlue               ; 0a .hbu001.
                    dc.b HR_CyanOrange             ; 0b .hbu001.
                    dc.b HR_CyanLtBlue             ; 0c .hbu001.
                    dc.b HR_CyanLtRed              ; 0d .hbu001.
                    dc.b HR_CyanGreen              ; 0e .hbu001.
                    dc.b HR_CyanPurple             ; 0f .hbu001. - level 150
                    
                    dc.b HR_WhiteLtGrey            ; 10 .hbu001. - demo 
                    
TabStatusColor      dc.b HR_CyanRed                ; 00 .hbu001. - start
                    dc.b HR_CyanLtBlue             ; 01 .hbu001.
                    dc.b HR_CyanLtRed              ; 02 .hbu001.
                    dc.b HR_CyanPurple             ; 03 .hbu001.
                    dc.b HR_CyanLtRed              ; 04 .hbu001.
                    dc.b HR_CyanLtGreen            ; 05 .hbu001.
                    dc.b HR_CyanPurple             ; 06 .hbu001.
                    dc.b HR_CyanOrange             ; 07 .hbu001.
                    dc.b HR_CyanLtBlue             ; 08 .hbu001.
                    dc.b HR_CyanLtRed              ; 09 .hbu001.
                    dc.b HR_CyanPurple             ; 0a .hbu001.
                    dc.b HR_CyanLtRed              ; 0b .hbu001.
                    dc.b HR_CyanLtGreen            ; 0c .hbu001.
                    dc.b HR_CyanPurple             ; 0d .hbu001.
                    dc.b HR_CyanYellow             ; 0e .hbu001.
                    dc.b HR_CyanLtBlue             ; 0f .hbu001. - level 150
                    
                    dc.b HR_GreyDkGrey             ; 10 .hbu001. - demo
                    
TabMsgColor         dc.b HR_YellowYellow           ; 00 .hbu001. - start
                    dc.b HR_LtRedLtRed             ; 01 .hbu001.
                    dc.b HR_LtBlueLtBlue           ; 02 .hbu001.
                    dc.b HR_LtGreenLtGreen         ; 03 .hbu001.
                    dc.b HR_YellowYellow           ; 04 .hbu001.
                    dc.b HR_LtRedLtRed             ; 05 .hbu001.
                    dc.b HR_LtGreenLtGreen         ; 06 .hbu001.
                    dc.b HR_LtRedLtRed             ; 07 .hbu001.
                    dc.b HR_YellowYellow           ; 08 .hbu001.
                    dc.b HR_LtBlueLtBlue           ; 09 .hbu001.
                    dc.b HR_LtGreenLtGreen         ; 0a .hbu001.
                    dc.b HR_LtBlueLtBlue           ; 0b .hbu001.
                    dc.b HR_LtRedLtRed             ; 0c .hbu001.
                    dc.b HR_YellowYellow           ; 0d .hbu001.
                    dc.b HR_LtBlueLtBlue           ; 0e .hbu001.
                    dc.b HR_LtGreenLtGreen         ; 0f .hbu001. - level 150
                    
                    dc.b HR_WhiteWhite             ; 10 .hbu001. - demo
; ------------------------------------------------------------------------------------------------------------- ;
TabScoreColors      dc.b HR_CyanCyan               ; title line
                    dc.b HR_CyanCyan               ; 
                    dc.b HR_CyanCyan               ; 
                    dc.b HR_CyanCyan               ; 
                    
                    dc.b HR_WhiteWhite             ; header line
                    dc.b HR_WhiteWhite             ; 
                    
                    dc.b HR_WhiteWhite             ; separation line
                    
                    dc.b HR_YellowYellow           ; the 1st
                    dc.b HR_LtGreenLtGreen         ; the 2nd
                    dc.b HR_LtGreenLtGreen         ; 
                    dc.b HR_LtRedLtRed             ; the 3rd
                    
                    dc.b HR_PurpleLtBlue           ; group 4-6
                    dc.b HR_PurpleLtBlue           ; 
                    dc.b HR_PurpleLtBlue           ; 
                    dc.b HR_PurpleLtBlue           ; 
                    dc.b HR_PurpleLtBlue           ; 
                    
                    dc.b HR_GreyLtGrey             ; group 7-9
                    dc.b HR_GreyLtGrey             ; 
                    dc.b HR_GreyLtGrey             ; 
                    dc.b HR_GreyLtGrey             ; 
                    dc.b HR_GreyLtGrey             ; 
                    
                    dc.b HR_DkGreyDkGrey           ; the last 
                    dc.b HR_DkGreyDkGrey           ; 
                    
TabScoreColorsX     dc.b HR_CyanCyan               ; message area
; ------------------------------------------------------------------------------------------------------------- ;
TabHiScRowPtr       dc.b $00
                    dc.b $00
                    dc.b $08
                    dc.b $10
                    dc.b $18
                    dc.b $20
                    dc.b $28
                    dc.b $30
                    dc.b $38
                    dc.b $40
                    dc.b $48
; ------------------------------------------------------------------------------------------------------------- ;
TabKeyDigits        dc.b $23 ; $00 - from KeyMatrix - translated into $00-$09
                    dc.b $38 ; $01
                    dc.b $3b ; $02
                    dc.b $08 ; $03
                    dc.b $0b ; $04
                    dc.b $10 ; $05
                    dc.b $13 ; $06
                    dc.b $18 ; $07
                    dc.b $1b ; $08
                    dc.b $20 ; $09
; ------------------------------------------------------------------------------------------------------------- ;
TabKeySubst         equ *
KeyMatrixColBit0    dc.b $00 ; $00 - DELETE
                    dc.b $0d ; $01 - RETURN
                    dc.b $15 ; $02 - CRSR_R
                    dc.b $ff ; $03 - F7
                    dc.b $ff ; $04 - F1
                    dc.b $ff ; $05 - F3
                    dc.b $ff ; $06 - F5
                    dc.b $08 ; $07 - CRSR_D
                    
KeyMatrixColBit1    dc.b $33 ; $08 - 3
                    dc.b $57 ; $09 - W
                    dc.b $41 ; $0a - A
                    dc.b $34 ; $0b - 4
                    dc.b $5a ; $0c - Z
                    dc.b $53 ; $0d - S
                    dc.b $45 ; $0e - E
                    dc.b $ff ; $0f - LSHIFT
                    
KeyMatrixColBit2    dc.b $35 ; $10 - 5
                    dc.b $52 ; $11 - R
                    dc.b $44 ; $12 - D
                    dc.b $36 ; $13 - 6
                    dc.b $43 ; $14 - C
                    dc.b $46 ; $15 - F
                    dc.b $54 ; $16 - T
                    dc.b $58 ; $17 - X
                    
KeyMatrixColBit3    dc.b $37 ; $18 - 7
                    dc.b $59 ; $19 - Y
                    dc.b $47 ; $1a - G
                    dc.b $38 ; $1b - 8
                    dc.b $42 ; $1c - B
                    dc.b $48 ; $1d - H
                    dc.b $55 ; $1e - U
                    dc.b $56 ; $1f - V
                    
KeyMatrixColBit4    dc.b $39 ; $20 - 9
                    dc.b $49 ; $21 - I
                    dc.b $4a ; $22 - J
                    dc.b $30 ; $23 - 0
                    dc.b $4d ; $24 - M
                    dc.b $4b ; $25 - K
                    dc.b $4f ; $26 - O
                    dc.b $4e ; $27 - N
                    
KeyMatrixColBit5    dc.b $2b ; $28 - +
                    dc.b $50 ; $29 - P
                    dc.b $4c ; $2a - L
                    dc.b $2d ; $2b - -
                    dc.b $2e ; $2c - .
                    dc.b $3a ; $2d - :
                    dc.b $ff ; $2e - @
                    dc.b $2c ; $2f - ,
                    
KeyMatrixColBit6    dc.b $5c ; $30 - LIRA
                    dc.b $2a ; $31 - *
                    dc.b $3b ; $32 - ;
                    dc.b $ff ; $33 - HOME
                    dc.b $ff ; $34 - RSHIFT
                    dc.b $3d ; $35 - =
                    dc.b $ff ; $36 - ^
                    dc.b $2f ; $37 - /
                    
KeyMatrixColBit7    dc.b $31 ; $38 - 1
                    dc.b $ff ; $39 - <-
                    dc.b $ff ; $3a - CTRL
                    dc.b $32 ; $3b - 2
                    dc.b $20 ; $3c - SPACE
                    dc.b $ff ; $3d - C=
                    dc.b $51 ; $3e - Q
                    dc.b $ff ; $3f - STOP
; ------------------------------------------------------------------------------------------------------------- ;
TabLrDiskId         dc.b $c4 ; D
                    dc.b $c1 ; A
                    dc.b $ce ; N
                    dc.b $c5 ; E
                    dc.b $a0 ; <blank>
                    dc.b $c2 ; B
                    dc.b $c9 ; I
                    dc.b $c7 ; G
                    dc.b $c8 ; H
                    dc.b $c1 ; A
                    dc.b $cd ; M
; ------------------------------------------------------------------------------------------------------------- ;
TabMsgID            dc.b $00 ;                      ; Champ LR message id
                    dc.b $00 ;
                    dc.b $00 ;
                    dc.b $cc ; L
                    dc.b $cf ; O
                    dc.b $c4 ; D
                    dc.b $c5 ; E
                    dc.b $a0 ; <blank>
                    dc.b $d2 ; R
                    dc.b $d5 ; U
                    dc.b $ce ; N
                    dc.b $ce ; N
                    dc.b $c5 ; E
                    dc.b $52 ; r
; ------------------------------------------------------------------------------------------------------------- ;
TabReviveEnemy      equ *
                    dc.b $00                        ; step $14 is end mark
                    dc.b NoReviveEnemy13            ; 
                    dc.b NoReviveEnemy12            ; 
                    dc.b NoReviveEnemy11            ; 
                    dc.b NoReviveEnemy10            ; 
                    dc.b NoReviveEnemy0f            ; 
                    dc.b NoReviveEnemy0e            ; 
                    dc.b NoReviveEnemy0d            ; 
                    dc.b NoReviveEnemy0c            ; 
                    dc.b NoReviveEnemy0b            ; 
                    dc.b NoReviveEnemy0a            ; 
                    dc.b NoReviveEnemy09            ; 
                    dc.b NoReviveEnemy08            ; 
                    dc.b NoReviveEnemy07            ; 
                    dc.b NoReviveEnemy06            ; 
                    dc.b NoReviveEnemy05            ; 
                    dc.b NoReviveEnemy04            ; 
                    dc.b NoReviveEnemy03            ; 
                    dc.b NoReviveEnemy02            ; 
                    dc.b NoReviveEnemy01            ; 
; ------------------------------------------------------------------------------------------------------------- ;
TabEnmyEnab         dc.b $01 ; .......#
                    dc.b $05 ; .....#.#
                    dc.b $0d ; ....##.#
                    dc.b $1d ; ...###.#
                    dc.b $5d ; .#.###.#
                    dc.b $dd ; ##.###.#
; ------------------------------------------------------------------------------------------------------------- ;
TabEnemyEnab        dc.b $00 ; ........
                    dc.b $04 ; .....#..
                    dc.b $08 ; ....#...
                    dc.b $10 ; ...#....
                    dc.b $40 ; .#......
                    dc.b $80 ; #.......
; ------------------------------------------------------------------------------------------------------------- ;
TabEnemyDisab       dc.b $00 ; ........
                    dc.b $fb ; #####.##
                    dc.b $f7 ; ####.###
                    dc.b $ef ; ###.####
                    dc.b $bf ; #.######
                    dc.b $7f ; .#######
; ------------------------------------------------------------------------------------------------------------- ;
TabOffEnmyCycles    dc.b $00
                    dc.b $03
                    dc.b $06
                    dc.b $09
                    dc.b $0c
                    dc.b $0f
                    dc.b $12
                    dc.b $15
                    dc.b $18
                    dc.b $1b
                    dc.b $1e
; ------------------------------------------------------------------------------------------------------------- ;
TabEnmyHoleTime     dc.b $26
                    dc.b $26
                    dc.b $2e
                    dc.b $44
                    dc.b $47
                    dc.b $49
                    dc.b $4a
                    dc.b $4b
                    dc.b $4c
                    dc.b $4d
                    dc.b $4e
                    dc.b $4f
                    dc.b $50
                    dc.b $51
                    dc.b $52
                    dc.b $53
                    dc.b $54
                    dc.b $55
                    dc.b $56
                    dc.b $57
                    dc.b $58
; ------------------------------------------------------------------------------------------------------------- ;
TabColorScrRowAm    dc.b $02                        ; .hbu006. 00 amount of rows to be colored
                    dc.b $02                        ; .hbu006. 01 
                    dc.b $03                        ; .hbu006. 02 
                    dc.b $02                        ; .hbu006. 03 
                    dc.b $02                        ; .hbu006. 04 
                    dc.b $03                        ; .hbu006. 05 
                    dc.b $02                        ; .hbu006. 06 
                    dc.b $02                        ; .hbu006. 07 
                    dc.b $03                        ; .hbu006. 08 
                    dc.b $02                        ; .hbu006. 09 
                    dc.b $03                        ; .hbu006. 0a 
                    dc.b $02                        ; .hbu006. 0b 
                    dc.b $02                        ; .hbu006. 0c 
                    dc.b $03                        ; .hbu006. 0d 
                    dc.b $02                        ; .hbu006. 0e 
                    dc.b $02                        ; .hbu006. 0f 
                    
TabColorScrRowNo    dc.b $01                        ; .hbu006. 00 028 2 - never because scan starts with row $01
                    dc.b $02                        ; .hbu006. 01 050 2
                    dc.b $04                        ; .hbu006. 02 0a0 3
                    dc.b $05                        ; .hbu006. 03 0c8 2
                    dc.b $06                        ; .hbu006. 04 0f0 2
                    dc.b $08                        ; .hbu006. 05 140 3
                    dc.b $09                        ; .hbu006. 06 168 2
                    dc.b $0a                        ; .hbu006. 07 190 2
                    dc.b $0c                        ; .hbu006. 08 1e0 3
                    dc.b $0d                        ; .hbu006. 09 208 2
                    dc.b $0f                        ; .hbu006. 0a 258 3
                    dc.b $10                        ; .hbu006. 0b 280 2
                    dc.b $11                        ; .hbu006. 0c 2a8 2
                    dc.b $13                        ; .hbu006. 0d 2f8 3
                    dc.b $14                        ; .hbu006. 0e 320 2
                    dc.b $15                        ; .hbu006. 0f 348 2 - never because at least one free place in row $14
                    
TabColorScrCol      dc.b $02                        ; .hbu006. 00 - multi color screen col offsets
                    dc.b $03                        ; .hbu006. 01 
                    dc.b $05                        ; .hbu006. 02 
                    dc.b $06                        ; .hbu006. 03 
                    dc.b $07                        ; .hbu006. 04 
                    dc.b $08                        ; .hbu006. 05 
                    dc.b $0a                        ; .hbu006. 06 
                    dc.b $0b                        ; .hbu006. 07 
                    dc.b $0c                        ; .hbu006. 08 
                    dc.b $0d                        ; .hbu006. 09 
                    dc.b $0f                        ; .hbu006. 0a 
                    dc.b $10                        ; .hbu006. 0b 
                    dc.b $11                        ; .hbu006. 0c 
                    dc.b $12                        ; .hbu006. 0d 
                    dc.b $14                        ; .hbu006. 0e 
                    dc.b $15                        ; .hbu006. 0f 
                    dc.b $16                        ; .hbu006. 10 
                    dc.b $17                        ; .hbu006. 11 
                    dc.b $19                        ; .hbu006. 12 
                    dc.b $1a                        ; .hbu006. 13 
                    dc.b $1b                        ; .hbu006. 14 
                    dc.b $1c                        ; .hbu006. 15 
                    dc.b $1e                        ; .hbu006. 16 
                    dc.b $1f                        ; .hbu006. 17 
                    dc.b $20                        ; .hbu006. 18 
                    dc.b $21                        ; .hbu006. 19 
                    dc.b $23                        ; .hbu006. 1a 
                    dc.b $24                        ; .hbu006. 1b 
                    
TabColorScrRowLo    dc.b $00                        ; .hbu006. 00 - multi color screen row offsets low
                    dc.b $28                        ; .hbu006. 01
                    dc.b $50                        ; .hbu006. 02
                    dc.b $78                        ; .hbu006. 03
                    dc.b $a0                        ; .hbu006. 04
                    dc.b $c8                        ; .hbu006. 05
                    dc.b $f0                        ; .hbu006. 06
                    
                    dc.b $18                        ; .hbu006. 07
                    dc.b $40                        ; .hbu006. 08
                    dc.b $68                        ; .hbu006. 09
                    dc.b $90                        ; .hbu006. 0a
                    dc.b $b8                        ; .hbu006. 0b
                    dc.b $e0                        ; .hbu006. 0c
                    
                    dc.b $08                        ; .hbu006. 0d
                    dc.b $30                        ; .hbu006. 0e
                    dc.b $58                        ; .hbu006. 0f
                    dc.b $80                        ; .hbu006. 10
                    dc.b $a8                        ; .hbu006. 11
                    dc.b $d0                        ; .hbu006. 12
                    dc.b $f8                        ; .hbu006. 13
                    
                    dc.b $20                        ; .hbu006. 14
                    dc.b $48                        ; .hbu006. 15
                    
TabColorScrRowHi    dc.b >LR_ScrnMultColor + $00    ; .hbu006. - multi color screen row offsets high
                    dc.b >LR_ScrnMultColor + $00    ; .hbu006.
                    dc.b >LR_ScrnMultColor + $00    ; .hbu006.
                    dc.b >LR_ScrnMultColor + $00    ; .hbu006.
                    dc.b >LR_ScrnMultColor + $00    ; .hbu006.
                    dc.b >LR_ScrnMultColor + $00    ; .hbu006.
                    dc.b >LR_ScrnMultColor + $00    ; .hbu006.
                    
                    dc.b >LR_ScrnMultColor + $01    ; .hbu006.
                    dc.b >LR_ScrnMultColor + $01    ; .hbu006.
                    dc.b >LR_ScrnMultColor + $01    ; .hbu006.
                    dc.b >LR_ScrnMultColor + $01    ; .hbu006.
                    dc.b >LR_ScrnMultColor + $01    ; .hbu006.
                    dc.b >LR_ScrnMultColor + $01    ; .hbu006.
                    
                    dc.b >LR_ScrnMultColor + $02    ; .hbu006.
                    dc.b >LR_ScrnMultColor + $02    ; .hbu006.
                    dc.b >LR_ScrnMultColor + $02    ; .hbu006.
                    dc.b >LR_ScrnMultColor + $02    ; .hbu006.
                    dc.b >LR_ScrnMultColor + $02    ; .hbu006.
                    dc.b >LR_ScrnMultColor + $02    ; .hbu006.
                    dc.b >LR_ScrnMultColor + $02    ; .hbu006.
                    
                    dc.b >LR_ScrnMultColor + $03    ; .hbu006.
                    dc.b >LR_ScrnMultColor + $03    ; .hbu006.
; ------------------------------------------------------------------------------------------------------------- ;
TabInsImageLe       dc.b $00 ; ........
                    dc.b $c0 ; ##......
                    dc.b $f0 ; ####....
                    dc.b $fc ; ######..
; ------------------------------------------------------------------------------------------------------------- ;
TabInsImageRi       dc.b $3f ; ..######
                    dc.b $0f ; ....####
                    dc.b $03 ; ......##
                    dc.b $00 ; ........
; ------------------------------------------------------------------------------------------------------------- ;
FileNameString      dc.b $23 ; #
DiskInitString      dc.b $55 ; u
                    dc.b $2b ; +
                    dc.b $0d ; <enter>
                    dc.b $00 ; <end>
                    
BlkRWCmdString      dc.b $55 ; u
BlkRWCmd            dc.b $31 ; 1
                    dc.b $3a ; :
                    dc.b $30 ; 0
                    dc.b $32 ; 2
                    dc.b $20 ; <blank>
                    dc.b $30 ; 0
                    dc.b $20 ; <blank>
BlkRWTrkHi          dc.b $30 ; 0 - Track
BlkRWTrkLo          dc.b $33 ; 3 - Track
                    dc.b $20 ; <blank>
BlkRWSecHi          dc.b $30 ; 0 - Sector
BlkRWSecLo          dc.b $30 ; 0 - Sector
                    dc.b $0d ; <enter>
                    dc.b $00 ; <end>
; ------------------------------------------------------------------------------------------------------------- ;
TabTrkHi            dc.b $30, $30, $30, $30, $30, $30, $30, $31, $31, $31, $31, $31, $31, $31, $31, $31
TabTrkLo            dc.b $33, $34, $35, $36, $37, $38, $39, $30, $31, $32, $33, $34, $35, $36, $37, $39 ; omit dir
                    
TabSecHi            dc.b $30, $30, $30, $30, $30, $30, $30, $30, $30, $30, $31, $31, $31, $31, $31, $31
TabSecLo            dc.b $30, $31, $32, $33, $34, $35, $36, $37, $38, $39, $30, $31, $32, $33, $34, $35
; ------------------------------------------------------------------------------------------------------------- ;
TabExLvlDatRowLo    dc.b (LR_ScrnMaxCols + 1) * $00  ; $00 - poiter to expanded level data rows - low values same for both types
                    dc.b (LR_ScrnMaxCols + 1) * $01  ; $1c
                    dc.b (LR_ScrnMaxCols + 1) * $02  ; $38
                    dc.b (LR_ScrnMaxCols + 1) * $03  ; $54
                    dc.b (LR_ScrnMaxCols + 1) * $04  ; $70
                    dc.b (LR_ScrnMaxCols + 1) * $05  ; $8c
                    dc.b (LR_ScrnMaxCols + 1) * $06  ; $a8
                    dc.b (LR_ScrnMaxCols + 1) * $07  ; $c4
                    dc.b (LR_ScrnMaxCols + 1) * $08  ; $e0
                    
                    dc.b (LR_ScrnMaxCols + 1) * $00  ; $00
                    dc.b (LR_ScrnMaxCols + 1) * $01  ; $1c
                    dc.b (LR_ScrnMaxCols + 1) * $02  ; $38
                    dc.b (LR_ScrnMaxCols + 1) * $03  ; $54
                    dc.b (LR_ScrnMaxCols + 1) * $04  ; $70
                    dc.b (LR_ScrnMaxCols + 1) * $05  ; $8c
                    dc.b (LR_ScrnMaxCols + 1) * $06  ; $a8
; ------------------------------------------------------------------------------------------------------------- ;
TabExLvlModRowHi    dc.b >(LR_LevelTileData + $0000) ; $00 - pointer to expanded level data rows: modified - with    lr/en replacements/holes
                    dc.b >(LR_LevelTileData + $0000) ; $1c
                    dc.b >(LR_LevelTileData + $0000) ; $38
                    dc.b >(LR_LevelTileData + $0000) ; $54
                    dc.b >(LR_LevelTileData + $0000) ; $70
                    dc.b >(LR_LevelTileData + $0000) ; $8c
                    dc.b >(LR_LevelTileData + $0000) ; $a8
                    dc.b >(LR_LevelTileData + $0000) ; $c4
                    dc.b >(LR_LevelTileData + $0000) ; $e0
                                                          
                    dc.b >(LR_LevelTileData + $0100) ; $00
                    dc.b >(LR_LevelTileData + $0100) ; $1c
                    dc.b >(LR_LevelTileData + $0100) ; $38
                    dc.b >(LR_LevelTileData + $0100) ; $54
                    dc.b >(LR_LevelTileData + $0100) ; $70
                    dc.b >(LR_LevelTileData + $0100) ; $8c
                    dc.b >(LR_LevelTileData + $0100) ; $a8
; ------------------------------------------------------------------------------------------------------------- ;
TabExLvlOriRowHi    dc.b >(LR_LevelCtrlData + $0000) ; $00 - pointer to expanded level data rows: original - without lr/en replacements/holes
                    dc.b >(LR_LevelCtrlData + $0000) ; $1c
                    dc.b >(LR_LevelCtrlData + $0000) ; $38
                    dc.b >(LR_LevelCtrlData + $0000) ; $54
                    dc.b >(LR_LevelCtrlData + $0000) ; $70
                    dc.b >(LR_LevelCtrlData + $0000) ; $8c
                    dc.b >(LR_LevelCtrlData + $0000) ; $a8
                    dc.b >(LR_LevelCtrlData + $0000) ; $c4
                    dc.b >(LR_LevelCtrlData + $0000) ; $e0
                                                          
                    dc.b >(LR_LevelCtrlData + $0100) ; $00
                    dc.b >(LR_LevelCtrlData + $0100) ; $1c
                    dc.b >(LR_LevelCtrlData + $0100) ; $38
                    dc.b >(LR_LevelCtrlData + $0100) ; $54
                    dc.b >(LR_LevelCtrlData + $0100) ; $70
                    dc.b >(LR_LevelCtrlData + $0100) ; $8c
                    dc.b >(LR_LevelCtrlData + $0100) ; $a8
; ------------------------------------------------------------------------------------------------------------- ;
;   Line00: ................................................................................................
;   Line01: ....#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.......
;   Line02: ..#.......................................................................................#.....
;   Line03: ..#...#.#.#.#...#.#.#...#.#.#.#.#...#.#.#.#.......#.#.#.#...#.#...#...#.#.#.#...#.#.#.#...#.....
;   Line04: ..#...#.....#...#...#...#.#.#...#...#.#...........#...#.#...#.#...#...#.#.#.#...#.....#...#.....
;   Line05: ..#...#.........#...#...#...#...#...#.#...........#...#.#...#.#...#...#.#.......#.....#...#.....
;   Line06: ..#...#.........#...#...#...#...#...#.#.#.#.......#...#.#...#.#...#...#.#.#.....#.#.#.#...#.....
;   Line07: ..#...#...#.#...#.#.#...#...#...#...#.#.#.#.......#.....#...#.#...#...#.........#.#.#.....#.....
;   Line08: ..#...#.....#...#...#...#...#...#...#.............#.....#...#.#.#.#...#.........#.#.#.....#.....
;   Line09: ..#...#.....#...#...#...#...#...#...#.............#.....#.....#.#.....#.........#.#...#...#.....
;   Line0a: ..#...#.#.#.#...#...#...#...#...#...#.#.#.#.......#.#.#.#.....#.......#.#.#.#...#.....#...#.....
;   Line02: ..#.......................................................................................#.....
;   Line01: ....#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.......
; ------------------------------------------------------------------------------------------------------------- ;
DataSignLine00    dc.b $00 ; ................................................................................................
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  
DataSignLine01    dc.b $0a ; ....#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.......
                  dc.b $aa ;
                  dc.b $aa ;
                  dc.b $aa ;
                  dc.b $aa ;
                  dc.b $aa ;
                  dc.b $aa ;
                  dc.b $aa ;
                  dc.b $aa ;
                  dc.b $aa ;
                  dc.b $aa ;
                  dc.b $80 ;
                  
DataSignLine02    dc.b $20 ; ..#.......................................................................................#.....
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $20 ;
                  
DataSignLine03    dc.b $22 ; ..#...#.#.#.#...#.#.#...#.#.#.#.#...#.#.#.#.......#.#.#.#...#.#...#...#.#.#.#...#.#.#.#...#.....
                  dc.b $a8 ;
                  dc.b $a8 ;
                  dc.b $aa ;
                  dc.b $8a ;
                  dc.b $a0 ;
                  dc.b $2a ;
                  dc.b $8a ;
                  dc.b $22 ;
                  dc.b $a8 ;
                  dc.b $aa ;
                  dc.b $20 ;
                  
DataSignLine04    dc.b $22 ; ..#...#.....#...#...#...#.#.#...#...#.#...........#...#.#...#.#...#...#.#.#.#...#.....#...#.....
                  dc.b $08 ;
                  dc.b $88 ;
                  dc.b $a8 ;
                  dc.b $8a ;
                  dc.b $00 ;
                  dc.b $22 ;
                  dc.b $8a ;
                  dc.b $22 ;
                  dc.b $a8 ;
                  dc.b $82 ;
                  dc.b $20 ;
                  
DataSignLine05    dc.b $22 ; ..#...#.........#...#...#...#...#...#.#...........#...#.#...#.#...#...#.#.......#.....#...#.....
                  dc.b $00 ;
                  dc.b $88 ;
                  dc.b $88 ;
                  dc.b $8a ;
                  dc.b $00 ;
                  dc.b $22 ;
                  dc.b $8a ;
                  dc.b $22 ;
                  dc.b $80 ;
                  dc.b $82 ;
                  dc.b $20 ;
                  
DataSignLine06    dc.b $22 ; ..#...#.........#...#...#...#...#...#.#.#.#.......#...#.#...#.#...#...#.#.#.....#.#.#.#...#.....
                  dc.b $00 ;
                  dc.b $88 ;
                  dc.b $88 ;
                  dc.b $8a ;
                  dc.b $a0 ;
                  dc.b $22 ;
                  dc.b $8a ;
                  dc.b $22 ;
                  dc.b $a0 ;
                  dc.b $aa ;
                  dc.b $20 ;
                  

DataSignLine07    dc.b $22 ; ..#...#...#.#...#.#.#...#...#...#...#.#.#.#.......#.....#...#.#...#...#.........#.#.#.....#.....
                  dc.b $28 ;
                  dc.b $a8 ;
                  dc.b $88 ;
                  dc.b $8a ;
                  dc.b $a0 ;
                  dc.b $20 ;
                  dc.b $8a ;
                  dc.b $22 ;
                  dc.b $00 ;
                  dc.b $a8 ;
                  dc.b $20 ;
                  
DataSignLine08    dc.b $22 ; ..#...#.....#...#...#...#...#...#...#.............#.....#...#.#.#.#...#.........#.#.#.....#.....
                  dc.b $08 ;
                  dc.b $88 ;
                  dc.b $88 ;
                  dc.b $88 ;
                  dc.b $00 ;
                  dc.b $20 ;
                  dc.b $8a ;
                  dc.b $a2 ;
                  dc.b $00 ;
                  dc.b $a8 ;
                  dc.b $20 ;
                  
DataSignLine09    dc.b $22 ; ..#...#.....#...#...#...#...#...#...#.............#.....#.....#.#.....#.........#.#...#...#.....
                  dc.b $08 ;
                  dc.b $88 ;
                  dc.b $88 ;
                  dc.b $88 ;
                  dc.b $00 ;
                  dc.b $20 ;
                  dc.b $82 ;
                  dc.b $82 ;
                  dc.b $00 ;
                  dc.b $a2 ;
                  dc.b $20 ;
                  
DataSignLine0a    dc.b $22 ; ..#...#.#.#.#...#...#...#...#...#...#.#.#.#.......#.#.#.#.....#.......#.#.#.#...#.....#...#.....
                  dc.b $a8 ;
                  dc.b $88 ;
                  dc.b $88 ;
                  dc.b $8a ;
                  dc.b $a0 ;
                  dc.b $2a ;
                  dc.b $82 ;
                  dc.b $02 ;
                  dc.b $a8 ;
                  dc.b $a2 ;
                  dc.b $20 ;
; ------------------------------------------------------------------------------------------------------------- ;
TabSignDataAdr    =*                                 ; flip data address tab
TabSignDataLen    equ  DataSignLine01-DataSignLine00 ; line data length
                  
ObjLine00         dc.w DataSignLine00 - TabSignDataLen - $02
ObjLine01         dc.w DataSignLine01 - TabSignDataLen - $02
ObjLine02         dc.w DataSignLine02 - TabSignDataLen - $02
ObjLine03         dc.w DataSignLine03 - TabSignDataLen - $02
ObjLine04         dc.w DataSignLine04 - TabSignDataLen - $02
ObjLine05         dc.w DataSignLine05 - TabSignDataLen - $02
ObjLine06         dc.w DataSignLine06 - TabSignDataLen - $02
ObjLine07         dc.w DataSignLine07 - TabSignDataLen - $02
ObjLine08         dc.w DataSignLine08 - TabSignDataLen - $02
ObjLine09         dc.w DataSignLine09 - TabSignDataLen - $02
ObjLine0a         dc.w DataSignLine0a - TabSignDataLen - $02
                  
NoSignLine00      equ  (DataSignLine00 - DataSignLine00) / TabSignDataLen
NoSignLine01      equ  (DataSignLine01 - DataSignLine00) / TabSignDataLen
NoSignLine02      equ  (DataSignLine02 - DataSignLine00) / TabSignDataLen
NoSignLine03      equ  (DataSignLine03 - DataSignLine00) / TabSignDataLen
NoSignLine04      equ  (DataSignLine04 - DataSignLine00) / TabSignDataLen
NoSignLine05      equ  (DataSignLine05 - DataSignLine00) / TabSignDataLen
NoSignLine06      equ  (DataSignLine06 - DataSignLine00) / TabSignDataLen
NoSignLine07      equ  (DataSignLine07 - DataSignLine00) / TabSignDataLen
NoSignLine08      equ  (DataSignLine08 - DataSignLine00) / TabSignDataLen
NoSignLine09      equ  (DataSignLine09 - DataSignLine00) / TabSignDataLen
NoSignLine0a      equ  (DataSignLine0a - DataSignLine00) / TabSignDataLen
MelodyMaxNo       dc.b $09
MelodyMinHight    dc.b $02
MelodyMaxHight    dc.b $0c

TabMelodyPtr      dc.w TabMelody00
                  dc.w TabMelody01
                  dc.w TabMelody02
                  dc.w TabMelody03
                  dc.w TabMelody04
                  dc.w TabMelody05
                  dc.w TabMelody06
                  dc.w TabMelody07
                  dc.w TabMelody08
                  dc.w TabMelody09
                  dc.w TabMelody0a                ; $00 - not used
                  dc.w TabMelody0a
                  dc.w TabMelody0a
                  dc.w TabMelody0a
                  dc.w TabMelody0a
; ------------------------------------------------------------------------------------------------------------- ;
TabVocsFreqDatLo  dc.b $00
                  dc.b $e1
                  dc.b $68
                  dc.b $f7
                  dc.b $8f
                  dc.b $30
                  dc.b $da
                  dc.b $8f
                  dc.b $4e
                  dc.b $18
                  dc.b $ef
                  dc.b $d2
                  dc.b $c3
                  dc.b $c3
                  dc.b $d1
                  dc.b $ef
                  dc.b $1f
                  dc.b $60
                  dc.b $b5
                  dc.b $1e
                  dc.b $9c
                  dc.b $31
                  dc.b $df
                  dc.b $a5
                  dc.b $87
                  dc.b $86
                  dc.b $a2
                  dc.b $df
                  dc.b $3e
                  dc.b $c1
                  dc.b $6b
                  dc.b $3c
                  dc.b $39
                  dc.b $63
                  dc.b $be
                  dc.b $4b
                  dc.b $0f
                  
TabVocsFreqDatHi  dc.b $00
                  dc.b $08
                  dc.b $09
                  dc.b $09
                  dc.b $0a
                  dc.b $0b
                  dc.b $0b
                  dc.b $0c
                  dc.b $0d
                  dc.b $0e
                  dc.b $0e
                  dc.b $0f
                  dc.b $10
                  dc.b $11
                  dc.b $12
                  dc.b $13
                  dc.b $15
                  dc.b $16
                  dc.b $17
                  dc.b $19
                  dc.b $1a
                  dc.b $1c
                  dc.b $1d
                  dc.b $1f
                  dc.b $21
                  dc.b $23
                  dc.b $25
                  dc.b $27
                  dc.b $2a
                  dc.b $2c
                  dc.b $2f
                  dc.b $32
                  dc.b $35
                  dc.b $38
                  dc.b $3b
                  dc.b $3f
                  dc.b $43
                  
TabMelody09       dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $08
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $08
                  dc.b $0c
                  dc.b $ff
                  dc.b $a0
                  dc.b $08
                  dc.b $10
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $13
                  dc.b $ff
                  dc.b $d0
                  dc.b $0c
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $08
                  dc.b $10
                  dc.b $ff
                  dc.b $a0
                  dc.b $06
                  dc.b $13
                  dc.b $ff
                  dc.b $d0
                  dc.b $06
                  dc.b $13
                  dc.b $ff
                  dc.b $a0
                  dc.b $06
                  dc.b $13
                  dc.b $ff
                  dc.b $70
                  dc.b $10
                  dc.b $13
                  dc.b $ff
                  dc.b $40
                  dc.b $10
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  
TabMelody05       dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $04
                  dc.b $13
                  dc.b $ff
                  dc.b $c0
                  dc.b $04
                  dc.b $12
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $11
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $10
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $0f
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $14
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $13
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $12
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $13
                  dc.b $ff
                  dc.b $d0
                  dc.b $04
                  dc.b $12
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $11
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $10
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $0f
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $10
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $11
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $12
                  dc.b $ff
                  dc.b $a0
                  dc.b $03
                  dc.b $13
                  dc.b $ff
                  dc.b $d0
                  dc.b $03
                  dc.b $13
                  dc.b $ff
                  dc.b $a0
                  dc.b $03
                  dc.b $13
                  dc.b $ff
                  dc.b $70
                  dc.b $04
                  dc.b $13
                  dc.b $ff
                  dc.b $40
                  dc.b $10
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  
TabMelody02       dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $05
                  dc.b $02
                  dc.b $1c
                  dc.b $a0
                  dc.b $05
                  dc.b $04
                  dc.b $17
                  dc.b $a0
                  dc.b $05
                  dc.b $05
                  dc.b $15
                  dc.b $a0
                  dc.b $05
                  dc.b $07
                  dc.b $13
                  dc.b $a0
                  dc.b $05
                  dc.b $09
                  dc.b $11
                  dc.b $a0
                  dc.b $05
                  dc.b $0b
                  dc.b $10
                  dc.b $a0
                  dc.b $05
                  dc.b $0c
                  dc.b $0c
                  dc.b $a0
                  dc.b $05
                  dc.b $10
                  dc.b $0b
                  dc.b $a0
                  dc.b $05
                  dc.b $11
                  dc.b $09
                  dc.b $a0
                  dc.b $05
                  dc.b $13
                  dc.b $07
                  dc.b $a0
                  dc.b $05
                  dc.b $15
                  dc.b $05
                  dc.b $a0
                  dc.b $05
                  dc.b $17
                  dc.b $04
                  dc.b $a0
                  dc.b $05
                  dc.b $1c
                  dc.b $02
                  dc.b $a0
                  dc.b $10
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  
TabMelody06       dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $04
                  dc.b $0c
                  dc.b $ff
                  dc.b $c0
                  dc.b $08
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $04
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $06
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $08
                  dc.b $ff
                  dc.b $a0
                  dc.b $08
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $04
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $08
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $0c
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $04
                  dc.b $17
                  dc.b $11
                  dc.b $a0
                  dc.b $08
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $04
                  dc.b $18
                  dc.b $10
                  dc.b $a0
                  dc.b $10
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  
TabMelody08       dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $01
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $01
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $05
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $01
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $01
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $05
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $01
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $01
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $0c
                  dc.b $ff
                  dc.b $b0
                  dc.b $05
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $0e
                  dc.b $ff
                  dc.b $b0
                  dc.b $05
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $10
                  dc.b $ff
                  dc.b $b0
                  dc.b $05
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $01
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $01
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $05
                  dc.b $00
                  dc.b $00
                  dc.b $a0
                  dc.b $03
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $01
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $01
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $05
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $0c
                  dc.b $ff
                  dc.b $a0
                  dc.b $01
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $10
                  dc.b $ff
                  dc.b $a0
                  dc.b $01
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $0e
                  dc.b $ff
                  dc.b $b0
                  dc.b $05
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $0b
                  dc.b $ff
                  dc.b $b0
                  dc.b $05
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $07
                  dc.b $ff
                  dc.b $b0
                  dc.b $10
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  
TabMelody03       dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $04
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $0c
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $10
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $13
                  dc.b $ff
                  dc.b $d0
                  dc.b $08
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $02
                  dc.b $13
                  dc.b $ff
                  dc.b $a0
                  dc.b $02
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $04
                  dc.b $13
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $04
                  dc.b $10
                  dc.b $ff
                  dc.b $d0
                  dc.b $08
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $02
                  dc.b $10
                  dc.b $ff
                  dc.b $a0
                  dc.b $02
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $04
                  dc.b $10
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $04
                  dc.b $0c
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $04
                  dc.b $10
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $04
                  dc.b $0c
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $06
                  dc.b $07
                  dc.b $ff
                  dc.b $d0
                  dc.b $06
                  dc.b $07
                  dc.b $ff
                  dc.b $a0
                  dc.b $06
                  dc.b $07
                  dc.b $ff
                  dc.b $70
                  dc.b $06
                  dc.b $07
                  dc.b $ff
                  dc.b $50
                  dc.b $10
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  
TabMelody00       dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $02
                  dc.b $13
                  dc.b $10
                  dc.b $d0
                  dc.b $06
                  dc.b $13
                  dc.b $10
                  dc.b $a0
                  dc.b $08
                  dc.b $11
                  dc.b $0e
                  dc.b $a0
                  dc.b $06
                  dc.b $10
                  dc.b $0c
                  dc.b $a0
                  dc.b $02
                  dc.b $10
                  dc.b $0c
                  dc.b $40
                  dc.b $08
                  dc.b $10
                  dc.b $0c
                  dc.b $a0
                  dc.b $08
                  dc.b $11
                  dc.b $0e
                  dc.b $a0
                  dc.b $06
                  dc.b $10
                  dc.b $0c
                  dc.b $a0
                  dc.b $02
                  dc.b $10
                  dc.b $0c
                  dc.b $40
                  dc.b $08
                  dc.b $0e
                  dc.b $07
                  dc.b $a0
                  dc.b $08
                  dc.b $10
                  dc.b $0c
                  dc.b $a0
                  dc.b $06
                  dc.b $0e
                  dc.b $07
                  dc.b $a0
                  dc.b $02
                  dc.b $0e
                  dc.b $07
                  dc.b $40
                  dc.b $04
                  dc.b $0e
                  dc.b $07
                  dc.b $d0
                  dc.b $04
                  dc.b $0e
                  dc.b $07
                  dc.b $b0
                  dc.b $04
                  dc.b $0e
                  dc.b $07
                  dc.b $a0
                  dc.b $04
                  dc.b $0e
                  dc.b $07
                  dc.b $90
                  dc.b $04
                  dc.b $0e
                  dc.b $07
                  dc.b $80
                  dc.b $04
                  dc.b $0e
                  dc.b $07
                  dc.b $70
                  dc.b $08
                  dc.b $0e
                  dc.b $07
                  dc.b $a0
                  dc.b $08
                  dc.b $10
                  dc.b $0c
                  dc.b $a0
                  dc.b $06
                  dc.b $0e
                  dc.b $07
                  dc.b $a0
                  dc.b $02
                  dc.b $0e
                  dc.b $07
                  dc.b $40
                  dc.b $04
                  dc.b $0e
                  dc.b $07
                  dc.b $d0
                  dc.b $04
                  dc.b $0e
                  dc.b $07
                  dc.b $b0
                  dc.b $04
                  dc.b $0e
                  dc.b $07
                  dc.b $a0
                  dc.b $04
                  dc.b $0e
                  dc.b $07
                  dc.b $90
                  dc.b $04
                  dc.b $0e
                  dc.b $07
                  dc.b $80
                  dc.b $04
                  dc.b $0e
                  dc.b $07
                  dc.b $70
                  dc.b $04
                  dc.b $0e
                  dc.b $07
                  dc.b $60
                  dc.b $04
                  dc.b $0e
                  dc.b $07
                  dc.b $50
                  dc.b $04
                  dc.b $0e
                  dc.b $07
                  dc.b $40
                  dc.b $04
                  dc.b $0e
                  dc.b $07
                  dc.b $30
                  dc.b $08
                  dc.b $0e
                  dc.b $07
                  dc.b $20
                  dc.b $10
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  
TabMelody04       dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $04
                  dc.b $10
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $13
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $18
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $15
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $11
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $0e
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $13
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $11
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $0e
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $0c
                  dc.b $ff
                  dc.b $a0
                  dc.b $0c
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $02
                  dc.b $18
                  dc.b $ff
                  dc.b $a0
                  dc.b $02
                  dc.b $13
                  dc.b $ff
                  dc.b $a0
                  dc.b $02
                  dc.b $10
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $0c
                  dc.b $ff
                  dc.b $a0
                  dc.b $10
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  
TabMelody07       dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $04
                  dc.b $18
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $17
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $16
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $15
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $14
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $13
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $12
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $11
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $10
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $0f
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $0e
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $0d
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $0c
                  dc.b $ff
                  dc.b $a0
                  dc.b $0c
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $02
                  dc.b $0c
                  dc.b $ff
                  dc.b $a0
                  dc.b $02
                  dc.b $10
                  dc.b $ff
                  dc.b $a0
                  dc.b $02
                  dc.b $13
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $18
                  dc.b $ff
                  dc.b $a0
                  dc.b $10
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  
TabMelody01       dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $04
                  dc.b $10
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $13
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $18
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $13
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $10
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $13
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $18
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $13
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $15
                  dc.b $ff
                  dc.b $d0
                  dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $02
                  dc.b $11
                  dc.b $ff
                  dc.b $a0
                  dc.b $02
                  dc.b $11
                  dc.b $ff
                  dc.b $80
                  dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $02
                  dc.b $11
                  dc.b $ff
                  dc.b $a0
                  dc.b $02
                  dc.b $11
                  dc.b $ff
                  dc.b $80
                  dc.b $0c
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $04
                  dc.b $12
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $15
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $1f
                  dc.b $0f
                  dc.b $a0
                  dc.b $04
                  dc.b $15
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $12
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $15
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $1f
                  dc.b $0f
                  dc.b $a0
                  dc.b $04
                  dc.b $15
                  dc.b $ff
                  dc.b $a0
                  dc.b $04
                  dc.b $17
                  dc.b $ff
                  dc.b $d0
                  dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $02
                  dc.b $13
                  dc.b $ff
                  dc.b $a0
                  dc.b $02
                  dc.b $13
                  dc.b $ff
                  dc.b $80
                  dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $02
                  dc.b $13
                  dc.b $ff
                  dc.b $a0
                  dc.b $02
                  dc.b $13
                  dc.b $ff
                  dc.b $80
                  dc.b $10
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  
TabMelody0a       dc.b $00
; ------------------------------------------------------------------------------------------------------------- ;
TabDemoJoyActn    dc.b LR_JoyMoveUp    ; 0 - $21=up
                  dc.b LR_JoyMoveLe    ; 1 - $22=left
                  dc.b LR_JoyMoveDo    ; 2 - $25=down
                  dc.b LR_JoyMoveRi    ; 3 - $2a=right
                  dc.b LR_JoyFireRi    ; 4 - $26=fire-right
                  dc.b LR_JoyFireLe    ; 5 - $1e=fire-left
                  dc.b LR_JoyMoveNone  ; 6 - $00=no move
; ------------------------------------------------------------------------------------------------------------- ;
TabDemoLvlData    dc.w TabDemoDataLvl01  ; .hbu005.
                  dc.w TabDemoDataLvl02  ; .hbu005.
                  dc.w TabDemoDataLvl03  ; .hbu005.
                  dc.w TabDemoDataLvl01  ; .hbu005.
TabDemoLvlMoves   dc.w TabDemoMoveLvl01  ; .hbu005. must be called one after the other
                  dc.w TabDemoMoveLvl02  ; .hbu005. otherwise enemy behaviour differs
                  dc.w TabDemoMoveLvl03  ; .hbu005.
                  dc.w TabDemoMoveLvl04  ; .hbu005.
; ------------------------------------------------------------------------------------------------------------- ;
TabDemoMoves      equ  *
TabDemoMoveLvl01  dc.b $16 ;
                  dc.b $4c ;
                  dc.b $66 ;
                  dc.b $02 ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $66 ;
                  dc.b $02 ;
                  dc.b $36 ;
                  dc.b $18 ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $66 ;
                  dc.b $14 ;
                  dc.b $36 ;
                  dc.b $0d ;
                  dc.b $30 ;
                  dc.b $17 ;
                  dc.b $60 ;
                  dc.b $08 ;
                  dc.b $66 ;
                  dc.b $03 ;
                  dc.b $16 ;
                  dc.b $16 ;
                  dc.b $66 ;
                  dc.b $04 ;
                  dc.b $36 ;
                  dc.b $23 ;
                  dc.b $32 ;
                  dc.b $01 ;
                  dc.b $62 ;
                  dc.b $01 ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $66 ;
                  dc.b $20 ;
                  dc.b $16 ;
                  dc.b $07 ;
                  dc.b $66 ;
                  dc.b $02 ;
                  dc.b $36 ;
                  dc.b $25 ;
                  dc.b $30 ;
                  dc.b $14 ;
                  dc.b $60 ;
                  dc.b $0e ;
                  dc.b $10 ;
                  dc.b $11 ;
                  dc.b $16 ;
                  dc.b $25 ;
                  dc.b $10 ;
                  dc.b $08 ;
                  dc.b $16 ;
                  dc.b $23 ;
                  dc.b $10 ;
                  dc.b $06 ;
                  dc.b $60 ;
                  dc.b $02 ;
                  dc.b $30 ;
                  dc.b $0f ;
                  dc.b $36 ;
                  dc.b $17 ;
                  dc.b $66 ;
                  dc.b $02 ;
                  dc.b $16 ;
                  dc.b $07 ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $66 ;
                  dc.b $1e ;
                  dc.b $16 ;
                  dc.b $38 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $16 ;
                  dc.b $05 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $16 ;
                  dc.b $07 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $36 ;
                  dc.b $07 ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $36 ;
                  dc.b $04 ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $16 ;
                  dc.b $03 ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $16 ;
                  dc.b $03 ;
                  dc.b $36 ;
                  dc.b $0b ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $16 ;
                  dc.b $03 ;
                  dc.b $36 ;
                  dc.b $0e ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $66 ;
                  dc.b $01 ;
                  dc.b $60 ;
                  dc.b $0c ;
                  dc.b $30 ;
                  dc.b $29 ;
                  dc.b $60 ;
                  dc.b $02 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $16 ;
                  dc.b $2b ;
                  dc.b $10 ;
                  dc.b $04 ;
                  dc.b $60 ;
                  dc.b $05 ;
                  dc.b $30 ;
                  dc.b $01 ;
                  dc.b $36 ;
                  dc.b $67 ;
                  dc.b $32 ;
                  dc.b $01 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $66 ;
                  dc.b $2b ;
                  dc.b $36 ;
                  dc.b $0c ;
                  dc.b $30 ;
                  dc.b $15 ;
                  dc.b $36 ;
                  dc.b $12 ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $16 ;
                  dc.b $03 ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $36 ;
                  dc.b $05 ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $16 ;
                  dc.b $03 ;
                  dc.b $36 ;
                  dc.b $08 ;
                  dc.b $66 ;
                  dc.b $02 ;
                  dc.b $16 ;
                  dc.b $4a ;
                  dc.b $10 ;
                  dc.b $04 ;
                  dc.b $60 ;
                  dc.b $07 ;
                  dc.b $30 ;
                  dc.b $09 ;
                  dc.b $36 ;
                  dc.b $15 ;
                  dc.b $66 ;
                  dc.b $0a ;
                  dc.b $16 ;
                  dc.b $0d ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $66 ;
                  dc.b $02 ;
                  dc.b $16 ;
                  dc.b $04 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $16 ;
                  dc.b $02 ;
                  dc.b $44 ;
                  dc.b $06 ;
                  dc.b $16 ;
                  dc.b $04 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $16 ;
                  dc.b $02 ;
                  dc.b $62 ;
                  dc.b $15 ;
                  dc.b $36 ;
                  dc.b $31 ;
                  dc.b $66 ;
                  dc.b $01 ;
                  dc.b $62 ;
                  dc.b $04 ;
                  dc.b $12 ;
                  dc.b $06 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $66 ;
                  dc.b $37 ;
                  dc.b $36 ;
                  dc.b $01 ;
                  dc.b $30 ;
                  dc.b $1d ;
                  dc.b $60 ;
                  dc.b $33 ;
                  
TabDemoMoveLvl02  dc.b $36 ;
                  dc.b $32 ;
                  dc.b $66 ;
                  dc.b $03 ;
                  dc.b $16 ;
                  dc.b $01 ;
                  dc.b $10 ;
                  dc.b $1b ;
                  dc.b $60 ;
                  dc.b $05 ;
                  dc.b $36 ;
                  dc.b $28 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $66 ;
                  dc.b $1f ;
                  dc.b $36 ;
                  dc.b $14 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $66 ;
                  dc.b $2d ;
                  dc.b $36 ;
                  dc.b $01 ;
                  dc.b $30 ;
                  dc.b $12 ;
                  dc.b $60 ;
                  dc.b $25 ;
                  dc.b $66 ;
                  dc.b $01 ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $16 ;
                  dc.b $0d ;
                  dc.b $66 ;
                  dc.b $02 ;
                  dc.b $36 ;
                  dc.b $09 ;
                  dc.b $30 ;
                  dc.b $0a ;
                  dc.b $36 ;
                  dc.b $04 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $36 ;
                  dc.b $03 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $36 ;
                  dc.b $03 ;
                  dc.b $16 ;
                  dc.b $22 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $16 ;
                  dc.b $07 ;
                  dc.b $44 ;
                  dc.b $04 ;
                  dc.b $16 ;
                  dc.b $03 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $16 ;
                  dc.b $27 ;
                  dc.b $12 ;
                  dc.b $0e ;
                  dc.b $16 ;
                  dc.b $1e ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $66 ;
                  dc.b $19 ;
                  dc.b $36 ;
                  dc.b $01 ;
                  dc.b $30 ;
                  dc.b $03 ;
                  dc.b $60 ;
                  dc.b $07 ;
                  dc.b $10 ;
                  dc.b $1f ;
                  dc.b $60 ;
                  dc.b $07 ;
                  dc.b $30 ;
                  dc.b $09 ;
                  dc.b $36 ;
                  dc.b $33 ;
                  dc.b $66 ;
                  dc.b $04 ;
                  dc.b $10 ;
                  dc.b $09 ;
                  dc.b $16 ;
                  dc.b $08 ;
                  dc.b $12 ;
                  dc.b $01 ;
                  dc.b $62 ;
                  dc.b $0c ;
                  dc.b $32 ;
                  dc.b $01 ;
                  dc.b $36 ;
                  dc.b $32 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $16 ;
                  dc.b $0b ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $16 ;
                  dc.b $09 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $10 ;
                  dc.b $2c ;
                  dc.b $60 ;
                  dc.b $04 ;
                  dc.b $30 ;
                  dc.b $03 ;
                  dc.b $36 ;
                  dc.b $0a ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $16 ;
                  dc.b $05 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $36 ;
                  dc.b $03 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $36 ;
                  dc.b $03 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $66 ;
                  dc.b $03 ;
                  dc.b $36 ;
                  dc.b $03 ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $36 ;
                  dc.b $08 ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $66 ;
                  dc.b $4c ;
                  dc.b $16 ;
                  dc.b $09 ;
                  dc.b $10 ;
                  dc.b $15 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $10 ;
                  dc.b $2f ;
                  dc.b $16 ;
                  dc.b $09 ;
                  dc.b $12 ;
                  dc.b $03 ;
                  dc.b $16 ;
                  dc.b $12 ;
                  dc.b $66 ;
                  dc.b $02 ;
                  dc.b $36 ;
                  dc.b $06 ;
                  dc.b $66 ;
                  dc.b $2d ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $16 ;
                  dc.b $03 ;
                  dc.b $10 ;
                  dc.b $1c ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $16 ;
                  dc.b $03 ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $36 ;
                  dc.b $03 ;
                  dc.b $32 ;
                  dc.b $15 ;
                  dc.b $36 ;
                  dc.b $0b ;
                  dc.b $30 ;
                  dc.b $0b ;
                  dc.b $60 ;
                  dc.b $0c ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $62 ;
                  dc.b $0d ;
                  dc.b $12 ;
                  dc.b $02 ;
                  dc.b $16 ;
                  dc.b $0d ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $66 ;
                  dc.b $20 ;
                  dc.b $36 ;
                  dc.b $04 ;
                  dc.b $30 ;
                  dc.b $17 ;
                  dc.b $36 ;
                  dc.b $1e ;
                  dc.b $44 ;
                  dc.b $01 ;
                  dc.b $36 ;
                  dc.b $2f ;
                  dc.b $30 ;
                  dc.b $08 ;
                  dc.b $60 ;
                  dc.b $03 ;
                  dc.b $10 ;
                  dc.b $22 ;
                  dc.b $16 ;
                  dc.b $1b ;
                  dc.b $66 ;
                  dc.b $26 ;
                  dc.b $55 ;
                  dc.b $07 ;
                  dc.b $16 ;
                  dc.b $03 ;
                  dc.b $55 ;
                  dc.b $01 ;
                  dc.b $66 ;
                  dc.b $1d ;
                  dc.b $16 ;
                  dc.b $02 ;
                  dc.b $10 ;
                  dc.b $85 ;
                  dc.b $60 ;
                  dc.b $02 ;
                  dc.b $30 ;
                  dc.b $03 ;
                  dc.b $36 ;
                  dc.b $03 ;
                  dc.b $32 ;
                  dc.b $0f ;
                  dc.b $36 ;
                  dc.b $03 ;
                  dc.b $30 ;
                  dc.b $0c ;
                  
TabDemoMoveLvl03  dc.b $36 ; right- ------
                  dc.b $20 ;
                  dc.b $66 ; ------ ------
                  dc.b $01 ;
                  dc.b $16 ; left-- ------
                  dc.b $0a ;
                  dc.b $60 ; ------ up----
                  dc.b $06 ;
                  dc.b $66 ; ------ ------
                  dc.b $02 ;
                  dc.b $36 ; right- ------
                  dc.b $08 ;
                  dc.b $30 ; right- up----
                  dc.b $05 ;
                  dc.b $60 ; ------ up----
                  dc.b $02 ;
                  dc.b $66 ; ------ ------
                  dc.b $02 ;
                  dc.b $16 ; left-- ------
                  dc.b $08 ;
                  dc.b $10 ; left-- up----
                  dc.b $01 ;
                  dc.b $60 ; ------ up----
                  dc.b $06 ;
                  dc.b $66 ; ------ ------
                  dc.b $01 ;
                  dc.b $36 ; right- ------
                  dc.b $08 ;
                  dc.b $30 ; right- up----
                  dc.b $04 ;
                  dc.b $60 ; ------ up----
                  dc.b $03 ;
                  dc.b $66 ; ------ ------
                  dc.b $01 ;
                  dc.b $16 ; left-- ------
                  dc.b $08 ;
                  dc.b $10 ; left-- up----
                  dc.b $02 ;
                  dc.b $60 ; ------ up----
                  dc.b $03 ;
                  dc.b $30 ; right- up----
                  dc.b $01 ;
                  dc.b $36 ; right- ------
                  dc.b $08 ;
                  dc.b $30 ; right- up----
                  dc.b $03 ;
                  dc.b $60 ; ------ up----
                  dc.b $03 ;
                  dc.b $16 ; left-- ------
                  dc.b $09 ;
                  dc.b $10 ; left-- up----
                  dc.b $02 ;
                  dc.b $60 ; ------ up----
                  dc.b $03 ;
                  dc.b $30 ; right- up----
                  dc.b $03 ;
                  dc.b $36 ; right- ------
                  dc.b $07 ;
                  dc.b $30 ; right- up----
                  dc.b $03 ;
                  dc.b $60 ; ------ up----
                  dc.b $02 ;
                  dc.b $10 ; left-- up----
                  dc.b $02 ;
                  dc.b $16 ; left-- ------
                  dc.b $08 ;
                  dc.b $10 ; left-- up----
                  dc.b $01 ;
                  dc.b $60 ; ------ up----
                  dc.b $02 ;
                  dc.b $30 ; right- up----
                  dc.b $02 ;
                  dc.b $36 ; right- ------
                  dc.b $0a ;
                  dc.b $30 ; right- up----
                  dc.b $02 ;
                  dc.b $60 ; ------ up----
                  dc.b $02 ;
                  dc.b $10 ; left-- up----
                  dc.b $03 ;
                  dc.b $16 ; left-- ------
                  dc.b $04 ;
                  dc.b $10 ; left-- up----
                  dc.b $03 ;
                  dc.b $60 ; ------ up----
                  dc.b $05 ;
                  dc.b $30 ; right- up----
                  dc.b $02 ;
                  dc.b $36 ; right- ------
                  dc.b $07 ;
                  dc.b $66 ; ------ ------
                  dc.b $16 ;
                  dc.b $36 ; right- ------
                  dc.b $02 ;
                  dc.b $66 ; ------ ------
                  dc.b $33 ;
                  dc.b $55 ; f-le-- f-le--
                  dc.b $01 ;
                  dc.b $36 ; right- ------
                  dc.b $05 ;
                  dc.b $55 ; f-le-- f-le--
                  dc.b $01 ;
                  dc.b $36 ; right- ------
                  dc.b $04 ;
                  dc.b $55 ; f-le-- f-le--
                  dc.b $01 ;
                  dc.b $36 ; right- ------
                  dc.b $03 ;
                  dc.b $55 ; f-le-- f-le--
                  dc.b $01 ;
                  dc.b $36 ; right- ------
                  dc.b $03 ;
                  dc.b $55 ; f-le-- f-le--
                  dc.b $01 ;
                  dc.b $66 ; ------ ------
                  dc.b $a9 ;
                  dc.b $62 ; ------ down--
                  dc.b $0c ;
                  
                  dc.b $66 ; ------ ------        .hbu005. - new demo moves
                  dc.b $38 ;
                  dc.b $10 ; left-- up----
                  dc.b $10 ;
                  dc.b $55 ; f-le-- f-le--
                  dc.b $01 ;
                  dc.b $36 ; right- ------
                  dc.b $04 ;
                  dc.b $55 ; f-le-- f-le--
                  dc.b $01 ;
                  dc.b $66 ; ------ ------
                  dc.b $48 ;
                  dc.b $16 ; left-- ------
                  dc.b $26 ;
                  dc.b $66 ; ------ ------
                  dc.b $30 ;
                  dc.b $16 ; left-- ------
                  dc.b $15 ;
                  dc.b $44 ; f-ri-- f-ri--
                  dc.b $01 ;
                  dc.b $60 ; ------ up----
                  dc.b $0a ;
                  
TabDemoMoveLvl04  dc.b $16 ; left-- ------
                  dc.b $32 ;
                  dc.b $36 ; right- ------
                  dc.b $30 ;
                  dc.b $55 ; f-le-- f-le--
                  dc.b $01 ;
                  dc.b $44 ; f-ri-- f-ri--
                  dc.b $01 ;
                  dc.b $66 ; ------ ------
                  dc.b $33 ;
                  dc.b $36 ; right- ------
                  dc.b $0f ;
                  dc.b $66 ; ------ ------
                  dc.b $08 ;
                  dc.b $16 ; left-- ------
                  dc.b $01 ;
                  dc.b $66 ; ------ ------
                  dc.b $05 ;
                  dc.b $55 ; f-le-- f-le--
                  dc.b $01 ;
                  dc.b $66 ; ------ ------
                  dc.b $7f ;
                  dc.b $00 ;                      ; .hbu005. - end of new demo moves
                  
TabDemoLevels     equ  *                          ; demo level data
TabDemoDataLvl01  dc.b $06                        ; data demo  level 01
                  dc.b $00
                  dc.b $00
                  dc.b $07
                  dc.b $00
                  dc.b $00
                  dc.b $07
                  dc.b $00
                  dc.b $00
                  dc.b $06
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $06
                  dc.b $13
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $06
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $07
                  dc.b $00
                  dc.b $43
                  dc.b $44
                  dc.b $44
                  dc.b $03
                  dc.b $76
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $31
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $01
                  dc.b $00
                  dc.b $00
                  dc.b $13
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $33
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $00
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $31
                  dc.b $43
                  dc.b $44
                  dc.b $44
                  dc.b $44
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $00
                  dc.b $71
                  dc.b $70
                  dc.b $11
                  dc.b $33
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $08
                  dc.b $03
                  dc.b $70
                  dc.b $00
                  dc.b $08
                  dc.b $03
                  dc.b $70
                  dc.b $11
                  dc.b $11
                  dc.b $31
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $13
                  dc.b $11
                  dc.b $21
                  dc.b $22
                  dc.b $11
                  dc.b $11
                  dc.b $13
                  dc.b $11
                  dc.b $00
                  dc.b $00
                  dc.b $30
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $30
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $38
                  dc.b $00
                  dc.b $70
                  dc.b $00
                  dc.b $43
                  dc.b $44
                  dc.b $44
                  dc.b $44
                  dc.b $44
                  dc.b $44
                  dc.b $03
                  dc.b $70
                  dc.b $13
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $03
                  dc.b $70
                  dc.b $00
                  dc.b $00
                  dc.b $70
                  dc.b $00
                  dc.b $13
                  dc.b $11
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $01
                  dc.b $03
                  dc.b $00
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $00
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $70
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $00
                  dc.b $90
                  dc.b $70
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $00
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $00
                  dc.b $00
TabDemoDataMsg01  dc.b $c1 ; A
                  dc.b $a0 ; <blank>
                  dc.b $c7 ; G
                  dc.b $cf ; O
                  dc.b $cf ; O
                  dc.b $c4 ; D
                  dc.b $a0 ; <blank>
                  dc.b $cf ; O
                  dc.b $cc ; L
                  dc.b $c4 ; D
                  dc.b $a0 ; <blank>
                  dc.b $cc ; L
                  dc.b $c1 ; A
                  dc.b $c4 ; D
                  dc.b $d9 ; Y
TabDemoDataMID01  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $cc ; L
                  dc.b $cf ; O
                  dc.b $c4 ; D
                  dc.b $c5 ; E
                  dc.b $a0 ; <blank>
                  dc.b $d2 ; R
                  dc.b $d5 ; U
                  dc.b $ce ; N
                  dc.b $ce ; N
                  dc.b $c5 ; E
                  dc.b $52 ; r
                  dc.b $00
                  
TabDemoDataLvl02  dc.b $11                        ; data demo level 02
                  dc.b $11
                  dc.b $61
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $01
                  dc.b $11
                  dc.b $11
                  dc.b $06
                  dc.b $00
                  dc.b $61
                  dc.b $01
                  dc.b $44
                  dc.b $44
                  dc.b $44
                  dc.b $04
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $10
                  dc.b $16
                  dc.b $61
                  dc.b $60
                  dc.b $01
                  dc.b $71
                  dc.b $00
                  dc.b $10
                  dc.b $13
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $80
                  dc.b $10
                  dc.b $06
                  dc.b $11
                  dc.b $11
                  dc.b $01
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $13
                  dc.b $11
                  dc.b $11
                  dc.b $07
                  dc.b $31
                  dc.b $11
                  dc.b $11
                  dc.b $61
                  dc.b $00
                  dc.b $00
                  dc.b $47
                  dc.b $44
                  dc.b $11
                  dc.b $11
                  dc.b $13
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $31
                  dc.b $01
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $01
                  dc.b $00
                  dc.b $01
                  dc.b $10
                  dc.b $13
                  dc.b $11
                  dc.b $10
                  dc.b $11
                  dc.b $31
                  dc.b $01
                  dc.b $11
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $80
                  dc.b $00
                  dc.b $00
                  dc.b $10
                  dc.b $13
                  dc.b $11
                  dc.b $10
                  dc.b $01
                  dc.b $31
                  dc.b $71
                  dc.b $10
                  dc.b $13
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $13
                  dc.b $73
                  dc.b $10
                  dc.b $13
                  dc.b $11
                  dc.b $10
                  dc.b $01
                  dc.b $31
                  dc.b $11
                  dc.b $11
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $13
                  dc.b $11
                  dc.b $11
                  dc.b $13
                  dc.b $11
                  dc.b $07
                  dc.b $01
                  dc.b $31
                  dc.b $11
                  dc.b $10
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $11
                  dc.b $11
                  dc.b $13
                  dc.b $11
                  dc.b $11
                  dc.b $01
                  dc.b $31
                  dc.b $11
                  dc.b $17
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $01
                  dc.b $00
                  dc.b $00
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $30
                  dc.b $00
                  dc.b $10
                  dc.b $13
                  dc.b $11
                  dc.b $13
                  dc.b $11
                  dc.b $31
                  dc.b $21
                  dc.b $21
                  dc.b $21
                  dc.b $21
                  dc.b $21
                  dc.b $21
                  dc.b $31
                  dc.b $21
                  dc.b $21
                  dc.b $13
                  dc.b $11
                  dc.b $13
                  dc.b $11
                  dc.b $31
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $00
                  dc.b $11
                  dc.b $11
                  dc.b $31
                  dc.b $21
                  dc.b $21
                  dc.b $03
                  dc.b $00
                  dc.b $03
                  dc.b $00
                  dc.b $30
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $01
                  dc.b $10
                  dc.b $11
                  dc.b $31
                  dc.b $00
                  dc.b $00
                  dc.b $13
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $31
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $07
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $31
                  dc.b $93
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $30
                  dc.b $70
                  dc.b $10
                  dc.b $11
                  dc.b $11
                  dc.b $01
                  dc.b $80
                  dc.b $00
                  dc.b $00
                  dc.b $30
                  dc.b $00
                  dc.b $00
TabDemoDataMsg02  dc.b $c2 ; B
                  dc.b $c5 ; E
                  dc.b $c1 ; A
                  dc.b $d5 ; U
                  dc.b $d4 ; T
                  dc.b $c9 ; I
                  dc.b $c6 ; F
                  dc.b $c9 ; I
                  dc.b $c5 ; E
                  dc.b $c4 ; D
                  dc.b $a0 ; <blank>
                  dc.b $d7 ; W
                  dc.b $c9 ; I
                  dc.b $d4 ; T
                  dc.b $c8 ; H
TabDemoDataMID02  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $cc ; L
                  dc.b $cf ; O
                  dc.b $c4 ; D
                  dc.b $c5 ; E
                  dc.b $a0 ; <blank>
                  dc.b $d2 ; R
                  dc.b $d5 ; U
                  dc.b $ce ; N
                  dc.b $ce ; N
                  dc.b $c5 ; E
                  dc.b $52 ; r
                  dc.b $00
                  
TabDemoDataLvl03  dc.b $00                        ; data demo level 03
                  dc.b $00
                  dc.b $00
                  dc.b $30
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $80
                  dc.b $07
                  dc.b $00
                  dc.b $30
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $70
                  dc.b $08
                  dc.b $13
                  dc.b $81
                  dc.b $07
                  dc.b $30
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $70
                  dc.b $18
                  dc.b $31
                  dc.b $03
                  dc.b $10
                  dc.b $01
                  dc.b $30
                  dc.b $11
                  dc.b $11
                  dc.b $36
                  dc.b $11
                  dc.b $11
                  dc.b $31
                  dc.b $00
                  dc.b $10
                  dc.b $01
                  dc.b $30
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $33
                  dc.b $07
                  dc.b $00
                  dc.b $30
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $30
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $37
                  dc.b $03
                  dc.b $00
                  dc.b $30
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $30
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $33
                  dc.b $07
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $30
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $37
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $30
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $33
                  dc.b $07
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $30
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $37
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $30
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $33
                  dc.b $07
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $30
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $37
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $30
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $33
                  dc.b $07
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $30
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $37
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $30
                  dc.b $03
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $09
                  dc.b $00
                  dc.b $33
                  dc.b $07
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $00
                  dc.b $30
                  dc.b $03
                  dc.b $00
                  dc.b $30
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $11
                  dc.b $03
                  dc.b $00
                  dc.b $30
                  dc.b $00
                  dc.b $00
TabDemoDataMsg03  dc.b $c1 ; A
                  dc.b $a0 ; <blank>
                  dc.b $c6 ; F
                  dc.b $c5 ; E
                  dc.b $d7 ; W
                  dc.b $a0 ; <blank>
                  dc.b $ce ; N
                  dc.b $c5 ; E
                  dc.b $d7 ; W
                  dc.b $a0 ; <blank>
                  dc.b $c9 ; I
                  dc.b $c4 ; D
                  dc.b $c5 ; E
                  dc.b $c1 ; A
                  dc.b $d3 ; S
TabDemoDataMID03  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $00 ;
                  dc.b $cc ; L
                  dc.b $cf ; O
                  dc.b $c4 ; D
                  dc.b $c5 ; E
                  dc.b $a0 ; <blank>
                  dc.b $d2 ; R
                  dc.b $d5 ; U
                  dc.b $ce ; N
                  dc.b $ce ; N
                  dc.b $c5 ; E
                  dc.b $52 ; r
                  dc.b $00
; ------------------------------------------------------------------------------------------------------------- ;
DatImages         equ  *                                   ; .hbu008. - start address for number calculations
; ------------------------------------------------------------------------------------------------------------- ;
DatImage00        equ  *
DatTile0          dc.b %00000000, %00000000, %00000000 ; ........................ free space
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................

DatImage01        equ  *
DatTile1          dc.b %10101000, %10000000, %00000000 ; #.#.#...#............... MC shootable (weak) wall
                  dc.b %10101000, %10000000, %00000000 ; #.#.#...#...............
                  dc.b %10101000, %10000000, %00000000 ; #.#.#...#...............
                  dc.b %10101000, %10000000, %00000000 ; #.#.#...#...............
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %00000000, %00000000, %00000000 ; ........................

DatImage02        equ  *
DatTile2          dc.b %10101010, %10000000, %00000000 ; #.#.#.#.#............... MC non shootable (solid) wall
                  dc.b %10101010, %10000000, %00000000 ; #.#.#.#.#...............
                  dc.b %10101010, %10000000, %00000000 ; #.#.#.#.#...............
                  dc.b %10101010, %10000000, %00000000 ; #.#.#.#.#...............
                  dc.b %10101010, %10000000, %00000000 ; #.#.#.#.#...............
                  dc.b %10101010, %10000000, %00000000 ; #.#.#.#.#...............
                  dc.b %10101010, %10000000, %00000000 ; #.#.#.#.#...............
                  dc.b %10101010, %10000000, %00000000 ; #.#.#.#.#...............
                  dc.b %10101010, %10000000, %00000000 ; #.#.#.#.#...............
                  dc.b %10101010, %10000000, %00000000 ; #.#.#.#.#...............
                  dc.b %00000000, %00000000, %00000000 ; ........................

DatImage03        equ  *
DatTile3          dc.b %11000011, %00000000, %00000000 ; ##....##................ MC ladder
                  dc.b %11000011, %00000000, %00000000 ; ##....##................
                  dc.b %11111111, %00000000, %00000000 ; ########................
                  dc.b %11000011, %00000000, %00000000 ; ##....##................
                  dc.b %11000011, %00000000, %00000000 ; ##....##................
                  dc.b %11000011, %00000000, %00000000 ; ##....##................
                  dc.b %11000011, %00000000, %00000000 ; ##....##................
                  dc.b %11111111, %00000000, %00000000 ; ########................
                  dc.b %11000011, %00000000, %00000000 ; ##....##................
                  dc.b %11000011, %00000000, %00000000 ; ##....##................
                  dc.b %11000011, %00000000, %00000000 ; ##....##................

DatImage04        equ  *
DatTile4          dc.b %00000000, %00000000, %00000000 ; ........................ MC pole
                  dc.b %11111111, %11000000, %00000000 ; ##########..............
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................

DatImage05        equ  *
DatTile5          dc.b %10101010, %10000000, %00000000 ; #.#.#.#.#............... MC trap wall
                  dc.b %10101010, %10000000, %00000000 ; #.#.#.#.#...............
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00111111, %00000000, %00000000 ; ..######................
                  dc.b %00001100, %00000000, %00000000 ; ....##..................
                  dc.b %00001100, %00000000, %00000000 ; ....##..................
                  dc.b %00001100, %00000000, %00000000 ; ....##..................
                  dc.b %00001100, %00000000, %00000000 ; ....##..................
                  dc.b %10101010, %10000000, %00000000 ; #.#.#.#.#...............
                  dc.b %10101010, %10000000, %00000000 ; #.#.#.#.#...............
                  dc.b %00000000, %00000000, %00000000 ; ........................

DatImage06        equ  *
DatTile6          dc.b %11000000, %00000000, %00000000 ; ##...................... MC hidden exit ladder
                  dc.b %11000000, %00000000, %00000000 ; ##......................
                  dc.b %11111111, %00000000, %00000000 ; ########................
                  dc.b %11000011, %00000000, %00000000 ; ##....##................
                  dc.b %00000011, %00000000, %00000000 ; ......##................
                  dc.b %00000011, %00000000, %00000000 ; ......##................
                  dc.b %00000011, %00000000, %00000000 ; ......##................
                  dc.b %11000011, %00000000, %00000000 ; ##....##................
                  dc.b %11111111, %00000000, %00000000 ; ########................
                  dc.b %11000000, %00000000, %00000000 ; ##......................
                  dc.b %11000000, %00000000, %00000000 ; ##......................

DatImage07        equ  *
DatTile7          dc.b %00000000, %00000000, %00000000 ; ........................ MC gold
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %11111111, %00000000, %00000000 ; ########................
                  dc.b %11101011, %00000000, %00000000 ; ###.#.##................
                  dc.b %11101011, %00000000, %00000000 ; ###.#.##................
                  dc.b %11101011, %00000000, %00000000 ; ###.#.##................
                  dc.b %11111111, %00000000, %00000000 ; ########................
                  dc.b %00000000, %00000000, %00000000 ; ........................

DatImage08        equ  *
DatSprtMC_RuLe00  equ  *
DatTile8          dc.b %00000100, %00000000, %00000000 ; .....#.................. MC blue enemy
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %01000100, %01000000, %00000000 ; .#...#...#..............
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00010101, %01000000, %00000000 ; ...#.#.#.#..............
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................

DatImage09        equ  *
DatTile9          dc.b %00001100, %00000000, %00000000 ; ....##..................  .hbu008. - MC white lode runner 
                  dc.b %00001111, %00000000, %00000000 ; ....####................
                  dc.b %00001111, %00000000, %00000000 ; ....####................
                  dc.b %00001100, %00000000, %00000000 ; ....##..................
                  dc.b %00111111, %00000000, %00000000 ; ..######................
                  dc.b %11001100, %11000000, %00000000 ; ##..##..##..............
                  dc.b %00001100, %00000000, %00000000 ; ....##..................
                  dc.b %00111111, %00000000, %00000000 ; ..######................
                  dc.b %11111111, %00000000, %00000000 ; ########................
                  dc.b %00000011, %00000000, %00000000 ; ......##................
                  dc.b %00000011, %00000000, %00000000 ; ......##................
; ------------------------------------------------------------------------------------------------------------------------------- ;
DatImage0a        equ  *
DatCursorBlank    dc.b %11111111, %11000000, %00000000 ; ##########.............. big reverse cursor
                  dc.b %11111111, %11000000, %00000000 ; ##########..............
                  dc.b %11111111, %11000000, %00000000 ; ##########..............
                  dc.b %11111111, %11000000, %00000000 ; ##########..............
                  dc.b %11111111, %11000000, %00000000 ; ##########..............
                  dc.b %11111111, %11000000, %00000000 ; ##########..............
                  dc.b %11111111, %11000000, %00000000 ; ##########..............
                  dc.b %11111111, %11000000, %00000000 ; ##########..............
                  dc.b %11111111, %11000000, %00000000 ; ##########..............
                  dc.b %11111111, %11000000, %00000000 ; ##########..............
                  dc.b %11111111, %11000000, %00000000 ; ##########..............
; ------------------------------------------------------------------------------------------------------------------------------- ;
DatImage0b        equ  *
DatSprite_RuLe00  dc.b %00010000, %00000000, %00000000 ; ...#.................... run    left 01
                  dc.b %00111000, %00000000, %00000000 ; ..###................... set to $00 in TabSpriteGame
                  dc.b %00111000, %00000000, %00000000 ; ..###...................
                  dc.b %00011100, %00000000, %00000000 ; ...###..................
                  dc.b %00111011, %00000000, %00000000 ; ..###.##................
                  dc.b %11001101, %10000000, %00000000 ; ##..##.##...............
                  dc.b %00001100, %00000000, %00000000 ; ....##..................
                  dc.b %00011100, %00000000, %00000000 ; ...###..................
                  dc.b %00110111, %10000000, %00000000 ; ..##.####...............
                  dc.b %00110000, %00000000, %00000000 ; ..##....................
                  dc.b %00110000, %00000000, %00000000 ; ..##....................
DatImage0c        equ  *
DatSprite_RuLe01  dc.b %00010000, %00000000, %00000000 ; ...#.................... run    left 02
                  dc.b %00111000, %00000000, %00000000 ; ..###................... set to $00 in TabSpriteGame
                  dc.b %00111000, %00000000, %00000000 ; ..###...................
                  dc.b %00011000, %00000000, %00000000 ; ...##...................
                  dc.b %00011100, %00000000, %00000000 ; ...###..................
                  dc.b %00111110, %00000000, %00000000 ; ..#####.................
                  dc.b %11011110, %00000000, %00000000 ; ##.####.................
                  dc.b %00111000, %00000000, %00000000 ; ..###...................
                  dc.b %00111100, %00000000, %00000000 ; ..####..................
                  dc.b %00001110, %00000000, %00000000 ; ....###.................
                  dc.b %00001100, %00000000, %00000000 ; ....##..................
DatImage0d        equ  *
DatSprite_RuLe02  dc.b %00010000, %00000000, %00000000 ; ...#.................... run    left 03
                  dc.b %00111000, %00000000, %00000000 ; ..###................... set to $00 in TabSpriteGame
                  dc.b %00111000, %00000000, %00000000 ; ..###...................
                  dc.b %00011000, %00000000, %00000000 ; ...##...................
                  dc.b %01011110, %00000000, %00000000 ; .#.####.................
                  dc.b %01111011, %00000000, %00000000 ; .####.##................
                  dc.b %00011000, %00000000, %00000000 ; ...##...................
                  dc.b %00111100, %00000000, %00000000 ; ..####..................
                  dc.b %01100110, %00000000, %00000000 ; .##..##.................
                  dc.b %01100011, %00000000, %00000000 ; .##...##................
                  dc.b %00000011, %00000000, %00000000 ; ......##................
DatImage0e        equ  *
DatSprite_Ladr00  dc.b %00001100, %00000000, %00000000 ; ....##.................. ladder up/down 01
                  dc.b %00001100, %01000000, %00000000 ; ....##...#.............. set to $00 in TabSpriteGame
                  dc.b %00001111, %11000000, %00000000 ; ....######..............
                  dc.b %01001110, %00000000, %00000000 ; .#..###.................
                  dc.b %01111110, %00000000, %00000000 ; .######.................
                  dc.b %00001110, %00000000, %00000000 ; ....###.................
                  dc.b %00001110, %00000000, %00000000 ; ....###.................
                  dc.b %00011011, %00000000, %00000000 ; ...##.##................
                  dc.b %00011011, %10000000, %00000000 ; ...##.###...............
                  dc.b %00011000, %00000000, %00000000 ; ...##...................
                  dc.b %00111000, %00000000, %00000000 ; ..###...................
DatImage0f        equ  *
DatSprite_FireLe  dc.b %00000010, %00000000, %00000000 ; ......#................. fire   left
                  dc.b %00000111, %00000000, %00000000 ; .....###................ set to $00 in TabSpriteGame
                  dc.b %00000111, %00000000, %00000000 ; .....###................
                  dc.b %00000011, %00000000, %00000000 ; ......##................
                  dc.b %00001111, %11000000, %00000000 ; ....######..............
                  dc.b %01011011, %01000000, %00000000 ; .#.##.##.#..............
                  dc.b %01000011, %00000000, %00000000 ; .#....##................
                  dc.b %00000111, %00000000, %00000000 ; .....###................
                  dc.b %00001101, %10000000, %00000000 ; ....##.##...............
                  dc.b %00001101, %10000000, %00000000 ; ....##.##...............
                  dc.b %00001101, %10000000, %00000000 ; ....##.##...............
DatImage10        equ  *
DatSprite_RuRi00  dc.b %00000010, %00000000, %00000000 ; ......#................. .hbu008. - run    right 01
                  dc.b %00000111, %00000000, %00000000 ; .....###................ set to $00 in TabSpriteGame
                  dc.b %00000111, %00000000, %00000000 ; .....###................
                  dc.b %00001110, %00000000, %00000000 ; ....###.................
                  dc.b %00110111, %00000000, %00000000 ; ..##.###................
                  dc.b %01101100, %11000000, %00000000 ; .##.##..##..............
                  dc.b %00001100, %00000000, %00000000 ; ....##..................
                  dc.b %00001110, %00000000, %00000000 ; ....###.................
                  dc.b %01111011, %00000000, %00000000 ; .####.##................
                  dc.b %00000011, %00000000, %00000000 ; ......##................
                  dc.b %00000011, %00000000, %00000000 ; ......##................
DatImage11        equ  *
DatSprite_RuRi01  dc.b %00000010, %00000000, %00000000 ; ......#................. run    right 02
                  dc.b %00000111, %00000000, %00000000 ; .....###................ set to $00 in TabSpriteGame
                  dc.b %00000111, %00000000, %00000000 ; .....###................
                  dc.b %00000110, %00000000, %00000000 ; .....##.................
                  dc.b %00001110, %00000000, %00000000 ; ....###.................
                  dc.b %00011111, %00000000, %00000000 ; ...#####................
                  dc.b %00011110, %11000000, %00000000 ; ...####.##..............
                  dc.b %00000111, %00000000, %00000000 ; .....###................
                  dc.b %00001111, %00000000, %00000000 ; ....####................
                  dc.b %00011100, %00000000, %00000000 ; ...###..................
                  dc.b %00001100, %00000000, %00000000 ; ....##..................
DatImage12        equ  *
DatSprite_RuRi02  dc.b %00000010, %00000000, %00000000 ; ......#................. run    right 03
                  dc.b %00000111, %00000000, %00000000 ; .....###................ set to $00 in TabSpriteGame
                  dc.b %00000111, %00000000, %00000000 ; .....###................
                  dc.b %00000110, %00000000, %00000000 ; .....##.................
                  dc.b %00011110, %10000000, %00000000 ; ...####.#...............
                  dc.b %00110111, %10000000, %00000000 ; ..##.####...............
                  dc.b %00000110, %00000000, %00000000 ; .....##.................
                  dc.b %00001111, %00000000, %00000000 ; ....####................
                  dc.b %00011001, %10000000, %00000000 ; ...##..##...............
                  dc.b %00110001, %10000000, %00000000 ; ..##...##...............
                  dc.b %00110000, %00000000, %00000000 ; ..##....................
DatImage13        equ  *
DatSprite_Ladr01  dc.b %00001100, %00000000, %00000000 ; ....##.................. ladder up/down 02
                  dc.b %10001100, %00000000, %00000000 ; #...##.................. set to $00 in TabSpriteGame
                  dc.b %11111100, %00000000, %00000000 ; ######..................
                  dc.b %00011100, %10000000, %00000000 ; ...###..#...............
                  dc.b %00011111, %10000000, %00000000 ; ...######...............
                  dc.b %00011100, %00000000, %00000000 ; ...###..................
                  dc.b %00011100, %00000000, %00000000 ; ...###..................
                  dc.b %00110110, %00000000, %00000000 ; ..##.##.................
                  dc.b %01110110, %00000000, %00000000 ; .###.##.................
                  dc.b %00000110, %00000000, %00000000 ; .....##.................
                  dc.b %00000111, %00000000, %00000000 ; .....###................
DatImage14        equ  *
DatSprite_FallLe  dc.b %01100100, %11000000, %00000000 ; .##..#..##.............. fall   left
                  dc.b %01101110, %11000000, %00000000 ; .##.###.##.............. set to $00 in TabSpriteGame
                  dc.b %01101110, %11000000, %00000000 ; .##.###.##..............
                  dc.b %00111111, %10000000, %00000000 ; ..#######...............
                  dc.b %00000110, %00000000, %00000000 ; .....##.................
                  dc.b %00000110, %00000000, %00000000 ; .....##.................
                  dc.b %00011110, %00000000, %00000000 ; ...####.................
                  dc.b %00110110, %00000000, %00000000 ; ..##.##.................
                  dc.b %00110110, %00000000, %00000000 ; ..##.##.................
                  dc.b %00110110, %00000000, %00000000 ; ..##.##.................
                  dc.b %00000110, %00000000, %00000000 ; .....##.................
DatImage15        equ  *
DatSprite_FallRi  dc.b %11001001, %10000000, %00000000 ; ##..#..##............... fall   right
                  dc.b %11011101, %10000000, %00000000 ; ##.###.##............... set to $00 in TabSpriteGame
                  dc.b %11011101, %10000000, %00000000 ; ##.###.##...............
                  dc.b %01111111, %00000000, %00000000 ; .#######................
                  dc.b %00011000, %00000000, %00000000 ; ...##...................
                  dc.b %00011000, %00000000, %00000000 ; ...##...................
                  dc.b %00011110, %00000000, %00000000 ; ...####.................
                  dc.b %00011011, %00000000, %00000000 ; ...##.##................
                  dc.b %00011011, %00000000, %00000000 ; ...##.##................
                  dc.b %00011011, %00000000, %00000000 ; ...##.##................
                  dc.b %00011000, %00000000, %00000000 ; ...##...................
DatImage16        equ  *
DatSprite_PoRi00  dc.b %01100001, %10000000, %00000000 ; .##....##............... pole   right 01
                  dc.b %01100001, %10000000, %00000000 ; .##....##............... set to $00 in TabSpriteGame
                  dc.b %01101101, %10000000, %00000000 ; .##.##.##...............
                  dc.b %01101111, %00000000, %00000000 ; .##.####................
                  dc.b %00111100, %00000000, %00000000 ; ..####..................
                  dc.b %00011000, %00000000, %00000000 ; ...##...................
                  dc.b %00011000, %00000000, %00000000 ; ...##...................
                  dc.b %01111000, %00000000, %00000000 ; .####...................
                  dc.b %11011000, %00000000, %00000000 ; ##.##...................
                  dc.b %11011000, %00000000, %00000000 ; ##.##...................
                  dc.b %10110000, %00000000, %00000000 ; #.##....................
DatImage17        equ  *
DatSprite_PoRi01  dc.b %00000110, %00000000, %00000000 ; .....##................. pole   right 02
                  dc.b %00000110, %00000000, %00000000 ; .....##................. set to $00 in TabSpriteGame
                  dc.b %00011110, %00000000, %00000000 ; ...####.................
                  dc.b %00011100, %00000000, %00000000 ; ...###..................
                  dc.b %01111000, %00000000, %00000000 ; .####...................
                  dc.b %11011000, %00000000, %00000000 ; ##.##...................
                  dc.b %00011000, %00000000, %00000000 ; ...##...................
                  dc.b %00111000, %00000000, %00000000 ; ..###...................
                  dc.b %01101100, %00000000, %00000000 ; .##.##..................
                  dc.b %01101100, %00000000, %00000000 ; .##.##..................
                  dc.b %01101100, %00000000, %00000000 ; .##.##..................
DatImage18        equ  *
DatSprite_PoRi02  dc.b %00011000, %00000000, %00000000 ; ...##................... pole   right 03
                  dc.b %00011000, %00000000, %00000000 ; ...##................... set to $00 in TabSpriteGame
                  dc.b %00011110, %00000000, %00000000 ; ...####.................
                  dc.b %00001110, %11000000, %00000000 ; ....###.##..............
                  dc.b %00000111, %10000000, %00000000 ; .....####...............
                  dc.b %00000110, %00000000, %00000000 ; .....##.................
                  dc.b %00000110, %00000000, %00000000 ; .....##.................
                  dc.b %00001110, %00000000, %00000000 ; ....###.................
                  dc.b %00011011, %00000000, %00000000 ; ...##.##................
                  dc.b %00011011, %00000000, %00000000 ; ...##.##................
                  dc.b %00011011, %00000000, %00000000 ; ...##.##................
DatImage19        equ  *
DatSprite_PoLe00  dc.b %01100001, %10000000, %00000000 ; .##....##............... pole   left 01
                  dc.b %01100001, %10000000, %00000000 ; .##....##............... set to $00 in TabSpriteGame
                  dc.b %01101101, %10000000, %00000000 ; .##.##.##...............
                  dc.b %00111101, %10000000, %00000000 ; ..####.##...............
                  dc.b %00001111, %00000000, %00000000 ; ....####................
                  dc.b %00000110, %00000000, %00000000 ; .....##.................
                  dc.b %00000110, %00000000, %00000000 ; .....##.................
                  dc.b %00000111, %10000000, %00000000 ; .....####...............
                  dc.b %00000110, %11000000, %00000000 ; .....##.##..............
                  dc.b %00000110, %11000000, %00000000 ; .....##.##..............
                  dc.b %00000011, %01000000, %00000000 ; ......##.#..............
DatImage1a        equ  *
DatSprite_PoLe01  dc.b %00011000, %00000000, %00000000 ; ...##................... pole   left 02
                  dc.b %00011000, %00000000, %00000000 ; ...##................... set to $00 in TabSpriteGame
                  dc.b %00011110, %00000000, %00000000 ; ...####.................
                  dc.b %00001110, %00000000, %00000000 ; ....###.................
                  dc.b %00000111, %10000000, %00000000 ; .....####...............
                  dc.b %00000110, %11000000, %00000000 ; .....##.##..............
                  dc.b %00000110, %00000000, %00000000 ; .....##.................
                  dc.b %00000111, %00000000, %00000000 ; .....###................
                  dc.b %00001101, %10000000, %00000000 ; ....##.##...............
                  dc.b %00001101, %10000000, %00000000 ; ....##.##...............
                  dc.b %00001101, %10000000, %00000000 ; ....##.##...............
DatImage1b        equ  *
DatSprite_PoLe02  dc.b %00000110, %00000000, %00000000 ; .....##................. pole   left 03
                  dc.b %00000110, %00000000, %00000000 ; .....##................. set to $00 in TabSpriteGame
                  dc.b %00011110, %00000000, %00000000 ; ...####.................
                  dc.b %11011100, %00000000, %00000000 ; ##.###..................
                  dc.b %01111000, %00000000, %00000000 ; .####...................
                  dc.b %00011000, %00000000, %00000000 ; ...##...................
                  dc.b %00011000, %00000000, %00000000 ; ...##...................
                  dc.b %00011100, %00000000, %00000000 ; ...###..................
                  dc.b %00110110, %00000000, %00000000 ; ..##.##.................
                  dc.b %00110110, %00000000, %00000000 ; ..##.##.................
                  dc.b %00110110, %00000000, %00000000 ; ..##.##.................
; ------------------------------------------------------------------------------------------------------------------------------- ;
DatImage1c        equ  *
DatShootSpark00   dc.b %00000000, %00000000, %00000000 ; ........................ shooting spark 01
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00001000, %00000000, %00000000 ; ....#...................
                  dc.b %00000010, %01000000, %00000000 ; ......#..#..............
                  dc.b %00100000, %01000000, %00000000 ; ..#......#..............
                  dc.b %00001001, %00000000, %00000000 ; ....#..#.................
                  dc.b %00000001, %00000000, %00000000 ; .......#................
DatImage1d        equ  *
DatShootSpark01   dc.b %00000000, %00000000, %00000000 ; ........................ shooting spark 02
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00001000, %00000000, %00000000 ; ....#...................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %10000000, %00000000 ; ........#...............
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %00100000, %00000000, %00000000 ; ..#.....................
                  dc.b %00001010, %01000000, %00000000 ; ....#.#..#..............
                  dc.b %00100001, %01000000, %00000000 ; ..#....#.#..............
                  dc.b %00001001, %00000000, %00000000 ; ....#..#................
DatImage1e        equ  *
DatShootSpark02   dc.b %00001000, %00000000, %00000000 ; ....#................... shooting spark 03
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10001000, %00000000, %00000000 ; #...#...................
                  dc.b %00000000, %10000000, %00000000 ; ........#...............
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %00100000, %00000000, %00000000 ; ..#.....................
                  dc.b %00000010, %00000000, %00000000 ; ......#.................
DatImage1f        equ  *
DatShootSpark03   dc.b %00000000, %00000000, %00000000 ; ........................ shooting spark 04
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00001000, %00000000, %00000000 ; ....#...................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %10000000, %00000000 ; ........#...............
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
; ------------------------------------------------------------------------------------------------------------------------------- ;
DatImage20        equ  *
DatShootMeltGr00  dc.b %10100100, %10000000, %00000000 ; #.#..#..#.............. shoot melt ground 01
                  dc.b %10101000, %10000000, %00000000 ; #.#.#...#...............
                  dc.b %10101000, %10000000, %00000000 ; #.#.#...#...............
                  dc.b %10101000, %10000000, %00000000 ; #.#.#...#...............
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %00000000, %00000000, %00000000 ; ........................
DatImage21        equ  *
DatShootMeltGr01  dc.b %00000100, %00000000, %00000000 ; .....#.................. shoot melt ground 02
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %10000000, %10000000, %00000000 ; #.......#...............
                  dc.b %10101000, %10000000, %00000000 ; #.#.#...#...............
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %00000000, %00000000, %00000000 ; ........................
DatImage22        equ  *
DatShootMeltGr02  dc.b %00000000, %00000000, %00000000 ; ........................ shoot melt ground 03
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %10010100, %10000000, %00000000 ; #..#.#..#...............
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %00000000, %00000000, %00000000 ; ........................
DatImage23        equ  *
DatShootMeltGr03  dc.b %00000000, %00000000, %00000000 ; ........................ shoot melt ground 04
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %00000000, %00000000, %00000000 ; ........................
DatImage24        equ  *
DatShootMeltGr04  dc.b %00000000, %00000000, %00000000 ; ........................ shoot melt ground 05
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
                  dc.b %10010101, %00000000, %00000000 ; #..#.#.#................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10001010, %10000000, %00000000 ; #...#.#.#...............
                  dc.b %00000000, %00000000, %00000000 ; ........................
DatImage25        equ  *
DatShootMeltGr05  dc.b %00000000, %00000000, %00000000 ; ........................ shoot melt ground 06
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00000000, %00000000, %00000000 ; ........................
; ------------------------------------------------------------------------------------------------------------------------------- ;
DatImage26        equ  *
DatSprite_FireRi  dc.b %00001000, %00000000, %00000000 ; ....#................... fire   right
                  dc.b %00011100, %00000000, %00000000 ; ...###.................. set to $00 in TabSpriteGame
                  dc.b %00011100, %00000000, %00000000 ; ...###..................
                  dc.b %00011000, %00000000, %00000000 ; ...##...................
                  dc.b %01111110, %00000000, %00000000 ; .######.................
                  dc.b %01011011, %01000000, %00000000 ; .#.##.##.#..............
                  dc.b %00011000, %01000000, %00000000 ; ...##....#..............
                  dc.b %00011100, %00000000, %00000000 ; ...###..................
                  dc.b %00110110, %00000000, %00000000 ; ..##.##.................
                  dc.b %00110110, %00000000, %00000000 ; ..##.##.................
                  dc.b %00110110, %00000000, %00000000 ; ..##.##.................
; ------------------------------------------------------------------------------------------------------------------------------- ;
DatImage27        equ  *
DatShootMelt00    dc.b %00000000, %00000000, %00000000 ; ........................ shoot projectile starts melting 01
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00001000, %00000000, %00000000 ; ....#...................
                  dc.b %00100010, %00000000, %00000000 ; ..#...#.................
                  dc.b %01001000, %00000000, %00000000 ; .#..#...................
                  dc.b %01010000, %10000000, %00000000 ; .#.#....#...............
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
DatImage28        equ  *
DatShootMelt01    dc.b %00000000, %00000000, %00000000 ; ........................ shoot projectile starts melting 02
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00001000, %00000000, %00000000 ; ....#...................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %10000000, %00000000 ; ........#...............
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %01000000, %00000000, %00000000 ; .#......................
                  dc.b %01001010, %00000000, %00000000 ; .#..#.#.................
                  dc.b %00010001, %00000000, %00000000 ; ...#...#................
                  dc.b %00010001, %00000000, %00000000 ; ...#...#................
; ------------------------------------------------------------------------------------------------------------------------------- ;
DatImage29        equ  *
DatSprtMC_RuRi00  dc.b %00000010, %00000000, %00000000 ; ......#................. run    right 01
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................ set to it's no in TabSpriteGame - to be replaced
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %01000100, %01000000, %00000000 ; .#...#...#..............
                  dc.b %00001100, %00000000, %00000000 ; ....##..................
                  dc.b %00001110, %00000000, %00000000 ; ....###.................
                  dc.b %01111011, %00000000, %00000000 ; .####.##................
                  dc.b %00000011, %00000000, %00000000 ; ......##................
                  dc.b %00000011, %00000000, %00000000 ; ......##................
DatImage2a        equ  *
DatSprtMC_RuRi01  dc.b %00000010, %00000000, %00000000 ; ......#................. run    right 02
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................ set to it's no in TabSpriteGame - to be replaced
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00000110, %01000000, %00000000 ; .....##..#..............
                  dc.b %00000111, %00000000, %00000000 ; .....###................
                  dc.b %00001111, %00000000, %00000000 ; ....####................
                  dc.b %00011100, %00000000, %00000000 ; ...###..................
                  dc.b %00001100, %00000000, %00000000 ; ....##..................
DatImage2b        equ  *
DatSprtMC_RuRi02  dc.b %00000010, %00000000, %00000000 ; ......#................. run    right 03
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................ set to it's no in TabSpriteGame - to be replaced
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %01000101, %00000000, %00000000 ; .#...#.#................
                  dc.b %00000110, %00000000, %00000000 ; .....##.................
                  dc.b %00001111, %00000000, %00000000 ; ....####................
                  dc.b %00011001, %10000000, %00000000 ; ...##..##...............
                  dc.b %00110001, %10000000, %00000000 ; ..##...##...............
                  dc.b %00110000, %00000000, %00000000 ; ..##....................
DatImage2c        equ  *
DatSprtMC_RuLe01  dc.b %00001000, %00000000, %00000000 ; ....#................... run    left 02
                  dc.b %00010100, %00000000, %00000000 ; ...#.#.................. set to it's no in TabSpriteGame - to be replaced
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %01001100, %00000000, %00000000 ; .#..##..................
                  dc.b %00011100, %00000000, %00000000 ; ...###..................
                  dc.b %00011110, %00000000, %00000000 ; ...####.................
                  dc.b %00000111, %00000000, %00000000 ; .....###................
                  dc.b %00000110, %00000000, %00000000 ; .....##.................
DatImage2d        equ  *
DatSprtMC_RuLe02  dc.b %00001000, %00000000, %00000000 ; ....#................... run    left 03
                  dc.b %00010100, %00000000, %00000000 ; ...#.#.................. set to it's no in TabSpriteGame - to be replaced
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00010100, %01000000, %00000000 ; ..#.#...#...............
                  dc.b %00001100, %00000000, %00000000 ; ....##..................
                  dc.b %00011110, %00000000, %00000000 ; ...####.................
                  dc.b %00110011, %00000000, %00000000 ; ..##..##................
                  dc.b %00110001, %10000000, %00000000 ; ..##...##...............
                  dc.b %00000001, %10000000, %00000000 ; .......##...............
DatImage2e        equ  *
DatSprtMC_PoRi00  dc.b %01000001, %00000000, %00000000 ; .#.....#................ pole   right 01
                  dc.b %01000001, %00000000, %00000000 ; .#.....#................ set to it's no in TabSpriteGame - to be replaced
                  dc.b %01000101, %00000000, %00000000 ; .#...#.#................
                  dc.b %01000101, %00000000, %00000000 ; .#...#.#................
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00011000, %00000000, %00000000 ; ...##...................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %01111000, %00000000, %00000000 ; .####...................
                  dc.b %11011000, %00000000, %00000000 ; ##.##...................
                  dc.b %11011000, %00000000, %00000000 ; ##.##...................
                  dc.b %10110000, %00000000, %00000000 ; #.##....................
DatImage2f        equ  *
DatSprtMC_PoRi01  dc.b %00000100, %00000000, %00000000 ; .....#.................. pole   right 02
                  dc.b %00000100, %00000000, %00000000 ; .....#.................. set to it's no in TabSpriteGame - to be replaced
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %01010000, %00000000, %00000000 ; .#.#....................
                  dc.b %01010000, %00000000, %00000000 ; .#.#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00111000, %00000000, %00000000 ; ..###...................
                  dc.b %01101100, %00000000, %00000000 ; .##.##..................
                  dc.b %01101100, %00000000, %00000000 ; .##.##..................
                  dc.b %01101100, %00000000, %00000000 ; .##.##..................
DatImage30        equ  *
DatSprtMC_PoRi02  dc.b %00010000, %00000000, %00000000 ; ...#.................... pole   right 03
                  dc.b %00010000, %00000000, %00000000 ; ...#.................... set to it's no in TabSpriteGame - to be replaced
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00000100, %01000000, %00000000 ; .....#...#..............
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00001110, %00000000, %00000000 ; ....###.................
                  dc.b %00011011, %00000000, %00000000 ; ...##.##................
                  dc.b %00011011, %00000000, %00000000 ; ...##.##................
                  dc.b %00011011, %00000000, %00000000 ; ...##.##................
DatImage31        equ  *
DatSprtMC_PoLe00  dc.b %01000001, %00000000, %00000000 ; .#.....#................ pole   left 01
                  dc.b %01000001, %00000000, %00000000 ; .#.....#................ set to it's no in TabSpriteGame - to be replaced
                  dc.b %01010001, %00000000, %00000000 ; .#.#...#................
                  dc.b %01010001, %00000000, %00000000 ; .#.#...#................
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00001111, %00000000, %00000000 ; ....####................
                  dc.b %00001101, %10000000, %00000000 ; ....##.##..............
                  dc.b %00001101, %10000000, %00000000 ; ....##.##..............
                  dc.b %00000110, %10000000, %00000000 ; .....##..#..............
DatImage32        equ  *
DatSprtMC_PoLe01  dc.b %00010000, %00000000, %00000000 ; ...#.................... pole   left 02
                  dc.b %00010000, %00000000, %00000000 ; ...#.................... set to it's no in TabSpriteGame - to be replaced
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00000111, %00000000, %00000000 ; .....###................
                  dc.b %00001101, %10000000, %00000000 ; ....##.##...............
                  dc.b %00001101, %10000000, %00000000 ; ....##.##...............
                  dc.b %00001101, %10000000, %00000000 ; ....##.##...............
DatImage33        equ  *
DatSprtMC_PoLe02  dc.b %00000100, %00000000, %00000000 ; .....#.................. pole   left 03
                  dc.b %00000100, %00000000, %00000000 ; .....#.................. set to it's no in TabSpriteGame - to be replaced
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %01010000, %00000000, %00000000 ; .#.#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00011100, %00000000, %00000000 ; ...###..................
                  dc.b %00110110, %00000000, %00000000 ; ..##.##.................
                  dc.b %00110110, %00000000, %00000000 ; ..##.##.................
                  dc.b %00110110, %00000000, %00000000 ; ..##.##.................
DatImage34        equ  *
DatSprtMC_Ladr00  dc.b %00000100, %00000000, %00000000 ; .....#.................. ladder up/down 01
                  dc.b %00000100, %01000000, %00000000 ; .....#...#.............. set to it's no in TabSpriteGame - to be replaced
                  dc.b %00000101, %01000000, %00000000 ; .....#.#.#..............
                  dc.b %01000100, %00000000, %00000000 ; .#...#..................
                  dc.b %01010100, %00000000, %00000000 ; .#.#.#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00001110, %00000000, %00000000 ; ....###.................
                  dc.b %00011011, %00000000, %00000000 ; ...##.##................
                  dc.b %00011011, %10000000, %00000000 ; ...##.###...............
                  dc.b %00011000, %00000000, %00000000 ; ...##...................
                  dc.b %00111000, %00000000, %00000000 ; ..###...................
DatImage35        equ  *
DatSprtMC_Ladr01  dc.b %00000100, %00000000, %00000000 ; .....#.................. ladder up/down 02
                  dc.b %10000100, %00000000, %00000000 ; #....#.................. set to it's no in TabSpriteGame - to be replaced
                  dc.b %11010100, %00000000, %00000000 ; ##.#.#..................
                  dc.b %00010100, %10000000, %00000000 ; ...#.#..#...............
                  dc.b %00010101, %10000000, %00000000 ; ...#.#.##...............
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00011100, %00000000, %00000000 ; ...###..................
                  dc.b %00110110, %00000000, %00000000 ; ..##.##.................
                  dc.b %01110110, %00000000, %00000000 ; .###.##.................
                  dc.b %00000110, %00000000, %00000000 ; .....##.................
                  dc.b %00000111, %00000000, %00000000 ; .....###................
DatImage36        equ  *
DatSprtMC_FallRi  dc.b %01000100, %01000000, %00000000 ; .#...#...#.............. fall   right
                  dc.b %01000100, %01000000, %00000000 ; .#...#...#.............. set to it's no in TabSpriteGame - to be replaced
                  dc.b %01000100, %01000000, %00000000 ; .#...#...#..............
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#...............
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00001111, %00000000, %00000000 ; ...####.................
                  dc.b %00001101, %10000000, %00000000 ; ...##.##................
                  dc.b %00001101, %10000000, %00000000 ; ...##.##................
                  dc.b %00001101, %10000000, %00000000 ; ...##.##................
                  dc.b %00001100, %00000000, %00000000 ; ...##...................
DatImage37        equ  *
DatSprtMC_FallLe  dc.b %01000100, %10000000, %00000000 ; .#...#...#.............. fall   left
                  dc.b %01000100, %10000000, %00000000 ; .#...#...#.............. set to it's no in TabSpriteGame - to be replaced
                  dc.b %01000100, %10000000, %00000000 ; .#...#...#..............
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00011110, %00000000, %00000000 ; ...####.................
                  dc.b %00110110, %00000000, %00000000 ; ..##.##.................
                  dc.b %00110110, %00000000, %00000000 ; ..##.##.................
                  dc.b %00110110, %00000000, %00000000 ; ..##.##.................
                  dc.b %00000110, %00000000, %00000000 ; .....##.................
; ------------------------------------------------------------------------------------------------------------------------------- ;
; Separation number used in TabSpriteGame of SetSpritePos
; ------------------------------------------------------------------------------------------------------------------------------- ;
DatSpritesX       equ  *
; ------------------------------------------------------------------------------------------------------------------------------- ;
DatImage38        equ  *
DatCloseHole00    dc.b %00000000, %00000000, %00000000 ; ........................ MC close holes 1st step
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10000000, %10000000, %00000000 ; #.......#...............
                  dc.b %10000000, %10000000, %00000000 ; #.......#...............
                  dc.b %00000000, %00000000, %00000000 ; ........................
DatImage39        equ  *
DatCloseHole01    dc.b %00000000, %00000000, %00000000 ; ........................ MC close holes 2nd step
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10000000, %10000000, %00000000 ; #.......#...............
                  dc.b %10000000, %10000000, %00000000 ; #.......#...............
                  dc.b %10000000, %10000000, %00000000 ; #.......#...............
                  dc.b %10000000, %10000000, %00000000 ; #.......#...............
                  dc.b %00000000, %00000000, %00000000 ; ........................
; ------------------------------------------------------------------------------------------------------------------------------- ;
DatImage3a        equ  *
DatReviveEnemyO0  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth 1st step - old
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
                  dc.b %00000000, %00000000, %00000000 ; ........................

DatImage3b        equ  *
DatReviveEnemyO1  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth 2nd step - old
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
                  dc.b %00000000, %00000000, %00000000 ; ........................
; ------------------------------------------------------------------------------------------------------------------------------- ;
DatImage3c        equ  *
DatDig0           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
                  dc.b %01000001, %00000000, %00000000 ; .#.....#................
                  dc.b %01000001, %00000000, %00000000 ; .#.....#................
                  dc.b %01000001, %00000000, %00000000 ; .#.....#................
                  dc.b %01000101, %00000000, %00000000 ; .#...#.#................
                  dc.b %01000101, %00000000, %00000000 ; .#...#.#................
                  dc.b %01000101, %00000000, %00000000 ; .#...#.#................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
DatImage3d        equ  *
DatDig1           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
DatImage3e        equ  *
DatDig2           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
                  dc.b %01000001, %00000000, %00000000 ; .#.....#................
                  dc.b %00000001, %00000000, %00000000 ; .......#................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
                  dc.b %01000000, %00000000, %00000000 ; .#......................
                  dc.b %01000000, %00000000, %00000000 ; .#......................
                  dc.b %01000101, %00000000, %00000000 ; .#...#.#................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
DatImage3f        equ  *
DatDig3           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
                  dc.b %01000001, %00000000, %00000000 ; .#.....#................
                  dc.b %00000001, %00000000, %00000000 ; .......#................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00000001, %00000000, %00000000 ; .......#................
                  dc.b %00000001, %00000000, %00000000 ; .......#................
                  dc.b %01000001, %00000000, %00000000 ; .#.....#................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
DatImage40        equ  *
DatDig4           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %01010001, %00000000, %00000000 ; .#.#...#................
                  dc.b %01010001, %00000000, %00000000 ; .#.#...#................
                  dc.b %01010001, %00000000, %00000000 ; .#.#...#................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
                  dc.b %00000001, %00000000, %00000000 ; .......#................
                  dc.b %00000001, %00000000, %00000000 ; .......#................
                  dc.b %00000001, %00000000, %00000000 ; .......#................
                  dc.b %00000001, %00000000, %00000000 ; .......#................
DatImage41        equ  *
DatDig5           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
                  dc.b %01000000, %00000000, %00000000 ; .#......................
                  dc.b %01000000, %00000000, %00000000 ; .#......................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
DatImage42        equ  *
DatDig6           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
                  dc.b %01000001, %00000000, %00000000 ; .#.....#................
                  dc.b %01000000, %00000000, %00000000 ; .#......................
                  dc.b %01000000, %00000000, %00000000 ; .#......................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
                  dc.b %01000101, %00000000, %00000000 ; .#...#.#................
                  dc.b %01000101, %00000000, %00000000 ; .#...#.#................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
DatImage43        equ  *
DatDig7           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
DatImage44        equ  *
DatDig8           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00010001, %00000000, %00000000 ; ...#...#................
                  dc.b %00010001, %00000000, %00000000 ; ...#...#................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
                  dc.b %01000001, %00000000, %00000000 ; .#.....#................
                  dc.b %01000001, %00000000, %00000000 ; .#.....#................
                  dc.b %01000001, %00000000, %00000000 ; .#.....#................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
DatImage45        equ  *
DatDig9           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
                  dc.b %01000001, %00000000, %00000000 ; .#.....#................
                  dc.b %01000001, %00000000, %00000000 ; .#.....#................
                  dc.b %01010101, %00000000, %00000000 ; .#.#.#.#................
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
; ------------------------------------------------------------------------------------------------------------------------------- ;
DatImage46        equ  *
DatChrA           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00101010, %00000000, %00000000 ; ..#.#.#.................
                  dc.b %00100010, %00000000, %00000000 ; ..#...#.................
                  dc.b %00100010, %00000000, %00000000 ; ..#...#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
DatImage47        equ  *
DatChrB           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101000, %00000000, %00000000 ; #.#.#...................
                  dc.b %10001000, %00000000, %00000000 ; #...#...................
                  dc.b %10001000, %00000000, %00000000 ; #...#...................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
DatImage48        equ  *
DatChrC           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
DatImage49        equ  *
DatChrD           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101000, %00000000, %00000000 ; #.#.#...................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10101000, %00000000, %00000000 ; #.#.#...................
DatImage4a        equ  *
DatChrE           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %10101000, %00000000, %00000000 ; #.#.#...................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
DatImage4b        equ  *
DatChrF           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %10101000, %00000000, %00000000 ; #.#.#...................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
DatImage4c        equ  *
DatChrG           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
DatImage4d        equ  *
DatChrH           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
DatImage4e        equ  *
DatChrI           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00100000, %00000000, %00000000 ; ..#.....................
                  dc.b %00100000, %00000000, %00000000 ; ..#.....................
                  dc.b %00100000, %00000000, %00000000 ; ..#.....................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
DatImage4f        equ  *
DatChrJ           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00001000, %00000000, %00000000 ; ....#...................
                  dc.b %00001000, %00000000, %00000000 ; ....#...................
                  dc.b %00001000, %00000000, %00000000 ; ....#...................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
DatImage50        equ  *
DatChrK           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10001000, %00000000, %00000000 ; #...#...................
                  dc.b %10101000, %00000000, %00000000 ; #.#.#...................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
DatImage51        equ  *
DatChrL           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
DatImage52        equ  *
DatChrM           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
DatImage53        equ  *
DatChrN           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
DatImage54        equ  *
DatChrO           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
DatImage55        equ  *
DatChrP           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
DatImage56        equ  *
DatChrQ           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10001000, %00000000, %00000000 ; #...#...................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
DatImage57        equ  *
DatChrR           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10101000, %00000000, %00000000 ; #.#.#...................
                  dc.b %10101000, %00000000, %00000000 ; #.#.#...................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
DatImage58        equ  *
DatChrS           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
DatImage59        equ  *
DatChrT           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %00100000, %00000000, %00000000 ; ..#.....................
                  dc.b %00100000, %00000000, %00000000 ; ..#.....................
                  dc.b %00100000, %00000000, %00000000 ; ..#.....................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
DatImage5a        equ  *
DatChrU           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
DatImage5b        equ  *
DatChrV           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00100000, %00000000, %00000000 ; ..#.....................
DatImage5c        equ  *
DatChrW           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
DatImage5d        equ  *
DatChrX           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
DatImage5e        equ  *
DatChrY           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
DatImage5f        equ  *
DatChrZ           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %00001000, %00000000, %00000000 ; ....#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
; ------------------------------------------------------------------------------------------------------------------------------- ;
DatImage60        equ  *
DatSpcBrRi        dc.b %00000000, %00000000, %00000000 ; ........................ right bracket
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
DatImage61        equ  *
DatSpcDot         dc.b %00000000, %00000000, %00000000 ; ........................ period
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
DatImage62        equ  *
DatSpcPaLe        dc.b %00000000, %00000000, %00000000 ; ........................ left parenthesis
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
DatImage63        equ  *
DatSpcPaRi        dc.b %00000000, %00000000, %00000000 ; ........................ right parenthesis
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
DatImage64        equ  *
DatSpcSlash       dc.b %00000000, %00000000, %00000000 ; ........................ slash
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000010, %00000000, %00000000 ; ......#.................
                  dc.b %00000010, %00000000, %00000000 ; ......#.................
                  dc.b %00001000, %00000000, %00000000 ; ....#...................
                  dc.b %00001000, %00000000, %00000000 ; ....#...................
                  dc.b %00100000, %00000000, %00000000 ; ..#.....................
                  dc.b %00100000, %00000000, %00000000 ; ..#.....................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
DatImage65        equ  *
DatSpcHyp         dc.b %00000000, %00000000, %00000000 ; ........................ hyphen
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %10000000, %00000000 ; #.#.#.#.#...............
                  dc.b %10101010, %10000000, %00000000 ; #.#.#.#.#...............
                  dc.b %10101010, %10000000, %00000000 ; #.#.#.#.#...............
                  dc.b %10101010, %10000000, %00000000 ; #.#.#.#.#...............
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
DatImage66        equ  *
DatSpcBrRLe       dc.b %00000000, %00000000, %00000000 ; ........................ left bracket
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000010, %00000000, %00000000 ; ......#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %10100000, %00000000, %00000000 ; #.#.....................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00000010, %00000000, %00000000 ; ......#.................
DatImage67        equ  *
DatSpcColon       dc.b %00000000, %00000000, %00000000 ; ........................ .hbu013. - colon
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
; ------------------------------------------------------------------------------------------------------------------------------- ;
DatImage68        equ  *
DatChr0           dc.b %00000000, %00000000, %00000000 ; ........................ .hbu015. - character digits
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
DatImage69        equ  *
DatChr1           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00001000, %00000000, %00000000 ; ....#...................
                  dc.b %00001000, %00000000, %00000000 ; ....#...................
                  dc.b %00001000, %00000000, %00000000 ; ....#...................
                  dc.b %00001000, %00000000, %00000000 ; ....#...................
                  dc.b %00101010, %00000000, %00000000 ; ..#.#.#.................
                  dc.b %00101010, %00000000, %00000000 ; ..#.#.#.................
DatImage6a        equ  *
DatChr2           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %00000010, %00000000, %00000000 ; ......#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
DatImage6b        equ  *
DatChr3           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %00000010, %00000000, %00000000 ; ......#.................
                  dc.b %00101010, %00000000, %00000000 ; ..#.#.#.................
                  dc.b %00000010, %00000000, %00000000 ; ......#.................
                  dc.b %00000010, %00000000, %00000000 ; ......#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
DatImage6c        equ  *
DatChr4           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10100010, %00000000, %00000000 ; #.#...#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %00000010, %00000000, %00000000 ; ......#.................
                  dc.b %00000010, %00000000, %00000000 ; ......#.................
                  dc.b %00000010, %00000000, %00000000 ; ......#.................
                  dc.b %00000010, %00000000, %00000000 ; ......#.................
DatImage6d        equ  *
DatChr5           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
DatImage6e        equ  *
DatChr6           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10000000, %00000000, %00000000 ; #.......................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10001010, %00000000, %00000000 ; #...#.#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
DatImage6f        equ  *
DatChr7           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00101000, %00000000, %00000000 ; ..#.#...................
                  dc.b %00100000, %00000000, %00000000 ; ..#.....................
                  dc.b %00100000, %00000000, %00000000 ; ..#.....................
                  dc.b %00100000, %00000000, %00000000 ; ..#.....................
DatImage70        equ  *
DatChr8           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00101010, %00000000, %00000000 ; ..#.#.#.................
                  dc.b %00100010, %00000000, %00000000 ; ..#...#.................
                  dc.b %00100010, %00000000, %00000000 ; ..#...#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
DatImage71        equ  *
DatChr9           dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10000010, %00000000, %00000000 ; #.....#.................
                  dc.b %10101010, %00000000, %00000000 ; #.#.#.#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................
                  dc.b %00001010, %00000000, %00000000 ; ....#.#.................

DatImage72        equ  *
DatReviveEnemy01  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth step 01
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................

DatImage73        equ  *
DatReviveEnemy02  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth step 02
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................

DatImage74        equ  *
DatReviveEnemy03  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth step 03
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................

DatImage75        equ  *
DatReviveEnemy04  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth step 04
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................

DatImage76        equ  *
DatReviveEnemy05  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth step 05
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................

DatImage77        equ  *
DatReviveEnemy06  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth step 06
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00010101, %01000000, %00000000 ; ...#.#.#.#..............
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
DatImage78        equ  *
DatReviveEnemy07  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth step 07
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000001, %00000000, %00000000 ; .......#................
                  dc.b %00010101, %01000000, %00000000 ; ...#.#.#.#..............
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................

DatImage79        equ  *
DatReviveEnemy08  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth step 08
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000101, %00000000, %00000000 ; .....#.#................
                  dc.b %00010101, %01000000, %00000000 ; ...#.#.#.#..............
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................

DatImage7a        equ  *
DatReviveEnemy09  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth step 09
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00010101, %01000000, %00000000 ; ...#.#.#.#..............
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................

DatImage7b        equ  *
DatReviveEnemy0a  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth step 0a
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00010101, %01000000, %00000000 ; ...#.#.#.#..............
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................

DatImage7c        equ  *
DatReviveEnemy0b  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth step 0b
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00010101, %01000000, %00000000 ; ...#.#.#.#..............
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................

DatImage7d        equ  *
DatReviveEnemy0c  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth step 0c
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00010101, %01000000, %00000000 ; ...#.#.#.#..............
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................

DatImage7e        equ  *
DatReviveEnemy0d  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth step 0d
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000100, %00000000, %00000000 ; ........................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00000100, %01000000, %00000000 ; .....#...#..............
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00010101, %01000000, %00000000 ; ...#.#.#.#..............
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................

DatImage7f        equ  *
DatReviveEnemy0e  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth step 0e
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %01000100, %01000000, %00000000 ; .#...#...#..............
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00010101, %01000000, %00000000 ; ...#.#.#.#..............
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................

DatImage80        equ  *
DatReviveEnemy0f  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth step 0f
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %01000100, %01000000, %00000000 ; .#...#...#..............
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00010101, %01000000, %00000000 ; ...#.#.#.#..............
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................

DatImage81        equ  *
DatReviveEnemy10  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth step 10
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %01000100, %01000000, %00000000 ; .#...#...#..............
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00010101, %01000000, %00000000 ; ...#.#.#.#..............
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................

DatImage82        equ  *
DatReviveEnemy11  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth step 11
                  dc.b %00000000, %00000000, %00000000 ; ........................
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %01000100, %01000000, %00000000 ; .#...#...#..............
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00010101, %01000000, %00000000 ; ...#.#.#.#..............
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................

DatImage83        equ  *
DatReviveEnemy12  dc.b %00000000, %00000000, %00000000 ; ........................ MC rebirth step 12
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %01000100, %01000000, %00000000 ; .#...#...#..............
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00010101, %01000000, %00000000 ; ...#.#.#.#..............
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................

DatImage84        equ  *
DatReviveEnemy13  dc.b %00000100, %00000000, %00000000 ; .....#.................. MC rebirth step 13
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00010100, %00000000, %00000000 ; ...#.#..................
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %01000100, %01000000, %00000000 ; .#...#...#..............
                  dc.b %00000100, %00000000, %00000000 ; .....#..................
                  dc.b %00010101, %00000000, %00000000 ; ...#.#.#................
                  dc.b %00010101, %01000000, %00000000 ; ...#.#.#.#..............
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
                  dc.b %00010000, %00000000, %00000000 ; ...#....................
; ------------------------------------------------------------------------------------------------------------- ;
DatImagesX        equ  *                               ; .hbu008. - end address for number calculations
; ------------------------------------------------------------------------------------------------------------- ;
DatImageLen       equ  (DatTile1 - DatTile0)                             ; length  image data
NoImages          equ  (DatImagesX        - DatImages) / DatImageLen     ; overall image numbers for GetChrSubst
NoSprites         equ  (DatSpritesX       - DatImages) / DatImageLen + 1 ; sprite  image numbers for SetSpritePos
; ------------------------------------------------------------------------------------------------------------- ;
NoTileBlank       equ  (DatTile0          - DatImages) / DatImageLen ; level tiles
NoTileWallWeak    equ  (DatTile1          - DatImages) / DatImageLen
NoTileWallHard    equ  (DatTile2          - DatImages) / DatImageLen
NoTileLadder      equ  (DatTile3          - DatImages) / DatImageLen
NoTilePole        equ  (DatTile4          - DatImages) / DatImageLen
NoTileWallTrap    equ  (DatTile5          - DatImages) / DatImageLen
NoTileLadderSec   equ  (DatTile6          - DatImages) / DatImageLen
NoTileGold        equ  (DatTile7          - DatImages) / DatImageLen
NoTileEnemy       equ  (DatTile8          - DatImages) / DatImageLen
NoTileLodeRunner  equ  (DatTile9          - DatImages) / DatImageLen
;
NoTileNumMin      equ  NoTileBlank
NoTileNumMax      equ  NoTileLodeRunner
; ------------------------------------------------------------------------------------------------------------- ;
NoCursorBlank     equ  (DatCursorBlank    - DatImages) / DatImageLen ; input blank cursor
; ------------------------------------------------------------------------------------------------------------- ;
NoSprite_RuLe00   equ  (DatSprite_RuLe00  - DatImages) / DatImageLen ; sprite images
NoSprite_RuLe01   equ  (DatSprite_RuLe01  - DatImages) / DatImageLen
NoSprite_RuLe02   equ  (DatSprite_RuLe02  - DatImages) / DatImageLen
NoSprite_Ladr00   equ  (DatSprite_Ladr00  - DatImages) / DatImageLen
NoSprite_FireLe   equ  (DatSprite_FireLe  - DatImages) / DatImageLen
NoSprite_RuRi00   equ  (DatSprite_RuRi00  - DatImages) / DatImageLen
NoSprite_RuRi01   equ  (DatSprite_RuRi01  - DatImages) / DatImageLen
NoSprite_RuRi02   equ  (DatSprite_RuRi02  - DatImages) / DatImageLen
NoSprite_Ladr01   equ  (DatSprite_Ladr01  - DatImages) / DatImageLen
NoSprite_FallLe   equ  (DatSprite_FallLe  - DatImages) / DatImageLen
NoSprite_FallRi   equ  (DatSprite_FallRi  - DatImages) / DatImageLen
NoSprite_PoRi00   equ  (DatSprite_PoRi00  - DatImages) / DatImageLen
NoSprite_PoRi01   equ  (DatSprite_PoRi01  - DatImages) / DatImageLen
NoSprite_PoRi02   equ  (DatSprite_PoRi02  - DatImages) / DatImageLen
NoSprite_PoLe00   equ  (DatSprite_PoLe00  - DatImages) / DatImageLen
NoSprite_PoLe01   equ  (DatSprite_PoLe01  - DatImages) / DatImageLen
NoSprite_PoLe02   equ  (DatSprite_PoLe02  - DatImages) / DatImageLen
; ------------------------------------------------------------------------------------------------------------- ;
NoShootSpark00    equ  (DatShootSpark00   - DatImages) / DatImageLen ; lode runner shootings
NoShootSpark01    equ  (DatShootSpark01   - DatImages) / DatImageLen
NoShootSpark02    equ  (DatShootSpark02   - DatImages) / DatImageLen
NoShootSpark03    equ  (DatShootSpark03   - DatImages) / DatImageLen
NoShootMeltGr00   equ  (DatShootMeltGr00  - DatImages) / DatImageLen
NoShootMeltGr01   equ  (DatShootMeltGr01  - DatImages) / DatImageLen
NoShootMeltGr02   equ  (DatShootMeltGr02  - DatImages) / DatImageLen
NoShootMeltGr03   equ  (DatShootMeltGr03  - DatImages) / DatImageLen
NoShootMeltGr04   equ  (DatShootMeltGr04  - DatImages) / DatImageLen
NoShootMeltGr05   equ  (DatShootMeltGr05  - DatImages) / DatImageLen
NoSprite_FireRi   equ  (DatSprite_FireRi  - DatImages) / DatImageLen
NoShootMelt00     equ  (DatShootMelt00    - DatImages) / DatImageLen
NoShootMelt01     equ  (DatShootMelt01    - DatImages) / DatImageLen
; ------------------------------------------------------------------------------------------------------------- ;
NoSprtMC_RuRi00   equ  (DatSprtMC_RuRi00  - DatImages) / DatImageLen ; multi color sprite images
NoSprtMC_RuRi01   equ  (DatSprtMC_RuRi01  - DatImages) / DatImageLen
NoSprtMC_RuRi02   equ  (DatSprtMC_RuRi02  - DatImages) / DatImageLen
NoSprtMC_RuLe00   equ  (DatSprtMC_RuLe00  - DatImages) / DatImageLen
NoSprtMC_RuLe01   equ  (DatSprtMC_RuLe01  - DatImages) / DatImageLen
NoSprtMC_RuLe02   equ  (DatSprtMC_RuLe02  - DatImages) / DatImageLen
NoSprtMC_PoRi00   equ  (DatSprtMC_PoRi00  - DatImages) / DatImageLen
NoSprtMC_PoRi01   equ  (DatSprtMC_PoRi01  - DatImages) / DatImageLen
NoSprtMC_PoRi02   equ  (DatSprtMC_PoRi02  - DatImages) / DatImageLen
NoSprtMC_PoLe00   equ  (DatSprtMC_PoLe00  - DatImages) / DatImageLen
NoSprtMC_PoLe01   equ  (DatSprtMC_PoLe01  - DatImages) / DatImageLen
NoSprtMC_PoLe02   equ  (DatSprtMC_PoLe02  - DatImages) / DatImageLen
NoSprtMC_Ladr00   equ  (DatSprtMC_Ladr00  - DatImages) / DatImageLen
NoSprtMC_Ladr01   equ  (DatSprtMC_Ladr01  - DatImages) / DatImageLen
NoSprtMC_FallRi   equ  (DatSprtMC_FallRi  - DatImages) / DatImageLen
NoSprtMC_FallLe   equ  (DatSprtMC_FallLe  - DatImages) / DatImageLen
; ------------------------------------------------------------------------------------------------------------- ;
NoCloseHole00     equ  (DatCloseHole00    - DatImages) / DatImageLen ; wall closing steps
NoCloseHole01     equ  (DatCloseHole01    - DatImages) / DatImageLen
; ------------------------------------------------------------------------------------------------------------- ;
NoReviveEnemyO0   equ  (DatReviveEnemy00  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemyO1   equ  (DatReviveEnemy01  - DatImages) / DatImageLen

NoReviveEnemy01   equ  (DatReviveEnemy01  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemy02   equ  (DatReviveEnemy02  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemy03   equ  (DatReviveEnemy03  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemy04   equ  (DatReviveEnemy04  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemy05   equ  (DatReviveEnemy05  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemy06   equ  (DatReviveEnemy06  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemy07   equ  (DatReviveEnemy07  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemy08   equ  (DatReviveEnemy08  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemy09   equ  (DatReviveEnemy09  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemy0a   equ  (DatReviveEnemy0a  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemy0b   equ  (DatReviveEnemy0b  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemy0c   equ  (DatReviveEnemy0c  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemy0d   equ  (DatReviveEnemy0d  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemy0e   equ  (DatReviveEnemy0e  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemy0f   equ  (DatReviveEnemy0f  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemy10   equ  (DatReviveEnemy10  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemy11   equ  (DatReviveEnemy11  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemy12   equ  (DatReviveEnemy12  - DatImages) / DatImageLen ; enemy revive steps
NoReviveEnemy13   equ  (DatReviveEnemy13  - DatImages) / DatImageLen ; enemy revive steps
; ------------------------------------------------------------------------------------------------------------- ;
NoDig0            equ  (DatDig0           - DatImages) / DatImageLen ; digits
NoDig1            equ  (DatDig1           - DatImages) / DatImageLen
NoDig2            equ  (DatDig2           - DatImages) / DatImageLen
NoDig3            equ  (DatDig3           - DatImages) / DatImageLen
NoDig4            equ  (DatDig4           - DatImages) / DatImageLen
NoDig5            equ  (DatDig5           - DatImages) / DatImageLen
NoDig6            equ  (DatDig6           - DatImages) / DatImageLen
NoDig7            equ  (DatDig7           - DatImages) / DatImageLen
NoDig8            equ  (DatDig8           - DatImages) / DatImageLen
NoDig9            equ  (DatDig9           - DatImages) / DatImageLen
;
NoDigitsMin       equ  NoDig0
NoDigitsMax       equ  NoDig9
; ------------------------------------------------------------------------------------------------------------- ;
NoChrA            equ  (DatChrA           - DatImages) / DatImageLen ; characters
NoChrB            equ  (DatChrB           - DatImages) / DatImageLen
NoChrC            equ  (DatChrC           - DatImages) / DatImageLen
NoChrD            equ  (DatChrD           - DatImages) / DatImageLen
NoChrE            equ  (DatChrE           - DatImages) / DatImageLen
NoChrF            equ  (DatChrF           - DatImages) / DatImageLen
NoChrG            equ  (DatChrG           - DatImages) / DatImageLen
NoChrH            equ  (DatChrH           - DatImages) / DatImageLen
NoChrI            equ  (DatChrI           - DatImages) / DatImageLen
NoChrJ            equ  (DatChrJ           - DatImages) / DatImageLen
NoChrK            equ  (DatChrK           - DatImages) / DatImageLen
NoChrL            equ  (DatChrL           - DatImages) / DatImageLen
NoChrM            equ  (DatChrM           - DatImages) / DatImageLen
NoChrN            equ  (DatChrN           - DatImages) / DatImageLen
NoChrO            equ  (DatChrO           - DatImages) / DatImageLen
NoChrP            equ  (DatChrP           - DatImages) / DatImageLen
NoChrQ            equ  (DatChrQ           - DatImages) / DatImageLen
NoChrR            equ  (DatChrR           - DatImages) / DatImageLen
NoChrS            equ  (DatChrS           - DatImages) / DatImageLen
NoChrT            equ  (DatChrT           - DatImages) / DatImageLen
NoChrU            equ  (DatChrU           - DatImages) / DatImageLen
NoChrV            equ  (DatChrV           - DatImages) / DatImageLen
NoChrW            equ  (DatChrW           - DatImages) / DatImageLen
NoChrX            equ  (DatChrX           - DatImages) / DatImageLen
NoChrY            equ  (DatChrY           - DatImages) / DatImageLen
NoChrZ            equ  (DatChrZ           - DatImages) / DatImageLen
; ------------------------------------------------------------------------------------------------------------- ;
NoChr0            equ  (DatChr0           - DatImages) / DatImageLen ; .hbu015. - character digits
NoChr1            equ  (DatChr1           - DatImages) / DatImageLen ; .hbu015.
NoChr2            equ  (DatChr2           - DatImages) / DatImageLen ; .hbu015.
NoChr3            equ  (DatChr3           - DatImages) / DatImageLen ; .hbu015.
NoChr4            equ  (DatChr4           - DatImages) / DatImageLen ; .hbu015.
NoChr5            equ  (DatChr5           - DatImages) / DatImageLen ; .hbu015.
NoChr6            equ  (DatChr6           - DatImages) / DatImageLen ; .hbu015.
NoChr7            equ  (DatChr7           - DatImages) / DatImageLen ; .hbu015.
NoChr8            equ  (DatChr8           - DatImages) / DatImageLen ; .hbu015.
NoChr9            equ  (DatChr9           - DatImages) / DatImageLen ; .hbu015.
;
NoChrDigitsMin    equ  NoChr0                                        ; .hbu015.
NoChrDigitsMax    equ  NoChr9                                        ; .hbu015.
; ------------------------------------------------------------------------------------------------------------- ;
NoSpcBrRi         equ  (DatSpcBrRi        - DatImages) / DatImageLen ; special characters
NoSpcDot          equ  (DatSpcDot         - DatImages) / DatImageLen
NoSpcPaLe         equ  (DatSpcPaLe        - DatImages) / DatImageLen
NoSpcPaRi         equ  (DatSpcPaRi        - DatImages) / DatImageLen
NoSpcSlash        equ  (DatSpcSlash       - DatImages) / DatImageLen
NoSpcHyp          equ  (DatSpcHyp         - DatImages) / DatImageLen
NoSpcBrRLe        equ  (DatSpcBrRLe       - DatImages) / DatImageLen
NoSpcColon        equ  (DatSpcColon       - DatImages) / DatImageLen ; .hbu013.
; ------------------------------------------------------------------------------------------------------------- ;
