; ------------------------------------------------------------------------------------------------------------- ;
; Lode Runner - IT.PRG from $6000 to $B801
; ------------------------------------------------------------------------------------------------------------- ;
; Memory Map
; ------------------------------------------------------------------------------------------------------------- ;
;
;
; ------------------------------------------------------------------------------------------------------------- ;
                  * = $6000                       ; Start address
; ------------------------------------------------------------------------------------------------------------- ;
; compiler settings                                                                                             ;
; ------------------------------------------------------------------------------------------------------------- ;
                  incdir   ..\..\inc      

C64CIA1           include  cia1.asm               ; Complex Interface Adapter (CIA) #1 Registers  $DC00-$DC0F
C64CIA2           include  cia2.asm               ; Complex Interface Adapter (CIA) #2 Registers  $DD00-$DD0F
C64SID            include  sid.asm                ; Sound Interface Device (SID) Registers        $D400-$D41C
C64VicII          include  vic.asm                ; Video Interface Chip (VIC-II) Registers       $D000-$D02E
C64Kernel         include  kernel.asm             ; Kernel Vectors
C64Colors         include  color.asm              ; Colour RAM Address / Colours
;
InGameVars        include  inc\LR_Vars.asm        ; Game Variables
InZeroPageVars    include  inc\LR_Zpg.asm         ; Zero Page Variables
; ------------------------------------------------------------------------------------------------------------- ;
Start             lda #$00
                  sta LR_1313
                  jsr S_6501
                  nop
                  nop
                  nop
                  lda #$01
                  jsr S_70db
B_6010            lda #$ff
                  sta LR_1313
                  sta LR_1315
                  sta LR_132a
                  sta LR_1339
                  sta LR_1321
                  lda #$00
                  sta LR_132f
                  sta LR_132e
                  sta LR_1316
                  sta LR_132a
                  sta LR_1328
                  sta LR_1329
                  sta LR_132c
                  lda #$10
                  sta M_71ff
                  sta M_7219
                  sta LR_1335
                  lda $c5
                  sta LR_1329
                  lda #$40
                  sta $c5
                  lda #$05
                  sta LR_131b
                  lda #$ca
                  sta LR_130f
                  lda #$00
                  sta LR_1306
                  jmp B_628a
B_605e            lda #$00
                  sta LR_130a
                  sta LR_130b
                  sta LR_130c
                  sta LR_130d
                  sta LR_1311
                  sta LR_1304
                  sta LR_131e
                  sta $58
                  sta $55
                  lda #$b1
                  sta $56
                  sta LR_133b
                  lda #$05
                  sta LR_1312
                  lda #$20
                  sta $51
                  jsr S_6410
                  jsr S_86db
                  lda #$32
                  jsr S_65a2
B_6094            ldx #$01
                  jsr S_6fa6
                  sta LR_132e
                  sta LR_132f
                  lda #$ff
                  sta LR_1304
                  ldy LR_131c
                  lda T_65d0,y
                  sta SPENA                       ; VIC 2 - $D015 = Sprite Enable
                  lda #$00
                  sta LR_1319
                  sta LR_131a
                  lda LR_1306
                  lsr a
                  beq B_60f4
B_60bb            lda SPENA                       ; VIC 2 - $D015 = Sprite Enable
                  and #$fe
                  sta SPENA                       ; VIC 2 - $D015 = Sprite Enable
                  ldy #$90
                  ldx #$00
B_60c7            dex
                  jsr S_897c
                  bcs B_60ec
                  bne B_60c7
                  dey
                  bne B_60c7
                  lda SPENA                       ; VIC 2 - $D015 = Sprite Enable
                  ora #$01
                  sta SPENA                       ; VIC 2 - $D015 = Sprite Enable
                  ldy #$90
                  ldx #$00
B_60de            dex
                  jsr S_897c
                  bcs B_60ec
                  bne B_60de
                  dey
                  bne B_60de
                  jmp B_60bb
B_60ec            lda SPENA                       ; VIC 2 - $D015 = Sprite Enable
                  ora #$01
                  sta SPENA                       ; VIC 2 - $D015 = Sprite Enable
B_60f4            ldx #$00
                  stx LR_1316
                  lda LR_1311
                  clc
                  adc LR_131c
                  tay
                  ldx T_626a,y
                  lda T_7b83,x
                  sta $32
                  lda T_7b84,x
                  sta $33
                  lda T_7b85,x
                  sta $34
                  ldy LR_1311
                  lda T_6275,y
                  sta LR_1320
B_611c            jsr S_73c7
                  lda LR_1314
                  beq B_61a2
                  lda LR_130e
                  bne B_612f
                  jsr S_643a
                  jsr S_8d96
B_612f            lda $04
                  bne B_6142
                  lda $06
                  cmp #$02
                  bne B_6142
                  lda LR_130e
                  beq B_6162
                  cmp #$ff
                  beq B_6162
B_6142            jsr S_84f1
                  lda LR_1314
                  beq B_61a2
                  jsr S_7b5c
                  lda LR_1314
                  beq B_61a2
B_6152            lda LR_132d
                  cmp LR_131b
                  bcc B_6152
                  lda #$03
                  sta LR_132d
                  jmp B_611c
B_6162            inc LR_1305
                  inc LR_1310
B_6168            lda LR_132f
                  cmp LR_132e
                  bne B_6168
                  jsr S_641d
                  inc LR_1312
                  bne B_617b
                  dec LR_1312
B_617b            lda #$0e
                  sta $2f
                  sei
B_6180            lda #$40
                  sec
                  sbc $2f
                  sta FREHI1                      ; SID - $D401 = Oscillator 1 Frequency Control (High Byte)
                  ldy #$2c
B_618a            ldx #$00
B_618c            dex
                  bne B_618c
                  dey
                  bne B_618a
                  sty FREHI1                      ; SID - $D401 = Oscillator 1 Frequency Control (High Byte)
                  tya
                  iny
                  jsr S_87e6
                  dec $2f
                  bpl B_6180
                  cli
B_619f            jmp B_6094
B_61a2            dec LR_1312
                  lda LR_1306
                  lsr a
                  bne B_61ae
                  jmp B_622e
B_61ae            lda #$38
                  sta LR_132a
B_61b3            lda LR_132f
                  cmp LR_132e
                  bne B_61b3
                  lda #$00
                  sta LR_1316
                  lda #$20
                  sta LR_1315
                  jsr S_87bf
B_61c8            lda LR_132a
                  bne B_61c8
                  lda LR_1312
                  bne B_619f
B_61d2            jsr S_6cad
                  jsr S_8ec4
B_61d8            ldx #$ff
                  ldy #$ff
                  bcs B_61e3
                  lda #$00
                  sta LR_1328
B_61e3            lda #$03
                  sta $50
B_61e7            lda CIAPRA                      ; CIA 1 - $DC00 = Data Port A
                  and #$10
                  beq B_6251
                  lda LR_1328
                  cmp #$8e
                  bne B_61f8
                  jmp B_65d6
B_61f8            cmp #$01
                  beq B_623a
                  lda LR_1328
                  bne B_6251
                  dex
                  bne B_61e7
                  dey
                  bne B_61e7
                  dec $50
                  bne B_61e7
                  lda LR_1306
                  bne B_6236
                  ldx #$01
                  stx LR_1306
                  stx LR_1305
                  stx $59
                  stx LR_1318
                  ldx LR_1313
                  stx M_622f
                  lda #$00
                  sta LR_1313
                  sta LR_1310
                  jmp B_605e
B_622e            lda #$00
M_622f            = *-1
                  sta LR_1313
                  jmp B_61d8
B_6236            cmp #$01
                  bne B_6246
B_623a            jsr S_6e12
                  lda #$02
                  sta LR_1306
                  clc
                  jmp B_61d8
B_6246            lda #$00
                  sta LR_1310
                  sta LR_1306
                  jmp B_628a
B_6251            ldx #$00
                  stx LR_1310
                  inx
                  stx LR_1305
                  stx LR_1318
                  lda #$02
                  sta LR_1306
                  lda #$ff
                  sta LR_1313
                  jmp B_605e
; ------------------------------------------------------------------------------------------------------------- ;
T_626a            .byte $00
                  .byte $03
                  .byte $06
                  .byte $09
                  .byte $0c
                  .byte $0f
                  .byte $12
                  .byte $15
                  .byte $18
                  .byte $1b
                  .byte $1e

T_6275            .byte $26
                  .byte $26
                  .byte $2e
                  .byte $44
                  .byte $47
                  .byte $49
                  .byte $4a
                  .byte $4b
                  .byte $4c
                  .byte $4d
                  .byte $4e
                  .byte $4f
                  .byte $50
                  .byte $51
                  .byte $52
                  .byte $53
                  .byte $54
                  .byte $55
                  .byte $56
                  .byte $57
                  .byte $58
B_628a            jsr S_8d44
                  lda #$00
                  jsr S_65a2
                  lda SCROLY                      ; VIC 2 - $D011 = VIC Control Register 1
                  ora #$20
                  sta SCROLY                      ; VIC 2 - $D011 = VIC Control Register 1
                  lda VMCSB                       ; VIC 2 - $D018 = Chip Memory Control
                  and #$f0
                  ora #$08
                  sta VMCSB                       ; VIC 2 - $D018 = Chip Memory Control
                  ldy #$00
B_62a6            lda #$60
                  sta LR_0400,y
                  sta LR_0418,y
                  lda #$10
                  sta LR_0568,y
                  dey
                  bne B_62a6
                  ldy #$50
B_62b8            lda #$20
                  sta LR_0518,y
                  sta LR_0658,y
                  lda #$10
                  sta LR_06d0,y
                  lda #$60
                  sta LR_0748,y
                  dey
                  bpl B_62b8
                  lda SCROLX                      ; VIC 2 - $D016 = Control Register 2 (and Horizontal Fine Scrolling)
                  and #$ef
                  sta SCROLX                      ; VIC 2 - $D016 = Control Register 2 (and Horizontal Fine Scrolling)
                  lda #$00
                  sta $0f
                  lda #$14
                  sta $10
                  lda #$ff
                  sta $0d
                  lda #$1f
                  sta $0e
B_62e5            ldy #$00
                  lda ($0f),y
                  sta $1e
                  iny
                  lda ($0f),y
                  sta $1f
                  lda $0f
                  clc
                  adc #$02
                  sta $0f
                  bcc B_62fb
                  inc $10
B_62fb            lda $1e
                  tay
                  lda $1f
B_6300            sta ($0d),y
                  dey
                  bne B_6300
                  lda $0d
                  clc
                  adc $1e
                  sta $0d
                  bcc B_6310
                  inc $0e
B_6310            lda $0e
                  cmp #$3f
                  bcc B_62e5
                  jmp B_61d8
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_6319            ldx LR_132e
                  cpx LR_132f
                  beq B_6390
                  lda #$11
                  sta LR_1337
                  sta LR_1338
                  lda LR_c300,x
                  lda #$f0
                  and LR_1313
                  sta SUREL2                      ; SID - $D40D = Oscillator 2 Sustain/Release
                  sta SUREL3                      ; SID - $D414 = Oscillator 3 Sustain/Release
                  lda LR_c100,x
                  bne B_633f
                  sta LR_1337
B_633f            tay
                  lda T_9521,y
                  sta FRELO2                      ; SID - $D407 = Oscillator 2 Frequency Control (Low Byte)
                  lda T_9546,y
                  sta FREHI2                      ; SID - $D408 = Oscillator 2 Frequency Control (High Byte)
                  lda LR_c200,x
                  bpl B_6369
                  lda LR_c100,x
                  tay
                  sec
                  lda T_9521,y
                  sbc #$80
                  sta FRELO3                      ; SID - $D40E = Oscillator 3 Frequency Control (Low Byte)
                  lda T_9546,y
                  sbc #$00
                  sta FREHI3                      ; SID - $D40F = Oscillator 3 Frequency Control (High Byte)
                  jmp B_637b
B_6369            bne B_636e
                  sta LR_1338
B_636e            tay
                  lda T_9521,y
                  sta FRELO3                      ; SID - $D40E = Oscillator 3 Frequency Control (Low Byte)
                  lda T_9546,y
                  sta FREHI3                      ; SID - $D40F = Oscillator 3 Frequency Control (High Byte)
B_637b            lda LR_1337
                  sta VCREG2                      ; SID - $D40B = Oscillator 2 Control
                  lda LR_1338
                  sta VCREG3                      ; SID - $D412 = Oscillator 3 Control
                  dec LR_c000,x
                  bne B_638f
                  inc LR_132e
B_638f            rts
; ------------------------------------------------------------------------------------------------------------- ;
B_6390            lda #$00
                  sta VCREG2                      ; SID - $D40B = Oscillator 2 Control
                  sta VCREG3                      ; SID - $D412 = Oscillator 3 Control
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_6399            pla
                  sta $7d
                  pla
                  sta $7e
                  bne B_63d2
B_63a1            sei
                  ldy #$00
                  lda ($7d),y
                  beq B_63da
                  ldx LR_132f
                  sta LR_c000,x
                  iny
                  lda ($7d),y
                  sta LR_c100,x
                  iny
                  lda ($7d),y
                  sta LR_c200,x
                  iny
                  lda ($7d),y
                  sta LR_c300,x
                  inc LR_132f
                  lda $7d
                  clc
                  adc #$04
                  sta $7d
                  lda $7e
                  adc #$00
                  sta $7e
                  bne B_63a1
B_63d2            inc $7d
                  bne B_63a1
                  inc $7e
                  bne B_63a1
B_63da            lda $7e
                  pha
                  lda $7d
                  pha
                  cli
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_63e2            sta LR_1331
B_63e5            lda RASTER                      ; VIC 2 - $D012 = Read: Raster Scan Line/ Write: Line for Raster IRQ
                  sta LR_1336
                  cpx LR_1336
                  bcc B_63f5
                  beq B_63f5
                  jmp B_63e5
B_63f5            cpy LR_1336
                  bcc B_63e5
                  sec
                  sbc LR_1335
                  bcs B_6404
                  eor #$ff
                  adc #$01
B_6404            cmp LR_1331
                  bcc B_63e5
                  lda LR_1336
                  sta LR_1335
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_6410            lda T_9500
                  sta LR_1332
                  lda T_9501
                  sta LR_1333
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_641d            dec LR_1332
                  bpl B_6439
                  inc LR_1333
                  lda LR_1333
                  cmp T_9502
                  bcc B_6433
                  lda T_9501
                  sta LR_1333
B_6433            lda T_9500
                  sta LR_1332
B_6439            rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_643a            lda LR_1332
                  asl a
                  tax
                  lda T_9503,x
                  sta $7d
                  lda T_9504,x
                  sta $7e
B_6449            sei
                  ldy #$00
                  lda ($7d),y
                  beq B_6488
                  ldx LR_132f
                  sta LR_c000,x
                  iny
                  lda ($7d),y
                  beq B_645f
                  clc
                  adc LR_1333
B_645f            sta LR_c100,x
                  iny
                  lda ($7d),y
                  beq B_646d
                  bmi B_646d
                  clc
                  adc LR_1333
B_646d            sta LR_c200,x
                  iny
                  lda ($7d),y
                  sta LR_c300,x
                  inc LR_132f
                  lda $7d
                  clc
                  adc #$04
                  sta $7d
                  lda $7e
                  adc #$00
                  sta $7e
                  bne B_6449
B_6488            cli
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
                  inc LR_132d
                  lda #$00
                  sta $7c
                  lda LR_1313
                  and #$0f
                  sta SIGVOL                      ; SID - $D418 = Volume and Filter Select
                  lda LR_1315
                  bne B_64a6
                  ldx LR_1302
                  stx $7c
                  jmp B_64ab
B_64a6            lda #$53
                  sta LR_1302
B_64ab            lda LR_1316
                  beq B_64c0
                  lda LR_1317
                  sec
                  sbc #$20
                  sta LR_1317
                  sta $7c
                  beq B_64c0
                  jmp B_64c5
B_64c0            lda #$00
                  sta LR_1317
B_64c5            lda LR_132a
                  beq B_64d2
                  sec
                  sbc #$04
                  sta $7c
                  sta LR_132a
B_64d2            lda $7c
                  sta FREHI1                      ; SID - $D401 = Oscillator 1 Frequency Control (High Byte)
                  jsr S_6319
                  lda $c5
                  bne B_64e0
                  lda #$07
B_64e0            cmp #$40
                  bne B_64ec
                  lda #$00
                  sta LR_1329
                  jmp C64_IRQ
B_64ec            ldx LR_028d
                  beq B_64f3
                  ora #$80
B_64f3            cmp LR_1329
                  beq B_64fe
                  sta LR_1329
                  sta LR_1328
B_64fe            jmp C64_IRQ
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_6501            lda $01
                  and #$fe
                  sta $01
                  lda #$00
                  sta $1e
                  lda #$00
                  sta $1f
                  ldy #$00
                  lda #$19
                  sta LR_1327
B_6516            ldx #$08
B_6518            lda $1f
                  sta LR_0f00,y
                  lda $1e
                  sta LR_0e00,y
                  inc $1e
                  iny
                  dex
                  bne B_6518
                  clc
                  adc #$39
                  sta $1e
                  lda $1f
                  adc #$01
                  sta $1f
                  dec LR_1327
                  bne B_6516
                  lda #$cf
                  sta LR_0318
                  lda #$65
                  sta LR_0319
                  jsr S_8d44
                  lda #$00
                  sta BGCOL0                      ; VIC 2 - $D021 = BackGround Color 0
                  sta EXTCOL                      ; VIC 2 - $D020 = Border Color
                  sei
                  lda #$8a
                  sta LR_0314
                  lda #$64
                  sta LR_0315
                  cli
                  lda #$b0
                  sta SUREL1                      ; SID - $D406 = Oscillator 1 Sustain/Release
                  lda #$11
                  sta VCREG1                      ; SID - $D404 = Oscillator 1 Control
                  ldx #$30
                  stx LR_07f8
                  inx
                  stx LR_07fa
                  inx
                  stx LR_07fb
                  inx
                  stx LR_07fc
                  inx
                  stx LR_07fe
                  inx
                  stx LR_07ff
                  lda #$03
                  ldy #$07
B_6580            sta SP0COL,y                    ; VIC 2 - $D027 = Color Sprite 0
                  dey
                  bne B_6580
                  iny
                  sty SP0COL                      ; VIC 2 - $D027 = Color Sprite 0
                  lda #$00
                  sta SPBGPR                      ; VIC 2 - $D01B = Sprite to Foreground Priority
                  tay
B_6590            sta $0002,y
                  sta LR_0c00,y
                  sta LR_0d00,y
                  iny
                  bne B_6590
                  lda #$ff
                  sta SPENA                       ; VIC 2 - $D015 = Sprite Enable
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_65a2            sta M_65b0
                  lda SCROLX                      ; VIC 2 - $D016 = Control Register 2 (and Horizontal Fine Scrolling)
                  ora #$10
                  sta SCROLX                      ; VIC 2 - $D016 = Control Register 2 (and Horizontal Fine Scrolling)
                  ldy #$00
B_65af            lda #$86
M_65b0            = *-1
                  sta LR_0400,y
                  sta LR_0500,y
                  sta LR_0600,y
                  sta LR_06f8,y
                  lda #$01
                  sta COLORAM,y
                  sta COLORAM+$100,y
                  sta COLORAM+$200,y
                  sta COLORAM+$300,y
                  dey
                  bne B_65af
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
                  .byte $40
T_65d0            .byte $01
                  .byte $05
                  .byte $0d
                  .byte $1d
                  .byte $5d
                  .byte $dd
; ------------------------------------------------------------------------------------------------------------- ;
B_65d6            lda #$00
                  sta LR_130a
                  sta LR_130b
                  sta LR_130c
                  sta LR_130d
                  lda #$ff
                  sta LR_133b
                  lda #$05
                  sta LR_1312
                  sta LR_1306
                  sta LR_132c
                  lda LR_130f
                  sta M_66d7
                  lda #$cb
                  sta LR_130f
                  lda LR_1310
                  cmp #$96
                  bcc B_660b
                  lda #$00
                  sta LR_1310
B_660b            jsr S_8d44
                  lda #$73
                  jsr S_65a2
                  lda #$20
                  sta $51
                  lda #$00
                  sta LR_1328
                  sta $4f
                  sta $50
                  jsr S_88f4
                  .byte $a0
                  .byte $a0
                  .byte $cc
                  .byte $cf
                  .byte $c4
                  .byte $c5
                  .byte $a0
                  .byte $d2
                  .byte $d5
                  .byte $ce
                  .byte $ce
                  .byte $c5
                  .byte $d2
                  .byte $a0
                  .byte $c2
                  .byte $cf
                  .byte $c1
                  .byte $d2
                  .byte $c4
                  .byte $a0
                  .byte $c5
                  .byte $c4
                  .byte $c9
                  .byte $d4
                  .byte $cf
                  .byte $d2
                  .byte $8d
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $8d
                  .byte $a0
                  .byte $d2
                  .byte $af
                  .byte $d3
                  .byte $a0
                  .byte $cb
                  .byte $c5
                  .byte $d9
                  .byte $a0
                  .byte $c1
                  .byte $c2
                  .byte $cf
                  .byte $d2
                  .byte $d4
                  .byte $d3
                  .byte $a0
                  .byte $c1
                  .byte $ce
                  .byte $d9
                  .byte $a0
                  .byte $c3
                  .byte $cf
                  .byte $cd
                  .byte $cd
                  .byte $c1
                  .byte $ce
                  .byte $c4
                  .byte $8d
                  .byte $00
B_6678            lda $50
                  cmp #$09
                  bcs B_660b
                  jsr S_88f4
                  .byte $8d
                  .byte $c3
                  .byte $cf
                  .byte $cd
                  .byte $cd
                  .byte $c1
                  .byte $ce
                  .byte $c4
                  .byte $be
                  .byte $00
                  jsr S_6c6b
B_668e            ldy T_66ad,x
                  beq B_669b
                  cmp T_66ad,x
                  beq B_66a1
                  inx
                  bne B_668e
B_669b            jsr S_8914
                  jmp B_6678
B_66a1            txa
                  asl a
                  tax
                  lda T_66b5,x
                  pha
                  lda T_66b4,x
                  pha
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
T_66ad            .byte $29
                  .byte $14
                  .byte $0e
                  .byte $24
                  .byte $21
                  .byte $0d
                  .byte $00
; ------------------------------------------------------------------------------------------------------------- ;
T_66b4            .byte $bf
T_66b5            .byte $66
                  .byte $f7
                  .byte $66
                  .byte $25
                  .byte $67
                  .byte $41
                  .byte $67
                  .byte $c8
                  .byte $67
                  .byte $78
                  .byte $68
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_66c0            jsr S_88f4
                  .byte $8d
                  .byte $be
                  .byte $be
                  .byte $d0
                  .byte $cc
                  .byte $c1
                  .byte $d9
                  .byte $a0
                  .byte $cc
                  .byte $c5
                  .byte $d6
                  .byte $c5
                  .byte $cc
                  .byte $00
; ------------------------------------------------------------------------------------------------------------- ;
                  jsr S_6ba2
                  bcs B_66f5
                  lda #$00
M_66d7            = *-1
                  sta LR_130f
                  lda #$03
                  sta LR_1306
                  lda #$01
                  sta LR_1318
                  lda #$00
                  sta LR_132c
                  lda LR_1310
                  beq B_66f2
                  lsr LR_1318
B_66f2            jmp B_605e
B_66f5            jmp B_669b
                  jsr S_88f4
                  .byte $8d
                  .byte $be
                  .byte $be
                  .byte $c3
                  .byte $cc
                  .byte $c5
                  .byte $c1
                  .byte $d2
                  .byte $a0
                  .byte $cc
                  .byte $c5
                  .byte $d6
                  .byte $c5
                  .byte $cc
                  .byte $00
                  jsr S_6ba2
                  bcs B_6723
                  jsr S_6a88
                  ldy #$00
                  tya
B_6715            sta LR_1000,y
                  iny
                  bne B_6715
                  lda #$02
                  jsr S_709c
                  jmp B_6678
B_6723            jmp B_669b
                  jsr S_88f4
                  .byte $8d
                  .byte $be
                  .byte $be
                  .byte $c5
                  .byte $c4
                  .byte $c9
                  .byte $d4
                  .byte $a0
                  .byte $cc
                  .byte $c5
                  .byte $d6
                  .byte $c5
                  .byte $cc
                  .byte $00
                  jsr S_6ba2
                  bcs B_673f
                  jmp B_6905
B_673f            jmp B_669b
                  jsr S_88f4
                  .byte $8d
                  .byte $be
                  .byte $be
                  .byte $cd
                  .byte $cf
                  .byte $d6
                  .byte $c5
                  .byte $a0
                  .byte $cc
                  .byte $c5
                  .byte $d6
                  .byte $c5
                  .byte $cc
                  .byte $00
                  jsr S_6ba2
                  bcs B_67c6
                  sty T_6c7f
                  jsr S_88f4
                  .byte $a0
                  .byte $d4
                  .byte $cf
                  .byte $a0
                  .byte $cc
                  .byte $c5
                  .byte $d6
                  .byte $c5
                  .byte $cc
                  .byte $00
                  jsr S_6ba2
                  bcs B_67c6
                  sty T_6c80
                  jsr S_88f4
                  .byte $8d
                  .byte $a0
                  .byte $a0
                  .byte $d3
                  .byte $cf
                  .byte $d5
                  .byte $d2
                  .byte $c3
                  .byte $c5
                  .byte $a0
                  .byte $c4
                  .byte $c9
                  .byte $d3
                  .byte $cb
                  .byte $c5
                  .byte $d4
                  .byte $d4
                  .byte $c5
                  .byte $00
                  jsr S_6c6b
                  jsr S_6a88
                  lda T_6c7f
                  sta LR_1310
                  lda #$01
                  jsr S_709c
                  jsr S_88f4
                  .byte $8d
                  .byte $a0
                  .byte $a0
                  .byte $c4
                  .byte $c5
                  .byte $d3
                  .byte $d4
                  .byte $c9
                  .byte $ce
                  .byte $c1
                  .byte $d4
                  .byte $c9
                  .byte $cf
                  .byte $ce
                  .byte $a0
                  .byte $c4
                  .byte $c9
                  .byte $d3
                  .byte $cb
                  .byte $c5
                  .byte $d4
                  .byte $d4
                  .byte $c5
                  .byte $00
                  jsr S_6c6b
                  jsr S_6a88
                  lda T_6c80
                  sta LR_1310
                  lda #$02
                  jsr S_709c
                  jmp B_6678
B_67c6            jmp B_669b
                  jsr S_88f4
                  .byte $8d
                  .byte $be
                  .byte $be
                  .byte $c9
                  .byte $ce
                  .byte $c9
                  .byte $d4
                  .byte $c9
                  .byte $c1
                  .byte $cc
                  .byte $c9
                  .byte $da
                  .byte $c5
                  .byte $8d
                  .byte $a0
                  .byte $a0
                  .byte $d4
                  .byte $c8
                  .byte $c9
                  .byte $d3
                  .byte $a0
                  .byte $d0
                  .byte $d2
                  .byte $c5
                  .byte $d0
                  .byte $c1
                  .byte $d2
                  .byte $c5
                  .byte $d3
                  .byte $a0
                  .byte $c1
                  .byte $ce
                  .byte $a0
                  .byte $c1
                  .byte $cc
                  .byte $d2
                  .byte $c5
                  .byte $c1
                  .byte $c4
                  .byte $d9
                  .byte $8d
                  .byte $a0
                  .byte $a0
                  .byte $c6
                  .byte $cf
                  .byte $d2
                  .byte $cd
                  .byte $c1
                  .byte $d4
                  .byte $d4
                  .byte $c5
                  .byte $c4
                  .byte $a0
                  .byte $c4
                  .byte $c9
                  .byte $d3
                  .byte $cb
                  .byte $a0
                  .byte $c6
                  .byte $cf
                  .byte $d2
                  .byte $a0
                  .byte $d5
                  .byte $d3
                  .byte $c5
                  .byte $d2
                  .byte $8d
                  .byte $a0
                  .byte $a0
                  .byte $c3
                  .byte $d2
                  .byte $c5
                  .byte $c1
                  .byte $d4
                  .byte $c5
                  .byte $c4
                  .byte $a0
                  .byte $cc
                  .byte $c5
                  .byte $d6
                  .byte $c5
                  .byte $cc
                  .byte $d3
                  .byte $ae
                  .byte $8d
                  .byte $a0
                  .byte $a0
                  .byte $a8
                  .byte $d7
                  .byte $c9
                  .byte $cc
                  .byte $cc
                  .byte $a0
                  .byte $c4
                  .byte $c5
                  .byte $d3
                  .byte $d4
                  .byte $d2
                  .byte $cf
                  .byte $d9
                  .byte $a0
                  .byte $cf
                  .byte $cc
                  .byte $c4
                  .byte $a0
                  .byte $c4
                  .byte $c1
                  .byte $d4
                  .byte $c1
                  .byte $a9
                  .byte $ae
                  .byte $8d
                  .byte $8d
                  .byte $a0
                  .byte $a0
                  .byte $c1
                  .byte $d2
                  .byte $c5
                  .byte $a0
                  .byte $d9
                  .byte $cf
                  .byte $d5
                  .byte $a0
                  .byte $d3
                  .byte $d5
                  .byte $d2
                  .byte $c5
                  .byte $a0
                  .byte $a8
                  .byte $d9
                  .byte $af
                  .byte $ce
                  .byte $a9
                  .byte $a0
                  .byte $00
                  jsr S_6c6b
                  cmp #$19
                  bne B_6876
                  lda #$01
                  jsr S_70db
                  cmp #$01
                  bne B_6869
                  jsr S_6aa2
                  jmp B_660b
B_6869            lda LR_1310
                  pha
                  lda #$04
                  jsr S_709c
                  pla
                  sta LR_1310
B_6876            jmp B_6678
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_6879            jsr S_88f4
                  .byte $8d
                  .byte $be
                  .byte $be
                  .byte $c3
                  .byte $cc
                  .byte $c5
                  .byte $c1
                  .byte $d2
                  .byte $a0
                  .byte $d3
                  .byte $c3
                  .byte $cf
                  .byte $d2
                  .byte $c5
                  .byte $a0
                  .byte $c6
                  .byte $c9
                  .byte $cc
                  .byte $c5
                  .byte $8d
                  .byte $a0
                  .byte $a0
                  .byte $d4
                  .byte $c8
                  .byte $c9
                  .byte $d3
                  .byte $a0
                  .byte $c3
                  .byte $cc
                  .byte $c5
                  .byte $c1
                  .byte $d2
                  .byte $d3
                  .byte $a0
                  .byte $d4
                  .byte $c8
                  .byte $c5
                  .byte $a0
                  .byte $c8
                  .byte $c9
                  .byte $c7
                  .byte $c8
                  .byte $8d
                  .byte $a0
                  .byte $a0
                  .byte $d3
                  .byte $c3
                  .byte $cf
                  .byte $d2
                  .byte $c5
                  .byte $a0
                  .byte $c6
                  .byte $c9
                  .byte $cc
                  .byte $c5
                  .byte $a0
                  .byte $cf
                  .byte $c6
                  .byte $a0
                  .byte $c1
                  .byte $cc
                  .byte $cc
                  .byte $8d
                  .byte $a0
                  .byte $a0
                  .byte $c5
                  .byte $ce
                  .byte $d4
                  .byte $d2
                  .byte $c9
                  .byte $c5
                  .byte $d3
                  .byte $ae
                  .byte $8d
                  .byte $8d
                  .byte $a0
                  .byte $a0
                  .byte $c1
                  .byte $d2
                  .byte $c5
                  .byte $a0
                  .byte $d9
                  .byte $cf
                  .byte $d5
                  .byte $a0
                  .byte $d3
                  .byte $d5
                  .byte $d2
                  .byte $c5
                  .byte $a0
                  .byte $a8
                  .byte $d9
                  .byte $af
                  .byte $ce
                  .byte $a9
                  .byte $a0
                  .byte $00
                  jsr S_6c6b
                  cmp #$19
                  bne B_6902
                  lda #$01
                  jsr S_70db
                  cmp #$00
                  beq B_68ff
                  lda #$00
                  ldy #$7f
B_68f1            sta LR_1100,y
                  dey
                  bpl B_68f1
                  lda #$02
                  jsr S_70db
                  jmp B_6678
B_68ff            jsr S_6b27
B_6902            jmp B_6678
B_6905            jsr S_8d44
                  jsr S_6a88
                  lda #$32
                  jsr S_65a2
                  lda #$40
                  sta $51
                  jsr S_86e1
                  ldx #$01
                  stx $5a
                  dex
                  jsr S_6fa6
                  bcc B_6924
                  jmp B_669b
B_6924            lda #$00
                  sta $4f
                  sta $50
B_692a            jsr S_6b75
                  jsr S_6c81
                  bcs B_6954
                  sta $23
                  ldy $50
                  lda T_8d66,y
                  sta $09
                  lda T_8d76,y
                  sta $0a
                  ldy $4f
                  lda $23
                  eor ($09),y
                  beq B_694a
                  lsr $5a
B_694a            lda $23
                  sta ($09),y
                  jsr S_8995
                  jmp B_692a
B_6954            sta $23
                  ldy #$ff
B_6958            iny
                  lda T_6b89,y
                  beq B_696e
                  cmp $23
                  bne B_6958
                  tya
                  asl a
                  tay
                  lda T_6b93,y
                  pha
                  lda T_6b92,y
                  pha
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_696e            jsr S_8914
                  jmp B_692a
                  lda $50
                  beq B_696e
                  dec $50
                  bpl B_692a
                  lda $4f
                  beq B_696e
                  dec $4f
                  bpl B_692a
                  lda $4f
                  cmp #$1b
                  bcs B_696e
                  inc $4f
                  bne B_692a
                  lda $50
                  cmp #$0f
                  bcs B_696e
                  inc $50
                  bne B_692a
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_6998            lda $50
                  pha
                  lda $4f
                  pha
                  lda #$01
                  jsr S_70db
                  cmp #$00
                  bne B_69ad
                  jsr S_6b27
                  jmp B_69c5
B_69ad            cmp #$01
                  bne B_69b7
                  jsr S_6aa2
                  jmp B_69c5
B_69b7            jsr S_7055
                  pla
                  sta $4f
                  pla
                  sta $50
                  lda #$01
                  sta $5a
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_69c5            lda #$00
                  sta $4f
                  sta $50
                  jmp B_692a
                  jsr S_6998
                  jmp B_692a
                  lda LR_1310
                  cmp #$95
B_69d9            beq B_696e
                  jsr S_69fe
                  inc LR_1310
                  inc LR_1305
                  jmp B_6905
                  lda LR_1310
                  beq B_69d9
                  jsr S_69fe
                  dec LR_1305
                  dec LR_1310
                  jmp B_6905
                  jsr S_69fe
                  jmp B_660b
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_69fe            lda $5a
                  beq B_6a03
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_6a03            jsr S_8d44
                  lda M_65b0
                  pha
                  lda #$73
                  jsr S_65a2
                  lda #$20
                  sta $51
                  lda #$00
                  sta $4f
                  sta $50
                  jsr S_88f4
                  .byte $cc
                  .byte $c5
                  .byte $d6
                  .byte $c5
                  .byte $cc
                  .byte $a0
                  .byte $c8
                  .byte $c1
                  .byte $d3
                  .byte $a0
                  .byte $c2
                  .byte $c5
                  .byte $c5
                  .byte $ce
                  .byte $a0
                  .byte $c3
                  .byte $c8
                  .byte $c1
                  .byte $ce
                  .byte $c7
                  .byte $c5
                  .byte $c4
                  .byte $a0
                  .byte $c2
                  .byte $d5
                  .byte $d4
                  .byte $8d
                  .byte $ce
                  .byte $cf
                  .byte $d4
                  .byte $a0
                  .byte $d3
                  .byte $c1
                  .byte $d6
                  .byte $c5
                  .byte $c4
                  .byte $ae
                  .byte $a0
                  .byte $c4
                  .byte $cf
                  .byte $a0
                  .byte $d9
                  .byte $cf
                  .byte $d5
                  .byte $a0
                  .byte $d7
                  .byte $c9
                  .byte $d3
                  .byte $c8
                  .byte $a0
                  .byte $d4
                  .byte $cf
                  .byte $8d
                  .byte $d3
                  .byte $c1
                  .byte $d6
                  .byte $c5
                  .byte $a0
                  .byte $cd
                  .byte $cf
                  .byte $c4
                  .byte $c9
                  .byte $c6
                  .byte $c9
                  .byte $c5
                  .byte $c4
                  .byte $a0
                  .byte $cc
                  .byte $c5
                  .byte $d6
                  .byte $c5
                  .byte $cc
                  .byte $a0
                  .byte $a8
                  .byte $d9
                  .byte $af
                  .byte $ce
                  .byte $a9
                  .byte $a0
                  .byte $00
                  jsr S_8914
B_6a6f            lda #$00
                  jsr S_8929
                  ldx #$00
                  stx LR_1328
                  cmp #$27
                  beq B_6a84
                  cmp #$19
                  bne B_6a6f
                  jsr S_6998
B_6a84            pla
                  jmp S_65a2
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_6a88            lda #$01
                  jsr S_70db
                  cmp #$00
                  bne B_6a97
                  jsr S_6b27
                  jmp B_660b
B_6a97            cmp #$01
                  bne B_6aa1
                  jsr S_6aa2
                  jmp B_660b
B_6aa1            rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_6aa2            jsr S_8d44
                  lda M_65b0
                  pha
                  lda #$20
                  sta $51
                  lda #$73
                  jsr S_65a2
                  lda #$00
                  sta $4f
                  sta $50
                  jsr S_88f4
                  .byte $d5
                  .byte $d3
                  .byte $c5
                  .byte $d2
                  .byte $a0
                  .byte $ce
                  .byte $cf
                  .byte $d4
                  .byte $a0
                  .byte $c1
                  .byte $cc
                  .byte $cc
                  .byte $cf
                  .byte $d7
                  .byte $c5
                  .byte $c4
                  .byte $a0
                  .byte $d4
                  .byte $cf
                  .byte $8d
                  .byte $cd
                  .byte $c1
                  .byte $ce
                  .byte $c9
                  .byte $d0
                  .byte $d5
                  .byte $cc
                  .byte $c1
                  .byte $d4
                  .byte $c5
                  .byte $a0
                  .byte $cd
                  .byte $c1
                  .byte $d3
                  .byte $d4
                  .byte $c5
                  .byte $d2
                  .byte $a0
                  .byte $c4
                  .byte $c9
                  .byte $d3
                  .byte $cb
                  .byte $c5
                  .byte $d4
                  .byte $d4
                  .byte $c5
                  .byte $ae
                  .byte $00
B_6aeb            jsr S_88f4
                  .byte $8d
                  .byte $8d
                  .byte $c8
                  .byte $c9
                  .byte $d4
                  .byte $a0
                  .byte $c1
                  .byte $a0
                  .byte $cb
                  .byte $c5
                  .byte $d9
                  .byte $a0
                  .byte $d4
                  .byte $cf
                  .byte $a0
                  .byte $c3
                  .byte $cf
                  .byte $ce
                  .byte $d4
                  .byte $c9
                  .byte $ce
                  .byte $d5
                  .byte $c5
                  .byte $a0
                  .byte $00
                  jsr S_8914
                  lda #$00
                  jsr S_8929
                  lda #$00
                  sta LR_1328
                  lda #$40
                  sta $51
                  jsr S_86e1
                  lda #$00
                  sta LR_1300
                  jsr S_728f
                  pla
                  jmp S_65a2
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_6b27            jsr S_8d44
                  lda M_65b0
                  pha
                  lda #$73
                  jsr S_65a2
                  lda #$20
                  sta $51
                  lda #$00
                  sta $4f
                  sta $50
                  jsr S_88f4
                  .byte $c4
                  .byte $c9
                  .byte $d3
                  .byte $cb
                  .byte $c5
                  .byte $d4
                  .byte $d4
                  .byte $c5
                  .byte $a0
                  .byte $c9
                  .byte $ce
                  .byte $a0
                  .byte $c4
                  .byte $d2
                  .byte $c9
                  .byte $d6
                  .byte $c5
                  .byte $a0
                  .byte $c9
                  .byte $d3
                  .byte $a0
                  .byte $ce
                  .byte $cf
                  .byte $d4
                  .byte $a0
                  .byte $c1
                  .byte $8d
                  .byte $cc
                  .byte $cf
                  .byte $c4
                  .byte $c5
                  .byte $a0
                  .byte $d2
                  .byte $d5
                  .byte $ce
                  .byte $ce
                  .byte $c5
                  .byte $d2
                  .byte $a0
                  .byte $c4
                  .byte $c1
                  .byte $d4
                  .byte $c1
                  .byte $a0
                  .byte $c4
                  .byte $c9
                  .byte $d3
                  .byte $cb
                  .byte $ae
                  .byte $00
                  jmp B_6aeb
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_6b75            ldy $50
                  lda T_8d66,y
                  sta $09
                  lda T_8d76,y
                  sta $0a
                  ldy $4f
                  lda ($09),y
                  jsr S_8929
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
T_6b89            .byte $22
                  .byte $21
                  .byte $25
                  .byte $24
                  .byte $8d
                  .byte $95
                  .byte $9c
                  .byte $be
                  .byte $00
; ------------------------------------------------------------------------------------------------------------- ;
T_6b92            .byte $7b
T_6b93            .byte $69
                  .byte $73
                  .byte $69
                  .byte $83
                  .byte $69
                  .byte $8d
                  .byte $69
                  .byte $cd
                  .byte $69
                  .byte $d3
                  .byte $69
                  .byte $e6
                  .byte $69
                  .byte $f7
                  .byte $69
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_6ba2            ldy LR_1310
                  iny
                  tya
                  jsr S_8863
                  lda $4f
                  sta T_6c7e
                  ldy #$00
B_6bb1            lda LR_1307,y
                  sty T_6c7d
                  jsr S_8885
                  ldy T_6c7d
                  iny
                  cpy #$03
                  bcc B_6bb1
                  lda T_6c7e
                  sta $4f
                  ldy #$00
                  sty T_6c7d
B_6bcc            ldx T_6c7d
                  lda LR_1307,x
                  clc
                  adc #$3b
                  jsr S_8929
                  jsr S_6c81
                  bcc B_6c15
                  cmp #$01
                  beq B_6c36
                  cmp #$07
                  beq B_6be9
                  cmp #$82
                  bne B_6bf6
B_6be9            ldx T_6c7d
                  beq B_6c30
                  dec T_6c7d
                  dec $4f
                  jmp B_6bcc
B_6bf6            cmp #$02
                  bne B_6c09
                  ldx T_6c7d
                  cpx #$02
                  beq B_6c30
                  inc $4f
                  inc T_6c7d
                  jmp B_6bcc
B_6c09            cmp #$3f
                  bne B_6c10
                  jmp B_6678
B_6c10            jsr S_6c81
                  bcs B_6c30
B_6c15            ldy T_6c7d
                  sta LR_1307,y
                  jsr S_8885
                  inc T_6c7d
                  lda T_6c7d
                  cmp #$03
                  bcc B_6bcc
                  dec T_6c7d
                  dec $4f
                  jmp B_6bcc
B_6c30            jsr S_8914
                  jmp B_6bcc
B_6c36            lda T_6c7e
                  clc
                  adc #$03
                  sta $4f
                  lda #$00
                  ldx LR_1307
                  beq B_6c4d
                  clc
B_6c46            adc #$64
                  bcs B_6c6a
                  dex
                  bne B_6c46
B_6c4d            ldx LR_1308
                  beq B_6c5a
                  clc
B_6c53            adc #$0a
                  bcs B_6c6a
                  dex
                  bne B_6c53
B_6c5a            clc
                  adc LR_1309
                  bcs B_6c6a
                  sta LR_1305
                  tay
                  dey
                  sty LR_1310
                  cpy #$96
B_6c6a            rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_6c6b            lda #$00
                  jsr S_8929
                  ldx #$00
                  stx LR_1328
                  cmp #$3f
                  bne B_6c7c
                  jmp B_6678
B_6c7c            rts
; ------------------------------------------------------------------------------------------------------------- ;
T_6c7d            .byte $00
T_6c7e            .byte $00
T_6c7f            .byte $00
T_6c80            .byte $00
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_6c81            lda LR_1328
                  ldy #$00
                  sty LR_1328
                  ldy #$09
B_6c8b            cmp T_6c98,y
                  beq B_6c95
                  dey
                  bpl B_6c8b
                  sec
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_6c95            tya
                  clc
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
T_6c98            .byte $23
                  .byte $38
                  .byte $3b
                  .byte $08
                  .byte $0b
                  .byte $10
                  .byte $13
                  .byte $18
                  .byte $1b
                  .byte $20
; ------------------------------------------------------------------------------------------------------------- ;
T_6ca2            .byte $c4
                  .byte $c1
                  .byte $ce
                  .byte $c5
                  .byte $a0
                  .byte $c2
                  .byte $c9
                  .byte $c7
                  .byte $c8
                  .byte $c1
                  .byte $cd
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_6cad            lda LR_1318
                  beq B_6d0e
B_6cb2            lda LR_130a
                  ora LR_130b
                  ora LR_130c
                  ora LR_130d
                  beq B_6d0e
                  lda #$01
                  jsr S_70db
                  beq B_6d0e
                  ldy #$00
B_6cc9            lda LR_1100,y
                  sta LR_c800,y
                  iny
                  bne B_6cc9
                  ldy #$01
B_6cd4            ldx T_6f4e,y
                  lda LR_1305
                  cmp LR_1103,x
                  bcc B_6d09
                  bne B_6d0f
                  lda LR_130d
                  cmp LR_1104,x
                  bcc B_6d09
                  bne B_6d0f
                  lda LR_130c
                  cmp LR_1105,x
                  bcc B_6d09
                  bne B_6d0f
                  lda LR_130b
                  cmp LR_1106,x
                  bcc B_6d09
                  bne B_6d0f
                  lda LR_130a
                  cmp LR_1107,x
                  bcc B_6d09
                  bne B_6d0f
B_6d09            iny
                  cpy #$0b
                  bcc B_6cd4
B_6d0e            rts
; ------------------------------------------------------------------------------------------------------------- ;
B_6d0f            cpy #$0a
                  beq B_6d30
                  sty $29
                  ldy #$09
B_6d17            ldx T_6f4e,y
                  lda #$08
                  sta $22
B_6d1e            lda LR_1100,x
                  sta LR_1108,x
                  inx
                  dec $22
                  bne B_6d1e
                  cpy $29
                  beq B_6d30
                  dey
                  bne B_6d17
B_6d30            ldx T_6f4e,y
                  lda #$a0
                  sta LR_1100,x
                  sta LR_1101,x
                  sta LR_1102,x
                  lda LR_1305
                  sta LR_1103,x
                  lda LR_130d
                  sta LR_1104,x
                  lda LR_130c
                  sta LR_1105,x
                  lda LR_130b
                  sta LR_1106,x
                  lda LR_130a
                  sta LR_1107,x
                  sty $39
                  lda T_6f4e,y
                  sta M_6d7e
                  sta M_6dca
                  jsr S_6e12
                  lda $39
                  clc
                  adc #$04
                  sta $50
                  lda #$07
                  sta $4f
                  ldx #$00
                  stx T_6c7d
B_6d7a            ldx T_6c7d
M_6d7e            = *+1                  
                  lda LR_1100,x
                  jsr S_889a
                  jsr S_8929
                  ldx #$00
                  stx LR_1328
                  jsr S_6f59
                  cmp #$8d
                  beq B_6de7
                  cmp #$88
                  bne B_6da3
                  ldx T_6c7d
                  beq B_6de1
                  dec T_6c7d
                  dec $4f
                  jmp B_6d7a
B_6da3            cmp #$95
                  bne B_6db6
                  ldx T_6c7d
                  cpx #$02
                  beq B_6de1
                  inc $4f
                  inc T_6c7d
                  jmp B_6d7a
B_6db6            cmp #$ae
                  beq B_6dc6
                  cmp #$a0
                  beq B_6dc6
                  cmp #$c1
                  bcc B_6de1
                  cmp #$db
                  bcs B_6de1
B_6dc6            ldy T_6c7d
M_6dca            = *+1
                  sta LR_1100,y
                  jsr S_88d4
                  inc T_6c7d
                  lda T_6c7d
                  cmp #$03
                  bcc B_6d7a
                  dec T_6c7d
                  dec $4f
                  jmp B_6d7a
B_6de1            jsr S_8914
                  jmp B_6d7a
B_6de7            ldy #$00
B_6de9            lda LR_1100,y
                  sta LR_c900,y
                  iny
                  bne B_6de9
                  lda #$01
                  jsr S_70db
                  ldy #$00
B_6df9            lda LR_1100,y
                  cmp LR_c800,y
                  bne B_6e0f
                  lda LR_c900,y
                  sta LR_1100,y
                  iny
                  bne B_6df9
                  lda #$02
                  jsr S_70db
B_6e0f            jmp B_61d8
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_6e12            jsr S_8d44
                  lda #$73
                  jsr S_65a2
                  lda #$00
                  sta $4f
                  sta $50
                  jsr S_88f4
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $cc
                  .byte $cf
                  .byte $c4
                  .byte $c5
                  .byte $a0
                  .byte $d2
                  .byte $d5
                  .byte $ce
                  .byte $ce
                  .byte $c5
                  .byte $d2
                  .byte $a0
                  .byte $c8
                  .byte $c9
                  .byte $c7
                  .byte $c8
                  .byte $a0
                  .byte $d3
                  .byte $c3
                  .byte $cf
                  .byte $d2
                  .byte $c5
                  .byte $d3
                  .byte $8d
                  .byte $8d
                  .byte $8d
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $c9
                  .byte $ce
                  .byte $c9
                  .byte $d4
                  .byte $c9
                  .byte $c1
                  .byte $cc
                  .byte $d3
                  .byte $a0
                  .byte $cc
                  .byte $c5
                  .byte $d6
                  .byte $c5
                  .byte $cc
                  .byte $a0
                  .byte $a0
                  .byte $d3
                  .byte $c3
                  .byte $cf
                  .byte $d2
                  .byte $c5
                  .byte $8d
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $a0
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $a0
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $8d
                  .byte $00
                  lda #$01
                  sta $28
B_6e7c            cmp #$0a
                  bne B_6e8d
                  lda #$01
                  jsr S_8885
                  lda #$00
                  jsr S_8885
                  jmp B_6e97
B_6e8d            lda #$a0
                  jsr S_88d4
                  lda $28
                  jsr S_8885
B_6e97            jsr S_88f4
                  .byte $ae
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $00
; ------------------------------------------------------------------------------------------------------------- ;
                  ldx $28
                  ldy T_6f4e,x
                  sty $29
                  lda LR_1103,y
                  bne B_6eaf
                  jmp B_6f3f
B_6eaf            ldy $29
                  lda LR_1100,y
                  jsr S_88d4
                  ldy $29
                  lda LR_1101,y
                  jsr S_88d4
                  ldy $29
                  lda LR_1102,y
                  jsr S_88d4
                  jsr S_88f4
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $00
                  ldy $29
                  lda LR_1103,y
                  jsr S_8863
                  lda LR_1307
                  jsr S_8885
                  lda LR_1308
                  jsr S_8885
                  lda LR_1309
                  jsr S_8885
                  jsr S_88f4
                  .byte $a0
                  .byte $a0
                  .byte $00
                  ldy $29
                  lda LR_1104,y
                  jsr S_8850
                  lda LR_1308
                  jsr S_8885
                  lda LR_1309
                  jsr S_8885
                  ldy $29
                  lda LR_1105,y
                  jsr S_8850
                  lda LR_1308
                  jsr S_8885
                  lda LR_1309
                  jsr S_8885
                  ldy $29
                  lda LR_1106,y
                  jsr S_8850
                  lda LR_1308
                  jsr S_8885
                  lda LR_1309
                  jsr S_8885
                  ldy $29
                  lda LR_1107,y
                  jsr S_8850
                  lda LR_1308
                  jsr S_8885
                  lda LR_1309
                  jsr S_8885
B_6f3f            jsr S_88ed
                  inc $28
                  lda $28
                  cmp #$0b
                  bcs B_6f4d
                  jmp B_6e7c
B_6f4d            rts
; ------------------------------------------------------------------------------------------------------------- ;
T_6f4e            .byte $00
                  .byte $00
                  .byte $08
                  .byte $10
                  .byte $18
                  .byte $20
                  .byte $28
                  .byte $30
                  .byte $38
                  .byte $40
                  .byte $48
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_6f59            cmp #$82
                  bne B_6f5f
                  lda #$07
B_6f5f            tay
                  lda T_6f66,y
                  ora #$80
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
T_6f66            .byte $00
                  .byte $0d
                  .byte $15
                  .byte $ff
                  .byte $ff
                  .byte $ff
                  .byte $ff
                  .byte $08
                  .byte $33
                  .byte $57
                  .byte $41
                  .byte $34
                  .byte $5a
                  .byte $53
                  .byte $45
                  .byte $ff
                  .byte $35
                  .byte $52
                  .byte $44
                  .byte $36
                  .byte $43
                  .byte $46
                  .byte $54
                  .byte $58
                  .byte $37
                  .byte $59
                  .byte $47
                  .byte $38
                  .byte $42
                  .byte $48
                  .byte $55
                  .byte $56
                  .byte $39
                  .byte $49
                  .byte $4a
                  .byte $30
                  .byte $4d
                  .byte $4b
                  .byte $4f
                  .byte $4e
                  .byte $2b
                  .byte $50
                  .byte $4c
                  .byte $2d
                  .byte $2e
                  .byte $3a
                  .byte $ff
                  .byte $2c
                  .byte $5c
                  .byte $2a
                  .byte $3b
                  .byte $ff
                  .byte $ff
                  .byte $3d
                  .byte $ff
                  .byte $2f
                  .byte $31
                  .byte $ff
                  .byte $ff
                  .byte $32
                  .byte $20
                  .byte $ff
                  .byte $51
                  .byte $ff
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_6fa6            stx LR_1300
                  ldx #$ff
                  stx $03
                  inx
                  stx LR_1301
                  stx LR_130e
                  stx LR_131c
                  stx LR_131f
                  stx $54
                  stx $53
                  stx $1e
                  stx $50
                  txa
                  ldx #$1e
B_6fc5            sta LR_12e0,x
                  dex
                  bpl B_6fc5
                  ldx #$05
B_6fcd            sta LR_1298,x
                  dex
                  bpl B_6fcd
                  lda #$01
                  sta LR_1314
B_6fd8            lda LR_1310
                  cmp LR_133b
                  beq B_6fe5
                  lda #$01
                  jsr S_709c
B_6fe5            lda LR_1310
                  sta LR_133b
                  ldy $50
B_6fed            lda T_8d66,y
                  sta $09
                  sta $0b
                  lda T_8d76,y
                  sta $0a
                  lda T_8d86,y
                  sta $0c
                  lda #$00
                  sta $4f
B_7002            lda $1e
                  lsr a
                  ldy $53
T_7007            lda LR_1000,y
                  bcs B_7010
                  and #$0f
                  bpl B_7016
B_7010            lsr a
                  lsr a
                  lsr a
                  lsr a
                  inc $53
B_7016            inc $1e
                  ldy $4f
                  cmp #$0a
                  bcc B_7020
                  lda #$00
B_7020            sta ($09),y
                  sta ($0b),y
                  inc $4f
                  lda $4f
                  cmp #$1c
                  bcc B_7002
                  inc $50
                  ldy $50
                  cpy #$10
                  bcc B_6fed
                  jsr S_728f
                  bcc B_7051
                  lda LR_1310
                  beq B_7052
                  ldx #$00
                  stx LR_1310
                  lda LR_1311
                  cmp #$0a
                  bcs B_704d
                  inc LR_1311
B_704d            dex
                  jmp S_6fa6
B_7051            rts
; ------------------------------------------------------------------------------------------------------------- ;
B_7052            jmp B_6010
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_7055            lda #$00
                  sta $53
                  sta $1e
                  sta $50
B_705d            ldy $50
                  lda T_8d66,y
                  sta $09
                  lda T_8d76,y
                  sta $0a
                  ldy #$00
                  sty $4f
B_706d            lda $1e
                  lsr a
                  lda ($09),y
                  bcs B_7078
                  sta $23
                  bpl B_7085
B_7078            asl a
                  asl a
                  asl a
                  asl a
                  ora $23
                  ldy $53
                  sta LR_1000,y
                  inc $53
B_7085            inc $1e
                  inc $4f
                  ldy $4f
                  cpy #$1c
                  bcc B_706d
                  inc $50
                  lda $50
                  cmp #$10
                  bcc B_705d
                  lda #$02
                  jmp S_709c
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_709c            pha
                  bpl B_70a6
                  pla
                  and #$7f
                  pha
                  jmp B_715c
B_70a6            lda LR_1306
                  lsr a
                  beq B_70af
                  jmp B_711d
B_70af            pla
                  lda LR_1310
                  cmp #$03
                  bcc B_70c9
                  lda #$00
                  sta LR_1310
                  inc LR_1311
                  ldx LR_1311
                  cpx #$0a
                  bcc B_70c9
                  dec LR_1311
B_70c9            clc
                  adc #$b5
                  sta M_70d3
                  ldy #$00
B_70d1            lda LR_b500,y
M_70d3            = *-1
                  sta LR_1000,y
                  iny
                  bne B_70d1
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_70db            tax
                  lda LR_1310
                  pha
                  inc M_71ff
                  inc M_7219
                  lda #$97
                  sta LR_1310
                  txa
                  jsr S_709c
                  pla
                  sta LR_1310
                  dec M_71ff
                  dec M_7219
                  ldy #$0a
                  lda #$00
                  sta $25
B_70ff            lda LR_11f0,y
                  eor T_6ca2,y
                  ora $25
                  sta $25
                  dey
                  bpl B_70ff
                  lda $25
                  beq B_7113
                  lda #$00
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_7113            lda #$01
                  ldx LR_11fb
                  bne B_711c
                  lda #$ff
B_711c            rts
; ------------------------------------------------------------------------------------------------------------- ;
B_711d            lda #$00
                  sta SPENA                       ; VIC 2 - $D015 = Sprite Enable
                  jsr CLALL                       ; KERNAL - $FFE7 = Close all Files
                  ldx #$30
                  lda LR_1310
                  and #$0f
                  cmp #$0a
                  bcc B_7135
                  ldx #$31
                  sec
                  sbc #$0a
B_7135            stx T_7249
                  clc
                  adc #$30
                  sta T_724a
                  lda LR_1310
                  lsr a
                  lsr a
                  lsr a
                  lsr a
                  clc
                  adc #$03
                  ldx #$30
                  cmp #$0a
                  bcc B_7153
                  ldx #$31
                  sec
                  sbc #$0a
B_7153            stx T_7246
                  clc
                  adc #$30
                  sta T_7247
B_715c            lda #$00
                  jsr SETNAM                      ; KERNAL - $FFBD = Set Filename Parameters
                  lda #$0f
                  ldx #$08
                  ldy #$0f
                  jsr SETLFS                      ; KERNAL - $FFBA = Set Logical File Parameters
                  jsr OPEN                        ; KERNAL - $FFC0 = Open a Logical File
                  bcs B_71c8
                  lda #$01
                  ldx #$3d
                  ldy #$72
                  jsr SETNAM                      ; KERNAL - $FFBD = Set Filename Parameters
                  lda #$02
                  ldx #$08
                  ldy #$02
                  jsr SETLFS                      ; KERNAL - $FFBA = Set Logical File Parameters
                  jsr OPEN                        ; KERNAL - $FFC0 = Open a Logical File
                  bcs B_71c8
                  pla
                  lsr a
                  bcs B_71cb
                  lsr a
                  bcc B_7190
                  jmp B_7206
B_7190            ldy #$00
                  tya
B_7193            sta LR_1100,y
                  sta LR_1000,y
                  iny
                  bne B_7193
                  lda #$95
                  sta LR_1310
                  jsr CLALL                       ; KERNAL - $FFE7 = Close all Files
B_71a4            lda #$02
                  jsr S_709c
                  dec LR_1310
                  lda LR_1310
                  cmp #$ff
                  bne B_71a4
                  ldy #$0a
B_71b5            lda T_6ca2,y
                  sta LR_11f0,y
                  dey
                  bpl B_71b5
                  iny
                  sty LR_11fb
                  lda #$02
                  jsr S_70db
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_71c8            jmp B_628a
B_71cb            lda #$31
                  sta T_723f
                  jsr CLRCHN                      ; KERNAL - $FFCC = Restore Default Devices
                  ldx #$0f
                  jsr CHKOUT                      ; KERNAL - $FFC9 = Define an Output Channel
                  bcs B_71c8
                  ldy #$00
B_71dc            lda T_723e,y
                  beq B_71e8
                  jsr CHROUT                      ; KERNAL - $FFD2 = Output a Character
                  iny
                  jmp B_71dc
B_71e8            jsr S_7251
                  jsr CLRCHN                      ; KERNAL - $FFCC = Restore Default Devices
                  ldx #$02
                  jsr CHKIN                       ; KERNAL - $FFC6 = Define an Input Channel
                  bcs B_71c8
                  jsr CHRIN                       ; KERNAL - $FFCF = Input a Character
                  ldy #$00
B_71fa            jsr CHRIN                       ; KERNAL - $FFCF = Input a Character
                  sta LR_1000,y
M_71ff            = *-1
                  iny
                  bne B_71fa
                  jmp B_7276
B_7206            lda #$32
                  sta T_723f
                  jsr CLRCHN                      ; KERNAL - $FFCC = Restore Default Devices
                  ldx #$02
                  jsr CHKOUT                      ; KERNAL - $FFC9 = Define an Output Channel
                  bcs B_71c8
                  ldy #$00
B_7217            lda LR_1000,y
M_7219            = *-1
                  jsr CHROUT                      ; KERNAL - $FFD2 = Output a Character
                  iny
                  bne B_7217
                  jsr CLRCHN                      ; KERNAL - $FFCC = Restore Default Devices
                  ldx #$0f
                  jsr CHKOUT                      ; KERNAL - $FFC9 = Define an Output Channel
                  ldy #$00
B_722a            lda T_723e,y
                  beq B_7236
                  jsr CHROUT                      ; KERNAL - $FFD2 = Output a Character
                  iny
                  jmp B_722a
B_7236            jsr S_7251
                  jmp B_7276
; ------------------------------------------------------------------------------------------------------------- ;
                  .byte $00
                  .byte $23
T_723e            .byte $55
T_723f            .byte $31
                  .byte $3a
                  .byte $30
                  .byte $32
                  .byte $20
                  .byte $30
                  .byte $20
; ------------------------------------------------------------------------------------------------------------- ;
T_7246            .byte $30
T_7247            .byte $33
                  .byte $20
T_7249            .byte $30
T_724a            .byte $30
                  .byte $0d
                  .byte $00
T_724d            .byte $55
                  .byte $2b
                  .byte $0d
                  .byte $00
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_7251            jsr CLRCHN                      ; KERNAL - $FFCC = Restore Default Devices
                  ldx #$0f
                  jsr CHKIN                       ; KERNAL - $FFC6 = Define an Input Channel
                  jsr CHRIN                       ; KERNAL - $FFCF = Input a Character
                  sta $1e
                  jsr CHRIN                       ; KERNAL - $FFCF = Input a Character
                  ora $1e
                  sta $1e
B_7265            jsr CHRIN                       ; KERNAL - $FFCF = Input a Character
                  cmp #$0d
                  bne B_7265
                  lda $1e
                  cmp #$30
                  beq B_7275
                  jmp B_6010
B_7275            rts
; ------------------------------------------------------------------------------------------------------------- ;
B_7276            jsr CLRCHN                      ; KERNAL - $FFCC = Restore Default Devices
                  ldx #$0f
B_727b            jsr CHKOUT                      ; KERNAL - $FFC9 = Define an Output Channel
                  ldy #$00
B_7280            lda T_724d,y
                  beq B_728c
                  jsr CHROUT                      ; KERNAL - $FFD2 = Output a Character
                  iny
                  jmp B_7280
B_728c            jmp CLALL                       ; KERNAL - $FFE7 = Close all Files
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_728f            ldy #$0f
                  sty $50
                  lda #$00
                  sta SPENA                       ; VIC 2 - $D015 = Sprite Enable
B_7298            lda T_8d66,y
                  sta $09
                  sta $0b
                  lda T_8d76,y
                  sta $0a
                  lda T_8d86,y
                  sta $0c
                  ldy #$1b
                  sty $4f
B_72ad            lda ($09),y
                  ldx LR_1300
                  beq B_72d2
                  cmp #$06
                  bne B_72d4
                  ldx LR_1301
                  cpx #$2d
                  bcs B_72cc
                  inc LR_1301
                  inx
                  lda $50
                  sta LR_1230,x
                  tya
                  sta LR_1200,x
B_72cc            lda #$00
                  sta ($09),y
                  sta ($0b),y
B_72d2            beq B_7344
B_72d4            cmp #$07
                  bne B_72dd
                  inc LR_130e
                  bne B_7344
B_72dd            cmp #$08
                  bne B_7319
                  ldx LR_131c
                  cpx #$05
                  bcs B_72cc
                  inc LR_131f
                  inc LR_131c
                  inx
                  tya
                  sta LR_1260,x
                  lda $50
                  sta LR_1268,x
                  lda #$00
                  sta LR_1270,x
                  sta LR_1288,x
                  lda #$02
                  sta LR_1278,x
                  sta LR_1280,x
                  lda #$00
                  sta ($0b),y
                  lda #$00
                  jsr S_899b
                  lda #$08
                  bne B_7344
B_7315            bpl B_7298
B_7317            bpl B_72ad
B_7319            cmp #$09
                  bne B_733e
                  ldx $03
                  bpl B_72cc
                  sty $03
                  ldx $50
                  stx $04
                  ldx #$02
                  stx $05
                  stx $06
                  ldx #$08
                  stx $07
                  lda #$00
                  sta ($0b),y
                  lda #$00
                  jsr S_899b
                  lda #$09
                  bne B_7344
B_733e            cmp #$05
                  bne B_7344
                  lda #$01
B_7344            jsr S_899b
                  dec $4f
                  ldy $4f
                  bpl B_7317
                  dec $50
                  ldy $50
                  bpl B_7315
                  lda LR_1300
                  beq S_735e
                  lda $03
                  bpl B_7390
                  sec
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_735e            lda #$20
                  sta $12
                  lda #$40
                  sta $10
                  lda #$00
                  sta $11
                  sta $0f
                  tay
B_736d            lda ($0f),y
                  sta ($11),y
                  iny
                  bne B_736d
                  inc $12
                  inc $10
                  ldx $10
                  cpx #$60
                  bcc B_736d
                  clc
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_7380            lda #$40
                  sta $51
                  jsr S_86e1
                  jsr S_735e
                  lda #$20
                  sta $51
                  bne B_7398
B_7390            lda LR_1321
                  beq B_7380
                  jsr S_90ec
B_7398            ldy #$0f
                  sty $50
B_739c            lda T_8d66,y
                  sta $09
                  lda T_8d76,y
                  sta $0a
                  ldy #$1b
                  sty $4f
B_73aa            lda ($09),y
                  cmp #$09
                  beq B_73b4
                  cmp #$08
                  bne B_73b9
B_73b4            lda #$00
                  jsr S_899b
B_73b9            dec $4f
                  ldy $4f
                  bpl B_73aa
                  dec $50
                  ldy $50
                  bpl B_739c
                  clc
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_73c7            lda #$01
                  sta LR_131d
                  lda LR_1316
                  beq B_73d9
                  bpl B_73d6
                  jmp B_76f5
B_73d6            jmp B_77b4
B_73d9            ldy $04
                  lda T_8d66,y
                  sta $0b
                  lda T_8d86,y
                  sta $0c
                  ldy $03
                  lda ($0b),y
                  cmp #$03
                  beq B_742e
                  cmp #$04
                  bne B_73f7
                  lda $06
                  cmp #$02
                  beq B_742e
B_73f7            lda $06
                  cmp #$02
                  bcc B_7431
                  ldy $04
                  cpy #$0f
                  beq B_742e
                  lda T_8d67,y
                  sta $09
                  sta $0b
                  lda T_8d77,y
                  sta $0a
                  lda T_8d87,y
                  sta $0c
                  ldy $03
                  lda ($09),y
                  cmp #$00
                  beq B_7431
                  cmp #$08
                  beq B_742e
                  lda ($0b),y
                  cmp #$01
                  beq B_742e
                  cmp #$02
                  beq B_742e
                  cmp #$03
                  bne B_7431
B_742e            jmp B_7494
B_7431            lda #$00
                  sta LR_1315
                  dec LR_1302
                  jsr S_7a32
                  jsr S_8a1f
                  lda #$07
                  ldx $08
                  bmi B_7447
                  lda #$0f
B_7447            sta $07
                  jsr S_7aec
                  inc $06
                  lda $06
                  cmp #$05
                  bcs B_745a
                  jsr S_7a4a
                  jmp S_7ad9
B_745a            lda #$00
                  sta $06
                  ldy $04
                  lda T_8d66,y
                  sta $09
                  sta $0b
                  lda T_8d76,y
                  sta $0a
                  lda T_8d86,y
                  sta $0c
                  ldy $03
                  lda ($0b),y
                  cmp #$01
                  bne B_747b
                  lda #$00
B_747b            sta ($09),y
                  inc $04
                  ldy $04
                  lda T_8d66,y
                  sta $09
                  lda T_8d76,y
                  sta $0a
                  ldy $03
                  lda #$09
                  sta ($09),y
                  jmp S_7ad9
B_7494            lda LR_1315
                  bne B_7499
B_7499            lda #$20
                  sta LR_1315
                  jsr S_78ef
                  lda LR_1319
                  cmp #$21
                  bne B_74ae
                  jsr S_75c8
                  bcs B_74cc
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_74ae            cmp #$25
                  bne B_74b8
                  jsr S_7671
                  bcs B_74cc
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_74b8            cmp #$1e
                  bne B_74c2
                  jsr S_76e6
                  bcs B_74cc
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_74c2            cmp #$26
                  bne B_74cc
                  jsr S_77a5
                  bcs B_74cc
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_74cc            lda LR_131a
                  cmp #$22
                  bne B_74d6
                  jmp B_74de
B_74d6            cmp #$2a
                  bne B_74dd
                  jmp B_7550
B_74dd            rts
; ------------------------------------------------------------------------------------------------------------- ;
B_74de            ldy $04
                  lda T_8d66,y
                  sta $09
                  sta $0b
                  lda T_8d76,y
                  sta $0a
                  lda T_8d86,y
                  sta $0c
                  ldx $05
                  cpx #$03
                  bcs B_750b
                  ldy $03
                  beq B_750a
                  dey
                  lda ($09),y
                  cmp #$02
                  beq B_750a
                  cmp #$01
                  beq B_750a
                  cmp #$05
                  bne B_750b
B_750a            rts
; ------------------------------------------------------------------------------------------------------------- ;
B_750b            jsr S_7a32
                  jsr S_8a1f
                  lda #$ff
                  sta $08
                  jsr S_7aff
                  dec $05
                  bpl B_7535
                  ldy $03
                  lda ($0b),y
                  cmp #$01
                  bne B_7526
                  lda #$00
B_7526            sta ($09),y
                  dec $03
                  dey
                  lda #$09
                  sta ($09),y
                  lda #$04
                  sta $05
                  bne B_7538
B_7535            jsr S_7a4a
B_7538            ldy $03
                  lda ($0b),y
                  cmp #$04
                  beq B_7546
                  lda #$00
                  ldx #$02
                  bne B_754a
B_7546            lda #$03
                  ldx #$05
B_754a            jsr S_7acb
                  jmp S_7ad9
B_7550            ldy $04
                  lda T_8d66,y
                  sta $09
                  sta $0b
                  lda T_8d76,y
                  sta $0a
                  lda T_8d86,y
                  sta $0c
                  ldx $05
                  cpx #$02
                  bcc B_757f
                  ldy $03
                  cpy #$1b
                  beq B_757e
                  iny
                  lda ($09),y
                  cmp #$02
                  beq B_757e
                  cmp #$01
                  beq B_757e
                  cmp #$05
                  bne B_757f
B_757e            rts
; ------------------------------------------------------------------------------------------------------------- ;
B_757f            jsr S_7a32
                  jsr S_8a1f
                  lda #$01
                  sta $08
                  jsr S_7aff
                  inc $05
                  lda $05
                  cmp #$05
                  bcc B_75ad
                  ldy $03
                  lda ($0b),y
                  cmp #$01
                  bne B_759e
                  lda #$00
B_759e            sta ($09),y
                  inc $03
                  iny
                  lda #$09
                  sta ($09),y
                  lda #$00
                  sta $05
                  beq B_75b0
B_75ad            jsr S_7a4a
B_75b0            ldy $03
                  lda ($0b),y
                  cmp #$04
                  beq B_75be
                  lda #$08
                  ldx #$0a
                  bne B_75c2
B_75be            lda #$0b
                  ldx #$0d
B_75c2            jsr S_7acb
                  jmp S_7ad9
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_75c8            ldy $04
                  lda T_8d66,y
                  sta $0b
                  lda T_8d86,y
                  sta $0c
                  ldy $03
                  lda ($0b),y
                  cmp #$03
                  beq B_75f8
                  ldy $06
                  cpy #$03
                  bcc B_75f6
                  ldy $04
                  lda T_8d67,y
                  sta $0b
                  lda T_8d87,y
                  sta $0c
                  ldy $03
                  lda ($0b),y
                  cmp #$03
                  beq B_761c
B_75f6            sec
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_75f8            ldy $06
                  cpy #$03
                  bcs B_761c
                  ldy $04
                  beq B_75f6
                  lda T_8d65,y
                  sta $09
                  lda T_8d75,y
                  sta $0a
                  ldy $03
                  lda ($09),y
                  cmp #$01
                  beq B_75f6
                  cmp #$02
                  beq B_75f6
                  cmp #$05
                  beq B_75f6
B_761c            jsr S_7a32
                  jsr S_8a1f
                  ldy $04
                  lda T_8d66,y
                  sta $09
                  sta $0b
                  lda T_8d76,y
                  sta $0a
                  lda T_8d86,y
                  sta $0c
                  jsr S_7aec
                  dec $06
                  bpl B_7662
                  ldy $03
                  lda ($0b),y
                  cmp #$01
                  bne B_7646
                  lda #$00
B_7646            sta ($09),y
                  dec $04
                  ldy $04
                  lda T_8d66,y
                  sta $09
                  lda T_8d76,y
                  sta $0a
                  ldy $03
                  lda #$09
                  sta ($09),y
                  lda #$04
                  sta $06
                  bne B_7665
B_7662            jsr S_7a4a
B_7665            lda #$10
                  ldx #$11
                  jsr S_7acb
                  jsr S_7ad9
                  clc
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_7671            ldy $06
                  cpy #$02
                  bcc B_7695
                  ldy $04
                  cpy #$0f
                  bcs B_7693
                  lda T_8d67,y
                  sta $09
                  lda T_8d77,y
                  sta $0a
                  ldy $03
                  lda ($09),y
                  cmp #$02
                  beq B_7693
                  cmp #$01
                  bne B_7695
B_7693            sec
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_7695            jsr S_7a32
                  jsr S_8a1f
                  ldy $04
                  lda T_8d66,y
                  sta $09
                  sta $0b
                  lda T_8d76,y
                  sta $0a
                  lda T_8d86,y
                  sta $0c
                  jsr S_7aec
                  inc $06
                  lda $06
                  cmp #$05
                  bcc B_76e0
                  ldy $03
                  lda ($0b),y
                  cmp #$01
                  bne B_76c3
                  lda #$00
B_76c3            sta ($09),y
                  inc $04
                  ldy $04
                  lda T_8d66,y
                  sta $09
                  lda T_8d76,y
                  sta $0a
                  ldy $03
                  lda #$09
                  sta ($09),y
                  lda #$00
                  sta $06
                  jmp B_7665
B_76e0            jmp B_7662
B_76e3            jmp B_7795
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_76e6            lda #$ff
                  sta LR_1316
                  sta LR_1319
                  sta LR_131a
                  lda #$00
                  sta $54
B_76f5            ldy $04
                  cpy #$0f
                  bcs B_76e3
                  iny
                  jsr S_8ced
                  ldy $03
                  beq B_76e3
                  dey
                  lda ($09),y
                  cmp #$01
                  bne B_76e3
                  ldy $04
                  jsr S_8ced
                  ldy $03
                  dey
                  lda ($09),y
                  cmp #$00
                  bne B_7771
                  jsr S_7a32
                  jsr S_8a1f
                  jsr S_7aec
                  jsr S_7aff
                  ldx $54
                  lda #$00
                  cpx #$06
                  bcs B_772e
                  lda #$06
B_772e            sta $07
                  jsr S_7ad9
                  ldx $54
                  cpx #$0c
                  beq B_779c
                  cpx #$00
                  beq B_774f
                  lda T_7876,x
                  pha
                  ldx $03
                  dex
                  ldy $04
                  jsr S_8c34
                  pla
                  jsr S_8a1f
                  ldx $54
B_774f            lda T_7877,x
                  pha
                  ldx $03
                  dex
                  stx $4f
                  ldy $04
                  sty $50
                  jsr S_8c34
                  pla
                  jsr S_8a93
                  ldx $54
                  lda T_788f,x
                  inc $50
                  jsr S_8995
                  inc $54
                  clc
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_7771            ldy $04
                  iny
                  sty $50
                  ldy $03
                  dey
                  sty $4f
                  lda #$01
                  jsr S_8995
                  ldx $54
                  beq B_7795
                  dex
                  lda T_7877,x
                  pha
                  ldy $04
                  ldx $03
                  dex
                  jsr S_8c34
                  pla
                  jsr S_8a1f
B_7795            lda #$00
                  sta LR_1316
                  sec
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_779c            ldx $03
                  dex
                  jmp B_7b12
B_77a2            jmp B_7858
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_77a5            lda #$01
                  sta LR_1316
                  sta LR_1319
                  sta LR_131a
                  lda #$0c
                  sta $54
B_77b4            ldy $04
                  cpy #$0f
                  bcs B_77a2
                  iny
                  jsr S_8ced
                  ldy $03
                  cpy #$1b
                  bcs B_77a2
                  iny
                  lda ($09),y
                  cmp #$01
                  bne B_77a2
                  ldy $04
                  jsr S_8ced
                  ldy $03
                  iny
                  lda ($09),y
                  cmp #$00
                  bne B_7832
                  jsr S_7a32
                  jsr S_8a1f
                  jsr S_7aec
                  jsr S_7aff
                  ldx $54
                  lda #$08
                  cpx #$12
                  bcs B_77ef
                  lda #$0e
B_77ef            sta $07
                  jsr S_7ad9
                  ldx $54
                  cpx #$18
                  beq B_785f
                  cpx #$0c
                  beq B_7810
                  lda T_7876,x
                  pha
                  ldx $03
                  inx
                  ldy $04
                  jsr S_8c34
                  pla
                  jsr S_8a1f
                  ldx $54
B_7810            lda T_7877,x
                  pha
                  ldx $03
                  inx
                  stx $4f
                  ldy $04
                  sty $50
                  jsr S_8c34
                  pla
                  jsr S_8a93
                  inc $50
                  ldx $54
                  lda T_7883,x
                  jsr S_8995
                  inc $54
                  clc
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_7832            ldy $04
                  iny
                  sty $50
                  ldy $03
                  iny
                  sty $4f
                  lda #$01
                  jsr S_8995
                  ldx $54
                  cpx #$0c
                  beq B_7858
                  dex
                  lda T_7877,x
                  pha
                  ldx $03
                  inx
                  ldy $04
                  jsr S_8c34
                  pla
                  jsr S_8a1f
B_7858            lda #$00
                  sta LR_1316
                  sec
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_785f            ldx $03
                  inx
                  jmp B_7b12
; ------------------------------------------------------------------------------------------------------------- ;
T_7865            .byte $0b
                  .byte $0c
                  .byte $0d
                  .byte $18
                  .byte $19
                  .byte $1a
                  .byte $0f
                  .byte $13
                  .byte $09
                  .byte $10
                  .byte $11
                  .byte $15
                  .byte $16
                  .byte $17
                  .byte $25
                  .byte $14
                  .byte $0e
; ------------------------------------------------------------------------------------------------------------- ;
T_7876            .byte $12
T_7877            .byte $1b
                  .byte $1b
                  .byte $1c
                  .byte $1c
                  .byte $1d
                  .byte $1d
                  .byte $1e
                  .byte $1e
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
; ------------------------------------------------------------------------------------------------------------- ;
T_7883            .byte $26
                  .byte $26
                  .byte $27
                  .byte $27
                  .byte $1d
                  .byte $1d
                  .byte $1e
                  .byte $1e
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
; ------------------------------------------------------------------------------------------------------------- ;
T_788f            .byte $1f
                  .byte $1f
                  .byte $20
                  .byte $20
                  .byte $21
                  .byte $21
                  .byte $22
                  .byte $22
                  .byte $23
                  .byte $23
                  .byte $24
                  .byte $24
B_789b            lda LR_1328
                  bne B_78a7
                  lda CIAPRA                      ; CIA 1 - $DC00 = Data Port A
                  and #$10
                  bne B_78b2
B_78a7            lsr $59
                  lsr LR_1314
                  lda #$01
                  sta LR_1312
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_78b2            lda $58
                  bne B_78ce
                  ldy #$00
                  lda ($55),y
                  sta $57
                  iny
                  lda ($55),y
                  sta $58
                  lda $55
                  clc
                  adc #$02
                  sta $55
                  lda $56
                  adc #$00
                  sta $56
B_78ce            lda $57
                  and #$0f
                  tax
                  lda T_78e9,x
                  sta LR_1319
                  lda $57
                  lsr a
                  lsr a
                  lsr a
                  lsr a
                  tax
                  lda T_78e9,x
                  sta LR_131a
                  dec $58
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
T_78e9            .byte $21
                  .byte $22
                  .byte $25
                  .byte $2a
                  .byte $26
                  .byte $1e
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_78ef            lda LR_1306
                  cmp #$01
                  beq B_789b
                  ldx LR_1328
                  bne B_7905
                  lda LR_130f
                  cmp #$cb
                  beq B_7933
B_7902            jmp B_79b0
B_7905            lda #$00
                  sta LR_1328
                  stx $23
                  ldy #$ff
B_790e            iny
                  lda T_7a10,y
                  beq B_7924
                  cmp $23
                  bne B_790e
                  tya
                  asl a
                  tay
                  lda T_7a1d,y
                  pha
                  lda T_7a1c,y
                  pha
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_7924            lda LR_130f
                  cmp #$ca
                  beq B_7902
                  ldx $23
                  stx LR_1319
                  stx LR_131a
B_7933            rts
; ------------------------------------------------------------------------------------------------------------- ;
                  inc LR_1312
                  inc LR_1305
                  inc LR_1310
                  lsr LR_1314
                  lsr LR_1318
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
                  inc LR_1312
                  bne B_794c
                  dec LR_1312
B_794c            jsr S_87bf
                  lsr LR_1318
                  jmp S_78ef
                  inc LR_1311
                  inc LR_1312
                  lsr LR_1314
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_795f            jsr S_8e06
                  cmp #$3f
                  bne B_795f
                  jmp S_78ef
                  jmp B_61d2
                  lsr LR_1314
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
                  lda #$ca
                  sta LR_130f
                  jmp S_78ef
                  lda #$cb
                  sta LR_130f
                  jmp S_78ef
                  lda LR_131b
                  cmp #$03
                  beq B_7997
                  dec LR_131b
                  jmp S_78ef
                  lda LR_131b
                  cmp #$08
                  beq B_7997
                  inc LR_131b
B_7997            jmp S_78ef
                  lda LR_1321
                  eor #$ff
                  sta LR_1321
                  jmp S_78ef
                  lda LR_1339
                  eor #$ff
                  sta LR_1339
                  jmp S_78ef
B_79b0            lda CIAPRA                      ; CIA 1 - $DC00 = Data Port A
                  and #$10
                  bne B_79d0
                  lda $08
                  eor LR_1339
                  bpl B_79c7
                  lda #$26
                  sta LR_1319
                  sta LR_131a
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_79c7            lda #$1e
                  sta LR_1319
                  sta LR_131a
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_79d0            lda CIAPRA                      ; CIA 1 - $DC00 = Data Port A
                  sta $1e
                  and #$02
                  beq B_79ed
                  lda $1e
                  and #$01
                  beq B_79e6
                  ldx #$00
                  stx LR_1319
                  beq B_79f2
B_79e6            ldx #$21
                  stx LR_1319
                  bne B_79f2
B_79ed            ldx #$25
                  stx LR_1319
B_79f2            lda $1e
                  and #$08
                  beq B_7a04
                  lda $1e
                  and #$04
                  beq B_7a0a
                  ldx #$00
                  stx LR_131a
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_7a04            ldx #$2a
                  stx LR_131a
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_7a0a            ldx #$22
                  stx LR_131a
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
T_7a10            .byte $9e
                  .byte $95
                  .byte $3f
                  .byte $91
                  .byte $8a
                  .byte $a2
                  .byte $a5
                  .byte $2b
                  .byte $28
                  .byte $8c
                  .byte $92
                  .byte $00
; ------------------------------------------------------------------------------------------------------------- ;
T_7a1c            .byte $33
T_7a1d            .byte $79
                  .byte $43
                  .byte $79
                  .byte $5e
                  .byte $79
                  .byte $68
                  .byte $79
                  .byte $6b
                  .byte $79
                  .byte $6f
                  .byte $79
                  .byte $77
                  .byte $79
                  .byte $8c
                  .byte $79
                  .byte $7f
                  .byte $79
                  .byte $99
                  .byte $79
                  .byte $a4
                  .byte $79
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_7a32            ldx $03
                  ldy $05
                  jsr S_8c6c
                  stx $23
                  ldy $04
                  ldx $06
                  jsr S_8c7f
                  ldx $07
                  lda T_7865,x
                  ldx $23
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_7a4a            lda $05
                  cmp #$02
                  bne B_7aca
                  lda $06
                  cmp #$02
                  bne B_7aca
                  ldy $04
                  lda T_8d66,y
                  sta $0b
                  lda T_8d86,y
                  sta $0c
                  ldy $03
                  lda ($0b),y
                  cmp #$07
                  bne B_7aca
                  lsr LR_131d
                  ldx #$10
                  ldy #$20
                  lda #$04
                  jsr S_63e2
                  sta T_7a95
                  lda #$04
                  jsr S_63e2
                  sta T_7a99
                  lda #$04
                  jsr S_63e2
                  sta T_7a9d
                  lda #$04
                  jsr S_63e2
                  sta T_7aa1
                  jsr S_6399
; ------------------------------------------------------------------------------------------------------------- ;
                  .byte $04
T_7a95            .byte $00
                  .byte $ff
                  .byte $b0
                  .byte $04
; ------------------------------------------------------------------------------------------------------------- ;
T_7a99            .byte $00
                  .byte $ff
                  .byte $a0
                  .byte $04
; ------------------------------------------------------------------------------------------------------------- ;
T_7a9d            .byte $00
                  .byte $ff
                  .byte $90
                  .byte $04
T_7aa1            .byte $00
                  .byte $ff
                  .byte $a0
                  .byte $00
; ------------------------------------------------------------------------------------------------------------- ;
B_7aa5            dec LR_130e
                  ldy $04
                  sty $50
                  ldy $03
                  sty $4f
                  lda #$00
                  sta ($0b),y
                  jsr S_899b
                  ldy $50
                  ldx $4f
                  jsr S_8c34
                  lda #$07
                  jsr S_8a1f
                  ldy #$02
                  lda #$50
                  jsr S_87e6
B_7aca            rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_7acb            inc $07
                  cmp $07
                  bcc B_7ad4
B_7ad1            sta $07
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_7ad4            cpx $07
                  bcc B_7ad1
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_7ad9            jsr S_7a32
                  jsr S_8a93
                  lda $27
                  beq B_7aeb
                  lda LR_131d
                  beq B_7aeb
                  lsr LR_1314
B_7aeb            rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_7aec            lda $05
                  cmp #$02
                  bcc B_7af9
                  beq B_7afe
                  dec $05
                  jmp S_7a4a
B_7af9            inc $05
                  jmp S_7a4a
B_7afe            rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_7aff            lda $06
                  cmp #$02
                  bcc B_7b0c
                  beq B_7b11
                  dec $06
                  jmp S_7a4a
B_7b0c            inc $06
                  jmp S_7a4a
B_7b11            rts
; ------------------------------------------------------------------------------------------------------------- ;
B_7b12            lda #$00
                  sta LR_1316
                  ldy $04
                  iny
                  stx $4f
                  sty $50
                  lda T_8d66,y
                  sta $09
                  lda T_8d76,y
                  sta $0a
                  lda #$00
                  ldy $4f
                  sta ($09),y
                  jsr S_8995
                  lda #$00
                  jsr S_899b
                  dec $50
                  lda #$00
                  jsr S_8995
                  inc $50
                  ldx #$ff
B_7b41            inx
                  cpx #$1e
                  beq B_7b5b
                  lda LR_12e0,x
                  bne B_7b41
                  lda $50
                  sta LR_12c0,x
                  lda $4f
                  sta LR_12a0,x
                  lda #$b4
                  sta LR_12e0,x
                  sec
B_7b5b            rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_7b5c            ldx LR_131c
                  beq B_7b82
                  inc $36
                  ldy $36
                  cpy #$03
                  bcc B_7b6d
                  ldy #$00
                  sty $36
B_7b6d            lda $0032,y
                  sta $35
B_7b72            lsr $35
                  bcc B_7b7e
                  jsr S_7bd2
                  lda LR_1314
                  beq B_7b82
B_7b7e            lda $35
                  bne B_7b72
B_7b82            rts
; ------------------------------------------------------------------------------------------------------------- ;
T_7b83            .byte $00
T_7b84            .byte $00
T_7b85            .byte $00
                  .byte $00
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $03
                  .byte $01
                  .byte $01
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $07
                  .byte $03
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $0f
                  .byte $07
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $1f
                  .byte $0f
                  .byte $1f
                  .byte $1f
                  .byte $1f
                  .byte $1f
                  .byte $1f
                  .byte $1f
                  .byte $1f
                  .byte $3f
                  .byte $1f
                  .byte $3f
                  .byte $3f
                  .byte $3f
                  .byte $3f
                  .byte $3f
                  .byte $3f
                  .byte $3f
                  .byte $7f
                  .byte $3f
                  .byte $7f
                  .byte $7f
                  .byte $7f
                  .byte $7f
                  .byte $7f
; ------------------------------------------------------------------------------------------------------------- ;
T_7bc2            .byte $08
                  .byte $2b
                  .byte $2c
                  .byte $30
                  .byte $31
                  .byte $32
                  .byte $36
                  .byte $28
                  .byte $29
                  .byte $2a
                  .byte $2d
                  .byte $2e
                  .byte $2f
                  .byte $35
                  .byte $33
                  .byte $34
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_7bd2            inc LR_131f
                  ldx LR_131c
                  cpx LR_131f
                  bcs B_7be2
                  ldx #$01
                  stx LR_131f
B_7be2            jsr S_84ca
                  lda $19
                  bmi B_7c04
                  beq B_7c04
                  dec $19
                  ldy $19
                  cpy #$0d
                  bcs B_7bf6
                  jmp B_7d5b
B_7bf6            ldx LR_131f
                  lda LR_1298,x
                  beq B_7c01
                  jmp B_84a3
B_7c01            jmp B_7cab
B_7c04            ldy $16
                  lda T_8d66,y
                  sta $0b
                  lda T_8d86,y
                  sta $0c
                  ldy $15
                  lda ($0b),y
                  cmp #$03
                  beq B_7c5d
                  cmp #$04
                  bne B_7c22
                  lda $1b
                  cmp #$02
                  beq B_7c5d
B_7c22            lda $1b
                  cmp #$02
                  bcc B_7c60
                  ldy $16
                  cpy #$0f
                  beq B_7c5d
                  lda T_8d67,y
                  sta $09
                  sta $0b
                  lda T_8d87,y
                  sta $0c
                  lda T_8d77,y
                  sta $0a
                  ldy $15
                  lda ($09),y
                  cmp #$00
                  beq B_7c60
                  cmp #$09
                  beq B_7c60
                  cmp #$08
                  beq B_7c5d
                  lda ($0b),y
                  cmp #$01
                  beq B_7c5d
                  cmp #$02
                  beq B_7c5d
                  cmp #$03
                  bne B_7c60
B_7c5d            jmp B_7d7b
B_7c60            jsr S_83d9
                  jsr S_8a1f
                  jsr S_847d
                  lda #$06
                  ldy $18
                  bmi B_7c71
                  lda #$0d
B_7c71            sta $17
                  inc $1b
                  lda $1b
                  cmp #$05
                  bcs B_7cb4
                  lda $1b
                  cmp #$02
                  bne B_7cab
                  jsr S_83f1
                  ldy $16
                  lda T_8d66,y
                  sta $0b
                  lda T_8d86,y
                  sta $0c
                  ldy $15
                  lda ($0b),y
                  cmp #$01
                  bne B_7cab
                  lda $19
                  bpl B_7c9f
                  dec LR_130e
B_7c9f            lda LR_1320
                  sta $19
                  ldy #$00
                  lda #$75
                  jsr S_87e6
B_7cab            jsr S_83d9
                  jsr S_8a93
                  jmp B_84a3
B_7cb4            lda #$00
                  sta $1b
                  ldy $16
                  lda T_8d66,y
                  sta $09
                  sta $0b
                  lda T_8d76,y
                  sta $0a
                  lda T_8d86,y
                  sta $0c
                  ldy $15
                  lda ($0b),y
                  cmp #$01
                  bne B_7cd5
                  lda #$00
B_7cd5            sta ($09),y
                  inc $16
                  ldy $16
                  lda T_8d66,y
                  sta $09
                  sta $0b
                  lda T_8d76,y
                  sta $0a
                  lda T_8d86,y
                  sta $0c
                  ldy $15
                  lda ($09),y
                  cmp #$09
                  bne B_7cf7
                  lsr LR_1314
B_7cf7            lda ($0b),y
                  cmp #$01
                  bne B_7d4e
                  lda $19
                  bpl B_7d4e
                  ldy $16
                  dey
                  sty $50
                  lda T_8d66,y
                  sta $09
                  sta $0b
                  lda T_8d76,y
                  sta $0a
                  lda T_8d86,y
                  sta $0c
                  ldy $15
                  sty $4f
                  lda ($0b),y
                  cmp #$00
                  beq B_7d27
                  dec LR_130e
                  jmp B_7d3c
B_7d27            lda #$07
                  sta ($09),y
                  sta ($0b),y
                  jsr S_899b
                  ldy $50
                  ldx $4f
                  jsr S_8c34
                  lda #$07
                  jsr S_8a93
B_7d3c            ldy $16
                  lda T_8d66,y
                  sta $09
                  lda T_8d76,y
                  sta $0a
                  lda #$00
                  sta $19
                  ldy $15
B_7d4e            lda #$08
                  sta ($09),y
                  jsr S_83d9
                  jsr S_8a93
                  jmp B_84a3
B_7d5b            cpy #$07
                  bcc B_7d7b
                  jsr S_83d9
                  jsr S_8a1f
                  ldy $19
                  lda M_7d6e,y
                  sta $1a
M_7d6e            = *+2
                  jsr S_83d9
                  jsr S_8a93
                  jmp B_84a3
; ------------------------------------------------------------------------------------------------------------- ;
                  .byte $02
                  .byte $01
                  .byte $02
                  .byte $03
                  .byte $02
                  .byte $01
; ------------------------------------------------------------------------------------------------------------- ;
B_7d7b            ldx $15
                  ldy $16
                  jsr S_7fd2
                  asl a
                  tay
                  lda T_7d8e,y
                  pha
                  lda T_7d8d,y
                  pha
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
T_7d8d            .byte $a2
T_7d8e            .byte $84
                  .byte $b3
                  .byte $7e
                  .byte $3f
                  .byte $7f
                  .byte $a1
                  .byte $7d
                  .byte $2f
                  .byte $7e
; ------------------------------------------------------------------------------------------------------------- ;
B_7d97            lda $19
                  beq B_7d9f
                  bmi B_7d9f
                  inc $19
B_7d9f            jmp B_84a3
                  ldy $1b
                  cpy #$03
                  bcs B_7dcb
                  ldy $16
                  beq B_7d97
                  dey
                  lda T_8d66,y
                  sta $09
                  lda T_8d76,y
                  sta $0a
                  ldy $15
                  lda ($09),y
                  cmp #$01
                  beq B_7d97
                  cmp #$02
                  beq B_7d97
                  cmp #$05
                  beq B_7d97
                  cmp #$08
                  beq B_7d97
B_7dcb            jsr S_83d9
                  jsr S_8a1f
                  jsr S_847d
                  ldy $16
                  lda T_8d66,y
                  sta $09
                  sta $0b
                  lda T_8d76,y
                  sta $0a
                  lda T_8d86,y
                  sta $0c
                  dec $1b
                  bpl B_7e1d
                  jsr S_8439
                  ldy $15
                  lda ($0b),y
                  cmp #$01
                  bne B_7df8
                  lda #$00
B_7df8            sta ($09),y
                  dec $16
                  ldy $16
                  lda T_8d66,y
                  sta $09
                  lda T_8d76,y
                  sta $0a
                  ldy $15
                  lda ($09),y
                  cmp #$09
                  bne B_7e13
                  lsr LR_1314
B_7e13            lda #$08
                  sta ($09),y
                  lda #$04
                  sta $1b
                  bne B_7e20
B_7e1d            jsr S_83f1
B_7e20            lda #$0e
                  ldx #$0f
                  jsr S_846f
                  jsr S_83d9
                  jsr S_8a93
                  jmp B_84a3
                  ldy $1b
                  cpy #$02
                  bcc B_7e5a
                  ldy $16
                  cpy #$0f
                  bcs B_7e57
                  iny
                  lda T_8d66,y
                  sta $09
                  lda T_8d76,y
                  sta $0a
                  ldy $15
                  lda ($09),y
                  cmp #$02
                  beq B_7e57
                  cmp #$08
                  beq B_7e57
                  cmp #$01
                  bne B_7e5a
B_7e57            jmp B_84a3
B_7e5a            jsr S_83d9
                  jsr S_8a1f
                  jsr S_847d
                  ldy $16
                  lda T_8d66,y
                  sta $09
                  sta $0b
                  lda T_8d76,y
                  sta $0a
                  lda T_8d86,y
                  sta $0c
                  inc $1b
                  lda $1b
                  cmp #$05
                  bcc B_7eb1
                  jsr S_8439
                  ldy $15
                  lda ($0b),y
                  cmp #$01
                  bne B_7e8b
                  lda #$00
B_7e8b            sta ($09),y
                  inc $16
                  ldy $16
                  lda T_8d66,y
                  sta $09
                  lda T_8d76,y
                  sta $0a
                  ldy $15
                  lda ($09),y
                  cmp #$09
                  bne B_7ea6
                  lsr LR_1314
B_7ea6            lda #$08
                  sta ($09),y
                  lda #$00
                  sta $1b
                  jmp B_7e20
B_7eb1            jmp B_7e1d
                  ldy $16
                  lda T_8d66,y
                  sta $09
                  sta $0b
                  lda T_8d76,y
                  sta $0a
                  lda T_8d86,y
                  sta $0c
                  ldx $1a
                  cpx #$03
                  bcs B_7ee9
                  ldy $15
                  beq B_7ee6
                  dey
                  lda ($09),y
                  cmp #$08
                  beq B_7ee6
                  cmp #$02
                  beq B_7ee6
                  cmp #$01
                  beq B_7ee6
                  lda ($0b),y
                  cmp #$05
                  bne B_7ee9
B_7ee6            jmp B_84a3
B_7ee9            jsr S_83d9
                  jsr S_8a1f
                  jsr S_8490
                  lda #$ff
                  sta $18
                  dec $1a
                  bpl B_7f1f
                  jsr S_8439
                  ldy $15
                  lda ($0b),y
                  cmp #$01
                  bne B_7f07
                  lda #$00
B_7f07            sta ($09),y
                  dec $15
                  dey
                  lda ($09),y
                  cmp #$09
                  bne B_7f15
                  lsr LR_1314
B_7f15            lda #$08
                  sta ($09),y
                  lda #$04
                  sta $1a
                  bne B_7f22
B_7f1f            jsr S_83f1
B_7f22            ldy $15
                  lda ($0b),y
                  cmp #$04
                  beq B_7f30
                  lda #$00
                  ldx #$02
                  bne B_7f34
B_7f30            lda #$03
                  ldx #$05
B_7f34            jsr S_846f
                  jsr S_83d9
                  jsr S_8a93
                  jmp B_84a3
                  ldy $16
                  lda T_8d66,y
                  sta $09
                  sta $0b
                  lda T_8d76,y
                  sta $0a
                  lda T_8d86,y
                  sta $0c
                  ldx $1a
                  cpx #$02
                  bcc B_7f77
                  ldy $15
                  cpy #$1b
                  beq B_7f74
                  iny
                  lda ($09),y
                  cmp #$08
                  beq B_7f74
                  cmp #$02
                  beq B_7f74
                  cmp #$01
                  beq B_7f74
                  lda ($0b),y
                  cmp #$05
                  bne B_7f77
B_7f74            jmp B_84a3
B_7f77            jsr S_83d9
                  jsr S_8a1f
                  jsr S_8490
                  lda #$01
                  sta $18
                  inc $1a
                  lda $1a
                  cmp #$05
                  bcc B_7fb1
                  jsr S_8439
                  ldy $15
                  lda ($0b),y
                  cmp #$01
                  bne B_7f99
                  lda #$00
B_7f99            sta ($09),y
                  inc $15
                  iny
                  lda ($09),y
                  cmp #$09
                  bne B_7fa7
                  lsr LR_1314
B_7fa7            lda #$08
                  sta ($09),y
                  lda #$00
                  sta $1a
                  beq B_7fb4
B_7fb1            jsr S_83f1
B_7fb4            ldy $15
                  lda ($0b),y
                  cmp #$04
                  beq B_7fc2
                  lda #$07
                  ldx #$09
                  bne B_7fc6
B_7fc2            lda #$0a
                  ldx #$0c
B_7fc6            jsr S_846f
                  jsr S_83d9
                  jsr S_8a93
                  jmp B_84a3
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_7fd2            stx $28
                  sty $29
                  lda T_8d66,y
                  sta $0b
                  lda T_8d86,y
                  sta $0c
                  ldy $28
                  lda ($0b),y
                  cmp #$01
                  bne B_7ff1
                  lda $19
                  beq B_7ff1
                  bmi B_7ff1
                  lda #$03
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_7ff1            ldy $29
                  cpy $04
                  beq B_7ffa
                  jmp B_8080
B_7ffa            ldy $28
                  sty $2a
                  cpy $03
                  bcs B_8041
B_8002            inc $2a
                  ldy $29
                  lda T_8d66,y
                  sta $0b
                  lda T_8d86,y
                  sta $0c
                  ldy $2a
                  lda ($0b),y
                  cmp #$03
                  beq B_8038
                  cmp #$04
                  beq B_8038
                  ldy $29
                  cpy #$0f
                  beq B_8038
                  lda T_8d67,y
                  sta $0b
                  lda T_8d87,y
                  sta $0c
                  ldy $2a
                  lda ($0b),y
                  cmp #$00
                  beq B_8080
                  cmp #$05
                  beq B_8080
B_8038            ldy $2a
                  cpy $03
                  bne B_8002
                  lda #$02
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_8041            dec $2a
                  ldy $29
                  lda T_8d66,y
                  sta $0b
                  lda T_8d86,y
                  sta $0c
                  ldy $2a
                  lda ($0b),y
                  cmp #$03
                  beq B_8077
                  cmp #$04
                  beq B_8077
                  ldy $29
                  cpy #$0f
                  beq B_8077
                  lda T_8d67,y
                  sta $0b
                  lda T_8d87,y
                  sta $0c
                  ldy $2a
                  lda ($0b),y
                  cmp #$00
                  beq B_8080
                  cmp #$05
                  beq B_8080
B_8077            ldy $2a
                  cpy $03
                  bne B_8041
                  lda #$01
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_8080            lda #$00
                  sta $2b
                  lda #$ff
                  sta $2c
                  ldx $28
                  ldy $29
                  jsr S_8338
                  jsr S_816f
                  jsr S_809c
                  jsr S_8106
                  lda $2b
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_809b            rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_809c            ldy $2d
                  cpy $28
                  beq B_809b
                  ldy $29
                  cpy #$0f
                  beq B_80d4
                  lda T_8d67,y
                  sta $0b
                  lda T_8d87,y
                  sta $0c
                  ldy $2d
                  lda ($0b),y
                  cmp #$01
                  beq B_80d4
                  cmp #$02
                  beq B_80d4
                  ldx $2d
                  ldy $29
                  jsr S_8297
                  ldx $2d
                  jsr S_81ce
                  cmp $2c
                  bcs B_80d4
                  sta $2c
                  lda #$01
                  sta $2b
B_80d4            ldy $29
                  beq B_8100
                  lda T_8d66,y
                  sta $0b
                  lda T_8d86,y
                  sta $0c
                  ldy $2d
                  lda ($0b),y
                  cmp #$03
                  bne B_8100
                  ldy $29
                  ldx $2d
                  jsr S_81fa
                  ldx $2d
                  jsr S_81ce
                  cmp $2c
                  bcs B_8100
                  sta $2c
                  lda #$01
                  sta $2b
B_8100            inc $2d
                  jmp S_809c
B_8105            rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8106            ldy $2e
                  cpy $28
                  beq B_8105
                  ldy $29
                  cpy #$0f
                  beq B_813e
                  lda T_8d67,y
                  sta $0b
                  lda T_8d87,y
                  sta $0c
                  ldy $2e
                  lda ($0b),y
                  cmp #$01
                  beq B_813e
                  cmp #$02
                  beq B_813e
                  ldx $2e
                  ldy $29
                  jsr S_8297
                  ldx $2e
                  jsr S_81ce
                  cmp $2c
                  bcs B_813e
                  sta $2c
                  lda #$02
                  sta $2b
B_813e            ldy $29
                  beq B_816a
                  lda T_8d66,y
                  sta $0b
                  lda T_8d86,y
                  sta $0c
                  ldy $2e
                  lda ($0b),y
                  cmp #$03
                  bne B_816a
                  ldy $29
                  ldx $2e
                  jsr S_81fa
                  ldx $2e
                  jsr S_81ce
                  cmp $2c
                  bcs B_816a
                  sta $2c
                  lda #$02
                  sta $2b
B_816a            dec $2e
                  jmp S_8106
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_816f            ldy $29
                  cpy #$0f
                  beq B_81a1
                  lda T_8d67,y
                  sta $0b
                  lda T_8d87,y
                  sta $0c
                  ldy $28
                  lda ($0b),y
                  cmp #$01
                  beq B_81a1
                  cmp #$02
                  beq B_81a1
                  ldx $28
                  ldy $29
                  jsr S_8297
                  ldx $28
                  jsr S_81ce
                  cmp $2c
                  bcs B_81a1
                  sta $2c
                  lda #$04
                  sta $2b
B_81a1            ldy $29
                  beq B_81cd
                  lda T_8d66,y
                  sta $0b
                  lda T_8d86,y
                  sta $0c
                  ldy $28
                  lda ($0b),y
                  cmp #$03
                  bne B_81cd
                  ldx $28
                  ldy $29
                  jsr S_81fa
                  ldx $28
                  jsr S_81ce
                  cmp $2c
                  bcs B_81cd
                  sta $2c
                  lda #$03
                  sta $2b
B_81cd            rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_81ce            sta $1e
                  cmp $04
                  bne B_81e5
                  cpx $15
                  bcc B_81dd
                  txa
                  sec
                  sbc $15
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_81dd            stx $1e
                  lda $15
                  sec
                  sbc $1e
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_81e5            bcc B_81ee
                  sec
                  sbc $04
                  clc
                  adc #$c8
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_81ee            lda $04
                  sec
                  sbc $1e
                  clc
                  adc #$64
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_81f7            lda $31
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_81fa            sty $31
                  stx $30
B_81fe            lda T_8d66,y
                  sta $0b
                  lda T_8d86,y
                  sta $0c
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8208            ldy $30
                  lda ($0b),y
                  cmp #$03
                  bne B_81f7
                  dec $31
                  ldy $30
                  beq B_8244
                  dey
                  lda ($0b),y
                  cmp #$01
                  beq B_823a
                  cmp #$02
                  beq B_823a
                  cmp #$03
                  beq B_823a
                  ldy $31
                  lda T_8d66,y
                  sta $0b
                  lda T_8d86,y
                  sta $0c
                  ldy $30
                  dey
                  lda ($0b),y
                  cmp #$04
                  bne B_8244
B_823a            ldy $31
                  sty $2f
                  cpy $04
                  bcc B_8291
                  beq B_8291
B_8244            ldy $30
                  cpy #$1b
                  beq B_8286
                  ldy $31
                  lda T_8d67,y
                  sta $0b
                  lda T_8d87,y
                  sta $0c
                  ldy $30
                  iny
                  lda ($0b),y
                  cmp #$01
                  beq B_827c
                  cmp #$02
                  beq B_827c
                  cmp #$03
                  beq B_827c
                  ldy $31
                  lda T_8d66,y
                  sta $0b
                  lda T_8d86,y
                  sta $0c
                  ldy $30
                  iny
                  lda ($0b),y
                  cmp #$04
                  bne B_8286
B_827c            ldy $31
                  sty $2f
                  cpy $04
                  bcc B_8291
                  beq B_8291
B_8286            ldy $31
                  cpy #$01
                  bcc B_828f
                  jmp B_81fe
B_828f            tya
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_8291            lda $2f
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_8294            lda $31
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8297            sty $31
                  stx $30
B_829b            lda T_8d67,y
                  sta $0b
                  lda T_8d87,y
                  sta $0c
                  ldy $30
                  lda ($0b),y
                  cmp #$01
                  beq B_8294
                  cmp #$02
                  beq B_8294
                  ldy $31
                  lda T_8d66,y
                  sta $0b
                  lda T_8d86,y
                  sta $0c
                  ldy $30
                  lda ($0b),y
                  cmp #$00
                  beq B_8327
                  cpy #$00
                  beq B_82f5
                  dey
                  lda ($0b),y
                  cmp #$04
                  beq B_82ed
                  ldy $31
                  lda T_8d67,y
                  sta $0b
                  lda T_8d87,y
                  sta $0c
                  ldy $30
                  dey
                  lda ($0b),y
                  cmp #$01
                  beq B_82ed
                  cmp #$02
                  beq B_82ed
                  cmp #$03
                  bne B_82f5
B_82ed            ldy $31
                  sty $2f
                  cpy $04
                  bcs B_8335
B_82f5            ldy $30
                  cpy #$1b
                  bcs B_8327
                  iny
                  lda ($0b),y
                  cmp #$04
                  beq B_831f
                  ldy $31
                  lda T_8d67,y
                  sta $0b
                  lda T_8d87,y
                  sta $0c
                  ldy $30
                  iny
                  lda ($0b),y
                  cmp #$01
                  beq B_831f
                  cmp #$03
                  beq B_831f
                  cmp #$02
                  bne B_8327
B_831f            ldy $31
                  sty $2f
                  cpy $04
                  bcs B_8335
B_8327            inc $31
                  ldy $31
                  cpy #$10
                  bcs B_8332
                  jmp B_829b
B_8332            lda #$0f
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_8335            lda $2f
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8338            stx $2d
                  stx $2e
                  sty $20
B_833e            lda $2d
                  beq B_838a
                  ldy $20
                  lda T_8d66,y
                  sta $09
                  lda T_8d76,y
                  sta $0a
                  ldy $2d
                  dey
                  lda ($09),y
                  cmp #$01
                  beq B_838a
                  cmp #$02
                  beq B_838a
                  cmp #$03
                  beq B_8384
                  cmp #$04
                  beq B_8384
                  ldy $20
                  cpy #$0f
                  beq B_8384
                  lda T_8d67,y
                  sta $0b
                  lda T_8d87,y
                  sta $0c
                  ldy $2d
                  dey
                  lda ($0b),y
                  cmp #$01
                  beq B_8384
                  cmp #$02
                  beq B_8384
                  cmp #$03
                  bne B_8388
B_8384            dec $2d
                  bpl B_833e
B_8388            dec $2d
B_838a            lda $2e
                  cmp #$1b
                  beq B_83d8
                  ldy $20
                  lda T_8d66,y
                  sta $09
                  lda T_8d76,y
                  sta $0a
                  ldy $2e
                  iny
                  lda ($09),y
                  cmp #$01
                  beq B_83d8
                  cmp #$02
                  beq B_83d8
                  cmp #$03
                  beq B_83d2
                  cmp #$04
                  beq B_83d2
                  ldy $20
                  cpy #$0f
                  beq B_83d2
                  lda T_8d67,y
                  sta $0b
                  lda T_8d87,y
                  sta $0c
                  ldy $2e
                  iny
                  lda ($0b),y
                  cmp #$01
                  beq B_83d2
                  cmp #$02
                  beq B_83d2
                  cmp #$03
                  bne B_83d6
B_83d2            inc $2e
                  bpl B_838a
B_83d6            inc $2e
B_83d8            rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_83d9            ldx $15
                  ldy $1a
                  jsr S_8c6c
                  stx $23
                  ldy $16
                  ldx $1b
                  jsr S_8c7f
                  ldx $17
                  lda T_7bc2,x
                  ldx $23
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_83f1            lda $1a
                  cmp #$02
                  bne B_8438
                  lda $1b
                  cmp #$02
                  bne B_8438
                  ldy $16
                  lda T_8d66,y
                  sta $0b
                  lda T_8d86,y
                  sta $0c
                  ldy $15
                  lda ($0b),y
                  cmp #$07
                  bne B_8438
                  lda $19
                  bmi B_8438
                  lda #$ff
                  sec
                  sbc LR_131e
                  sta $19
                  lda #$00
                  sta ($0b),y
                  ldy $16
                  sty $50
                  ldy $15
                  sty $4f
                  jsr S_899b
                  ldy $50
                  ldx $4f
                  jsr S_8c34
                  lda #$07
                  jmp S_8a1f
B_8438            rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8439            lda $19
                  bpl B_846e
                  inc $19
                  bne B_846e
                  ldy $16
                  sty $50
                  lda T_8d66,y
                  sta $0b
                  lda T_8d86,y
                  sta $0c
                  ldy $15
                  sty $4f
                  lda ($0b),y
                  cmp #$00
                  bne B_846c
                  lda #$07
                  sta ($0b),y
                  jsr S_899b
                  ldy $50
                  ldx $4f
                  jsr S_8c34
                  lda #$07
                  jmp S_8a93
B_846c            dec $19
B_846e            rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_846f            inc $17
                  cmp $17
                  bcc B_8478
B_8475            sta $17
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_8478            cpx $17
                  bcc B_8475
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_847d            lda $1a
                  cmp #$02
                  bcc B_848a
                  beq B_848f
                  dec $1a
                  jmp S_83f1
B_848a            inc $1a
                  jmp S_83f1
B_848f            rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8490            lda $1b
                  cmp #$02
                  bcc B_849d
                  beq B_84a2
                  dec $1b
                  jmp S_83f1
B_849d            inc $1b
                  jmp S_83f1
B_84a2            rts
; ------------------------------------------------------------------------------------------------------------- ;
B_84a3            ldx LR_131f
                  lda $15
                  sta LR_1260,x
                  lda $16
                  sta LR_1268,x
                  lda $1a
                  sta LR_1278,x
                  lda $1b
                  sta LR_1280,x
                  lda $19
                  sta LR_1270,x
                  lda $18
                  sta LR_1290,x
                  lda $17
                  sta LR_1288,x
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_84ca            ldx LR_131f
                  lda LR_1260,x
                  sta $15
                  lda LR_1268,x
                  sta $16
                  lda LR_1278,x
                  sta $1a
                  lda LR_1280,x
                  sta $1b
                  lda LR_1288,x
                  sta $17
                  lda LR_1290,x
                  sta $18
                  lda LR_1270,x
                  sta $19
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_84f1            jsr S_862f
                  inc LR_131e
                  lda LR_131e
                  cmp #$1c
                  bcc B_8503
                  lda #$00
                  sta LR_131e
B_8503            ldx #$1e
B_8505            lda LR_12e0,x
                  stx $52
                  bne B_850f
                  jmp B_8626
B_850f            dec LR_12e0,x
                  beq B_8541
                  lda LR_12a0,x
                  sta $4f
                  lda LR_12c0,x
                  sta $50
                  lda LR_12e0,x
                  cmp #$14
                  bne B_8539
                  lda #$37
B_8527            jsr S_899b
                  ldx $4f
                  ldy $50
                  jsr S_8c34
                  lda #$00
                  jsr S_8a1f
B_8536            jmp B_8626
B_8539            cmp #$0a
                  bne B_8536
                  lda #$38
                  bne B_8527
B_8541            ldx $52
                  ldy LR_12c0,x
                  sty $50
                  lda T_8d66,y
                  sta $09
                  sta $0b
                  lda T_8d76,y
                  sta $0a
                  lda T_8d86,y
                  sta $0c
                  ldy LR_12a0,x
                  sty $4f
                  lda ($09),y
                  cmp #$00
                  bne B_8567
                  jmp B_861a
B_8567            cmp #$09
                  bne B_856e
                  lsr LR_1314
B_856e            cmp #$08
                  beq B_857c
                  cmp #$07
                  bne B_8579
                  dec LR_130e
B_8579            jmp B_861a
B_857c            lda #$01
                  sta ($09),y
                  sta ($0b),y
                  jsr S_8995
                  lda #$01
                  jsr S_899b
                  ldx LR_131c
B_858d            lda LR_1260,x
                  cmp $4f
                  beq B_8597
                  jmp B_8614
B_8597            lda LR_1268,x
                  cmp $50
                  bne B_8614
                  lda T_86d5,x
                  and SPENA                       ; VIC 2 - $D015 = Sprite Enable
                  sta SPENA                       ; VIC 2 - $D015 = Sprite Enable
                  lda LR_1270,x
                  bpl B_85af
                  dec LR_130e
B_85af            lda #$7f
                  sta LR_1270,x
                  stx LR_131f
                  jsr S_84ca
                  jsr S_83d9
                  jsr S_8a1f
                  ldx LR_131f
                  ldy #$01
                  sty $50
B_85c7            ldy $50
                  lda T_8d66,y
                  sta $0b
                  lda T_8d86,y
                  sta $0c
                  ldy LR_131e
B_85d6            lda ($0b),y
                  cmp #$00
                  beq B_85ef
                  inc LR_131e
                  ldy LR_131e
                  cpy #$1c
                  bcc B_85d6
                  inc $50
                  lda #$00
                  sta LR_131e
                  beq B_85c7
B_85ef            tya
                  sta LR_1260,x
                  lda $50
                  sta LR_1268,x
                  lda #$14
                  sta LR_1298,x
                  lda #$02
                  sta LR_1280,x
                  sta LR_1278,x
                  lda #$00
                  sta LR_1288,x
                  ldy #$00
                  lda #$75
                  jsr S_87e6
                  jmp B_8626
B_8614            dex
                  beq B_861a
                  jmp B_858d
B_861a            lda #$01
                  sta ($09),y
                  jsr S_8995
                  lda #$01
                  jsr S_899b
B_8626            ldx $52
                  dex
                  bmi B_862e
                  jmp B_8505
B_862e            rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_862f            ldx LR_131c
                  beq B_862e
                  lda LR_131f
                  pha
B_8638            lda LR_1298,x
                  beq B_8682
                  stx LR_131f
                  jsr S_84ca
                  lda #$7f
                  sta LR_1270,x
                  lda LR_1260,x
                  sta $4f
                  lda LR_1268,x
                  sta $50
                  dec LR_1298,x
                  beq B_868a
                  lda LR_1298,x
                  cmp #$13
                  bne B_866e
                  lda #$39
                  jsr S_899b
                  jsr S_83d9
                  lda #$39
                  jsr S_8a93
                  jmp B_867f
B_866e            cmp #$0a
                  bne B_8682
                  lda #$3a
                  jsr S_899b
                  jsr S_83d9
                  lda #$3a
                  jsr S_8a93
B_867f            ldx LR_131f
B_8682            dex
                  bne B_8638
                  pla
                  sta LR_131f
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_868a            ldy $50
                  lda T_8d66,y
                  sta $09
                  lda T_8d76,y
                  sta $0a
                  ldx LR_131f
                  inc LR_1298,x
                  ldy $4f
                  lda ($09),y
                  bne B_8682
                  lda #$08
                  sta ($09),y
                  lda #$00
                  jsr S_899b
                  lda #$00
                  jsr S_8995
                  lda #$00
                  ldx LR_131f
                  sta LR_1270,x
                  sta LR_1298,x
                  lda #$08
                  jsr S_8995
                  ldx LR_131f
                  lda T_86cf,x
                  ora SPENA                       ; VIC 2 - $D015 = Sprite Enable
                  sta SPENA                       ; VIC 2 - $D015 = Sprite Enable
                  jmp B_8682
; ------------------------------------------------------------------------------------------------------------- ;
T_86cf            .byte $00
                  .byte $04
                  .byte $08
                  .byte $10
                  .byte $40
                  .byte $80
; ------------------------------------------------------------------------------------------------------------- ;
T_86d5            .byte $00
                  .byte $fb
                  .byte $f7
                  .byte $ef
                  .byte $bf
                  .byte $7f
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_86db            jsr S_8d44
                  jsr S_8d4f
S_86e1            ldx #$22
                  lda #$8e
                  sta M_87a1
                  lda $51
                  cmp #$40
                  beq B_8731
                  lda #$0a
                  sta LR_3b90
                  sta LR_3b91
                  sta LR_3b92
                  sta LR_3b93
                  lda #$a0
                  sta LR_3ca8
                  sta LR_3ca9
                  sta LR_3caa
                  sta LR_3cab
B_870a            ldy #$03
                  lda #$aa

B_870e            sta LR_3b98,y
M_870f            = *-2
M_8710            = *-1
                  dey
                  bpl B_870e
B_8714            lda M_870f
                  clc
                  adc #$08
                  sta M_870f
                  bcc B_8722
                  inc M_8710
B_8722            dex
                  bne B_870a
                  lda #$3b
                  sta M_8710
                  lda #$98
                  sta M_870f
                  bne B_8772
B_8731            lda #$0a
                  sta LR_5b90
                  sta LR_5b91
                  sta LR_5b92
                  sta LR_5b93
                  lda #$a0
                  sta LR_5ca8
                  sta LR_5ca9
                  sta LR_5caa
                  sta LR_5cab
B_874d            ldy #$03
                  lda #$aa
B_8751            sta LR_5b98,y
M_8752            = *-2
M_8753            = *-1
                  dey
                  bpl B_8751
                  lda M_8752
                  clc
                  adc #$08
                  sta M_8752
                  bcc B_8765
                  inc M_8753
B_8765            dex
                  bne B_874d
                  lda #$5b
                  sta M_8753
                  lda #$98
                  sta M_8752
B_8772            lda #$10
                  sta $50
                  lda #$00
                  sta $4f
                  jsr S_88f4
                  .byte $d3
                  .byte $c3
                  .byte $cf
                  .byte $d2
                  .byte $c5
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $cd
                  .byte $c5
                  .byte $ce
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $cc
                  .byte $c5
                  .byte $d6
                  .byte $c5
                  .byte $cc
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $00
; ------------------------------------------------------------------------------------------------------------- ;
                  ldy #$45
                  lda #$db
B_879e            clc
                  adc T_a811,y
M_87a0            = *-2
M_87a1            = *-1
                  eor #$01
                  dey
                  bpl B_879e
                  cmp #$c8
                  beq B_87ae
                  inc M_8b01
B_87ae            lda #$a8
                  sta M_87a1
                  jsr S_87bf
                  jsr S_87df
                  lda #$00
                  tay
                  jmp S_87e6
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_87bf            lda LR_1312
                  ldx #$10
B_87c4            stx $4f
                  jsr S_8863
                  lda #$10
                  sta $50
                  lda LR_1307
                  jsr S_8885
                  lda LR_1308
                  jsr S_8885
                  lda LR_1309
                  jmp S_8885
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_87df            lda LR_1305
                  ldx #$19
                  bne B_87c4
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_87e6            clc
                  sed
                  adc LR_130a
                  sta LR_130a
                  tya
                  adc LR_130b
                  sta LR_130b
                  lda #$00
                  adc LR_130c
                  sta LR_130c
                  lda #$00
                  adc LR_130d
                  sta LR_130d
                  cld
                  lda #$05
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8808            sta $4f
                  lda #$10
                  sta $50
                  lda LR_130d
                  jsr S_8850
                  lda LR_1309
                  jsr S_8885
                  lda LR_130c
                  jsr S_8850
                  lda LR_1308
                  jsr S_8885
                  lda LR_1309
                  jsr S_8885
                  lda LR_130b
                  jsr S_8850
                  lda LR_1308
                  jsr S_8885
                  lda LR_1309
                  jsr S_8885
                  lda LR_130a
                  jsr S_8850
                  lda LR_1308
                  jsr S_8885
                  lda LR_1309
                  jmp S_8885
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8850            sta LR_1308
                  and #$0f
                  sta LR_1309
                  lda LR_1308
                  lsr a
                  lsr a
                  lsr a
                  lsr a
                  sta LR_1308
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8863            ldx #$00
                  stx LR_1308
                  stx LR_1307
B_886b            cmp #$64
                  bcc B_8876
                  inc LR_1307
                  sbc #$64
                  bne B_886b
B_8876            cmp #$0a
                  bcc B_8881
                  inc LR_1308
                  sbc #$0a
                  bne B_8876
B_8881            sta LR_1309
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8885            clc
                  adc #$3b
                  ldx $51
                  cpx #$40
                  beq B_8894
                  jsr S_8995
                  inc $4f
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_8894            jsr S_899b
                  inc $4f
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_889a            cmp #$c1
                  bcc B_88a2
                  cmp #$db
                  bcc B_88d0
B_88a2            ldx #$7c
                  cmp #$a0
                  beq B_88cf
                  ldx #$db
                  cmp #$be
                  beq B_88cf
                  inx
                  cmp #$ae
                  beq B_88cf
                  inx
                  cmp #$a8
                  beq B_88cf
                  inx
                  cmp #$a9
                  beq B_88cf
                  inx
                  cmp #$af
                  beq B_88cf
                  inx
                  cmp #$ad
                  beq B_88cf
                  inx
                  cmp #$bc
                  beq B_88cf
                  lda #$10
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_88cf            txa
B_88d0            sec
                  sbc #$7c
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_88d4            cmp #$8d
                  beq S_88ed
                  jsr S_889a
                  ldx $51
                  cpx #$40
                  beq B_88e7
                  jsr S_8995
                  inc $4f
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_88e7            jsr S_899b
                  inc $4f
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_88ed            inc $50
                  lda #$00
                  sta $4f
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_88f4            pla
                  sta $13
                  pla
                  sta $14
                  bne B_8905
B_88fc            ldy #$00
                  lda ($13),y
                  beq B_890d
                  jsr S_88d4
B_8905            inc $13
                  bne B_88fc
                  inc $14
                  bne B_88fc
B_890d            lda $14
                  pha
                  lda $13
                  pha
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8914            sei
                  lda #$60
                  sta FREHI1                      ; SID - $D401 = Oscillator 1 Frequency Control (High Byte)
                  ldy #$38
                  ldx #$00
B_891e            dex
                  bne B_891e
                  dey
                  bne B_891e
                  sty FREHI1                      ; SID - $D401 = Oscillator 1 Frequency Control (High Byte)
                  cli
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8929            sta LR_1324
B_892c            lda #$00
                  sta LR_1322
                  lda #$0a
                  sta LR_1323
                  lda #$00
                  ldx LR_1324
                  bne B_893f
                  lda #$0a
B_893f            jsr S_8995
B_8942            jsr S_897c
                  bcs B_8973
                  dec LR_1322
                  bne B_8942
                  dec LR_1323
                  bne B_8942
                  lda LR_1324
                  jsr S_8995
                  lda #$00
                  sta LR_1322
                  lda #$0a
                  sta LR_1323
B_8961            jsr S_897c
                  bcs B_8973
                  dec LR_1322
                  bne B_8961
                  dec LR_1323
                  bne B_8961
                  jmp B_892c
B_8973            pha
                  lda LR_1324
                  jsr S_8995
                  pla
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_897c            lda CIAPRA                      ; CIA 1 - $DC00 = Data Port A
                  and #$0f
                  eor #$0f
                  bne B_8993
                  lda CIAPRA                      ; CIA 1 - $DC00 = Data Port A
                  and #$10
                  beq B_8993
                  lda LR_1328
                  bne B_8993
                  clc
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_8993            sec
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8995            sta $23
                  lda #$20
                  bne B_899f
S_899b            sta $23
                  lda #$40
B_899f            sta $24
                  ldy $50
                  ldx $4f
                  jsr S_8c34
                  sty $20
                  jsr S_8b5c
                  jsr S_8cd8
                  stx $41
                  lda T_8a17,x
                  sta $25
                  lda T_8a1b,x
                  sta $26
                  jsr S_8af8
                  lda #$0b
                  sta $22
                  ldx #$00
                  lda $41
                  cmp #$05
                  bcs B_89ee
B_89cb            ldy $20
                  jsr S_8d07
                  ldy #$00
                  lda ($0f),y
                  and $25
                  ora $5b,x
                  sta ($0f),y
                  inx
                  ldy #$08
                  lda ($0f),y
                  and $26
                  ora $5b,x
                  sta ($0f),y
                  inx
                  inx
                  inc $20
                  dec $22
                  bne B_89cb
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_89ee            ldy $20
                  jsr S_8d07
                  ldy #$00
                  lda ($0f),y
                  and $25
                  ora $5b,x
                  sta ($0f),y
                  inx
                  ldy #$08
                  lda $5b,x
                  sta ($0f),y
                  inx
                  ldy #$10
                  lda ($0f),y
                  and $26
                  ora $5b,x
                  sta ($0f),y
                  inx
                  inc $20
                  dec $22
                  bne B_89ee
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
T_8a17            .byte $00
                  .byte $c0
                  .byte $f0
                  .byte $fc
T_8a1b            .byte $3f
                  .byte $0f
                  .byte $03
                  .byte $00
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8a1f            sty $20
                  sta $23
                  jsr S_8cd8
                  sta $21
                  stx $41
                  jsr S_8af8
                  ldx #$0b
                  stx $22
                  ldx #$00
                  lda $41
                  cmp #$05
                  bcs B_8a60
B_8a39            ldy $20
                  jsr S_8d2a
                  ldy #$00
                  lda $5b,x
                  eor #$ff
                  and ($0f),y
                  ora ($11),y
                  sta ($0f),y
                  inx
                  ldy #$08
                  lda $5b,x
                  eor #$ff
                  and ($0f),y
                  ora ($11),y
                  sta ($0f),y
                  inx
                  inx
                  inc $20
                  dec $22
                  bne B_8a39
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_8a60            ldy $20
                  jsr S_8d2a
                  ldy #$00
                  lda $5b,x
                  eor #$ff
                  and ($0f),y
                  ora ($11),y
                  sta ($0f),y
                  inx
                  ldy #$08
                  lda $5b,x
                  eor #$ff
                  and ($0f),y
                  ora ($11),y
                  sta ($0f),y
                  inx
                  ldy #$10
                  lda $5b,x
                  eor #$ff
                  and ($0f),y
                  ora ($11),y
                  sta ($0f),y
                  inx
                  inc $20
                  dec $22
                  bne B_8a60
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8a93            sty $20
                  sta $23
                  jsr S_8b5c
                  jsr S_8cd8
                  sta $21
                  stx $41
                  jsr S_8af8
                  lda #$0b
                  sta $22
                  ldx #$00
                  stx $27
                  lda $41
                  cmp #$05
                  bcs B_8ad1
B_8ab2            ldy $20
                  jsr S_8d2a
                  ldy #$00
                  lda $5b,x
                  ora ($0f),y
                  sta ($0f),y
                  inx
                  ldy #$08
                  lda $5b,x
                  ora ($0f),y
                  sta ($0f),y
                  inx
                  inx
                  inc $20
                  dec $22
                  bne B_8ab2
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_8ad1            ldy $20
                  jsr S_8d2a
                  ldy #$00
                  lda $5b,x
                  ora ($0f),y
                  sta ($0f),y
                  inx
                  ldy #$08
                  lda $5b,x
                  ora ($0f),y
                  sta ($0f),y
                  inx
                  ldy #$10
                  lda $5b,x
                  ora ($0f),y
                  sta ($0f),y
                  inx
                  inc $20
                  dec $22
                  bne B_8ad1
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8af8            lda #$0b
                  sta $22
                  lda #$00
                  sta $0d
M_8b01            = *+1
                  lda #$a8
                  sta $0e
                  ldy T_8b58,x
                  sty M_8b1d
                  sty M_8b39
                  iny
                  sty M_8b22
                  sty M_8b40
                  ldx #$00
B_8b16            ldy $23
                  lda ($0d),y
                  tay
                  lda T_a000,y
M_8b1d            = *-1
                  sta $5b,x
                  lda T_a000,y
M_8b22            = *-1                  
                  sta $5c,x
                  lda $0d
                  clc
                  adc #$68
                  sta $0d
                  lda $0e
                  adc #$00
                  sta $0e
                  ldy $23
                  lda ($0d),y
                  tay
                  lda T_a000,y
M_8b39            = *-1
                  ora $5c,x
                  sta $5c,x
                  lda T_a000,y
M_8b40            = *-1
                  sta $5d,x
                  lda $0d
                  clc
                  adc #$68
                  sta $0d
                  lda $0e
                  adc #$00
                  sta $0e
                  inx
                  inx
                  inx
                  dec $22
                  bne B_8b16
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
T_8b58            .byte $a0
                  .byte $a2
                  .byte $a4
                  .byte $a6
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8b5c            lda LR_132c
                  bne B_8ba9
                  lda $23
                  cmp #$39
                  bcs B_8ba9
                  tay
                  lda T_8bba,y
                  bmi B_8ba9
                  beq B_8b71
                  sta $23
B_8b71            stx $21
                  jsr S_8bf3
                  lda $21
                  clc
                  adc #$0c
                  asl a
                  and #$f8
                  sta SP0X,x                      ; VIC 2 - $D000 = Sprite 0 PosX
                  bcc B_8b8f
                  lda T_8baa,x
                  ora MSIGX                       ; VIC 2 - $D010 = MSBs Sprites 0-7 PosX
                  sta MSIGX                       ; VIC 2 - $D010 = MSBs Sprites 0-7 PosX
                  jmp B_8b98
B_8b8f            lda T_8bab,x
                  and MSIGX                       ; VIC 2 - $D010 = MSBs Sprites 0-7 PosX
                  sta MSIGX                       ; VIC 2 - $D010 = MSBs Sprites 0-7 PosX
B_8b98            lda $20
                  clc
                  adc #$32
                  sta SP0Y,x                      ; VIC 2 - $D001 = Sprite 0 PosY
                  lda SPSPCL                      ; VIC 2 - $D01E = Sprite/Sprite Collision
B_8ba3            and #$01
                  sta $27
                  pla
                  pla
B_8ba9            rts
; ------------------------------------------------------------------------------------------------------------- ;
T_8baa            .byte $01
T_8bab            .byte $fe
                  .byte $02
                  .byte $fd
                  .byte $04
                  .byte $fb
                  .byte $08
                  .byte $f7
                  .byte $10
                  .byte $ef
                  .byte $20
                  .byte $df
                  .byte $40
                  .byte $bf
                  .byte $80
                  .byte $7f
; ------------------------------------------------------------------------------------------------------------- ;
T_8bba            .byte $ff
                  .byte $ff
                  .byte $ff
                  .byte $ff
                  .byte $ff
                  .byte $ff
                  .byte $ff
                  .byte $ff
                  .byte $0b
                  .byte $00
                  .byte $ff
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $ff
                  .byte $ff
                  .byte $ff
                  .byte $ff
                  .byte $ff
                  .byte $ff
                  .byte $ff
                  .byte $ff
                  .byte $ff
                  .byte $ff
                  .byte $00
                  .byte $ff
                  .byte $ff
                  .byte $09
                  .byte $10
                  .byte $11
                  .byte $0c
                  .byte $0d
                  .byte $15
                  .byte $16
                  .byte $17
                  .byte $18
                  .byte $19
                  .byte $1a
                  .byte $0e
                  .byte $12
                  .byte $14
                  .byte $13
                  .byte $ff
                  .byte $ff
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8bf3            pha
                  lda $21
                  and #$03
                  tax
                  jsr S_8af8
                  pla
                  beq B_8c02
                  lda LR_131f
B_8c02            tax
                  lda T_8c22,x
                  sta M_8c19
                  lda T_8c28,x
                  sta M_8c1a
                  lda T_8c2e,x
                  tax
                  ldy #$20
B_8c15            lda $005b,y
T_8c18            sta T_8c18,y
M_8c19            = *-2
M_8c1a            = *-1
                  dey
                  bpl B_8c15
                  txa
                  asl a
                  tax
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
T_8c22            .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
; ------------------------------------------------------------------------------------------------------------- ;
T_8c28            .byte $0c
                  .byte $0c
                  .byte $0c
                  .byte $0c
                  .byte $0d
                  .byte $0d
; ------------------------------------------------------------------------------------------------------------- ;
T_8c2e            .byte $00
                  .byte $02
                  .byte $03
                  .byte $04
                  .byte $06
                  .byte $07
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8c34            lda T_8c3f,y
                  pha
                  lda T_8c50,x
                  tax
                  pla
                  tay
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
T_8c3f            .byte $00
                  .byte $0b
                  .byte $16
                  .byte $21
                  .byte $2c
                  .byte $37
                  .byte $42
                  .byte $4d
                  .byte $58
                  .byte $63
                  .byte $6e
                  .byte $79
                  .byte $84
                  .byte $8f
                  .byte $9a
                  .byte $a5
                  .byte $b5
; ------------------------------------------------------------------------------------------------------------- ;
T_8c50            .byte $0a
                  .byte $0f
                  .byte $14
                  .byte $19
                  .byte $1e
                  .byte $23
                  .byte $28
                  .byte $2d
                  .byte $32
                  .byte $37
                  .byte $3c
                  .byte $41
                  .byte $46
                  .byte $4b
                  .byte $50
                  .byte $55
                  .byte $5a
                  .byte $5f
                  .byte $64
                  .byte $69
                  .byte $6e
                  .byte $73
                  .byte $78
                  .byte $7d
                  .byte $82
                  .byte $87
                  .byte $8c
                  .byte $91
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8c6c            tya
                  pha
                  jsr S_8c34
                  pla
                  tay
                  txa
                  clc
                  adc T_8c7a,y
                  tax
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
T_8c7a            .byte $fe
                  .byte $ff
                  .byte $00
                  .byte $01
                  .byte $02
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8c7f            txa
                  pha
                  jsr S_8c34
                  pla
                  tax
                  tya
                  clc
                  adc T_8c8d,x
                  tay
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
T_8c8d            .byte $fb
                  .byte $fd
                  .byte $00
                  .byte $02
                  .byte $04
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8c92            lda T_8c9c,x
                  pha
                  lda T_8cba,x
                  tax
                  pla
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
T_8c9c            .byte $02
                  .byte $03
                  .byte $05
                  .byte $06
                  .byte $07
                  .byte $08
                  .byte $0a
                  .byte $0b
                  .byte $0c
                  .byte $0d
                  .byte $0f
                  .byte $10
                  .byte $11
                  .byte $12
                  .byte $14
                  .byte $15
                  .byte $16
                  .byte $17
                  .byte $19
                  .byte $1a
                  .byte $1b
                  .byte $1c
                  .byte $1e
                  .byte $1f
                  .byte $20
; ------------------------------------------------------------------------------------------------------------- ;
T_8cb5            .byte $21
                  .byte $23
                  .byte $24
                  .byte $25
                  .byte $26
T_8cba            .byte $02
                  .byte $03
                  .byte $00
                  .byte $01
                  .byte $02
                  .byte $03
                  .byte $00
                  .byte $01
                  .byte $02
                  .byte $03
                  .byte $00
                  .byte $01
                  .byte $02
                  .byte $03
                  .byte $00
                  .byte $01
                  .byte $02
                  .byte $03
                  .byte $00
                  .byte $01
                  .byte $02
                  .byte $03
                  .byte $00
                  .byte $01
                  .byte $02
                  .byte $03
                  .byte $00
                  .byte $01
                  .byte $02
                  .byte $03
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8cd8            lda #$00
                  sta LR_1326
                  txa
                  pha
                  and #$03
                  tax
                  pla
                  asl a
                  rol LR_1326
                  and #$f8
                  sta LR_1325
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8ced            lda T_8d66,y
                  sta $09
                  sta $0b
                  lda T_8d76,y
                  sta $0a
                  lda T_8d86,y
                  sta $0c
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8cff            lda #$00
                  sta LR_1325
                  sta LR_1326
S_8d07            lda LR_0e00,y
                  clc
                  adc LR_1325
                  sta $0f
                  lda LR_0f00,y
                  adc LR_1326
                  ora $24
                  sta $10
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8d1b            lda #$00
                  sta LR_1326
                  txa
                  asl a
                  asl a
                  asl a
                  rol LR_1326
                  sta LR_1325
S_8d2a            lda LR_0e00,y
                  clc
                  adc LR_1325
                  sta $0f
                  sta $11
                  lda LR_0f00,y
                  adc LR_1326
                  ora #$20
                  sta $10
                  eor #$60
                  sta $12
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8d44            lda #$20
                  ldx #$00
                  stx SPENA                       ; VIC 2 - $D015 = Sprite Enable
                  ldx #$40
                  bne B_8d53
S_8d4f            lda #$40
                  ldx #$60
B_8d53            sta $10
                  ldy #$00
                  sty $0f
                  tya
B_8d5a            sta ($0f),y
                  iny
                  bne B_8d5a
                  inc $10
                  cpx $10
                  bne B_8d5a
T_8d65            rts
; ------------------------------------------------------------------------------------------------------------- ;
T_8d66            .byte $00
T_8d67            .byte $1c
                  .byte $38
                  .byte $54
                  .byte $70
                  .byte $8c
                  .byte $a8
                  .byte $c4
                  .byte $e0
                  .byte $00
                  .byte $1c
                  .byte $38
                  .byte $54
                  .byte $70
                  .byte $8c
; ------------------------------------------------------------------------------------------------------------- ;
T_8d75            .byte $a8
T_8d76            .byte $08
T_8d77            .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $09
; ------------------------------------------------------------------------------------------------------------- ;
T_8d86            .byte $0a
T_8d87            .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0a
; ------------------------------------------------------------------------------------------------------------- ;
T_8d8d            .byte $0a
                  .byte $0a
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0b
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8d96            lda #$00
                  sta LR_1200
                  ldx LR_1301
                  stx T_8e05
B_8da1            ldx T_8e05
                  beq B_8dfc
                  lda LR_1200,x
                  bmi B_8df6
                  sta $4f
                  lda LR_1230,x
                  sta $50
                  tay
                  lda T_8d66,y
                  sta $09
                  sta $0b
                  lda T_8d76,y
                  sta $0a
                  lda T_8d86,y
                  sta $0c
                  ldy $4f
                  lda ($0b),y
                  bne B_8df1
B_8dca            lda #$03
                  sta ($0b),y
                  lda ($09),y
                  bne B_8dd6
                  lda #$03
                  sta ($09),y
B_8dd6            lda #$03
                  jsr S_899b
                  ldx $4f
                  ldy $50
                  jsr S_8c34
                  lda #$03
                  jsr S_8a93
                  ldx T_8e05
                  lda #$ff
                  sta LR_1200,x
                  bmi B_8df6
B_8df1            lda #$01
                  sta LR_1200
B_8df6            dec T_8e05
                  jmp B_8da1
B_8dfc            lda LR_1200
                  bne B_8e04
                  dec LR_130e
B_8e04            rts
; ------------------------------------------------------------------------------------------------------------- ;
T_8e05            .byte $00
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8e06            lda LR_1328
                  beq S_8e06
                  ldx #$00
                  stx LR_1328
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
                  ldx #$30
                  ldy #$32
                  lda #$00
                  jsr S_8e44
                  beq B_8e3b
                  ldx #$30
                  ldy #$31
                  lda #$01
                  jsr S_8e44
                  bne B_8e3b
                  ldx #$33
                  ldy #$34
                  lda #$02
                  jsr S_8e44
                  beq B_8e3b
                  ldx #$33
                  ldy #$35
                  lda #$03
                  jsr S_8e44
B_8e3b            rts
; ------------------------------------------------------------------------------------------------------------- ;
T_8e3c            .byte $32
                  .byte $30
                  .byte $32
                  .byte $30
; ------------------------------------------------------------------------------------------------------------- ;
T_8e40            .byte $33
                  .byte $30
                  .byte $37
                  .byte $30
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8e44            sta $1e
                  stx T_8ebe
                  sty T_8ebf
                  lda #$00
                  jsr SETNAM                      ; KERNAL - $FFBD = Set Filename Parameters
                  lda #$0f
                  ldx #$08
                  tay
                  jsr SETLFS                      ; KERNAL - $FFBA = Set Logical File Parameters
                  jsr OPEN                        ; KERNAL - $FFC0 = Open a Logical File
                  lda #$01
                  ldx #$b5
                  ldy #$8e
                  jsr SETNAM                      ; KERNAL - $FFBD = Set Filename Parameters
                  lda #$05
                  ldx #$08
                  tay
                  jsr SETLFS                      ; KERNAL - $FFBA = Set Logical File Parameters
                  jsr OPEN                        ; KERNAL - $FFC0 = Open a Logical File
                  jsr CLRCHN                      ; KERNAL - $FFCC = Restore Default Devices
                  ldx #$0f
                  jsr CHKOUT                      ; KERNAL - $FFC9 = Define an Output Channel
                  ldy #$00
B_8e7a            lda T_8eb6,y
                  beq B_8e85
                  jsr CHROUT                      ; KERNAL - $FFD2 = Output a Character
                  iny
                  bne B_8e7a
B_8e85            jsr CLRCHN                      ; KERNAL - $FFCC = Restore Default Devices
                  ldx #$0f
                  jsr CHKIN                       ; KERNAL - $FFC6 = Define an Input Channel
                  jsr CHRIN                       ; KERNAL - $FFCF = Input a Character
                  ldy $1e
                  sta T_8e3c,y
                  jsr CHRIN                       ; KERNAL - $FFCF = Input a Character
                  sta T_8e40,y
B_8e9b            jsr CHRIN                       ; KERNAL - $FFCF = Input a Character
                  cmp #$0d
                  bne B_8e9b
                  jsr CLALL                       ; KERNAL - $FFE7 = Close all Files
                  lda #$11
                  sta M_87a0
                  ldy $1e
                  lda T_8e3c,y
                  ora T_8e40,y
                  cmp #$30
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
                  .byte $23
T_8eb6            .byte $55
                  .byte $31
                  .byte $3a
                  .byte $20
                  .byte $35
                  .byte $20
                  .byte $30
                  .byte $20
; ------------------------------------------------------------------------------------------------------------- ;
T_8ebe            .byte $30
T_8ebf            .byte $31
                  .byte $20
                  .byte $32
                  .byte $0d
                  .byte $00
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8ec4            lda #$01
                  sta T_90e4
                  lda #$20
                  sta $24
B_8ecd            jsr S_8f79
                  jsr S_8f68
                  jsr S_8f57
                  jsr S_8f46
                  jsr S_8f35
                  jsr S_8f24
                  jsr S_8f35
                  jsr S_8f46
                  jsr S_8f57
                  jsr S_8f68
                  jsr S_8f79
                  jsr S_8fce
                  jsr S_8fbd
                  jsr S_8fac
                  jsr S_8f9b
                  jsr S_8f8a
                  jsr S_8f9b
                  jsr S_8fac
                  jsr S_8fbd
                  jsr S_8fce
                  lda T_90e4
                  cmp #$64
                  bcc B_8ecd
                  jsr S_8f79
                  jsr S_8f68
                  jsr S_8f57
                  jsr S_8f46
                  jsr S_8f35
                  jsr S_8f24
                  clc
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_8f24            jsr S_9079
                  .byte $00
                  .byte $01
                  .byte $02
                  .byte $03
                  .byte $04
                  .byte $05
                  .byte $06
                  .byte $07
                  .byte $08
                  .byte $09
                  .byte $0a
                  .byte $02
                  .byte $01
                  .byte $00
S_8f35            jsr S_9079
                  .byte $00
                  .byte $00
                  .byte $01
                  .byte $02
                  .byte $03
                  .byte $04
                  .byte $05
                  .byte $07
                  .byte $09
                  .byte $0a
                  .byte $02
                  .byte $01
                  .byte $00
                  .byte $00
S_8f46            jsr S_9079
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $01
                  .byte $02
                  .byte $03
                  .byte $04
                  .byte $09
                  .byte $0a
                  .byte $02
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
S_8f57            jsr S_9079
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $01
                  .byte $02
                  .byte $03
                  .byte $0a
                  .byte $02
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
S_8f68            jsr S_9079
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $01
                  .byte $03
                  .byte $0a
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
S_8f79            jsr S_9079
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $01
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
S_8f8a            jsr S_9079
                  .byte $00
                  .byte $01
                  .byte $02
                  .byte $0a
                  .byte $09
                  .byte $08
                  .byte $07
                  .byte $06
                  .byte $05
                  .byte $04
                  .byte $03
                  .byte $02
                  .byte $01
                  .byte $00
S_8f9b            jsr S_9079
                  .byte $00
                  .byte $00
                  .byte $01
                  .byte $02
                  .byte $0a
                  .byte $09
                  .byte $07
                  .byte $05
                  .byte $04
                  .byte $03
                  .byte $02
                  .byte $01
                  .byte $00
                  .byte $00
S_8fac            jsr S_9079
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $01
                  .byte $02
                  .byte $0a
                  .byte $09
                  .byte $04
                  .byte $03
                  .byte $02
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
S_8fbd            jsr S_9079
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $01
                  .byte $02
                  .byte $0a
                  .byte $03
                  .byte $02
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
S_8fce            jsr S_9079
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $01
                  .byte $0a
                  .byte $03
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $0a
                  .byte $aa
                  .byte $aa
                  .byte $aa
                  .byte $aa
                  .byte $aa
                  .byte $aa
                  .byte $aa
                  .byte $aa
                  .byte $aa
                  .byte $aa
                  .byte $80
                  .byte $20
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $20
                  .byte $22
                  .byte $a8
                  .byte $a8
                  .byte $aa
; ------------------------------------------------------------------------------------------------------------- ;
T_9007            .byte $8a
                  .byte $a0
                  .byte $2a
                  .byte $8a
                  .byte $22
                  .byte $a8
                  .byte $aa
                  .byte $20
                  .byte $22
                  .byte $08
                  .byte $88
                  .byte $a8
                  .byte $8a
                  .byte $00
                  .byte $22
                  .byte $8a
                  .byte $22
                  .byte $a8
                  .byte $82
                  .byte $20
                  .byte $22
                  .byte $00
                  .byte $88
                  .byte $88
                  .byte $8a
                  .byte $00
                  .byte $22
                  .byte $8a
                  .byte $22
                  .byte $80
                  .byte $82
                  .byte $20
                  .byte $22
                  .byte $00
                  .byte $88
                  .byte $88
                  .byte $8a
                  .byte $a0
                  .byte $22
                  .byte $8a
                  .byte $22
                  .byte $a0
                  .byte $aa
                  .byte $20
                  .byte $22
                  .byte $28
                  .byte $a8
                  .byte $88
                  .byte $8a
                  .byte $a0
                  .byte $20
                  .byte $8a
                  .byte $22
                  .byte $00
                  .byte $a8
                  .byte $20
                  .byte $22
                  .byte $08
                  .byte $88
                  .byte $88
                  .byte $88
                  .byte $00
                  .byte $20
                  .byte $8a
                  .byte $a2
                  .byte $00
                  .byte $a8
                  .byte $20
                  .byte $22
                  .byte $08
                  .byte $88
                  .byte $88
                  .byte $88
                  .byte $00
                  .byte $20
                  .byte $82
                  .byte $82
                  .byte $00
                  .byte $a2
                  .byte $20
                  .byte $22
                  .byte $a8
                  .byte $88
                  .byte $88
                  .byte $8a
                  .byte $a0
                  .byte $2a
                  .byte $82
                  .byte $02
                  .byte $a8
                  .byte $a2
                  .byte $20
; ------------------------------------------------------------------------------------------------------------- ;
T_9063            .byte $d1
T_9064            .byte $8f
                  .byte $dd
                  .byte $8f
                  .byte $e9
                  .byte $8f
                  .byte $f5
                  .byte $8f
                  .byte $01
                  .byte $90
                  .byte $0d
                  .byte $90
                  .byte $19
                  .byte $90
                  .byte $25
                  .byte $90
                  .byte $31
                  .byte $90
                  .byte $3d
                  .byte $90
                  .byte $49
                  .byte $90
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_9079            pla
                  sta $0d
                  pla
                  sta $0e
                  ldy #$50
                  sty $50
                  bne B_90ba
B_9085            jsr S_8cff
                  ldy #$00
                  lda ($0d),y
                  asl a
                  tax
                  lda T_9063,x
                  sta M_90a7
                  lda T_9064,x
B_9097            sta M_90a8
                  ldy #$70
                  sty $20
                  ldy #$0e
                  sty $1e
B_90a2            ldy $1e
                  inc $1e
T_90a6            lda T_90a6,y
M_90a7            = *-2
M_90a8            = *-1
                  lsr a
                  ldy $20
                  sta ($0f),y
                  tya
                  clc
                  adc #$08
                  sta $20
                  ldy $1e
                  cpy #$1a
                  bcc B_90a2
B_90ba            jsr S_90e5
                  inc $50
                  ldy $50
B_90c1            cpy #$5f
                  bcc B_9085
                  ldx T_90e4
                  ldy #$ff
B_90ca            dey
                  bne B_90ca
                  dex
                  bne B_90ca
                  inc T_90e4
                  lda CIAPRA                      ; CIA 1 - $DC00 = Data Port A
                  and #$10
                  beq B_90e0
                  lda LR_1328
                  bne B_90e0
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_90e0            pla
                  pla
B_90e2            sec
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
T_90e4            .byte $00
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_90e5            inc $0d
                  bne B_90eb
                  inc $0e
B_90eb            rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_90ec            lda LR_1304
                  beq B_9100
                  ldx #$a4
                  stx $3d
                  ldx #$00
                  stx $42
B_90f9            jsr S_9118
                  dec $3d
                  bne B_90f9
B_9100            lda #$01
                  sta $3d
                  sta $42
                  jsr S_87bf
                  jsr S_87df
B_910c            jsr S_9118
                  inc $3d
                  lda $3d
                  cmp #$a4
                  bne B_910c
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_9118            lda $3d
                  sta $39
                  lda #$00
                  sta $3a
                  sta $37
                  sta $38
                  lda $39
                  asl a
                  sta $3b
                  lda $3a
                  rol a
                  sta $3c
                  lda #$03
                  sec
                  sbc $3b
                  sta $3b
                  lda #$00
                  sbc $3c
                  sta $3c
                  lda #$58
                  sec
                  sbc $3d
                  sta $43
                  lda #$58
                  sta $44
                  sta $45
                  lda #$58
                  clc
                  adc $3d
                  sta $46
                  lda #$a0
                  sec
                  sbc $3d
                  tax
                  lda #$00
                  sbc #$00
                  jsr S_925c
                  sty $47
                  sta $4b
                  ldx #$a0
                  lda #$00
                  jsr S_925c
                  sty $48
                  sty $49
                  sta $4c
                  sta $4d
                  lda #$a0
                  clc
                  adc $3d
                  tax
                  lda #$00
                  adc #$00
                  jsr S_925c
                  sty $4a
                  sta $4e
B_9180            lda $38
                  cmp $3a
                  bcc B_919e
                  beq B_9198
B_9188            lda $37
                  cmp $39
                  bne B_9197
                  lda $38
                  cmp $3a
                  bne B_9197
                  jmp S_9270
B_9197            rts
; ------------------------------------------------------------------------------------------------------------- ;
B_9198            lda $37
                  cmp $39
                  bcs B_9188
B_919e            jsr S_9270
                  lda $3c
                  bpl B_91d6
                  lda $37
                  asl a
                  sta $3f
                  lda $38
                  rol a
                  sta $40
                  lda $3f
                  asl a
                  sta $3f
                  lda $40
                  rol a
                  sta $40
                  lda $3b
                  clc
                  adc $3f
                  sta $3f
                  lda $3c
                  adc $40
                  sta $40
                  lda #$06
                  clc
                  adc $3f
                  sta $3b
                  lda #$00
                  adc $40
                  sta $3c
                  jmp B_9237
B_91d6            lda $37
                  sec
                  sbc $39
                  sta $3f
                  lda $38
                  sbc $3a
                  sta $40
                  lda $3f
                  asl a
                  sta $3f
                  lda $40
                  rol a
                  sta $40
                  lda $3f
                  asl a
                  sta $3f
                  lda $40
                  rol a
                  sta $40
                  lda $3f
                  clc
                  adc #$10
                  sta $3f
                  lda $40
                  adc #$00
                  sta $40
                  lda $3f
                  clc
                  adc $3b
                  sta $3b
                  lda $40
                  adc $3c
                  sta $3c
                  lda $39
                  php
                  dec $39
                  plp
                  bne B_921b
                  dec $3a
B_921b            inc $43
                  dec $4e
                  bpl B_9227
                  lda #$07
                  sta $4e
                  dec $4a
B_9227            inc $4b
                  lda $4b
                  cmp #$08
                  bne B_9235
                  lda #$00
                  sta $4b
                  inc $47
B_9235            dec $46
B_9237            inc $37
                  bne B_923d
                  inc $38
B_923d            inc $4d
                  lda $4d
                  cmp #$08
                  bne B_924b
                  lda #$00
                  sta $4d
                  inc $49
B_924b            dec $44
                  inc $45
                  dec $4c
                  bpl B_9259
                  lda #$07
                  sta $4c
                  dec $48
B_9259            jmp B_9180
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_925c            sta $3f
                  txa
                  and #$07
                  pha
                  tay
                  txa
                  ror $3f
                  ror a
                  ror $3f
                  ror a
                  ror $3f
                  ror a
                  tay
                  pla
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
;                 Function: 
;                 Parms   : 
;                 Returns : 
; ------------------------------------------------------------------------------------------------------------- ;
S_9270            ldy $46
                  cpy #$b0
                  bcs B_92c0
                  ldx $49
                  cpx #$28
                  bcs B_929a
                  jsr S_8d1b
                  ldx $4d
                  ldy #$00
                  lda $42
                  bne B_9291
                  lda ($0f),y
                  and T_93af,x
                  sta ($0f),y
                  jmp B_929a
B_9291            lda ($11),y
                  and T_93b3,x
                  ora ($0f),y
                  sta ($0f),y
B_929a            ldx $48
                  cpx #$28
                  bcs B_92c0
                  ldy $46
                  jsr S_8d1b
                  ldx $4c
                  ldy #$00
                  lda $42
                  bne B_92b7
                  lda ($0f),y
                  and T_93af,x
                  sta ($0f),y
                  jmp B_92c0
B_92b7            lda ($11),y
                  and T_93b3,x
                  ora ($0f),y
                  sta ($0f),y
B_92c0            ldy $43
                  cpy #$b0
                  bcs B_9310
                  ldx $49
                  cpx #$28
                  bcs B_92ea
                  jsr S_8d1b
                  ldx $4d
                  ldy #$00
                  lda $42
                  bne B_92e1
                  lda ($0f),y
                  and T_93af,x
                  sta ($0f),y
                  jmp B_92ea
B_92e1            lda ($11),y
                  and T_93b3,x
                  ora ($0f),y
                  sta ($0f),y
B_92ea            ldx $48
                  cpx #$28
                  bcs B_9310
                  ldy $43
                  jsr S_8d1b
                  ldx $4c
                  ldy #$00
                  lda $42
                  bne B_9307
                  lda ($0f),y
                  and T_93af,x
                  sta ($0f),y
                  jmp B_9310
B_9307            lda ($11),y
                  and T_93b3,x
                  ora ($0f),y
                  sta ($0f),y
B_9310            ldy $45
                  cpy #$b0
                  bcs B_9360
                  ldx $4a
                  cpx #$28
                  bcs B_933a
                  jsr S_8d1b
                  ldx $4e
                  ldy #$00
                  lda $42
                  bne B_9331
                  lda ($0f),y
                  and T_93af,x
                  sta ($0f),y
                  jmp B_933a
B_9331            lda ($11),y
                  and T_93b3,x
                  ora ($0f),y
                  sta ($0f),y
B_933a            ldx $47
                  cpx #$28
                  bcs B_9360
                  ldy $45
                  jsr S_8d1b
                  ldx $4b
                  ldy #$00
                  lda $42
                  bne B_9357
                  lda ($0f),y
                  and T_93af,x
                  sta ($0f),y
                  jmp B_9360
B_9357            lda ($11),y
                  and T_93b3,x
                  ora ($0f),y
                  sta ($0f),y
B_9360            ldy $44
                  cpy #$b0
                  bcs B_93ae
                  ldx $4a
                  cpx #$28
                  bcs B_938a
                  jsr S_8d1b
                  ldx $4e
                  ldy #$00
                  lda $42
                  bne B_9381
                  lda ($0f),y
                  and T_93af,x
                  sta ($0f),y
                  jmp B_938a
B_9381            lda ($11),y
                  and T_93b3,x
                  ora ($0f),y
                  sta ($0f),y
B_938a            ldx $47
                  cpx #$28
                  bcs B_93ae
                  ldy $44
                  jsr S_8d1b
                  ldx $4b
                  ldy #$00
                  lda $42
                  bne B_93a5
                  lda ($0f),y
                  and T_93af,x
                  sta ($0f),y
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_93a5            lda ($11),y
B_93a7            and T_93b3,x
                  ora ($0f),y
                  sta ($0f),y
B_93ae            rts
; ------------------------------------------------------------------------------------------------------------- ;
T_93af            .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
; ------------------------------------------------------------------------------------------------------------- ;
T_93b3            .byte $f0
                  .byte $f0
                  .byte $f0
                  .byte $f0
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $61
                  .byte $6d
                  .byte $65
                  .byte $6f
                  .byte $76
                  .byte $65
                  .byte $72
                  .byte $c4
                  .byte $8e
                  .byte $88
                  .byte $67
                  .byte $61
                  .byte $6d
                  .byte $65
                  .byte $6f
                  .byte $76
                  .byte $72
                  .byte $32
                  .byte $cd
                  .byte $8e
                  .byte $84
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $31
                  .byte $24
                  .byte $8f
                  .byte $84
                  .byte $62
B_93d8            .byte $61
                  .byte $6e
                  .byte $32
                  .byte $35
                  .byte $8f
                  .byte $84
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $33
B_93e2            .byte $46
                  .byte $8f
                  .byte $84
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $34
                  .byte $57
                  .byte $8f
                  .byte $84
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $35
                  .byte $68
                  .byte $8f
                  .byte $84
                  .byte $62
                  .byte $61
                  .byte $6e
B_93f6            .byte $36
                  .byte $79
                  .byte $8f
                  .byte $84
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $37
                  .byte $8a
                  .byte $8f
B_9400            .byte $84
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $38
                  .byte $9b
B_9406            .byte $8f
                  .byte $84
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $39
                  .byte $ac
                  .byte $8f
                  .byte $85
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $31
                  .byte $30
                  .byte $bd
                  .byte $8f
                  .byte $85
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $31
                  .byte $31
                  .byte $ce
                  .byte $8f
                  .byte $87
B_941f            .byte $62
                  .byte $61
                  .byte $6e
                  .byte $64
                  .byte $61
                  .byte $74
                  .byte $30
                  .byte $df
                  .byte $8f
                  .byte $87
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $64
                  .byte $61
                  .byte $74
                  .byte $31
                  .byte $eb
                  .byte $8f
                  .byte $87
B_9433            .byte $62
                  .byte $61
                  .byte $6e
                  .byte $64
                  .byte $61
                  .byte $74
                  .byte $32
                  .byte $f7
                  .byte $8f
                  .byte $87
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $64
                  .byte $61
                  .byte $74
                  .byte $33
                  .byte $03
                  .byte $90
                  .byte $87
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $64
                  .byte $61
                  .byte $74
                  .byte $34
                  .byte $0f
                  .byte $90
                  .byte $87
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $64
                  .byte $61
                  .byte $74
                  .byte $35
                  .byte $1b
                  .byte $90
                  .byte $87
                  .byte $62
                  .byte $61
                  .byte $6e
B_945e            .byte $64
                  .byte $61
                  .byte $74
                  .byte $36
                  .byte $27
                  .byte $90
                  .byte $87
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $64
                  .byte $61
                  .byte $74
                  .byte $37
                  .byte $33
                  .byte $90
                  .byte $87
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $64
B_9473            .byte $61
                  .byte $74
                  .byte $38
                  .byte $3f
                  .byte $90
                  .byte $87
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $64
                  .byte $61
                  .byte $74
                  .byte $39
                  .byte $4b
                  .byte $90
                  .byte $88
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $64
                  .byte $61
                  .byte $74
                  .byte $31
                  .byte $30
                  .byte $57
                  .byte $90
                  .byte $87
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $76
                  .byte $65
                  .byte $63
                  .byte $74
                  .byte $63
                  .byte $90
                  .byte $87
                  .byte $64
                  .byte $72
                  .byte $61
                  .byte $77
                  .byte $65
                  .byte $6e
                  .byte $64
                  .byte $79
                  .byte $90
                  .byte $88
                  .byte $64
                  .byte $72
                  .byte $61
                  .byte $77
                  .byte $65
                  .byte $6e
                  .byte $64
                  .byte $31
                  .byte $85
                  .byte $90
                  .byte $86
                  .byte $64
                  .byte $72
                  .byte $61
                  .byte $77
                  .byte $69
                  .byte $74
                  .byte $a2
                  .byte $90
                  .byte $88
                  .byte $64
                  .byte $72
                  .byte $61
                  .byte $77
                  .byte $73
                  .byte $61
                  .byte $76
                  .byte $65
                  .byte $a6
                  .byte $90
                  .byte $88
                  .byte $64
                  .byte $72
                  .byte $61
                  .byte $77
                  .byte $65
                  .byte $6e
                  .byte $64
                  .byte $33
                  .byte $ba
                  .byte $90
                  .byte $87
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $77
                  .byte $61
                  .byte $69
                  .byte $74
                  .byte $ca
                  .byte $90
                  .byte $88
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $77
                  .byte $72
                  .byte $74
                  .byte $73
                  .byte $32
                  .byte $e0
                  .byte $90
                  .byte $87
                  .byte $62
                  .byte $61
                  .byte $6e
                  .byte $74
                  .byte $69
                  .byte $6d
                  .byte $65
                  .byte $e4
                  .byte $90
                  .byte $88
                  .byte $64
                  .byte $72
                  .byte $61
                  .byte $77
                  .byte $69
                  .byte $6e
                  .byte $63
                  .byte $72
                  .byte $e5
                  .byte $90
                  .byte $88
                  .byte $64
                  .byte $72
                  .byte $61
                  .byte $77
                  .byte $69
                  .byte $6e
                  .byte $63
                  .byte $32
                  .byte $eb
                  .byte $90
T_9500            .byte $09
T_9501            .byte $02
T_9502            .byte $0c
T_9503            .byte $91
T_9504            .byte $97
                  .byte $b8
                  .byte $98
                  .byte $f5
                  .byte $95
                  .byte $24
                  .byte $97
                  .byte $22
                  .byte $98
                  .byte $9c
                  .byte $95
                  .byte $32
                  .byte $96
                  .byte $67
                  .byte $98
                  .byte $6f
                  .byte $96
                  .byte $6b
                  .byte $95
                  .byte $3d
                  .byte $99
                  .byte $3d
                  .byte $99
                  .byte $3d
                  .byte $99
                  .byte $3d
                  .byte $99
                  .byte $3d
                  .byte $99
; ------------------------------------------------------------------------------------------------------------- ;
T_9521            .byte $00
                  .byte $e1
                  .byte $68
                  .byte $f7
                  .byte $8f
                  .byte $30
                  .byte $da
                  .byte $8f
                  .byte $4e
                  .byte $18
                  .byte $ef
                  .byte $d2
                  .byte $c3
                  .byte $c3
                  .byte $d1
                  .byte $ef
                  .byte $1f
                  .byte $60
                  .byte $b5
                  .byte $1e
                  .byte $9c
                  .byte $31
                  .byte $df
                  .byte $a5
                  .byte $87
                  .byte $86
                  .byte $a2
                  .byte $df
                  .byte $3e
                  .byte $c1
                  .byte $6b
                  .byte $3c
                  .byte $39
                  .byte $63
                  .byte $be
                  .byte $4b
                  .byte $0f
T_9546            .byte $00
                  .byte $08
                  .byte $09
                  .byte $09
                  .byte $0a
                  .byte $0b
                  .byte $0b
                  .byte $0c
                  .byte $0d
                  .byte $0e
                  .byte $0e
                  .byte $0f
                  .byte $10
                  .byte $11
                  .byte $12
                  .byte $13
                  .byte $15
                  .byte $16
                  .byte $17
                  .byte $19
                  .byte $1a
                  .byte $1c
                  .byte $1d
                  .byte $1f
                  .byte $21
                  .byte $23
                  .byte $25
                  .byte $27
                  .byte $2a
                  .byte $2c
                  .byte $2f
                  .byte $32
                  .byte $35
                  .byte $38
                  .byte $3b
                  .byte $3f
                  .byte $43
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $08
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $08
                  .byte $0c
                  .byte $ff
                  .byte $a0
                  .byte $08
                  .byte $10
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $13
                  .byte $ff
                  .byte $d0
                  .byte $0c
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $08
                  .byte $10
                  .byte $ff
                  .byte $a0
                  .byte $06
                  .byte $13
                  .byte $ff
                  .byte $d0
                  .byte $06
B_958c            .byte $13
                  .byte $ff
                  .byte $a0
                  .byte $06
                  .byte $13
                  .byte $ff
B_9592            .byte $70
                  .byte $10
                  .byte $13
                  .byte $ff
                  .byte $40
                  .byte $10
                  .byte $00
B_9599            .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $13
                  .byte $ff
                  .byte $c0
                  .byte $04
                  .byte $12
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $11
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $10
                  .byte $ff
                  .byte $a0
                  .byte $04
B_95b1            .byte $0f
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $14
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $13
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $12
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $13
                  .byte $ff
                  .byte $d0
                  .byte $04
                  .byte $12
                  .byte $ff
                  .byte $a0
                  .byte $04
B_95c9            .byte $11
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $10
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $0f
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $10
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $11
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $12
                  .byte $ff
                  .byte $a0
                  .byte $03
                  .byte $13
                  .byte $ff
                  .byte $d0
                  .byte $03
                  .byte $13
                  .byte $ff
                  .byte $a0
                  .byte $03
                  .byte $13
                  .byte $ff
                  .byte $70
                  .byte $04
                  .byte $13
                  .byte $ff
                  .byte $40
                  .byte $10
                  .byte $00
B_95f2            .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $05
                  .byte $02
                  .byte $1c
                  .byte $a0
                  .byte $05
                  .byte $04
                  .byte $17
                  .byte $a0
                  .byte $05
                  .byte $05
                  .byte $15
                  .byte $a0
                  .byte $05
                  .byte $07
                  .byte $13
                  .byte $a0
                  .byte $05
B_960a            .byte $09
                  .byte $11
                  .byte $a0
                  .byte $05
                  .byte $0b
                  .byte $10
                  .byte $a0
                  .byte $05
                  .byte $0c
                  .byte $0c
                  .byte $a0
                  .byte $05
                  .byte $10
                  .byte $0b
                  .byte $a0
                  .byte $05
                  .byte $11
                  .byte $09
                  .byte $a0
                  .byte $05
                  .byte $13
                  .byte $07
                  .byte $a0
                  .byte $05
                  .byte $15
                  .byte $05
                  .byte $a0
                  .byte $05
                  .byte $17
                  .byte $04
                  .byte $a0
                  .byte $05
                  .byte $1c
                  .byte $02
                  .byte $a0
                  .byte $10
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $0c
                  .byte $ff
                  .byte $c0
                  .byte $08
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $06
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $08
                  .byte $ff
                  .byte $a0
                  .byte $08
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $08
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $0c
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $17
                  .byte $11
                  .byte $a0
                  .byte $08
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $18
                  .byte $10
                  .byte $a0
                  .byte $10
                  .byte $00
B_966c            .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $05
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $05
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $0c
                  .byte $ff
                  .byte $b0
                  .byte $05
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $0e
                  .byte $ff
                  .byte $b0
                  .byte $05
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $10
                  .byte $ff
                  .byte $b0
                  .byte $05
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $07
B_96cd            .byte $ff
                  .byte $a0
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $05
                  .byte $00
                  .byte $00
                  .byte $a0
                  .byte $03
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $05
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $0c
                  .byte $ff
                  .byte $a0
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $10
                  .byte $ff
                  .byte $a0
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $0e
                  .byte $ff
                  .byte $b0
                  .byte $05
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $0b
                  .byte $ff
                  .byte $b0
                  .byte $05
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $07
B_971d            .byte $ff
                  .byte $b0
                  .byte $10
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $0c
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $10
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $13
                  .byte $ff
                  .byte $d0
                  .byte $08
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $02
B_973d            .byte $13
                  .byte $ff
                  .byte $a0
                  .byte $02
B_9741            .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $13
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $10
                  .byte $ff
                  .byte $d0
                  .byte $08
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $02
                  .byte $10
                  .byte $ff
                  .byte $a0
                  .byte $02
B_9759            .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $10
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $0c
                  .byte $ff
                  .byte $a0
                  .byte $04
B_9769            .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $10
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $0c
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $06
                  .byte $07
                  .byte $ff
                  .byte $d0
                  .byte $06
                  .byte $07
                  .byte $ff
                  .byte $a0
                  .byte $06
                  .byte $07
                  .byte $ff
                  .byte $70
                  .byte $06
                  .byte $07
                  .byte $ff
                  .byte $50
                  .byte $10
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $02
                  .byte $13
                  .byte $10
                  .byte $d0
                  .byte $06
                  .byte $13
                  .byte $10
                  .byte $a0
                  .byte $08
                  .byte $11
                  .byte $0e
                  .byte $a0
                  .byte $06
                  .byte $10
                  .byte $0c
                  .byte $a0
                  .byte $02
                  .byte $10
                  .byte $0c
                  .byte $40
                  .byte $08
                  .byte $10
                  .byte $0c
                  .byte $a0
                  .byte $08
                  .byte $11
                  .byte $0e
                  .byte $a0
                  .byte $06
                  .byte $10
                  .byte $0c
                  .byte $a0
                  .byte $02
                  .byte $10
                  .byte $0c
                  .byte $40
                  .byte $08
                  .byte $0e
                  .byte $07
                  .byte $a0
                  .byte $08
                  .byte $10
                  .byte $0c
                  .byte $a0
                  .byte $06
                  .byte $0e
                  .byte $07
                  .byte $a0
                  .byte $02
                  .byte $0e
                  .byte $07
                  .byte $40
                  .byte $04
                  .byte $0e
                  .byte $07
                  .byte $d0
                  .byte $04
                  .byte $0e
                  .byte $07
                  .byte $b0
                  .byte $04
                  .byte $0e
                  .byte $07
                  .byte $a0
                  .byte $04
                  .byte $0e
                  .byte $07
                  .byte $90
                  .byte $04
                  .byte $0e
                  .byte $07
                  .byte $80
                  .byte $04
                  .byte $0e
                  .byte $07
                  .byte $70
                  .byte $08
                  .byte $0e
                  .byte $07
                  .byte $a0
                  .byte $08
                  .byte $10
                  .byte $0c
                  .byte $a0
                  .byte $06
                  .byte $0e
                  .byte $07
                  .byte $a0
                  .byte $02
                  .byte $0e
                  .byte $07
                  .byte $40
                  .byte $04
                  .byte $0e
                  .byte $07
                  .byte $d0
                  .byte $04
                  .byte $0e
                  .byte $07
                  .byte $b0
                  .byte $04
                  .byte $0e
                  .byte $07
                  .byte $a0
                  .byte $04
                  .byte $0e
                  .byte $07
                  .byte $90
                  .byte $04
                  .byte $0e
                  .byte $07
                  .byte $80
                  .byte $04
                  .byte $0e
                  .byte $07
                  .byte $70
                  .byte $04
                  .byte $0e
                  .byte $07
                  .byte $60
                  .byte $04
                  .byte $0e
                  .byte $07
                  .byte $50
                  .byte $04
                  .byte $0e
                  .byte $07
                  .byte $40
                  .byte $04
                  .byte $0e
                  .byte $07
                  .byte $30
                  .byte $08
                  .byte $0e
                  .byte $07
                  .byte $20
                  .byte $10
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $10
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $13
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $18
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $15
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $11
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $0e
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $13
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $11
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $0e
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $0c
                  .byte $ff
                  .byte $a0
                  .byte $0c
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $02
                  .byte $18
                  .byte $ff
                  .byte $a0
                  .byte $02
                  .byte $13
                  .byte $ff
                  .byte $a0
                  .byte $02
                  .byte $10
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $0c
                  .byte $ff
                  .byte $a0
                  .byte $10
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $18
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $17
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $16
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $15
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $14
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $13
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $12
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $11
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $10
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $0f
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $0e
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $0d
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $0c
                  .byte $ff
                  .byte $a0
                  .byte $0c
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $02
                  .byte $0c
                  .byte $ff
                  .byte $a0
                  .byte $02
                  .byte $10
                  .byte $ff
                  .byte $a0
                  .byte $02
                  .byte $13
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $18
                  .byte $ff
                  .byte $a0
                  .byte $10
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $10
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $13
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $18
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $13
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $10
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $13
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $18
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $13
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $15
                  .byte $ff
                  .byte $d0
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $02
                  .byte $11
                  .byte $ff
                  .byte $a0
                  .byte $02
                  .byte $11
                  .byte $ff
                  .byte $80
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $02
                  .byte $11
                  .byte $ff
                  .byte $a0
                  .byte $02
                  .byte $11
                  .byte $ff
                  .byte $80
                  .byte $0c
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $04
                  .byte $12
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $15
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $1f
                  .byte $0f
                  .byte $a0
                  .byte $04
                  .byte $15
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $12
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $15
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $1f
                  .byte $0f
                  .byte $a0
                  .byte $04
                  .byte $15
                  .byte $ff
                  .byte $a0
                  .byte $04
                  .byte $17
                  .byte $ff
                  .byte $d0
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $02
                  .byte $13
                  .byte $ff
                  .byte $a0
                  .byte $02
                  .byte $13
B_992a            .byte $ff
                  .byte $80
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $02
                  .byte $13
                  .byte $ff
                  .byte $a0
                  .byte $02
                  .byte $13
                  .byte $ff
                  .byte $80
                  .byte $10
                  .byte $00
B_993a            .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
; ------------------------------------------------------------------------------------------------------------- ;                  sta $0a
                  sta $0a
                  ldy $4f
                  lda $23
                  eor ($09),y
                  beq B_994a
                  lsr $5a
B_994a            lda $23
                  sta ($09),y
                  jsr S_8995
                  jmp B_692a
                  sta $23
                  ldy #$ff
B_9958            iny
                  lda T_6b89,y
                  beq B_996e
                  cmp $23
                  bne B_9958
                  tya
                  asl a
                  tay
                  lda T_6b93,y
                  pha
                  lda T_6b92,y
                  pha
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_996e            jsr S_8914
                  jmp B_692a
                  lda $50
                  beq B_996e
                  dec $50
                  bpl B_992a
                  lda $4f
                  beq B_996e
                  dec $4f
                  bpl B_992a
                  lda $4f
                  cmp #$1b
                  bcs B_996e
                  inc $4f
                  bne B_992a
                  lda $50
                  cmp #$0f
                  bcs B_996e
                  inc $50
                  bne B_992a
                  lda $50
                  pha
                  lda $4f
                  pha
                  lda #$01
                  jsr S_70db
                  cmp #$00
                  bne B_99ad
                  jsr S_6b27
                  jmp B_69c5
B_99ad            cmp #$01
                  bne B_99b7
                  jsr S_6aa2
                  jmp B_69c5
B_99b7            jsr S_7055
                  pla
                  sta $4f
                  pla
                  sta $50
                  lda #$01
                  sta $5a
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
                  lda #$00
                  sta $4f
                  sta $50
                  jmp B_692a
                  jsr S_6998
                  jmp B_692a
                  lda LR_1310
                  cmp #$95
B_99d9            beq B_996e
                  jsr S_69fe
                  inc LR_1310
                  inc LR_1305
                  jmp B_6905
                  lda LR_1310
                  beq B_99d9
                  jsr S_69fe
                  dec LR_1305
                  dec LR_1310
                  jmp B_6905
                  jsr S_69fe
                  jmp B_660b
                  lda $5a
                  beq B_9a03
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_9a03            jsr S_8d44
                  lda M_65b0
                  pha
                  lda #$73
                  jsr S_65a2
                  lda #$20
                  sta $51
                  lda #$00
                  sta $4f
                  sta $50
                  jsr S_88f4
                  .byte $cc
                  .byte $c5
                  .byte $d6
                  .byte $c5
                  .byte $cc
                  .byte $a0
                  .byte $c8
                  .byte $c1
                  .byte $d3
                  .byte $a0
                  .byte $c2
                  .byte $c5
                  .byte $c5
                  .byte $ce
                  .byte $a0
                  .byte $c3
                  .byte $c8
                  .byte $c1
                  .byte $ce
                  .byte $c7
                  .byte $c5
                  .byte $c4
                  .byte $a0
                  .byte $c2
                  .byte $d5
                  .byte $d4
                  .byte $8d
                  .byte $ce
                  .byte $cf
                  .byte $d4
                  .byte $a0
                  .byte $d3
                  .byte $c1
                  .byte $d6
                  .byte $c5
                  .byte $c4
                  .byte $ae
                  .byte $a0
                  .byte $c4
                  .byte $cf
                  .byte $a0
                  .byte $d9
                  .byte $cf
                  .byte $d5
                  .byte $a0
                  .byte $d7
                  .byte $c9
                  .byte $d3
                  .byte $c8
                  .byte $a0
                  .byte $d4
                  .byte $cf
                  .byte $8d
                  .byte $d3
                  .byte $c1
                  .byte $d6
                  .byte $c5
                  .byte $a0
                  .byte $cd
                  .byte $cf
                  .byte $c4
                  .byte $c9
                  .byte $c6
                  .byte $c9
                  .byte $c5
                  .byte $c4
                  .byte $a0
                  .byte $cc
                  .byte $c5
                  .byte $d6
                  .byte $c5
                  .byte $cc
                  .byte $a0
                  .byte $a8
                  .byte $d9
                  .byte $af
                  .byte $ce
                  .byte $a9
                  .byte $a0
                  .byte $00
                  jsr S_8914
B_9a6f            lda #$00
                  jsr S_8929
                  ldx #$00
                  stx LR_1328
                  cmp #$27
                  beq B_9a84
                  cmp #$19
                  bne B_9a6f
                  jsr S_6998
B_9a84            pla
                  jmp S_65a2
                  lda #$01
                  jsr S_70db
                  cmp #$00
                  bne B_9a97
                  jsr S_6b27
                  jmp B_660b
B_9a97            cmp #$01
                  bne B_9aa1
                  jsr S_6aa2
                  jmp B_660b
B_9aa1            rts
; ------------------------------------------------------------------------------------------------------------- ;
                  jsr S_8d44
                  lda M_65b0
                  pha
                  lda #$20
                  sta $51
                  lda #$73
                  jsr S_65a2
                  lda #$00
                  sta $4f
                  sta $50
                  jsr S_88f4
                  .byte $d5
                  .byte $d3
                  .byte $c5
                  .byte $d2
                  .byte $a0
                  .byte $ce
                  .byte $cf
                  .byte $d4
                  .byte $a0
                  .byte $c1
                  .byte $cc
                  .byte $cc
                  .byte $cf
                  .byte $d7
                  .byte $c5
                  .byte $c4
                  .byte $a0
                  .byte $d4
                  .byte $cf
                  .byte $8d
                  .byte $cd
                  .byte $c1
                  .byte $ce
                  .byte $c9
                  .byte $d0
                  .byte $d5
                  .byte $cc
                  .byte $c1
                  .byte $d4
                  .byte $c5
                  .byte $a0
                  .byte $cd
                  .byte $c1
                  .byte $d3
                  .byte $d4
                  .byte $c5
                  .byte $d2
                  .byte $a0
                  .byte $c4
                  .byte $c9
                  .byte $d3
                  .byte $cb
                  .byte $c5
                  .byte $d4
                  .byte $d4
                  .byte $c5
                  .byte $ae
                  .byte $00
                  jsr S_88f4
                  .byte $8d
                  .byte $8d
                  .byte $c8
                  .byte $c9
                  .byte $d4
                  .byte $a0
                  .byte $c1
                  .byte $a0
                  .byte $cb
                  .byte $c5
                  .byte $d9
                  .byte $a0
                  .byte $d4
                  .byte $cf
                  .byte $a0
                  .byte $c3
                  .byte $cf
                  .byte $ce
                  .byte $d4
                  .byte $c9
                  .byte $ce
                  .byte $d5
                  .byte $c5
                  .byte $a0
                  .byte $00
                  jsr S_8914
                  lda #$00
                  jsr S_8929
                  lda #$00
                  sta LR_1328
                  lda #$40
                  sta $51
                  jsr S_86e1
                  lda #$00
                  sta LR_1300
                  jsr S_728f
                  pla
                  jmp S_65a2
                  jsr S_8d44
                  lda M_65b0
                  pha
                  lda #$73
                  jsr S_65a2
                  lda #$20
                  sta $51
                  lda #$00
                  sta $4f
                  sta $50
                  jsr S_88f4
                  .byte $c4
                  .byte $c9
                  .byte $d3
                  .byte $cb
                  .byte $c5
                  .byte $d4
                  .byte $d4
                  .byte $c5
                  .byte $a0
                  .byte $c9
                  .byte $ce
                  .byte $a0
                  .byte $c4
                  .byte $d2
                  .byte $c9
                  .byte $d6
                  .byte $c5
                  .byte $a0
                  .byte $c9
                  .byte $d3
                  .byte $a0
                  .byte $ce
                  .byte $cf
                  .byte $d4
                  .byte $a0
                  .byte $c1
                  .byte $8d
                  .byte $cc
                  .byte $cf
                  .byte $c4
                  .byte $c5
                  .byte $a0
                  .byte $d2
                  .byte $d5
                  .byte $ce
                  .byte $ce
                  .byte $c5
                  .byte $d2
                  .byte $a0
                  .byte $c4
                  .byte $c1
                  .byte $d4
                  .byte $c1
                  .byte $a0
                  .byte $c4
                  .byte $c9
                  .byte $d3
                  .byte $cb
                  .byte $ae
                  .byte $00
                  jmp B_6aeb
B_9b75            ldy $50
                  lda T_8d66,y
                  sta $09
                  lda T_8d76,y
                  sta $0a
                  ldy $4f
                  lda ($09),y
                  jsr S_8929
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
                  .byte $22
                  .byte $21
                  .byte $25
                  .byte $24
                  .byte $8d
                  .byte $95
                  .byte $9c
                  .byte $be
                  .byte $00
                  .byte $7b
                  .byte $69
                  .byte $73
                  .byte $69
                  .byte $83
                  .byte $69
                  .byte $8d
                  .byte $69
                  .byte $cd
                  .byte $69
                  .byte $d3
                  .byte $69
                  .byte $e6
                  .byte $69
                  .byte $f7
                  .byte $69
B_9ba2            ldy LR_1310
                  iny
                  tya
                  jsr S_8863
                  lda $4f
                  sta T_6c7e
                  ldy #$00
B_9bb1            lda LR_1307,y
                  sty T_6c7d
                  jsr S_8885
                  ldy T_6c7d
                  iny
                  cpy #$03
                  bcc B_9bb1
                  lda T_6c7e
                  sta $4f
                  ldy #$00
                  sty T_6c7d
B_9bcc            ldx T_6c7d
                  lda LR_1307,x
                  clc
                  adc #$3b
                  jsr S_8929
                  jsr S_6c81
                  bcc B_9c15
                  cmp #$01
                  beq B_9c36
                  cmp #$07
                  beq B_9be9
                  cmp #$82
                  bne B_9bf6
B_9be9            ldx T_6c7d
                  beq B_9c30
                  dec T_6c7d
                  dec $4f
                  jmp B_6bcc
B_9bf6            cmp #$02
                  bne B_9c09
                  ldx T_6c7d
                  cpx #$02
                  beq B_9c30
                  inc $4f
                  inc T_6c7d
                  jmp B_6bcc
B_9c09            cmp #$3f
                  bne B_9c10
                  jmp B_6678
B_9c10            jsr S_6c81
                  bcs B_9c30
B_9c15            ldy T_6c7d
                  sta LR_1307,y
                  jsr S_8885
                  inc T_6c7d
                  lda T_6c7d
                  cmp #$03
                  bcc B_9bcc
                  dec T_6c7d
                  dec $4f
                  jmp B_6bcc
B_9c30            jsr S_8914
                  jmp B_6bcc
B_9c36            lda T_6c7e
                  clc
                  adc #$03
                  sta $4f
                  lda #$00
                  ldx LR_1307
                  beq B_9c4d
                  clc
B_9c46            adc #$64
                  bcs B_9c6a
                  dex
                  bne B_9c46
B_9c4d            ldx LR_1308
                  beq B_9c5a
                  clc
B_9c53            adc #$0a
                  bcs B_9c6a
                  dex
                  bne B_9c53
B_9c5a            clc
                  adc LR_1309
                  bcs B_9c6a
                  sta LR_1305
                  tay
                  dey
                  sty LR_1310
                  cpy #$96
B_9c6a            rts
; ------------------------------------------------------------------------------------------------------------- ;
                  lda #$00
                  jsr S_8929
                  ldx #$00
                  stx LR_1328
                  cmp #$3f
                  bne B_9c7c
                  jmp B_6678
B_9c7c            rts
; ------------------------------------------------------------------------------------------------------------- ;
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  lda LR_1328
                  ldy #$00
                  sty LR_1328
                  ldy #$09
B_9c8b            cmp T_6c98,y
                  beq B_9c95
                  dey
                  bpl B_9c8b
                  sec
                  rts
; ------------------------------------------------------------------------------------------------------------- ;
B_9c95            .byte $98
                  .byte $18
                  .byte $60
                  .byte $23
                  .byte $38
                  .byte $3b
                  .byte $08
                  .byte $0b
                  .byte $10
                  .byte $13
                  .byte $18
                  .byte $1b
                  .byte $20
                  .byte $c4
                  .byte $c1
                  .byte $ce
                  .byte $c5
                  .byte $a0
                  .byte $c2
                  .byte $c9
                  .byte $c7
                  .byte $c8
                  .byte $c1
                  .byte $cd
                  .byte $ad
                  .byte $18
                  .byte $13
                  .byte $f0
                  .byte $5c
; ------------------------------------------------------------------------------------------------------------- ;
B_9cb2            lda LR_130a
                  ora LR_130b
                  ora LR_130c
                  ora LR_130d
                  beq B_9d0e
                  lda #$01
                  jsr S_70db
                  beq B_9d0e
                  ldy #$00
B_9cc9            lda LR_1100,y
                  sta LR_c800,y
                  iny
                  bne B_9cc9
                  ldy #$01
B_9cd4            ldx T_6f4e,y
                  lda LR_1305
                  cmp LR_1103,x
                  bcc B_9d09
                  bne B_9d0f
                  lda LR_130d
                  cmp LR_1104,x
                  bcc B_9d09
                  bne B_9d0f
                  lda LR_130c
                  cmp LR_1105,x
                  bcc B_9d09
                  bne B_9d0f
                  lda LR_130b
                  cmp LR_1106,x
                  bcc B_9d09
                  bne B_9d0f
                  lda LR_130a
                  cmp LR_1107,x
                  bcc B_9d09
                  bne B_9d0f
B_9d09            iny
                  cpy #$0b
                  bcc B_9cd4
B_9d0e            rts
; ------------------------------------------------------------------------------------------------------------- ;
B_9d0f            cpy #$0a
                  beq B_9d30
                  sty $29
                  ldy #$09
B_9d17            ldx T_6f4e,y
                  lda #$08
                  sta $22
B_9d1e            lda LR_1100,x
                  sta LR_1108,x
                  inx
                  dec $22
                  bne B_9d1e
                  cpy $29
                  beq B_9d30
                  dey
                  bne B_9d17
B_9d30            ldx T_6f4e,y
                  lda #$a0
                  sta LR_1100,x
                  sta LR_1101,x
                  sta LR_1102,x
                  lda LR_1305
                  sta LR_1103,x
                  lda LR_130d
                  sta LR_1104,x
                  lda LR_130c
                  sta LR_1105,x
                  lda LR_130b
                  sta LR_1106,x
                  lda LR_130a
                  sta LR_1107,x
                  sty $39
                  lda T_6f4e,y
                  sta M_6d7e
                  sta M_6dca
                  jsr S_6e12
                  lda $39
                  clc
                  adc #$04
                  sta $50
                  lda #$07
                  sta $4f
                  ldx #$00
                  stx T_6c7d
B_9d7a            ldx T_6c7d
                  lda LR_1100,x
                  jsr S_889a
                  jsr S_8929
                  ldx #$00
                  stx LR_1328
                  jsr S_6f59
                  cmp #$8d
                  beq B_9de7
                  cmp #$88
                  bne B_9da3
                  ldx T_6c7d
                  beq B_9de1
                  dec T_6c7d
                  dec $4f
                  jmp B_6d7a
B_9da3            cmp #$95
                  bne B_9db6
                  ldx T_6c7d
                  cpx #$02
                  beq B_9de1
                  inc $4f
                  inc T_6c7d
                  jmp B_6d7a
B_9db6            cmp #$ae
                  beq B_9dc6
                  cmp #$a0
                  beq B_9dc6
                  cmp #$c1
                  bcc B_9de1
                  cmp #$db
                  bcs B_9de1
B_9dc6            ldy T_6c7d
                  sta LR_1100,y
                  jsr S_88d4
                  inc T_6c7d
                  lda T_6c7d
                  cmp #$03
                  bcc B_9d7a
                  dec T_6c7d
                  dec $4f
                  jmp B_6d7a
B_9de1            jsr S_8914
                  jmp B_6d7a
B_9de7            ldy #$00
B_9de9            lda LR_1100,y
                  sta LR_c900,y
                  iny
                  bne B_9de9
                  lda #$01
                  jsr S_70db
                  ldy #$00
B_9df9            lda LR_1100,y
                  cmp LR_c800,y
                  bne B_9e0f
                  lda LR_c900,y
                  sta LR_1100,y
                  iny
                  bne B_9df9
                  lda #$02
                  jsr S_70db
B_9e0f            jmp B_61d8
                  jsr S_8d44
                  lda #$73
                  jsr S_65a2
                  lda #$00
                  sta $4f
                  sta $50
                  jsr S_88f4
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $cc
                  .byte $cf
                  .byte $c4
                  .byte $c5
                  .byte $a0
                  .byte $d2
                  .byte $d5
                  .byte $ce
                  .byte $ce
                  .byte $c5
                  .byte $d2
                  .byte $a0
                  .byte $c8
                  .byte $c9
                  .byte $c7
                  .byte $c8
                  .byte $a0
                  .byte $d3
                  .byte $c3
                  .byte $cf
                  .byte $d2
                  .byte $c5
                  .byte $d3
                  .byte $8d
                  .byte $8d
                  .byte $8d
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $c9
                  .byte $ce
                  .byte $c9
                  .byte $d4
                  .byte $c9
                  .byte $c1
                  .byte $cc
                  .byte $d3
                  .byte $a0
                  .byte $cc
                  .byte $c5
                  .byte $d6
                  .byte $c5
                  .byte $cc
                  .byte $a0
                  .byte $a0
                  .byte $d3
                  .byte $c3
                  .byte $cf
                  .byte $d2
                  .byte $c5
                  .byte $8d
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $a0
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $a0
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $ad
                  .byte $8d
                  .byte $00
                  lda #$01
                  sta $28
                  cmp #$0a
                  bne B_9e8d
                  lda #$01
                  jsr S_8885
                  lda #$00
                  jsr S_8885
                  jmp B_6e97
B_9e8d            lda #$a0
                  jsr S_88d4
                  lda $28
                  jsr S_8885
                  jsr S_88f4
                  .byte $ae
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $00
                  ldx $28
                  ldy T_6f4e,x
                  sty $29
                  lda LR_1103,y
                  bne B_9eaf
                  jmp B_6f3f
B_9eaf            ldy $29
                  lda LR_1100,y
                  jsr S_88d4
                  ldy $29
                  lda LR_1101,y
                  jsr S_88d4
                  ldy $29
                  lda LR_1102,y
                  jsr S_88d4
                  jsr S_88f4
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $a0
                  .byte $00
                  ldy $29
                  lda LR_1103,y
                  jsr S_8863
                  lda LR_1307
                  jsr S_8885
                  lda LR_1308
                  jsr S_8885
                  lda LR_1309
                  jsr S_8885
                  jsr S_88f4
                  .byte $a0
                  .byte $a0
                  .byte $00
                  ldy $29
                  lda LR_1104,y
                  jsr S_8850
                  lda LR_1308
                  jsr S_8885
                  lda LR_1309
                  jsr S_8885
                  ldy $29
                  lda LR_1105,y
                  jsr S_8850
                  lda LR_1308
                  jsr S_8885
                  lda LR_1309
                  jsr S_8885
                  ldy $29
                  lda LR_1106,y
                  jsr S_8850
                  lda LR_1308
                  jsr S_8885
                  lda LR_1309
                  jsr S_8885
                  ldy $29
                  lda LR_1107,y
                  jsr S_8850
                  lda LR_1308
                  jsr S_8885
                  lda LR_1309
                  jsr S_8885
                  jsr S_88ed
                  inc $28
                  lda $28
                  cmp #$0b
                  bcs B_9f4d
                  jmp B_6e7c
B_9f4d            rts
; ------------------------------------------------------------------------------------------------------------- ;
                  .byte $00
                  .byte $00
                  .byte $08
                  .byte $10
                  .byte $18
                  .byte $20
                  .byte $28
                  .byte $30
                  .byte $38
                  .byte $40
                  .byte $48
                  .byte $c9
                  .byte $82
                  .byte $d0
                  .byte $02
                  .byte $a9
                  .byte $07
B_9f5f            .byte $a8
                  .byte $b9
                  .byte $66
                  .byte $6f
                  .byte $09
                  .byte $80
                  .byte $60
                  .byte $00
                  .byte $0d
                  .byte $15
                  .byte $ff
                  .byte $ff
B_9f6b            .byte $ff
                  .byte $ff
                  .byte $08
                  .byte $33
                  .byte $57
                  .byte $41
                  .byte $34
                  .byte $5a
                  .byte $53
                  .byte $45
                  .byte $ff
                  .byte $35
                  .byte $52
                  .byte $44
                  .byte $36
                  .byte $43
                  .byte $46
                  .byte $54
                  .byte $58
                  .byte $37
                  .byte $59
                  .byte $47
                  .byte $38
                  .byte $42
                  .byte $48
                  .byte $55
                  .byte $56
                  .byte $39
                  .byte $49
                  .byte $4a
                  .byte $30
                  .byte $4d
                  .byte $4b
                  .byte $4f
                  .byte $4e
                  .byte $2b
                  .byte $50
                  .byte $4c
                  .byte $2d
                  .byte $2e
                  .byte $3a
                  .byte $ff
                  .byte $2c
                  .byte $5c
                  .byte $2a
                  .byte $3b
                  .byte $ff
                  .byte $ff
                  .byte $3d
                  .byte $ff
                  .byte $2f
                  .byte $31
                  .byte $ff
                  .byte $ff
                  .byte $32
                  .byte $20
                  .byte $ff
                  .byte $51
                  .byte $ff
; ------------------------------------------------------------------------------------------------------------- ;
                  stx LR_1300
                  ldx #$ff
                  stx $03
                  inx
                  stx LR_1301
                  stx LR_130e
                  stx LR_131c
                  stx LR_131f
                  stx $54
                  stx $53
                  stx $1e
                  stx $50
                  txa
                  ldx #$1e
B_9fc5            sta LR_12e0,x
                  dex
                  bpl B_9fc5
                  ldx #$05
B_9fcd            sta LR_1298,x
                  dex
                  bpl B_9fcd
                  lda #$01
                  sta LR_1314
B_9fd8            lda LR_1310
                  cmp LR_133b
                  beq B_9fe5
                  lda #$01
                  jsr S_709c
B_9fe5            lda LR_1310
                  sta LR_133b
                  ldy $50
                  lda T_8d66,y
                  sta $09
                  sta $0b
                  lda T_8d76,y
                  sta $0a
                  lda T_8d86,y
                  sta $0c
                  lda #$00
; ------------------------------------------------------------------------------------------------------------- ;
T_a000            .byte $00
                  .byte $01
                  .byte $02
                  .byte $03
                  .byte $04
                  .byte $05
                  .byte $06
                  .byte $07
                  .byte $08
                  .byte $09
                  .byte $0a
                  .byte $0b
                  .byte $0c
                  .byte $0d
                  .byte $0e
                  .byte $0f
                  .byte $10
                  .byte $11
                  .byte $12
                  .byte $13
                  .byte $14
                  .byte $15
                  .byte $16
                  .byte $17
                  .byte $18
                  .byte $19
                  .byte $1a
                  .byte $1b
                  .byte $1c
                  .byte $1d
                  .byte $1e
                  .byte $1f
                  .byte $20
                  .byte $21
                  .byte $22
                  .byte $23
                  .byte $24
                  .byte $25
                  .byte $26
                  .byte $27
                  .byte $28
                  .byte $29
                  .byte $2a
                  .byte $2b
                  .byte $2c
                  .byte $2d
                  .byte $2e
                  .byte $2f
                  .byte $30
                  .byte $31
                  .byte $32
                  .byte $33
                  .byte $34
                  .byte $35
                  .byte $36
                  .byte $37
                  .byte $38
                  .byte $39
                  .byte $3a
                  .byte $3b
                  .byte $3c
                  .byte $3d
                  .byte $3e
                  .byte $3f
                  .byte $40
                  .byte $41
                  .byte $42
                  .byte $43
                  .byte $44
                  .byte $45
                  .byte $46
                  .byte $47
                  .byte $48
                  .byte $49
                  .byte $4a
                  .byte $4b
                  .byte $4c
                  .byte $4d
                  .byte $4e
                  .byte $4f
                  .byte $50
                  .byte $51
                  .byte $52
                  .byte $53
                  .byte $54
                  .byte $55
                  .byte $56
                  .byte $57
                  .byte $58
                  .byte $59
                  .byte $5a
                  .byte $5b
                  .byte $5c
                  .byte $5d
                  .byte $5e
                  .byte $5f
                  .byte $60
                  .byte $61
                  .byte $62
                  .byte $63
                  .byte $64
                  .byte $65
                  .byte $66
                  .byte $67
                  .byte $68
                  .byte $69
                  .byte $6a
                  .byte $6b
                  .byte $6c
                  .byte $6d
                  .byte $6e
                  .byte $6f
                  .byte $70
                  .byte $71
                  .byte $72
                  .byte $73
                  .byte $74
                  .byte $75
                  .byte $76
                  .byte $77
                  .byte $78
                  .byte $79
                  .byte $7a
                  .byte $7b
                  .byte $7c
                  .byte $7d
                  .byte $7e
                  .byte $7f
                  .byte $80
                  .byte $81
                  .byte $82
                  .byte $83
                  .byte $84
                  .byte $85
                  .byte $86
                  .byte $87
                  .byte $88
                  .byte $89
                  .byte $8a
                  .byte $8b
                  .byte $8c
                  .byte $8d
                  .byte $8e
                  .byte $8f
                  .byte $90
                  .byte $91
                  .byte $92
                  .byte $93
                  .byte $94
                  .byte $95
                  .byte $96
                  .byte $97
                  .byte $98
                  .byte $99
                  .byte $9a
                  .byte $9b
                  .byte $9c
                  .byte $9d
                  .byte $9e
                  .byte $9f
T_a0a0            .byte $a0
                  .byte $a1
                  .byte $a2
                  .byte $a3
                  .byte $a4
                  .byte $a5
                  .byte $a6
                  .byte $a7
                  .byte $a8
                  .byte $a9
                  .byte $aa
                  .byte $ab
                  .byte $ac
                  .byte $ad
                  .byte $ae
                  .byte $af
                  .byte $b0
                  .byte $b1
                  .byte $b2
                  .byte $b3
                  .byte $b4
                  .byte $b5
                  .byte $b6
                  .byte $b7
                  .byte $b8
                  .byte $b9
                  .byte $ba
                  .byte $bb
                  .byte $bc
                  .byte $bd
                  .byte $be
                  .byte $bf
                  .byte $c0
                  .byte $c1
                  .byte $c2
                  .byte $c3
T_a0c4            .byte $c4
                  .byte $c5
                  .byte $c6
                  .byte $c7
                  .byte $c8
                  .byte $c9
                  .byte $ca
                  .byte $cb
                  .byte $cc
                  .byte $cd
                  .byte $ce
                  .byte $cf
                  .byte $d0
                  .byte $d1
                  .byte $d2
T_a0d3            .byte $d3
                  .byte $d4
                  .byte $d5
                  .byte $d6
                  .byte $d7
                  .byte $d8
T_a0d9            .byte $d9
                  .byte $da
                  .byte $db
                  .byte $dc
                  .byte $dd
                  .byte $de
                  .byte $df
                  .byte $e0
                  .byte $e1
                  .byte $e2
                  .byte $e3
                  .byte $e4
                  .byte $e5
                  .byte $e6
                  .byte $e7
                  .byte $e8
                  .byte $e9
                  .byte $ea
                  .byte $eb
                  .byte $ec
                  .byte $ed
                  .byte $ee
                  .byte $ef
                  .byte $f0
                  .byte $f1
                  .byte $f2
                  .byte $f3
                  .byte $f4
                  .byte $f5
                  .byte $f6
                  .byte $f7
                  .byte $f8
                  .byte $f9
                  .byte $fa
                  .byte $fb
                  .byte $fc
                  .byte $fd
                  .byte $fe
                  .byte $ff
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $05
                  .byte $05
                  .byte $05
                  .byte $05
                  .byte $06
                  .byte $06
                  .byte $06
                  .byte $06
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0c
                  .byte $0c
                  .byte $0c
                  .byte $0c
                  .byte $0d
                  .byte $0d
                  .byte $0d
                  .byte $0d
                  .byte $0e
                  .byte $0e
                  .byte $0e
                  .byte $0e
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $10
                  .byte $10
                  .byte $10
                  .byte $10
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $12
                  .byte $12
                  .byte $12
                  .byte $12
                  .byte $13
                  .byte $13
                  .byte $13
                  .byte $13
                  .byte $14
                  .byte $14
B_a252            .byte $14
                  .byte $14
B_a254            .byte $15
                  .byte $15
                  .byte $15
                  .byte $15
                  .byte $16
                  .byte $16
                  .byte $16
                  .byte $16
                  .byte $17
                  .byte $17
                  .byte $17
                  .byte $17
                  .byte $18
                  .byte $18
                  .byte $18
                  .byte $18
                  .byte $19
                  .byte $19
                  .byte $19
                  .byte $19
                  .byte $1a
                  .byte $1a
                  .byte $1a
                  .byte $1a
                  .byte $1b
                  .byte $1b
                  .byte $1b
                  .byte $1b
                  .byte $1c
                  .byte $1c
                  .byte $1c
                  .byte $1c
                  .byte $1d
                  .byte $1d
                  .byte $1d
                  .byte $1d
                  .byte $1e
                  .byte $1e
                  .byte $1e
                  .byte $1e
                  .byte $1f
                  .byte $1f
                  .byte $1f
                  .byte $1f
                  .byte $20
                  .byte $20
                  .byte $20
                  .byte $20
                  .byte $21
                  .byte $21
                  .byte $21
                  .byte $21
                  .byte $22
                  .byte $22
                  .byte $22
                  .byte $22
                  .byte $23
                  .byte $23
                  .byte $23
                  .byte $23
                  .byte $24
                  .byte $24
                  .byte $24
                  .byte $24
                  .byte $25
                  .byte $25
                  .byte $25
                  .byte $25
                  .byte $26
                  .byte $26
                  .byte $26
                  .byte $26
                  .byte $27
                  .byte $27
                  .byte $27
                  .byte $27
                  .byte $28
                  .byte $28
                  .byte $28
                  .byte $28
                  .byte $29
                  .byte $29
                  .byte $29
                  .byte $29
                  .byte $2a
                  .byte $2a
                  .byte $2a
                  .byte $2a
                  .byte $2b
                  .byte $2b
                  .byte $2b
                  .byte $2b
                  .byte $2c
                  .byte $2c
                  .byte $2c
                  .byte $2c
                  .byte $2d
                  .byte $2d
                  .byte $2d
                  .byte $2d
                  .byte $2e
                  .byte $2e
                  .byte $2e
                  .byte $2e
                  .byte $2f
                  .byte $2f
                  .byte $2f
                  .byte $2f
                  .byte $30
                  .byte $30
                  .byte $30
                  .byte $30
                  .byte $31
                  .byte $31
                  .byte $31
                  .byte $31
                  .byte $32
                  .byte $32
                  .byte $32
                  .byte $32
                  .byte $33
                  .byte $33
                  .byte $33
                  .byte $33
                  .byte $34
                  .byte $34
                  .byte $34
                  .byte $34
                  .byte $35
                  .byte $35
                  .byte $35
                  .byte $35
                  .byte $36
                  .byte $36
                  .byte $36
                  .byte $36
                  .byte $37
                  .byte $37
                  .byte $37
                  .byte $37
                  .byte $38
                  .byte $38
                  .byte $38
                  .byte $38
                  .byte $39
                  .byte $39
                  .byte $39
                  .byte $39
                  .byte $3a
                  .byte $3a
                  .byte $3a
                  .byte $3a
                  .byte $3b
                  .byte $3b
                  .byte $3b
                  .byte $3b
                  .byte $3c
                  .byte $3c
                  .byte $3c
                  .byte $3c
                  .byte $3d
                  .byte $3d
                  .byte $3d
                  .byte $3d
                  .byte $3e
                  .byte $3e
                  .byte $3e
                  .byte $3e
                  .byte $3f
                  .byte $3f
                  .byte $3f
                  .byte $3f
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $c0
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $05
                  .byte $05
                  .byte $05
                  .byte $05
                  .byte $05
                  .byte $05
                  .byte $05
                  .byte $05
                  .byte $05
                  .byte $05
                  .byte $05
                  .byte $05
                  .byte $05
                  .byte $05
                  .byte $05
                  .byte $05
                  .byte $06
                  .byte $06
                  .byte $06
                  .byte $06
                  .byte $06
                  .byte $06
                  .byte $06
                  .byte $06
                  .byte $06
                  .byte $06
                  .byte $06
                  .byte $06
                  .byte $06
                  .byte $06
                  .byte $06
                  .byte $06
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $08
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $09
                  .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0a
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0b
                  .byte $0c
                  .byte $0c
                  .byte $0c
                  .byte $0c
                  .byte $0c
                  .byte $0c
                  .byte $0c
                  .byte $0c
                  .byte $0c
                  .byte $0c
                  .byte $0c
                  .byte $0c
                  .byte $0c
                  .byte $0c
                  .byte $0c
                  .byte $0c
                  .byte $0d
                  .byte $0d
                  .byte $0d
                  .byte $0d
                  .byte $0d
                  .byte $0d
                  .byte $0d
                  .byte $0d
                  .byte $0d
                  .byte $0d
                  .byte $0d
                  .byte $0d
                  .byte $0d
                  .byte $0d
                  .byte $0d
                  .byte $0d
                  .byte $0e
                  .byte $0e
                  .byte $0e
                  .byte $0e
                  .byte $0e
                  .byte $0e
                  .byte $0e
                  .byte $0e
                  .byte $0e
                  .byte $0e
                  .byte $0e
                  .byte $0e
                  .byte $0e
                  .byte $0e
                  .byte $0e
                  .byte $0e
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $0f
                  .byte $00
                  .byte $10
                  .byte $20
                  .byte $30
                  .byte $40
                  .byte $50
                  .byte $60
                  .byte $70
                  .byte $80
                  .byte $90
                  .byte $a0
                  .byte $b0
                  .byte $c0
                  .byte $d0
                  .byte $e0
                  .byte $f0
                  .byte $00
                  .byte $10
                  .byte $20
                  .byte $30
                  .byte $40
                  .byte $50
                  .byte $60
                  .byte $70
                  .byte $80
                  .byte $90
                  .byte $a0
                  .byte $b0
                  .byte $c0
                  .byte $d0
                  .byte $e0
                  .byte $f0
                  .byte $00
                  .byte $10
                  .byte $20
                  .byte $30
                  .byte $40
                  .byte $50
                  .byte $60
                  .byte $70
                  .byte $80
                  .byte $90
                  .byte $a0
                  .byte $b0
                  .byte $c0
                  .byte $d0
                  .byte $e0
                  .byte $f0
                  .byte $00
                  .byte $10
                  .byte $20
                  .byte $30
                  .byte $40
                  .byte $50
                  .byte $60
                  .byte $70
                  .byte $80
                  .byte $90
                  .byte $a0
                  .byte $b0
                  .byte $c0
                  .byte $d0
                  .byte $e0
                  .byte $f0
                  .byte $00
                  .byte $10
                  .byte $20
                  .byte $30
                  .byte $40
                  .byte $50
                  .byte $60
                  .byte $70
                  .byte $80
                  .byte $90
                  .byte $a0
                  .byte $b0
                  .byte $c0
                  .byte $d0
                  .byte $e0
                  .byte $f0
                  .byte $00
                  .byte $10
                  .byte $20
                  .byte $30
                  .byte $40
                  .byte $50
                  .byte $60
                  .byte $70
                  .byte $80
                  .byte $90
                  .byte $a0
                  .byte $b0
                  .byte $c0
                  .byte $d0
                  .byte $e0
                  .byte $f0
                  .byte $00
                  .byte $10
                  .byte $20
                  .byte $30
                  .byte $40
                  .byte $50
                  .byte $60
                  .byte $70
                  .byte $80
                  .byte $90
                  .byte $a0
                  .byte $b0
                  .byte $c0
                  .byte $d0
                  .byte $e0
                  .byte $f0
                  .byte $00
                  .byte $10
                  .byte $20
                  .byte $30
                  .byte $40
                  .byte $50
                  .byte $60
                  .byte $70
                  .byte $80
                  .byte $90
                  .byte $a0
                  .byte $b0
                  .byte $c0
                  .byte $d0
                  .byte $e0
                  .byte $f0
                  .byte $00
                  .byte $10
                  .byte $20
                  .byte $30
                  .byte $40
                  .byte $50
                  .byte $60
                  .byte $70
                  .byte $80
                  .byte $90
                  .byte $a0
                  .byte $b0
                  .byte $c0
                  .byte $d0
                  .byte $e0
                  .byte $f0
                  .byte $00
                  .byte $10
                  .byte $20
                  .byte $30
                  .byte $40
                  .byte $50
                  .byte $60
                  .byte $70
                  .byte $80
                  .byte $90
                  .byte $a0
                  .byte $b0
                  .byte $c0
                  .byte $d0
                  .byte $e0
                  .byte $f0
                  .byte $00
                  .byte $10
                  .byte $20
                  .byte $30
                  .byte $40
                  .byte $50
                  .byte $60
                  .byte $70
                  .byte $80
                  .byte $90
                  .byte $a0
                  .byte $b0
                  .byte $c0
                  .byte $d0
                  .byte $e0
                  .byte $f0
                  .byte $00
                  .byte $10
                  .byte $20
                  .byte $30
                  .byte $40
                  .byte $50
                  .byte $60
                  .byte $70
                  .byte $80
                  .byte $90
                  .byte $a0
                  .byte $b0
                  .byte $c0
                  .byte $d0
                  .byte $e0
                  .byte $f0
                  .byte $00
                  .byte $10
                  .byte $20
                  .byte $30
                  .byte $40
                  .byte $50
                  .byte $60
                  .byte $70
                  .byte $80
                  .byte $90
                  .byte $a0
                  .byte $b0
                  .byte $c0
                  .byte $d0
                  .byte $e0
                  .byte $f0
                  .byte $00
                  .byte $10
                  .byte $20
                  .byte $30
                  .byte $40
                  .byte $50
                  .byte $60
                  .byte $70
                  .byte $80
                  .byte $90
                  .byte $a0
                  .byte $b0
                  .byte $c0
                  .byte $d0
                  .byte $e0
                  .byte $f0
                  .byte $00
                  .byte $10
                  .byte $20
                  .byte $30
                  .byte $40
                  .byte $50
                  .byte $60
                  .byte $70
                  .byte $80
                  .byte $90
                  .byte $a0
                  .byte $b0
                  .byte $c0
                  .byte $d0
                  .byte $e0
                  .byte $f0
                  .byte $00
                  .byte $10
                  .byte $20
                  .byte $30
                  .byte $40
                  .byte $50
                  .byte $60
                  .byte $70
                  .byte $80
                  .byte $90
                  .byte $a0
                  .byte $b0
                  .byte $c0
                  .byte $d0
                  .byte $e0
                  .byte $f0
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $01
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $03
                  .byte $00
                  .byte $04
                  .byte $08
                  .byte $0c
                  .byte $10
                  .byte $14
                  .byte $18
                  .byte $1c
                  .byte $20
                  .byte $24
                  .byte $28
                  .byte $2c
                  .byte $30
                  .byte $34
                  .byte $38
                  .byte $3c
                  .byte $40
                  .byte $44
                  .byte $48
                  .byte $4c
                  .byte $50
                  .byte $54
                  .byte $58
                  .byte $5c
                  .byte $60
                  .byte $64
                  .byte $68
                  .byte $6c
                  .byte $70
                  .byte $74
                  .byte $78
                  .byte $7c
                  .byte $80
                  .byte $84
                  .byte $88
                  .byte $8c
                  .byte $90
                  .byte $94
                  .byte $98
                  .byte $9c
                  .byte $a0
                  .byte $a4
                  .byte $a8
                  .byte $ac
                  .byte $b0
                  .byte $b4
                  .byte $b8
                  .byte $bc
                  .byte $c0
                  .byte $c4
                  .byte $c8
                  .byte $cc
                  .byte $d0
                  .byte $d4
                  .byte $d8
                  .byte $dc
                  .byte $e0
                  .byte $e4
                  .byte $e8
                  .byte $ec
                  .byte $f0
                  .byte $f4
                  .byte $f8
                  .byte $fc
                  .byte $00
                  .byte $04
                  .byte $08
                  .byte $0c
                  .byte $10
                  .byte $14
                  .byte $18
                  .byte $1c
                  .byte $20
                  .byte $24
                  .byte $28
                  .byte $2c
                  .byte $30
                  .byte $34
                  .byte $38
                  .byte $3c
                  .byte $40
                  .byte $44
                  .byte $48
                  .byte $4c
                  .byte $50
                  .byte $54
                  .byte $58
                  .byte $5c
                  .byte $60
                  .byte $64
                  .byte $68
                  .byte $6c
                  .byte $70
                  .byte $74
                  .byte $78
                  .byte $7c
                  .byte $80
                  .byte $84
                  .byte $88
                  .byte $8c
                  .byte $90
                  .byte $94
                  .byte $98
                  .byte $9c
                  .byte $a0
                  .byte $a4
                  .byte $a8
                  .byte $ac
                  .byte $b0
                  .byte $b4
                  .byte $b8
                  .byte $bc
                  .byte $c0
                  .byte $c4
                  .byte $c8
                  .byte $cc
                  .byte $d0
                  .byte $d4
                  .byte $d8
                  .byte $dc
                  .byte $e0
                  .byte $e4
                  .byte $e8
                  .byte $ec
                  .byte $f0
                  .byte $f4
                  .byte $f8
                  .byte $fc
                  .byte $00
                  .byte $04
                  .byte $08
                  .byte $0c
                  .byte $10
                  .byte $14
                  .byte $18
                  .byte $1c
                  .byte $20
                  .byte $24
                  .byte $28
                  .byte $2c
                  .byte $30
                  .byte $34
                  .byte $38
                  .byte $3c
                  .byte $40
                  .byte $44
                  .byte $48
                  .byte $4c
                  .byte $50
                  .byte $54
                  .byte $58
                  .byte $5c
                  .byte $60
                  .byte $64
                  .byte $68
                  .byte $6c
                  .byte $70
                  .byte $74
                  .byte $78
                  .byte $7c
                  .byte $80
                  .byte $84
                  .byte $88
                  .byte $8c
                  .byte $90
                  .byte $94
                  .byte $98
                  .byte $9c
                  .byte $a0
                  .byte $a4
                  .byte $a8
                  .byte $ac
                  .byte $b0
                  .byte $b4
                  .byte $b8
                  .byte $bc
                  .byte $c0
                  .byte $c4
                  .byte $c8
                  .byte $cc
                  .byte $d0
                  .byte $d4
                  .byte $d8
                  .byte $dc
                  .byte $e0
                  .byte $e4
                  .byte $e8
                  .byte $ec
                  .byte $f0
                  .byte $f4
                  .byte $f8
                  .byte $fc
                  .byte $00
                  .byte $04
                  .byte $08
                  .byte $0c
                  .byte $10
                  .byte $14
                  .byte $18
                  .byte $1c
                  .byte $20
                  .byte $24
                  .byte $28
                  .byte $2c
                  .byte $30
                  .byte $34
                  .byte $38
                  .byte $3c
                  .byte $40
                  .byte $44
                  .byte $48
                  .byte $4c
                  .byte $50
                  .byte $54
                  .byte $58
                  .byte $5c
                  .byte $60
                  .byte $64
                  .byte $68
                  .byte $6c
                  .byte $70
                  .byte $74
                  .byte $78
                  .byte $7c
                  .byte $80
                  .byte $84
                  .byte $88
                  .byte $8c
                  .byte $90
                  .byte $94
                  .byte $98
                  .byte $9c
                  .byte $a0
                  .byte $a4
                  .byte $a8
                  .byte $ac
                  .byte $b0
                  .byte $b4
                  .byte $b8
                  .byte $bc
                  .byte $c0
                  .byte $c4
                  .byte $c8
                  .byte $cc
                  .byte $d0
                  .byte $d4
                  .byte $d8
                  .byte $dc
                  .byte $e0
                  .byte $e4
                  .byte $e8
                  .byte $ec
                  .byte $f0
                  .byte $f4
                  .byte $f8
                  .byte $fc
                  .byte $00
                  .byte $a8
                  .byte $aa
                  .byte $c3
                  .byte $00
                  .byte $aa
                  .byte $c0
                  .byte $00
                  .byte $08
                  .byte $02
                  .byte $ff
                  .byte $10
                  .byte $10
                  .byte $10
                  .byte $0c
                  .byte $02
                  .byte $02

T_a811            .byte $02
                  .byte $0c
                  .byte $64
                  .byte $c9
                  .byte $61
                  .byte $06
                  .byte $18
                  .byte $61
                  .byte $18
                  .byte $06
                  .byte $00
                  .byte $00
                  .byte $08
                  .byte $00
                  .byte $a4
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $08
                  .byte $00
                  .byte $00
                  .byte $02
                  .byte $02
                  .byte $02
                  .byte $08
                  .byte $08
                  .byte $41
                  .byte $04
                  .byte $10
                  .byte $41
                  .byte $10
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $44
                  .byte $44
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $40
                  .byte $40
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $a8
                  .byte $aa
                  .byte $c3
                  .byte $ff
                  .byte $aa
                  .byte $c0
                  .byte $00
                  .byte $14
                  .byte $07
                  .byte $ff
                  .byte $38
                  .byte $38
                  .byte $38
                  .byte $0c
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $8c
                  .byte $6e
                  .byte $dd
                  .byte $61
                  .byte $06
                  .byte $18
                  .byte $61
                  .byte $18
                  .byte $06
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $a8
                  .byte $14
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $1c
                  .byte $00
                  .byte $00
                  .byte $05
                  .byte $05
                  .byte $05
                  .byte $14
                  .byte $14
                  .byte $41
                  .byte $04
                  .byte $10
                  .byte $41
                  .byte $10
                  .byte $04
                  .byte $04
                  .byte $84
                  .byte $44
                  .byte $44
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $c0
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $40
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $40
                  .byte $00
                  .byte $40
                  .byte $40
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $a8
                  .byte $aa
                  .byte $ff
                  .byte $00
                  .byte $00
                  .byte $ff
                  .byte $00
                  .byte $14
                  .byte $07
                  .byte $ff
                  .byte $38
                  .byte $38
                  .byte $38
                  .byte $0f
                  .byte $07
                  .byte $07
                  .byte $07
                  .byte $fc
                  .byte $6e
                  .byte $dd
                  .byte $6d
                  .byte $1e
                  .byte $1e
                  .byte $6d
                  .byte $1e
                  .byte $1e
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $a8
                  .byte $80
                  .byte $14
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $1c
                  .byte $00
                  .byte $00
                  .byte $05
                  .byte $05
                  .byte $05
                  .byte $14
                  .byte $14
                  .byte $45
                  .byte $14
                  .byte $14
                  .byte $51
                  .byte $14
                  .byte $14
                  .byte $05
                  .byte $d4
                  .byte $44
                  .byte $44
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $40
                  .byte $00
                  .byte $40
                  .byte $40
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $a8
                  .byte $aa
                  .byte $c3
                  .byte $00
                  .byte $3f
                  .byte $c3
                  .byte $00
                  .byte $04
                  .byte $0e
                  .byte $ff
                  .byte $1c
                  .byte $18
                  .byte $18
                  .byte $4e
                  .byte $03
                  .byte $06
                  .byte $06
                  .byte $1c
                  .byte $3f
                  .byte $7f
                  .byte $6f
                  .byte $1c
                  .byte $0e
                  .byte $3d
                  .byte $0e
                  .byte $dc
                  .byte $00
                  .byte $08
                  .byte $00
                  .byte $08
                  .byte $a8
                  .byte $a8
                  .byte $94
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $18
                  .byte $00
                  .byte $08
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $45
                  .byte $14
                  .byte $04
                  .byte $51
                  .byte $14
                  .byte $10
                  .byte $44
                  .byte $14
                  .byte $15
                  .byte $15
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $55
                  .byte $14
                  .byte $55
                  .byte $55
                  .byte $51
                  .byte $55
                  .byte $55
                  .byte $55
                  .byte $15
                  .byte $55
                  .byte $2a
                  .byte $a8
                  .byte $aa
                  .byte $a8
                  .byte $aa
                  .byte $aa
                  .byte $aa
                  .byte $82
                  .byte $20
                  .byte $08
                  .byte $82
                  .byte $80
                  .byte $82
                  .byte $82
                  .byte $aa
                  .byte $aa
                  .byte $aa
                  .byte $aa
                  .byte $aa
                  .byte $aa
                  .byte $82
                  .byte $a2
                  .byte $82
                  .byte $82
                  .byte $8a
                  .byte $aa
                  .byte $80
                  .byte $00
                  .byte $28
                  .byte $28
                  .byte $02
                  .byte $00
                  .byte $02
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $40
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $aa
                  .byte $c3
                  .byte $00
                  .byte $0c
                  .byte $03
                  .byte $00
                  .byte $15
                  .byte $37
                  .byte $ff
                  .byte $3b
                  .byte $1c
                  .byte $5e
                  .byte $7e
                  .byte $0f
                  .byte $0e
                  .byte $1e
                  .byte $1f
                  .byte $06
                  .byte $18
                  .byte $3c
                  .byte $78
                  .byte $07
                  .byte $0f
                  .byte $07
                  .byte $78
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $14
                  .byte $00
                  .byte $00
                  .byte $7e
                  .byte $00
                  .byte $00
                  .byte $15
                  .byte $14
                  .byte $15
                  .byte $05
                  .byte $15
                  .byte $14
                  .byte $50
                  .byte $05
                  .byte $14
                  .byte $05
                  .byte $50
                  .byte $54
                  .byte $15
                  .byte $04
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $41
                  .byte $14
                  .byte $41
                  .byte $41
                  .byte $51
                  .byte $40
                  .byte $41
                  .byte $05
                  .byte $11
                  .byte $41
                  .byte $22
                  .byte $88
                  .byte $82
                  .byte $82
                  .byte $a0
                  .byte $a0
                  .byte $82
                  .byte $82
                  .byte $20
                  .byte $08
                  .byte $8a
                  .byte $80
                  .byte $a2
                  .byte $82
                  .byte $8a
                  .byte $82
                  .byte $8a
                  .byte $82
                  .byte $82
                  .byte $20
                  .byte $82
                  .byte $a2
                  .byte $82
                  .byte $82
                  .byte $8a
                  .byte $82
                  .byte $a0
                  .byte $00
                  .byte $28
                  .byte $28
                  .byte $02
                  .byte $00
                  .byte $0a
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $8a
                  .byte $aa
                  .byte $c3
                  .byte $00
                  .byte $0c
                  .byte $03
                  .byte $ff
                  .byte $44
                  .byte $6c
                  .byte $ff
                  .byte $cd
                  .byte $3e
                  .byte $7b
                  .byte $0e
                  .byte $5b
                  .byte $1f
                  .byte $37
                  .byte $1c
                  .byte $06
                  .byte $18
                  .byte $18
                  .byte $d8
                  .byte $06
                  .byte $06
                  .byte $06
                  .byte $18
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $8a
                  .byte $8a
                  .byte $8a
                  .byte $15
                  .byte $04
                  .byte $00
                  .byte $5b
                  .byte $00
                  .byte $00
                  .byte $44
                  .byte $15
                  .byte $45
                  .byte $15
                  .byte $14
                  .byte $10
                  .byte $50
                  .byte $04
                  .byte $04
                  .byte $05
                  .byte $10
                  .byte $04
                  .byte $14
                  .byte $04
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $41
                  .byte $04
                  .byte $01
                  .byte $01
                  .byte $51
                  .byte $40
                  .byte $40
                  .byte $05
                  .byte $11
                  .byte $41
                  .byte $22
                  .byte $88
                  .byte $80
                  .byte $82
                  .byte $a0
                  .byte $a0
                  .byte $80
                  .byte $82
                  .byte $20
                  .byte $08
                  .byte $88
                  .byte $80
                  .byte $aa
                  .byte $a2
                  .byte $8a
                  .byte $82
                  .byte $8a
                  .byte $82
                  .byte $80
                  .byte $20
                  .byte $82
                  .byte $a2
                  .byte $82
                  .byte $82
                  .byte $8a
                  .byte $82
                  .byte $28
                  .byte $00
                  .byte $a0
                  .byte $0a
                  .byte $08
                  .byte $aa
                  .byte $28
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $40
                  .byte $c0
                  .byte $c0
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $40
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $40
                  .byte $00
                  .byte $80
                  .byte $40
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $40
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $8a
                  .byte $aa
                  .byte $c3
                  .byte $00
                  .byte $0c
                  .byte $03
                  .byte $eb
                  .byte $06
                  .byte $0c
                  .byte $ff
                  .byte $0c
                  .byte $de
                  .byte $18
                  .byte $0e
                  .byte $43
                  .byte $1e
                  .byte $06
                  .byte $1c
                  .byte $1e
                  .byte $1e
                  .byte $18
                  .byte $18
                  .byte $06
                  .byte $06
                  .byte $06
                  .byte $18
                  .byte $08
                  .byte $80
                  .byte $88
                  .byte $00
                  .byte $8a
                  .byte $8a
                  .byte $8a
                  .byte $00
                  .byte $05
                  .byte $00
                  .byte $18
                  .byte $08
                  .byte $a0
                  .byte $0c
                  .byte $06
                  .byte $06
                  .byte $4c
                  .byte $0c
                  .byte $10
                  .byte $10
                  .byte $04
                  .byte $04
                  .byte $04
                  .byte $10
                  .byte $0e
                  .byte $1c
                  .byte $0f
                  .byte $1e
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $41
                  .byte $04
                  .byte $55
                  .byte $15
                  .byte $55
                  .byte $55
                  .byte $40
                  .byte $05
                  .byte $55
                  .byte $55
                  .byte $aa
                  .byte $aa
                  .byte $80
                  .byte $82
                  .byte $a8
                  .byte $a8
                  .byte $80
                  .byte $aa
                  .byte $28
                  .byte $0a
                  .byte $a8
                  .byte $80
                  .byte $aa
                  .byte $aa
                  .byte $82
                  .byte $aa
                  .byte $82
                  .byte $aa
                  .byte $aa
                  .byte $20
                  .byte $82
                  .byte $a2
                  .byte $82
                  .byte $28
                  .byte $aa
                  .byte $08
                  .byte $0a
                  .byte $00
                  .byte $a0
                  .byte $0a
                  .byte $08
                  .byte $aa
                  .byte $a0
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $40
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $40
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $8a
                  .byte $aa
                  .byte $ff
                  .byte $00
                  .byte $0c
                  .byte $c3
                  .byte $eb
                  .byte $15
                  .byte $0e
                  .byte $ff
                  .byte $1c
                  .byte $38
                  .byte $3c
                  .byte $1b
                  .byte $07
                  .byte $07
                  .byte $0f
                  .byte $36
                  .byte $36
                  .byte $1b
                  .byte $78
                  .byte $38
                  .byte $0e
                  .byte $07
                  .byte $07
                  .byte $1c
                  .byte $02
                  .byte $20
                  .byte $00
                  .byte $00
                  .byte $8a
                  .byte $8a
                  .byte $8a
                  .byte $8a
                  .byte $95
                  .byte $04
                  .byte $1c
                  .byte $22
                  .byte $40
                  .byte $0e
                  .byte $07
                  .byte $0f
                  .byte $1c
                  .byte $1e
                  .byte $78
                  .byte $38
                  .byte $0e
                  .byte $0f
                  .byte $0e
                  .byte $38
                  .byte $1b
                  .byte $36
                  .byte $0d
                  .byte $36
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $14
                  .byte $45
                  .byte $04
                  .byte $40
                  .byte $01
                  .byte $01
                  .byte $05
                  .byte $55
                  .byte $14
                  .byte $41
                  .byte $05
                  .byte $82
                  .byte $82
                  .byte $a0
                  .byte $a2
                  .byte $80
                  .byte $80
                  .byte $8a
                  .byte $a2
                  .byte $28
                  .byte $0a
                  .byte $aa
                  .byte $a0
                  .byte $82
                  .byte $aa
                  .byte $82
                  .byte $a0
                  .byte $82
                  .byte $a8
                  .byte $0a
                  .byte $28
                  .byte $a2
                  .byte $a2
                  .byte $aa
                  .byte $28
                  .byte $28
                  .byte $28
                  .byte $0a
                  .byte $00
                  .byte $a0
                  .byte $0a
                  .byte $20
                  .byte $aa
                  .byte $a0
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $40
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $80
                  .byte $80
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $8a
                  .byte $aa
                  .byte $c3
                  .byte $00
                  .byte $aa
                  .byte $ff
                  .byte $eb
                  .byte $15
                  .byte $7b
                  .byte $ff
                  .byte $37
                  .byte $3c
                  .byte $66
                  .byte $1b
                  .byte $0d
                  .byte $0f
                  .byte $19
                  .byte $76
                  .byte $36
                  .byte $1b
                  .byte $d8
                  .byte $6c
                  .byte $1b
                  .byte $06
                  .byte $0d
                  .byte $36
                  .byte $20
                  .byte $0a
                  .byte $80
                  .byte $00
                  .byte $8a
                  .byte $8a
                  .byte $8a
                  .byte $8a
                  .byte $80
                  .byte $14
                  .byte $36
                  .byte $48
                  .byte $4a
                  .byte $7b
                  .byte $0f
                  .byte $19
                  .byte $1e
                  .byte $33
                  .byte $d8
                  .byte $6c
                  .byte $1b
                  .byte $0d
                  .byte $1b
                  .byte $6c
                  .byte $1b
                  .byte $76
                  .byte $0d
                  .byte $36
                  .byte $80
                  .byte $80
                  .byte $14
                  .byte $55
                  .byte $45
                  .byte $04
                  .byte $40
                  .byte $01
                  .byte $01
                  .byte $05
                  .byte $45
                  .byte $10
                  .byte $41
                  .byte $05
                  .byte $82
                  .byte $82
                  .byte $a0
                  .byte $a2
                  .byte $80
                  .byte $80
                  .byte $8a
                  .byte $a2
                  .byte $28
                  .byte $0a
                  .byte $a2
                  .byte $a0
                  .byte $82
                  .byte $8a
                  .byte $82
                  .byte $a0
                  .byte $82
                  .byte $a8
                  .byte $0a
                  .byte $28
                  .byte $a2
                  .byte $aa
                  .byte $aa
                  .byte $82
                  .byte $28
                  .byte $80
                  .byte $28
                  .byte $28
                  .byte $a0
                  .byte $0a
                  .byte $20
                  .byte $aa
                  .byte $28
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $40
                  .byte $00
                  .byte $c0
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $80
                  .byte $00
                  .byte $40
                  .byte $40
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $8a
                  .byte $aa
                  .byte $c3
                  .byte $00
                  .byte $aa
                  .byte $c0
                  .byte $ff
                  .byte $10
                  .byte $03
                  .byte $ff
                  .byte $30
                  .byte $0e
                  .byte $63
                  .byte $18
                  .byte $0d
                  .byte $1c
                  .byte $31
                  .byte $06
                  .byte $36
                  .byte $1b
                  .byte $d8
                  .byte $6c
                  .byte $1b
                  .byte $06
                  .byte $0d
                  .byte $36
                  .byte $09
                  .byte $21
                  .byte $20
                  .byte $00
                  .byte $8a
                  .byte $8a
                  .byte $8a
                  .byte $8a
                  .byte $8a
                  .byte $15
                  .byte $36
                  .byte $50
                  .byte $11
                  .byte $03
                  .byte $1c
                  .byte $31
                  .byte $07
                  .byte $31
                  .byte $d8
                  .byte $6c
                  .byte $1b
                  .byte $0d
                  .byte $1b
                  .byte $6c
                  .byte $18
                  .byte $06
                  .byte $0d
                  .byte $36
                  .byte $80
                  .byte $80
                  .byte $55
                  .byte $55
                  .byte $45
                  .byte $15
                  .byte $45
                  .byte $41
                  .byte $01
                  .byte $05
                  .byte $45
                  .byte $10
                  .byte $41
                  .byte $05
                  .byte $8a
                  .byte $82
                  .byte $a2
                  .byte $a2
                  .byte $80
                  .byte $80
                  .byte $82
                  .byte $a2
                  .byte $28
                  .byte $8a
                  .byte $a2
                  .byte $a0
                  .byte $82
                  .byte $82
                  .byte $82
                  .byte $a0
                  .byte $88
                  .byte $a2
                  .byte $8a
                  .byte $28
                  .byte $a2
                  .byte $28
                  .byte $a2
                  .byte $82
                  .byte $28
                  .byte $8a
                  .byte $a0
                  .byte $28
                  .byte $28
                  .byte $28
                  .byte $80
                  .byte $00
                  .byte $0a
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $40
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $80
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $80
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c3
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $00
                  .byte $10
                  .byte $03
                  .byte $ff
                  .byte $30
                  .byte $0c
                  .byte $03
                  .byte $38
                  .byte $0d
                  .byte $0c
                  .byte $30
                  .byte $07
                  .byte $06
                  .byte $18
                  .byte $b0
                  .byte $6c
                  .byte $1b
                  .byte $03
                  .byte $0d
                  .byte $36
                  .byte $01
                  .byte $09
                  .byte $02
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $36
                  .byte $10
                  .byte $11
                  .byte $03
                  .byte $0c
                  .byte $30
                  .byte $06
                  .byte $01
                  .byte $b0
                  .byte $0c
                  .byte $1b
                  .byte $06
                  .byte $1b
                  .byte $6c
                  .byte $38
                  .byte $07
                  .byte $0c
                  .byte $06
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $55
                  .byte $15
                  .byte $55
                  .byte $55
                  .byte $01
                  .byte $55
                  .byte $55
                  .byte $10
                  .byte $55
                  .byte $05
                  .byte $8a
                  .byte $aa
                  .byte $aa
                  .byte $a8
                  .byte $aa
                  .byte $80
                  .byte $aa
                  .byte $a2
                  .byte $28
                  .byte $aa
                  .byte $a2
                  .byte $aa
                  .byte $82
                  .byte $82
                  .byte $aa
                  .byte $a0
                  .byte $a2
                  .byte $a2
                  .byte $aa
                  .byte $28
                  .byte $aa
                  .byte $20
                  .byte $82
                  .byte $82
                  .byte $28
                  .byte $aa
                  .byte $80
                  .byte $28
                  .byte $28
                  .byte $28
                  .byte $80
                  .byte $00
                  .byte $02
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $c0
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $40
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $16
                  .byte $4c
                  .byte $66
                  .byte $02
                  .byte $55
                  .byte $01
                  .byte $66
                  .byte $02
                  .byte $36
                  .byte $18
                  .byte $55
                  .byte $01
                  .byte $44
                  .byte $01
                  .byte $66
                  .byte $14
                  .byte $36
                  .byte $0d
                  .byte $30
                  .byte $17
                  .byte $60
                  .byte $08
                  .byte $66
                  .byte $03
                  .byte $16
                  .byte $16
                  .byte $66
                  .byte $04
                  .byte $36
                  .byte $23
                  .byte $32
                  .byte $01
                  .byte $62
                  .byte $01
                  .byte $55
                  .byte $01
                  .byte $66
                  .byte $20
                  .byte $16
                  .byte $07
                  .byte $66
                  .byte $02
                  .byte $36
                  .byte $25
                  .byte $30
                  .byte $14
                  .byte $60
                  .byte $0e
                  .byte $10
                  .byte $11
                  .byte $16
                  .byte $25
                  .byte $10
                  .byte $08
                  .byte $16
                  .byte $23
                  .byte $10
                  .byte $06
                  .byte $60
                  .byte $02
                  .byte $30
                  .byte $0f
                  .byte $36
                  .byte $17
                  .byte $66
                  .byte $02
                  .byte $16
                  .byte $07
                  .byte $55
                  .byte $01
                  .byte $66
                  .byte $1e
                  .byte $16
                  .byte $38
                  .byte $44
                  .byte $01
                  .byte $16
                  .byte $05
                  .byte $44
                  .byte $01
                  .byte $16
                  .byte $07
                  .byte $44
                  .byte $01
                  .byte $36
                  .byte $07
                  .byte $55
                  .byte $01
                  .byte $36
                  .byte $04
                  .byte $55
                  .byte $01
                  .byte $16
                  .byte $03
                  .byte $55
                  .byte $01
                  .byte $16
                  .byte $03
                  .byte $36
                  .byte $0b
                  .byte $55
                  .byte $01
                  .byte $16
                  .byte $03
                  .byte $36
                  .byte $0e
                  .byte $44
                  .byte $01
                  .byte $66
                  .byte $01
                  .byte $60
                  .byte $0c
                  .byte $30
                  .byte $29
                  .byte $60
                  .byte $02
                  .byte $44
                  .byte $01
                  .byte $16
                  .byte $2b
                  .byte $10
                  .byte $04
                  .byte $60
                  .byte $05
                  .byte $30
                  .byte $01
                  .byte $36
                  .byte $67
                  .byte $32
                  .byte $01
                  .byte $44
                  .byte $01
                  .byte $66
                  .byte $2b
                  .byte $36
                  .byte $0c
                  .byte $30
                  .byte $15
                  .byte $36
                  .byte $12
                  .byte $55
                  .byte $01
                  .byte $16
                  .byte $03
                  .byte $55
                  .byte $01
                  .byte $36
                  .byte $05
                  .byte $55
                  .byte $01
                  .byte $16
                  .byte $03
                  .byte $36
                  .byte $08
                  .byte $66
                  .byte $02
                  .byte $16
                  .byte $4a
                  .byte $10
                  .byte $04
                  .byte $60
                  .byte $07
                  .byte $30
                  .byte $09
                  .byte $36
                  .byte $15
                  .byte $66
                  .byte $0a
                  .byte $16
                  .byte $0d
                  .byte $44
                  .byte $01
                  .byte $66
                  .byte $02
                  .byte $16
                  .byte $04
                  .byte $44
                  .byte $01
                  .byte $16
                  .byte $02
                  .byte $44
                  .byte $06
                  .byte $16
                  .byte $04
                  .byte $44
                  .byte $01
                  .byte $16
                  .byte $02
                  .byte $62
                  .byte $15
                  .byte $36
                  .byte $31
                  .byte $66
                  .byte $01
                  .byte $62
                  .byte $04
                  .byte $12
                  .byte $06
                  .byte $44
                  .byte $01
                  .byte $66
                  .byte $37
                  .byte $36
                  .byte $01
                  .byte $30
                  .byte $1d
                  .byte $60
                  .byte $33
                  .byte $36
                  .byte $32
                  .byte $66
                  .byte $03
                  .byte $16
                  .byte $01
                  .byte $10
                  .byte $1b
                  .byte $60
                  .byte $05
                  .byte $36
                  .byte $28
                  .byte $44
                  .byte $01
                  .byte $66
                  .byte $1f
                  .byte $36
                  .byte $14
                  .byte $44
                  .byte $01
                  .byte $55
                  .byte $01
                  .byte $66
                  .byte $2d
                  .byte $36
                  .byte $01
                  .byte $30
                  .byte $12
                  .byte $60
                  .byte $25
                  .byte $66
                  .byte $01
                  .byte $55
                  .byte $01
                  .byte $16
                  .byte $0d
                  .byte $66
                  .byte $02
                  .byte $36
                  .byte $09
                  .byte $30
                  .byte $0a
                  .byte $36
                  .byte $04
                  .byte $44
                  .byte $01
                  .byte $36
                  .byte $03
                  .byte $44
                  .byte $01
                  .byte $36
                  .byte $03
                  .byte $16
                  .byte $22
                  .byte $44
                  .byte $01
                  .byte $16
                  .byte $07
                  .byte $44
                  .byte $04
                  .byte $16
                  .byte $03
                  .byte $44
                  .byte $01
                  .byte $16
                  .byte $27
                  .byte $12
                  .byte $0e
                  .byte $16
                  .byte $1e
                  .byte $55
                  .byte $01
                  .byte $66
                  .byte $19
                  .byte $36
                  .byte $01
                  .byte $30
                  .byte $03
                  .byte $60
                  .byte $07
                  .byte $10
                  .byte $1f
                  .byte $60
                  .byte $07
                  .byte $30
                  .byte $09
                  .byte $36
                  .byte $33
                  .byte $66
                  .byte $04
                  .byte $10
                  .byte $09
                  .byte $16
                  .byte $08
                  .byte $12
                  .byte $01
                  .byte $62
                  .byte $0c
                  .byte $32
                  .byte $01
                  .byte $36
                  .byte $32
                  .byte $44
                  .byte $01
                  .byte $16
                  .byte $0b
                  .byte $44
                  .byte $01
                  .byte $16
                  .byte $09
                  .byte $44
                  .byte $01
                  .byte $10
                  .byte $2c
                  .byte $60
                  .byte $04
                  .byte $30
                  .byte $03
                  .byte $36
                  .byte $0a
                  .byte $44
                  .byte $01
                  .byte $16
                  .byte $05
                  .byte $44
                  .byte $01
                  .byte $36
                  .byte $03
                  .byte $44
                  .byte $01
                  .byte $36
                  .byte $03
                  .byte $44
                  .byte $01
                  .byte $66
                  .byte $03
                  .byte $36
                  .byte $03
                  .byte $55
                  .byte $01
                  .byte $36
                  .byte $08
                  .byte $55
                  .byte $01
                  .byte $66
                  .byte $4c
                  .byte $16
                  .byte $09
                  .byte $10
                  .byte $15
                  .byte $44
                  .byte $01
                  .byte $10
                  .byte $2f
                  .byte $16
                  .byte $09
                  .byte $12
                  .byte $03
                  .byte $16
                  .byte $12
                  .byte $66
                  .byte $02
                  .byte $36
                  .byte $06
                  .byte $66
                  .byte $2d
                  .byte $55
                  .byte $01
                  .byte $16
                  .byte $03
                  .byte $10
                  .byte $1c
                  .byte $55
                  .byte $01
                  .byte $16
                  .byte $03
                  .byte $44
                  .byte $01
                  .byte $36
                  .byte $03
                  .byte $32
                  .byte $15
                  .byte $36
                  .byte $0b
                  .byte $30
                  .byte $0b
                  .byte $60
                  .byte $0c
                  .byte $44
                  .byte $01
                  .byte $62
                  .byte $0d
                  .byte $12
                  .byte $02
                  .byte $16
                  .byte $0d
                  .byte $44
                  .byte $01
                  .byte $66
                  .byte $20
                  .byte $36
                  .byte $04
                  .byte $30
                  .byte $17
                  .byte $36
                  .byte $1e
                  .byte $44
                  .byte $01
                  .byte $36
                  .byte $2f
                  .byte $30
                  .byte $08
                  .byte $60
                  .byte $03
                  .byte $10
                  .byte $22
                  .byte $16
                  .byte $1b
                  .byte $66
                  .byte $26
                  .byte $55
                  .byte $07
                  .byte $16
                  .byte $03
                  .byte $55
                  .byte $01
                  .byte $66
                  .byte $1d
                  .byte $16
                  .byte $02
                  .byte $10
                  .byte $85
                  .byte $60
                  .byte $02
                  .byte $30
                  .byte $03
                  .byte $36
                  .byte $03
                  .byte $32
                  .byte $0f
                  .byte $36
                  .byte $03
                  .byte $30
                  .byte $0c
                  .byte $36
                  .byte $20
                  .byte $66
                  .byte $01
                  .byte $16
                  .byte $0a
                  .byte $60
                  .byte $06
                  .byte $66
                  .byte $02
                  .byte $36
                  .byte $08
                  .byte $30
                  .byte $05
                  .byte $60
                  .byte $02
                  .byte $66
                  .byte $02
                  .byte $16
                  .byte $08
                  .byte $10
                  .byte $01
                  .byte $60
                  .byte $06
                  .byte $66
                  .byte $01
                  .byte $36
                  .byte $08
                  .byte $30
                  .byte $04
                  .byte $60
                  .byte $03
                  .byte $66
                  .byte $01
                  .byte $16
                  .byte $08
                  .byte $10
                  .byte $02
                  .byte $60
                  .byte $03
                  .byte $30
                  .byte $01
                  .byte $36
                  .byte $08
                  .byte $30
                  .byte $03
                  .byte $60
                  .byte $03
                  .byte $16
                  .byte $09
                  .byte $10
                  .byte $02
                  .byte $60
                  .byte $03
                  .byte $30
                  .byte $03
                  .byte $36
                  .byte $07
                  .byte $30
                  .byte $03
                  .byte $60
                  .byte $02
                  .byte $10
                  .byte $02
                  .byte $16
                  .byte $08
                  .byte $10
                  .byte $01
                  .byte $60
                  .byte $02
                  .byte $30
                  .byte $02
                  .byte $36
                  .byte $0a
                  .byte $30
                  .byte $02
                  .byte $60
                  .byte $02
                  .byte $10
                  .byte $03
                  .byte $16
                  .byte $04
                  .byte $10
                  .byte $03
                  .byte $60
                  .byte $05
                  .byte $30
                  .byte $02
                  .byte $36
                  .byte $07
                  .byte $66
                  .byte $16
                  .byte $36
                  .byte $02
                  .byte $66
                  .byte $33
                  .byte $55
                  .byte $01
                  .byte $36
                  .byte $05
                  .byte $55
                  .byte $01
                  .byte $36
                  .byte $04
                  .byte $55
                  .byte $01
                  .byte $36
                  .byte $03
                  .byte $55
                  .byte $01
                  .byte $36
                  .byte $03
                  .byte $55
                  .byte $01
                  .byte $66
                  .byte $a9
                  .byte $62
                  .byte $0c
                  .byte $66
                  .byte $07
                  .byte $60
                  .byte $0f
                  .byte $55
                  .byte $01
                  .byte $66
                  .byte $18
                  .byte $16
                  .byte $2a
                  .byte $55
                  .byte $01
                  .byte $16
                  .byte $03
                  .byte $66
                  .byte $01
                  .byte $60
                  .byte $07
                  .byte $66
                  .byte $03
                  .byte $36
                  .byte $03
                  .byte $30
                  .byte $1b
                  .byte $36
                  .byte $08
                  .byte $44
                  .byte $01
                  .byte $66
                  .byte $18
                  .byte $36
                  .byte $0f
                  .byte $66
                  .byte $08
                  .byte $44
                  .byte $01
                  .byte $66
                  .byte $38
                  .byte $30
                  .byte $0e
                  .byte $66
                  .byte $11
                  .byte $60
                  .byte $04
                  .byte $66
                  .byte $49
                  .byte $37
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $33
                  .byte $07
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $37
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $33
                  .byte $07
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $37
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $33
                  .byte $07
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $37
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $09
                  .byte $00
                  .byte $33
                  .byte $07
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $30
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $03
                  .byte $00
                  .byte $30
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $d1
                  .byte $d5
                  .byte $a0
                  .byte $a4
                  .byte $b1
                  .byte $c3
                  .byte $b3
                  .byte $b5
                  .byte $8d
                  .byte $f9
                  .byte $f4
                  .byte $e1
                  .byte $e2
                  .byte $ec
                  .byte $e5
                  .byte $a0
                  .byte $c5
                  .byte $d1
                  .byte $d5
                  .byte $a0
                  .byte $a4
                  .byte $b1
                  .byte $c3
                  .byte $b5
                  .byte $b1
                  .byte $8d
                  .byte $e2
                  .byte $f9
                  .byte $f4
                  .byte $e1
                  .byte $e2
                  .byte $ec
                  .byte $e5
                  .byte $a0
                  .byte $c5
                  .byte $d1
                  .byte $d5
                  .byte $a0
                  .byte $a4
                  .byte $b1
                  .byte $c3
                  .byte $b6
                  .byte $b2
                  .byte $8d
                  .byte $e2
                  .byte $e9
                  .byte $f4
                  .byte $e1
                  .byte $e2
                  .byte $ec
                  .byte $e5
                  .byte $a0
                  .byte $c5
                  .byte $d1
                  .byte $d5
                  .byte $a0
                  .byte $a4
                  .byte $b1
                  .byte $c3
                  .byte $b7
                  .byte $c5
                  .byte $8d
                  .byte $f8
                  .byte $e2
                  .byte $f9
                  .byte $f4
                  .byte $e1
                  .byte $e2
                  .byte $ec
                  .byte $e5
                  .byte $a0
                  .byte $c5
                  .byte $d1
                  .byte $d5
                  .byte $a0
                  .byte $a4
                  .byte $b1
                  .byte $c3
                  .byte $b9
                  .byte $c1
                  .byte $8d
                  .byte $f8
                  .byte $e2
                  .byte $e9
                  .byte $f4
                  .byte $e1
                  .byte $e2
                  .byte $ec
                  .byte $e5
                  .byte $a0
                  .byte $c5
                  .byte $d1
                  .byte $d5
                  .byte $a0
                  .byte $a4
                  .byte $b1
                  .byte $c4
                  .byte $b2
                  .byte $b6
                  .byte $8d
                  .byte $e2
                  .byte $ef
                  .byte $ef
                  .byte $f4
                  .byte $a0
                  .byte $c5
                  .byte $d1
                  .byte $d5
                  .byte $a0
                  .byte $a4
                  .byte $b1
                  .byte $c4
                  .byte $c2
                  .byte $b2
                  .byte $8d
                  .byte $f3
                  .byte $e3
                  .byte $ef
                  .byte $f2
                  .byte $e5
                  .byte $e2
                  .byte $f5
                  .byte $e6
                  .byte $a0
                  .byte $c5
                  .byte $d1
                  .byte $d5
                  .byte $a0
                  .byte $a4
                  .byte $b1
                  .byte $c6
                  .byte $b0
                  .byte $b0
                  .byte $8d
                  .byte $e3
                  .byte $e8
                  .byte $e1
                  .byte $f2
                  .byte $e4
                  .byte $e1
                  .byte $f4
                  .byte $e1
                  .byte $a0
                  .byte $c5
                  .byte $d1
                  .byte $d5
                  .byte $a0
                  .byte $a4
                  .byte $c1
                  .byte $c4
                  .byte $b0
                  .byte $b0
                  .byte $8d
                  .byte $8d
                  .byte $f2
                  .byte $f7
                  .byte $f4
                  .byte $f3
                  .byte $f0
                  .byte $e1
                  .byte $f2
                  .byte $ed
                  .byte $a0
                  .byte $c5
                  .byte $d1
                  .byte $d5
                  .byte $a0
                  .byte $a4
                  .byte $c2
                  .byte $b7
                  .byte $c5
                  .byte $b8
                  .byte $8d
                  .byte $f2
                  .byte $f7
                  .byte $f4
                  .byte $f3
                  .byte $f6
                  .byte $ef
                  .byte $ec
                  .byte $ed
                  .byte $a0
                  .byte $c5
                  .byte $d1
                  .byte $d5
                  .byte $a0
                  .byte $a4
                  .byte $c2
                  .byte $b7
                  .byte $c5
                  .byte $c2
                  .byte $8d
                  .byte $f2
                  .byte $f7
                  .byte $f4
                  .byte $f3
                  .byte $f4
                  .byte $f2
                  .byte $e3
                  .byte $eb
                  .byte $a0
                  .byte $c5
                  .byte $d1
                  .byte $d5
                  .byte $a0
                  .byte $a4
                  .byte $c2
                  .byte $b7
                  .byte $c5
                  .byte $c3
                  .byte $8d
                  .byte $f2
                  .byte $f7
                  .byte $f4
                  .byte $f3
                  .byte $f3
                  .byte $e5
                  .byte $e3
                  .byte $f4
                  .byte $a0
                  .byte $c5
                  .byte $d1
                  .byte $d5
                  .byte $a0
                  .byte $a4
                  .byte $c2
                  .byte $b7
                  .byte $c5
                  .byte $c4
                  .byte $8d
                  .byte $f2
                  .byte $f7
                  .byte $f4
                  .byte $f3
                  .byte $e2
                  .byte $f5
                  .byte $e6
                  .byte $e6
                  .byte $a0
                  .byte $c5
                  .byte $d1
                  .byte $d5
                  .byte $a0
                  .byte $a4
                  .byte $c2
                  .byte $b7
                  .byte $c6
                  .byte $b0
                  .byte $8d
                  .byte $f2
                  .byte $f7
                  .byte $f4
                  .byte $f3
                  .byte $e3
                  .byte $ed
                  .byte $ee
                  .byte $06
                  .byte $00
                  .byte $00
                  .byte $07
                  .byte $00
                  .byte $00
                  .byte $07
                  .byte $00
                  .byte $00
                  .byte $06
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $06
                  .byte $13
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $06
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $07
                  .byte $00
                  .byte $43
                  .byte $44
                  .byte $44
                  .byte $03
                  .byte $76
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $31
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $13
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $33
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $00
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $31
                  .byte $43
                  .byte $44
                  .byte $44
                  .byte $44
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $00
                  .byte $71
                  .byte $70
                  .byte $11
                  .byte $33
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $08
                  .byte $03
                  .byte $70
                  .byte $00
                  .byte $08
                  .byte $03
                  .byte $70
                  .byte $11
                  .byte $11
                  .byte $31
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $13
                  .byte $11
                  .byte $21
                  .byte $22
                  .byte $11
                  .byte $11
                  .byte $13
                  .byte $11
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $38
                  .byte $00
                  .byte $70
                  .byte $00
                  .byte $43
                  .byte $44
                  .byte $44
                  .byte $44
                  .byte $44
                  .byte $44
                  .byte $03
                  .byte $70
                  .byte $13
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $03
                  .byte $70
                  .byte $00
                  .byte $00
                  .byte $70
                  .byte $00
                  .byte $13
                  .byte $11
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $01
                  .byte $03
                  .byte $00
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $00
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $70
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $00
                  .byte $90
                  .byte $70
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $00
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $11
                  .byte $11
                  .byte $61
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $01
                  .byte $11
                  .byte $11
                  .byte $06
                  .byte $00
                  .byte $61
                  .byte $01
                  .byte $44
                  .byte $44
                  .byte $44
                  .byte $04
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $10
                  .byte $16
                  .byte $61
                  .byte $60
                  .byte $01
                  .byte $71
                  .byte $00
                  .byte $10
                  .byte $13
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $10
                  .byte $06
                  .byte $11
                  .byte $11
                  .byte $01
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $13
                  .byte $11
                  .byte $11
                  .byte $07
                  .byte $31
                  .byte $11
                  .byte $11
                  .byte $61
                  .byte $00
                  .byte $00
                  .byte $47
                  .byte $44
                  .byte $11
                  .byte $11
                  .byte $13
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $31
                  .byte $01
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $01
                  .byte $00
                  .byte $01
                  .byte $10
                  .byte $13
                  .byte $11
                  .byte $10
                  .byte $11
                  .byte $31
                  .byte $01
                  .byte $11
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $10
                  .byte $13
                  .byte $11
                  .byte $10
                  .byte $01
                  .byte $31
                  .byte $71
                  .byte $10
                  .byte $13
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $13
                  .byte $73
                  .byte $10
                  .byte $13
                  .byte $11
                  .byte $10
                  .byte $01
                  .byte $31
                  .byte $11
                  .byte $11
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $13
                  .byte $11
                  .byte $11
                  .byte $13
                  .byte $11
                  .byte $07
                  .byte $01
                  .byte $31
                  .byte $11
                  .byte $10
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $11
                  .byte $11
                  .byte $13
                  .byte $11
                  .byte $11
                  .byte $01
                  .byte $31
                  .byte $11
                  .byte $17
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $01
                  .byte $00
                  .byte $00
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $00
                  .byte $10
                  .byte $13
                  .byte $11
                  .byte $13
                  .byte $11
                  .byte $31
                  .byte $21
                  .byte $21
                  .byte $21
                  .byte $21
                  .byte $21
                  .byte $21
                  .byte $31
                  .byte $21
                  .byte $21
                  .byte $13
                  .byte $11
                  .byte $13
                  .byte $11
                  .byte $31
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $00
                  .byte $11
                  .byte $11
                  .byte $31
                  .byte $21
                  .byte $21
                  .byte $03
                  .byte $00
                  .byte $03
                  .byte $00
                  .byte $30
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $01
                  .byte $10
                  .byte $11
                  .byte $31
                  .byte $00
                  .byte $00
                  .byte $13
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $31
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $07
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $31
                  .byte $93
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $70
                  .byte $10
                  .byte $11
                  .byte $11
                  .byte $01
                  .byte $80
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $80
                  .byte $07
                  .byte $00
                  .byte $30
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $70
                  .byte $08
                  .byte $13
                  .byte $81
                  .byte $07
                  .byte $30
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $70
                  .byte $18
                  .byte $31
                  .byte $03
                  .byte $10
                  .byte $01
                  .byte $30
                  .byte $11
                  .byte $11
                  .byte $36
                  .byte $11
                  .byte $11
                  .byte $31
                  .byte $00
                  .byte $10
                  .byte $01
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $33
                  .byte $07
                  .byte $00
                  .byte $30
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $37
                  .byte $03
                  .byte $00
                  .byte $30
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $33
                  .byte $07
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $37
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $33
                  .byte $07
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $37
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $33
                  .byte $07
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $37
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $33
                  .byte $07
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $37
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $09
                  .byte $00
                  .byte $33
                  .byte $07
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $30
                  .byte $03
                  .byte $00
                  .byte $30
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $11
                  .byte $03
                  .byte $00
                  .byte $30
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $00
                  .byte $aa
                  .byte $aa
